package hanalife.b.bm.gm.service;

import hanalife.b.bm.gm.vo.BBMGMM01S01InVO;
import hanalife.b.bm.gm.vo.BBMGMM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BBMGMM01Service.java Class
 * 클래스설명   : BBMGMM01Service Service Interface
 * 작성일자     : 2023. 3. 20.
 * 작성자명     : 70331 / P.S.Y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 20.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBBMGMM01S01 : 배정대상조회
 * </pre>
 */
public interface BBMGMM01Service {

    /** 배정대상조회 */
    public BBMGMM01S01OutVO getBBMGMM01S01(BBMGMM01S01InVO inVo) throws Exception;
}
