package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbCrdtBadCntrHistTDO
 * 클래스설명 : 은행연합회_신용_불량_집중_이력 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbCrdtBadCntrHistTDO extends AbstractVO {
    private String jobDt; //JOB_DT   작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM   등록_블록_일련번호
    private String regSnum; //REG_SNUM   등록_일련번호
    private String dataSnum; //DATA_SNUM   자료_일련번호
    private String regDivCd; //REG_DIV_CD   등록_구분_코드
    private String rsnDivCd; //RSN_DIV_CD   사유_구분_코드
    private String regRsnCd; //REG_RSN_CD   등록_사유_코드
    private String custTpCd; //CUST_TP_CD   고객_유형_코드
    private String sendDivCd; //SEND_DIV_CD   전송_구분_코드
    private String custNo; //CUST_NO   고객번호
    private String loanNo; //LOAN_NO   대출_번호
    private String loanSeq; //LOAN_SEQ   대출_순번
    private String mtal; //MTAL   상호
    private String custNm; //CUST_NM   고객_명
    private String jobCd; //JOB_CD   직업_코드
    private String bzitCd; //BZIT_CD   업종_코드
    private String shopCd; //SHOP_CD   점포_코드
    private String badOccrDt; //BAD_OCCR_DT   불량_발생_일자
    private String closDt; //CLOS_DT   해제_일자
    private String regAmt; //REG_AMT   등록_금액
    private String dlyAmt; //DLY_AMT   연체_금액
    private String tranShop; //TRAN_SHOP   이관_점포
    private String corpRegNo; //CORP_REG_NO   법인등록번호
    private String contDt; //CONT_DT   약정_일자
    private String closDivCd; //CLOS_DIV_CD   해제_구분_코드
    private String rspnCd; //RSPN_CD   응답_코드
    private String prgsStatCd; //PRGS_STAT_CD   진행_상태_코드
    private String rmrk; //RMRK   비고
    private String preWorkOutSnctamtFg; //PRE_WORK_OUT_SNCTAMT_FG   PRE_WORK_OUT_제재금_여부

    public String getJobDt() { return jobDt; }
    public String getRegBlckSnum() { return regBlckSnum; }
    public String getRegSnum() { return regSnum; }
    public String getDataSnum() { return dataSnum; }
    public String getRegDivCd() { return regDivCd; }
    public String getRsnDivCd() { return rsnDivCd; }
    public String getRegRsnCd() { return regRsnCd; }
    public String getCustTpCd() { return custTpCd; }
    public String getSendDivCd() { return sendDivCd; }
    public String getCustNo() { return custNo; }
    public String getLoanNo() { return loanNo; }
    public String getLoanSeq() { return loanSeq; }
    public String getMtal() { return mtal; }
    public String getCustNm() { return custNm; }
    public String getJobCd() { return jobCd; }
    public String getBzitCd() { return bzitCd; }
    public String getShopCd() { return shopCd; }
    public String getBadOccrDt() { return badOccrDt; }
    public String getClosDt() { return closDt; }
    public String getRegAmt() { return regAmt; }
    public String getDlyAmt() { return dlyAmt; }
    public String getTranShop() { return tranShop; }
    public String getCorpRegNo() { return corpRegNo; }
    public String getContDt() { return contDt; }
    public String getClosDivCd() { return closDivCd; }
    public String getRspnCd() { return rspnCd; }
    public String getPrgsStatCd() { return prgsStatCd; }
    public String getRmrk() { return rmrk; }
    public String getPreWorkOutSnctamtFg() { return preWorkOutSnctamtFg; }

    public void setJobDt(String jobDt) {this.jobDt = jobDt;}
    public void setRegBlckSnum(String regBlckSnum) {this.regBlckSnum = regBlckSnum;}
    public void setRegSnum(String regSnum) {this.regSnum = regSnum;}
    public void setDataSnum(String dataSnum) {this.dataSnum = dataSnum;}
    public void setRegDivCd(String regDivCd) {this.regDivCd = regDivCd;}
    public void setRsnDivCd(String rsnDivCd) {this.rsnDivCd = rsnDivCd;}
    public void setRegRsnCd(String regRsnCd) {this.regRsnCd = regRsnCd;}
    public void setCustTpCd(String custTpCd) {this.custTpCd = custTpCd;}
    public void setSendDivCd(String sendDivCd) {this.sendDivCd = sendDivCd;}
    public void setCustNo(String custNo) {this.custNo = custNo;}
    public void setLoanNo(String loanNo) {this.loanNo = loanNo;}
    public void setLoanSeq(String loanSeq) {this.loanSeq = loanSeq;}
    public void setMtal(String mtal) {this.mtal = mtal;}
    public void setCustNm(String custNm) {this.custNm = custNm;}
    public void setJobCd(String jobCd) {this.jobCd = jobCd;}
    public void setBzitCd(String bzitCd) {this.bzitCd = bzitCd;}
    public void setShopCd(String shopCd) {this.shopCd = shopCd;}
    public void setBadOccrDt(String badOccrDt) {this.badOccrDt = badOccrDt;}
    public void setClosDt(String closDt) {this.closDt = closDt;}
    public void setRegAmt(String regAmt) {this.regAmt = regAmt;}
    public void setDlyAmt(String dlyAmt) {this.dlyAmt = dlyAmt;}
    public void setTranShop(String tranShop) {this.tranShop = tranShop;}
    public void setCorpRegNo(String corpRegNo) {this.corpRegNo = corpRegNo;}
    public void setContDt(String contDt) {this.contDt = contDt;}
    public void setClosDivCd(String closDivCd) {this.closDivCd = closDivCd;}
    public void setRspnCd(String rspnCd) {this.rspnCd = rspnCd;}
    public void setPrgsStatCd(String prgsStatCd) {this.prgsStatCd = prgsStatCd;}
    public void setRmrk(String rmrk) {this.rmrk = rmrk;}
    public void setPreWorkOutSnctamtFg(String preWorkOutSnctamtFg) {this.rmrk = preWorkOutSnctamtFg;}
}
