package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbCrdtBadCntrModifyErrTDO
 * 클래스설명 : 은행연합회_신용_불량_집중_오류 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbCrdtBadCntrModifyErrTDO extends AbstractVO
{
	private String jobDt             ;//JOB_DT    '작업_일자'
	private String regBlckSnum       ;//REG_BLCK_SNUM    '등록_블록_일련번호'
	private String regSnum           ;//REG_SNUM    '등록_일련번호'
	private String dataSnum          ;//DATA_SNUM    '자료_일련번호'
	private String acntNo            ;//ACNT_NO    '대출_번호'
	private String custNo            ;//CUST_NO    '고객번호'
	private String custNm            ;//CUST_Nm    '고객명'
	private String mtal              ;//MTAL    '기업체명'
	private String errCd             ;//ERR_CD    '오류_코드'
	private String bsnDivErr         ;//BSN_DIV_ERR    '거래_구분_코드_오류'
	private String dataDivErr        ;//DATA_DIV_ERR    '자료_구분_오류'
	private String snumErr           ;//SNUM_ERR    '일련번호_오류'
	private String dataDivCdErr    	 ;//DATA_DIV_CD_ERR    '자료_구분_코드_오류'
	private String aftCustNoErr    	 ;//AFT_CUST_NO_ERR    '변경후_고객번호_오류'
	private String aftCustTpCdErr 	 ;//AFT_CUST_TP_CD_ERR    '변경후_고객_유형_코드_오류'
	private String befCustNoErr    	 ;//BEF_CUST_NO_ERR    '변경전_고객번호_오류'
	private String befCustTpCdErr 	 ;//BEF_CUST_TP_CD_ERR    '변경전_고객_유형_코드_오류'
	private String aftMtalErr        ;//AFT_MTAL_ERR    '변경후_상호_오류'
	private String aftCustNmErr    	 ;//AFT_CUST_NM_ERR    '변경후_고객_명_오류'
	private String aftJobCdErr     	 ;//AFT_JOB_CD_ERR    '변경후_직업_코드_오류'
	private String aftBzitCdErr    	 ;//AFT_BZIT_CD_ERR    '변경후_업종_코드_오류'
	private String aftCorpRegNoErr	 ;//AFT_CORP_REG_NO_ERR    '변경후_법인등록번호_오류'
	private String befRsnDivCdErr 	 ;//BEF_RSN_DIV_CD_ERR    '변경전_사유_구분_코드_오류'
	private String befRegRsnCdErr 	 ;//BEF_REG_RSN_CD_ERR    '변경전_등록_사유_코드_오류'
	private String befLoanNoErr    	 ;//BEF_LOAN_NO_ERR    '변경전_대출_번호_오류'
	private String befShopCdErr    	 ;//BEF_SHOP_CD_ERR    '변경전_점포_코드_오류'
	private String befBadOccrDtErr	 ;//BEF_BAD_OCCR_DT_ERR    '변경전_불량_발생_일자_오류'
	private String aftRsnDivCdErr 	 ;//AFT_RSN_DIV_CD_ERR    '변경후_사유_구분_코드_오류'
	private String aftRegRsnCdErr 	 ;//AFT_REG_RSN_CD_ERR    '변경후_등록_사유_코드_오류'
	private String aftLoanNoErr    	 ;//AFT_LOAN_NO_ERR    '변경후_대출_번호_오류'
	private String aftShopCdErr    	 ;//AFT_SHOP_CD_ERR    '변경후_점포_코드_오류'
	private String aftBadOccrDtErr	 ;//AFT_BAD_OCCR_DT_ERR    '변경후_불량_발생_일자_오류'
	private String aftClosDtErr    	 ;//AFT_CLOS_DT_ERR    '변경후_해제_일자_오류'
	private String aftRegAmtErr    	 ;//AFT_REG_AMT_ERR    '변경후_등록_금액_오류'
	private String aftRegAmtChkErr	 ;//AFT_REG_AMT_CHK_ERR    '변경후_등록_금액_검증_오류'
	private String aftDlyAmtErr    	 ;//AFT_DLY_AMT_ERR    '변경후_연체_금액_오류'
	private String aftDlyAmtChkErr	 ;//AFT_DLY_AMT_CHK_ERR    '변경후_연체_금액_검증_오류'
	private String aftContDtErr    	 ;//AFT_CONT_DT_ERR    '변경후_약정_일자_오류'
	private String aftClosDivCdErr	 ;//AFT_CLOS_DIV_CD_ERR    '변경후_해제_구분_코드_오류'


	public String getJobDt() { return			jobDt          ; }
	public String getRegBlckSnum() { return 	regBlckSnum    ; }
	public String getRegSnum() { return 		regSnum        ; }
	public String getDataSnum() { return 		dataSnum       ; }
	public String getAcntNo() { return 			acntNo         ; }
	public String getCustNo() { return 			custNo         ; }
	public String getCustNm() { return 			custNm         ; }
	public String getMtal() { return 			mtal           ; }
	public String getErrCd() { return 			errCd          ; }
	public String getBsnDivErr() { return 		bsnDivErr      ; }
	public String getDataDivErr() { return 		dataDivErr     ; }
	public String getSnumErr() { return 		snumErr        ; }
	public String getDataDivCdErr() { return 	dataDivCdErr   ; }
	public String getAftCustNoErr() { return 	aftCustNoErr   ; }
	public String getAftCustTpCdErr() { return 	aftCustTpCdErr ; }
	public String getBefCustNoErr() { return 	befCustNoErr   ; }
	public String getBefCustTpCdErr() { return 	befCustTpCdErr ; }
	public String getAftMtalErr() { return 		aftMtalErr     ; }
	public String getAftCustNmErr() { return 	aftCustNmErr   ; }
	public String getAftJobCdErr() { return 	aftJobCdErr    ; }
	public String getAftBzitCdErr() { return 	aftBzitCdErr   ; }
	public String getAftCorpRegNoErr() { return aftCorpRegNoErr; }
	public String getBefRsnDivCdErr() { return 	befRsnDivCdErr ; }
	public String getBefRegRsnCdErr() { return 	befRegRsnCdErr ; }
	public String getBefLoanNoErr() { return 	befLoanNoErr   ; }
	public String getBefShopCdErr() { return 	befShopCdErr   ; }
	public String getBefBadOccrDtErr() { return befBadOccrDtErr; }
	public String getAftRsnDivCdErr() { return 	aftRsnDivCdErr ; }
	public String getAftRegRsnCdErr() { return 	aftRegRsnCdErr ; }
	public String getAftLoanNoErr() { return 	aftLoanNoErr   ; }
	public String getAftShopCdErr() { return 	aftShopCdErr   ; }
	public String getAftBadOccrDtErr() { return aftBadOccrDtErr; }
	public String getAftClosDtErr() { return 	aftClosDtErr   ; }
	public String getAftRegAmtErr() { return 	aftRegAmtErr   ; }
	public String getAftRegAmtChkErr() { return aftRegAmtChkErr; }
	public String getAftDlyAmtErr() { return 	aftDlyAmtErr   ; }
	public String getAftDlyAmtChkErr() { return aftDlyAmtChkErr; }
	public String getAftContDtErr() { return 	aftContDtErr   ; }
	public String getAftClosDivCdErr() { return aftClosDivCdErr; }


	public void setJobDt(String				jobDt          ) {this.jobDt          =jobDt          ;}
	public void setRegBlckSnum(String 		regBlckSnum    ) {this.regBlckSnum    =regBlckSnum    ;}
	public void setRegSnum(String 			regSnum        ) {this.regSnum        =regSnum        ;}
	public void setDataSnum(String 			dataSnum       ) {this.dataSnum       =dataSnum       ;}
	public void setAcntNo(String 			acntNo         ) {this.acntNo         =acntNo         ;}
	public void setCustNo(String 			custNo         ) {this.custNo         =custNo         ;}
	public void setCustNm(String 			custNm         ) {this.custNm         =custNm         ;}
	public void setMtal(String 		    	mtal           ) {this.mtal           =mtal           ;}
	public void setErrCd(String 			errCd          ) {this.errCd          =errCd          ;}
	public void setBsnDivErr(String 		bsnDivErr      ) {this.bsnDivErr      =bsnDivErr      ;}
	public void setDataDivErr(String 		dataDivErr     ) {this.dataDivErr     =dataDivErr     ;}
	public void setSnumErr(String 			snumErr        ) {this.snumErr        =snumErr        ;}
	public void setDataDivCdErr(String 		dataDivCdErr   ) {this.dataDivCdErr   =dataDivCdErr   ;}
	public void setAftCustNoErr(String 		aftCustNoErr   ) {this.aftCustNoErr   =aftCustNoErr   ;}
	public void setAftCustTpCdErr(String 	aftCustTpCdErr ) {this.aftCustTpCdErr =aftCustTpCdErr ;}
	public void setBefCustNoErr(String 		befCustNoErr   ) {this.befCustNoErr   =befCustNoErr   ;}
	public void setBefCustTpCdErr(String 	befCustTpCdErr ) {this.befCustTpCdErr =befCustTpCdErr ;}
	public void setAftMtalErr(String 		aftMtalErr     ) {this.aftMtalErr     =aftMtalErr     ;}
	public void setAftCustNmErr(String 		aftCustNmErr   ) {this.aftCustNmErr   =aftCustNmErr   ;}
	public void setAftJobCdErr(String 		aftJobCdErr    ) {this.aftJobCdErr    =aftJobCdErr    ;}
	public void setAftBzitCdErr(String 		aftBzitCdErr   ) {this.aftBzitCdErr   =aftBzitCdErr   ;}
	public void setAftCorpRegNoErr(String 	aftCorpRegNoErr) {this.aftCorpRegNoErr=aftCorpRegNoErr;}
	public void setBefRsnDivCdErr(String 	befRsnDivCdErr ) {this.befRsnDivCdErr =befRsnDivCdErr ;}
	public void setBefRegRsnCdErr(String 	befRegRsnCdErr ) {this.befRegRsnCdErr =befRegRsnCdErr ;}
	public void setBefLoanNoErr(String 		befLoanNoErr   ) {this.befLoanNoErr   =befLoanNoErr   ;}
	public void setBefShopCdErr(String 		befShopCdErr   ) {this.befShopCdErr   =befShopCdErr   ;}
	public void setBefBadOccrDtErr(String 	befBadOccrDtErr) {this.befBadOccrDtErr=befBadOccrDtErr;}
	public void setAftRsnDivCdErr(String 	aftRsnDivCdErr ) {this.aftRsnDivCdErr =aftRsnDivCdErr ;}
	public void setAftRegRsnCdErr(String 	aftRegRsnCdErr ) {this.aftRegRsnCdErr =aftRegRsnCdErr ;}
	public void setAftLoanNoErr(String 		aftLoanNoErr   ) {this.aftLoanNoErr   =aftLoanNoErr   ;}
	public void setAftShopCdErr(String 		aftShopCdErr   ) {this.aftShopCdErr   =aftShopCdErr   ;}
	public void setAftBadOccrDtErr(String 	aftBadOccrDtErr) {this.aftBadOccrDtErr=aftBadOccrDtErr;}
	public void setAftClosDtErr(String 		aftClosDtErr   ) {this.aftClosDtErr   =aftClosDtErr   ;}
	public void setAftRegAmtErr(String 		aftRegAmtErr   ) {this.aftRegAmtErr   =aftRegAmtErr   ;}
	public void setAftRegAmtChkErr(String 	aftRegAmtChkErr) {this.aftRegAmtChkErr=aftRegAmtChkErr;}
	public void setAftDlyAmtErr(String 		aftDlyAmtErr   ) {this.aftDlyAmtErr   =aftDlyAmtErr   ;}
	public void setAftDlyAmtChkErr(String 	aftDlyAmtChkErr) {this.aftDlyAmtChkErr=aftDlyAmtChkErr;}
	public void setAftContDtErr(String 		aftContDtErr   ) {this.aftContDtErr   =aftContDtErr   ;}
	public void setAftClosDivCdErr(String 	aftClosDivCdErr) {this.aftClosDivCdErr=aftClosDivCdErr;}
}
