package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbEntGuarHistTDO
 * 클래스설명 : 은행연합회_대출_거래_이력 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2022-12-05
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20221205][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbEntGuarHistTDO extends AbstractVO {

    private static final long serialVersionUID = 2686308490532009482L;

    private String jobDt; //JOB_DT 작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM 등록_블록_일련번호
    private String regSnum; //REG_SNUM 등록_일련번호
    private String dataSnum; //DATA_SNUM 자료_일련번호
    private String dataDivCd; //DATA_DIV_CD 전송_구분_코드
    private String regDivCd; //REG_DIV_CD 등록_구분_코드
    private String prgsStatCd; //PRGS_STAT_CD 진행_상태_코드
    private String sendDivCd; //SEND_DIV_CD 전송_구분_코드
    private String custNo; //CUST_NO 고객번호
    private String itemCd; //ITEM_CD 담보코드
    private String brwrCd; //BRWR_CD 차주_구분
    private String corpRegNo; //CORP_REG_NO 법인등록번호
    private String bizNo; //BIZ_NO 사업자등록번호
    private String custNm; //CUST_NM 상호명
    private String reprName; //REPR_NAME 대표자명
    private String chngAmt; //CHNG_AMT 변경_금액
    private String loanDt; //LOAN_DT 최종_대출_일자
    private String frstRegEmpNo; //FRST_REG_EMP_NO 최초_등록_사원_번호
    private String lastProcEmpNo; //LAST_PROC_EMP_NO 최종_처리_사원_번호
    public String getJobDt() {
        return jobDt;
    }
    public void setJobDt(String jobDt) {
        this.jobDt = jobDt;
    }
    public String getRegBlckSnum() {
        return regBlckSnum;
    }
    public void setRegBlckSnum(String regBlckSnum) {
        this.regBlckSnum = regBlckSnum;
    }
    public String getRegSnum() {
        return regSnum;
    }
    public void setRegSnum(String regSnum) {
        this.regSnum = regSnum;
    }
    public String getDataSnum() {
        return dataSnum;
    }
    public void setDataSnum(String dataSnum) {
        this.dataSnum = dataSnum;
    }
    public String getDataDivCd() {
        return dataDivCd;
    }
    public void setDataDivCd(String dataDivCd) {
        this.dataDivCd = dataDivCd;
    }
    public String getRegDivCd() {
        return regDivCd;
    }
    public void setRegDivCd(String regDivCd) {
        this.regDivCd = regDivCd;
    }
    public String getPrgsStatCd() {
        return prgsStatCd;
    }
    public void setPrgsStatCd(String prgsStatCd) {
        this.prgsStatCd = prgsStatCd;
    }
    public String getSendDivCd() {
        return sendDivCd;
    }
    public void setSendDivCd(String sendDivCd) {
        this.sendDivCd = sendDivCd;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getItemCd() {
        return itemCd;
    }
    public void setItemCd(String itemCd) {
        this.itemCd = itemCd;
    }
    public String getBrwrCd() {
        return brwrCd;
    }
    public void setBrwrCd(String brwrCd) {
        this.brwrCd = brwrCd;
    }
    public String getCorpRegNo() {
        return corpRegNo;
    }
    public void setCorpRegNo(String corpRegNo) {
        this.corpRegNo = corpRegNo;
    }
    public String getBizNo() {
        return bizNo;
    }
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getReprName() {
        return reprName;
    }
    public void setReprName(String reprName) {
        this.reprName = reprName;
    }
    public String getChngAmt() {
        return chngAmt;
    }
    public void setChngAmt(String chngAmt) {
        this.chngAmt = chngAmt;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    @Override
	public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    @Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
	public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }



}
