package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.SmsDlvrReadSearch01DTO;

/**
 * <pre>
 * 클래스명    : SmsDlvrReadMapper.java Class
 * 클래스설명  : SMS_발송_내역 조회 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 14.
 * 작성자명    : 70320 / jaeho.jang / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("smsDlvrReadMapper")
public interface SmsDlvrReadMapper {

	/**
	* <pre>
	* 메소드명      : selectSmsDlvrRead
	* 작성일자      : 2023. 4. 25.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : SMS 발송내역을 조회한다.
	* 메소드인수1   : SmsDlvrReadSearch01DTO
	* 메소드리턴값  : List<SmsDlvrReadSearch01DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<SmsDlvrReadSearch01DTO> selectSmsDlvrRead(SmsDlvrReadSearch01DTO param) throws Exception;
}
