package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.SmsTotDlyrDSSDDO01;
import hanalife.b.cn.ui.mapper.dto.SmsTotDlyrDSSDDO02;
import hanalife.b.cn.ui.mapper.dto.SmsTotDlyrDSSMDO01;

/**
 * <pre>
 * 클래스명    : SmsTotDlyrMapper.java Class
 * 클래스설명  : SMS 다건 전송 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 14.
 * 작성자명    : 70320 / jaeho.jang / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("smsTotDlyrMapper")
public interface SmsTotDlyrMapper {

	/**
     * <p>메소드명      : selectSmsTotDlyr</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : SmsTotDlyrDSSDDO01</p>
     * <p>메소드리턴값  : List<SmsTotDlyrDSSDDO01></p>
     * <p>예외처리      : Exception</p>
     */
    public List<SmsTotDlyrDSSDDO01> selectSmsTotDlyr(SmsTotDlyrDSSMDO01 inDto) throws Exception;

    /**
     * <p>메소드명      : searchComMsg</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : SmsTotDlyrDSSDDO01</p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리      : Exception</p>
     */
    public List<SmsTotDlyrDSSDDO02> searchComMsg() throws Exception;

    /**
     * <p>메소드명      : searchHp</p>
     * <p>설명          : </p>
     * <p>메소드인수1   : SmsTotDlyrDSSDDO01</p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리      : Exception</p>
     */
    public String searchHp(SmsTotDlyrDSSMDO01 inDto) throws Exception;



}
