package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 클래스명    : BtCustRefInfoTDO
 * 클래스설명 : 고객_참조_정보 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtCustRefInfoDTO {
	private String loanNo; 		//LOAN_NO   	대출_번호
	private String snum; 		//SNUM   		일련_번호
	private String regDt; 		//REG_DT   		등록_일자
	private String regNm; 		//REG_NM   		등록_자명
	private String imptRsn;		//IMPT_RSN   	중점_사유
	private String refrCntn; 	//REFR_CNTN   	참고_내용
	private String delYn; 		//DEL_YN	   	삭제_유무

	private String custNo;    //고객번호
	private String custMemo;  //주요메모
	private String regTm; 	  //등록시각
	private String crudGb;
	private String frstRegEmpNo;
	private String lastProcEmpNo;

	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}

	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}

	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}

	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public String getSnum() {
		return snum;
	}

	public String getRegDt() {
		return regDt;
	}

	public String getRegNm() {
		return regNm;
	}

	public String getImptRsn() {
		return imptRsn;
	}

	public String getRefrCntn() {
		return refrCntn;
	}

	public String getDelYn() {
		return delYn;
	}

	public String getCustNo() {
		return custNo;
	}

	public String getCustMemo() {
		return custMemo;
	}

	public String getRegTm() {
		return regTm;
	}

	public String getCrudGb() {
		return crudGb;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public void setSnum(String snum) {
		this.snum = snum;
	}

	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}

	public void setRegNm(String regNm) {
		this.regNm = regNm;
	}

	public void setImptRsn(String imptRsn) {
		this.imptRsn = imptRsn;
	}

	public void setRefrCntn(String refrCntn) {
		this.refrCntn = refrCntn;
	}

	public void setDelYn(String delYn) {
		this.delYn = delYn;
	}

	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}

	public void setCustMemo(String custMemo) {
		this.custMemo = custMemo;
	}

	public void setRegTm(String regTm) {
		this.regTm = regTm;
	}

	public void setCrudGb(String crudGb) {
		this.crudGb = crudGb;
	}

}