package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 연락불능자목록조회을를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / 이웅희 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CntcIpssManReadDSDDODTO {

	private String loanNo;            // 대출번호
	private String prdtNm;            // 상품명
	private String custNo;            // 고객번호
	private String custNm;            // 고객명
	private String loanRelNm;         // 관계
	private String dlyTcnt;           // 연체회차
	private String dlyAmt;            // 연체금액
	private String loanAmt;           // 대출잔액
	private String regDttm;           // 통화일자
	private String mngDeptNm;         // 관리부서
	private String loanSeq;           // ???
	private String divsManEmpNm;      // 상담직원명
	private String custNoTran;        // ???

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getLoanAmt() {
		return loanAmt;
	}
	public void setLoanAmt(String loanAmt) {
		this.loanAmt = loanAmt;
	}
	public String getRegDttm() {
		return regDttm;
	}
	public void setRegDttm(String regDttm) {
		this.regDttm = regDttm;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDivsManEmpNm() {
		return divsManEmpNm;
	}
	public void setDivsManEmpNm(String divsManEmpNm) {
		this.divsManEmpNm = divsManEmpNm;
	}
	public String getCustNoTran() {
		return custNoTran;
	}
	public void setCustNoTran(String custNoTran) {
		this.custNoTran = custNoTran;
	}

}
