package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO12DTO {

	private String tims;
	private String dueDt;
	private String mmPiamt;
	private String unrcvPiamt;
	private String setlDt;
	private String rcptTot;
	private String rcptPiamt;
	private String rcptDfee;
	private String etcRcptTot;
	public String getTims() {
		return tims;
	}
	public void setTims(String tims) {
		this.tims = tims;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getMmPiamt() {
		return mmPiamt;
	}
	public void setMmPiamt(String mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public String getUnrcvPiamt() {
		return unrcvPiamt;
	}
	public void setUnrcvPiamt(String unrcvPiamt) {
		this.unrcvPiamt = unrcvPiamt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getRcptTot() {
		return rcptTot;
	}
	public void setRcptTot(String rcptTot) {
		this.rcptTot = rcptTot;
	}
	public String getRcptPiamt() {
		return rcptPiamt;
	}
	public void setRcptPiamt(String rcptPiamt) {
		this.rcptPiamt = rcptPiamt;
	}
	public String getRcptDfee() {
		return rcptDfee;
	}
	public void setRcptDfee(String rcptDfee) {
		this.rcptDfee = rcptDfee;
	}
	public String getEtcRcptTot() {
		return etcRcptTot;
	}
	public void setEtcRcptTot(String etcRcptTot) {
		this.etcRcptTot = etcRcptTot;
	}
}
