package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO14DTO {

	private String consDt;
	private String custNm;
	private String actnStatNm;
	private String caseNo;
	private String prptKindNm;
	private String godsInfo;
	private String distCortNm;
	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getActnStatNm() {
		return actnStatNm;
	}
	public void setActnStatNm(String actnStatNm) {
		this.actnStatNm = actnStatNm;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getPrptKindNm() {
		return prptKindNm;
	}
	public void setPrptKindNm(String prptKindNm) {
		this.prptKindNm = prptKindNm;
	}
	public String getGodsInfo() {
		return godsInfo;
	}
	public void setGodsInfo(String godsInfo) {
		this.godsInfo = godsInfo;
	}
	public String getDistCortNm() {
		return distCortNm;
	}
	public void setDistCortNm(String distCortNm) {
		this.distCortNm = distCortNm;
	}
}
