package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO15DTO {

	private String intvPlanDt;
	private String vsitDt;
	private String intvObjManNm;
	private String intvManNm;

	public String getIntvPlanDt() {
		return intvPlanDt;
	}
	public void setIntvPlanDt(String intvPlanDt) {
		this.intvPlanDt = intvPlanDt;
	}
	public String getVsitDt() {
		return vsitDt;
	}
	public void setVsitDt(String vsitDt) {
		this.vsitDt = vsitDt;
	}
	public String getIntvObjManNm() {
		return intvObjManNm;
	}
	public void setIntvObjManNm(String intvObjManNm) {
		this.intvObjManNm = intvObjManNm;
	}
	public String getIntvManNm() {
		return intvManNm;
	}
	public void setIntvManNm(String intvManNm) {
		this.intvManNm = intvManNm;
	}
}
