package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO21DTO {

    private String sendDttm;
    private String recvTelNo;
    private String dlvrEmpNo;
    private String dlvrManNm;
    private String msgType;
    private String sendTxt;
    public String getSendDttm() {
        return sendDttm;
    }
    public void setSendDttm(String sendDttm) {
        this.sendDttm = sendDttm;
    }
    public String getRecvTelNo() {
        return recvTelNo;
    }
    public void setRecvTelNo(String recvTelNo) {
        this.recvTelNo = recvTelNo;
    }
    public String getDlvrEmpNo() {
        return dlvrEmpNo;
    }
    public void setDlvrEmpNo(String dlvrEmpNo) {
        this.dlvrEmpNo = dlvrEmpNo;
    }
    public String getDlvrManNm() {
        return dlvrManNm;
    }
    public void setDlvrManNm(String dlvrManNm) {
        this.dlvrManNm = dlvrManNm;
    }
    public String getMsgType() {
        return msgType;
    }
    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }
    public String getSendTxt() {
        return sendTxt;
    }
    public void setSendTxt(String sendTxt) {
        this.sendTxt = sendTxt;
    }
}
