package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SmsTotDlyrDSSDDO02.java Class
 * 클래스설명   : 연체관리리스트 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class SmsTotDlyrDSSDDO02 {
	private String empNo;
	private String seq;
	private String cntn;
	private String procDt;
	private String sndTelNo;
	private String msgTitleCtt;

	public String getMsgTitleCtt() {
		return msgTitleCtt;
	}
	public void setMsgTitleCtt(String msgTitleCtt) {
		this.msgTitleCtt = msgTitleCtt;
	}
	public String getSndTelNo() {
		return sndTelNo;
	}
	public void setSndTelNo(String sndTelNo) {
		this.sndTelNo = sndTelNo;
	}
	public String getEmpNo() {
		return empNo;
	}
	public String getSeq() {
		return seq;
	}
	public String getCntn() {
		return cntn;
	}
	public String getProcDt() {
		return procDt;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}
	public void setCntn(String cntn) {
		this.cntn = cntn;
	}
	public void setProcDt(String procDt) {
		this.procDt = procDt;
	}
}