package hanalife.b.cn.ui.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.b.cn.ui.mapper.CustMainGuidMngMapper;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSCUSTSTATINFODTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO01DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO02DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO05DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO06DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO07DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO11DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO12DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO13DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO14DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO15DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO16DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO19DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO201DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO20DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO21DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO23DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO24DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSMDODTO;
import hanalife.b.cn.ui.service.BCNUIM02Service;
import hanalife.b.cn.ui.vo.BCNUIM02DSCUSTSTATINFOVO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO01VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO02VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO03VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO05VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO06VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO07VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO11VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO12VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO13VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO14VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO15VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO16VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO19VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO21VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO23VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO24VO;
import hanalife.b.cn.ui.vo.BCNUIM02S01InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S01OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S02InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S02OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S03InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S03OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S05InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S05OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S06InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S06OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S07InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S07OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S08InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S08OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S11InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S11OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S12InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S12OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S13InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S13OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S14InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S14OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S15InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S15OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S16InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S16OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S19InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S19OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S21InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S21OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S23InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S23OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S24InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S24OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02U01InVO;
import hanalife.b.cn.ui.vo.BCNUIM02U02InVO;
import hanalife.b.cn.ui.vo.BCNUIM02U03InVO;
import hanalife.c.co.mapper.BtCustRefInfoMapper;
import hanalife.c.co.mapper.dto.BtCustRefInfoDTO;
import hanalife.c.co.util.DateUtil;
import hanalife.c.co.util.StringUtil;
import hanalife.r.co.as.service.AskUnrcvProcService;
import hanalife.r.co.as.vo.AskUnrcvObjVO;
import hanalife.r.co.as.vo.AskUnrcvVO;
import hanalife.r.co.as.vo.BndVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02ServiceImpl.java Class
 * 클래스설명   : todo1 (todo0) Service Implements
 * 작성일자     : 2023. 3. 7.
 * 작성자명     : 70326 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIM02S01 : 채권상담관리 목록조회
 * </pre>
 */

@Service("BCNUIM02Service")
public class BCNUIM02ServiceImpl implements BCNUIM02Service {

	private static final Logger LOGGER = LoggerFactory.getLogger(BCNUIM02ServiceImpl.class);

	 @Autowired
	 private CustMainGuidMngMapper custMainGuidMngMapper;
	 @Autowired
	 private BtCustRefInfoMapper btCustRefInfoMapper;

	 @Autowired
	 private AskUnrcvProcService askUnrcvProcService;
	/**
	 * <p>메소드명      : getBLMLM04S01 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S01InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S01OutVO getBCNUIM02S01(BCNUIM02S01InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S01 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S01OutVO resultVo = new BCNUIM02S01OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */
		intDto.setCustNo(inVo.getCustNo());             /** 고객번호 */
		intDto.setIvltClosFg("1");     /**  */
		//if( !inVo.getTelNo().equals(null)) {
		intDto.setTelNo( StringUtil.replaceStr( StringUtil.nvl(inVo.getTelNo()), "-", "") );     /**  */
		//}

		LOGGER.info("확" + intDto.getTelNo() + "인");

		if( !inVo.getCustNo().equals("") ) {
			intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
			intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */
		}

		if( inVo.getIvltClosFg() == "" && inVo.getIvltClosFg().equals(null) ) {
			intDto.setIvltClosFg("1");
		} else {
			intDto.setIvltClosFg("");
		}

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO01DTO> resultDTO = custMainGuidMngMapper.searchCustMainGuidMng(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO01VO> resultList = new ArrayList<BCNUIM02DSSDDO01VO>();

        for (CustMainGuidMngDSSDDO01DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO01VO sddoVo = new BCNUIM02DSSDDO01VO();

        	sddoVo.setCustNo(outDTO.getCustNo()); /*  */
        	sddoVo.setCustNm(outDTO.getCustNm()); /*  */
        	sddoVo.setLoanNo(outDTO.getLoanNo()); /*  */
        	sddoVo.setLoanSeq(outDTO.getLoanSeq()); /*  */
        	sddoVo.setBndStatNm(outDTO.getBndStatNm()); /*  */
        	sddoVo.setDlyTcnt(outDTO.getDlyTcnt()); /*  */
        	sddoVo.setDlyAmt(outDTO.getDlyAmt()); /*  */
        	sddoVo.setLoanPamt(outDTO.getLoanPamt()); /*  */
        	sddoVo.setDlyPamt(outDTO.getDlyPamt()); /*  */
        	sddoVo.setLoanTerm(outDTO.getLoanTerm()); /*  */
        	sddoVo.setDueMethNm(outDTO.getDueMethNm()); /*  */
        	sddoVo.setSetlDd(outDTO.getSetlDd()); /*  */
        	sddoVo.setDeptNm(outDTO.getDeptNm()); /*  */
        	sddoVo.setPrdtClasNm(outDTO.getPrdtClasNm()); /*  */
        	sddoVo.setPrdtNm(outDTO.getPrdtNm()); /*  */
        	sddoVo.setGodsNm(outDTO.getGodsNm()); /*  */
        	sddoVo.setCustResiNo(outDTO.getCustResiNo()); /*  */
        	sddoVo.setCarsNo(outDTO.getCarsNo()); /*  */
        	sddoVo.setCustTpCd(outDTO.getCustTpCd()); /*  */
        	sddoVo.setDlyDdcnt(outDTO.getDlyDdcnt()); /*  */
        	sddoVo.setLoanStatNm(outDTO.getLoanStatNm()); /*  */
        	sddoVo.setRcntSetlDt(outDTO.getRcntSetlDt()); /* 최근결제일자 */
        	sddoVo.setNextDueDt(outDTO.getNextDueDt()); /* 다음이자납입예정일자 */
        	sddoVo.setCntcPlcTel(outDTO.getCntcPlcTel()); /* 휴대전화번호 */
        	//sddoVo.setPrdtlrgeclascd(outDTO.getPrdtlrgeclascd()); /*  */
        	//sddoVo.setPrdtmidclascd(outDTO.getPrdtmidclascd()); /*  */
        	//sddoVo.setPrdtsmclascd(outDTO.getPrdtsmclascd()); /*  */


            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO01VOLIST(resultList);


		return resultVo;
	}


	/**
	 * <p>메소드명      : getBLMLM04S02 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S02InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S02OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S02OutVO getBCNUIM02S02(BCNUIM02S02InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S02 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S02OutVO resultVo = new BCNUIM02S02OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO02DTO> resultDTO = custMainGuidMngMapper.searchMain1(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO02VO> resultList = new ArrayList<BCNUIM02DSSDDO02VO>();

        for (CustMainGuidMngDSSDDO02DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO02VO sddoVo = new BCNUIM02DSSDDO02VO();

        	sddoVo.setLoanNo(outDTO.getLoanNo()); /*  */
        	sddoVo.setLoanSeq(outDTO.getLoanSeq()); /*  */
        	sddoVo.setExecDt(outDTO.getExecDt()); /*  */
        	sddoVo.setEprtDt(outDTO.getEprtDt()); /*  */
        	sddoVo.setLoanTerm(outDTO.getLoanTerm()); /*  */
        	sddoVo.setLoanIntRt(outDTO.getLoanIntRt()); /*  */
        	sddoVo.setDfeeRt(outDTO.getDfeeRt()); /*  */
        	sddoVo.setGodsPrce(outDTO.getGodsPrce()); /*  */
        	sddoVo.setCarsNo(outDTO.getCarsNo()); /*  */
        	sddoVo.setMakeYymm(outDTO.getMakeYymm()); /*  */
        	sddoVo.setCarsNm(outDTO.getCarsNm()); /*  */
        	sddoVo.setDueMethNm(outDTO.getDueMethNm()); /*  */
        	sddoVo.setInstEmpNm(outDTO.getInstEmpNm()); /*  */
        	sddoVo.setInstCprtComNm(outDTO.getInstCprtComNm()); /*  */
        	sddoVo.setInstCprtBranNm(outDTO.getInstCprtBranNm()); /*  */
        	sddoVo.setSetlDd(outDTO.getSetlDd()); /*  */
        	sddoVo.setSaleEmpResiNm(outDTO.getSaleEmpResiNm()); /*  */
        	sddoVo.setCprtComNm(outDTO.getCprtComNm()); /*  */
        	sddoVo.setCprtBranNm(outDTO.getCprtBranNm()); /*  */
        	sddoVo.setSetlAcntNo(outDTO.getSetlAcntNo()); /*  */
        	sddoVo.setSetlBankNm(outDTO.getSetlBankNm()); /*  */
        	sddoVo.setSetlDepoOwnnm(outDTO.getSetlDepoOwnnm()); /*  */
        	sddoVo.setImgAcntNo(outDTO.getImgAcntNo()); /*  */
        	sddoVo.setImgAcntBankNm(outDTO.getImgAcntBankNm()); /*  */
        	sddoVo.setImgDepoOwnnm(outDTO.getImgDepoOwnnm()); /*  */
        	sddoVo.setConsShNo(outDTO.getConsShNo()); /*  */
        	sddoVo.setReprTelNo(outDTO.getReprTelNo()); /*  */
        	sddoVo.setAskPlcDivNm(outDTO.getAskPlcDivNm()); /*  */
        	sddoVo.setEmal(outDTO.getEmal()); /*  */
        	sddoVo.setAskPlcMethNm(outDTO.getAskPlcMethNm()); /*  */
        	sddoVo.setRsndDt(outDTO.getRsndDt()); /*  */
        	sddoVo.setDlvrThngNm(outDTO.getDlvrThngNm()); /*  */
        	sddoVo.setRsndRsnNm(outDTO.getRsndRsnNm()); /*  */
        	sddoVo.setAskDt(outDTO.getAskDt()); /*  */
        	sddoVo.setAskAmt(outDTO.getAskAmt()); /*  */
        	sddoVo.setFcntDueDt(outDTO.getFcntDueDt()); /*  */
        	sddoVo.setCustMemo(outDTO.getCustMemo()); /*  */
        	sddoVo.setTxtRecvFg(outDTO.getTxtRecvFg()); /*  */
        	sddoVo.setImptRsn(outDTO.getImptRsn()); /*  */
        	sddoVo.setRmbrFrmlNm(outDTO.getRmbrFrmlNm()); /*  */
            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO02VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S03 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S03InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S03OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S03OutVO getBCNUIM02S03(BCNUIM02S03InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S03 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S03OutVO resultVo = new BCNUIM02S03OutVO();
		LOGGER.info("getBCNUIM02S03 시작1");
		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */

		AskUnrcvVO askUnrcvInVO = new AskUnrcvVO();
		AskUnrcvVO askUnrcvOutVO = new AskUnrcvVO();
		AskUnrcvObjVO objVO1 = new AskUnrcvObjVO();
		LOGGER.info("getBCNUIM02S03 시작2");
		objVO1.loanNo  = inVo.getLoanNo();
		objVO1.loanSeq = inVo.getLoanSeq();
		LOGGER.info("getBCNUIM02S03 시작3");
		if (inVo.getLoanNo() == null || inVo.getLoanSeq() == "") {
		    LOGGER.info("getBCNUIM02S03 시작4");
			objVO1.setlDt = DateUtil.getCurrentDateString(); //결제일자
		}
		else {
		    LOGGER.info("getBCNUIM02S03 시작5");
			objVO1.setlDt = inVo.getSetlDt();;
		}
		LOGGER.info("getBCNUIM02S03 시작6");
		askUnrcvInVO.addAskUnrcvObj(objVO1);;

		//LOGGER.info("input 확인:" askUnrcvInVO.getAskUnrcvObj(null, null));
		try {
		    LOGGER.info("getBCNUIM02S03 시작7");
			//askUnrcvOutVO = askUnrcvProcService.calcAskUnrcv(askUnrcvInVO);
		} catch (Exception e) {

			throw new Exception("청구미수 호출시 에러가 발생하였습니다.");
		} catch (Throwable x){

			throw new Exception("청구미수 호출시 에러가 발생하였습니다.");
		}


		if (!"0000".equals(askUnrcvInVO.rsltCd)) {
			throw new Exception(askUnrcvInVO.rsltCntn);
		}


		/** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO03VO> resultList = new ArrayList<BCNUIM02DSSDDO03VO>();

        if( askUnrcvOutVO != null && askUnrcvOutVO.sizeAskUnrcvObjList() > 0 && askUnrcvOutVO.sizeBndVOList() > 0
				&& askUnrcvOutVO.getAskUnrcvObj(0) != null && askUnrcvOutVO.getBndVO(0) != null )
        {

        	BndVO bndVO = askUnrcvOutVO.getBndVO(0);
        	AskUnrcvObjVO askUnrcvObjVO = askUnrcvOutVO.getAskUnrcvObj(0);
        	boolean isIvltClosFg = "15".equals(askUnrcvObjVO.bndStatCd);

        	/** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO03VO sddoVo = new BCNUIM02DSSDDO03VO();

        	sddoVo.setrThmmDueTims( String.valueOf( bndVO.thmmDueTims ) ); //당월납입회차(경과회차)
        	sddoVo.setrLastSetlTims( String.valueOf( bndVO.lastSetlTims ) ); //최종결제회차(상환회차)
        	sddoVo.setrMidRmbrFeeRt( String.valueOf( bndVO.midRmbrFeeRt ) ); //중도상환율
        	sddoVo.setrIncdCostRt( String.valueOf( bndVO.incdCostRt ) ); //부대비용율

        	//간주이자율 = 중도상환율 - 부대비용율
   		 	if (bndVO.midRmbrFeeRt - bndVO.incdCostRt < 0) {
   		 		//ds.set(CustMainGuidMngSDDO03.R_DEM_INT_RT     , "0");
   		 		sddoVo.setrDemIntRt("0");
   		 	}
   		 	else {
   		 		sddoVo.setrDemIntRt(String.valueOf(bndVO.midRmbrFeeRt - bndVO.incdCostRt));
   		 	}

   		 	sddoVo.setrDlyTcnt( String.valueOf(bndVO.dlyTcnt) ); //연체회차
   		 	sddoVo.setrDlyPamt( String.valueOf(bndVO.dlyPamt) ); //연체원금
   		 	sddoVo.setrDlyInt( String.valueOf(bndVO.dlyInt) ); //연체이자
   		 	sddoVo.setrDfee( String.valueOf(bndVO.dfee) ); //연체료
   		 	sddoVo.setrLoanAmt( String.valueOf(bndVO.loanAmt) ); //대출금액

   		 	//전액상환원금(미회수원금)
   		 	if(isIvltClosFg){
   		 		sddoVo.setrUnWdrwPamt( String.valueOf(bndVO.pamtRamt) );
   		 	}else{
   		 		sddoVo.setrUnWdrwPamt( String.valueOf(bndVO.tamtRmbrPamt) );
   		 	}

   		 	sddoVo.setrLeglActnCostRmat( String.valueOf(bndVO.leglActnCostRamt) ); //가지급금(법적조치비용)
   		 	sddoVo.setrFeeRamt( String.valueOf(bndVO.stmpFeeRamt) ); //미수금(인지세)(미수잔액)
   		 	sddoVo.setrDlyDt( String.valueOf(bndVO.dlyDt) ); // 연체일

   		 	// 연체금액 = 연체원금 + 연체이자 + 연체취급수수료
   		 	sddoVo.setrDlyAmt( String.valueOf(bndVO.dlyPamt + bndVO.dlyTint + bndVO.dlyTrtFee) ); // 연체금액
   		 	sddoVo.setrSetlDt( bndVO.lastSetlDt ); // 최종결제일
   		 	sddoVo.setrDlyDdcnt( String.valueOf(bndVO.dlyDdcnt) ); // 연체일수
   		 	sddoVo.setrThmmDueDt( bndVO.thmmDueDt ); // 납입일자
   		 	sddoVo.setrThmmRlDueDt( bndVO.thmmRlDueDt ); // 실납입일자
   		 	sddoVo.setStndSetlDt( bndVO.setlDt ); // 기준일
   		 	sddoVo.setrLeglActnCostRamt( String.valueOf(bndVO.leglActnCostRamt) ); // 법조치비용

   		 	sddoVo.setrDsrcRamt( String.valueOf(bndVO.dsrcRamt) ); // 예가수금

   		 	if( isIvltClosFg ){
   		 		//ds.set(CustMainGuidMngSDDO03.R_TAMT_RMBR_OBJ_AMT_WITHOUT_PDUE_AMT ,
   		 				//String.valueOf(bndVO.pamtRamt + bndVO.dfee + bndVO.dlyInt + bndVO.normInt + bndVO.unComgInt + bndVO.stmpFeeRamt + bndVO.leglActnCostRamt));
   		 		//ds.set(CustMainGuidMngSDDO03.R_THDD_OBJ_AMT       , String.valueOf(bndVO.askAmt));

   		 		sddoVo.setrTamtRmbrObjAmtWithoutPdueAmt( String.valueOf(bndVO.pamtRamt + bndVO.dfee + bndVO.dlyInt + bndVO.normInt + bndVO.unComgInt + bndVO.stmpFeeRamt + bndVO.leglActnCostRamt) );
   		 		sddoVo.setrThddObjAmt( String.valueOf(bndVO.askAmt) );
   		 	} else {
   		 		//ds.set(CustMainGuidMngSDDO03.R_TAMT_RMBR_OBJ_AMT_WITHOUT_PDUE_AMT , String.valueOf(bndVO.tamtRmbrObjAmtWithoutPdueAmt));		// 변경중도상환금액
   		 		//ds.set(CustMainGuidMngSDDO03.R_THDD_OBJ_AMT       , String.valueOf(bndVO.currentAskAmt) );	//현재 총청구금
   		 		sddoVo.setrTamtRmbrObjAmtWithoutPdueAmt( String.valueOf(bndVO.tamtRmbrObjAmtWithoutPdueAmt) );
		 		sddoVo.setrThddObjAmt( String.valueOf(bndVO.currentAskAmt) );
   		 	}

   		 	sddoVo.setrRcptObjAmt( String.valueOf(bndVO.askAmt) );
   		 	sddoVo.setrThmmAmt( String.valueOf(bndVO.normPamt + bndVO.normTint + bndVO.stmpFeeRamt + bndVO.normTrtFee + bndVO.normAddLeasFee
   				 + bndVO.dlyVtax + bndVO.normIpayTax + bndVO.normInsuFee + bndVO.normIpayEtc - bndVO.normLtrmBrcvAmt) ); // 도래금액
   		 	sddoVo.setrThmmDueTims( String.valueOf(bndVO.thmmDueTims) ); // 도래회차
   		 	sddoVo.setrAskAmt( String.valueOf(bndVO.askAmt) ); // 상환대상금액 (청구금액)
   		 	sddoVo.setrLoseDt( String.valueOf(bndVO.loseDt) ); //2023-03-17 기한이익상실일자
   		 	sddoVo.setrMidRmbrInt( String.valueOf(bndVO.tamtRmbrFee) ); //2023-03-17 전액 중도상환수수료
   		 	sddoVo.setrTamtRmbrPamt( String.valueOf(bndVO.tamtRmbrPamt) ); //2023-03-17 중도상환원금
   		 	sddoVo.setrTamtRmbrFee( String.valueOf(bndVO.midRmbrInt) ); //2023-03-17 중도상환원금

   		 	resultList.add(sddoVo);
        }


        resultVo.setBCNUIM02DSSDDO03VOLIST(resultList);

		return resultVo;
	}


	/**
	 * <p>메소드명      : getBLMLM04S05 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S05InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S05OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S05OutVO getBCNUIM02S05(BCNUIM02S05InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S05 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S05OutVO resultVo = new BCNUIM02S05OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setCustNo(inVo.getCustNo());				/** 고객번호 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO05DTO> resultDTO = custMainGuidMngMapper.searchMain5(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO05VO> resultList = new ArrayList<BCNUIM02DSSDDO05VO>();
        BCNUIM02DSSDDO05VO sddoVo = new BCNUIM02DSSDDO05VO();
        for (CustMainGuidMngDSSDDO05DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	if( outDTO.getAddrDivCd().equals("01") ) { // 실거주지
        		sddoVo.setAddrDivCd(outDTO.getAddrDivCd());
        		sddoVo.setAddrDivNm(outDTO.getAddrDivNm());
        		sddoVo.setZipCd(outDTO.getZipCd());
        		sddoVo.setZipAddr(outDTO.getZipAddr());
        		sddoVo.setAddrSpec(outDTO.getAddrSpec());
        	} else if( outDTO.getAddrDivCd().equals("03") ) { // 직장
        		sddoVo.setOficAddrDivCd(outDTO.getAddrDivCd());
        		sddoVo.setOficAddrDivNm(outDTO.getAddrDivNm());
        		sddoVo.setOficZipCd(outDTO.getZipCd());
        		sddoVo.setOficZipAddr(outDTO.getZipAddr());
        		sddoVo.setOficAddrSpec(outDTO.getAddrSpec());
        	}

            /** 채권상담관리 List 객체에 추가하도록 수행 */
        }

        resultList.add(sddoVo);
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO05VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S06 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S06InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S06OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S06OutVO getBCNUIM02S06(BCNUIM02S06InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S06 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S06OutVO resultVo = new BCNUIM02S06OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setCustNo(inVo.getCustNo());				/** 고객번호 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO06DTO> resultDTO = custMainGuidMngMapper.searchMain6(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO06VO> resultList = new ArrayList<BCNUIM02DSSDDO06VO>();
        BCNUIM02DSSDDO06VO sddoVo = new BCNUIM02DSSDDO06VO();

        for (CustMainGuidMngDSSDDO06DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */

        	if( outDTO.getCntcPlcDivCd().equals("07") ) { // 휴대폰
        		sddoVo.setCntcPlcDivCd(outDTO.getCntcPlcDivCd());
        		sddoVo.setCntcPlcDivNm(outDTO.getCntcPlcDivNm());
        		sddoVo.setCntcPlcTel(outDTO.getCntcPlcTel());
        		sddoVo.setCntcStatCd(outDTO.getCntcStatCd());
        		sddoVo.setColor(outDTO.getColor());
        		sddoVo.setCntcPlcRelNm(outDTO.getCntcPlcRelNm());
        	} else if( outDTO.getCntcPlcDivCd().equals("01") ) { // 자택
        		sddoVo.setHomeCntcPlcDivCd(outDTO.getCntcPlcDivCd());
        		sddoVo.setHomeCntcPlcDivNm(outDTO.getCntcPlcDivNm());
        		sddoVo.setHomeCntcPlcTel(outDTO.getCntcPlcTel());
        		sddoVo.setHomeCntcStatCd(outDTO.getCntcStatCd());
        		sddoVo.setHomeColor(outDTO.getColor());
        		sddoVo.setHomeCntcPlcRelNm(outDTO.getCntcPlcRelNm());
        	} else if( outDTO.getCntcPlcDivCd().equals("04") ) { // 직장
        		sddoVo.setOficCntcPlcDivCd(outDTO.getCntcPlcDivCd());
        		sddoVo.setOficCntcPlcDivNm(outDTO.getCntcPlcDivNm());
        		sddoVo.setOficCntcPlcTel(outDTO.getCntcPlcTel());
        		sddoVo.setOficCntcStatCd(outDTO.getCntcStatCd());
        		sddoVo.setOficColor(outDTO.getColor());
        		sddoVo.setOficCntcPlcRelNm(outDTO.getCntcPlcRelNm());
        	} else if( outDTO.getCntcPlcDivCd().equals("99") ) { // 기타
        		sddoVo.setEtcCntcPlcDivCd(outDTO.getCntcPlcDivCd());
        		sddoVo.setEtcCntcPlcTel(outDTO.getCntcPlcTel());
        		sddoVo.setEtcCntcStatCd(outDTO.getCntcStatCd());
        		sddoVo.setEtcColor(outDTO.getColor());
        		sddoVo.setEtcCntcPlcRelNm(outDTO.getCntcPlcRelNm());
        	}

            /** 채권상담관리 List 객체에 추가하도록 수행 */

        }
        resultList.add(sddoVo);
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO06VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S02 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S02InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S02OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S07OutVO getBCNUIM02S07(BCNUIM02S07InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S07 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S07OutVO resultVo = new BCNUIM02S07OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO07DTO> resultDTO = custMainGuidMngMapper.searchMain7(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO07VO> resultList = new ArrayList<BCNUIM02DSSDDO07VO>();

        for (CustMainGuidMngDSSDDO07DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO07VO sddoVo = new BCNUIM02DSSDDO07VO();

        	sddoVo.setLoanNo(outDTO.getLoanNo()); /*  */
        	sddoVo.setLoanSeq(outDTO.getLoanSeq()); /*  */
        	sddoVo.setReadDiv(outDTO.getReadDiv()); /*  */
        	sddoVo.setCustNo(outDTO.getCustNo()); /*  */
        	sddoVo.setDivsManNm(outDTO.getDivsManNm()); /*  */
        	sddoVo.setCnslObjManNm(outDTO.getCnslObjManNm()); /*  */
        	sddoVo.setRegDt(outDTO.getRegDt()); /*  */
        	sddoVo.setRegTm(outDTO.getRegTm()); /*  */
        	sddoVo.setCntctPlcDivCd(outDTO.getCntctPlcDivCd()); /*  */
        	sddoVo.setCntctTpCd(outDTO.getCntctTpCd()); /*  */
        	sddoVo.setTelcCntn(outDTO.getTelcCntn()); /*  */
        	sddoVo.setTelcTelNo(outDTO.getTelcTelNo()); /*  */
        	sddoVo.setCntcStatCd(outDTO.getCntcStatCd()); /*  */
        	sddoVo.setTxtRecvFg(outDTO.getTxtRecvFg()); /*  */
        	sddoVo.setPrmsDt(outDTO.getPrmsDt()); /*  */
        	sddoVo.setPrmsAmt(outDTO.getPrmsAmt()); /*  */
        	sddoVo.setCnslDivCd(outDTO.getCnslDivCd()); /*  */
        	sddoVo.setCnslDivNm(outDTO.getCnslDivNm()); /*  */

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO07VOLIST(resultList);

		return resultVo;
	}


	/**
	 * <p>메소드명      : getBLMLM04S08 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S08InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S08OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S08OutVO getBCNUIM02S08(BCNUIM02S08InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S08 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S08OutVO resultVo = new BCNUIM02S08OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setCustNo(inVo.getCustNo());				/** 고객번호 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSCUSTSTATINFODTO> resultDTO = custMainGuidMngMapper.searchMain8(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSCUSTSTATINFOVO> resultList = new ArrayList<BCNUIM02DSCUSTSTATINFOVO>();

        for (CustMainGuidMngDSCUSTSTATINFODTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSCUSTSTATINFOVO sddoVo = new BCNUIM02DSCUSTSTATINFOVO();

        	sddoVo.setCustNo(outDTO.getCustNo());
        	sddoVo.setForeclosRightFg(outDTO.getForeclosRightFg());
        	sddoVo.setCustBnkruptFg(outDTO.getCustBnkruptFg());
        	sddoVo.setDeadFg(outDTO.getDeadFg());
        	sddoVo.setFraudFg(outDTO.getFraudFg());
        	sddoVo.setBnkruptFg(outDTO.getBnkruptFg());
        	sddoVo.setClsBizFg(outDTO.getClsBizFg());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSCUSTSTATINFOVOLIST(resultList);

		return resultVo;
	}


	/**
	 * <p>메소드명      : getBLMLM04S11 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S11InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S11OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S11OutVO getBCNUIM02S11(BCNUIM02S11InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S11 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S11OutVO resultVo = new BCNUIM02S11OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO11DTO> resultDTO = custMainGuidMngMapper.searchMain11(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO11VO> resultList = new ArrayList<BCNUIM02DSSDDO11VO>();

        for (CustMainGuidMngDSSDDO11DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO11VO sddoVo = new BCNUIM02DSSDDO11VO();

        	sddoVo.setPrdtNm(outDTO.getPrdtNm()); /* 상품명 */
        	sddoVo.setBndRamt(outDTO.getBndRamt()); /* 채권잔액 */
        	sddoVo.setAsetSondTpClasNm(outDTO.getAsetSondTpClasNm()); /* 충당금 */
        	sddoVo.setGodsNm(outDTO.getGodsNm()); /* 물품명 */
        	sddoVo.setRcntSetlAmt(outDTO.getRcntSetlAmt()); /* 최근결제금액 */
        	sddoVo.setLoanTerm(outDTO.getLoanTerm()); /* 대출개월 */
        	sddoVo.setLoanTotAmt(outDTO.getLoanTotAmt()); /* 대출총액 */
        	sddoVo.setLoanPamt(outDTO.getLoanPamt()); /* 대출원금 */
        	sddoVo.setFcntDueDt(outDTO.getFcntDueDt()); /* 초회납입일 */
        	sddoVo.setDefrTerm(outDTO.getDefrTerm()); /* 거치기간 */
        	sddoVo.setLoanPamtRamt(outDTO.getLoanPamtRamt()); /* 원금잔액 */
        	sddoVo.setLoanInt(outDTO.getLoanInt()); /* 대출이자 */
        	sddoVo.setLoanDt(outDTO.getLoanDt()); /* 대출일자 */
        	sddoVo.setEprtDt(outDTO.getEprtDt()); /* 만기일자 */
        	sddoVo.setLeasBndAmt(outDTO.getLeasBndAmt()); /* 만기일시납부금액 */
        	sddoVo.setLoanIntRt(outDTO.getLoanIntRt()); /* 이자율 */
        	sddoVo.setRmbrAmt(outDTO.getRmbrAmt()); /* 상환금 */
        	sddoVo.setLoanIntRamt(outDTO.getLoanIntRamt()); /* 이자잔액 */
        	sddoVo.setEarlAlrmInfo(outDTO.getEarlAlrmInfo()); /* 조기경보 */
        	sddoVo.setDlyOccrRegDt(outDTO.getDlyOccrRegDt()); /* 연체발생등록일자 */
        	sddoVo.setNcbGd(outDTO.getNcbGd()); /* 요주의 */
        	sddoVo.setNextDueDt(outDTO.getNextDueDt()); /* 다음이자납입일 */
        	sddoVo.setRcntSetlDt(outDTO.getRcntSetlDt());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO11VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S12 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S12InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S12OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S12OutVO getBCNUIM02S12(BCNUIM02S12InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S12 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S12OutVO resultVo = new BCNUIM02S12OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO12DTO> resultDTO = custMainGuidMngMapper.searchMain12(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO12VO> resultList = new ArrayList<BCNUIM02DSSDDO12VO>();

        for (CustMainGuidMngDSSDDO12DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO12VO sddoVo = new BCNUIM02DSSDDO12VO();

        	sddoVo.setTims(outDTO.getTims()); /* 회차 */
        	sddoVo.setDueDt(outDTO.getDueDt()); /* 납입일자 */
        	sddoVo.setMmPiamt(outDTO.getMmPiamt()); /* 청구원리금 */
        	sddoVo.setUnrcvPiamt(outDTO.getUnrcvPiamt()); /* 미수원리금 */
        	sddoVo.setSetlDt(outDTO.getSetlDt()); /* 수납일자 */
        	sddoVo.setRcptTot(outDTO.getRcptTot()); /* 수납금액 */
        	sddoVo.setRcptPiamt(outDTO.getRcptPiamt()); /* 납부원리금 */
        	sddoVo.setRcptDfee(outDTO.getRcptDfee()); /* 납부연체료 */
        	sddoVo.setEtcRcptTot(outDTO.getEtcRcptTot()); /* 기타납부금 */

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }
        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO12VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S13 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S12InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S12OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S13OutVO getBCNUIM02S13(BCNUIM02S13InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S13 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S13OutVO resultVo = new BCNUIM02S13OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO13DTO> resultDTO = custMainGuidMngMapper.searchMain13(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO13VO> resultList = new ArrayList<BCNUIM02DSSDDO13VO>();

        for (CustMainGuidMngDSSDDO13DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO13VO sddoVo = new BCNUIM02DSSDDO13VO();

        	sddoVo.setLoanRelNm(outDTO.getLoanRelNm());
        	sddoVo.setCustNm(outDTO.getCustNm());
        	sddoVo.setCustNo(outDTO.getCustNo());
        	sddoVo.setEsttRschCnt(outDTO.getEsttRschCnt());
        	sddoVo.setCarRschCnt(outDTO.getCarRschCnt());
        	sddoVo.setBndRschCnt(outDTO.getBndRschCnt());
        	sddoVo.setPropRschCnt(outDTO.getPropRschCnt());
        	sddoVo.setTotCnt(outDTO.getTotCnt());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO13VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S14 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S14InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S14OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S14OutVO getBCNUIM02S14(BCNUIM02S14InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S14 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S14OutVO resultVo = new BCNUIM02S14OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO14DTO> resultDTO = custMainGuidMngMapper.searchMain14(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO14VO> resultList = new ArrayList<BCNUIM02DSSDDO14VO>();

        for (CustMainGuidMngDSSDDO14DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO14VO sddoVo = new BCNUIM02DSSDDO14VO();

        	sddoVo.setConsDt(outDTO.getConsDt());
        	sddoVo.setCustNm(outDTO.getCustNm());
        	sddoVo.setActnStatNm(outDTO.getActnStatNm());
        	sddoVo.setCaseNo(outDTO.getCaseNo());
        	sddoVo.setPrptKindNm(outDTO.getPrptKindNm());
        	sddoVo.setGodsInfo(outDTO.getGodsInfo());
        	sddoVo.setDistCortNm(outDTO.getDistCortNm());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO14VOLIST(resultList);

		return resultVo;
	}


	/**
	 * <p>메소드명      : getBLMLM04S15 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S15InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S15OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S15OutVO getBCNUIM02S15(BCNUIM02S15InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S15 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S15OutVO resultVo = new BCNUIM02S15OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO15DTO> resultDTO = custMainGuidMngMapper.searchMain15(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO15VO> resultList = new ArrayList<BCNUIM02DSSDDO15VO>();

        for (CustMainGuidMngDSSDDO15DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO15VO sddoVo = new BCNUIM02DSSDDO15VO();

        	sddoVo.setIntvPlanDt(outDTO.getIntvPlanDt());
        	sddoVo.setVsitDt(outDTO.getVsitDt());
        	sddoVo.setIntvObjManNm(outDTO.getIntvObjManNm());
        	sddoVo.setIntvManNm(outDTO.getIntvManNm());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO15VOLIST(resultList);

		return resultVo;
	}

	/**
	 * <p>메소드명      : getBLMLM04S16 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S16InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S16OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S16OutVO getBCNUIM02S16(BCNUIM02S16InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S16 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S16OutVO resultVo = new BCNUIM02S16OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO16DTO> resultDTO = custMainGuidMngMapper.searchMain16(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO16VO> resultList = new ArrayList<BCNUIM02DSSDDO16VO>();

        for (CustMainGuidMngDSSDDO16DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO16VO sddoVo = new BCNUIM02DSSDDO16VO();

        	sddoVo.setLoanNo(outDTO.getLoanNo());
        	//sddoVo.setSnum(outDTO.getSnum());
        	sddoVo.setRegDt(outDTO.getRegDt());
        	sddoVo.setRegNm(outDTO.getRegNm());
        	sddoVo.setImptRsn(outDTO.getImptRsn());
        	sddoVo.setRefrCntn(outDTO.getRefrCntn());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO16VOLIST(resultList);

		return resultVo;
	}


	/**
	 * <p>메소드명      : getBLMLM04S19 : 채권상담관리 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author):
	 * <p>설명          : 채권상담관리  조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S19InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S19OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	@Override
	public BCNUIM02S19OutVO getBCNUIM02S19(BCNUIM02S19InVO inVo) throws Exception {

		LOGGER.info("getBCNUIM02S19 시작");
		/** 채권상담관리 서비스 결과값 객체 생성 */
		BCNUIM02S19OutVO resultVo = new BCNUIM02S19OutVO();

		/** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
		CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

		intDto.setLoanNo(inVo.getLoanNo());				/** 대출번호 */
		intDto.setLoanSeq(inVo.getLoanSeq());	   		/** 대출순번 */

		/** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO19DTO> resultDTO = custMainGuidMngMapper.searchMain19(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO19VO> resultList = new ArrayList<BCNUIM02DSSDDO19VO>();

        for (CustMainGuidMngDSSDDO19DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
        	BCNUIM02DSSDDO19VO sddoVo = new BCNUIM02DSSDDO19VO();

        	sddoVo.setMrtgLrgeClasNm(outDTO.getMrtgLrgeClasNm());
        	sddoVo.setMrtgSmClasNm(outDTO.getMrtgSmClasNm());
        	sddoVo.setGainMethNm(outDTO.getGainMethNm());
        	sddoVo.setMrtgOffrMannm(outDTO.getMrtgOffrMannm());
        	sddoVo.setRelNm(outDTO.getRelNm());
        	sddoVo.setSetDt(outDTO.getSetDt());
        	sddoVo.setSetMaxAmt(outDTO.getSetMaxAmt());
        	sddoVo.setClosDt(outDTO.getClosDt());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO19VOLIST(resultList);

		return resultVo;
	}

    /**
     * <p>메소드명      : getBLMLM04S21 : 채권상담관리 조회</p>
     * <p>작성일자      : 2023. 3. 9.
     * <p>작성자(author):
     * <p>설명          : 채권상담관리  조회 한다.</p>
     * <p>메소드인수    : BCNUIM02S21InVO </p>
     * <p>메소드리턴값  : BCNUIM02S21OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    @Override
    public BCNUIM02S21OutVO getBCNUIM02S21(BCNUIM02S21InVO inVo) throws Exception {

        LOGGER.info("getBCNUIM02S21 시작");
        /** 채권상담관리 서비스 결과값 객체 생성 */
        BCNUIM02S21OutVO resultVo = new BCNUIM02S21OutVO();

        /** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
        CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

        intDto.setLoanNo(inVo.getLoanNo());             /** 대출번호 */
        intDto.setLoanSeq(inVo.getLoanSeq());           /** 대출순번 */

        /** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO21DTO> resultDTO = custMainGuidMngMapper.searchMain21(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO21VO> resultList = new ArrayList<BCNUIM02DSSDDO21VO>();

        for (CustMainGuidMngDSSDDO21DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
            BCNUIM02DSSDDO21VO sddoVo = new BCNUIM02DSSDDO21VO();

            sddoVo.setSendDttm(outDTO.getSendDttm());
            sddoVo.setRecvTelNo(outDTO.getRecvTelNo());
            sddoVo.setDlvrEmpNo(outDTO.getDlvrEmpNo());
            sddoVo.setDlvrManNm(outDTO.getDlvrManNm());
            sddoVo.setMsgType(outDTO.getMsgType());
            sddoVo.setSendTxt(outDTO.getSendTxt());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO21VOLIST(resultList);

        return resultVo;
    }


    /**
     * <p>메소드명      : getBLMLM04S23 : 채권상담관리 조회</p>
     * <p>작성일자      : 2023. 3. 9.
     * <p>작성자(author):
     * <p>설명          : 채권상담관리  조회 한다.</p>
     * <p>메소드인수    : BCNUIM02S23InVO </p>
     * <p>메소드리턴값  : BCNUIM02S23OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    @Override
    public BCNUIM02S23OutVO getBCNUIM02S23(BCNUIM02S23InVO inVo) throws Exception {

        LOGGER.info("getBCNUIM02S23 시작");
        /** 채권상담관리 서비스 결과값 객체 생성 */
        BCNUIM02S23OutVO resultVo = new BCNUIM02S23OutVO();

        /** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
        CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

        intDto.setLoanNo(inVo.getLoanNo());             /** 대출번호 */
        intDto.setLoanSeq(inVo.getLoanSeq());           /** 대출순번 */

        /** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO23DTO> resultDTO = custMainGuidMngMapper.searchMain23(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO23VO> resultList = new ArrayList<BCNUIM02DSSDDO23VO>();

        for (CustMainGuidMngDSSDDO23DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
            BCNUIM02DSSDDO23VO sddoVo = new BCNUIM02DSSDDO23VO();

            sddoVo.setRlDueDt(outDTO.getRlDueDt());
            sddoVo.setTrOrgNm(outDTO.getTrOrgNm());
            sddoVo.setBankNm(outDTO.getBankNm());
            sddoVo.setSetlDd(outDTO.getSetlDd());
            sddoVo.setDlyTcnt(outDTO.getDlyTcnt());
            sddoVo.setAskDivNm(outDTO.getAskDivNm());
            sddoVo.setAskTims(outDTO.getAskTims());
            sddoVo.setAskAmt(outDTO.getAskAmt());
            sddoVo.setSetlAmt(outDTO.getSetlAmt());
            sddoVo.setDepoOwnnm(outDTO.getDepoOwnnm());
            sddoVo.setAcntNo(outDTO.getAcntNo());
            sddoVo.setAskPamt(outDTO.getAskPamt());
            sddoVo.setAskInt(outDTO.getAskInt());
            sddoVo.setAskDfee(outDTO.getAskDfee());
            sddoVo.setAskLeglActnCost(outDTO.getAskLeglActnCost());
            sddoVo.setSrcpRamt(outDTO.getSrcpRamt());
            sddoVo.setRcptPamt(outDTO.getRcptPamt());
            sddoVo.setRcptInt(outDTO.getRcptInt());
            sddoVo.setRcptDfee(outDTO.getRcptDfee());
            sddoVo.setLeglActnCost(outDTO.getLeglActnCost());
            sddoVo.setDsrcOccrAmt(outDTO.getDsrcOccrAmt());
            sddoVo.setRcptAmt(outDTO.getRcptAmt());
            sddoVo.setDsrcNo(outDTO.getDsrcNo());
            sddoVo.setPdueAmt(outDTO.getPdueAmt());
            sddoVo.setUnrcvAmt(outDTO.getUnrcvAmt());
            sddoVo.setOamtErr(outDTO.getOamtErr());
            sddoVo.setOamtErrCd(outDTO.getOamtErrCd());
            sddoVo.setSetlNo(outDTO.getSetlNo());
            sddoVo.setAskStmpFee(outDTO.getAskStmpFee());
            sddoVo.setRcptStmpFee(outDTO.getRcptStmpFee());
            sddoVo.setLoanPamtRamt(outDTO.getLoanPamtRamt());
            sddoVo.setAcntStatNm(outDTO.getAcntStatNm());

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO23VOLIST(resultList);

        return resultVo;
    }

    /**
     * <p>메소드명      : getBLMLM04S24 : 채권상담관리 조회</p>
     * <p>작성일자      : 2023. 3. 9.
     * <p>작성자(author):
     * <p>설명          : 채권상담관리  조회 한다.</p>
     * <p>메소드인수    : BCNUIM02S24InVO </p>
     * <p>메소드리턴값  : BCNUIM02S24OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    @Override
    public BCNUIM02S24OutVO getBCNUIM02S24(BCNUIM02S24InVO inVo) throws Exception {

        LOGGER.info("getBCNUIM02S24 시작");
        /** 채권상담관리 서비스 결과값 객체 생성 */
        BCNUIM02S24OutVO resultVo = new BCNUIM02S24OutVO();

        /** 채권상담관리 조회 조건 입력값 객체 생성 및 대입 수행 */
        CustMainGuidMngDSSMDODTO   intDto = new CustMainGuidMngDSSMDODTO();

        intDto.setLoanNo(inVo.getLoanNo());             /** 대출번호 */
        intDto.setLoanSeq(inVo.getLoanSeq());           /** 대출순번 */

        /** 채권상담관리 조회 쿼리 Mapper 호출 수행 */
        List<CustMainGuidMngDSSDDO24DTO> resultDTO = custMainGuidMngMapper.searchMain24(intDto);
        LOGGER.info("resultDTO : " + resultDTO);
        /** 채권상담관리 화면 출력을 위한 결과값 List VO 객체 생성 */
        List<BCNUIM02DSSDDO24VO> resultList = new ArrayList<BCNUIM02DSSDDO24VO>();

        for (CustMainGuidMngDSSDDO24DTO outDTO : resultDTO) {

            /** 채권상담관리 VO에 조회된 Mapper DTO 값을 대입 */
            BCNUIM02DSSDDO24VO sddoVo = new BCNUIM02DSSDDO24VO();

            sddoVo.setSnum(outDTO.getSnum()); /** 일련번호 */
            sddoVo.setDueDt(outDTO.getDueDt()); /** 납입일자 */
            sddoVo.setDlvrDt(outDTO.getDlvrDt()); /** 연체일자 */
            sddoVo.setDlvrThngCd(outDTO.getDlvrThngCd()); /** 발송물코드 */
            sddoVo.setDlvrThngNm(outDTO.getDlvrThngNm()); /** 발송물 */
            sddoVo.setMngDeptCd(outDTO.getMngDeptCd()); /** 관리부서코드 */
            sddoVo.setMngDeptNm(outDTO.getMngDeptNm()); /** 관리부서 */
            sddoVo.setPrdtMidClasCd(outDTO.getPrdtMidClasCd()); /** 상품중분류코드 */
            sddoVo.setPrdtMidClasNm(outDTO.getPrdtMidClasNm()); /** 상품 */
            sddoVo.setContMan(outDTO.getContMan()); /** 고객명 */
            sddoVo.setLoanNo(outDTO.getLoanNo()); /** 대출번호 */
            sddoVo.setLoanSeq(outDTO.getLoanSeq()); /** 대출일련번호 */
            sddoVo.setLoanRelCd(outDTO.getLoanRelCd()); /** 대출관계코드 */
            sddoVo.setLoanRelNm(outDTO.getLoanRelNm()); /** 대출관계 */
            sddoVo.setRecvMan(outDTO.getRecvMan()); /** 수신자 */
            sddoVo.setRlDueManFg(outDTO.getRlDueManFg()); /** 실납입여부 */
            sddoVo.setAskAmt(outDTO.getAskAmt()); /** 청구금액 */
            sddoVo.setSetlDd(outDTO.getSetlDd()); /** 결제일 */
            sddoVo.setAskPamt(outDTO.getAskPamt()); /** 청구원금 */
            sddoVo.setAskInt(outDTO.getAskInt()); /** 청구이자 */
            sddoVo.setAskDfee(outDTO.getAskDfee()); /** 청구연체료 */
            sddoVo.setAskLeglActnCost(outDTO.getAskLeglActnCost()); /** 청구가지급금 */
            sddoVo.setNormPamt(outDTO.getNormPamt()); /** 정상원금 */
            sddoVo.setNormInt(outDTO.getNormInt()); /** 정상이자 */
            sddoVo.setDlyPamt(outDTO.getDlyPamt()); /** 연체원금 */
            sddoVo.setDlyInt(outDTO.getDlyInt()); /** 연체이자 */
            sddoVo.setDlyTcnt(outDTO.getDlyTcnt()); /** 연체횟수 */
            sddoVo.setDlyDdcnt(outDTO.getDlyDdcnt()); /** 연체일수 */
            sddoVo.setDlyStrtDt(outDTO.getDlyStrtDt()); /** 연체시작일자 */
            sddoVo.setLoanDt(outDTO.getLoanDt()); /** 대출일자 */
            sddoVo.setEprtDt(outDTO.getEprtDt()); /** 만기일자 */
            sddoVo.setFcntDueDt(outDTO.getFcntDueDt()); /** 최초납입일자 */
            sddoVo.setClsDt(outDTO.getClsDt()); /** 마감일자 */
            sddoVo.setClsSnum(outDTO.getClsSnum()); /** 마감일련번호 */
            sddoVo.setRsndFg(outDTO.getRsndFg()); /** 반송여부 */
            sddoVo.setCorrFg(outDTO.getCorrFg()); /** 보정여부 */
            sddoVo.setRecvAddr(outDTO.getRecvAddr()); /** 주소 */
            sddoVo.setLastEmpNo(outDTO.getLastEmpNo()); /** 등록사번 */
            sddoVo.setLastEmpNm(outDTO.getLastEmpNm()); /** 등록자명 */
            sddoVo.setRegDtTm(outDTO.getRegDtTm()); /** 등록일시 */
            sddoVo.setAcctUnitCd(outDTO.getAcctUnitCd()); /**  */
            sddoVo.setAcctUnitNm(outDTO.getAcctUnitNm()); /**  */
            sddoVo.setIntgDlvrFg(outDTO.getIntgDlvrFg()); /** 통합여부 */
            sddoVo.setPrdtLrgeClasCd(outDTO.getPrdtLrgeClasCd()); /** 상품대분류코드 */
            sddoVo.setAskTrtFee(outDTO.getAskTrtFee()); /** 청구취급수수료 */
            sddoVo.setNormTrtFee(outDTO.getNormTrtFee()); /** 정상취급수수료 */
            sddoVo.setDlyTrtFee(outDTO.getDlyTrtFee()); /** 연체취급수수료 */
            sddoVo.setTrtFeeIstpFg(outDTO.getTrtFeeIstpFg()); /**  */
            sddoVo.setSubDlvrFg(outDTO.getSubDlvrFg()); /**  */
            sddoVo.setSmsSendFg(outDTO.getSmsSendFg()); /**  */
            sddoVo.setFaxRqstFilePath(outDTO.getFaxRqstFilePath()); /**  */
            sddoVo.setSmsCntn(outDTO.getSmsCntn()); /**  */
            sddoVo.setDdayLoseRsn(outDTO.getDdayLoseRsn()); /**  */
            sddoVo.setRlDlvrDt(outDTO.getRlDlvrDt()); /** 발송일자 */
            sddoVo.setSubDlvrThngCd(outDTO.getSubDlvrThngCd()); /** 발송제외코드 */
            sddoVo.setSubDlvrThngNm(outDTO.getSubDlvrThngNm()); /** 발송제외 */

            /** 채권상담관리 List 객체에 추가하도록 수행 */
            resultList.add(sddoVo);
        }

        LOGGER.info("resultList : " + resultList.size());
        resultVo.setBCNUIM02DSSDDO24VOLIST(resultList);

        return resultVo;
    }

    /**
     * 메소드명 : getBCNUIM02U01 : 주요사항 등록/삭제
     * 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
     * 설명 : 주요사항 등록/삭제 한다.
     * 메소드인수 : BCNUIM02U01InVO
     * 메소드리턴값 :
     * 예외처리 : Exception
     */
    @Override
    public int getBCNUIM02U01(BCNUIM02U01InVO inVo) throws Exception {

        for (int i = 0; i < inVo.getBCNUIM02DSSDDO16VO().size(); i++) {

            BtCustRefInfoDTO btCustRefInfoDTO = new BtCustRefInfoDTO();

            btCustRefInfoDTO.setLoanNo(inVo.getBCNUIM02DSSDDO16VO().get(i).getLoanNo());
            btCustRefInfoDTO.setSnum(inVo.getBCNUIM02DSSDDO16VO().get(i).getSnum());
            btCustRefInfoDTO.setRegDt(inVo.getBCNUIM02DSSDDO16VO().get(i).getRegDt());
            btCustRefInfoDTO.setRefrCntn(inVo.getBCNUIM02DSSDDO16VO().get(i).getRefrCntn());
            btCustRefInfoDTO.setFrstRegEmpNo(inVo.getBCNUIM02DSSDDO16VO().get(i).getLogInEmpNo());
            btCustRefInfoDTO.setLastProcEmpNo(inVo.getBCNUIM02DSSDDO16VO().get(i).getLogInEmpNo());
            btCustRefInfoDTO.setImptRsn(inVo.getBCNUIM02DSSDDO16VO().get(i).getImptRsn());
            btCustRefInfoDTO.setDelYn(inVo.getBCNUIM02DSSDDO16VO().get(i).getDelYn());

            String operation = inVo.getBCNUIM02DSSDDO16VO().get(i).getOperation();
            String delYn = inVo.getBCNUIM02DSSDDO16VO().get(i).getDelYn();
           /* long snum = inVo.getBCNUIM02DSSDDO16VO().get(i).getSnum();

            if( operation.equals("U") && snum == 0) {
                btCustRefInfoMapper.insert(btCustRefInfoDTO);
            } else if( operation.equals("U") && delYn.equals("0") ) {
                btCustRefInfoMapper.update(btCustRefInfoDTO);
            } else if( operation.equals("U") && delYn.equals("1") ) {
                btCustRefInfoMapper.delete(btCustRefInfoDTO);
            } else if( operation.equals("D") ) {
                btCustRefInfoMapper.remove(btCustRefInfoDTO);
            }
            */
        }

        return 0;
    }


    /**
     * 메소드명 : getBCNUIM02U02 : 주요메모 등록
     * 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
     * 설명 : 주요메모 등록 한다.
     * 메소드인수 : BCNUIM02U02InVO
     * 메소드리턴값 :
     * 예외처리 : Exception
     */
    @Override
    public int getBCNUIM02U02(BCNUIM02U02InVO inVo) throws Exception {

        CustMainGuidMngDSSDDO20DTO custMainGuidMngDSSDDO20DTO = new CustMainGuidMngDSSDDO20DTO();

        custMainGuidMngDSSDDO20DTO.setCustNo(inVo.getBCNUIM02DSSDDO20VO().getCustNo());
        custMainGuidMngDSSDDO20DTO.setCustMemo(inVo.getBCNUIM02DSSDDO20VO().getCustMemo());
        custMainGuidMngDSSDDO20DTO.setLastProcEmpNo(inVo.getBCNUIM02DSSDDO20VO().getLogInEmpNo());

        if( StringUtil.isBlank( custMainGuidMngDSSDDO20DTO.getCustMemo() ) ) {
            throw new Exception("메모를 입력하세요.");
        }

        if( custMainGuidMngDSSDDO20DTO.getCustMemo().getBytes().length > 199 ) {
            throw new Exception("메모는 200byte를 넘을수 없습니다.(" +custMainGuidMngDSSDDO20DTO.getCustMemo().getBytes().length + " bytes)");
        }

        custMainGuidMngMapper.insertMemo(custMainGuidMngDSSDDO20DTO);

        return 0;
    }

    /**
     * 메소드명 : getBCNUIM02U03 : 문자거부정보 update
     * 작성일자 : 2023. 2. 27. 작성자(author): 70281 /
     * 설명 : 주요메모 등록 한다.
     * 메소드인수 : BCNUIM02U03InVO
     * 메소드리턴값 :
     * 예외처리 : Exception
     */
    @Override
    public int getBCNUIM02U03(BCNUIM02U03InVO inVo) throws Exception {
        CustMainGuidMngDSSDDO201DTO custMainGuidMngDSSDDO201DTO = new CustMainGuidMngDSSDDO201DTO();

        custMainGuidMngDSSDDO201DTO.setCustNo(inVo.getBCNUIM02DSSDDO201VO().getCustNo());
        custMainGuidMngDSSDDO201DTO.setLoanNo(inVo.getBCNUIM02DSSDDO201VO().getLoanNo());
        custMainGuidMngDSSDDO201DTO.setLoanSeq(inVo.getBCNUIM02DSSDDO201VO().getLoanSeq());
        custMainGuidMngDSSDDO201DTO.setTxtRecvFg("0");

        custMainGuidMngMapper.updateTxtRecvFg(custMainGuidMngDSSDDO201DTO);

        return 0;
    }
}
