package hanalife.b.dl.dl.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptCorpSDDI01DTO.java Class
 * 클래스설명   : 법인 연체현황건수, 금액 조회를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyReptCorpSDDI01DTO {

    private String stndDt;
    private String readDivCd;
    private String readTp;
    private String cnslDtFr;
    private String cnslDtTo;
    private String aprvDtFr;
    private String aprvDtTo;
    private String payDtFr;
    private String payDtTo;
    private String prdtClasCd;
    private String lrgeClasCd;
    private String midClasCd;
    private String comrCarPrdtFg;
    private String makrCd;
    private String cprtComNo;
    private String mngDeptCd;
    private String custTpCd;
    private String readDivCd_1;
    private String ton;
    /** 톤수구분(승/상용) */
    private String loanStat;
    /** 대출상태구분 */
    private String prdtMidCd;

    /** 상품분류 신,중고차 */

    public String getStndDt() {
        return stndDt;
    }

    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }

    public String getReadDivCd() {
        return readDivCd;
    }

    public void setReadDivCd(String readDivCd) {
        this.readDivCd = readDivCd;
    }

    public String getReadTp() {
        return readTp;
    }

    public void setReadTp(String readTp) {
        this.readTp = readTp;
    }

    public String getCnslDtFr() {
        return cnslDtFr;
    }

    public void setCnslDtFr(String cnslDtFr) {
        this.cnslDtFr = cnslDtFr;
    }

    public String getCnslDtTo() {
        return cnslDtTo;
    }

    public void setCnslDtTo(String cnslDtTo) {
        this.cnslDtTo = cnslDtTo;
    }

    public String getAprvDtFr() {
        return aprvDtFr;
    }

    public void setAprvDtFr(String aprvDtFr) {
        this.aprvDtFr = aprvDtFr;
    }

    public String getAprvDtTo() {
        return aprvDtTo;
    }

    public void setAprvDtTo(String aprvDtTo) {
        this.aprvDtTo = aprvDtTo;
    }

    public String getPayDtFr() {
        return payDtFr;
    }

    public void setPayDtFr(String payDtFr) {
        this.payDtFr = payDtFr;
    }

    public String getPayDtTo() {
        return payDtTo;
    }

    public void setPayDtTo(String payDtTo) {
        this.payDtTo = payDtTo;
    }

    public String getPrdtClasCd() {
        return prdtClasCd;
    }

    public void setPrdtClasCd(String prdtClasCd) {
        this.prdtClasCd = prdtClasCd;
    }

    public String getLrgeClasCd() {
        return lrgeClasCd;
    }

    public void setLrgeClasCd(String lrgeClasCd) {
        this.lrgeClasCd = lrgeClasCd;
    }

    public String getMidClasCd() {
        return midClasCd;
    }

    public void setMidClasCd(String midClasCd) {
        this.midClasCd = midClasCd;
    }

    public String getComrCarPrdtFg() {
        return comrCarPrdtFg;
    }

    public void setComrCarPrdtFg(String comrCarPrdtFg) {
        this.comrCarPrdtFg = comrCarPrdtFg;
    }

    public String getMakrCd() {
        return makrCd;
    }

    public void setMakrCd(String makrCd) {
        this.makrCd = makrCd;
    }

    public String getCprtComNo() {
        return cprtComNo;
    }

    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }

    public String getMngDeptCd() {
        return mngDeptCd;
    }

    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }

    public String getCustTpCd() {
        return custTpCd;
    }

    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }

    public String getReadDivCd_1() {
        return readDivCd_1;
    }

    public void setReadDivCd_1(String readDivCd_1) {
        this.readDivCd_1 = readDivCd_1;
    }

    public String getTon() {
        return ton;
    }

    public void setTon(String ton) {
        this.ton = ton;
    }

    public String getLoanStat() {
        return loanStat;
    }

    public void setLoanStat(String loanStat) {
        this.loanStat = loanStat;
    }

    public String getPrdtMidCd() {
        return prdtMidCd;
    }

    public void setPrdtMidCd(String prdtMidCd) {
        this.prdtMidCd = prdtMidCd;
    }

}
