package hanalife.b.dl.dl.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptCorpSDDO01DTO.java Class
 * 클래스설명   : 법인 연체현황금액 조회를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyReptCorpSDDO02DTO {

    private String readDiv;
    private String readDiv_1;
    private String totNormBndAmt;
    private String totDlyAmt;
    private String totDlyBndAmt;
    private String totBndAmt;
    private String dlyAmt1;
    private String dlyBntAmt1;
    private String dlyAmt2;
    private String dlyBntAmt2;
    private String dlyAmt3;
    private String dlyBntAmt3;
    private String dlyAmt4;
    private String dlyBntAmt4;
    private String dlyAmt5;
    private String dlyBntAmt5;
    private String dlyAmt6;
    private String dlyBntAmt6;
    private String dlyAmt7;
    private String dlyBntAmt7;
    private String dlyAmt8;
    private String dlyBntAmt8;
    private String dlyAmt9;
    private String dlyBntAmt9;
    private String dlyAmt10;
    private String dlyBntAmt10;
    private String dlyAmt11;
    private String dlyBntAmt11;
    private String dlyAmt12;
    private String dlyBntAmt12;

    public String getReadDiv() {
        return readDiv;
    }

    public void setReadDiv(String readDiv) {
        this.readDiv = readDiv;
    }

    public String getReadDiv_1() {
        return readDiv_1;
    }

    public void setReadDiv_1(String readDiv_1) {
        this.readDiv_1 = readDiv_1;
    }

    public String getTotNormBndAmt() {
        return totNormBndAmt;
    }

    public void setTotNormBndAmt(String totNormBndAmt) {
        this.totNormBndAmt = totNormBndAmt;
    }

    public String getTotDlyAmt() {
        return totDlyAmt;
    }

    public void setTotDlyAmt(String totDlyAmt) {
        this.totDlyAmt = totDlyAmt;
    }

    public String getTotDlyBndAmt() {
        return totDlyBndAmt;
    }

    public void setTotDlyBndAmt(String totDlyBndAmt) {
        this.totDlyBndAmt = totDlyBndAmt;
    }

    public String getTotBndAmt() {
        return totBndAmt;
    }

    public void setTotBndAmt(String totBndAmt) {
        this.totBndAmt = totBndAmt;
    }

    public String getDlyAmt1() {
        return dlyAmt1;
    }

    public void setDlyAmt1(String dlyAmt1) {
        this.dlyAmt1 = dlyAmt1;
    }

    public String getDlyBntAmt1() {
        return dlyBntAmt1;
    }

    public void setDlyBntAmt1(String dlyBntAmt1) {
        this.dlyBntAmt1 = dlyBntAmt1;
    }

    public String getDlyAmt2() {
        return dlyAmt2;
    }

    public void setDlyAmt2(String dlyAmt2) {
        this.dlyAmt2 = dlyAmt2;
    }

    public String getDlyBntAmt2() {
        return dlyBntAmt2;
    }

    public void setDlyBntAmt2(String dlyBntAmt2) {
        this.dlyBntAmt2 = dlyBntAmt2;
    }

    public String getDlyAmt3() {
        return dlyAmt3;
    }

    public void setDlyAmt3(String dlyAmt3) {
        this.dlyAmt3 = dlyAmt3;
    }

    public String getDlyBntAmt3() {
        return dlyBntAmt3;
    }

    public void setDlyBntAmt3(String dlyBntAmt3) {
        this.dlyBntAmt3 = dlyBntAmt3;
    }

    public String getDlyAmt4() {
        return dlyAmt4;
    }

    public void setDlyAmt4(String dlyAmt4) {
        this.dlyAmt4 = dlyAmt4;
    }

    public String getDlyBntAmt4() {
        return dlyBntAmt4;
    }

    public void setDlyBntAmt4(String dlyBntAmt4) {
        this.dlyBntAmt4 = dlyBntAmt4;
    }

    public String getDlyAmt5() {
        return dlyAmt5;
    }

    public void setDlyAmt5(String dlyAmt5) {
        this.dlyAmt5 = dlyAmt5;
    }

    public String getDlyBntAmt5() {
        return dlyBntAmt5;
    }

    public void setDlyBntAmt5(String dlyBntAmt5) {
        this.dlyBntAmt5 = dlyBntAmt5;
    }

    public String getDlyAmt6() {
        return dlyAmt6;
    }

    public void setDlyAmt6(String dlyAmt6) {
        this.dlyAmt6 = dlyAmt6;
    }

    public String getDlyBntAmt6() {
        return dlyBntAmt6;
    }

    public void setDlyBntAmt6(String dlyBntAmt6) {
        this.dlyBntAmt6 = dlyBntAmt6;
    }

    public String getDlyAmt7() {
        return dlyAmt7;
    }

    public void setDlyAmt7(String dlyAmt7) {
        this.dlyAmt7 = dlyAmt7;
    }

    public String getDlyBntAmt7() {
        return dlyBntAmt7;
    }

    public void setDlyBntAmt7(String dlyBntAmt7) {
        this.dlyBntAmt7 = dlyBntAmt7;
    }

    public String getDlyAmt8() {
        return dlyAmt8;
    }

    public void setDlyAmt8(String dlyAmt8) {
        this.dlyAmt8 = dlyAmt8;
    }

    public String getDlyBntAmt8() {
        return dlyBntAmt8;
    }

    public void setDlyBntAmt8(String dlyBntAmt8) {
        this.dlyBntAmt8 = dlyBntAmt8;
    }

    public String getDlyAmt9() {
        return dlyAmt9;
    }

    public void setDlyAmt9(String dlyAmt9) {
        this.dlyAmt9 = dlyAmt9;
    }

    public String getDlyBntAmt9() {
        return dlyBntAmt9;
    }

    public void setDlyBntAmt9(String dlyBntAmt9) {
        this.dlyBntAmt9 = dlyBntAmt9;
    }

    public String getDlyAmt10() {
        return dlyAmt10;
    }

    public void setDlyAmt10(String dlyAmt10) {
        this.dlyAmt10 = dlyAmt10;
    }

    public String getDlyBntAmt10() {
        return dlyBntAmt10;
    }

    public void setDlyBntAmt10(String dlyBntAmt10) {
        this.dlyBntAmt10 = dlyBntAmt10;
    }

    public String getDlyAmt11() {
        return dlyAmt11;
    }

    public void setDlyAmt11(String dlyAmt11) {
        this.dlyAmt11 = dlyAmt11;
    }

    public String getDlyBntAmt11() {
        return dlyBntAmt11;
    }

    public void setDlyBntAmt11(String dlyBntAmt11) {
        this.dlyBntAmt11 = dlyBntAmt11;
    }

    public String getDlyAmt12() {
        return dlyAmt12;
    }

    public void setDlyAmt12(String dlyAmt12) {
        this.dlyAmt12 = dlyAmt12;
    }

    public String getDlyBntAmt12() {
        return dlyBntAmt12;
    }

    public void setDlyBntAmt12(String dlyBntAmt12) {
        this.dlyBntAmt12 = dlyBntAmt12;
    }
}
