package hanalife.b.dl.dl.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BDLDLM01DSSDDO01VO.java Class
 * 클래스설명   : 연체현황조회(부서별)를(을) 위한 VO
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BDLDLM01DSSDDO01VO {

    private String mngDeptCd; /* 관리부서코드 */
    private String mngDeptNm; /* 관리부서명 */
    private String thddDlyCnt; /* 당일연체건수 */
    private String thddDlyPamt; /* 당일연체원금잔액 */
    private String thddDlyAmt; /* 당일연체원리금 */
    private String thddDfee; /* 당일연체료 */
    private String dlySum; /* 연체합계금액 */
    private String thddBndCnt; /* 당일건수 */
    private String thddLoanPamtRamt; /* 당일대출원금잔액 */
    private String thddBndRamt; /* 당일원금잔액 */
    private String thddCntRat;      /* 당일연체율건수 */
    private String thddAmtRat1; /* 당일연체율+1 */
    private String thddAmtRat2; /* 당일연체율+30 */
    private String thddAmtRat3; /* 당일연체율+90 */
    private String thddDlyPamt1; /* 당일연체금액+1 */
    private String thddDlyPamt30; /* 당일연체금액+30 */
    private String thddDlyPamt90; /* 당일연체금액+90 */
    private String pamtRamt; /* 대출원금잔액 */

    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getMngDeptNm() {
        return mngDeptNm;
    }
    public void setMngDeptNm(String mngDeptNm) {
        this.mngDeptNm = mngDeptNm;
    }
    public String getThddDlyCnt() {
        return thddDlyCnt;
    }
    public void setThddDlyCnt(String thddDlyCnt) {
        this.thddDlyCnt = thddDlyCnt;
    }
    public String getThddDlyPamt() {
        return thddDlyPamt;
    }
    public void setThddDlyPamt(String thddDlyPamt) {
        this.thddDlyPamt = thddDlyPamt;
    }
    public String getThddDlyAmt() {
        return thddDlyAmt;
    }
    public void setThddDlyAmt(String thddDlyAmt) {
        this.thddDlyAmt = thddDlyAmt;
    }
    public String getThddDfee() {
        return thddDfee;
    }
    public void setThddDfee(String thddDfee) {
        this.thddDfee = thddDfee;
    }
    public String getDlySum() {
        return dlySum;
    }
    public void setDlySum(String dlySum) {
        this.dlySum = dlySum;
    }
    public String getThddBndCnt() {
        return thddBndCnt;
    }
    public void setThddBndCnt(String thddBndCnt) {
        this.thddBndCnt = thddBndCnt;
    }
    public String getThddLoanPamtRamt() {
        return thddLoanPamtRamt;
    }
    public void setThddLoanPamtRamt(String thddLoanPamtRamt) {
        this.thddLoanPamtRamt = thddLoanPamtRamt;
    }
    public String getThddBndRamt() {
        return thddBndRamt;
    }
    public void setThddBndRamt(String thddBndRamt) {
        this.thddBndRamt = thddBndRamt;
    }
    public String getThddCntRat() {
        return thddCntRat;
    }
    public void setThddCntRat(String thddCntRat) {
        this.thddCntRat = thddCntRat;
    }
    public String getThddAmtRat1() {
        return thddAmtRat1;
    }
    public void setThddAmtRat1(String thddAmtRat1) {
        this.thddAmtRat1 = thddAmtRat1;
    }
    public String getThddAmtRat2() {
        return thddAmtRat2;
    }
    public void setThddAmtRat2(String thddAmtRat2) {
        this.thddAmtRat2 = thddAmtRat2;
    }
    public String getThddAmtRat3() {
        return thddAmtRat3;
    }
    public void setThddAmtRat3(String thddAmtRat3) {
        this.thddAmtRat3 = thddAmtRat3;
    }
    public String getThddDlyPamt1() {
        return thddDlyPamt1;
    }
    public void setThddDlyPamt1(String thddDlyPamt1) {
        this.thddDlyPamt1 = thddDlyPamt1;
    }
    public String getThddDlyPamt30() {
        return thddDlyPamt30;
    }
    public void setThddDlyPamt30(String thddDlyPamt30) {
        this.thddDlyPamt30 = thddDlyPamt30;
    }
    public String getThddDlyPamt90() {
        return thddDlyPamt90;
    }
    public void setThddDlyPamt90(String thddDlyPamt90) {
        this.thddDlyPamt90 = thddDlyPamt90;
    }
    public String getPamtRamt() {
        return pamtRamt;
    }
    public void setPamtRamt(String pamtRamt) {
        this.pamtRamt = pamtRamt;
    }

}
