package hanalife.b.dl.dl.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BDLDLM01DSSDDO03VO.java Class
 * 클래스설명   : 연체현황조회(담당자별)를(을) 위한 VO
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BDLDLM01DSSDDO03VO {

    private String divsEmpNm; /* 담당자명 */
    private String divsEmpNo; /* 담당자번호 */
    private String thddDlyCnt; /* 당일연체건수 */
    private String thddDlyPamt; /* 당일연체원금잔액 */
    private String thddDlyAmt; /* 당일연체원리금 */
    private String thddDfee; /* 당일연체료 */
    private String dlySum; /* 연체합계금액 */
    private String thddBndCnt; /* 당일건수 */
    private String thddLoanPamtRamt; /* 당일대출원금잔액 */
    private String thddBndRamt; /* 당일원금잔액 */
    private String thddAmtRat1; /* 당일연체율+1 */
    private String thddAmtRat2; /* 당일연체율+30 */
    private String thddAmtRat3; /* 당일연체율+90 */
    private String thddCntRat; /* 연체건수 */

    public String getThddCntRat() {
		return thddCntRat;
	}
	public void setThddCntRat(String thddCntRat) {
		this.thddCntRat = thddCntRat;
	}
    public String getDivsEmpNm() {
        return divsEmpNm;
    }

    public void setDivsEmpNm(String divsEmpNm) {
        this.divsEmpNm = divsEmpNm;
    }

    public String getDivsEmpNo() {
        return divsEmpNo;
    }

    public void setDivsEmpNo(String divsEmpNo) {
        this.divsEmpNo = divsEmpNo;
    }

    public String getThddDlyCnt() {
        return thddDlyCnt;
    }

    public void setThddDlyCnt(String thddDlyCnt) {
        this.thddDlyCnt = thddDlyCnt;
    }

    public String getThddDlyPamt() {
        return thddDlyPamt;
    }

    public void setThddDlyPamt(String thddDlyPamt) {
        this.thddDlyPamt = thddDlyPamt;
    }

    public String getThddDlyAmt() {
        return thddDlyAmt;
    }

    public void setThddDlyAmt(String thddDlyAmt) {
        this.thddDlyAmt = thddDlyAmt;
    }

    public String getThddDfee() {
        return thddDfee;
    }

    public void setThddDfee(String thddDfee) {
        this.thddDfee = thddDfee;
    }

    public String getDlySum() {
        return dlySum;
    }

    public void setDlySum(String dlySum) {
        this.dlySum = dlySum;
    }

    public String getThddBndCnt() {
        return thddBndCnt;
    }

    public void setThddBndCnt(String thddBndCnt) {
        this.thddBndCnt = thddBndCnt;
    }

    public String getThddLoanPamtRamt() {
        return thddLoanPamtRamt;
    }

    public void setThddLoanPamtRamt(String thddLoanPamtRamt) {
        this.thddLoanPamtRamt = thddLoanPamtRamt;
    }

    public String getThddBndRamt() {
        return thddBndRamt;
    }

    public void setThddBndRamt(String thddBndRamt) {
        this.thddBndRamt = thddBndRamt;
    }

    public String getThddAmtRat1() {
        return thddAmtRat1;
    }

    public void setThddAmtRat1(String thddAmtRat1) {
        this.thddAmtRat1 = thddAmtRat1;
    }

    public String getThddAmtRat2() {
        return thddAmtRat2;
    }

    public void setThddAmtRat2(String thddAmtRat2) {
        this.thddAmtRat2 = thddAmtRat2;
    }

    public String getThddAmtRat3() {
        return thddAmtRat3;
    }

    public void setThddAmtRat3(String thddAmtRat3) {
        this.thddAmtRat3 = thddAmtRat3;
    }

}
