package hanalife.b.lm.em.service;

import hanalife.b.lm.em.vo.LeglActnCostInVO;
import hanalife.b.lm.em.vo.LeglActnCostOutVO;

/**
 * <pre>
 * 클래스명    : LeglActnCostProcService.java Class
 * 클래스설명  : 법적조치비용정산 조회/처리 요청/응답 수행
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface LeglActnCostProcService {

	public LeglActnCostOutVO calcLeglActnCost(LeglActnCostInVO inVo) throws Exception;
}
