package hanalife.b.lm.em.vo;
import java.lang.reflect.Array;
import java.lang.reflect.Field;

public class LeglActnCostObjVO {
	private String procDivCd; //처리_구분(2:회수, 3:취소)
	private String loanNo; //대출_번호
	private String loanSeq; //대출_순번
	private String setlNo; //결제_번호
	private String orgSetlNo; //원결제_번호
	private String acctDt; //회계_일자
	private String setlDt; //결제_일자
	private long rcptAmt; //수납_금액
	private long exmpAmt; //면제_금액
	private String procDeptCd; //처리_부서_코드
	private String procEmpNo; //처리_사원_번호
	private long adjRamt; //정산잔액

	public LeglActnCostObjVO() {
		procDivCd = "";
		loanNo = "";
		loanSeq = "";
	}

	public String getProcDivCd() {
		return procDivCd;
	}

	public void setProcDivCd(String procDivCd) {
		this.procDivCd = procDivCd;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getAcctDt() {
		return acctDt;
	}

	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}

	public long getExmpAmt() {
		return exmpAmt;
	}

	public void setExmpAmt(long exmpAmt) {
		this.exmpAmt = exmpAmt;
	}

	public String getOrgSetlNo() {
		return orgSetlNo;
	}

	public void setOrgSetlNo(String orgSetlNo) {
		this.orgSetlNo = orgSetlNo;
	}

	public String getProcDeptCd() {
		return procDeptCd;
	}

	public void setProcDeptCd(String procDeptCd) {
		this.procDeptCd = procDeptCd;
	}

	public String getProcEmpNo() {
		return procEmpNo;
	}

	public void setProcEmpNo(String procEmpNo) {
		this.procEmpNo = procEmpNo;
	}

	public long getRcptAmt() {
		return rcptAmt;
	}

	public void setRcptAmt(long rcptAmt) {
		this.rcptAmt = rcptAmt;
	}

	public String getSetlDt() {
		return setlDt;
	}

	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}

	public String getSetlNo() {
		return setlNo;
	}

	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}

	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();

		Class c = this.getClass();
		String fullname = c.getName();
		String name = null;
		int index = fullname.lastIndexOf('.');
		if (index == -1)
			name = fullname;
		else
			name = fullname.substring(index + 1);
		buf.append(name + ":{");

		Field[] fields = c.getFields();
		for (int i = 0, n = fields.length; i < n; i++) {
			try {
				if (i != 0)
					buf.append(',');
				buf.append(fields[i].getName() + '=');
				Object f = fields[i].get(this);
				Class fc = fields[i].getType();
				if (fc.isArray()) {
					buf.append('[');
					int length = Array.getLength(f);
					for (int j = 0; j < length; j++) {
						if (j != 0)
							buf.append(',');
						Object element = Array.get(f, j);
						buf.append(element.toString());
					}
					buf.append(']');
				} else
					buf.append(f.toString());
			} catch (Exception e) {
			}
		}
		buf.append('}');
		return buf.toString();
	}

	public void fixNull() {
		Class c = this.getClass();
		if (c.isPrimitive())
			return;

		Field[] fields = c.getFields();
		for (int i = 0, n = fields.length; i < n; i++) {
			try {
				Object f = fields[i].get(this);
				Class fc = fields[i].getType();

				if (fc.getName().equals("java.lang.String")) {
					if (f == null)
						fields[i].set(this, "");
					else
						fields[i].set(this, f);
				}
			} catch (Exception e) {
			}
		}
	}
}
