package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 클래스명    : BLMLMM05DSSMDOVO.java Class
 * 클래스설명  : 법조치진행현황조회 (BLMLMM05) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][BLMLMM05 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActsConsShMngDSSMDO02DTO  {

	private String loanNo; /** 대출번호 */
	private String loanSeq; /** 대출순번 */
	private String custNo; /** 고객번호  */
	private String consShNo; /** 품의서_번호 */
	private long snum;           //SNUM   전입_일자

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}

}
