package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 클래스명    : LeglActsFnshSpecDSSDDO01DTO.java Class
 * 클래스설명  : 법조치진행현황조회 (BLMLMM05) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActsFnshSpecDSSDDO01DTO {

	private String loanNo;
    private String loanSeq;
    private String contManNm;
    private String custNm;
    private String loanRelNm;
    private String actnTpNm;
    private String actnStatNm;
    private String actnStatOccrDt;
    private String caseNo;
    private String distCortNm;
    private String caseDivsDept;
    private String relCaseNo;
    private String lwstKindNm;
    private String pledSeq;
    private String tndrDd;
    private String alotDd;
    private String pledDt;
    private String caseEndDt;
    private String endTpNm;
    private String consDt;
    private String mngDeptNm;
    private String lnDivsEmpNm;
    private String consShNo;
    private String custNo;
    private long lawCostAskAmt;
    private long lawCostAdjAmt;
    private long lawCostRamt;
    private String bndOldNewFg;
    private String bndDivsEmpNo;
    private String bndDivsManEmpNo;
    private String loanStatCd;
    private String dlyTcnt;
    private String dlyAmt;
    private long loanRamt;
    private String prptKindNm;
    private String prdtNm;
    private String caseKindNm;
    private String crimTpLrgeClasNm;
    private String crimTpClasCd;
    private String loanStatNm;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getContManNm() {
		return contManNm;
	}
	public void setContManNm(String contManNm) {
		this.contManNm = contManNm;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getActnTpNm() {
		return actnTpNm;
	}
	public void setActnTpNm(String actnTpNm) {
		this.actnTpNm = actnTpNm;
	}
	public String getActnStatNm() {
		return actnStatNm;
	}
	public void setActnStatNm(String actnStatNm) {
		this.actnStatNm = actnStatNm;
	}
	public String getActnStatOccrDt() {
		return actnStatOccrDt;
	}
	public void setActnStatOccrDt(String actnStatOccrDt) {
		this.actnStatOccrDt = actnStatOccrDt;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getDistCortNm() {
		return distCortNm;
	}
	public void setDistCortNm(String distCortNm) {
		this.distCortNm = distCortNm;
	}
	public String getCaseDivsDept() {
		return caseDivsDept;
	}
	public void setCaseDivsDept(String caseDivsDept) {
		this.caseDivsDept = caseDivsDept;
	}
	public String getRelCaseNo() {
		return relCaseNo;
	}
	public void setRelCaseNo(String relCaseNo) {
		this.relCaseNo = relCaseNo;
	}
	public String getLwstKindNm() {
		return lwstKindNm;
	}
	public void setLwstKindNm(String lwstKindNm) {
		this.lwstKindNm = lwstKindNm;
	}
	public String getPledSeq() {
		return pledSeq;
	}
	public void setPledSeq(String pledSeq) {
		this.pledSeq = pledSeq;
	}
	public String getTndrDd() {
		return tndrDd;
	}
	public void setTndrDd(String tndrDd) {
		this.tndrDd = tndrDd;
	}
	public String getAlotDd() {
		return alotDd;
	}
	public void setAlotDd(String alotDd) {
		this.alotDd = alotDd;
	}
	public String getPledDt() {
		return pledDt;
	}
	public void setPledDt(String pledDt) {
		this.pledDt = pledDt;
	}
	public String getCaseEndDt() {
		return caseEndDt;
	}
	public void setCaseEndDt(String caseEndDt) {
		this.caseEndDt = caseEndDt;
	}
	public String getEndTpNm() {
		return endTpNm;
	}
	public void setEndTpNm(String endTpNm) {
		this.endTpNm = endTpNm;
	}
	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getLnDivsEmpNm() {
		return lnDivsEmpNm;
	}
	public void setLnDivsEmpNm(String lnDivsEmpNm) {
		this.lnDivsEmpNm = lnDivsEmpNm;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public long getLawCostAskAmt() {
		return lawCostAskAmt;
	}
	public void setLawCostAskAmt(long lawCostAskAmt) {
		this.lawCostAskAmt = lawCostAskAmt;
	}
	public long getLawCostAdjAmt() {
		return lawCostAdjAmt;
	}
	public void setLawCostAdjAmt(long lawCostAdjAmt) {
		this.lawCostAdjAmt = lawCostAdjAmt;
	}
	public long getLawCostRamt() {
		return lawCostRamt;
	}
	public void setLawCostRamt(long lawCostRamt) {
		this.lawCostRamt = lawCostRamt;
	}
	public String getBndOldNewFg() {
		return bndOldNewFg;
	}
	public void setBndOldNewFg(String bndOldNewFg) {
		this.bndOldNewFg = bndOldNewFg;
	}
	public String getBndDivsEmpNo() {
		return bndDivsEmpNo;
	}
	public void setBndDivsEmpNo(String bndDivsEmpNo) {
		this.bndDivsEmpNo = bndDivsEmpNo;
	}
	public String getBndDivsManEmpNo() {
		return bndDivsManEmpNo;
	}
	public void setBndDivsManEmpNo(String bndDivsManEmpNo) {
		this.bndDivsManEmpNo = bndDivsManEmpNo;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public long getLoanRamt() {
		return loanRamt;
	}
	public void setLoanRamt(long loanRamt) {
		this.loanRamt = loanRamt;
	}
	public String getPrptKindNm() {
		return prptKindNm;
	}
	public void setPrptKindNm(String prptKindNm) {
		this.prptKindNm = prptKindNm;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getCaseKindNm() {
		return caseKindNm;
	}
	public void setCaseKindNm(String caseKindNm) {
		this.caseKindNm = caseKindNm;
	}
	public String getCrimTpLrgeClasNm() {
		return crimTpLrgeClasNm;
	}
	public void setCrimTpLrgeClasNm(String crimTpLrgeClasNm) {
		this.crimTpLrgeClasNm = crimTpLrgeClasNm;
	}
	public String getCrimTpClasCd() {
		return crimTpClasCd;
	}
	public void setCrimTpClasCd(String crimTpClasCd) {
		this.crimTpClasCd = crimTpClasCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
}
