package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 클래스명    : LeglActsFnshSpecDSSMDODTO.java Class
 * 클래스설명  : 법조치진행현황조회 (BLMLMM05) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][BLMLMM05 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActsFnshSpecDSSMDODTO  {

	private String loanNo; /** 대출번호 */
	private String loanSeq; /** 대출순번 */
	private String deptCd;  /** 관리부서 */
	private String empNo;  /** 채권담당자번호 */
	private String fromDt;  /** 시작일자 */
	private String toDt;  /** 종료일자 */
	private String tpCd;  /** 날짜유형코드 */
	private String actnTpCd;  /** 조치유형코드 */
	private String relCaseNo;  /** 사건번호 */
	private String oldNewDiv;  /** 채권구분코드 */
	private String custNo;  /** 고객번호 */
	private String actnStatCd;  /** 조치상태코드 */
	private String caseNoUnRegFg;  /** 사건번호미등록건여부 */
	private String rsltDlyTimsStrt;  /** 시작연체회차 */
	private String rsltDlyTimsEnd;  /** 종료연체회차 */
	private String loanStatCdFg;  /** 대출진행여부 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDeptCd() {
		return deptCd;
	}
	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getFromDt() {
		return fromDt;
	}
	public void setFromDt(String fromDt) {
		this.fromDt = fromDt;
	}
	public String getToDt() {
		return toDt;
	}
	public void setToDt(String toDt) {
		this.toDt = toDt;
	}
	public String getTpCd() {
		return tpCd;
	}
	public void setTpCd(String tpCd) {
		this.tpCd = tpCd;
	}
	public String getActnTpCd() {
		return actnTpCd;
	}
	public void setActnTpCd(String actnTpCd) {
		this.actnTpCd = actnTpCd;
	}
	public String getRelCaseNo() {
		return relCaseNo;
	}
	public void setRelCaseNo(String relCaseNo) {
		this.relCaseNo = relCaseNo;
	}
	public String getOldNewDiv() {
		return oldNewDiv;
	}
	public void setOldNewDiv(String oldNewDiv) {
		this.oldNewDiv = oldNewDiv;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getActnStatCd() {
		return actnStatCd;
	}
	public void setActnStatCd(String actnStatCd) {
		this.actnStatCd = actnStatCd;
	}
	public String getCaseNoUnRegFg() {
		return caseNoUnRegFg;
	}
	public void setCaseNoUnRegFg(String caseNoUnRegFg) {
		this.caseNoUnRegFg = caseNoUnRegFg;
	}
	public String getRsltDlyTimsStrt() {
		return rsltDlyTimsStrt;
	}
	public void setRsltDlyTimsStrt(String rsltDlyTimsStrt) {
		this.rsltDlyTimsStrt = rsltDlyTimsStrt;
	}
	public String getRsltDlyTimsEnd() {
		return rsltDlyTimsEnd;
	}
	public void setRsltDlyTimsEnd(String rsltDlyTimsEnd) {
		this.rsltDlyTimsEnd = rsltDlyTimsEnd;
	}
	public String getLoanStatCdFg() {
		return loanStatCdFg;
	}
	public void setLoanStatCdFg(String loanStatCdFg) {
		this.loanStatCdFg = loanStatCdFg;
	}

}
