package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanByActnDescMngDSBTLEGLACTNCOSTSDDODTO.java Class
 * 클래스설명   : 법조치 상태/비용조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     :  / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class LoanByActnDescMngDSBTLEGLACTNCOSTSDDODTO {

	private String loanNo;
	private String loanSeq;
	private String custNo;
	private String custNm;
	private String consDt;
	private String consShNo;
	private String actnTpNm;
	private String askAmt;
	private String vochNo;
	private String askDt;
	private String depsAmt;
	private String etcCost;
	private String setlDt;
	private String rcptAmt;
	private String amt;
	private String loanRelNm;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getActnTpNm() {
		return actnTpNm;
	}
	public void setActnTpNm(String actnTpNm) {
		this.actnTpNm = actnTpNm;
	}
	public String getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(String askAmt) {
		this.askAmt = askAmt;
	}
	public String getVochNo() {
		return vochNo;
	}
	public void setVochNo(String vochNo) {
		this.vochNo = vochNo;
	}
	public String getAskDt() {
		return askDt;
	}
	public void setAskDt(String askDt) {
		this.askDt = askDt;
	}
	public String getDepsAmt() {
		return depsAmt;
	}
	public void setDepsAmt(String depsAmt) {
		this.depsAmt = depsAmt;
	}
	public String getEtcCost() {
		return etcCost;
	}
	public void setEtcCost(String etcCost) {
		this.etcCost = etcCost;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getRcptAmt() {
		return rcptAmt;
	}
	public void setRcptAmt(String rcptAmt) {
		this.rcptAmt = rcptAmt;
	}
	public String getAmt() {
		return amt;
	}
	public void setAmt(String amt) {
		this.amt = amt;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
}
