package hanalife.b.lm.lm.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanByActnDescMngSDDO03DTO.java Class
 * 클래스설명   : 법조치 상태/비용조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     :  / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class LoanByActnDescMngSDDO03DTO {

	private String consDt;				/** 품의일자 */
	private String custNm;				/** 고객명 */
	private String actnTpNm;			/** 조치유형명 */
	private String prptKindNm;			/** 물건종류명 */
	private String caseNo;				/** 사건번호 */
	private String actnStatNm;			/** 조치상태명 */
	private String actnStatOccrDt;		/** 조치상태일 */
	private String distCortCd;			/** 법원명 */
	private String godsInfo;			/** 물건정보 */

	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getActnTpNm() {
		return actnTpNm;
	}
	public void setActnTpNm(String actnTpNm) {
		this.actnTpNm = actnTpNm;
	}
	public String getPrptKindNm() {
		return prptKindNm;
	}
	public void setPrptKindNm(String prptKindNm) {
		this.prptKindNm = prptKindNm;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getActnStatNm() {
		return actnStatNm;
	}
	public void setActnStatNm(String actnStatNm) {
		this.actnStatNm = actnStatNm;
	}
	public String getActnStatOccrDt() {
		return actnStatOccrDt;
	}
	public void setActnStatOccrDt(String actnStatOccrDt) {
		this.actnStatOccrDt = actnStatOccrDt;
	}
	public String getDistCortCd() {
		return distCortCd;
	}
	public void setDistCortCd(String distCortCd) {
		this.distCortCd = distCortCd;
	}
	public String getGodsInfo() {
		return godsInfo;
	}
	public void setGodsInfo(String godsInfo) {
		this.godsInfo = godsInfo;
	}
}
