package hanalife.b.lm.lm.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : BLMLMM02S02OutVO.java Class
 * 클래스설명  : 법조치품의서관리 (BLMLMM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281* / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BLMLMM02S02OutVO {

	private List<BLMLMM02DSSDDO03VO> BLMLMM02DSSDDO03VO;   /** 법조치품의정보 */
	private List<BLMLMM02DSSDDO04VO> BLMLMM02DSSDDO04VO;   /** 법조치비용정보 */
	private List<BLMLMM02DSSDDO05VO> BLMLMM02DSSDDO05VO;   /** 법조치재산정보 */
	private List<BLMLMM02DSPROFMNGVO> BLMLMM02DSPROFMNGVO; /** 법조치증빙정보*/

	public List<BLMLMM02DSSDDO03VO> getBLMLMM02DSSDDO03VO() {
		return BLMLMM02DSSDDO03VO;
	}
	public void setBLMLMM02DSSDDO03VO(List<BLMLMM02DSSDDO03VO> bLMLMM02DSSDDO03VO) {
		BLMLMM02DSSDDO03VO = bLMLMM02DSSDDO03VO;
	}
	public List<BLMLMM02DSSDDO04VO> getBLMLMM02DSSDDO04VO() {
		return BLMLMM02DSSDDO04VO;
	}
	public void setBLMLMM02DSSDDO04VO(List<BLMLMM02DSSDDO04VO> bLMLMM02DSSDDO04VO) {
		BLMLMM02DSSDDO04VO = bLMLMM02DSSDDO04VO;
	}
	public List<BLMLMM02DSSDDO05VO> getBLMLMM02DSSDDO05VO() {
		return BLMLMM02DSSDDO05VO;
	}
	public void setBLMLMM02DSSDDO05VO(List<BLMLMM02DSSDDO05VO> bLMLMM02DSSDDO05VO) {
		BLMLMM02DSSDDO05VO = bLMLMM02DSSDDO05VO;
	}
	public List<BLMLMM02DSPROFMNGVO> getBLMLMM02DSPROFMNGVO() {
		return BLMLMM02DSPROFMNGVO;
	}
	public void setBLMLMM02DSPROFMNGVO(List<BLMLMM02DSPROFMNGVO> bLMLMM02DSPROFMNGVO) {
		BLMLMM02DSPROFMNGVO = bLMLMM02DSPROFMNGVO;
	}

}
