package hanalife.b.lm.lm.vo;

import java.util.List;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BLMLMM04S01OutVO.java Class
 * 클래스설명   : 법조치 상태/비용조회를 위한 OUTVO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     :  / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BLMLMM04S01OutVO {

	private List<BLMLMM04DSSDDO01VO> BLMLMM04DSSDDO01VO;							/** 채권마감기본 조회 */
	private List<BLMLMM04DSSDDO02VO> BLMLMM04DSSDDO02VO;							/** 대출관계자 조회 */
	private List<BLMLMM04DSSDDO03VO> BLMLMM04DSSDDO03VO;							/** 법적조치 조회 */
	private List<BLMLMM04DSBTLEGLACTNCOSTSDDOVO> BLMLMM04DSBTLEGLACTNCOSTSDDOVO;	/** 법적조치비용 조회 */

	public List<BLMLMM04DSSDDO01VO> getBLMLMM04DSSDDO01VO() {
		return BLMLMM04DSSDDO01VO;
	}
	public void setBLMLMM04DSSDDO01VO(List<BLMLMM04DSSDDO01VO> bLMLMM04DSSDDO01VO) {
		BLMLMM04DSSDDO01VO = bLMLMM04DSSDDO01VO;
	}
	public List<BLMLMM04DSSDDO02VO> getBLMLMM04DSSDDO02VO() {
		return BLMLMM04DSSDDO02VO;
	}
	public void setBLMLMM04DSSDDO02VO(List<BLMLMM04DSSDDO02VO> bLMLMM04DSSDDO02VO) {
		BLMLMM04DSSDDO02VO = bLMLMM04DSSDDO02VO;
	}
	public List<BLMLMM04DSSDDO03VO> getBLMLMM04DSSDDO03VO() {
		return BLMLMM04DSSDDO03VO;
	}
	public void setBLMLMM04DSSDDO03VO(List<BLMLMM04DSSDDO03VO> bLMLMM04DSSDDO03VO) {
		BLMLMM04DSSDDO03VO = bLMLMM04DSSDDO03VO;
	}
	public List<BLMLMM04DSBTLEGLACTNCOSTSDDOVO> getBLMLMM04DSBTLEGLACTNCOSTSDDOVO() {
		return BLMLMM04DSBTLEGLACTNCOSTSDDOVO;
	}
	public void setBLMLMM04DSBTLEGLACTNCOSTSDDOVO(List<BLMLMM04DSBTLEGLACTNCOSTSDDOVO> bLMLMM04DSBTLEGLACTNCOSTSDDOVO) {
		BLMLMM04DSBTLEGLACTNCOSTSDDOVO = bLMLMM04DSBTLEGLACTNCOSTSDDOVO;
	}
}
