package hanalife.b.vi.wd.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.vi.wd.mapper.dto.IntvPlanDSSDDO15DTO;

@Mapper("intvPlanMapper")
public interface IntvPlanMapper {
    /**
    * <pre>
    * 메소드명      : insertIntv
    * 작성일자      : 2023. 4. 10.
    * 작성자(author): 70320 jaeho.jang
    * 설명          : 면담계획등록
    * 메소드인수1   :  IntvPlanDSSDDO15DTO
    * 메소드리턴값  :  int
    * 예외처리      : Exception
    * </pre>
    */
    public int insertIntv(IntvPlanDSSDDO15DTO dto) throws Exception;

}
