package hanalife.b.vi.wd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.vi.wd.mapper.dto.UrgeGuidMngDSSDDO06DTO;
import hanalife.b.vi.wd.mapper.dto.UrgeGuidMngDSSMDODTO;

@Mapper("urgeGuidMngMapper")
public interface UrgeGuidMngMapper {

    /**
    * <pre>
    * 메소드명      : searchAddress
    * 작성일자      : 2023. 4. 10.
    * 작성자(author): 70320 jaeho.jang
    * 설명          : 고객 주소조회
    * 메소드인수1   :  UrgeGuidMngDSSMDODTO
    * 메소드리턴값  :  List<UrgeGuidMngDSSDDO06DTO>
    * 예외처리      : Exception
    * </pre>
    */
    public List<UrgeGuidMngDSSDDO06DTO> searchAddress(UrgeGuidMngDSSMDODTO dto) throws Exception;
}
