package hanalife.batch.util.dtf;

import java.util.List;

/**
 * <pre>
 * 클래스명    : DTFMsgLayout
 * 클래스설명 : DTFMsgLayout의 설명
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DTFMsgLayout {

	private String recDiv;

	private String classNm;
	private String name;
	//label, startPos, byte, align, blank 를 String[]로 담아놓은 list
	private List paramList;

	public DTFMsgLayout() {
		init();
	}

	private void init() {
		recDiv = "";
		classNm = "";
		name = "";
	}

	/**
	 * @return Returns the classNm.
	 */
	public String getClassNm() {
		return classNm;
	}
	/**
	 * @param classNm The classNm to set.
	 */
	public void setClassNm(String classNm) {
		this.classNm = classNm;
	}
	/**
	 * @return Returns the recDiv.
	 */
	public String getRecDiv() {
		return recDiv;
	}
	/**
	 * @param recDiv The recDiv to set.
	 */
	public void setRecDiv(String div) {
		this.recDiv = div;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the paramList.
	 */
	public List getParamList() {
		return paramList;
	}
	/**
	 * @param paramList The paramList to set.
	 */
	public void setParamList(List paramList) {
		this.paramList = paramList;
	}
}
