package hanalife.c.bc.cc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.cc.mapper.dto.ChngPswdFrameDSPSWDDTO;
import hanalife.c.bc.cc.mapper.dto.ChngPswdFrameUSERINFODTO;

@Mapper("ChngPswdFrameMapper")
public interface ChngPswdFrameMapper {

	/**
     * <pre>
     * 메소드명      : searchUserInfo
     * 작성일자      : 2023. 3. 28.
     * 작성자(author): 70324 WoongHee.Lee
     * 설명          : 사용자(직원) 정보를 조회한다.
     * 메소드인수1   : 사용자 번호(userNo)
     * 메소드리턴값  : 사용자(직원) 정보 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<ChngPswdFrameUSERINFODTO> searchUserInfo(ChngPswdFrameDSPSWDDTO inDto) throws Exception;

}
