package hanalife.c.bc.kb.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.kb.mapper.dto.CBCKBM01DSSRCHSDDTO;
import hanalife.c.bc.kb.mapper.dto.CBCKBM01DSSRCHSMDTO;

@Mapper("CBCKBM01Mapper")
public interface CBCKBM01Mapper {

    /**
     * <pre>
     * 메소드명		: searchLDongCd01
     * 작성일자		: 2023.03.20.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB법정동_시도 조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<CBCKBM01DSSRCHSDDTO> searchLDongCd01() throws Exception;

    /**
     * <pre>
     * 메소드명		: searchLDongCd01
     * 작성일자		: 2023.03.20.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB법정동_시군구 조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<CBCKBM01DSSRCHSDDTO> searchLDongCd02(CBCKBM01DSSRCHSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: searchLDongCd02
     * 작성일자		: 2023.03.20.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB법정동_읍면동 조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<CBCKBM01DSSRCHSDDTO> searchLDongCd03(CBCKBM01DSSRCHSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: searchAptInfo
     * 작성일자		: 2023.03.20.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB아파트정보 조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<CBCKBM01DSSRCHSDDTO> searchAptInfo(CBCKBM01DSSRCHSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: searchPntpInfo
     * 작성일자		: 2023.03.20.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB평형정보 조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<CBCKBM01DSSRCHSDDTO> searchPntpInfo(CBCKBM01DSSRCHSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: searchMkprInfo
     * 작성일자		: 2023. 3. 20.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB시세정보 조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<CBCKBM01DSSRCHSDDTO> searchMkprInfo(CBCKBM01DSSRCHSMDTO inDto) throws Exception;

}
