package hanalife.c.cm.cm.service;

import java.util.List;
import java.util.Map;


public interface HlflCmmDataService {

	
	/**
	 * 데이터사전 목록을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmDicByNo(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 데이터사전 Grid Title을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmDicDesc(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 데이터사전 목록을 한줄 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmDicByNoOne(Map<String, Object> param) throws Exception;
	
	/**
	 * 참고자료용 목록을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmDataList(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 상수값을 조회하여 리턴한다.
	 * @param
	 * @return 상수값
	 * @exception Exception
	 */
	String selectCmmCnstInfo(Map<String, Object> param) throws Exception;
	
	/**
	 * 공통 Data를 입력한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	public int mergeCmmData( Map<String, Object> param) throws Exception ;
}
