package hanalife.c.cm.cm.service;

import java.util.List;
import java.util.Map;


public interface HlflCmmService {

	/**
	 * Data 목록을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectDataList(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 공통 코드 목록을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmCdList(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 공통 코드 종류 목록을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmCdKindList(Map<String, Object> param) throws Exception;
	
		
	/**
	 * 로그인한  User 정보를 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectLoginUserInfo(Map<String, Object> param) throws Exception;
	

	/**
	 * 부서 목록을 조회한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectDeptInfo(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 파일 정보를 입력한다.
	 * @param
	 * @return Data 목록
	 * @exception Exception
	 */
	void insertFileInfo(Map<String, Object> param) throws Exception;

}
