package hanalife.c.cm.lg.service.impl;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.cm.lg.mapper.LoginMapper;
import hanalife.c.cm.lg.service.LoginService;


@Service("LoginService")
public class LoginServiceImpl extends EgovAbstractServiceImpl implements LoginService{

	private Log log = LogFactory.getLog(this.getClass());

	@Autowired
	private LoginMapper loginMapper;

	@Override
	public List<Map<String, Object>> selectUser( Map<String, Object> param) throws Exception {
//		log.info("############################### selectUser impl");
		List<Map<String, Object>> result = loginMapper.selectUser(param);
		return result ;
	}

	@Override
	public List<Map<String, Object>> selectUserRole(Map<String, Object> param) throws Exception {
//		log.info("############################### selectUserRole impl");
		List<Map<String, Object>> result = loginMapper.selectUserRole(param);
		return result ;
	}
	
	@Override
	public void updatePswdErrCnt( Map<String, Object> param) throws Exception {
//		log.info("############################### updatePswdErrCnt impl");
		loginMapper.updatePswdErrCnt(param);
	}
	
	@Override
	public void insertLogin( Map<String, Object> param) throws Exception {
//		log.info("############################### updatePswdErrCnt impl");
		loginMapper.insertLogin(param);
		loginMapper.insertLoginHist(param);
	}


	@Override
	public void systemLogOut(Map<String, Object> param) throws Exception {
//		log.info("############################### updatePswdErrCnt impl");
		loginMapper.systemLogOut(param);
		loginMapper.updateLoginHist(param);
	}

	@Override
	public void updatePswdCntZero(Map<String, Object> param) throws Exception {
//		log.info("############################### updatePswdCntZero impl");
		loginMapper.updatePswdCntZero(param);
	}

}
