package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtImgRecvNotiDTO.java Class
 * 클래스설명    : ST_피노텍_이미지_수신_통지(ST_FT_IMG_RECV_NOTI)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtImgRecvNotiDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String imgBsnDiv = "";                      /* 이미지 업무 구분 */
    private int imgFileCnt = 0;                         /* 이미지파일 개수 */
    private String imgFormCd1 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm1 = "";                      /* 이미지 확장자명 */
    private String imgFormCd2 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm2 = "";                      /* 이미지 확장자명 */
    private String imgFormCd3 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm3 = "";                      /* 이미지 확장자명 */
    private String imgFormCd4 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm4 = "";                      /* 이미지 확장자명 */
    private String imgFormCd5 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm5 = "";                      /* 이미지 확장자명 */
    private String imgFormCd6 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm6 = "";                      /* 이미지 확장자명 */
    private String imgFormCd7 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm7 = "";                      /* 이미지 확장자명 */
    private String imgFormCd8 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm8 = "";                      /* 이미지 확장자명 */
    private String imgFormCd9 = "";                     /* 이미지 서식 코드 */
    private String imgExtNm9 = "";                      /* 이미지 확장자명 */
    private String imgFormCd10 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm10 = "";                     /* 이미지 확장자명 */
    private String imgFormCd11 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm11 = "";                     /* 이미지 확장자명 */
    private String imgFormCd12 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm12 = "";                     /* 이미지 확장자명 */
    private String imgFormCd13 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm13 = "";                     /* 이미지 확장자명 */
    private String imgFormCd14 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm14 = "";                     /* 이미지 확장자명 */
    private String imgFormCd15 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm15 = "";                     /* 이미지 확장자명 */
    private String imgFormCd16 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm16 = "";                     /* 이미지 확장자명 */
    private String imgFormCd17 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm17 = "";                     /* 이미지 확장자명 */
    private String imgFormCd18 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm18 = "";                     /* 이미지 확장자명 */
    private String imgFormCd19 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm19 = "";                     /* 이미지 확장자명 */
    private String imgFormCd20 = "";                    /* 이미지 서식 코드 */
    private String imgExtNm20 = "";                     /* 이미지 확장자명 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getImgBsnDiv() {
        return imgBsnDiv;
    }
    public void setImgBsnDiv(String imgBsnDiv) {
        this.imgBsnDiv = imgBsnDiv;
    }
    public int getImgFileCnt() {
        return imgFileCnt;
    }
    public void setImgFileCnt(int imgFileCnt) {
        this.imgFileCnt = imgFileCnt;
    }
    public String getImgFormCd1() {
        return imgFormCd1;
    }
    public void setImgFormCd1(String imgFormCd1) {
        this.imgFormCd1 = imgFormCd1;
    }
    public String getImgExtNm1() {
        return imgExtNm1;
    }
    public void setImgExtNm1(String imgExtNm1) {
        this.imgExtNm1 = imgExtNm1;
    }
    public String getImgFormCd2() {
        return imgFormCd2;
    }
    public void setImgFormCd2(String imgFormCd2) {
        this.imgFormCd2 = imgFormCd2;
    }
    public String getImgExtNm2() {
        return imgExtNm2;
    }
    public void setImgExtNm2(String imgExtNm2) {
        this.imgExtNm2 = imgExtNm2;
    }
    public String getImgFormCd3() {
        return imgFormCd3;
    }
    public void setImgFormCd3(String imgFormCd3) {
        this.imgFormCd3 = imgFormCd3;
    }
    public String getImgExtNm3() {
        return imgExtNm3;
    }
    public void setImgExtNm3(String imgExtNm3) {
        this.imgExtNm3 = imgExtNm3;
    }
    public String getImgFormCd4() {
        return imgFormCd4;
    }
    public void setImgFormCd4(String imgFormCd4) {
        this.imgFormCd4 = imgFormCd4;
    }
    public String getImgExtNm4() {
        return imgExtNm4;
    }
    public void setImgExtNm4(String imgExtNm4) {
        this.imgExtNm4 = imgExtNm4;
    }
    public String getImgFormCd5() {
        return imgFormCd5;
    }
    public void setImgFormCd5(String imgFormCd5) {
        this.imgFormCd5 = imgFormCd5;
    }
    public String getImgExtNm5() {
        return imgExtNm5;
    }
    public void setImgExtNm5(String imgExtNm5) {
        this.imgExtNm5 = imgExtNm5;
    }
    public String getImgFormCd6() {
        return imgFormCd6;
    }
    public void setImgFormCd6(String imgFormCd6) {
        this.imgFormCd6 = imgFormCd6;
    }
    public String getImgExtNm6() {
        return imgExtNm6;
    }
    public void setImgExtNm6(String imgExtNm6) {
        this.imgExtNm6 = imgExtNm6;
    }
    public String getImgFormCd7() {
        return imgFormCd7;
    }
    public void setImgFormCd7(String imgFormCd7) {
        this.imgFormCd7 = imgFormCd7;
    }
    public String getImgExtNm7() {
        return imgExtNm7;
    }
    public void setImgExtNm7(String imgExtNm7) {
        this.imgExtNm7 = imgExtNm7;
    }
    public String getImgFormCd8() {
        return imgFormCd8;
    }
    public void setImgFormCd8(String imgFormCd8) {
        this.imgFormCd8 = imgFormCd8;
    }
    public String getImgExtNm8() {
        return imgExtNm8;
    }
    public void setImgExtNm8(String imgExtNm8) {
        this.imgExtNm8 = imgExtNm8;
    }
    public String getImgFormCd9() {
        return imgFormCd9;
    }
    public void setImgFormCd9(String imgFormCd9) {
        this.imgFormCd9 = imgFormCd9;
    }
    public String getImgExtNm9() {
        return imgExtNm9;
    }
    public void setImgExtNm9(String imgExtNm9) {
        this.imgExtNm9 = imgExtNm9;
    }
    public String getImgFormCd10() {
        return imgFormCd10;
    }
    public void setImgFormCd10(String imgFormCd10) {
        this.imgFormCd10 = imgFormCd10;
    }
    public String getImgExtNm10() {
        return imgExtNm10;
    }
    public void setImgExtNm10(String imgExtNm10) {
        this.imgExtNm10 = imgExtNm10;
    }
    public String getImgFormCd11() {
        return imgFormCd11;
    }
    public void setImgFormCd11(String imgFormCd11) {
        this.imgFormCd11 = imgFormCd11;
    }
    public String getImgExtNm11() {
        return imgExtNm11;
    }
    public void setImgExtNm11(String imgExtNm11) {
        this.imgExtNm11 = imgExtNm11;
    }
    public String getImgFormCd12() {
        return imgFormCd12;
    }
    public void setImgFormCd12(String imgFormCd12) {
        this.imgFormCd12 = imgFormCd12;
    }
    public String getImgExtNm12() {
        return imgExtNm12;
    }
    public void setImgExtNm12(String imgExtNm12) {
        this.imgExtNm12 = imgExtNm12;
    }
    public String getImgFormCd13() {
        return imgFormCd13;
    }
    public void setImgFormCd13(String imgFormCd13) {
        this.imgFormCd13 = imgFormCd13;
    }
    public String getImgExtNm13() {
        return imgExtNm13;
    }
    public void setImgExtNm13(String imgExtNm13) {
        this.imgExtNm13 = imgExtNm13;
    }
    public String getImgFormCd14() {
        return imgFormCd14;
    }
    public void setImgFormCd14(String imgFormCd14) {
        this.imgFormCd14 = imgFormCd14;
    }
    public String getImgExtNm14() {
        return imgExtNm14;
    }
    public void setImgExtNm14(String imgExtNm14) {
        this.imgExtNm14 = imgExtNm14;
    }
    public String getImgFormCd15() {
        return imgFormCd15;
    }
    public void setImgFormCd15(String imgFormCd15) {
        this.imgFormCd15 = imgFormCd15;
    }
    public String getImgExtNm15() {
        return imgExtNm15;
    }
    public void setImgExtNm15(String imgExtNm15) {
        this.imgExtNm15 = imgExtNm15;
    }
    public String getImgFormCd16() {
        return imgFormCd16;
    }
    public void setImgFormCd16(String imgFormCd16) {
        this.imgFormCd16 = imgFormCd16;
    }
    public String getImgExtNm16() {
        return imgExtNm16;
    }
    public void setImgExtNm16(String imgExtNm16) {
        this.imgExtNm16 = imgExtNm16;
    }
    public String getImgFormCd17() {
        return imgFormCd17;
    }
    public void setImgFormCd17(String imgFormCd17) {
        this.imgFormCd17 = imgFormCd17;
    }
    public String getImgExtNm17() {
        return imgExtNm17;
    }
    public void setImgExtNm17(String imgExtNm17) {
        this.imgExtNm17 = imgExtNm17;
    }
    public String getImgFormCd18() {
        return imgFormCd18;
    }
    public void setImgFormCd18(String imgFormCd18) {
        this.imgFormCd18 = imgFormCd18;
    }
    public String getImgExtNm18() {
        return imgExtNm18;
    }
    public void setImgExtNm18(String imgExtNm18) {
        this.imgExtNm18 = imgExtNm18;
    }
    public String getImgFormCd19() {
        return imgFormCd19;
    }
    public void setImgFormCd19(String imgFormCd19) {
        this.imgFormCd19 = imgFormCd19;
    }
    public String getImgExtNm19() {
        return imgExtNm19;
    }
    public void setImgExtNm19(String imgExtNm19) {
        this.imgExtNm19 = imgExtNm19;
    }
    public String getImgFormCd20() {
        return imgFormCd20;
    }
    public void setImgFormCd20(String imgFormCd20) {
        this.imgFormCd20 = imgFormCd20;
    }
    public String getImgExtNm20() {
        return imgExtNm20;
    }
    public void setImgExtNm20(String imgExtNm20) {
        this.imgExtNm20 = imgExtNm20;
    }
}
