package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschReptMoveiHshdDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_보고서_전입세대(ST_HI_RIGT_RSCH_REPT_MOVEI_HSHD)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiRigtRschReptMoveiHshdDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private int moveiHshdInfoSeq = 0;  /* 세대전입내역 연번 */
    private String moveiHshdNm = "";  /* 전입세대 성명 */
    private String brwrAndRel = "";  /* 차주와의 관계 */
    private String moveiDt = "";  /* 전입일자 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiRigtRschReptMoveiHshdDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public int getMoveiHshdInfoSeq() {
		return moveiHshdInfoSeq;
	}
	public void setMoveiHshdInfoSeq(int moveiHshdInfoSeq) {
		this.moveiHshdInfoSeq = moveiHshdInfoSeq;
	}
	public String getMoveiHshdNm() {
		return moveiHshdNm;
	}
	public void setMoveiHshdNm(String moveiHshdNm) {
		this.moveiHshdNm = moveiHshdNm;
	}
	public String getBrwrAndRel() {
		return brwrAndRel;
	}
	public void setBrwrAndRel(String brwrAndRel) {
		this.brwrAndRel = brwrAndRel;
	}
	public String getMoveiDt() {
		return moveiDt;
	}
	public void setMoveiDt(String moveiDt) {
		this.moveiDt = moveiDt;
	}

}
