package hanalife.c.co.vo;

import java.io.Serializable;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SearchLoanSeqVO.java Class
 * 클래스설명   : 대출번호검증여부(입출력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class SearchLoanSeqVO implements Serializable {

    private String rsltCd; /* 응답코드 */
    private String rsltCntn; /* 응답내용 */
    private String loanNo = ""; /* 대출번호 */
    private String loanSeq = ""; /* 대출순번 */
    private String mngNo = "";          /* 관리번호 */
    private String loanLastFg = "";     /* 최종여부 */

    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngNo() {
        return mngNo;
    }
    public void setMngNo(String mngNo) {
        this.mngNo = mngNo;
    }
    public String getLoanLastFg() {
        return loanLastFg;
    }
    public void setLoanLastFg(String loanLastFg) {
        this.loanLastFg = loanLastFg;
    }


}
