package hanalife.c.sc.ro.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명   : CtRoleDTO
 * 클래스설명 : 역할관리 DTO
 * 프로젝트명 : DOBSCAP
 * 작성일자   : 2023. 03. 24
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 03. 24][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CtRoleDTO extends AbstractVO{

    private String roleNo;              /* ROLE_NO 역할_번호 */
    private String roleNm;              /* ROLE_NM 역할_명 */
    private String roleDesc;            /* ROLE_DESC 역할_설명 */
    private String frstRegDt;           /* FRST_REG_DT 최초_등록_일자 */
    private String frstRegTm;           /* FRST_REG_TM 최초_등록_시각 */
    private String frstRegEmpNo;        /* FRST_REG_EMP_NO 최초_등록_사원번호 */
    private String lastProcDt;          /* LAST_PROC_DT 최종_처리_일자 */
    private String lastProcTm;          /* LAST_PROC_TM 최종_처리_시각 */
    private String lastProcEmpNo;       /* LAST_PROC_EMP_NO 최종_처리_사원번호 */
	private String logInUserNo;	        /** 로그인사용자번호 */
	private String logInEmpNo;	        /** 로그인사원번호 */

    public String getRoleNo() {
        return roleNo;
    }
	public void setRoleNo(String roleNo) {
        this.roleNo = roleNo;
    }
    public String getRoleNm() {
        return roleNm;
    }
    public void setRoleNm(String roleNm) {
        this.roleNm = roleNm;
    }
    public String getRoleDesc() {
        return roleDesc;
    }
    public void setRoleDesc(String roleDesc) {
        this.roleDesc = roleDesc;
    }
    @Override
	public String getFrstRegDt() {
		return frstRegDt;
	}
	@Override
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	@Override
	public String getFrstRegTm() {
		return frstRegTm;
	}
	@Override
	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}
	@Override
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	@Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	@Override
	public String getLastProcDt() {
		return lastProcDt;
	}
	@Override
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	@Override
	public String getLastProcTm() {
		return lastProcTm;
	}
	@Override
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	@Override
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	@Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public String getLogInUserNo() {
		return logInUserNo;
	}
	public void setLogInUserNo(String logInUserNo) {
		this.logInUserNo = logInUserNo;
	}
	public String getLogInEmpNo() {
		return logInEmpNo;
	}
	public void setLogInEmpNo(String logInEmpNo) {
		this.logInEmpNo = logInEmpNo;
	}
}