package hanalife.c.sc.ro.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : CSCROM01OutVO.java Class
 * 클래스설명  : 역할정보 조회 조건 (CSCROM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 24.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CSCROM01OutVO {
    List<CSCROM01DSSDDO01VO> CSCROM01DSSDDO01VO;
    public String rsltCd   = "0000";   /** 결과코드 */
    public String rsltCntn = "";     /** 결과내용 */

    public List<CSCROM01DSSDDO01VO> getCSCROM01DSSDDO01VO() {
        return CSCROM01DSSDDO01VO;
    }
    public void setCSCROM01DSSDDO01VO(List<CSCROM01DSSDDO01VO> cSCROM01DSSDDO01VO) {
        CSCROM01DSSDDO01VO = cSCROM01DSSDDO01VO;
    }
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
}