package hanalife.c.sc.sq.util;

import java.util.Map;
import java.util.Vector;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import hanalife.framework.comm.util.PropertiesHandler;
import xdataset5.XDataSet5;

public class Util {
	

	public static String  nvl(String str) {
		if(str==null) {
			return "";
		}
		return str;
	}
	
	public static String  NVL(String str) {
		if(str==null) {
			return "";
		}
		return str;
	}
	
	/** 참고사항
	 * UI(xFrame5)에서 전달된 데이터 정보를 추출하는 예제.
	 * 데이터 MAP에서  XDATASET5 이름, 컬럼이름, 컬럼데이터를 출력한다.
	 */
	public static void printDataSetfromMap(Map<String, Object> reqMap) {
		
		String serverMode = PropertiesHandler.getInstance().getProperty("global.current.access.SERVER");
		
		if(serverMode.equalsIgnoreCase("LOCAL")) {
			try {
				System.out.println("=-=-=-=-=-=-=-=-=-=- Param Info Start  =-=-=-=-=-=-=-=-=-=-");
				XDataSet5 xdataset5 = (XDataSet5)reqMap.get("XFRAME5_XDATASET5"); // Map에서 XDataset5 객체로 데이터 변환
				int				i, j;
				int				nRow, nCol;
	
				Vector vXDataSetNames = xdataset5.getDataSetNames();	// 데이터셋 이름을 구함 : getDataSetNames()
	
				// 데이터셋 수만큼 데이터를 출력
				for (i = 0; i < vXDataSetNames.size(); i++) {
					String 	sXDataSetName = (String)vXDataSetNames.get(i);
					System.out.println("DataSetName : " + sXDataSetName ); // 데이터셋 이름 출력
					
					Vector	vXDataColumnNames = xdataset5.getColumnNames(sXDataSetName); // 컬럼이름을 구함 : getColumnNames()
					int	nColumnCount = xdataset5.getColumnCount(sXDataSetName);	// 컬럼수를 구함 : getColumnCount()
					int	nRecordCount = xdataset5.getRecordCount(sXDataSetName);	// 레코드수를 구함 : getRecordCount()
					
					String	sbRecordData = "";
					for (nRow = 0; nRow < nRecordCount; nRow++) {
						sbRecordData +="\n"+ nRow+"] ";
						for (nCol = 0; nCol < nColumnCount; nCol++) {
							//sbRecordData += (String)vXDataColumnNames.get(j) +":"+ xdataset5.getData(sXDataSetName, (String)vXDataColumnNames.get(nCol), nRow) ;
							sbRecordData +=(String)vXDataColumnNames.get(nCol) +" : "+xdataset5.getData(sXDataSetName, (String)vXDataColumnNames.get(nCol), nRow)+" , " ;
						}
						sbRecordData = sbRecordData.substring(0, sbRecordData.length()-2);
					}
					
					
					System.out.println(sbRecordData);	// 컬럼 데이터  출력
					System.out.println("=-=-=-=-=-=-=-=-=-=- Param Info End =-=-=-=-=-=-=-=-=-=-");
	
				}
			}catch (Exception e) {
				// TODO: handle exception
				System.out.println("printDataSetfromMap = " + e);
			}
		}
	}


}
