package hanalife.r.at.mn.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : AutoTranTrReptReadDSSD01DTO.java Class
 * 클래스설명   : 자동이체거래현황 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 18.
 * 작성자명     : 70366 / KangMinhyeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 18.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class AutoTranAcntStatReadDSSD01DTO {

    private String loanNo;              /*대출_번호*/
    private String loanSeq;            /*대출_tnsqjs*/
    private String mngDeptNm;       /*부서명*/
    private String contManNo;        /*계약자_번호*/
    private String contManNm;       /**/
    private String bankCd;   /*은행_코드*/
    private String bankNm;   /*은행_이름*/
    private String acntNo;           /*계좌번호*/
    private String acntStatCd;      /*계좌_상태_코드*/
    private String acntStatNm;     /*계좌_상태_이름*/
    private String acntErrNm;       /*계좌_에러_명*/
    private String applDt;           /*신청_일자*/
    private String depoOwnNo;      /*예금주_번호*/
    private String depoOwnnm;     /*예금주명*/
    private String depoOwnRelCd;     /*예금주_관계코드*/
    private String depoOwnRelNm;    /*예금주_관계이름*/
    private String frstRegEmpNo;      /*최초_등록_사원번호*/
    private String frstRegEmpNm;     /*최초_등록_사원이름*/
    private String trOrgCd;    /*거래_기관_코드*/

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngDeptNm() {
        return mngDeptNm;
    }
    public void setMngDeptNm(String mngDeptNm) {
        this.mngDeptNm = mngDeptNm;
    }
    public String getContManNo() {
        return contManNo;
    }
    public void setContManNo(String contManNo) {
        this.contManNo = contManNo;
    }
    public String getContManNm() {
        return contManNm;
    }
    public void setContManNm(String contManNm) {
        this.contManNm = contManNm;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getBankNm() {
        return bankNm;
    }
    public void setBankNm(String bankNm) {
        this.bankNm = bankNm;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getAcntStatNm() {
        return acntStatNm;
    }
    public void setAcntStatNm(String acntStatNm) {
        this.acntStatNm = acntStatNm;
    }
    public String getAcntErrNm() {
        return acntErrNm;
    }
    public void setAcntErrNm(String acntErrNm) {
        this.acntErrNm = acntErrNm;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getDepoOwnRelNm() {
        return depoOwnRelNm;
    }
    public void setDepoOwnRelNm(String depoOwnRelNm) {
        this.depoOwnRelNm = depoOwnRelNm;
    }
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getFrstRegEmpNm() {
        return frstRegEmpNm;
    }
    public void setFrstRegEmpNm(String frstRegEmpNm) {
        this.frstRegEmpNm = frstRegEmpNm;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }



}
