package hanalife.r.at.vo.bat;

import java.io.Serializable;

import hanalife.r.co.as.vo.ValueObj;


@SuppressWarnings("serial")
/**
 * <pre>
 * 클래스명    : AttrVochVO
 * 클래스설명 : 자동이체 수납/전표VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AttrVochVO	extends ValueObj implements Serializable {

	public AttrVochVO() {
	}

	public String acctDeptCd;		// 회계부서
	public String bsisDivCd;		// BSIS구분 (1:B/S, 2:I/S)
	public String dcDivCd;			// 차대구분
	public String acctCd;			// 계정코드
	public long vochAmt;			// 전표금액 (계정코드 발생금액)

	// SUM 금액
	public long setlAmt = 0;		// 결제금액
	public long rcptNormPamt = 0;	// 정상_수납원금
	public long rcptNormInt  = 0;	// 정상_수납이자
	public long rcptNormLfee  = 0;	// 정상_수납리스료 (가산리스료+대납리스료+부가세)
	public long rcptDlyPamt  = 0;	// 연체_수납원금
	public long rcptDlyInt   = 0;	// 연체_수납이자
	public long rcptDlyLfee  = 0;	// 연체_수납리스료 (가산리스료+대납리스료+부가세)
	public long rcptDfee     = 0;	// 연체_수납연체료
	public long dsrcAmt      = 0;	// 예가수_발생금액
}
