package hanalife.r.at.vo.bat;

import hanalife.batch.util.dtf.DTFMsgVO;

/**
 * <pre>
 * 클래스명    : EB13_Header
 * 클래스설명 : 청구입금 배치 Header
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EB13_Header extends DTFMsgVO {

    public String recTypeCd;
    public String snum;
    public String trOrgCd;
    public String vndrCd;
    public String fileNm;
    public String applAcptDt;
    public String sendDt;
    public String filler;
    private String acctUnitCd;

    public String getApplAcptDt() {
        return applAcptDt;
    }
    public void setApplAcptDt(String applAcptDt) {
        this.applAcptDt = applAcptDt;
    }

    public String getFileNm() {
        return fileNm;
    }
    public void setFileNm(String fileNm) {
        this.fileNm = fileNm;
    }

    public String getFiller() {
        return filler;
    }
    public void setFiller(String filler) {
        this.filler = filler;
    }

    public String getRecTypeCd() {
        return recTypeCd;
    }
    public void setRecTypeCd(String recTypeCd) {
        this.recTypeCd = recTypeCd;
    }

    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }

    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }

	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}

	public String getVndrCd() {
		return vndrCd;
	}
	public void setVndrCd(String vndrCd) {
		this.vndrCd = vndrCd;
	}
	public String getSendDt() {
		return sendDt;
	}
	public void setSendDt(String sendDt) {
		this.sendDt = sendDt;
	}
}
