package hanalife.r.bm.gm.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.bm.gm.mapper.dto.CyclClsMngDSCYCLCLSSM01DTO;
import hanalife.r.bm.gm.mapper.dto.CyclClsMngDSCYCLCLSSMDTO;

@Mapper("CyclClsMngMapper")
public interface CyclClsMngMapper {

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 9.
     * 작성자(author): 70324 이웅희
     * 설명          : 주소발송물마감관리목록조회을(를) 조회 한다.
     * 메소드인수1   : 주소발송물마감관리목록조회 입력
     * 메소드리턴값  : 주소발송물마감관리목록조회 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CyclClsMngDSCYCLCLSSMDTO> searchList(CyclClsMngDSCYCLCLSSM01DTO inDto) throws Exception;


}
