package hanalife.r.bm.gm.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO01DTO.java Class
 * 클래스설명   : 주소발송물마감관리목록조회을를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70324 / 이웅희 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CyclClsMngDSCYCLCLSSMDTO {

	private String cyclClsCd;       // 주기마감코드
	private String cyclClsNm;
	private String cyclClsDesc;
	private String cyclCd;          // 주기코드
	private String cyclNm;
	private String clsSchdDd;
	private String dlvrSchdDd;
	private String lastProcEmpNo;
	private String lastProcEmpNm;
	private String dueSchdDd;

	public String getCyclClsCd() {
		return cyclClsCd;
	}
	public void setCyclClsCd(String cyclClsCd) {
		this.cyclClsCd = cyclClsCd;
	}
	public String getCyclClsNm() {
		return cyclClsNm;
	}
	public void setCyclClsNm(String cyclClsNm) {
		this.cyclClsNm = cyclClsNm;
	}
	public String getCyclClsDesc() {
		return cyclClsDesc;
	}
	public void setCyclClsDesc(String cyclClsDesc) {
		this.cyclClsDesc = cyclClsDesc;
	}
	public String getCyclCd() {
		return cyclCd;
	}
	public void setCyclCd(String cyclCd) {
		this.cyclCd = cyclCd;
	}
	public String getCyclNm() {
		return cyclNm;
	}
	public void setCyclNm(String cyclNm) {
		this.cyclNm = cyclNm;
	}
	public String getClsSchdDd() {
		return clsSchdDd;
	}
	public void setClsSchdDd(String clsSchdDd) {
		this.clsSchdDd = clsSchdDd;
	}
	public String getDlvrSchdDd() {
		return dlvrSchdDd;
	}
	public void setDlvrSchdDd(String dlvrSchdDd) {
		this.dlvrSchdDd = dlvrSchdDd;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public String getLastProcEmpNm() {
		return lastProcEmpNm;
	}
	public void setLastProcEmpNm(String lastProcEmpNm) {
		this.lastProcEmpNm = lastProcEmpNm;
	}
	public String getDueSchdDd() {
		return dueSchdDd;
	}
	public void setDueSchdDd(String dueSchdDd) {
		this.dueSchdDd = dueSchdDd;
	}

}
