package hanalife.r.ch.mn.mapper.dto;

/**
 * <pre>
 * 클래스명    : RCHMNM01SrchDTO.java Class
 * 클래스설명  : 결제일변경관리 (RCHMNM01) 입력DTO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01SrchDTO  {

    private String custNo          = "";    /* 고객번호 */
    private String loanNo          = "";    /* 대출번호 */
    private String loanSeq         = "";    /* 대출번호순번 */
    private String mngNo           = "";    /* 관리번호 */
    private String dlvrThngCd      = "";    /* 발송물구분 */
    private String stndDt          = "";    /* 기준일자 */
    private String inputDivCd      = "";    /* 입력구분코드 */
    private String inputCntn       = "";    /* 입력내용 */
    private String attdDeptCd      = "";    /* 부서코드 */
    private String ddayLoseRsnNm   = "";    /* 미사용 */
    private String ddayLoseRsnSpec = "";    /* 미사용 */
    private String guidNo          = "";    /* 미사용 */
    private String guidSnum        = "";    /* 미사용 */
    private String curSnum         = "";    /* 순번 */
    private String curTims         = "";    /* 현재회차 */
    private String bfTims          = "";    /* 전월회차 */
    private String prdtMidClasCd   = "";    /* 상품중분류코드 */
    private String cntcPlcDivCd    = "";    /* 관리처구분코드 */

	public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
	public String getMngNo() {
		return mngNo;
	}
	public void setMngNo(String mngNo) {
		this.mngNo = mngNo;
	}
    public String getDlvrThngCd() {
        return dlvrThngCd;
    }
    public void setDlvrThngCd(String dlvrThngCd) {
        this.dlvrThngCd = dlvrThngCd;
    }
    public String getStndDt() {
        return stndDt;
    }
    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }
    public String getInputDivCd() {
        return inputDivCd;
    }
    public void setInputDivCd(String inputDivCd) {
        this.inputDivCd = inputDivCd;
    }
    public String getInputCntn() {
        return inputCntn;
    }
    public void setInputCntn(String inputCntn) {
        this.inputCntn = inputCntn;
    }
    public String getAttdDeptCd() {
        return attdDeptCd;
    }
    public void setAttdDeptCd(String attdDeptCd) {
        this.attdDeptCd = attdDeptCd;
    }
    public String getDdayLoseRsnNm() {
        return ddayLoseRsnNm;
    }
    public void setDdayLoseRsnNm(String ddayLoseRsnNm) {
        this.ddayLoseRsnNm = ddayLoseRsnNm;
    }
    public String getDdayLoseRsnSpec() {
        return ddayLoseRsnSpec;
    }
    public void setDdayLoseRsnSpec(String ddayLoseRsnSpec) {
        this.ddayLoseRsnSpec = ddayLoseRsnSpec;
    }
    public String getGuidNo() {
        return guidNo;
    }
    public void setGuidNo(String guidNo) {
        this.guidNo = guidNo;
    }
    public String getGuidSnum() {
        return guidSnum;
    }
    public void setGuidSnum(String guidSnum) {
        this.guidSnum = guidSnum;
    }
    public String getCurSnum() {
		return curSnum;
	}
	public void setCurSnum(String curSnum) {
		this.curSnum = curSnum;
	}
	public String getCurTims() {
		return curTims;
	}
	public void setCurTims(String curTims) {
		this.curTims = curTims;
	}
    public String getBfTims() {
        return bfTims;
    }
    public void setBfTims(String bfTims) {
        this.bfTims = bfTims;
    }
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getCntcPlcDivCd() {
		return cntcPlcDivCd;
	}
	public void setCntcPlcDivCd(String cntcPlcDivCd) {
		this.cntcPlcDivCd = cntcPlcDivCd;
	}

}
