package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS01VO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS01VO  {

    private String loanNo = ""; /* LOAN_NO   대출_번호 */
    private String loanSeq = ""; /* LOAN_SEQ   대출_순번 */
    private String mngNo = ""; /* MNG_NO   관리번호 */
    private String contManNo = ""; /* CONT_MAN_NO   계약자_번호 */
    private String prdtCd = ""; /* PRDT_CD   상품_코드 */
    private String loanStatNm = ""; /* LOAN_STAT_CD   대출_상태_코드 */
    private String loanStatCd = ""; /* LOAN_STAT_CD   대출_상태_코드 */
    private String dueMethCd = ""; /* DUE_METH_CD   납입_방법_코드 */
    private String dueMethNm = ""; /* DUE_METH_CD   납입_방법_코드 */
    private String loanPamtRamt = ""; /* LOAN_PAMT_RAMT   대출_원금_잔액 */
    private String loanDt = ""; /* LOAN_DT   대출_일자 */
    private String mngDeptCd = ""; /* MNG_DEPT_CD   관리_부서_코드 */
    private String custNm = ""; /* CUST_NM   고객명 */
    private String prdtNm = ""; /* PRDT_NM   상품명 */
    private String godsCd = ""; /* GODS_CD   물품_코드 */
    private String godsNm = ""; /* GODS_NM   물품명 */
    private String bndStatCd = ""; /* BND_STAT_CD   채권_상태_코드 */
    private String bndStatNm = ""; /* BND_STAT_CD   채권_상태_코드 */
    private String deptAbbrnm = ""; /* DEPT_ABBRNM   부서약칭 */
    private String askPlcDivCd = ""; /* ASK_PLC_DIV_CD   청구지_구분코드 */
    private String emalAskFg = ""; /* EMAL_ASK_FG   전자메일_청구_여부 */
    private String flotIzeDivCd = ""; /* FLOT_IZE_DIV_CD  유동화구분코드 */
    private String dlyAmt = ""; /* 연체금액 */
    private String unComgCnt = ""; /* 미도래건수 */
    private String dlyDt = ""; /* 연체일자 */
    private String snum = ""; /* 순번 */
    private String loanChngConsRsltCd = ""; /* 대출변경결과코드" */
    private String ntrmJstManCd = ""; /* 품의승인자코드 */
    private String arvmCd = ""; /* 승인코드 */
    private String loanChngDivCd = ""; /* 대출변경구분코드 */
    private String acntStatCd = ""; /* 계좌상태 */
    private String acntStatNm = ""; /* 계좌상태 */
    private String prdtLrgeClasCd = ""; /* 대분류 */
    private String prdtMidClasCd = ""; /* 중분류 */
    private String isrtDeptCd = ""; /* 입력부서 */
    private String mngPlcDivCd = ""; /* 관리처 */
    private String mngPlcDivNm = ""; /* 관리처명 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMngNo() {
        return mngNo;
    }
    public void setMngNo(String mngNo) {
        this.mngNo = mngNo;
    }
    public String getContManNo() {
        return contManNo;
    }
    public void setContManNo(String contManNo) {
        this.contManNo = contManNo;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getLoanStatNm() {
        return loanStatNm;
    }
    public void setLoanStatNm(String loanStatNm) {
        this.loanStatNm = loanStatNm;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getDueMethCd() {
        return dueMethCd;
    }
    public void setDueMethCd(String dueMethCd) {
        this.dueMethCd = dueMethCd;
    }
    public String getDueMethNm() {
        return dueMethNm;
    }
    public void setDueMethNm(String dueMethNm) {
        this.dueMethNm = dueMethNm;
    }
    public String getLoanPamtRamt() {
        return loanPamtRamt;
    }
    public void setLoanPamtRamt(String loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getPrdtNm() {
        return prdtNm;
    }
    public void setPrdtNm(String prdtNm) {
        this.prdtNm = prdtNm;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getGodsNm() {
        return godsNm;
    }
    public void setGodsNm(String godsNm) {
        this.godsNm = godsNm;
    }
    public String getBndStatCd() {
        return bndStatCd;
    }
    public void setBndStatCd(String bndStatCd) {
        this.bndStatCd = bndStatCd;
    }
    public String getBndStatNm() {
        return bndStatNm;
    }
    public void setBndStatNm(String bndStatNm) {
        this.bndStatNm = bndStatNm;
    }
    public String getDeptAbbrnm() {
        return deptAbbrnm;
    }
    public void setDeptAbbrnm(String deptAbbrnm) {
        this.deptAbbrnm = deptAbbrnm;
    }
    public String getAskPlcDivCd() {
        return askPlcDivCd;
    }
    public void setAskPlcDivCd(String askPlcDivCd) {
        this.askPlcDivCd = askPlcDivCd;
    }
    public String getEmalAskFg() {
        return emalAskFg;
    }
    public void setEmalAskFg(String emalAskFg) {
        this.emalAskFg = emalAskFg;
    }
    public String getFlotIzeDivCd() {
        return flotIzeDivCd;
    }
    public void setFlotIzeDivCd(String flotIzeDivCd) {
        this.flotIzeDivCd = flotIzeDivCd;
    }
    public String getDlyAmt() {
        return dlyAmt;
    }
    public void setDlyAmt(String dlyAmt) {
        this.dlyAmt = dlyAmt;
    }
    public String getUnComgCnt() {
        return unComgCnt;
    }
    public void setUnComgCnt(String unComgCnt) {
        this.unComgCnt = unComgCnt;
    }
    public String getDlyDt() {
        return dlyDt;
    }
    public void setDlyDt(String dlyDt) {
        this.dlyDt = dlyDt;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getLoanChngConsRsltCd() {
        return loanChngConsRsltCd;
    }
    public void setLoanChngConsRsltCd(String loanChngConsRsltCd) {
        this.loanChngConsRsltCd = loanChngConsRsltCd;
    }
    public String getNtrmJstManCd() {
        return ntrmJstManCd;
    }
    public void setNtrmJstManCd(String ntrmJstManCd) {
        this.ntrmJstManCd = ntrmJstManCd;
    }
    public String getArvmCd() {
        return arvmCd;
    }
    public void setArvmCd(String arvmCd) {
        this.arvmCd = arvmCd;
    }
    public String getLoanChngDivCd() {
        return loanChngDivCd;
    }
    public void setLoanChngDivCd(String loanChngDivCd) {
        this.loanChngDivCd = loanChngDivCd;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getAcntStatNm() {
        return acntStatNm;
    }
    public void setAcntStatNm(String acntStatNm) {
        this.acntStatNm = acntStatNm;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getMngPlcDivCd() {
        return mngPlcDivCd;
    }
    public void setMngPlcDivCd(String mngPlcDivCd) {
        this.mngPlcDivCd = mngPlcDivCd;
    }
    public String getMngPlcDivNm() {
        return mngPlcDivNm;
    }
    public void setMngPlcDivNm(String mngPlcDivNm) {
        this.mngPlcDivNm = mngPlcDivNm;
    }
}
