package hanalife.r.co.as.mapper.dto;

public class MainSqlOUTDTO {
	private String loanNo; // 대출_번호
	private String loanSeq; // 대출_순번
	private String endDivCd; // 종료구분코드
	private int tims; // 회차
	private int curTims; // 현재_회차(결제일자기준)
	private int thmmDueTims; // 당월_납입_회차(실결제기준)
	private int bfmmDueTims; // 전월_납입_회차(실결제기준)
	private int totTims; // 총_회차
	private String prdtCd; // 상품_코드
	private String rmbrFrmlCd; // 상환_방식_코드
	private String dueDt; // 납입_일자
	private String rlDueDt; // 실_납입_일자
	private String lastSetlDt; // 최종_결제_일자
	private int lastSetlTims; // 최종_결제_회차
	private String loanEprtDt; // 대출_만기_일자
	private String loanRlEprtDt; // 대출_실_만기_일자
	private int loanEprtTims; // 대출_만기_회차
	private String setlDt; // 결제_일자
	private String askDivCd; // 청구_구분_코드
	private long timsBfPamtRamt; // 회차_전_원금_잔액
	private long timsBfIntRamt; // 회차_전_이자_잔액
	private long timsAfPamtRamt; // 회차_후_원금_잔액
	private long timsAfIntRamt; // 회차_후_이자_잔액
	private long pamt; // 원금
	private long intt; // 이자
	private long trtFee; // 취급수수료
	private long ppayInt; // 선급이자
	private long vtax; // 부가세
	private long addInsuFee; // 가산보험료
	private long addCartax; // 가산자동차세
	private long addEnvImprBrdnamt; // 가산환개금
	private long addAsfee; // 가산정비료
	private long ipayInsuFee; // 대지급보험료
	private long ipayCartax; // 대지급자동차세
	private long ipayEnvImprBrdnamt; // 대지급환개금
	private long ipayPnltAmt; // 대지급범칙금
	private long ipayEtc; // 대지급기타
	private long ltrmBrcvAmt; // 장기선수금
	private long setlPamt; // 결제_원금
	private long setlInt; // 결제_이자
	private long setlPpayInt; // 결제선급이자
	private long setlVtax; // 결제부가세
	private long setlAddInsuFee; // 결제가산보험료
	private long setlAddCartax; // 결제가산자동차세
	private long setlAddEnvImprBrdnamt; // 결제가산환개금
	private long setlAddAsfee; // 결제가산정비료
	private long setlIpayInsuFee; // 결제대지급보험료
	private long setlIpayCartax; // 결제대지급자동차세
	private long setlIpayEnvImprBrdnamt; // 결제대지급환개금
	private long setlIpayPnltAmt; // 결제대지급보험료
	private long setlIpayEtc; // 결제재지급기타
	private long setlLtrmBrcvAmt; // 결제장기선수금
	private long setlRamtAmt; // 잔가금액
	private long setlGuarAmt; // 보증금액
	private long setlDfee; // 결제_연체_료
	private long occrDfee; // 발생_연체_료
	private long preOccrDfee; // 기_발생_연체_료
	private long pdueDfee; // 선납_연체_료
	private long exmpDfee; // 면제_연체_료
	private String intStrtDt; // 이자_시작_일자
	private String intEndDt; // 이자_종료_일자
	private String dlyFg; // 연체_여부(상환계획납입일자의실납입일자가결제일보다작으면연체임)
	private String dlyDt; // 연체_일자
	private String dlyCalcDt; // 연체_계산_일자
	private int dlyStrtTims; // 연체_시작_회차
	private String loanStatCd; // 대출상태코드
	private String loseCalcDueDt; // 상실.상실이자계산일
	private String loseCalcRlDueDt; // 상실.상실이자계산일
	private long timsBfAskPamt; // 회차전청구원금
	private long loseObjPsgInt; // 상실.경과이자대상금액
	private String loseIntStrtDt; // 상실.경과이자계산시작일
	private String loseIntEndDt; // 상실.경과이자계산종료일
	private String termPartFg; // 거치분할여부
	private String termPartIntEndDt; // 거치분할이자종료일자
	private long termPartInt; // 거치이자
	private long midTermPartInt; // 중도상환거치이자
	private int unrcvTims; // 미수회차
	private long mainRmbrPamt; // 상환금
	private String preRcptFg; // 선납여부
	private int fcntTims; // 초회
	private String fcntDueDt; // 초회납입일자
	private int setlTrtFee;//결제취급수수료

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getEndDivCd() {
		return endDivCd;
	}
	public void setEndDivCd(String endDivCd) {
		this.endDivCd = endDivCd;
	}
	public int getTims() {
		return tims;
	}
	public void setTims(int tims) {
		this.tims = tims;
	}
	public int getCurTims() {
		return curTims;
	}
	public void setCurTims(int curTims) {
		this.curTims = curTims;
	}
	public int getThmmDueTims() {
		return thmmDueTims;
	}
	public void setThmmDueTims(int thmmDueTims) {
		this.thmmDueTims = thmmDueTims;
	}
	public int getBfmmDueTims() {
		return bfmmDueTims;
	}
	public void setBfmmDueTims(int bfmmDueTims) {
		this.bfmmDueTims = bfmmDueTims;
	}
	public int getTotTims() {
		return totTims;
	}
	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getRlDueDt() {
		return rlDueDt;
	}
	public void setRlDueDt(String rlDueDt) {
		this.rlDueDt = rlDueDt;
	}
	public String getLastSetlDt() {
		return lastSetlDt;
	}
	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}
	public int getLastSetlTims() {
		return lastSetlTims;
	}
	public void setLastSetlTims(int lastSetlTims) {
		this.lastSetlTims = lastSetlTims;
	}
	public String getLoanEprtDt() {
		return loanEprtDt;
	}
	public void setLoanEprtDt(String loanEprtDt) {
		this.loanEprtDt = loanEprtDt;
	}
	public String getLoanRlEprtDt() {
		return loanRlEprtDt;
	}
	public void setLoanRlEprtDt(String loanRlEprtDt) {
		this.loanRlEprtDt = loanRlEprtDt;
	}
	public int getLoanEprtTims() {
		return loanEprtTims;
	}
	public void setLoanEprtTims(int loanEprtTims) {
		this.loanEprtTims = loanEprtTims;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getAskDivCd() {
		return askDivCd;
	}
	public void setAskDivCd(String askDivCd) {
		this.askDivCd = askDivCd;
	}
	public long getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public void setTimsBfPamtRamt(long timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public long getTimsBfIntRamt() {
		return timsBfIntRamt;
	}
	public void setTimsBfIntRamt(long timsBfIntRamt) {
		this.timsBfIntRamt = timsBfIntRamt;
	}
	public long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public void setTimsAfPamtRamt(long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public long getTimsAfIntRamt() {
		return timsAfIntRamt;
	}
	public void setTimsAfIntRamt(long timsAfIntRamt) {
		this.timsAfIntRamt = timsAfIntRamt;
	}
	public long getPamt() {
		return pamt;
	}
	public void setPamt(long pamt) {
		this.pamt = pamt;
	}
	public long getIntt() {
		return intt;
	}
	public void setIntt(long intt) {
		this.intt = intt;
	}
	public long getTrtFee() {
		return trtFee;
	}
	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}
	public long getPpayInt() {
		return ppayInt;
	}
	public void setPpayInt(long ppayInt) {
		this.ppayInt = ppayInt;
	}
	public long getVtax() {
		return vtax;
	}
	public void setVtax(long vtax) {
		this.vtax = vtax;
	}
	public long getAddInsuFee() {
		return addInsuFee;
	}
	public void setAddInsuFee(long addInsuFee) {
		this.addInsuFee = addInsuFee;
	}
	public long getAddCartax() {
		return addCartax;
	}
	public void setAddCartax(long addCartax) {
		this.addCartax = addCartax;
	}
	public long getAddEnvImprBrdnamt() {
		return addEnvImprBrdnamt;
	}
	public void setAddEnvImprBrdnamt(long addEnvImprBrdnamt) {
		this.addEnvImprBrdnamt = addEnvImprBrdnamt;
	}
	public long getAddAsfee() {
		return addAsfee;
	}
	public void setAddAsfee(long addAsfee) {
		this.addAsfee = addAsfee;
	}
	public long getIpayInsuFee() {
		return ipayInsuFee;
	}
	public void setIpayInsuFee(long ipayInsuFee) {
		this.ipayInsuFee = ipayInsuFee;
	}
	public long getIpayCartax() {
		return ipayCartax;
	}
	public void setIpayCartax(long ipayCartax) {
		this.ipayCartax = ipayCartax;
	}
	public long getIpayEnvImprBrdnamt() {
		return ipayEnvImprBrdnamt;
	}
	public void setIpayEnvImprBrdnamt(long ipayEnvImprBrdnamt) {
		this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
	}
	public long getIpayPnltAmt() {
		return ipayPnltAmt;
	}
	public void setIpayPnltAmt(long ipayPnltAmt) {
		this.ipayPnltAmt = ipayPnltAmt;
	}
	public long getIpayEtc() {
		return ipayEtc;
	}
	public void setIpayEtc(long ipayEtc) {
		this.ipayEtc = ipayEtc;
	}
	public long getLtrmBrcvAmt() {
		return ltrmBrcvAmt;
	}
	public void setLtrmBrcvAmt(long ltrmBrcvAmt) {
		this.ltrmBrcvAmt = ltrmBrcvAmt;
	}
	public long getSetlPamt() {
		return setlPamt;
	}
	public void setSetlPamt(long setlPamt) {
		this.setlPamt = setlPamt;
	}
	public long getSetlInt() {
		return setlInt;
	}
	public void setSetlInt(long setlInt) {
		this.setlInt = setlInt;
	}
	public long getSetlPpayInt() {
		return setlPpayInt;
	}
	public void setSetlPpayInt(long setlPpayInt) {
		this.setlPpayInt = setlPpayInt;
	}
	public long getSetlVtax() {
		return setlVtax;
	}
	public void setSetlVtax(long setlVtax) {
		this.setlVtax = setlVtax;
	}
	public long getSetlAddInsuFee() {
		return setlAddInsuFee;
	}
	public void setSetlAddInsuFee(long setlAddInsuFee) {
		this.setlAddInsuFee = setlAddInsuFee;
	}
	public long getSetlAddCartax() {
		return setlAddCartax;
	}
	public void setSetlAddCartax(long setlAddCartax) {
		this.setlAddCartax = setlAddCartax;
	}
	public long getSetlAddEnvImprBrdnamt() {
		return setlAddEnvImprBrdnamt;
	}
	public void setSetlAddEnvImprBrdnamt(long setlAddEnvImprBrdnamt) {
		this.setlAddEnvImprBrdnamt = setlAddEnvImprBrdnamt;
	}
	public long getSetlAddAsfee() {
		return setlAddAsfee;
	}
	public void setSetlAddAsfee(long setlAddAsfee) {
		this.setlAddAsfee = setlAddAsfee;
	}
	public long getSetlIpayInsuFee() {
		return setlIpayInsuFee;
	}
	public void setSetlIpayInsuFee(long setlIpayInsuFee) {
		this.setlIpayInsuFee = setlIpayInsuFee;
	}
	public long getSetlIpayCartax() {
		return setlIpayCartax;
	}
	public void setSetlIpayCartax(long setlIpayCartax) {
		this.setlIpayCartax = setlIpayCartax;
	}
	public long getSetlIpayEnvImprBrdnamt() {
		return setlIpayEnvImprBrdnamt;
	}
	public void setSetlIpayEnvImprBrdnamt(long setlIpayEnvImprBrdnamt) {
		this.setlIpayEnvImprBrdnamt = setlIpayEnvImprBrdnamt;
	}
	public long getSetlIpayPnltAmt() {
		return setlIpayPnltAmt;
	}
	public void setSetlIpayPnltAmt(long setlIpayPnltAmt) {
		this.setlIpayPnltAmt = setlIpayPnltAmt;
	}
	public long getSetlIpayEtc() {
		return setlIpayEtc;
	}
	public void setSetlIpayEtc(long setlIpayEtc) {
		this.setlIpayEtc = setlIpayEtc;
	}
	public long getSetlLtrmBrcvAmt() {
		return setlLtrmBrcvAmt;
	}
	public void setSetlLtrmBrcvAmt(long setlLtrmBrcvAmt) {
		this.setlLtrmBrcvAmt = setlLtrmBrcvAmt;
	}
	public long getSetlRamtAmt() {
		return setlRamtAmt;
	}
	public void setSetlRamtAmt(long setlRamtAmt) {
		this.setlRamtAmt = setlRamtAmt;
	}
	public long getSetlGuarAmt() {
		return setlGuarAmt;
	}
	public void setSetlGuarAmt(long setlGuarAmt) {
		this.setlGuarAmt = setlGuarAmt;
	}
	public long getSetlDfee() {
		return setlDfee;
	}
	public void setSetlDfee(long setlDfee) {
		this.setlDfee = setlDfee;
	}
	public long getOccrDfee() {
		return occrDfee;
	}
	public void setOccrDfee(long occrDfee) {
		this.occrDfee = occrDfee;
	}
	public long getPreOccrDfee() {
		return preOccrDfee;
	}
	public void setPreOccrDfee(long preOccrDfee) {
		this.preOccrDfee = preOccrDfee;
	}
	public long getPdueDfee() {
		return pdueDfee;
	}
	public void setPdueDfee(long pdueDfee) {
		this.pdueDfee = pdueDfee;
	}
	public long getExmpDfee() {
		return exmpDfee;
	}
	public void setExmpDfee(long exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public String getIntStrtDt() {
		return intStrtDt;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}
	public String getIntEndDt() {
		return intEndDt;
	}
	public void setIntEndDt(String intEndDt) {
		this.intEndDt = intEndDt;
	}
	public String getDlyFg() {
		return dlyFg;
	}
	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}
	public String getDlyDt() {
		return dlyDt;
	}
	public void setDlyDt(String dlyDt) {
		this.dlyDt = dlyDt;
	}
	public String getDlyCalcDt() {
		return dlyCalcDt;
	}
	public void setDlyCalcDt(String dlyCalcDt) {
		this.dlyCalcDt = dlyCalcDt;
	}
	public int getDlyStrtTims() {
		return dlyStrtTims;
	}
	public void setDlyStrtTims(int dlyStrtTims) {
		this.dlyStrtTims = dlyStrtTims;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoseCalcDueDt() {
		return loseCalcDueDt;
	}
	public void setLoseCalcDueDt(String loseCalcDueDt) {
		this.loseCalcDueDt = loseCalcDueDt;
	}
	public String getLoseCalcRlDueDt() {
		return loseCalcRlDueDt;
	}
	public void setLoseCalcRlDueDt(String loseCalcRlDueDt) {
		this.loseCalcRlDueDt = loseCalcRlDueDt;
	}
	public long getTimsBfAskPamt() {
		return timsBfAskPamt;
	}
	public void setTimsBfAskPamt(long timsBfAskPamt) {
		this.timsBfAskPamt = timsBfAskPamt;
	}
	public long getLoseObjPsgInt() {
		return loseObjPsgInt;
	}
	public void setLoseObjPsgInt(long loseObjPsgInt) {
		this.loseObjPsgInt = loseObjPsgInt;
	}
	public String getLoseIntStrtDt() {
		return loseIntStrtDt;
	}
	public void setLoseIntStrtDt(String loseIntStrtDt) {
		this.loseIntStrtDt = loseIntStrtDt;
	}
	public String getLoseIntEndDt() {
		return loseIntEndDt;
	}
	public void setLoseIntEndDt(String loseIntEndDt) {
		this.loseIntEndDt = loseIntEndDt;
	}
	public String getTermPartFg() {
		return termPartFg;
	}
	public void setTermPartFg(String termPartFg) {
		this.termPartFg = termPartFg;
	}
	public String getTermPartIntEndDt() {
		return termPartIntEndDt;
	}
	public void setTermPartIntEndDt(String termPartIntEndDt) {
		this.termPartIntEndDt = termPartIntEndDt;
	}
	public long getTermPartInt() {
		return termPartInt;
	}
	public void setTermPartInt(long termPartInt) {
		this.termPartInt = termPartInt;
	}
	public long getMidTermPartInt() {
		return midTermPartInt;
	}
	public void setMidTermPartInt(long midTermPartInt) {
		this.midTermPartInt = midTermPartInt;
	}
	public int getUnrcvTims() {
		return unrcvTims;
	}
	public void setUnrcvTims(int unrcvTims) {
		this.unrcvTims = unrcvTims;
	}
	public long getMainRmbrPamt() {
		return mainRmbrPamt;
	}
	public void setMainRmbrPamt(long mainRmbrPamt) {
		this.mainRmbrPamt = mainRmbrPamt;
	}
	public String getPreRcptFg() {
		return preRcptFg;
	}
	public void setPreRcptFg(String preRcptFg) {
		this.preRcptFg = preRcptFg;
	}
	public int getFcntTims() {
		return fcntTims;
	}
	public void setFcntTims(int fcntTims) {
		this.fcntTims = fcntTims;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public int getSetlTrtFee() {
		return setlTrtFee;
	}
	public void setSetlTrtFee(int setlTrtFee) {
		this.setlTrtFee = setlTrtFee;
	}



}
