package hanalife.r.co.at.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.co.at.vo.AcntChkGramInVO;
import hanalife.r.co.at.vo.AcntChkGramOutVO;

@Mapper("acntChkGramMapper")
public interface AcntChkGramMapper {

    /**
     * <pre>
     * 메소드명       	 : getAcntCnfmTrOrg
     * 작성일자      	 : 2023. 5. 8.
     * 작성자(author)	 : 70326 YHS
     * 설명          	 : 계좌확인 거래기관 조회
     * 메소드인수1   	 : AcntChkGramInVO
     * 메소드리턴값  	 : AcntChkGramOutVO
     * 예외처리      	 : Exception
     * </pre>
     */
	public List<AcntChkGramOutVO> getAcntCnfmTrOrg(AcntChkGramInVO inDto) throws Exception;
}
