package hanalife.r.co.la.mapper.dto;

public class LoanInfoProcMngObjDTO {

	private String loanNo; //LOAN_NO   대출_번호
    private String loanSeq; //LOAN_SEQ   대출_순번
    private String mngNo; //MNG_NO   관리번호
    private String mngSeq; //MNG_SEQ   관리_순번
    private String imgAcntBankCd; //IMG_ACNT_BANK_CD   가상_계좌_은행_코드
    private String imgAcntNo; //IMG_ACNT_NO   가상_계좌번호
    private String prdtLrgeClasCd; //PRDT_LRGE_CLAS_CD   상품_대분류_코드
    private String prdtMidClasCd; //PRDT_MID_CLAS_CD   상품_중분류_코드
    private String prdtSmClasCd; //PRDT_SM_CLAS_CD   상품_소분류_코드
    private String prdtCd; //PRDT_CD   상품_코드
    private String contManNo; //CONT_MAN_NO   계약자_번호
    private String rlDueManNo; //RL_DUE_MAN_NO   실납입자_번호
    private String loanStatCd; //LOAN_STAT_CD   대출_상태_코드
    private String loanLastFg; //LOAN_LAST_FG   대출_최종_여부
    private String loanOccrCd; //LOAN_OCCR_CD   대출_발생_코드
    private String mngDeptCd; //MNG_DEPT_CD   관리_부서_코드
    private String occrDeptCd; //OCCR_DEPT_CD   발생_부서_코드
    private String lnDivsEmpNo; //LN_DIVS_EMP_NO   여신_담당_사원번호
    private String bndDivsEmpNo; //BND_DIVS_EMP_NO   채권_담당_사원번호
    private String loanTerm; //LOAN_TERM   대출_기간
    private String dueMethCd; //DUE_METH_CD   납입_방법_코드
    private String trtFeeDivsRcptFg; //TRT_FEE_DIVS_RCPT_FG   취급_수수료_분할_수납_여부
    private String housGrpCd; //HOUS_GRP_CD   주택_단지_코드
    private String empCondCd; //EMP_COND_CD   임직원_조건_코드
    private String cmpg1Cd; //CMPG1_CD   캠페인1_코드
    private String cmpg2Cd; //CMPG2_CD   캠페인2_코드
    private String cmpg3Cd; //CMPG3_CD   캠페인3_코드
    private String frstLoanIntRt; //FRST_LOAN_INT_RT   최초_대출_이자율
    private String loanIntRt; //LOAN_INT_RT   대출_이자율
    private String intnPrftRt; //INTN_PRFT_RT   내부_수익율
    private String dfeeRt; //DFEE_RT   연체료_율
    private String trtFeeRt; //TRT_FEE_RT   취급_수수료율
    private String cprtFeeRt; //CPRT_FEE_RT   제휴_수수료율
    private String brcvRt; //BRCV_RT   선수율
    private String fcntMopaCalcFg; //FCNT_MOPA_CALC_FG   초회_월할_계산_여부
    private String fcntDueDt; //FCNT_DUE_DT   초회_납입_일자
    private String setlDd; //SETL_DD   결제일
    private String intStrtDt; //INT_STRT_DT   이자_시작일자
    private String deliDt; //DELI_DT   출고_일자
    private String applDt; //APPL_DT   신청_일자
    private String loanDt; //LOAN_DT   대출_일자
    private String aprvDt; //APRV_DT   승인_일자
    private String eprtDt; //EPRT_DT   만기_일자
    private String payDt; //PAY_DT   지급_일자
    private String endDt; //END_DT   종료일자
    private String examDgreCd; //EXAM_DGRE_CD   심사_등급_코드
    private String examJudgCd; //EXAM_JUDG_CD   심사_판정_코드
    private String ntrmJstManCd; //NTRM_JST_MAN_CD   차기_결재자_코드
    private String saleEmpResiNo; //SALE_EMP_RESI_NO   판매_사원_주민등록번호
    private String prEmpResiNo; //PR_EMP_RESI_NO   판촉_사원_주민등록번호
    private String loanContAmt; //LOAN_CONT_AMT   대출_약정_금액
    private String loanPamt; //LOAN_PAMT   대출_원금
    private String loanInt; //LOAN_INT   대출_이자
    private String custTrtFee; //CUST_TRT_FEE   고객_취급_수수료
    private String cprtComTrtFee; //CPRT_COM_TRT_FEE   제휴사_취급_수수료
    private String cprtFee; //CPRT_FEE   제휴_수수료
    private String setFee; //SET_FEE   설정료
    private String notaFee; //NOTA_FEE   공증료
    private String etcFee; //ETC_FEE   기타_수수료
    private String crdtRcvrUnrcvAmt; //CRDT_RCVR_UNRCV_AMT   신용_회복_미수금
    private String midRmbrFee; //MID_RMBR_FEE   중도_상환_수수료
    private String leglActsCost; //LEGL_ACTS_COST   법적조치_비용
    private String loanPamtRamt; //LOAN_PAMT_RAMT   대출_원금_잔액
    private String loanIntRamt; //LOAN_INT_RAMT   대출_이자_잔액
    private String leglActsCostRamt; //LEGL_ACTS_COST_RAMT   법적조치_비용_잔액
    private String rmbrPamt; //RMBR_PAMT   상환_원금
    private String rmbrInt; //RMBR_INT   상환_이자
    private String midRmbrInt; //MID_RMBR_INT   중도_상환_이자
    private String rmbrDfee; //RMBR_DFEE   상환_연체료
    private String discTrtFee; //DISC_TRT_FEE   할인_취급_수수료
    private String discDfee; //DISC_DFEE   할인_연체료
    private String rmbrLeglActsCost; //RMBR_LEGL_ACTS_COST   상환_법적조치_비용
    private String rmbrCrdtRcvrUnrcvAmt; //RMBR_CRDT_RCVR_UNRCV_AMT   상환_신용_회복_미수금
    private String exmpPamt; //EXMP_PAMT   면제_원금
    private String exmpInt; //EXMP_INT   면제_이자
    private String exmpDfee; //EXMP_DFEE   면제_연체료
    private String exmpLeglActsCost; //EXMP_LEGL_ACTS_COST   면제_법적조치_비용
    private String exmpMidRmbrFee; //EXMP_MID_RMBR_FEE   면제_중도_상환_수수료
    private String exemPamt; //EXEM_PAMT   감면_원금
    private String acntSnum; //ACNT_SNUM   계좌_일련번호
    private String setlBankCd; //SETL_BANK_CD   결제_은행_코드
    private String setlAcntNo; //SETL_ACNT_NO   결제_계좌번호
    private String acntStatCd; //ACNT_STAT_CD   계좌_상태_코드
    private String autoTranAplyDt; //AUTO_TRAN_APLY_DT   자동이체_적용_일자
    private String depoOwnNo; //DEPO_OWN_NO   예금주_번호
    private String depoOwnnm; //DEPO_OWNNM   예금주명
    private String depoOwnRelcd; //DEPO_OWN_RELCD   예금주_관계코드
    private String totTims; //TOT_TIMS   총_회차
    private String cpayTims; //CPAY_TIMS   완납_회차
    private String setlNo; //SETL_NO   결제_번호
    private String rcptStatCd; //RCPT_STAT_CD   수납_상태_코드
    private String leglActsStatCd; //LEGL_ACTS_STAT_CD   법적조치_상태_코드
    private String badDebtProcStatCd; //BAD_DEBT_PROC_STAT_CD   대손_처리_상태_코드
    private String crdtRcvrStatCd; //CRDT_RCVR_STAT_CD   신용_회복_상태_코드
    private String loanNormIzeFg; //LOAN_NORM_IZE_FG   대출_정상화_여부
    private String lawCostOccrFg; //LAW_COST_OCCR_FG   법_비용_발생_여부
    private String flotIzeDivCd; //FLOT_IZE_DIV_CD   유동화_구분코드
    private String flotIzeSeq; //FLOT_IZE_SEQ   유동화_차수
    private String flotIzeStrtSetlNo; //FLOT_IZE_STRT_SETL_NO   유동화_시작_결제_번호
    private String flotIzeEndSetlNo; //FLOT_IZE_END_SETL_NO   유동화_종료_결제_번호
    private String flotIzeRpchFg; //FLOT_IZE_RPCH_FG   유동화_환매_여부
    private String collComCd; //COLL_COM_CD   추심_사_코드
    private String badBndSellComCd; //BAD_BND_SELL_COM_CD   불량_채권_매각_회사_코드
    private String crdtInfoAgrFg; //CRDT_INFO_AGR_FG   신용_정보_동의_여부
    private String dmscRegIntnVochNo; //DMSC_REG_INTN_VOCH_NO   자판_등록_내부_전표_번호
    private String dmscCnclIntnVochNo; //DMSC_CNCL_INTN_VOCH_NO   자판_취소_내부_전표_번호
    private String loanAcctDt; //LOAN_ACCT_DT   대출_회계_일자
    private String frstStndIntRt; //FRST_STND_INT_RT   최초_기준_이자율
    private String frstStndTrtFeeRt; //FRST_STND_TRT_FEE_RT   최초_기준_취급_수수료율
    private String frstStndCustTrtFee; //FRST_STND_CUST_TRT_FEE   최초_기준_고객_취급_수수료
    private String frstStndCprtComTrtFee; //FRST_STND_CPRT_COM_TRT_FEE   최초_기준_제휴사_취급_수수료
    private String frstStndPrFeeRt; //FRST_STND_PR_FEE_RT   최초_기준_판촉_수수료율
    private String frstStndPrFee; //FRST_STND_PR_FEE   최초_기준_판촉_수수료
    private String frstStndIntnPrftRt; //FRST_STND_INTN_PRFT_RT   최초_기준_내부_수익율
    private String bndOldNewFg; //BND_OLD_NEW_FG   채권_구1_신_여부
    private String factIntRt; //FACT_INT_RT   실제_이자율
    private String spclCarsFg; //SPCL_CARS_FG   특수_차량_여부
    private String spclCarsLoanNo; //SPCL_CARS_LOAN_NO   특수_차량_대출_번호
    private String trtFeeDiscExclFg; //TRT_FEE_DISC_EXCL_FG   취급_수수료_할인_제외_여부
    private String execDt; //EXEC_DT   실행_일자
    private String intRtDivCd; //INT_RT_DIV_CD   이자율_구분코드
    private String monyPrpsCd; //MONY_PRPS_CD   자금_용도_코드
    private String loanTpCd; //LOAN_TP_CD   대출_유형_코드
    private String rmbrMethCd; //RMBR_METH_CD   상환_방법_코드
    private String empDivCd; //EMP_DIV_CD   임직원_구분코드
    private String setFeeBrdnDivCd; //SET_FEE_BRDN_DIV_CD   설정료_부담_구분코드
    private String trtFeeBrdnDivCd; //TRT_FEE_BRDN_DIV_CD   취급_수수료_부담_구분코드
    private String loanApplDivCd; //LOAN_APPL_DIV_CD   대출_신청_구분코드
    private String loanSchdDt; //LOAN_SCHD_DT   대출_예정_일자
    private String baseIntRt; //BASE_INT_RT   기본_이자율
    private String addIntRt; //ADD_INT_RT   추가_이자율
    private String aosIntRt; //AOS_INT_RT   가감_이자율
    private String ltvr; //LTVR   LTVR
    private String dtir; //DTIR   DTIR
    private String rigtInsuFee; //RIGT_INSU_FEE   권리_보험료
    private String judgFee; //JUDG_FEE   감정료
    private String defrTerm; //DEFR_TERM   거치_기간
    private String plPrdtDiv; //PL_PRDT_DIV   PL_상품_구분
    private String plCnslDiv; //PL_CNSL_DIV   PL_상담_구분
    private String addIntRt2; //ADD_INT_RT2   추가_이자율2
    private String aosIntRt2; //AOS_INT_RT2   가감_이자율2
    private String addIntRt3; //ADD_INT_RT3   추가_이자율3
    private String aosIntRt3; //AOS_INT_RT3   가감_이자율3
    private String spclDiscIntRt; //SPCL_DISC_INT_RT   특별_할인_이자율
    private String acptPathCd; //ACPT_PATH_CD   접수_경로_코드
    private String rentCarFg; //RENT_CAR_FG   렌트카_여부
    private String addIntRt1; //ADD_INT_RT1   추가_이자율1
    private String aosIntRt1; //AOS_INT_RT1   가감_이자율1
    private String vsitEmpNo; //VSIT_EMP_NO   방문_사원_번호
    private String autoTranIntgFg; //AUTO_TRAN_INTG_FG   자동이체_통합_여부
    private String eprtRmbrSlctCd; //EPRT_RMBR_SLCT_CD   만기_상환_선택_코드
    private String moggSpclPrdtDivCd; //MOGG_SPCL_PRDT_DIV_CD   모기지_특수_상품_구분_코드
    private String rsltCnclDt; //RSLT_CNCL_DT   실적_취소_일자
    private String mngPlcBndDivsEmpNo; //MNG_PLC_BND_DIVS_EMP_NO   관리처_채권_담당_사원번호
    private String moggIncrAmtFg; //MOGG_INCR_AMT_FG   모기지_증액_여부
    private String moggRigtInsuComDivCd; //MOGG_RIGT_INSU_COM_DIV_CD   모기지_권리_보험_사_구분_코드
    private String extnDt; //EXTN_DT   연장_일자
    private String loanRegEmpNo; //LOAN_REG_EMP_NO   대출_등록_사원_번호
    private String deliDcsnDt; //DELI_DCSN_DT   출고_확정_일자
    private String corpBndlLoanObjFg; //CORP_BNDL_LOAN_OBJ_FG   법인_포괄_대출_대상_여부
    private String corpBndlLoanReprNoFg; //CORP_BNDL_LOAN_REPR_NO_FG   법인_포괄_대출_대표_번호_여부
    private String trtFee; //TRT_FEE   취급_수수료
    private String trtFeeRamt; //TRT_FEE_RAMT   취급_수수료_잔액
    private String rmbrTrtFee; //RMBR_TRT_FEE   상환_취급_수수료
    private String exmpTrtFee; //EXMP_TRT_FEE   면제_취급_수수료
    private String bfLoanNo; //BF_LOAN_NO   전_대출_번호
    private String bfLoanRamt; //BF_LOAN_RAMT   전_대출_잔액
    private String bfLoanCpayInt; //BF_LOAN_CPAY_INT   전_대출_완납_이자
    private String addTcnt; //ADD_TCNT   추가_횟수
    private String mrtgClosFbidFg; //MRTG_CLOS_FBID_FG   담보_말소_금지_여부
    private String crdtPasrComrDivCd; //CRDT_PASR_COMR_DIV_CD   신용_승용_상용_구분_코드
    private String trtFeeFg; //TRT_FEE_FG   취급_수수료_여부
    private String mngPlcDivCd; //MNG_PLC_DIV_CD   관리처_구분_코드
    private String wdrwPlcDivCd; //WDRW_PLC_DIV_CD   회수_처_구분_코드
    private String plDocTrtDivCd; //PL_DOC_TRT_DIV_CD   PL_서류_취급_구분_코드 BHP110214 추가

    private String contNo;    //CONT_NO     약정번호
    private String contMngNo; //CONT_MNG_NO 회원번호
    private String deptNm;
    private String contManNm;
    private String custTpCd;
    private String prdtNm;
    private String cprtComNo;
    private String cprtComNm;
    private String cprtBranCd;
    private String cprtBranNm;
    private String cprtFgNm;
    private String saleEmpResiNm;
    private String roundLoanPamt;
    private String lnDivsEmpNm;
    private String lnDivsGb;
    private String prdtLrgeClasNm;
    private String prdtMidClasNm;
    private String prdtSmClasNm;
    private String setFeeBrdnDivNm;
    private String docKeepPlcNo;
    private String procTm;
    private String reprCustNo;
    private String reprCustNm;
    private String godsQty;                // 물품수량
    private String godsCd;                 // 물품코드
    private String godsGlasNm;             // 물품명
    private String godsClasCd;             // 물품분류코드
    private String godsClasNm;             // 물품대분류명
    private String godsMidClasNm;          // 물품중분류명
    private String godsSmClasNm;           // 물품소분류명
    private String godsDetlClasNm;         // 물품세분류명
    private String payStatCd;              // 지급상태코드
    private String custNo;             // 고객번호
    private String cnslNo;             // 상담번호
    private String instCprtComNo; // 할부_제휴사_번호
    private String instCprtComNm; // 할부_제휴사_명
    private String instCprtBranCd; // 할부_제휴점_코드
    private String instCprtBranNm; // 할부_제휴점_명
    private String instEmpResiNo; // 할부_사원_주민등록번호
    private String instEmpNm;   //INST_EMP_NM   할부_사원_명
    private String minIntRt;    //MIN_INT_RT    최저이자율
    private String bsnAgntFeePay;    //업무대행수수료
    private String prFeePay;         //판매지원수수료
    private String extsRt; //유예율
    private String extsAmt; //유예금액
    private String psmtRecpMethCd; //우편물수령방법
    private String pvDcsnDt; // PV확정일자
    private String contDt; // 약정완료일자
    private String loanApplPamt; // 대출신청금액
    private String guarInsuAmt; // 보증보험료
    private String etcCost; // 기타부대비용

    private String cmsIzeDivCd;			// CMS_구분_코드
    private String cmsIzeSeq;				// CMS_차수
    private String ablIzeDivCd;           //  ABL_구분_코드
    private String ablIzeSeq;             //  ABL_차수

    private String mrtgSetPlcNo;       // 담보설정처번호

    private String askFbidFg;       // 2020-01-14 청구금지여부

	// [START][20200113_SHC] 프로모션 추가
	private String ucarPrmtDiscRt1    ; // 중고차_프로모션_할인_금리1
	private String ucarPrmtDiscRt2    ; // 중고차_프로모션_할인_금리2
	private String ucarPrmtDiscRt3    ; // 중고차_프로모션_할인_금리3
	private String ucarPrmtCd1        ; // 중고차_프로모션_코드1
	private String ucarPrmtCd2        ; // 중고차_프로모션_코드2
	private String ucarPrmtCd3        ; // 중고차_프로모션_코드3
	private String ucarPrmtCdSnum1    ; // 중고차_프로모션_코드_일련번호1
	private String ucarPrmtCdSnum2    ; // 중고차_프로모션_코드_일련번호2
	private String ucarPrmtCdSnum3    ; // 중고차_프로모션_코드_일련번호3
	private String ucarPrmtDiscAmt1   ; // 중고차_프로모션_할인_금액1
	private String ucarPrmtDiscAmt2   ; // 중고차_프로모션_할인_금액2
	private String ucarPrmtDiscAmt3   ; // 중고차_프로모션_할인_금액3
	private String ucarPrmtAidAmt1    ; // 중고차_프로모션_지원_금액1
	private String ucarPrmtAidAmt2    ; // 중고차_프로모션_지원_금액2
	private String ucarPrmtAidAmt3    ; // 중고차_프로모션_지원_금액3
	// [ END ][20200113_SHC] 프로모션 추가

    // 사업자담보대출 관련 추가 (2022-12-06 SAY)
    private String prdtDivCd          ;
    private String rateDivCd          ;
    private String chgCycl            ;
    private String limtDivCd          ;

	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public String getMngNo() {
		return mngNo;
	}
	public String getMngSeq() {
		return mngSeq;
	}
	public String getImgAcntBankCd() {
		return imgAcntBankCd;
	}
	public String getImgAcntNo() {
		return imgAcntNo;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public String getContManNo() {
		return contManNo;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public String getLoanLastFg() {
		return loanLastFg;
	}
	public String getLoanOccrCd() {
		return loanOccrCd;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public String getOccrDeptCd() {
		return occrDeptCd;
	}
	public String getLnDivsEmpNo() {
		return lnDivsEmpNo;
	}
	public String getBndDivsEmpNo() {
		return bndDivsEmpNo;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public String getDueMethCd() {
		return dueMethCd;
	}
	public String getTrtFeeDivsRcptFg() {
		return trtFeeDivsRcptFg;
	}
	public String getHousGrpCd() {
		return housGrpCd;
	}
	public String getEmpCondCd() {
		return empCondCd;
	}
	public String getCmpg1Cd() {
		return cmpg1Cd;
	}
	public String getCmpg2Cd() {
		return cmpg2Cd;
	}
	public String getCmpg3Cd() {
		return cmpg3Cd;
	}
	public String getFrstLoanIntRt() {
		return frstLoanIntRt;
	}
	public String getLoanIntRt() {
		return loanIntRt;
	}
	public String getIntnPrftRt() {
		return intnPrftRt;
	}
	public String getDfeeRt() {
		return dfeeRt;
	}
	public String getTrtFeeRt() {
		return trtFeeRt;
	}
	public String getCprtFeeRt() {
		return cprtFeeRt;
	}
	public String getBrcvRt() {
		return brcvRt;
	}
	public String getFcntMopaCalcFg() {
		return fcntMopaCalcFg;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public String getIntStrtDt() {
		return intStrtDt;
	}
	public String getDeliDt() {
		return deliDt;
	}
	public String getApplDt() {
		return applDt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public String getAprvDt() {
		return aprvDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public String getPayDt() {
		return payDt;
	}
	public String getEndDt() {
		return endDt;
	}
	public String getExamDgreCd() {
		return examDgreCd;
	}
	public String getExamJudgCd() {
		return examJudgCd;
	}
	public String getNtrmJstManCd() {
		return ntrmJstManCd;
	}
	public String getSaleEmpResiNo() {
		return saleEmpResiNo;
	}
	public String getPrEmpResiNo() {
		return prEmpResiNo;
	}
	public String getLoanContAmt() {
		return loanContAmt;
	}
	public String getLoanPamt() {
		return loanPamt;
	}
	public String getLoanInt() {
		return loanInt;
	}
	public String getCustTrtFee() {
		return custTrtFee;
	}
	public String getCprtComTrtFee() {
		return cprtComTrtFee;
	}
	public String getCprtFee() {
		return cprtFee;
	}
	public String getSetFee() {
		return setFee;
	}
	public String getNotaFee() {
		return notaFee;
	}
	public String getEtcFee() {
		return etcFee;
	}
	public String getCrdtRcvrUnrcvAmt() {
		return crdtRcvrUnrcvAmt;
	}
	public String getMidRmbrFee() {
		return midRmbrFee;
	}
	public String getLeglActsCost() {
		return leglActsCost;
	}
	public String getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public String getLoanIntRamt() {
		return loanIntRamt;
	}
	public String getLeglActsCostRamt() {
		return leglActsCostRamt;
	}
	public String getRmbrPamt() {
		return rmbrPamt;
	}
	public String getRmbrInt() {
		return rmbrInt;
	}
	public String getMidRmbrInt() {
		return midRmbrInt;
	}
	public String getRmbrDfee() {
		return rmbrDfee;
	}
	public String getDiscTrtFee() {
		return discTrtFee;
	}
	public String getDiscDfee() {
		return discDfee;
	}
	public String getRmbrLeglActsCost() {
		return rmbrLeglActsCost;
	}
	public String getRmbrCrdtRcvrUnrcvAmt() {
		return rmbrCrdtRcvrUnrcvAmt;
	}
	public String getExmpPamt() {
		return exmpPamt;
	}
	public String getExmpInt() {
		return exmpInt;
	}
	public String getExmpDfee() {
		return exmpDfee;
	}
	public String getExmpLeglActsCost() {
		return exmpLeglActsCost;
	}
	public String getExmpMidRmbrFee() {
		return exmpMidRmbrFee;
	}
	public String getExemPamt() {
		return exemPamt;
	}
	public String getAcntSnum() {
		return acntSnum;
	}
	public String getSetlBankCd() {
		return setlBankCd;
	}
	public String getSetlAcntNo() {
		return setlAcntNo;
	}
	public String getAcntStatCd() {
		return acntStatCd;
	}
	public String getAutoTranAplyDt() {
		return autoTranAplyDt;
	}
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	public String getDepoOwnRelcd() {
		return depoOwnRelcd;
	}
	public String getTotTims() {
		return totTims;
	}
	public String getCpayTims() {
		return cpayTims;
	}
	public String getSetlNo() {
		return setlNo;
	}
	public String getRcptStatCd() {
		return rcptStatCd;
	}
	public String getLeglActsStatCd() {
		return leglActsStatCd;
	}
	public String getBadDebtProcStatCd() {
		return badDebtProcStatCd;
	}
	public String getCrdtRcvrStatCd() {
		return crdtRcvrStatCd;
	}
	public String getLoanNormIzeFg() {
		return loanNormIzeFg;
	}
	public String getLawCostOccrFg() {
		return lawCostOccrFg;
	}
	public String getFlotIzeDivCd() {
		return flotIzeDivCd;
	}
	public String getFlotIzeSeq() {
		return flotIzeSeq;
	}
	public String getFlotIzeStrtSetlNo() {
		return flotIzeStrtSetlNo;
	}
	public String getFlotIzeEndSetlNo() {
		return flotIzeEndSetlNo;
	}
	public String getFlotIzeRpchFg() {
		return flotIzeRpchFg;
	}
	public String getCollComCd() {
		return collComCd;
	}
	public String getBadBndSellComCd() {
		return badBndSellComCd;
	}
	public String getCrdtInfoAgrFg() {
		return crdtInfoAgrFg;
	}
	public String getDmscRegIntnVochNo() {
		return dmscRegIntnVochNo;
	}
	public String getDmscCnclIntnVochNo() {
		return dmscCnclIntnVochNo;
	}
	public String getLoanAcctDt() {
		return loanAcctDt;
	}
	public String getFrstStndIntRt() {
		return frstStndIntRt;
	}
	public String getFrstStndTrtFeeRt() {
		return frstStndTrtFeeRt;
	}
	public String getFrstStndCustTrtFee() {
		return frstStndCustTrtFee;
	}
	public String getFrstStndCprtComTrtFee() {
		return frstStndCprtComTrtFee;
	}
	public String getFrstStndPrFeeRt() {
		return frstStndPrFeeRt;
	}
	public String getFrstStndPrFee() {
		return frstStndPrFee;
	}
	public String getFrstStndIntnPrftRt() {
		return frstStndIntnPrftRt;
	}
	public String getBndOldNewFg() {
		return bndOldNewFg;
	}
	public String getFactIntRt() {
		return factIntRt;
	}
	public String getSpclCarsFg() {
		return spclCarsFg;
	}
	public String getSpclCarsLoanNo() {
		return spclCarsLoanNo;
	}
	public String getTrtFeeDiscExclFg() {
		return trtFeeDiscExclFg;
	}
	public String getExecDt() {
		return execDt;
	}
	public String getIntRtDivCd() {
		return intRtDivCd;
	}
	public String getMonyPrpsCd() {
		return monyPrpsCd;
	}
	public String getLoanTpCd() {
		return loanTpCd;
	}
	public String getRmbrMethCd() {
		return rmbrMethCd;
	}
	public String getEmpDivCd() {
		return empDivCd;
	}
	public String getSetFeeBrdnDivCd() {
		return setFeeBrdnDivCd;
	}
	public String getTrtFeeBrdnDivCd() {
		return trtFeeBrdnDivCd;
	}
	public String getLoanApplDivCd() {
		return loanApplDivCd;
	}
	public String getLoanSchdDt() {
		return loanSchdDt;
	}
	public String getBaseIntRt() {
		return baseIntRt;
	}
	public String getAddIntRt() {
		return addIntRt;
	}
	public String getAosIntRt() {
		return aosIntRt;
	}
	public String getLtvr() {
		return ltvr;
	}
	public String getDtir() {
		return dtir;
	}
	public String getRigtInsuFee() {
		return rigtInsuFee;
	}
	public String getJudgFee() {
		return judgFee;
	}
	public String getDefrTerm() {
		return defrTerm;
	}
	public String getPlPrdtDiv() {
		return plPrdtDiv;
	}
	public String getPlCnslDiv() {
		return plCnslDiv;
	}
	public String getAddIntRt2() {
		return addIntRt2;
	}
	public String getAosIntRt2() {
		return aosIntRt2;
	}
	public String getAddIntRt3() {
		return addIntRt3;
	}
	public String getAosIntRt3() {
		return aosIntRt3;
	}
	public String getSpclDiscIntRt() {
		return spclDiscIntRt;
	}
	public String getAcptPathCd() {
		return acptPathCd;
	}
	public String getRentCarFg() {
		return rentCarFg;
	}
	public String getAddIntRt1() {
		return addIntRt1;
	}
	public String getAosIntRt1() {
		return aosIntRt1;
	}
	public String getVsitEmpNo() {
		return vsitEmpNo;
	}
	public String getAutoTranIntgFg() {
		return autoTranIntgFg;
	}
	public String getEprtRmbrSlctCd() {
		return eprtRmbrSlctCd;
	}
	public String getMoggSpclPrdtDivCd() {
		return moggSpclPrdtDivCd;
	}
	public String getRsltCnclDt() {
		return rsltCnclDt;
	}
	public String getMngPlcBndDivsEmpNo() {
		return mngPlcBndDivsEmpNo;
	}
	public String getMoggIncrAmtFg() {
		return moggIncrAmtFg;
	}
	public String getMoggRigtInsuComDivCd() {
		return moggRigtInsuComDivCd;
	}
	public String getExtnDt() {
		return extnDt;
	}
	public String getLoanRegEmpNo() {
		return loanRegEmpNo;
	}
	public String getDeliDcsnDt() {
		return deliDcsnDt;
	}
	public String getCorpBndlLoanObjFg() {
		return corpBndlLoanObjFg;
	}
	public String getCorpBndlLoanReprNoFg() {
		return corpBndlLoanReprNoFg;
	}
	public String getTrtFee() {
		return trtFee;
	}
	public String getTrtFeeRamt() {
		return trtFeeRamt;
	}
	public String getRmbrTrtFee() {
		return rmbrTrtFee;
	}
	public String getExmpTrtFee() {
		return exmpTrtFee;
	}
	public String getBfLoanNo() {
		return bfLoanNo;
	}
	public String getBfLoanRamt() {
		return bfLoanRamt;
	}
	public String getBfLoanCpayInt() {
		return bfLoanCpayInt;
	}
	public String getAddTcnt() {
		return addTcnt;
	}
	public String getMrtgClosFbidFg() {
		return mrtgClosFbidFg;
	}
	public String getCrdtPasrComrDivCd() {
		return crdtPasrComrDivCd;
	}
	public String getTrtFeeFg() {
		return trtFeeFg;
	}
	public String getMngPlcDivCd() {
		return mngPlcDivCd;
	}
	public String getWdrwPlcDivCd() {
		return wdrwPlcDivCd;
	}
	public String getPlDocTrtDivCd() {
		return plDocTrtDivCd;
	}
	public String getContNo() {
		return contNo;
	}
	public String getContMngNo() {
		return contMngNo;
	}
	public String getDeptNm() {
		return deptNm;
	}
	public String getContManNm() {
		return contManNm;
	}
	public String getCustTpCd() {
		return custTpCd;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public String getCprtComNo() {
		return cprtComNo;
	}
	public String getCprtComNm() {
		return cprtComNm;
	}
	public String getCprtBranCd() {
		return cprtBranCd;
	}
	public String getCprtBranNm() {
		return cprtBranNm;
	}
	public String getCprtFgNm() {
		return cprtFgNm;
	}
	public String getSaleEmpResiNm() {
		return saleEmpResiNm;
	}
	public String getRoundLoanPamt() {
		return roundLoanPamt;
	}
	public String getLnDivsEmpNm() {
		return lnDivsEmpNm;
	}
	public String getLnDivsGb() {
		return lnDivsGb;
	}
	public String getPrdtLrgeClasNm() {
		return prdtLrgeClasNm;
	}
	public String getPrdtMidClasNm() {
		return prdtMidClasNm;
	}
	public String getPrdtSmClasNm() {
		return prdtSmClasNm;
	}
	public String getSetFeeBrdnDivNm() {
		return setFeeBrdnDivNm;
	}
	public String getDocKeepPlcNo() {
		return docKeepPlcNo;
	}
	public String getProcTm() {
		return procTm;
	}
	public String getReprCustNo() {
		return reprCustNo;
	}
	public String getReprCustNm() {
		return reprCustNm;
	}
	public String getGodsQty() {
		return godsQty;
	}
	public String getGodsCd() {
		return godsCd;
	}
	public String getGodsGlasNm() {
		return godsGlasNm;
	}
	public String getGodsClasCd() {
		return godsClasCd;
	}
	public String getGodsClasNm() {
		return godsClasNm;
	}
	public String getGodsMidClasNm() {
		return godsMidClasNm;
	}
	public String getGodsSmClasNm() {
		return godsSmClasNm;
	}
	public String getGodsDetlClasNm() {
		return godsDetlClasNm;
	}
	public String getPayStatCd() {
		return payStatCd;
	}
	public String getCustNo() {
		return custNo;
	}
	public String getCnslNo() {
		return cnslNo;
	}
	public String getInstCprtComNo() {
		return instCprtComNo;
	}
	public String getInstCprtComNm() {
		return instCprtComNm;
	}
	public String getInstCprtBranCd() {
		return instCprtBranCd;
	}
	public String getInstCprtBranNm() {
		return instCprtBranNm;
	}
	public String getInstEmpResiNo() {
		return instEmpResiNo;
	}
	public String getInstEmpNm() {
		return instEmpNm;
	}
	public String getMinIntRt() {
		return minIntRt;
	}
	public String getBsnAgntFeePay() {
		return bsnAgntFeePay;
	}
	public String getPrFeePay() {
		return prFeePay;
	}
	public String getExtsRt() {
		return extsRt;
	}
	public String getExtsAmt() {
		return extsAmt;
	}
	public String getPsmtRecpMethCd() {
		return psmtRecpMethCd;
	}
	public String getPvDcsnDt() {
		return pvDcsnDt;
	}
	public String getContDt() {
		return contDt;
	}
	public String getLoanApplPamt() {
		return loanApplPamt;
	}
	public String getGuarInsuAmt() {
		return guarInsuAmt;
	}
	public String getEtcCost() {
		return etcCost;
	}
	public String getCmsIzeDivCd() {
		return cmsIzeDivCd;
	}
	public String getCmsIzeSeq() {
		return cmsIzeSeq;
	}
	public String getAblIzeDivCd() {
		return ablIzeDivCd;
	}
	public String getAblIzeSeq() {
		return ablIzeSeq;
	}
	public String getMrtgSetPlcNo() {
		return mrtgSetPlcNo;
	}
	public String getAskFbidFg() {
		return askFbidFg;
	}
	public String getUcarPrmtDiscRt1() {
		return ucarPrmtDiscRt1;
	}
	public String getUcarPrmtDiscRt2() {
		return ucarPrmtDiscRt2;
	}
	public String getUcarPrmtDiscRt3() {
		return ucarPrmtDiscRt3;
	}
	public String getUcarPrmtCd1() {
		return ucarPrmtCd1;
	}
	public String getUcarPrmtCd2() {
		return ucarPrmtCd2;
	}
	public String getUcarPrmtCd3() {
		return ucarPrmtCd3;
	}
	public String getUcarPrmtCdSnum1() {
		return ucarPrmtCdSnum1;
	}
	public String getUcarPrmtCdSnum2() {
		return ucarPrmtCdSnum2;
	}
	public String getUcarPrmtCdSnum3() {
		return ucarPrmtCdSnum3;
	}
	public String getUcarPrmtDiscAmt1() {
		return ucarPrmtDiscAmt1;
	}
	public String getUcarPrmtDiscAmt2() {
		return ucarPrmtDiscAmt2;
	}
	public String getUcarPrmtDiscAmt3() {
		return ucarPrmtDiscAmt3;
	}
	public String getUcarPrmtAidAmt1() {
		return ucarPrmtAidAmt1;
	}
	public String getUcarPrmtAidAmt2() {
		return ucarPrmtAidAmt2;
	}
	public String getUcarPrmtAidAmt3() {
		return ucarPrmtAidAmt3;
	}
	public String getPrdtDivCd() {
		return prdtDivCd;
	}
	public String getRateDivCd() {
		return rateDivCd;
	}
	public String getChgCycl() {
		return chgCycl;
	}
	public String getLimtDivCd() {
		return limtDivCd;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setMngNo(String mngNo) {
		this.mngNo = mngNo;
	}
	public void setMngSeq(String mngSeq) {
		this.mngSeq = mngSeq;
	}
	public void setImgAcntBankCd(String imgAcntBankCd) {
		this.imgAcntBankCd = imgAcntBankCd;
	}
	public void setImgAcntNo(String imgAcntNo) {
		this.imgAcntNo = imgAcntNo;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public void setLoanLastFg(String loanLastFg) {
		this.loanLastFg = loanLastFg;
	}
	public void setLoanOccrCd(String loanOccrCd) {
		this.loanOccrCd = loanOccrCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public void setOccrDeptCd(String occrDeptCd) {
		this.occrDeptCd = occrDeptCd;
	}
	public void setLnDivsEmpNo(String lnDivsEmpNo) {
		this.lnDivsEmpNo = lnDivsEmpNo;
	}
	public void setBndDivsEmpNo(String bndDivsEmpNo) {
		this.bndDivsEmpNo = bndDivsEmpNo;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public void setDueMethCd(String dueMethCd) {
		this.dueMethCd = dueMethCd;
	}
	public void setTrtFeeDivsRcptFg(String trtFeeDivsRcptFg) {
		this.trtFeeDivsRcptFg = trtFeeDivsRcptFg;
	}
	public void setHousGrpCd(String housGrpCd) {
		this.housGrpCd = housGrpCd;
	}
	public void setEmpCondCd(String empCondCd) {
		this.empCondCd = empCondCd;
	}
	public void setCmpg1Cd(String cmpg1Cd) {
		this.cmpg1Cd = cmpg1Cd;
	}
	public void setCmpg2Cd(String cmpg2Cd) {
		this.cmpg2Cd = cmpg2Cd;
	}
	public void setCmpg3Cd(String cmpg3Cd) {
		this.cmpg3Cd = cmpg3Cd;
	}
	public void setFrstLoanIntRt(String frstLoanIntRt) {
		this.frstLoanIntRt = frstLoanIntRt;
	}
	public void setLoanIntRt(String loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public void setIntnPrftRt(String intnPrftRt) {
		this.intnPrftRt = intnPrftRt;
	}
	public void setDfeeRt(String dfeeRt) {
		this.dfeeRt = dfeeRt;
	}
	public void setTrtFeeRt(String trtFeeRt) {
		this.trtFeeRt = trtFeeRt;
	}
	public void setCprtFeeRt(String cprtFeeRt) {
		this.cprtFeeRt = cprtFeeRt;
	}
	public void setBrcvRt(String brcvRt) {
		this.brcvRt = brcvRt;
	}
	public void setFcntMopaCalcFg(String fcntMopaCalcFg) {
		this.fcntMopaCalcFg = fcntMopaCalcFg;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}
	public void setDeliDt(String deliDt) {
		this.deliDt = deliDt;
	}
	public void setApplDt(String applDt) {
		this.applDt = applDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public void setAprvDt(String aprvDt) {
		this.aprvDt = aprvDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public void setPayDt(String payDt) {
		this.payDt = payDt;
	}
	public void setEndDt(String endDt) {
		this.endDt = endDt;
	}
	public void setExamDgreCd(String examDgreCd) {
		this.examDgreCd = examDgreCd;
	}
	public void setExamJudgCd(String examJudgCd) {
		this.examJudgCd = examJudgCd;
	}
	public void setNtrmJstManCd(String ntrmJstManCd) {
		this.ntrmJstManCd = ntrmJstManCd;
	}
	public void setSaleEmpResiNo(String saleEmpResiNo) {
		this.saleEmpResiNo = saleEmpResiNo;
	}
	public void setPrEmpResiNo(String prEmpResiNo) {
		this.prEmpResiNo = prEmpResiNo;
	}
	public void setLoanContAmt(String loanContAmt) {
		this.loanContAmt = loanContAmt;
	}
	public void setLoanPamt(String loanPamt) {
		this.loanPamt = loanPamt;
	}
	public void setLoanInt(String loanInt) {
		this.loanInt = loanInt;
	}
	public void setCustTrtFee(String custTrtFee) {
		this.custTrtFee = custTrtFee;
	}
	public void setCprtComTrtFee(String cprtComTrtFee) {
		this.cprtComTrtFee = cprtComTrtFee;
	}
	public void setCprtFee(String cprtFee) {
		this.cprtFee = cprtFee;
	}
	public void setSetFee(String setFee) {
		this.setFee = setFee;
	}
	public void setNotaFee(String notaFee) {
		this.notaFee = notaFee;
	}
	public void setEtcFee(String etcFee) {
		this.etcFee = etcFee;
	}
	public void setCrdtRcvrUnrcvAmt(String crdtRcvrUnrcvAmt) {
		this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
	}
	public void setMidRmbrFee(String midRmbrFee) {
		this.midRmbrFee = midRmbrFee;
	}
	public void setLeglActsCost(String leglActsCost) {
		this.leglActsCost = leglActsCost;
	}
	public void setLoanPamtRamt(String loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public void setLoanIntRamt(String loanIntRamt) {
		this.loanIntRamt = loanIntRamt;
	}
	public void setLeglActsCostRamt(String leglActsCostRamt) {
		this.leglActsCostRamt = leglActsCostRamt;
	}
	public void setRmbrPamt(String rmbrPamt) {
		this.rmbrPamt = rmbrPamt;
	}
	public void setRmbrInt(String rmbrInt) {
		this.rmbrInt = rmbrInt;
	}
	public void setMidRmbrInt(String midRmbrInt) {
		this.midRmbrInt = midRmbrInt;
	}
	public void setRmbrDfee(String rmbrDfee) {
		this.rmbrDfee = rmbrDfee;
	}
	public void setDiscTrtFee(String discTrtFee) {
		this.discTrtFee = discTrtFee;
	}
	public void setDiscDfee(String discDfee) {
		this.discDfee = discDfee;
	}
	public void setRmbrLeglActsCost(String rmbrLeglActsCost) {
		this.rmbrLeglActsCost = rmbrLeglActsCost;
	}
	public void setRmbrCrdtRcvrUnrcvAmt(String rmbrCrdtRcvrUnrcvAmt) {
		this.rmbrCrdtRcvrUnrcvAmt = rmbrCrdtRcvrUnrcvAmt;
	}
	public void setExmpPamt(String exmpPamt) {
		this.exmpPamt = exmpPamt;
	}
	public void setExmpInt(String exmpInt) {
		this.exmpInt = exmpInt;
	}
	public void setExmpDfee(String exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public void setExmpLeglActsCost(String exmpLeglActsCost) {
		this.exmpLeglActsCost = exmpLeglActsCost;
	}
	public void setExmpMidRmbrFee(String exmpMidRmbrFee) {
		this.exmpMidRmbrFee = exmpMidRmbrFee;
	}
	public void setExemPamt(String exemPamt) {
		this.exemPamt = exemPamt;
	}
	public void setAcntSnum(String acntSnum) {
		this.acntSnum = acntSnum;
	}
	public void setSetlBankCd(String setlBankCd) {
		this.setlBankCd = setlBankCd;
	}
	public void setSetlAcntNo(String setlAcntNo) {
		this.setlAcntNo = setlAcntNo;
	}
	public void setAcntStatCd(String acntStatCd) {
		this.acntStatCd = acntStatCd;
	}
	public void setAutoTranAplyDt(String autoTranAplyDt) {
		this.autoTranAplyDt = autoTranAplyDt;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	public void setDepoOwnRelcd(String depoOwnRelcd) {
		this.depoOwnRelcd = depoOwnRelcd;
	}
	public void setTotTims(String totTims) {
		this.totTims = totTims;
	}
	public void setCpayTims(String cpayTims) {
		this.cpayTims = cpayTims;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public void setRcptStatCd(String rcptStatCd) {
		this.rcptStatCd = rcptStatCd;
	}
	public void setLeglActsStatCd(String leglActsStatCd) {
		this.leglActsStatCd = leglActsStatCd;
	}
	public void setBadDebtProcStatCd(String badDebtProcStatCd) {
		this.badDebtProcStatCd = badDebtProcStatCd;
	}
	public void setCrdtRcvrStatCd(String crdtRcvrStatCd) {
		this.crdtRcvrStatCd = crdtRcvrStatCd;
	}
	public void setLoanNormIzeFg(String loanNormIzeFg) {
		this.loanNormIzeFg = loanNormIzeFg;
	}
	public void setLawCostOccrFg(String lawCostOccrFg) {
		this.lawCostOccrFg = lawCostOccrFg;
	}
	public void setFlotIzeDivCd(String flotIzeDivCd) {
		this.flotIzeDivCd = flotIzeDivCd;
	}
	public void setFlotIzeSeq(String flotIzeSeq) {
		this.flotIzeSeq = flotIzeSeq;
	}
	public void setFlotIzeStrtSetlNo(String flotIzeStrtSetlNo) {
		this.flotIzeStrtSetlNo = flotIzeStrtSetlNo;
	}
	public void setFlotIzeEndSetlNo(String flotIzeEndSetlNo) {
		this.flotIzeEndSetlNo = flotIzeEndSetlNo;
	}
	public void setFlotIzeRpchFg(String flotIzeRpchFg) {
		this.flotIzeRpchFg = flotIzeRpchFg;
	}
	public void setCollComCd(String collComCd) {
		this.collComCd = collComCd;
	}
	public void setBadBndSellComCd(String badBndSellComCd) {
		this.badBndSellComCd = badBndSellComCd;
	}
	public void setCrdtInfoAgrFg(String crdtInfoAgrFg) {
		this.crdtInfoAgrFg = crdtInfoAgrFg;
	}
	public void setDmscRegIntnVochNo(String dmscRegIntnVochNo) {
		this.dmscRegIntnVochNo = dmscRegIntnVochNo;
	}
	public void setDmscCnclIntnVochNo(String dmscCnclIntnVochNo) {
		this.dmscCnclIntnVochNo = dmscCnclIntnVochNo;
	}
	public void setLoanAcctDt(String loanAcctDt) {
		this.loanAcctDt = loanAcctDt;
	}
	public void setFrstStndIntRt(String frstStndIntRt) {
		this.frstStndIntRt = frstStndIntRt;
	}
	public void setFrstStndTrtFeeRt(String frstStndTrtFeeRt) {
		this.frstStndTrtFeeRt = frstStndTrtFeeRt;
	}
	public void setFrstStndCustTrtFee(String frstStndCustTrtFee) {
		this.frstStndCustTrtFee = frstStndCustTrtFee;
	}
	public void setFrstStndCprtComTrtFee(String frstStndCprtComTrtFee) {
		this.frstStndCprtComTrtFee = frstStndCprtComTrtFee;
	}
	public void setFrstStndPrFeeRt(String frstStndPrFeeRt) {
		this.frstStndPrFeeRt = frstStndPrFeeRt;
	}
	public void setFrstStndPrFee(String frstStndPrFee) {
		this.frstStndPrFee = frstStndPrFee;
	}
	public void setFrstStndIntnPrftRt(String frstStndIntnPrftRt) {
		this.frstStndIntnPrftRt = frstStndIntnPrftRt;
	}
	public void setBndOldNewFg(String bndOldNewFg) {
		this.bndOldNewFg = bndOldNewFg;
	}
	public void setFactIntRt(String factIntRt) {
		this.factIntRt = factIntRt;
	}
	public void setSpclCarsFg(String spclCarsFg) {
		this.spclCarsFg = spclCarsFg;
	}
	public void setSpclCarsLoanNo(String spclCarsLoanNo) {
		this.spclCarsLoanNo = spclCarsLoanNo;
	}
	public void setTrtFeeDiscExclFg(String trtFeeDiscExclFg) {
		this.trtFeeDiscExclFg = trtFeeDiscExclFg;
	}
	public void setExecDt(String execDt) {
		this.execDt = execDt;
	}
	public void setIntRtDivCd(String intRtDivCd) {
		this.intRtDivCd = intRtDivCd;
	}
	public void setMonyPrpsCd(String monyPrpsCd) {
		this.monyPrpsCd = monyPrpsCd;
	}
	public void setLoanTpCd(String loanTpCd) {
		this.loanTpCd = loanTpCd;
	}
	public void setRmbrMethCd(String rmbrMethCd) {
		this.rmbrMethCd = rmbrMethCd;
	}
	public void setEmpDivCd(String empDivCd) {
		this.empDivCd = empDivCd;
	}
	public void setSetFeeBrdnDivCd(String setFeeBrdnDivCd) {
		this.setFeeBrdnDivCd = setFeeBrdnDivCd;
	}
	public void setTrtFeeBrdnDivCd(String trtFeeBrdnDivCd) {
		this.trtFeeBrdnDivCd = trtFeeBrdnDivCd;
	}
	public void setLoanApplDivCd(String loanApplDivCd) {
		this.loanApplDivCd = loanApplDivCd;
	}
	public void setLoanSchdDt(String loanSchdDt) {
		this.loanSchdDt = loanSchdDt;
	}
	public void setBaseIntRt(String baseIntRt) {
		this.baseIntRt = baseIntRt;
	}
	public void setAddIntRt(String addIntRt) {
		this.addIntRt = addIntRt;
	}
	public void setAosIntRt(String aosIntRt) {
		this.aosIntRt = aosIntRt;
	}
	public void setLtvr(String ltvr) {
		this.ltvr = ltvr;
	}
	public void setDtir(String dtir) {
		this.dtir = dtir;
	}
	public void setRigtInsuFee(String rigtInsuFee) {
		this.rigtInsuFee = rigtInsuFee;
	}
	public void setJudgFee(String judgFee) {
		this.judgFee = judgFee;
	}
	public void setDefrTerm(String defrTerm) {
		this.defrTerm = defrTerm;
	}
	public void setPlPrdtDiv(String plPrdtDiv) {
		this.plPrdtDiv = plPrdtDiv;
	}
	public void setPlCnslDiv(String plCnslDiv) {
		this.plCnslDiv = plCnslDiv;
	}
	public void setAddIntRt2(String addIntRt2) {
		this.addIntRt2 = addIntRt2;
	}
	public void setAosIntRt2(String aosIntRt2) {
		this.aosIntRt2 = aosIntRt2;
	}
	public void setAddIntRt3(String addIntRt3) {
		this.addIntRt3 = addIntRt3;
	}
	public void setAosIntRt3(String aosIntRt3) {
		this.aosIntRt3 = aosIntRt3;
	}
	public void setSpclDiscIntRt(String spclDiscIntRt) {
		this.spclDiscIntRt = spclDiscIntRt;
	}
	public void setAcptPathCd(String acptPathCd) {
		this.acptPathCd = acptPathCd;
	}
	public void setRentCarFg(String rentCarFg) {
		this.rentCarFg = rentCarFg;
	}
	public void setAddIntRt1(String addIntRt1) {
		this.addIntRt1 = addIntRt1;
	}
	public void setAosIntRt1(String aosIntRt1) {
		this.aosIntRt1 = aosIntRt1;
	}
	public void setVsitEmpNo(String vsitEmpNo) {
		this.vsitEmpNo = vsitEmpNo;
	}
	public void setAutoTranIntgFg(String autoTranIntgFg) {
		this.autoTranIntgFg = autoTranIntgFg;
	}
	public void setEprtRmbrSlctCd(String eprtRmbrSlctCd) {
		this.eprtRmbrSlctCd = eprtRmbrSlctCd;
	}
	public void setMoggSpclPrdtDivCd(String moggSpclPrdtDivCd) {
		this.moggSpclPrdtDivCd = moggSpclPrdtDivCd;
	}
	public void setRsltCnclDt(String rsltCnclDt) {
		this.rsltCnclDt = rsltCnclDt;
	}
	public void setMngPlcBndDivsEmpNo(String mngPlcBndDivsEmpNo) {
		this.mngPlcBndDivsEmpNo = mngPlcBndDivsEmpNo;
	}
	public void setMoggIncrAmtFg(String moggIncrAmtFg) {
		this.moggIncrAmtFg = moggIncrAmtFg;
	}
	public void setMoggRigtInsuComDivCd(String moggRigtInsuComDivCd) {
		this.moggRigtInsuComDivCd = moggRigtInsuComDivCd;
	}
	public void setExtnDt(String extnDt) {
		this.extnDt = extnDt;
	}
	public void setLoanRegEmpNo(String loanRegEmpNo) {
		this.loanRegEmpNo = loanRegEmpNo;
	}
	public void setDeliDcsnDt(String deliDcsnDt) {
		this.deliDcsnDt = deliDcsnDt;
	}
	public void setCorpBndlLoanObjFg(String corpBndlLoanObjFg) {
		this.corpBndlLoanObjFg = corpBndlLoanObjFg;
	}
	public void setCorpBndlLoanReprNoFg(String corpBndlLoanReprNoFg) {
		this.corpBndlLoanReprNoFg = corpBndlLoanReprNoFg;
	}
	public void setTrtFee(String trtFee) {
		this.trtFee = trtFee;
	}
	public void setTrtFeeRamt(String trtFeeRamt) {
		this.trtFeeRamt = trtFeeRamt;
	}
	public void setRmbrTrtFee(String rmbrTrtFee) {
		this.rmbrTrtFee = rmbrTrtFee;
	}
	public void setExmpTrtFee(String exmpTrtFee) {
		this.exmpTrtFee = exmpTrtFee;
	}
	public void setBfLoanNo(String bfLoanNo) {
		this.bfLoanNo = bfLoanNo;
	}
	public void setBfLoanRamt(String bfLoanRamt) {
		this.bfLoanRamt = bfLoanRamt;
	}
	public void setBfLoanCpayInt(String bfLoanCpayInt) {
		this.bfLoanCpayInt = bfLoanCpayInt;
	}
	public void setAddTcnt(String addTcnt) {
		this.addTcnt = addTcnt;
	}
	public void setMrtgClosFbidFg(String mrtgClosFbidFg) {
		this.mrtgClosFbidFg = mrtgClosFbidFg;
	}
	public void setCrdtPasrComrDivCd(String crdtPasrComrDivCd) {
		this.crdtPasrComrDivCd = crdtPasrComrDivCd;
	}
	public void setTrtFeeFg(String trtFeeFg) {
		this.trtFeeFg = trtFeeFg;
	}
	public void setMngPlcDivCd(String mngPlcDivCd) {
		this.mngPlcDivCd = mngPlcDivCd;
	}
	public void setWdrwPlcDivCd(String wdrwPlcDivCd) {
		this.wdrwPlcDivCd = wdrwPlcDivCd;
	}
	public void setPlDocTrtDivCd(String plDocTrtDivCd) {
		this.plDocTrtDivCd = plDocTrtDivCd;
	}
	public void setContNo(String contNo) {
		this.contNo = contNo;
	}
	public void setContMngNo(String contMngNo) {
		this.contMngNo = contMngNo;
	}
	public void setDeptNm(String deptNm) {
		this.deptNm = deptNm;
	}
	public void setContManNm(String contManNm) {
		this.contManNm = contManNm;
	}
	public void setCustTpCd(String custTpCd) {
		this.custTpCd = custTpCd;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}
	public void setCprtComNm(String cprtComNm) {
		this.cprtComNm = cprtComNm;
	}
	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}
	public void setCprtBranNm(String cprtBranNm) {
		this.cprtBranNm = cprtBranNm;
	}
	public void setCprtFgNm(String cprtFgNm) {
		this.cprtFgNm = cprtFgNm;
	}
	public void setSaleEmpResiNm(String saleEmpResiNm) {
		this.saleEmpResiNm = saleEmpResiNm;
	}
	public void setRoundLoanPamt(String roundLoanPamt) {
		this.roundLoanPamt = roundLoanPamt;
	}
	public void setLnDivsEmpNm(String lnDivsEmpNm) {
		this.lnDivsEmpNm = lnDivsEmpNm;
	}
	public void setLnDivsGb(String lnDivsGb) {
		this.lnDivsGb = lnDivsGb;
	}
	public void setPrdtLrgeClasNm(String prdtLrgeClasNm) {
		this.prdtLrgeClasNm = prdtLrgeClasNm;
	}
	public void setPrdtMidClasNm(String prdtMidClasNm) {
		this.prdtMidClasNm = prdtMidClasNm;
	}
	public void setPrdtSmClasNm(String prdtSmClasNm) {
		this.prdtSmClasNm = prdtSmClasNm;
	}
	public void setSetFeeBrdnDivNm(String setFeeBrdnDivNm) {
		this.setFeeBrdnDivNm = setFeeBrdnDivNm;
	}
	public void setDocKeepPlcNo(String docKeepPlcNo) {
		this.docKeepPlcNo = docKeepPlcNo;
	}
	public void setProcTm(String procTm) {
		this.procTm = procTm;
	}
	public void setReprCustNo(String reprCustNo) {
		this.reprCustNo = reprCustNo;
	}
	public void setReprCustNm(String reprCustNm) {
		this.reprCustNm = reprCustNm;
	}
	public void setGodsQty(String godsQty) {
		this.godsQty = godsQty;
	}
	public void setGodsCd(String godsCd) {
		this.godsCd = godsCd;
	}
	public void setGodsGlasNm(String godsGlasNm) {
		this.godsGlasNm = godsGlasNm;
	}
	public void setGodsClasCd(String godsClasCd) {
		this.godsClasCd = godsClasCd;
	}
	public void setGodsClasNm(String godsClasNm) {
		this.godsClasNm = godsClasNm;
	}
	public void setGodsMidClasNm(String godsMidClasNm) {
		this.godsMidClasNm = godsMidClasNm;
	}
	public void setGodsSmClasNm(String godsSmClasNm) {
		this.godsSmClasNm = godsSmClasNm;
	}
	public void setGodsDetlClasNm(String godsDetlClasNm) {
		this.godsDetlClasNm = godsDetlClasNm;
	}
	public void setPayStatCd(String payStatCd) {
		this.payStatCd = payStatCd;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public void setCnslNo(String cnslNo) {
		this.cnslNo = cnslNo;
	}
	public void setInstCprtComNo(String instCprtComNo) {
		this.instCprtComNo = instCprtComNo;
	}
	public void setInstCprtComNm(String instCprtComNm) {
		this.instCprtComNm = instCprtComNm;
	}
	public void setInstCprtBranCd(String instCprtBranCd) {
		this.instCprtBranCd = instCprtBranCd;
	}
	public void setInstCprtBranNm(String instCprtBranNm) {
		this.instCprtBranNm = instCprtBranNm;
	}
	public void setInstEmpResiNo(String instEmpResiNo) {
		this.instEmpResiNo = instEmpResiNo;
	}
	public void setInstEmpNm(String instEmpNm) {
		this.instEmpNm = instEmpNm;
	}
	public void setMinIntRt(String minIntRt) {
		this.minIntRt = minIntRt;
	}
	public void setBsnAgntFeePay(String bsnAgntFeePay) {
		this.bsnAgntFeePay = bsnAgntFeePay;
	}
	public void setPrFeePay(String prFeePay) {
		this.prFeePay = prFeePay;
	}
	public void setExtsRt(String extsRt) {
		this.extsRt = extsRt;
	}
	public void setExtsAmt(String extsAmt) {
		this.extsAmt = extsAmt;
	}
	public void setPsmtRecpMethCd(String psmtRecpMethCd) {
		this.psmtRecpMethCd = psmtRecpMethCd;
	}
	public void setPvDcsnDt(String pvDcsnDt) {
		this.pvDcsnDt = pvDcsnDt;
	}
	public void setContDt(String contDt) {
		this.contDt = contDt;
	}
	public void setLoanApplPamt(String loanApplPamt) {
		this.loanApplPamt = loanApplPamt;
	}
	public void setGuarInsuAmt(String guarInsuAmt) {
		this.guarInsuAmt = guarInsuAmt;
	}
	public void setEtcCost(String etcCost) {
		this.etcCost = etcCost;
	}
	public void setCmsIzeDivCd(String cmsIzeDivCd) {
		this.cmsIzeDivCd = cmsIzeDivCd;
	}
	public void setCmsIzeSeq(String cmsIzeSeq) {
		this.cmsIzeSeq = cmsIzeSeq;
	}
	public void setAblIzeDivCd(String ablIzeDivCd) {
		this.ablIzeDivCd = ablIzeDivCd;
	}
	public void setAblIzeSeq(String ablIzeSeq) {
		this.ablIzeSeq = ablIzeSeq;
	}
	public void setMrtgSetPlcNo(String mrtgSetPlcNo) {
		this.mrtgSetPlcNo = mrtgSetPlcNo;
	}
	public void setAskFbidFg(String askFbidFg) {
		this.askFbidFg = askFbidFg;
	}
	public void setUcarPrmtDiscRt1(String ucarPrmtDiscRt1) {
		this.ucarPrmtDiscRt1 = ucarPrmtDiscRt1;
	}
	public void setUcarPrmtDiscRt2(String ucarPrmtDiscRt2) {
		this.ucarPrmtDiscRt2 = ucarPrmtDiscRt2;
	}
	public void setUcarPrmtDiscRt3(String ucarPrmtDiscRt3) {
		this.ucarPrmtDiscRt3 = ucarPrmtDiscRt3;
	}
	public void setUcarPrmtCd1(String ucarPrmtCd1) {
		this.ucarPrmtCd1 = ucarPrmtCd1;
	}
	public void setUcarPrmtCd2(String ucarPrmtCd2) {
		this.ucarPrmtCd2 = ucarPrmtCd2;
	}
	public void setUcarPrmtCd3(String ucarPrmtCd3) {
		this.ucarPrmtCd3 = ucarPrmtCd3;
	}
	public void setUcarPrmtCdSnum1(String ucarPrmtCdSnum1) {
		this.ucarPrmtCdSnum1 = ucarPrmtCdSnum1;
	}
	public void setUcarPrmtCdSnum2(String ucarPrmtCdSnum2) {
		this.ucarPrmtCdSnum2 = ucarPrmtCdSnum2;
	}
	public void setUcarPrmtCdSnum3(String ucarPrmtCdSnum3) {
		this.ucarPrmtCdSnum3 = ucarPrmtCdSnum3;
	}
	public void setUcarPrmtDiscAmt1(String ucarPrmtDiscAmt1) {
		this.ucarPrmtDiscAmt1 = ucarPrmtDiscAmt1;
	}
	public void setUcarPrmtDiscAmt2(String ucarPrmtDiscAmt2) {
		this.ucarPrmtDiscAmt2 = ucarPrmtDiscAmt2;
	}
	public void setUcarPrmtDiscAmt3(String ucarPrmtDiscAmt3) {
		this.ucarPrmtDiscAmt3 = ucarPrmtDiscAmt3;
	}
	public void setUcarPrmtAidAmt1(String ucarPrmtAidAmt1) {
		this.ucarPrmtAidAmt1 = ucarPrmtAidAmt1;
	}
	public void setUcarPrmtAidAmt2(String ucarPrmtAidAmt2) {
		this.ucarPrmtAidAmt2 = ucarPrmtAidAmt2;
	}
	public void setUcarPrmtAidAmt3(String ucarPrmtAidAmt3) {
		this.ucarPrmtAidAmt3 = ucarPrmtAidAmt3;
	}
	public void setPrdtDivCd(String prdtDivCd) {
		this.prdtDivCd = prdtDivCd;
	}
	public void setRateDivCd(String rateDivCd) {
		this.rateDivCd = rateDivCd;
	}
	public void setChgCycl(String chgCycl) {
		this.chgCycl = chgCycl;
	}
	public void setLimtDivCd(String limtDivCd) {
		this.limtDivCd = limtDivCd;
	}

}
