package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : DsrcBaseVO
 * 클래스설명 : 예가수기본 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DsrcBaseVO extends ValueObj {
	public String dsrcNo = ""; //예가수_번호
	public String occrLoanNo = ""; //발생_대출_번호
	public String occrLoanSeq = ""; //발생_대출_순번
	public int    setlNo; //결제_번호
	public String rcptTpCd = ""; //수납_유형_코드
	public String acctDt = ""; //회계_일자
	public String dsrcOccrCd = ""; //예가수_발생_코드
	public String setlDt = ""; //결제_일자
	public long   dsrcOccrAmt; //예가수_발생_금액
	public long   dsrcRamt; //예가수_잔액
	public String unCnfmFg = "0"; //미_확인_여부
	public int    rfndSnum; //환불_일련번호
	public int    dsrcSnum; //예가수_일련번호
	public String rfndStatCd = ""; //환불_상태_코드
	public String adjLoanNo = ""; //정산_대출_번호
	public String adjLoanSeq = ""; //정산_대출_순번
	public String rmk = ""; //적요
	public String isrtDeptCd = ""; //입력_부서_코드
	public String adjDeptCd = ""; //정산_부서_코드
	public String procEmpNo = ""; //처리_사원_번호
	//2018-08-01 주성용 리스추가속성추가
	public String custNo = "";    //고객번호
}
