package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;


/**
 * <pre>
 * 클래스명    : GiroDescVO
 * 클래스설명 : 지로내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class GiroDescVO extends ValueObj {
	public String tranDt = ""; //전송_일자
	public String giroNo = ""; //지로_번호
	public String giroDivCd = ""; //지로_구분_코드
	public int    giroSnum = 0; //지로_일련번호
	public String adjLoanNo = ""; //대출_번호
	public String adjLoanSeq = ""; //대출_순번
	public int    setlNo = 0; //결제_번호
	public String procEmpNo = ""; //사원번호
}
