package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;


/**
 * <pre>
 * 클래스명    : RcptDescVO
 * 클래스설명 : 수납내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RcptDescVO extends ValueObj {

	public String loanNo = ""; //대출_번호
	public String loanSeq = ""; //대출_순번
	public int setlNo = 0; //결제_번호
	public int setlSnum = 0; //결제_일련번호
	public int tims = 0; //회차
	public String dueDt = ""; //납입_일자
	public String acctDt = ""; //회계_일자
	public String rcptTpCd = ""; //수납_유형_코드
	public String setlDivCd = ""; //결제_구분코드
	public String setlDt = ""; //결제일자

	public long mmPamt = 0; //월_원금
	public long mmInt = 0; //월_이자
	public long trtFee = 0;	//취급수수료
	public long dfee = 0; //연체료
	public long pdueDiscDfee = 0; //선납_할인_연체료
	public long midRmbrPamt = 0; //중도_상환_원금
	public long midRmbrInt = 0; //중도_상환_이자
	public long midRmbrTrtFee = 0; //중도_상환_취급수수료
	public long midRmbrFee = 0; //중도_상환_수수료
	public long trtFeeDisc = 0; //취급_수수료_할인

	public long exmpPamt = 0; //면제_원금
	public long exmpInt = 0; //면제_이자
	public long exmpTrtFee = 0; //면제_취급수수료
	public long exmpDfee = 0; //면제_연체료
	public long exmpMidRmbrFee = 0; //면제_중도_상환_수수료
	public String pdueFg = "0"; //선납_여부
	public String dlyFg = "0"; //연체_여부
	public String exmpFg = "0"; //면제_여부
	public String cnclFg = "0"; //취소_여부
	public String cnclDt = ""; //취소_일자
	public String procEmpNo = ""; //처리_사원_번호
	public String partCnclCd = "";	//2018-08-01 두비스 부분취소추가

	//2018-08-01 주성용 리스금액항목 추가
	public long ppayInt;    //선급이자
	public long addInsuFee;    //보험료
	public long addCartax;    //차세
	public long addEnvImprBrdnamt;    //환개금
	public long addAsfee;    //가산_정비료
	public long ipayInsuFee;    //대지급_보험료
	public long ipayCartax;    //대지급_자동차세
	public long ipayEnvImprBrdnamt;    //대지급_환경_개선_부담금
	public long ipayPnltAmt;    //대지급_범칙금
	public long ipayEtc;    //대지급_기타
	public long vtax;    //부가세
	public long ltrmBrcvAmt;    //장기_선수금
	public long ramtAmt;    //잔가_금액
	public long guarAmt;    //보증금
	public String endDivCd="";
	public long cortMaxAmt;     //법정_최고_금액
	public long calcPsgInt;     //계산_경과_이자
	public long calcMidRmbrFee; //계산_중도상환수수료
}
