package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.AskUnrcvVO;

@SuppressWarnings({"unchecked","rawtypes"})
/**
 * <pre>
 * 클래스명    : RcptMainVO
 * 클래스설명 : 수납메인 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RcptMainVO {

	/**
	 * 입금미수객체 VO
	 */
	private IamtUnrcvVO iamtUnrcvVO = null;

	/**
	 * 수납기본 VO
	 */
	private RcptBaseVO rcptBaseVO = null;

	/**
	 * 청구미수계산 VO
	 */
	private AskUnrcvVO askUnrcvVO = null;

	/**
	 * 정산내역 VO
	 */
	private AdjDescVO adjDescVO = null;

	public RcptMainVO() {
		init();
	}

	/**
	 * VO 초기화
	 */
	public void init() {
		iamtUnrcvVO = null;
		rcptBaseVO = null;
		askUnrcvVO = null;
		adjDescVO = null;
	}

	public IamtUnrcvVO getIamtUnrcvVO() {
		return iamtUnrcvVO;
	}

	public void setIamtUnrcvVO(IamtUnrcvVO iamtUnrcvVO) {
		this.iamtUnrcvVO = iamtUnrcvVO;
	}

	public RcptBaseVO getRcptBaseVO() {
		return rcptBaseVO;
	}

	public void setRcptBaseVO(RcptBaseVO rcptBaseVO) {
		this.rcptBaseVO = rcptBaseVO;
	}

	public AskUnrcvVO getAskUnrcvVO() {
		return askUnrcvVO;
	}

	public void setAskUnrcvVO(AskUnrcvVO askUnrcvVO) {
		this.askUnrcvVO = askUnrcvVO;
	}

	public AdjDescVO getAdjDescVO() {
		return adjDescVO;
	}

	public void setAdjDescVO(AdjDescVO adjDescVO) {
		this.adjDescVO = adjDescVO;
	}

}
