package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : RfndDescVO
 * 클래스설명 : 환불내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RfndDescVO extends ValueObj {
	public String dsrcNo        = ""; //예가수_번호
	public int    rfndSnum      = 0; //환불_일련번호
	public String rfndLoanNo    = ""; //환불_대출_번호
	public String rfndLoanSeq   = ""; //환불_대출_순번
	public String rfndDt        = ""; //환불_일자
	public String acctDt        = ""; //회계_일자
	public String rfndStatCd    = ""; //환불_상태_코드
	public String rcptTpCd      = ""; //수납_유형_코드
	public String rfndRsnCd     = ""; //환불_사유_코드
	public long dsrcOccrAmt     = 0; //예가수_발생_금액
	public long dsrcRamt        = 0; //예가수_잔액
	public long dsrcAdjAmt      = 0; //예가수_정산_금액
	public String autoTranAplyFg = "0"; //자동이체_적용_여부
	public String bankCd        = ""; //은행_코드
	public String acntNo        = ""; //계좌번호
	public String depoOwnNo     = ""; //예금주_번호
	public String depoOwnnm     = ""; //예금주명
	public String depoOwnRelCd  = ""; //예금주_관계_코드
	public String acntCnfmNo    = ""; //계좌_확인_번호
	public String acntCnfmDt    = ""; //계좌_확인_일자
	public String acntCnfmTm    = ""; //계좌_확인_시각
	public String acntRsltCd    = ""; //계좌_결과_코드
	public String ivltRegFg     = "0"; //강제_등록_여부
	public String cnfmDepoOwnnm = ""; //확인_예금주명
	public String payNo         = ""; //지급_번호
	public String rfndRsltCd    = ""; //환불_결과_코드
	public String isrtDeptCd    = ""; //입력_부서_코드
	public String adjDeptCd     = ""; //정산_부서_코드
	public int dsrcSnum         = 0; //예가수_일련번호
	public String setlFg        = "0"; //결제_여부
	public int setlNo           = 0; //결제_번호
	public String cnclFg        = "0"; //취소_여부
	public String cnclDt        = ""; //취소_일자
	public int cnclDsrcSnum     = 0; //취소_예가수_일련번호
	public String cnclSetlFg    = "0"; //취소_결제_여부
	public int cnclSetlNo       = 0; //취소_결제_번호
	public String trOrgCd       = "";
}
