package hanalife.r.dl.dl.service.impl;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.co.mapper.dto.RtDlvrDescDTO;
import hanalife.r.dl.dl.mapper.DlvrMapper;
import hanalife.r.dl.dl.service.DlvrService;
import hanalife.r.rc.rc.service.impl.RcptDAOServiceImpl;

@Service("DlvrService")
public class DlvrServiceImpl implements DlvrService{

	private static final Logger LOGGER = LoggerFactory.getLogger(RcptDAOServiceImpl.class);

	@Autowired
	private DlvrMapper dlvrMapper;

	@Override
	public RtDlvrDescDTO searchForLoan(RtDlvrDescDTO inVo) throws Exception {

		RtDlvrDescDTO result = new RtDlvrDescDTO();

		List<RtDlvrDescDTO> result1 = dlvrMapper.searchForLoan(inVo);

		if(result1.size() > 0) {
			result.setDlvrThngCd(result1.get(0).getDlvrThngCd());
			result.setDlvrThngNm(result1.get(0).getDlvrThngNm());
			result.setDlvrDt(result1.get(0).getDlvrDt());
			result.setGuidDueDt(result1.get(0).getGuidDueDt());
		}

		return result;
	}


}
