package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSSMVO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSSMVO  {

	String custNo          = ""; /* 고객번호 */
	String loanNo          = ""; /* 대출번호 */
	String loanSeq         = ""; /* 대출번호순번 */
	String dlvrThngCd      = ""; /* 발송물구분 */
	String stndDt          = ""; /* 기준일자 */
	String inputDivCd      = ""; /* 입력구분코드 */
	String inputCntn       = ""; /* 입력내용 */
	String attdDeptCd      = ""; /* 부서코드 */
	String ddayLoseRsnNm   = ""; /* 미사용 */
	String ddayLoseRsnSpec = ""; /* 미사용 */
	String guidNo          = ""; /* 미사용 */
	String guidSnum        = ""; /* 미사용 */

	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDlvrThngCd() {
		return dlvrThngCd;
	}
	public void setDlvrThngCd(String dlvrThngCd) {
		this.dlvrThngCd = dlvrThngCd;
	}
	public String getStndDt() {
		return stndDt;
	}
	public void setStndDt(String stndDt) {
		this.stndDt = stndDt;
	}
	public String getInputDivCd() {
		return inputDivCd;
	}
	public void setInputDivCd(String inputDivCd) {
		this.inputDivCd = inputDivCd;
	}
	public String getInputCntn() {
		return inputCntn;
	}
	public void setInputCntn(String inputCntn) {
		this.inputCntn = inputCntn;
	}
	public String getAttdDeptCd() {
		return attdDeptCd;
	}
	public void setAttdDeptCd(String attdDeptCd) {
		this.attdDeptCd = attdDeptCd;
	}
	public String getDdayLoseRsnNm() {
		return ddayLoseRsnNm;
	}
	public void setDdayLoseRsnNm(String ddayLoseRsnNm) {
		this.ddayLoseRsnNm = ddayLoseRsnNm;
	}
	public String getDdayLoseRsnSpec() {
		return ddayLoseRsnSpec;
	}
	public void setDdayLoseRsnSpec(String ddayLoseRsnSpec) {
		this.ddayLoseRsnSpec = ddayLoseRsnSpec;
	}
	public String getGuidNo() {
		return guidNo;
	}
	public void setGuidNo(String guidNo) {
		this.guidNo = guidNo;
	}
	public String getGuidSnum() {
		return guidSnum;
	}
	public void setGuidSnum(String guidSnum) {
		this.guidSnum = guidSnum;
	}
}
