package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSSM2VO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSTIMSVO  {

	private String dueDt = ""; /* 납입_일자 */
    private int tims = 0; /* 회차 */
    private long mmPamt = 0; /* 월_원금 */
    private long mmPiamt = 0; /* 월_원리금 */
    private long mmInt = 0; /* 월_이자 */
    private long timsAfPamtRamt = 0; /* 회차_후_원금_잔액 */
    private long setlAmt = 0; /* 결제_금액 */
    private String setlDt = ""; /* 결제_일자 */
    private int rcptStrtTims = 0; /* 수납_시작_회차 */
    private int rcptEndTims = 0; /* 수납_종료_회차 */
    private long rcptPamt = 0; /* 수납_원금 */
    private long rcptInt = 0; /* 수납_이자 */
    private long dfee = 0; /* 연체료 */
    private long mmTrtFee = 0;  /* 월_취급수수료 */
    private long timsAfTrtFeeRamt = 0; /* 회차_후_취급수수료 */

	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public int getTims() {
		return tims;
	}
	public void setTims(int tims) {
		this.tims = tims;
	}
	public long getMmPamt() {
		return mmPamt;
	}
	public void setMmPamt(long mmPamt) {
		this.mmPamt = mmPamt;
	}
	public long getMmPiamt() {
		return mmPiamt;
	}
	public void setMmPiamt(long mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public long getMmInt() {
		return mmInt;
	}
	public void setMmInt(long mmInt) {
		this.mmInt = mmInt;
	}
	public long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public void setTimsAfPamtRamt(long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public long getSetlAmt() {
		return setlAmt;
	}
	public void setSetlAmt(long setlAmt) {
		this.setlAmt = setlAmt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public int getRcptStrtTims() {
		return rcptStrtTims;
	}
	public void setRcptStrtTims(int rcptStrtTims) {
		this.rcptStrtTims = rcptStrtTims;
	}
	public int getRcptEndTims() {
		return rcptEndTims;
	}
	public void setRcptEndTims(int rcptEndTims) {
		this.rcptEndTims = rcptEndTims;
	}
	public long getRcptPamt() {
		return rcptPamt;
	}
	public void setRcptPamt(long rcptPamt) {
		this.rcptPamt = rcptPamt;
	}
	public long getRcptInt() {
		return rcptInt;
	}
	public void setRcptInt(long rcptInt) {
		this.rcptInt = rcptInt;
	}
	public long getDfee() {
		return dfee;
	}
	public void setDfee(long dfee) {
		this.dfee = dfee;
	}
	public long getMmTrtFee() {
		return mmTrtFee;
	}
	public void setMmTrtFee(long mmTrtFee) {
		this.mmTrtFee = mmTrtFee;
	}
	public long getTimsAfTrtFeeRamt() {
		return timsAfTrtFeeRamt;
	}
	public void setTimsAfTrtFeeRamt(long timsAfTrtFeeRamt) {
		this.timsAfTrtFeeRamt = timsAfTrtFeeRamt;
	}

}
