package hanalife.r.rc.mn.vo;

public class CprtContMngMdulObjVO {
	/**한도수정 Input Parameter
    *  업무구분코드: 1- 승인처리 및 대출확정
    *            2- 승인취소 및 대출취소
    *            3- 등록원부 등록
    *            4- 등록원부 등록 취소
    *            5- 수납
    *            6- 수납취소
    * 3,4일 경우엔 대출금액을 넘기지 않음.*/
    private String bizDivCd; /**업무구분코드*/
    private String loanNo; /**대출번호*/
    private String loanSeq; /**대출순번*/
    private long loanPamt; /**대출금액*/
    private String empNo; /**처리자사원*/

    /**조회용 Input Parameter*/
    private String cprtComNo; /**제휴사번호*/
    private String cprtBranCd; /**제휴점코드*/
    private String prdtCd; /**상품코드*/
    /**대출금액*/

    /**OutPut Parameter*/
    private long limAmt; /**한도금액*/
    private long limRamt; /**한도잔액*/
    private String loanAblFg; /**대출가능여부*/
    private String ipssRsnCd ; /**불능사유코드*/
    private String prdtLrgeClasCd ; /**상품_대분류_코드*/
    private String prdtMidClasCd ; /**상품_중분류_코드*/
    private String limMngFg ; /**한도_관리_여부*/
    private String contClosFg ; /**약정_해지_여부*/
    private String prdtClasCd ; /**상품_분류_코드*/
    private String contManNo ; /**주계약자_번호*/
    private String regLdgrFg ; /**등록원부_여부*/
    private String aprvDt ; /**대출_승인일*/

    private int limCnt ;

    private String rsltCd; /** 결과_코드 (출력용) */
	private String rsltCntn; /** 결과_내용 (출력용) */

	public String getBizDivCd() {
		return bizDivCd;
	}

	public void setBizDivCd(String bizDivCd) {
		this.bizDivCd = bizDivCd;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public long getLoanPamt() {
		return loanPamt;
	}

	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}

	public String getEmpNo() {
		return empNo;
	}

	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}

	public String getCprtComNo() {
		return cprtComNo;
	}

	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}

	public String getCprtBranCd() {
		return cprtBranCd;
	}

	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}

	public String getPrdtCd() {
		return prdtCd;
	}

	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}

	public long getLimAmt() {
		return limAmt;
	}

	public void setLimAmt(long limAmt) {
		this.limAmt = limAmt;
	}

	public long getLimRamt() {
		return limRamt;
	}

	public void setLimRamt(long limRamt) {
		this.limRamt = limRamt;
	}

	public String getLoanAblFg() {
		return loanAblFg;
	}

	public void setLoanAblFg(String loanAblFg) {
		this.loanAblFg = loanAblFg;
	}

	public String getIpssRsnCd() {
		return ipssRsnCd;
	}

	public void setIpssRsnCd(String ipssRsnCd) {
		this.ipssRsnCd = ipssRsnCd;
	}

	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}

	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}

	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}

	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}

	public String getLimMngFg() {
		return limMngFg;
	}

	public void setLimMngFg(String limMngFg) {
		this.limMngFg = limMngFg;
	}

	public String getContClosFg() {
		return contClosFg;
	}

	public void setContClosFg(String contClosFg) {
		this.contClosFg = contClosFg;
	}

	public String getPrdtClasCd() {
		return prdtClasCd;
	}

	public void setPrdtClasCd(String prdtClasCd) {
		this.prdtClasCd = prdtClasCd;
	}

	public String getContManNo() {
		return contManNo;
	}

	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}

	public String getRegLdgrFg() {
		return regLdgrFg;
	}

	public void setRegLdgrFg(String regLdgrFg) {
		this.regLdgrFg = regLdgrFg;
	}

	public String getAprvDt() {
		return aprvDt;
	}

	public void setAprvDt(String aprvDt) {
		this.aprvDt = aprvDt;
	}

	public int getLimCnt() {
		return limCnt;
	}

	public void setLimCnt(int limCnt) {
		this.limCnt = limCnt;
	}

	public String getRsltCd() {
		return rsltCd;
	}

	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	public String getRsltCntn() {
		return rsltCntn;
	}

	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

}
