package hanalife.r.rc.rd.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : RRCRCM02S01OutVO.java Class
 * 클래스설명  : 수납결제내역조회 (RRCRCM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 07.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 07.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RRCRCM02S01OutVO {

    private List<RRCRCM02DSSDDO01VO> RRCRCM02DSSDDO01VO;   /** 대출정보 */
    private List<RRCRCM02DSSDDO02VO> RRCRCM02DSSDDO02VO;   /** 수납정보 */

    // 응답코드
    public String rsltCd   = "0000";   /** 결과코드 */
    public String rsltCntn = "";     /** 결과내용 */

    public List<RRCRCM02DSSDDO01VO> getRRCRCM02DSSDDO01VO() {
        return RRCRCM02DSSDDO01VO;
    }
    public void setRRCRCM02DSSDDO01VO(List<RRCRCM02DSSDDO01VO> rRCRCM02DSSDDO01VO) {
        RRCRCM02DSSDDO01VO = rRCRCM02DSSDDO01VO;
    }
    public List<RRCRCM02DSSDDO02VO> getRRCRCM02DSSDDO02VO() {
        return RRCRCM02DSSDDO02VO;
    }
    public void setRRCRCM02DSSDDO02VO(List<RRCRCM02DSSDDO02VO> rRCRCM02DSSDDO02VO) {
        RRCRCM02DSSDDO02VO = rRCRCM02DSSDDO02VO;
    }

    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
}