package hanalife.r.sr.sr.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcAdjDescReadSumSDDODTO.java Class
 * 클래스설명   : 예/가수금합계내역조회(출력)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DsrcAdjDescReadSumSDDODTO {

    private String cnt;
    private String dsrcOccrAmt;  /* 예가수발생금액 */
    private String dsrcAdjAmt;   /* 예가수조정금액 */
    private String dsrcRamt;     /* 예가수잔액 */

    public String getCnt() {
        return cnt;
    }
    public void setCnt(String cnt) {
        this.cnt = cnt;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(String dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(String dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }

}
