package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01S01InVO.java Class
 * 클래스설명   : 예수금/가수금 발생내역 조회(입력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01S01InVO {

	/** 예가수 발생내역 조회 입력 VO 객체 선언 */
	private RSRSRM01DSSEARCHVO RSRSRM01DSSEARCH;

    public RSRSRM01DSSEARCHVO getRSRSRM01DSSEARCH() {
        return RSRSRM01DSSEARCH;
    }

    public void setRSRSRM01DSSEARCH(RSRSRM01DSSEARCHVO rSRSRM01DSSEARCH) {
        RSRSRM01DSSEARCH = rSRSRM01DSSEARCH;
    }

}
