package hanalife.r.sr.sr.vo;

import java.util.List;

import hanalife.r.sr.sr.mapper.dto.DsrcDSSDDODTO;
import hanalife.r.sr.sr.mapper.dto.DsrcDSSMDODTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01S01OutVO.java Class
 * 클래스설명   : 예수금/가수금관리(출력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01S01OutVO {

	/** 예가수금 관리 검색 조건 출력 VO 객체 선언 */
	private RSRSRM01DSSEARCHVO RSRSRM01DSSEARCH;
	/** 예가수발생정보목록 출력 VO 객체 선언 */
	private List<RSRSRM01DSSMVO> listRSRSRM01DSSM;

	/** 예가수정산조회 출력 DTO 객체 선언 */
	private List<DsrcDSSMDODTO> listDSSMDODTO;

	/** 예가수발생조회 출력 DTO 객체 선언 */
	private List<DsrcDSSDDODTO> listDSSDDODTO;

    public RSRSRM01DSSEARCHVO getRSRSRM01DSSEARCH() {
        return RSRSRM01DSSEARCH;
    }
    public void setRSRSRM01DSSEARCH(RSRSRM01DSSEARCHVO rSRSRM01DSSEARCH) {
        RSRSRM01DSSEARCH = rSRSRM01DSSEARCH;
    }
    public List<RSRSRM01DSSMVO> getListRSRSRM01DSSM() {
        return listRSRSRM01DSSM;
    }
    public void setListRSRSRM01DSSM(List<RSRSRM01DSSMVO> listRSRSRM01DSSM) {
        this.listRSRSRM01DSSM = listRSRSRM01DSSM;
    }
	public List<DsrcDSSMDODTO> getListDSSMDODTO() {
		return listDSSMDODTO;
	}
	public void setListDSSMDODTO(List<DsrcDSSMDODTO> listDSSMDODTO) {
		this.listDSSMDODTO = listDSSMDODTO;
	}
	public List<DsrcDSSDDODTO> getListDSSDDODTO() {
		return listDSSDDODTO;
	}
	public void setListDSSDDODTO(List<DsrcDSSDDODTO> listDSSDDODTO) {
		this.listDSSDDODTO = listDSSDDODTO;
	}
}