package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM02DSDSRCADJDESCSUMSDVO.java Class
 * 클래스설명   : 예/가수내역 및 합계 조회를 위한 테이블 VO
 * 작성일자     : 2023. 04. 24.
 * 작성자명     : 70366 / KangMinhyeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class RSRSRM02DSDSRCADJDESCSUMSDVO {

	private int cnt; /** 건수 */
	private int dsrcOccrAmt;       /**  예가수_발생_금액*/
	private int dsrcAdjAmt;        /** 예가수_정산_금액  */
	private int dsrcRamt;       /**예가수_잔액*/

	public int getCnt() {
		return cnt;
	}
	public void setCnt(int cnt) {
		this.cnt = cnt;
	}
	public int getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(int dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public int getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(int dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public int getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(int dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}

}
