package hanalife.r.util;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스　명	: VDescVO
 * 클래스설명	: 전표내역 VO (VUtil 사용)
 * 프로젝트명	: DOBSCAP
 * 작성　일자	: 2019-12-06
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경  일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [19.12.06][정우현][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class VDescVO extends ValueObj {

	// PK
	public String vochNo  = "";	// 전표번호
	public int    voSnum  = 0;	// 전표순번
	// COLUMN
	public String acctCd  = "";	// 계정코드
	public String acctNm  = "";	// 계정명
	public String dcDivCd = "";	// 차대구분
	public long   wcurAmt = 0;	// 원화금액
	public String loanNo  = "";	// 대출번호
	public String loanSeq = "";	// 대출순번
	public String prdtCd  = "";	// 상품코드
	public String prdtLcd = "";	// 상품대분류
	public String prdtMcd = "";	// 상품중분류
	public String prdtScd = "";	// 상품소분류
	public String deptCd  = "";	// 관리부서
	public String bankCd  = "";	// 은행코드
	public String acntNo  = "";	// 계좌번호
	public String sendFg  = "";	// 전송여부
	public String rmk     = "";	// 적요
	// VAR
	public String sDeptCd = "";	// 세션부서
	public String sEmpNo  = "";	// 세션사번

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("\n■ =============== "+this.getClass().getSimpleName()+" SPEC =============== ");
		sb.append("\n[vochNo ] = " + vochNo + ", [voSnum] = "+ voSnum + ", [acctCd] = "+ acctCd+") "+acctNm);
		sb.append("\n[dcDivCd] = " + dcDivCd + ", [wcurAmt] = " + wcurAmt + ", [loanNo] = " + loanNo+"-"+loanSeq + ", [prdtCd] = " + prdtCd + " - " + prdtLcd+prdtMcd+prdtScd );
		sb.append("\n[deptCd ] = " + deptCd + ", [acntNo] = ("+bankCd+") "+acntNo + ", [sendFg] = " + sendFg + ", [rmk] = " + rmk );
		return sb.toString();
	}
}
