package hanalife.r.va.va.service;

import hanalife.r.va.va.vo.RVAVAP01S01InVO;
import hanalife.r.va.va.vo.RVAVAP01S01OutVO;

public interface RVAVAP01Service {

    /**
     * <p>메소드명      : searchImgAcnt : 수납내역상세조회</p>
     * <p>작성일자      : 2023. 3. 21.
     * <p>작성자(author): 70322 / sungjin.park
     * <p>설명          : 가상계좌거래내역을 조회 한다.</p>
     * <p>메소드인수    : RVAVAP01S01InVO </p>
     * <p>메소드리턴값  : RVAVAP01S01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public RVAVAP01S01OutVO getRVAVAP01S01(RVAVAP01S01InVO inVo) throws Exception;


}
