package hanalife.s.ln.lm.mapper.dto;

import java.util.List;

public class LoanPiamtInVODTO {
	public String loanNo; //대출번호
	public String loanSeq; //대출순번
	public int trSnum; //거래일련번호
	public int frstRank; //우선순위
	public String rmbrFrmlCd; //상환방식코드
	public double prinRmbrRto; //원금상환비율
	public long loanPamt; //대출원금
	public int term; //기간
	public int strtTims; //시작회차
	public String strtDt; //시작일자
	public double intRt; //이자율
	public int dueCycl; //납입주기
	public int dueStrtTims; //납입시작회차
	public String mtrtYn; //만기여부
	public int fcntDd; //초회일수
	public int dueCnt; //납입횟수
	public int pamtDueTerm; //원금납입기간
	public int dueStrtTerm; //납입시작기간
	public int endTerm; //마지막기간
	public long calcPiamt; //계산원리금
	public long calcPamt; //계산원금
	public long calcPamtRamt; //계산원금나머지
	public long calcInt; //계산이자
	public long calcFcntInt; //계산초회이자
	public long baseIntSum; //기본이자합계
	//public long feeSum; //수수료합계
	public long nprDiscIntSum; //현가할인이자합계
	public String crteDivCd; //생성구분코드

	//상환계획수정용 추가 => 종료일자,취소일련번호 (2018-08-01)
	public int endTims;
	public String endDt;
	public int cnclTrSnum;
	public String dueCyclCd;
	public String baseFg;
	public String loanStrtTimsFg; //상환계획 수정시 변경회차의 시작회차 여부
	//public String loanDt;
	//public long loanInt;
	/**인사 임직원 대출용 시작**/
	public String lendEmpNo;
	public String lendKindCd;
	public int lendSeq;
	/**인사 임직원 대출용 끝**/

	public long intDistAmt; //이자배분금액
	public long trtFee; //취급수수료
	public long calcMmTrtFee;//계산월취급수수료
	public long calcTrtFeeRamt;//계산취급수수료나머지

	public List rmbrObjList; //상환계획 정보

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public int getTrSnum() {
		return trSnum;
	}

	public void setTrSnum(int trSnum) {
		this.trSnum = trSnum;
	}

	public int getFrstRank() {
		return frstRank;
	}

	public void setFrstRank(int frstRank) {
		this.frstRank = frstRank;
	}

	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}

	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}

	public double getPrinRmbrRto() {
		return prinRmbrRto;
	}

	public void setPrinRmbrRto(double prinRmbrRto) {
		this.prinRmbrRto = prinRmbrRto;
	}

	public long getLoanPamt() {
		return loanPamt;
	}

	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}

	public int getTerm() {
		return term;
	}

	public void setTerm(int term) {
		this.term = term;
	}

	public int getStrtTims() {
		return strtTims;
	}

	public void setStrtTims(int strtTims) {
		this.strtTims = strtTims;
	}

	public String getStrtDt() {
		return strtDt;
	}

	public void setStrtDt(String strtDt) {
		this.strtDt = strtDt;
	}

	public double getIntRt() {
		return intRt;
	}

	public void setIntRt(double intRt) {
		this.intRt = intRt;
	}

	public int getDueCycl() {
		return dueCycl;
	}

	public void setDueCycl(int dueCycl) {
		this.dueCycl = dueCycl;
	}

	public int getDueStrtTims() {
		return dueStrtTims;
	}

	public void setDueStrtTims(int dueStrtTims) {
		this.dueStrtTims = dueStrtTims;
	}

	public String getMtrtYn() {
		return mtrtYn;
	}

	public void setMtrtYn(String mtrtYn) {
		this.mtrtYn = mtrtYn;
	}

	public int getFcntDd() {
		return fcntDd;
	}

	public void setFcntDd(int fcntDd) {
		this.fcntDd = fcntDd;
	}

	public int getDueCnt() {
		return dueCnt;
	}

	public void setDueCnt(int dueCnt) {
		this.dueCnt = dueCnt;
	}

	public int getPamtDueTerm() {
		return pamtDueTerm;
	}

	public void setPamtDueTerm(int pamtDueTerm) {
		this.pamtDueTerm = pamtDueTerm;
	}

	public int getDueStrtTerm() {
		return dueStrtTerm;
	}

	public void setDueStrtTerm(int dueStrtTerm) {
		this.dueStrtTerm = dueStrtTerm;
	}

	public int getEndTerm() {
		return endTerm;
	}

	public void setEndTerm(int endTerm) {
		this.endTerm = endTerm;
	}

	public long getCalcPiamt() {
		return calcPiamt;
	}

	public void setCalcPiamt(long calcPiamt) {
		this.calcPiamt = calcPiamt;
	}

	public long getCalcPamt() {
		return calcPamt;
	}

	public void setCalcPamt(long calcPamt) {
		this.calcPamt = calcPamt;
	}

	public long getCalcPamtRamt() {
		return calcPamtRamt;
	}

	public void setCalcPamtRamt(long calcPamtRamt) {
		this.calcPamtRamt = calcPamtRamt;
	}

	public long getCalcInt() {
		return calcInt;
	}

	public void setCalcInt(long calcInt) {
		this.calcInt = calcInt;
	}

	public long getCalcFcntInt() {
		return calcFcntInt;
	}

	public void setCalcFcntInt(long calcFcntInt) {
		this.calcFcntInt = calcFcntInt;
	}

	public long getBaseIntSum() {
		return baseIntSum;
	}

	public void setBaseIntSum(long baseIntSum) {
		this.baseIntSum = baseIntSum;
	}

	public long getNprDiscIntSum() {
		return nprDiscIntSum;
	}

	public void setNprDiscIntSum(long nprDiscIntSum) {
		this.nprDiscIntSum = nprDiscIntSum;
	}

	public String getCrteDivCd() {
		return crteDivCd;
	}

	public void setCrteDivCd(String crteDivCd) {
		this.crteDivCd = crteDivCd;
	}

	public int getEndTims() {
		return endTims;
	}

	public void setEndTims(int endTims) {
		this.endTims = endTims;
	}

	public String getEndDt() {
		return endDt;
	}

	public void setEndDt(String endDt) {
		this.endDt = endDt;
	}

	public int getCnclTrSnum() {
		return cnclTrSnum;
	}

	public void setCnclTrSnum(int cnclTrSnum) {
		this.cnclTrSnum = cnclTrSnum;
	}

	public String getDueCyclCd() {
		return dueCyclCd;
	}

	public void setDueCyclCd(String dueCyclCd) {
		this.dueCyclCd = dueCyclCd;
	}

	public String getBaseFg() {
		return baseFg;
	}

	public void setBaseFg(String baseFg) {
		this.baseFg = baseFg;
	}

	public String getLoanStrtTimsFg() {
		return loanStrtTimsFg;
	}

	public void setLoanStrtTimsFg(String loanStrtTimsFg) {
		this.loanStrtTimsFg = loanStrtTimsFg;
	}

	public String getLendEmpNo() {
		return lendEmpNo;
	}

	public void setLendEmpNo(String lendEmpNo) {
		this.lendEmpNo = lendEmpNo;
	}

	public String getLendKindCd() {
		return lendKindCd;
	}

	public void setLendKindCd(String lendKindCd) {
		this.lendKindCd = lendKindCd;
	}

	public int getLendSeq() {
		return lendSeq;
	}

	public void setLendSeq(int lendSeq) {
		this.lendSeq = lendSeq;
	}

	public long getIntDistAmt() {
		return intDistAmt;
	}

	public void setIntDistAmt(long intDistAmt) {
		this.intDistAmt = intDistAmt;
	}

	public long getTrtFee() {
		return trtFee;
	}

	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}

	public long getCalcMmTrtFee() {
		return calcMmTrtFee;
	}

	public void setCalcMmTrtFee(long calcMmTrtFee) {
		this.calcMmTrtFee = calcMmTrtFee;
	}

	public long getCalcTrtFeeRamt() {
		return calcTrtFeeRamt;
	}

	public void setCalcTrtFeeRamt(long calcTrtFeeRamt) {
		this.calcTrtFeeRamt = calcTrtFeeRamt;
	}

	public List getRmbrObjList() {
		return rmbrObjList;
	}

	public void setRmbrObjList(List rmbrObjList) {
		this.rmbrObjList = rmbrObjList;
	}


}
