package hanalife.s.mo.in.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.mo.in.mapper.dto.mciReptReadDSSDDTO;
import hanalife.s.mo.in.mapper.dto.mciReptReadDSSMDTO;

@Mapper("MciReptReadMapper")
public interface MciReptReadMapper {

    /**
     * <pre>
     * 메소드명      : searchMciReptReadList
     * 작성일자      : 2023. 4. 6.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : MCI현황조회을(를) 조회 한다.
     * 메소드인수1   : MCI현황조회 입력
     * 메소드리턴값  : MCI현황조회 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<mciReptReadDSSDDTO> searchMciReptReadList(mciReptReadDSSMDTO inDto) throws Exception;

}