package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM01DSSDOutDTO.java Class
 * 클래스설명  : 상품분류관리 (SPDPDM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM01DSSDOutDTO {

	private String prdtClasCd;              /* PRDT_CLAS_CD   	상품_분류_코드 */
    private String clasNm;                  /* CLAS_NM  	 	분류_명 */
    private String lrgeClasCd;              /* LRGE_CLAS_CD   	대분류_코드 */
    private String midClasCd;               /* MID_CLAS_CD  	중분류_코드 */
    private String smClasCd;                /* SM_CLAS_CD		소분류_코드 */
    private String clasDivCd;               /* CLAS_DIV_CD		분류_구분코드 */
    private String ddayPrftLoseFg;          /* DDAY_PRFT_LOSE_FG      기한_이익_상실_여부 */
    private String ddayPrftLoseDivCd;       /* DDAY_PRFT_LOSE_DIV_CD      기한_이익_상실_구분_코드 */
    private String ddayPrftLoseDivVal;      /* DDAY_PRFT_LOSE_DIV_VAL      기한_이익_상실_구분_값 */
    private String ddayPrftLosePamtRamtRt;  /* DDAY_PRFT_LOSE_PAMT_RAMT_RT      기한_이익_상실_원금_잔액_비율 */

	public String getPrdtClasCd() {
		return prdtClasCd;
	}
	public void setPrdtClasCd(String prdtClasCd) {
		this.prdtClasCd = prdtClasCd;
	}
	public String getClasNm() {
		return clasNm;
	}
	public void setClasNm(String clasNm) {
		this.clasNm = clasNm;
	}
	public String getLrgeClasCd() {
		return lrgeClasCd;
	}
	public void setLrgeClasCd(String lrgeClasCd) {
		this.lrgeClasCd = lrgeClasCd;
	}
	public String getMidClasCd() {
		return midClasCd;
	}
	public void setMidClasCd(String midClasCd) {
		this.midClasCd = midClasCd;
	}
	public String getSmClasCd() {
		return smClasCd;
	}
	public void setSmClasCd(String smClasCd) {
		this.smClasCd = smClasCd;
	}
	public String getClasDivCd() {
		return clasDivCd;
	}
	public void setClasDivCd(String clasDivCd) {
		this.clasDivCd = clasDivCd;
	}
    public String getDdayPrftLoseFg() {
        return ddayPrftLoseFg;
    }
    public void setDdayPrftLoseFg(String ddayPrftLoseFg) {
        this.ddayPrftLoseFg = ddayPrftLoseFg;
    }
    public String getDdayPrftLoseDivCd() {
        return ddayPrftLoseDivCd;
    }
    public void setDdayPrftLoseDivCd(String ddayPrftLoseDivCd) {
        this.ddayPrftLoseDivCd = ddayPrftLoseDivCd;
    }
    public String getDdayPrftLoseDivVal() {
        return ddayPrftLoseDivVal;
    }
    public void setDdayPrftLoseDivVal(String ddayPrftLoseDivVal) {
        this.ddayPrftLoseDivVal = ddayPrftLoseDivVal;
    }
    public String getDdayPrftLosePamtRamtRt() {
        return ddayPrftLosePamtRamtRt;
    }
    public void setDdayPrftLosePamtRamtRt(String ddayPrftLosePamtRamtRt) {
        this.ddayPrftLosePamtRamtRt = ddayPrftLosePamtRamtRt;
    }
}