package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SD14OutDTO.java Class
 * 클래스설명  : 상품관리 상품운영조건상세 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SD14OutDTO {

	private String prdtCd; 				//상품_코드
	private String operCondNo; 			//운영_조건_번호
	private String operCondCd; 			//운영_조건_코드
	private String operCondSpecSnum;	//운영_조건_상세_일련번호
	private String operCondFr; 			//운영_조건_FROM
	private String operCondTo; 			//운영_조건_TO
	private String operCondNm;          //운영_조건_명
	private String cdDescEtcNm;			//코드내역_기타_명

	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getOperCondNo() {
		return operCondNo;
	}
	public void setOperCondNo(String operCondNo) {
		this.operCondNo = operCondNo;
	}
	public String getOperCondCd() {
		return operCondCd;
	}
	public void setOperCondCd(String operCondCd) {
		this.operCondCd = operCondCd;
	}
	public String getOperCondSpecSnum() {
		return operCondSpecSnum;
	}
	public void setOperCondSpecSnum(String operCondSpecSnum) {
		this.operCondSpecSnum = operCondSpecSnum;
	}
	public String getOperCondFr() {
		return operCondFr;
	}
	public void setOperCondFr(String operCondFr) {
		this.operCondFr = operCondFr;
	}
	public String getOperCondTo() {
		return operCondTo;
	}
	public void setOperCondTo(String operCondTo) {
		this.operCondTo = operCondTo;
	}
	public String getOperCondNm() {
		return operCondNm;
	}
	public void setOperCondNm(String operCondNm) {
		this.operCondNm = operCondNm;
	}
	public String getCdDescEtcNm() {
		return cdDescEtcNm;
	}
	public void setCdDescEtcNm(String cdDescEtcNm) {
		this.cdDescEtcNm = cdDescEtcNm;
	}
}