package hanalife.s.pd.pd.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : SPDPDM01OutVO.java Class
 * 클래스설명  : 상품분류 관리 (SPDPDM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM01OutVO {

    private List<SPDPDM01DSDDSSVO> SPDPDM01DSDDSSVO;
    public String rsltCd   = "0000";   /** 결과코드 */
    public String rsltCntn = "";       /** 결과내용 */


    public List<SPDPDM01DSDDSSVO> getSPDPDM01DSDDSSVO() {
		return SPDPDM01DSDDSSVO;
	}
	public void setSPDPDM01DSDDSSVO(List<SPDPDM01DSDDSSVO> sPDPDM01DSDDSSVO) {
		SPDPDM01DSDDSSVO = sPDPDM01DSDDSSVO;
	}
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
}