package hanalife.s.pd.pd.vo;

/**
 * <pre>
 * 클래스명    : SPDPDM02InVO.java Class
 * 클래스설명  : 상품관리 (SPDPDM02) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02InVO {

	/*상품관리 기본 검색조건*/
	private String prdtCd;  			/* PRDT_CD   	상품_코드 */
	private String prdtNm;  			/* PRDT_NM   	상품_명 */
	private String userNo;  			/* USER_NO   	사용자_번호 */
	/*상품조건 검색조건*/
	private String condNo; 				/* COND_NO   	조건_번호 */
	private String condAplyNo;  		/* COND_APLY_NO   	조건_적용_번호 */
	/*중도상환수수료율 검색조건*/
	private String midRmbrAplyStrtDt;	/* APLY_STRT_DT   	적용시작일자 */
	private String midRmbrAplyDiv;		/* APLY_DIV   	적용구분 */
	/*상품운영조건 검색조건*/
	private String operCondNo;  		/* OPER_COND_NO   	운영_조건_번호 */

	public String getPrdtCd() {
		return prdtCd;
	}

	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}

	public String getPrdtNm() {
		return prdtNm;
	}

	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}

	public String getUserNo() {
		return userNo;
	}

	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}

	public String getCondNo() {
		return condNo;
	}

	public void setCondNo(String condNo) {
		this.condNo = condNo;
	}

	public String getCondAplyNo() {
		return condAplyNo;
	}

	public void setCondAplyNo(String condAplyNo) {
		this.condAplyNo = condAplyNo;
	}

	public String getMidRmbrAplyStrtDt() {
		return midRmbrAplyStrtDt;
	}

	public void setMidRmbrAplyStrtDt(String midRmbrAplyStrtDt) {
		this.midRmbrAplyStrtDt = midRmbrAplyStrtDt;
	}

	public String getMidRmbrAplyDiv() {
		return midRmbrAplyDiv;
	}

	public void setMidRmbrAplyDiv(String midRmbrAplyDiv) {
		this.midRmbrAplyDiv = midRmbrAplyDiv;
	}

	public String getOperCondNo() {
		return operCondNo;
	}

	public void setOperCondNo(String operCondNo) {
		this.operCondNo = operCondNo;
	}
}