package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.ApplNoSrchDSSDDTO;
import hanalife.s.sp.as.mapper.dto.ApplNoSrchDSSMDTO;

@Mapper("ApplNoSrchMapper")
public interface ApplNoSrchMapper {

    /**
     * <pre>
     * 메소드명      : searchApplNoList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 신청번호검색을(를) 조회 한다.
     * 메소드인수1   : 신청번호검색 입력
     * 메소드리턴값  : 신청번호검색 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ApplNoSrchDSSDDTO> searchApplNoList(ApplNoSrchDSSMDTO inDto) throws Exception;

}

