package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.AptMkprSrchDSSDDTO;
import hanalife.s.sp.as.mapper.dto.AptMkprSrchDSSMDTO;

@Mapper("SSPASP01Mapper")
public interface SSPASP01Mapper {

    /**
     * <pre>
     * 메소드명		: srchAptMkprSpecDesc
     * 작성일자		: 2023.04.10.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB아파트시세조회_상세내역_조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<AptMkprSrchDSSDDTO> srchAptMkprSpec(AptMkprSrchDSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchAptMkprFlctn
     * 작성일자		: 2023.04.11.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB아파트시세조회_변동내역_조회
     * 예외처리		: Exception
     * </pre>
     */
	public List<AptMkprSrchDSSDDTO> srchAptMkprFlctn(AptMkprSrchDSSMDTO inDto) throws Exception;

}
