package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.SSPASP11DSSDDTO;
import hanalife.s.sp.as.mapper.dto.SSPASP11DSSMDTO;

@Mapper("SSPASP11Mapper")
public interface SSPASP11Mapper {

    /**
     * <pre>
     * 메소드명: insertDocSpmtRqst
     * 작성일자: 2023.05.09.
     * 작성자(author): 70305 KBS
     * 설명: 서류보완요청 등록
     * 예외처리: Exception
     * </pre>
     */
    public void insertDocSpmtRqst(SSPASP11DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명: insertDocSpmtRqst
     * 작성일자: 2023.05.09.
     * 작성자(author): 70305 KBS
     * 설명: 관련인정보조회(sms발송)
     * 예외처리: Exception
     * </pre>
     */
    public List<SSPASP11DSSDDTO> srchRelaInfo(SSPASP11DSSMDTO inDto) throws Exception;

}
