package hanalife.s.sp.as.mapper.dto;

import java.math.BigDecimal;

/*
 * 출력 DTO
 * auther	: 70305
 * 화면ID		: SSPASP01
 */
public class AptMkprSrchDSSDDTO {

	// KB아파트시세조회 출력DTO
	private String esttGodsCd;        /** 부동산물건코드 */
	private String provNm;            /** 시도명 */
	private String cigunguNm;         /** 시군구명 */
	private String guNm;              /** 구명 */
	private String eubmyundongNm;     /** 읍면동명 */
	private String riNm;              /** 리명 */
	private String stno;              /** 번지 */
	private String etcStno;           /** 기타번지 */
	private long   totHshdcnt;        /** 총세대수 */
	private long   totDongcnt;        /** 총동수 */
	private long   grpMaxflor;        /** 단지최고층 */
	private long   grpMinflor;        /** 단지최저층 */
	private String cmplYymm;          /** 준공년월 */
	private String consVndrNm;        /** 건설업체명 */
	private String heatFrml;          /** 난방방식 */
	private String heatFuel;          /** 난방연료 */
	private long   parkQty;           /** 주차대수 */
	private String mngOffcTelNo;      /** 관리사무소전화번호 */
	private String bunygRigtFg;       /** 분양권여부 */
	private String inHousYymm;        /** 입주년월 */
	private String housShopMixFg;     /** 주상복합여부 */
	private String pntpKind;          /** 평형종류 */
	private long   pntpSeq;           /** 평형순번 */
	private long   splyArea;          /** 공급면적 */
	private String pntpDiv;           /** 평형구분 */
	private long   euseArea;          /** 전용면적 */
	private long   hshdCnt;           /** 세대수 */
	private long   roomCnt;           /** 방수 */
	private long   bathCnt;           /** 욕실수 */
	private String nowclasCons;       /** 현관구조 */
	private String rschStndDt;        /** 조사기준일 */
	private String aptNm;             /** 아파트명 */
	private BigDecimal saleBtmlAmt;   /** 매매하한가 */
	private BigDecimal saleGenTrAmt;  /** 매매일반거래가 */
	private BigDecimal saleUplmitAmt; /** 매매상한가 */
	private BigDecimal dpstBtmlAmt;   /** 전세하한가 */
	private BigDecimal dpstGenTrAmt;  /** 전세일반거래가 */
	private BigDecimal dpstUplmitAmt; /** 전세상한가 */

	public String getEsttGodsCd() {
		return esttGodsCd;
	}
	public void setEsttGodsCd(String esttGodsCd) {
		this.esttGodsCd = esttGodsCd;
	}
	public String getProvNm() {
		return provNm;
	}
	public void setProvNm(String provNm) {
		this.provNm = provNm;
	}
	public String getCigunguNm() {
		return cigunguNm;
	}
	public void setCigunguNm(String cigunguNm) {
		this.cigunguNm = cigunguNm;
	}
	public String getGuNm() {
		return guNm;
	}
	public void setGuNm(String guNm) {
		this.guNm = guNm;
	}
	public String getEubmyundongNm() {
		return eubmyundongNm;
	}
	public void setEubmyundongNm(String eubmyundongNm) {
		this.eubmyundongNm = eubmyundongNm;
	}
	public String getRiNm() {
		return riNm;
	}
	public void setRiNm(String riNm) {
		this.riNm = riNm;
	}
	public String getStno() {
		return stno;
	}
	public void setStno(String stno) {
		this.stno = stno;
	}
	public String getEtcStno() {
		return etcStno;
	}
	public void setEtcStno(String etcStno) {
		this.etcStno = etcStno;
	}
	public long getTotHshdcnt() {
		return totHshdcnt;
	}
	public void setTotHshdcnt(long totHshdcnt) {
		this.totHshdcnt = totHshdcnt;
	}
	public long getTotDongcnt() {
		return totDongcnt;
	}
	public void setTotDongcnt(long totDongcnt) {
		this.totDongcnt = totDongcnt;
	}
	public long getGrpMaxflor() {
		return grpMaxflor;
	}
	public void setGrpMaxflor(long grpMaxflor) {
		this.grpMaxflor = grpMaxflor;
	}
	public long getGrpMinflor() {
		return grpMinflor;
	}
	public void setGrpMinflor(long grpMinflor) {
		this.grpMinflor = grpMinflor;
	}
	public String getCmplYymm() {
		return cmplYymm;
	}
	public void setCmplYymm(String cmplYymm) {
		this.cmplYymm = cmplYymm;
	}
	public String getConsVndrNm() {
		return consVndrNm;
	}
	public void setConsVndrNm(String consVndrNm) {
		this.consVndrNm = consVndrNm;
	}
	public String getHeatFrml() {
		return heatFrml;
	}
	public void setHeatFrml(String heatFrml) {
		this.heatFrml = heatFrml;
	}
	public String getHeatFuel() {
		return heatFuel;
	}
	public void setHeatFuel(String heatFuel) {
		this.heatFuel = heatFuel;
	}
	public long getParkQty() {
		return parkQty;
	}
	public void setParkQty(long parkQty) {
		this.parkQty = parkQty;
	}
	public String getMngOffcTelNo() {
		return mngOffcTelNo;
	}
	public void setMngOffcTelNo(String mngOffcTelNo) {
		this.mngOffcTelNo = mngOffcTelNo;
	}
	public String getBunygRigtFg() {
		return bunygRigtFg;
	}
	public void setBunygRigtFg(String bunygRigtFg) {
		this.bunygRigtFg = bunygRigtFg;
	}
	public String getInHousYymm() {
		return inHousYymm;
	}
	public void setInHousYymm(String inHousYymm) {
		this.inHousYymm = inHousYymm;
	}
	public String getHousShopMixFg() {
		return housShopMixFg;
	}
	public void setHousShopMixFg(String housShopMixFg) {
		this.housShopMixFg = housShopMixFg;
	}
	public String getPntpKind() {
		return pntpKind;
	}
	public void setPntpKind(String pntpKind) {
		this.pntpKind = pntpKind;
	}
	public long getPntpSeq() {
		return pntpSeq;
	}
	public void setPntpSeq(long pntpSeq) {
		this.pntpSeq = pntpSeq;
	}
	public long getSplyArea() {
		return splyArea;
	}
	public void setSplyArea(long splyArea) {
		this.splyArea = splyArea;
	}
	public String getPntpDiv() {
		return pntpDiv;
	}
	public void setPntpDiv(String pntpDiv) {
		this.pntpDiv = pntpDiv;
	}
	public long getEuseArea() {
		return euseArea;
	}
	public void setEuseArea(long euseArea) {
		this.euseArea = euseArea;
	}
	public long getHshdCnt() {
		return hshdCnt;
	}
	public void setHshdCnt(long hshdCnt) {
		this.hshdCnt = hshdCnt;
	}
	public long getRoomCnt() {
		return roomCnt;
	}
	public void setRoomCnt(long roomCnt) {
		this.roomCnt = roomCnt;
	}
	public long getBathCnt() {
		return bathCnt;
	}
	public void setBathCnt(long bathCnt) {
		this.bathCnt = bathCnt;
	}
	public String getNowclasCons() {
		return nowclasCons;
	}
	public void setNowclasCons(String nowclasCons) {
		this.nowclasCons = nowclasCons;
	}
	public String getRschStndDt() {
		return rschStndDt;
	}
	public void setRschStndDt(String rschStndDt) {
		this.rschStndDt = rschStndDt;
	}
	public String getAptNm() {
		return aptNm;
	}
	public void setAptNm(String aptNm) {
		this.aptNm = aptNm;
	}
	public BigDecimal getSaleBtmlAmt() {
		return saleBtmlAmt;
	}
	public void setSaleBtmlAmt(BigDecimal saleBtmlAmt) {
		this.saleBtmlAmt = saleBtmlAmt;
	}
	public BigDecimal getSaleGenTrAmt() {
		return saleGenTrAmt;
	}
	public void setSaleGenTrAmt(BigDecimal saleGenTrAmt) {
		this.saleGenTrAmt = saleGenTrAmt;
	}
	public BigDecimal getSaleUplmitAmt() {
		return saleUplmitAmt;
	}
	public void setSaleUplmitAmt(BigDecimal saleUplmitAmt) {
		this.saleUplmitAmt = saleUplmitAmt;
	}
	public BigDecimal getDpstBtmlAmt() {
		return dpstBtmlAmt;
	}
	public void setDpstBtmlAmt(BigDecimal dpstBtmlAmt) {
		this.dpstBtmlAmt = dpstBtmlAmt;
	}
	public BigDecimal getDpstGenTrAmt() {
		return dpstGenTrAmt;
	}
	public void setDpstGenTrAmt(BigDecimal dpstGenTrAmt) {
		this.dpstGenTrAmt = dpstGenTrAmt;
	}
	public BigDecimal getDpstUplmitAmt() {
		return dpstUplmitAmt;
	}
	public void setDpstUplmitAmt(BigDecimal dpstUplmitAmt) {
		this.dpstUplmitAmt = dpstUplmitAmt;
	}

}
