package hanalife.s.sp.as.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO01DTO.java Class
 * 클래스설명   : 거래처계좌관리를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / WoongHee.Lee / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustAccInfoSrchDSCUSTACCINFOSMDTO {

	private String custNo;             // 고객번호
	private String custNm;             // 고객명
	private String bankCd;             // 은행코드
	private String acntNo;             // 계좌번호
	private String depoOwnRelcd;       // 예금주관계코드
	private String cprtComNo;          // 제휴사번호
	private String cprtBranCd;         // 제휴점코드
	private String cprtComNm;          // 제휴사명
	private String cprtBranNm;         // 제휴점명
	private String tempCustFg;         // 고객등록구분코드

	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getDepoOwnRelcd() {
		return depoOwnRelcd;
	}
	public void setDepoOwnRelcd(String depoOwnRelcd) {
		this.depoOwnRelcd = depoOwnRelcd;
	}
	public String getCprtComNo() {
		return cprtComNo;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}
	public String getCprtBranCd() {
		return cprtBranCd;
	}
	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}
	public String getCprtComNm() {
		return cprtComNm;
	}
	public void setCprtComNm(String cprtComNm) {
		this.cprtComNm = cprtComNm;
	}
	public String getCprtBranNm() {
		return cprtBranNm;
	}
	public void setCprtBranNm(String cprtBranNm) {
		this.cprtBranNm = cprtBranNm;
	}
	public String getTempCustFg() {
		return tempCustFg;
	}
	public void setTempCustFg(String tempCustFg) {
		this.tempCustFg = tempCustFg;
	}

}
