package hanalife.s.sp.gd.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : SSPGDM03InVO.java Class
 * 클래스설명  : 금리관리 (SSPGDM03) 입력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SSPGDM03InVO {

	private String intRtDivCd;  /* INT_RT_DIV_CD   	긂리_종류_코드 */
	private String aplyStrtMm;  /* APLY_STRT_MM   	적용_시작_월 */
	private String aplyEndMm;   /* APLY_END_MM   	적용_종료_월 */
	private String aplyStrtDt;  /* APLY_STRT_DT   	적용_시작_일자 */
	private String aplyEndDt;   /* APLY_END_DT   	적용_종료_일자 */
	private String baseInt;  	/* BASE_INT   		금리 */
	private String userNo;  	/* USER_NO   		사용자_번호 */
	private String intCalcFg;  	/* INT_CALC_FG   	금리_계산_여부 */

    private List<SSPGDM03DSDDSSVO> SSPGDM03DSDDSSVO;

	public String getIntRtDivCd() {
		return intRtDivCd;
	}

	public void setIntRtDivCd(String intRtDivCd) {
		this.intRtDivCd = intRtDivCd;
	}
	public String getAplyStrtMm() {
		return aplyStrtMm;
	}

	public void setAplyStrtMm(String aplyStrtMm) {
		this.aplyStrtMm = aplyStrtMm;
	}

	public String getAplyEndMm() {
		return aplyEndMm;
	}

	public void setAplyEndMm(String aplyEndMm) {
		this.aplyEndMm = aplyEndMm;
	}

	public String getAplyStrtDt() {
		return aplyStrtDt;
	}

	public void setAplyStrtDt(String aplyStrtDt) {
		this.aplyStrtDt = aplyStrtDt;
	}

	public String getAplyEndDt() {
		return aplyEndDt;
	}

	public void setAplyEndDt(String aplyEndDt) {
		this.aplyEndDt = aplyEndDt;
	}

	public String getBaseInt() {
		return baseInt;
	}

	public void setBaseInt(String baseInt) {
		this.baseInt = baseInt;
	}

	public String getUserNo() {
		return userNo;
	}

	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}

	public String getIntCalcFg() {
		return intCalcFg;
	}

	public void setIntCalcFg(String intCalcFg) {
		this.intCalcFg = intCalcFg;
	}

	public List<SSPGDM03DSDDSSVO> getSSPGDM03DSDDSSVO() {
		return SSPGDM03DSDDSSVO;
	}

	public void setSSPGDM03DSDDSSVO(List<SSPGDM03DSDDSSVO> SSPGDM03DSDDSSVO) {
		SSPGDM03DSDDSSVO = SSPGDM03DSDDSSVO;
	}
}