package hanalife.t.ch.on.mapper.dto;


/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanAgrInfoDTO.java Class
 * 클래스설명    : 대출_동의_정보(LOAN_AGR_INFO)를(을) DTO
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanAgrInfoDTO {

    private String loanCnslNo;
    private int agrInfoSeq;
    private String agrTpDivCd;
    private String agrTpSpecCd;
    private String agrTpNm;
    private String agrObjDivCd;
    private String jvnlYn;
    private String jvnlNm;
    private String jvnlAgncRelCd;
    private String agrObjNm;
    private String agrObjBirtDt;
    private String cowrYn;
    private String agrObjGndrCd;
    private String custResiNo;
    private String hpNo1;
    private String hpNo2;
    private String hpNo3;
    /*
    private String certMethCd;
    private String certScsYn;
    private Date certDttm;
    private String ip;
    private String agrInfoHoldTerm;
    private String agrIcertVal;
    private Date signDt;
    private String signCi;
    private clob elecSignOtxt;
    private String elecSignOtxtHash;
    private String elecSignProfData;
    private clob elecSignData;
    private String authDocInfo;
    private String authDocSerial;
    private String authDocDn;
    private String authDocIssuDn;
    */
    private String addAgrYn;
    private String agrDttm;
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public int getAgrInfoSeq() {
        return agrInfoSeq;
    }
    public void setAgrInfoSeq(int agrInfoSeq) {
        this.agrInfoSeq = agrInfoSeq;
    }
    public String getAgrTpDivCd() {
        return agrTpDivCd;
    }
    public void setAgrTpDivCd(String agrTpDivCd) {
        this.agrTpDivCd = agrTpDivCd;
    }
    public String getAgrTpSpecCd() {
        return agrTpSpecCd;
    }
    public void setAgrTpSpecCd(String agrTpSpecCd) {
        this.agrTpSpecCd = agrTpSpecCd;
    }
    public String getAgrTpNm() {
        return agrTpNm;
    }
    public void setAgrTpNm(String agrTpNm) {
        this.agrTpNm = agrTpNm;
    }
    public String getAgrObjDivCd() {
        return agrObjDivCd;
    }
    public void setAgrObjDivCd(String agrObjDivCd) {
        this.agrObjDivCd = agrObjDivCd;
    }
    public String getJvnlYn() {
        return jvnlYn;
    }
    public void setJvnlYn(String jvnlYn) {
        this.jvnlYn = jvnlYn;
    }
    public String getJvnlNm() {
        return jvnlNm;
    }
    public void setJvnlNm(String jvnlNm) {
        this.jvnlNm = jvnlNm;
    }
    public String getJvnlAgncRelCd() {
        return jvnlAgncRelCd;
    }
    public void setJvnlAgncRelCd(String jvnlAgncRelCd) {
        this.jvnlAgncRelCd = jvnlAgncRelCd;
    }
    public String getAgrObjNm() {
        return agrObjNm;
    }
    public void setAgrObjNm(String agrObjNm) {
        this.agrObjNm = agrObjNm;
    }
    public String getAgrObjBirtDt() {
        return agrObjBirtDt;
    }
    public void setAgrObjBirtDt(String agrObjBirtDt) {
        this.agrObjBirtDt = agrObjBirtDt;
    }
    public String getCowrYn() {
        return cowrYn;
    }
    public void setCowrYn(String cowrYn) {
        this.cowrYn = cowrYn;
    }
    public String getAgrObjGndrCd() {
        return agrObjGndrCd;
    }
    public void setAgrObjGndrCd(String agrObjGndrCd) {
        this.agrObjGndrCd = agrObjGndrCd;
    }
    public String getCustResiNo() {
        return custResiNo;
    }
    public void setCustResiNo(String custResiNo) {
        this.custResiNo = custResiNo;
    }
    public String getHpNo1() {
        return hpNo1;
    }
    public void setHpNo1(String hpNo1) {
        this.hpNo1 = hpNo1;
    }
    public String getHpNo2() {
        return hpNo2;
    }
    public void setHpNo2(String hpNo2) {
        this.hpNo2 = hpNo2;
    }
    public String getHpNo3() {
        return hpNo3;
    }
    public void setHpNo3(String hpNo3) {
        this.hpNo3 = hpNo3;
    }
    public String getAddAgrYn() {
        return addAgrYn;
    }
    public void setAddAgrYn(String addAgrYn) {
        this.addAgrYn = addAgrYn;
    }
    public String getAgrDttm() {
        return agrDttm;
    }
    public void setAgrDttm(String agrDttm) {
        this.agrDttm = agrDttm;
    }

//    private Date regDttm;
//    private String regManId;
//    private Date updtDttm;
//    private String updtManId;


}
