package hanalife.t.kc.on.vo;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : KCB400Send103Entity
 * 클래스설명    : CB Score 반복부 (요청), 103 Segment  Entity (VO)
 * 작성일자     : 2023. 5.  9.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5.  9.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KCB400Send103Entity {

    private String fld1;
    private String fld2;

    public String getFld1() {
        return fld1;
    }
    public String getFld2() {
        return fld2;
    }
    public void setFld1(String fld1) {
        this.fld1 = fld1;
    }
    public void setFld2(String fld2) {
        this.fld2 = fld2;
    }

    public KCB400Send103Entity() {
        this.setFld1  ("103D10275000");     // D10275000 (segmentid +최장연체일수(미해제))
        this.setFld2  ("103D10232000");     // D10232000 (segmentid +총연체금액(미해제))
    }

    public String getSendStr103(){

        StringBuffer sendBuff = new StringBuffer();

        sendBuff.append(getFld1  ());
        sendBuff.append(getFld2  ());

        return sendBuff.toString();
    }
}
