package hanalife.t.kf.on.service;

import hanalife.t.kf.on.vo.KFBOnlnVo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TKFON002Service
 * 클래스설명   : [신정원] 개인회생 신청 등 정보 온라인 조회(0200/223)
 * 작성일자     : 2023. 4. 26.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 26.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : KFB_0200223_Call : 개인회생 신청 등 정보 온라인 조회(0200/223)
 * </pre>
 */
public interface TKFON002Service {

    /**
     *<pre>
     * 메소드명       : KFB_0200223_Call : 개인회생 신청 등 정보 온라인 조회(0200/223)
     * 작성일자        : 2023. 4. 26.
     * 작성자(author) : 70278 / KiHwan.Park
     * 설명         : 개인회생 신청 등 정보 온라인 조회
     * 메소드인수     : KCBOnlnVo
     * 메소드리턴값    : KCBOnlnVo
     * 예외처리      : Exception
     *</pre>
     */
    public KFBOnlnVo KFB_0200223_Call(KFBOnlnVo inVo) throws Exception;
}
