package hanalife.util.gram;


/**
 * <pre>
 * 클래스명    : GramObj
 * 클래스설명 : 모든 전문객체(ex: CommonObj, S0800100Obj가 상속받아야 할 추상클래스 Obj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public abstract class GramObj {

	/**
	 * 자리수에 맡게 전문을 완성하도록 하는 추상메서드
	 * 문자 : 공백, 숫자 : 0 으로 자릿수만큼 채우도록 한다.
	 * @return
	 */
	public abstract String getSendStr();

}
