﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var callLoanNo;
var callLoanSeq;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.setgettext()(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;
	
	console.log("#### screen_on_load() call");
	//ue_init();
	SYSTran.getDicByNo(this.screen, this.DS_HT_ORG);
	this.DS_HT_ORG.insertrow(0);
	this.DS_HT_ORG.setdatabyname(0,"cd","");
	this.DS_HT_ORG.setdatabyname(0,"data","전체");
	
	// 데이터사전
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BTBNDCLSBASE01); // 신용상태
	this.DS_DIC_BTBNDCLSBASE01.insertrow(0);
	this.DS_DIC_BTBNDCLSBASE01.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_BTBNDCLSBASE01.setdatabyname(0,"cdDescKorNm","전체");
		
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_ASSET_GOOD);   // 자산건전성
	this.DS_DIC_BT_ASSET_GOOD.insertrow(0);
	this.DS_DIC_BT_ASSET_GOOD.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_BT_ASSET_GOOD.setdatabyname(0,"cdDescKorNm","전체");
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_BND_STAT_CD); // 채권상태
	this.DS_DIC_BT_BND_STAT_CD.insertrow(0);
	this.DS_DIC_BT_BND_STAT_CD.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_BT_BND_STAT_CD.setdatabyname(0,"cdDescKorNm","전체");
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	// 데이터셋 초기화
	this.DS_SMDO.removeallrows();
	
	// 데이터셋 ROW 추가
	this.DS_SMDO.addrow();
	this.DS_SMDO.setdatabyname(0, "ORG_CD"      , this.Combo_Org.getselectedcode());   //관리부서 
	this.DS_SMDO.setdatabyname(0, "PRDT_CD"     , this.Edit_PrdtCd.gettext());       //상품코드
	this.DS_SMDO.setdatabyname(0, "LOAN_STAT_CD", this.Combo_Grade.getselectedcode()); // 대출상태 
	
	//만기일자
	if (this.CalendarEx1.gettext() != "____-__-__") {
		this.DS_SMDO.setdatabyname(0, "EPRT_DT_ST", this.CalendarEx1.gettext());
	}
	else {
		this.DS_SMDO.setdatabyname(0, "EPRT_DT_ST", "");
	}
	
	if (this.CalendarEx3.gettext() != "____-__-__"){
		this.DS_SMDO.setdatabyname(0, "EPRT_DT_ED", this.CalendarEx3.gettext());
	}
	else {
		this.DS_SMDO.setdatabyname(0, "EPRT_DT_ED", "");
	}
	
	this.DS_SMDO.setdatabyname(0, "BND_STAT_CD"   , this.BND_STAT_CD.getselectedcode());   // 채권상태 
	this.DS_SMDO.setdatabyname(0, "SECURITY_YN"   , this.rdoSecurity.getselectedcode());   // 담보여부 
	this.DS_SMDO.setdatabyname(0, "GOOD_CD"       , this.Combo_Good.getselectedcode());    // 자산건전성 
	this.DS_SMDO.setdatabyname(0, "LOAN_NO"       , this.edLoanNo.gettext());              // 대출번호
	this.DS_SMDO.setdatabyname(0, "LOAN_SEQ"      , this.edLoanSeq.gettext());             // 대출순번
	this.DS_SMDO.setdatabyname(0, "THMM_COMG_FROM", this.THMM_COMG_FROM.gettext());	    // 도래회차 시작
	this.DS_SMDO.setdatabyname(0, "THMM_COMG_TO"  , this.THMM_COMG_TO.gettext());          // 도래회차 끝
	this.DS_SMDO.setdatabyname(0, "CNT_ST"        , this.edCntSt.gettext());		       // 연체회차 시작
	this.DS_SMDO.setdatabyname(0, "CNT_ED"        , this.edCntEd.gettext());               // 연체회차 끝
	this.DS_SMDO.setdatabyname(0, "DLY_DDCNT_ST"  , this.dlyDdcntSt.gettext());            // 연체일수 시작
	this.DS_SMDO.setdatabyname(0, "DLY_DDCNT_ED"  , this.dlyDdcntEd.gettext());            // 연체일수 끝

	//결제일
	if (this.Combo1.getselectedcode() != "") { 
		this.DS_SMDO.setdatabyname(0, "KISAN_ST", this.Combo1.getselectedcode()); 
	}
	else {
		this.DS_SMDO.setdatabyname(0, "KISAN_ST", "");
	}
	
	if (this.Combo2.gettext() != "") { 
		this.DS_SMDO.setdatabyname(0, "KISAN_ED", this.Combo2.getselectedcode()); 
	}
	else {
		this.DS_SMDO.setdatabyname(0, "KISAN_ED", "");
	}

	this.DS_SMDO.setdatabyname(0, "CONT_MAN_NO" , this.edCustNo.gettext());      //고객번호
		
	if(this.THMM_UN_URGE.getcheck()){
		this.DS_SMDO.setdatabyname(0, "THMM_UN_URGE", 1); //당월미독촉	
	}else{
		this.DS_SMDO.setdatabyname(0, "THMM_UN_URGE", 0); //당월미독촉
	}
	
	this.DS_SDDO.removeallrows();
	console.log("데이터셋 : " + this.DS_SMDO.getdatabyname(0,"ORG_CD"));
	
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmit(screen, "BCNUIM01S01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		//SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	}else{
		screen.setscreenprotect(false); //화면잠금해제
		
		//this.totCnt.settext(this.DS_LOAN_INTG_SRCH_SD.getrowcount());
		//screen_on_submitcomplete(DS_LOAN_INTG_SRCH_SD, result);
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	//gf_GridSortClear( Grid_busi, -1 );
	this.DS_SDDO.deleteallrows();	
	
	this.Combo_Org.setselectedindex(0);  //관리부서
	
	this.Edit_PrdtCd.settext("");      //상품
	this.Edit3.settext("");
	
	this.Combo_Grade.setselectedindex(0); //대출상태
	
	this.CalendarEx1.settext("");   //만기일자
	this.CalendarEx3.settext("");

	this.BND_STAT_CD.setselectedcode("");  //채권상태
	this.rdoSecurity.setselectedcode("");  //담보여부
	this.Combo_Good.setselectedcode("");  //자산건전성
	//--Combo3.Index = 0;        //신용상태
	//--rdoSecurity.Index = 0;   //담보여부
	//--Combo_Good.Index  = 0;   //자산건전성
	
	this.edLoanNo.settext("");    //대출번호
	this.edLoanSeq.settext("");
	
	this.THMM_COMG_FROM.settext("");  //도래회차
	this.THMM_COMG_TO.settext("");
	
	this.edCntSt.settext("1");       //연체회차
	this.edCntEd.settext("999");
	
	this.dlyDdcntSt.settext("");     //연체일수
	this.dlyDdcntEd.settext("");
	
	this.Combo1.settext("01");      //결제일
	this.Combo2.settext("31");
	
	this.edCustNo.settext("");       //고객
	this.edCustNm.settext("");
	
	this.THMM_UN_URGE.setcheck(false);   //당월미독촉
	
	// 조회권한
	//selAuth();
	
	this.Edit4.settext("");
	this.Edit5.settext("");
	this.Edit6.settext("");
	this.Edit7.settext("");
	this.Edit8.settext("");
	this.Edit9.settext("");
	this.Edit10.settext("");
	this.Edit11.settext("");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 통합검색 클릭 이벤트
function Image7_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "loanSeq":this.edLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	
}

// 상품검색 자료사전
function Edit_PrdtCd_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		//SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_BND_STAT_CD); // 상품검색
		return;
	}	
}

// 고객검색 클릭 이벤트
function edCustNo_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		// 업무화면으로 전달할 데이터
		var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "custNo":this.edCustNo.gettext() };
		// 팝업 Title
		var popupTitle = "고객검색";
		//팝업 경로
		var popupPath = "/BIZ/C/BC/CC/CBCCCP02";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}	
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edLoanNo.settext(objExtdata.loanNo);
			this.edLoanSeq.settext(objExtdata.loanSeq);	
		}
		// 고객검색 팝업 콜백
		else if(objExtdata.popId == "CBCCCP02"){
			this.edCustNo.settext(objExtdata.custNo);
			this.edCustNm.settext(objExtdata.custNm);	
		} 
	}		
}
// 연체리스트 그리드 클릭 - 통화이력 setting
function Grid_busi_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("1 : " + this.DS_SDDO.getdatabyname(nClickRow, "telcDt"));
	// DOBSCAP 통화
	if (this.DS_SDDO.getdatabyname(nClickRow, "telcDt") != "") {
		this.Edit4.settext(this.DS_SDDO.getdatabyname(nClickRow, "loanNo"));
		this.Edit5.settext(this.DS_SDDO.getdatabyname(nClickRow, "contManNm"));
		this.Edit7.settext(this.DS_SDDO.getdatabyname(nClickRow, "telcDt"));
		this.Edit6.settext(this.DS_SDDO.getdatabyname(nClickRow, "telcCntn"));
	}
	else {
		this.Edit4.settext("");
		this.Edit5.settext("");
		this.Edit7.settext("");
		this.Edit6.settext("");
	}
	
	// swcs 통화
	console.log("2 : " +this.DS_SDDO.getdatabyname(nClickRow, "cntctDt"));
	if (this.DS_SDDO.getdatabyname(nClickRow, "cntctDt") != "") {
		this.Edit11.settext(this.DS_SDDO.getdatabyname(nClickRow, "loanNo"));
		this.Edit10.settext(this.DS_SDDO.getdatabyname(nClickRow, "contManNm"));
		this.Edit8.settext(this.DS_SDDO.getdatabyname(nClickRow, "cntctDt"));
		this.Edit9.settext(this.DS_SDDO.getdatabyname(nClickRow, "cntctCntn"));
	}
	else {
		this.Edit11.settext("");
		this.Edit10.settext("");
		this.Edit8.settext("");
		this.Edit9.settext("");
	}
}

// 연체리스트 그리드 클릭 - 채권상담관리 화면 이동
function Grid_busi_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
	var gLoanNo = this.DS_SDDO.getdatabyname(nDblClickRow, "loanNo");
	var gLoanSeq = this.DS_SDDO.getdatabyname(nDblClickRow, "loanSeq");
	var gCsNo = this.DS_SDDO.getdatabyname(nDblClickRow, "contManNm");
	var gCsNm = this.DS_SDDO.getdatabyname(nDblClickRow, "contManNoTran");	
	
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq, "CS_NO":gCsNo, "CS_NM":gCsNm};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM02","채권상담관리" , sendData);

}

// 연체리스트 Head 클릭 - 채권상담관리 화면 이동
function Grid_busi_on_headerclick(objInst, nHeaderRow, nHeaderCol)
{
	
}

// 통화이력 클릭
function Image99_on_click(objInst)
{
	
}