﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
		
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;
	
	this.edLoanNo.setfocus();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){

	if(this.DS_BTLEGLACTNCOST_SDDO.getrowcount() < 0 ){
		return;
	}	
	
	// 법적조치 탭일 경우	
	if(this.Tab0.gettabitemfocus() == 0){
	
		if(this.DS_SDDO03.getrowcount() > 0 ){
			var excelName = "법적조치" + factory.datetoday() + ".xlsx"
			this.Grid_leglActnDesc.downloadexcel(excelName);
		}
		else{
			SYSUtil.loadMessageBox(screen, "알림", 1, "엑셀로 가져올 법적조치내역이 없습니다!!!", "msg07");
			return;
		}			
	}
	// 법적조치비용 탭일 경우
	else if(this.Tab0.gettabitemfocus() == 1){
	
		if(this.DS_BTLEGLACTNCOST_SDDO.getrowcount() > 0 ){
			var excelName = "법적조치비용" + factory.datetoday() + ".xlsx"
			this.Grid_leglActnCost.downloadexcel(excelName);
		}
		else{
			SYSUtil.loadMessageBox(screen, "알림", 1, "엑셀로 가져올 법적조치비용내역이 없습니다!!!", "msg07");
			return;
		}
	}	
}

// 공통 조회 버튼 이벤트
function ue_query(){
	
	if(this.edLoanNo.gettext() == ""){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호를 입력하십시요", "msg07");
		return;
	}
	
	// IN DS 세팅
	this.DS_SMDO01.deleteallrows();
	this.DS_SMDO01.addrow();
	
	this.DS_SMDO01.setdatabyname(0,"loanNo",this.edLoanNo.gettext());
	this.DS_SMDO01.setdatabyname(0,"loanSeq",this.edLoanSeq.gettext());
	//this.DS_SMDO01.setdatabyname(0,"custNo",this.edCustNo.gettext());
		
	var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM04S01");	
   
	if(bRet == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }else{
		
    }   
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
	// OUT DS 초기화
	this.DS_SDDO01.deleteallrows();	
	this.DS_SDDO02.deleteallrows();	
	this.DS_SDDO03.deleteallrows();
	this.DS_BTLEGLACTNCOST_SDDO.deleteallrows();
	
	// IN 값 초기화
	this.edLoanNo.settext("");
	this.edLoanSeq.settext("");
	this.edCustNo.settext("");
	this.edCustNm.settext("");
  
	// 대출번호 포커스
	this.edLoanNo.setfocus();	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */	

function Image6_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "loanSeq":this.edLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edLoanNo.settext(objExtdata.loanNo);
			this.edLoanSeq.settext(objExtdata.loanSeq);	
			this.edCustNo.settext(objExtdata.custNo); 
			this.edCustNm.settext(objExtdata.custNm); 
		}
	}		
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	// 조회
	if(mapid == "BLMLMM04S01"){
		
		// 상단내역을 가져온 후 하단 리스트를 가져오는 작업을 한다.
		if(this.DS_SDDO01.getrowcount() > 0){
			
			this.edLoanNo.settext(this.DS_SDDO01.getdatabyname(0,"loanNo"));
			this.edLoanSeq.settext(this.DS_SDDO01.getdatabyname(0,"loanSeq"));
			this.edCustNo.settext(this.DS_SDDO01.getdatabyname(0,"custNo"));
			this.edCustNm.settext(this.DS_SDDO01.getdatabyname(0,"custNm"));
										
			if(this.Tab0.gettabitemfocus() == 0){
				fn_SearchQuarantors();	
			}else if(this.Tab0.gettabitemfocus() == 1){
				var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM04S04");	
		   
				if(bRet == false) {
        			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    			}else{
	 				
    			}
			}
		}
		this.edLoanNo.setfocus();
		
	}else if(mapid == "BLMLMM04S02"){
		fn_SearchLoanActns();
	}
	
}

function fn_SearchQuarantors(){
	
	var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM04S02");	
   
	if(bRet == false) {
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }else{
		
    }   
}

function fn_SearchLoanActns(){
	
	var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM04S03");	
   
	if(bRet == false) {
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
    }else{
		
    }   
}

// 채권상담 버튼 클릭 이벤트
function Image7_on_click(objInst)
{
	 var sendData = {"loanNo": this.edLoanNo.gettext() , "loanSeq": this.edLoanSeq.gettext()};
     SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM02","채권상담관리" , sendData);
		
}