﻿/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */

function screen_on_load()
{
	
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;
		
	// 관리부서 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_HT_ORG);
	this.DS_HT_ORG.insertrow(0);
	this.DS_HT_ORG.setdatabyname(0,"cd","");
	this.DS_HT_ORG.setdatabyname(0,"data","전체");
		
	// 조치상태 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_ACTN_STAT); 
	this.DS_DIC_BT_ACTN_STAT.insertrow(0);
	this.DS_DIC_BT_ACTN_STAT.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_BT_ACTN_STAT.setdatabyname(0,"cdDescKorNm","전체");
	
	// 조치유형 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_BT_LEGL_ACTS_TP); 
	this.DS_DIC_BT_LEGL_ACTS_TP.insertrow(0);
	this.DS_DIC_BT_LEGL_ACTS_TP.setdatabyname(0,"cdDescNo","");
	this.DS_DIC_BT_LEGL_ACTS_TP.setdatabyname(0,"cdDescKorNm","전체");
	
}

// 화면 초기  사용자 버튼 
function ue_init(){
	
	this.DS_STLOANBASE_SDDO.deleteallrows();
	this.cboDeptCd.getselectedcomment("전체");	    
	
	this.edDivsManEmpNo.settext("");
	this.edDivsManEmpNm.settext("");
	this.calFromDt.settext("");
	this.calToDt.settext("");
	this.edLoanNo.settext("");
	this.edLoanSeq.settext("");
	this.edCustNo.settext("");
	this.edCustNm.settext("");
	
	this.cboDateTp.setselectedcode(5);
	
	this.edLoanNo.setfocus();
}

// 메시지 박스에서 버튼 선택시 호출됨
function screen_on_messagebox(messagebox_id, result) {
	
}
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	
}


function screen_on_submitcomplete(mapid, result) {
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	console.log("########## mapid >> "+mapid);
	console.log("########## result >> "+result);
	
}

// 인쇄
function ue_print(){
	console.log("#### ue_print() call");
	screen.setscreenprotect(true); // 화면잠금
    var bRet = screen.requestsubmit("TS_SQL_INFO", true);
}

// 조회
function ue_query(){
	console.log("#### ue_query() call");
	screen.setscreenprotect(true); // 화면잠금
	
   // 데이터셋 초기화
	this.DS_STLOANBASE_SMDO.removeallrows();
	
	// 데이터셋 ROW 추가
	this.DS_STLOANBASE_SMDO.addrow();
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "loanNo"         , this.edLoanNo.gettext());               // 대출번호
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "loanSeq"        , this.edLoanSeq.gettext());              // 대출순번
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "deptCd"         , this.cboDeptCd.getselectedcode());      // 부서코드 
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "empNo"          , this.edDivsManEmpNo.gettext());         // 채권담당자

	if(this.calFromDt.gettext() != "____-__-__" ){
		this.DS_STLOANBASE_SMDO.setdatabyname(0, "fromDt"     , this.calFromDt.gettext());              // 조회시작일자
	}
	if(this.calToDt.gettext() != "____-__-__" ){
		this.DS_STLOANBASE_SMDO.setdatabyname(0, "toDt"       , this.calToDt.gettext());                // 조회종료일자	
	}
	
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "tpCd"           , this.cboDateTp.getselectedcode());      // 일자 콤보박스
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "actnTpCd"       , this.cboActnTpCd.getselectedcode());    // 조치유형 콤보박스
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "relCaseNo"      , this.edtRelCaseNo.gettext());           // 사건번호
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "oldNewDiv"      , "");      
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "custNo"         , this.edCustNo.gettext());      
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "actnStatCd"     , this.cboActnStatCd.getselectedcode());  // 조치상태 콤보박스
	
	// 사건번호 미등록건 체크박스 세팅
	if(this.chkCaseNoUnRegFg.getcheck()){
		this.DS_STLOANBASE_SMDO.setdatabyname(0, "caseNoUnRegFg" , "1");      	
	}else{
		this.DS_STLOANBASE_SMDO.setdatabyname(0, "caseNoUnRegFg" , "0");      
	}
	
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "rsltDlyTimsStrt"   , this.edtRsltDlyTimsStrt.gettext());  // 연체시작
	this.DS_STLOANBASE_SMDO.setdatabyname(0, "rsltDlyTimsEnd"    , this.edtRsltDlyTimsEnd.gettext());   // 연체마지막
	
	// 대출진행 체크박스 세팅
	if(this.ChkLoanStatCdFg.getcheck()){
		this.DS_STLOANBASE_SMDO.setdatabyname(0, "loanStatCdFg"  , "1");      	
	}else{
		this.DS_STLOANBASE_SMDO.setdatabyname(0, "loanStatCdFg"  , "0");      
	}
	
	var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM05S01");	
   
	if(bRet == false) {
        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        screen.alert("데이터 송신중 오류가 발생하였습니다.");
   }else{
	//this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
   }   
}

// 통합검색 팝업 호출
function btnSearchLoanNo_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "loanSeq":this.edLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edLoanNo.settext(objExtdata.loanNo);
			this.edLoanSeq.settext(objExtdata.loanSeq);	
		}
		// 고객검색 팝업 콜백
		else if(objExtdata.popId == "CBCCCP02"){
			this.edCustNo.settext(objExtdata.custNo); 
			this.edCustNm.settext(objExtdata.custNm); 	
		}
		// 담당자 자료사전 콜백
		else if(objExtdata.popId == "CCMCMP05"){
			this.edDivsManEmpNo.settext(objExtdata.empNo); 
			this.edDivsManEmpNm.settext(objExtdata.korName); 	
		}
	}		
}

function edCustNo_on_click(objInst, buttonclick)
{
	
	if(buttonclick) {
		// 업무화면으로 전달할 데이터
		var param = {"GUBUN":"SELECT", "loanNo":this.edLoanNo.gettext(), "custNo":this.edCustNo.gettext() };
		// 팝업 Title
		var popupTitle = "고객검색";
		//팝업 경로
		var popupPath = "/BIZ/C/BC/CC/CBCCCP02";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}	
}

function grdBusi_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var gLoanNo   = this.DS_STLOANBASE_SDDO.getdatabyname(nDblClickRow, "loanNo");
	var gLoanSeq  = this.DS_STLOANBASE_SDDO.getdatabyname(nDblClickRow, "loanSeq");
	var gCsNo     = this.DS_STLOANBASE_SDDO.getdatabyname(nDblClickRow, "custNo");
	var gConsShNo = this.DS_STLOANBASE_SDDO.getdatabyname(nDblClickRow, "consShNo");
	
	
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq, "CS_NO":gCsNo, "CONS_SH_NO":gConsShNo};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/LM/LM/BLMLMM03","법조치 결과/일정등록" , sendData);
}



function edDivsManEmpNo_on_click(objInst, buttonclick)
{
		
	// 업무화면으로 전달할 데이터
	var param = {"DATADICNO":"BT_EMP_BASE"};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}