﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.grd = null;


/* --------------------------------------------------
 * 화면 이벤트 영
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	this.DS_SMDO.addrow();
	
	this.edtBndDivsEmpNo.settext(SYSVar.loginUserInfo.USER_NO);
	this.edtBndDivsEmpNm.settext(SYSVar.loginUserInfo.USER_NM);
	
	
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	this.ue_init();
	console.log("#### screen_on_load() call");
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	var reqSubmit = SYSTran.requestSubmit(screen, "BVIWDM02S01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SMDO.deleteallrows();
	this.DS_SDDO.deleteallrows();
	
	this.calStDt.settext(factory.datetoday());
	this.calEdDt.settext(factory.datefrom("month", 1));
	
	this.cboIntvObjCd.setselectedindex(0);
	
	SYSTran.getComCode(this.screen, "B00106", this.DS_CD_B00106, true);
	
	SYSUtil.addComboAllColumn(this.cboMngDeptCd);  
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log("popupCallback 실행::");
	console.log(objExtdata);
	if(objExtdata.popId == "CCOCOP01"){
		this.edtBndDivsEmpNo.settext(objExtdata.empNo);
		this.edtBndDivsEmpNm.settext(objExtdata.korName);
	}
	
	if (objExtdata != undefined || objExtdata != null) {
		
	}
}

function edtBndDivsEmpNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if( this.edtBndDivsEmpNo.gettext() == "" ){
		this.edtBndDivsEmpNm.settext("");
	}
}

function edtBndDivsEmpNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
	/* SYSUtil.loadToastBox(this.screen, "TODO 자료사전 팝업 검색 구현이후 적용", viewTime); */
		// 업무화면으로 전달할 데이터
		var param = {"empNo":this.edtBndDivsEmpNo.gettext() };
		//팝업명	
		var popupTitle = "담당자 팝업";
		//팝업 경로
		var popupPath = "/BIZ/C/CO/CO/CCOCOP01";

		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	}
}

function grd_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var loanNo = this.grd.getitemtext( nDblClickRow , 1); // 대출번호
	var loanSeq = this.grd.getitemtext( nDblClickRow , 2); // 대출순번
	var contManNo = this.grd.getitemtext( nDblClickRow , 4); // 고객번호
	
	var sendData = {"g_loanNo":loanNo , "g_loanSeq":loanSeq , "g_contManNo":contManNo};
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/VI/WD/BVIWDM01","방문관리" , sendData);
}