﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var altContents 		= "재산조사등록을 위한 대출내역정보가 존재하지 않습니다!!!\n해당 대출번호를 검색 후 사용해주세요!!!";
var notExistLoanNo = "대출번호가 입력되지 않았습니다.";
var del_ind = "Y" ; // 삭제시 구분자 
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	SYSTran.getComCode(this.screen, "B00234", this.DS_CD_B00234, true);
	SYSTran.getComCode(this.screen, "B00252", this.DS_CD_B00252, true);
	SYSTran.getComCode(this.screen, "B00252", this.DS_CD_S00034, true);
	SYSTran.getComCode(this.screen, "B00252", this.DS_CD_A00003, true);
	SYSTran.getComCode(this.screen, "B00252", this.DS_CD_A00043, true);
	SYSTran.getDicByNo( this.screen, this.DS_DIC_BT_PRPT_KIND1);
	SYSTran.getDicByNo( this.screen, this.DS_DIC_BT_PRPT_KIND2);
	SYSTran.getDicByNo( this.screen, this.DS_DIC_BT_PRPT_KIND3);
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_print() call");
	if(this.edtLoanNo.gettext() == "") {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "대출번호를 입력하십시요", "message01");
		return false;
	}

	this.DS_SMDO01.setdatabyname(0,"loanNo", this.edtLoanNo.gettext());
	this.DS_SMDO01.setdatabyname(0,"loanSeq", this.edtLoanSeq.gettext());
	this.DS_SMDO01.setdatabyname(0,"custNo", this.edtCustNo.gettext());
	this.DS_SDDO01.init();
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM03S01");
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	var tabIdx = this.tab0.gettabitemfocus();
	
	if(tabIdx==0)
	{
		this.fn_SaveEstts();
	}
	else if(tabIdx==1)
	{
		//fn_SaveCars();
	}
	else if(tabIdx==2)
	{
		//fn_SaveBnds();
	}
	else if(tabIdx==3)
	{
		//fn_SaveProps();
	}
	else if(tabIdx==4)
	{
		//fn_SaveQuarantorsMng();
	}
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SMDO01.init();
	this.DS_SMDO01.addrow();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function edtGodsPlcZipCd_on_click(objInst, buttonclick)
{
	//팝업 확인용 임시로직 삭제해야됨
	if(buttonclick){
		//팝업명
		var popupTitle = "재산조사고객관리";
		//팝업 경로
		var popupPath = "/BIZ/B/VI/WD/BVIWDP02";
	
		var param = {"custNo":"CN16093000003"};
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	}
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("call :::: screen_on_submitcomplete");
	if(mapid == "BVIWDM03S01"){
		if(this.DS_SDDO01.getrowcount() > 0){
			this.edtLoanNo.settext(this.DS_SDDO01.getdatabyname(0, "loanNo"));
			this.edtLoanSeq.settext(this.DS_SDDO01.getdatabyname(0, "loanSeq"));
			this.edtCustNo.settext(this.DS_SDDO01.getdatabyname(0, "custNo"));
			this.edtCustNm.settext(this.DS_SDDO01.getdatabyname(0, "custNm"));	
			
			
			this.fn_SearchQuarantors();
		}
	}
	
	if(mapid == "BVIWDM03S02"){
		this.fn_SearchSurvey();
	}
	
	if(mapid == "BVIWDM03S03"){
		var totPrptCnt = Number(this.edtTot.gettext());
		// 2018-08-01 총건수가 1보다 크면 빨간색으로 표시 
		if(totPrptCnt > 1){
			this.edtTot.setforecolor(255,0,0);
		} else {
			this.edtTot.setforecolor(0,0,0);
		}

		if(this.tab0.gettabitemfocus() == 4) {
			this.grdBusi_on_itemclick(null, null, null, null, null, null);
		} 
	}

}

// 재산정보 호출
function fn_SearchQuarantors(){
	this.DS_SDDO02.init();
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM03S02");
}

// 건수 데이터
function fn_SearchSurvey(){
	this.DS_SDDO03.init();
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM03S03");
}

// 부동산정보 호출
function fn_SearchEstts(){
	this.DS_SMDO01.setdatabyname(0,"loanNo", this.edtLoanNo.gettext());
	this.DS_SMDO01.setdatabyname(0,"loanSeq", this.edtLoanSeq.gettext());
	this.DS_SMDO01.setdatabyname(0,"custNo", this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(),"custNo"));

	this.DS_SDDO04.init();
	this.DS_SDDO04_COPY.init();
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM03S04");
}

// 관련인정보 호출
function fn_SearchQuarantorsMng()
{
	this.DS_SDDO08.init();
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM03S08");
}

// 자동자정보 호출
function fn_SearchCars()
{
	this.edtTab2CargrpNm.settext("");
	this.DS_SMDO01.setdatabyname(0,"loanNo", this.edtLoanNo.gettext());
	this.DS_SMDO01.setdatabyname(0,"loanSeq", this.edtLoanSeq.gettext());
	this.DS_SMDO01.setdatabyname(0,"custNo", this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(),"custNo"));

	this.DS_SDDO05.init();
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM03S05");
}

function setStndValue() 
{
	this.edtTab1LoanRelNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"loanRelNm"));
	this.edtTab1CustNo.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNo"));
	this.edtTab1CustNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNm"));
	this.edtTab2LoanRelNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"loanRelNm"));
	this.edtTab2CustNo.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNo"));
	this.edtTab2CustNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNm"));
	this.edtTab3LoanRelNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"loanRelNm"));
	this.edtTab3CustNo.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNo"));
	this.edtTab3CustNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNm"));
	this.edtTab4LoanRelNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"loanRelNm"));
	this.edtTab4CustNo.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNo"));
	this.edtTab4CustNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos() ,"custNm"));
}

function grdBusi_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var grdBusiIdx = this.tab0.gettabitemfocus();
	if(grdBusiIdx == 0){
		this.setStndValue();
		this.fn_SearchEstts();
		
	} else if(grdBusiIdx == 1){
		this.setStndValue();
		this.fn_SearchCars();
	} else if(grdBusiIdx == 2){
		this.setStndValue();
		this.fn_SearchBnds();
	} else if(grdBusiIdx == 3){
		this.setStndValue();
		this.fn_SearchProps();
	} else if(grdBusiIdx == 4){
		
	}
}

function grdEstt_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var frstRegDt = this.DS_SDDO04.getdatabyname(nClickRow, "frstRegDt");
	
	if(frstRegDt == null || frstRegDt == '')
	{
		this.cboTab1AddrRegDcsn.setselectedcode("2");
		this.calTab1RschDt.setenable(true);
		this.calTab2RschDt.setenable(true);
		this.calTab3RschDt.setenable(true);
		this.calTab4RschDt.setenable(true);
	}
	else
	{
		this.cboTab1AddrRegDcsn.setselectedcode("1");
		this.calTab1RschDt.setenable(false);
		this.calTab2RschDt.setenable(false);
		this.calTab3RschDt.setenable(false);
		this.calTab4RschDt.setenable(false);
	}
	this.DS_SDDO04_COPY.copyrow(this.DS_SDDO04,nClickRow);
}

function tab0_on_itemchange(objInst, itemindex)
{
	console.log("call ::: tab0_on_itemchange");
}

function btnTab1New_on_click(objInst)
{
	// 2018-08-01 두비스 부동산탭안의 신규버튼을 누를시 대출내역정보가 없다면 비활성화 한다.
	var loanDescCnt = this.DS_SDDO01.getrowcount();
	
	if(loanDescCnt > 0)
	{
		del_ind = "Y";
		this.DS_SDDO04_COPY.init();
		this.DS_SDDO04_COPY.insertrow(0);

		this.DS_SDDO04_COPY.setdatabyname(0, "loanNo", this.edtLoanNo.gettext());
		this.DS_SDDO04_COPY.setdatabyname(0, "loanSeq", this.edtLoanSeq.gettext());
		this.DS_SDDO04_COPY.setdatabyname(0, "custNo", this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(),"custNo"));
		this.DS_SDDO04_COPY.setdatabyname(0, "rschDt", factory.datetoday());
		
		
		// 2018-08-01 두비스 신규(디폴트 값)
		this.edtTab1OthOwnManNm.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(),"custNm"));
		// 2018-08-01 두비스 디폴트값 세팅 
		this.cboTab1PrptOwnCd.setselectedcode("10");
		this.calTab1RschDt.setenable(true);
		
		// 2018-08-01 두비스 신규버튼클릭시 해당 접속자의 사원번호를 넣어준다.  
		this.edtTab1RschmanEmpNo.settext(SYSVar.loginUserInfo.USER_NO);
		this.edtTab1EdDivsManEmpNm.settext(SYSVar.loginUserInfo.USER_NM);
		// 2018-08-01 두비스 신규버튼클릭시 해당 대출건의 현재 채권담당자를 세팅해준다. 				
		this.DS_SDDO04_COPY.setdatabyname(0, "bndDivsManEmpNo", this.DS_SDDO01.getdatabyname(0, "bndDivsEmpNo"));
		this.DS_SDDO04_COPY.setdatabyname(0, "bndDivsManEmpNm", this.DS_SDDO01.getdatabyname(0, "bndDivsEmpNm"));
		
		// 신규 버튼클릭시 선택 정보 리셋
		this.grdEstt.resetselectitem();
	}
	else
	{
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, altContents, "message01");
		return false;
	}
}


function btnTab1Save_on_click(objInst)
{
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.cboTab1PrptKindCd.gettext()))) 
	{
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "재산종류를 선택하세요", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.edtTab1Area.gettext()))) 
	{
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "면적을 입력하세요", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.calTab1AddrMoveiDt.gettext()))) 
	{
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "주소전입일을 입력하세요", "message01");
		return false;
	}
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.edtTab1JudgAmt.gettext()))) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "감정가를 입력하세요", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.edtTab1CnvsVal.gettext()))) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "환가가치를 입력하세요", "message01");
		return false;
	}
	
	if( SYSUtil.isEmpty(this.edtTab1GodsPlcAddrBase) || SYSUtil.isEmpty(this.edtTab1GodsPlcAddrSpec) ) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "물건지주소를 입력하세요", "message01");
		return false;
	}
	
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.edtTab1OthOwnManNm.gettext()))) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "소유자명을 입력하세요", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.calTab1OwnRigtCesnDt.gettext()))) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "소유권이전일을 입력하세요", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.calTab1RschDt.gettext()))) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "조사일자를 입력하세요", "message01");
		return false;
	}
	
	if(SYSUtil.isEmpty(SYSUtil.Trim(this.edtTab1DivsManRschOpn.gettext()))) {
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "담당자조사의견을 입력하세요", "message01");
		return false;
	}

	// 2018-08-01 두비스 조사자명 필수로 입력한다. 
	
	if(SYSUtil.isEmpty(this.edtTab1RschmanEmpNo.gettext())) 
	{
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "조사자명을 입력해주세요", "message01");
		return false;
	}			
	
	var gridIdx = this.DS_SDDO04.getpos();
	if(gridIdx > 0){
		this.DS_SDDO04.addrow();
		this.DS_SDDO04.copyrowto(this.DS_SDDO04_COPY, 0,this.DS_SDDO04.getrowcount()-1,true,"",true,true);
	} else {
		this.DS_SDDO04.copyrowto(this.DS_SDDO04_COPY, 0,this.DS_SDDO04.getpos(),true,"",true,true);
		//DS_DST.copyrowto(DS_SRC, 1, 2, true, "", true, true);
	}
	this.DS_SDDO04_COPY.init();
}

/*
 * 부동산 정보 등록
 */
function fn_SaveEstts()
{
	this.DS_SMDO01.setdatabyname(0,"custNo", this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(),"custNo"));

	// 2018-08-01 두비스 강제로 세팅해주는 부분을 막아줌 
	//DS_SDDO04.SetColumn(DS_SDDO04.currow, "rschmanEmpNo", G_DS_USER.GetColumn(0, 'userNo'));
		
	gf_SetNullStrAll(DS_SDDO04);

	gf_MakeDatasetForTransaction(DS_SDDO04, DS_SDDO04_SEND, false);

	// 2018-08-01 두비스 최종체크 추가 
	saveFeasibleChk();
	
	if(saveOk != '1')
	{
		return false;
	}

	var fstrArg = "task=" + quote("update") + " action=update4" + " classId ="+ quote("BLMPI0101");
			
	gf_Transaction("update4",
                   G_WAS_URL,
                   "G_DS_USER=G_DS_USER DS_SMDO01=DS_SMDO01 DS_SDDO04=DS_SDDO04_SEND",
                   "",
                   fstrArg,
                   "fn_TranCallback" );
}