﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */

// 로그인 정보
this.sUserNo = "";

// 삭제 row 셋팅
this.nRowNo_grd_CtCommCdKind = -1;
this.nRowNo_grd_CtCommCdDesc = -1;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */


function screen_on_activate()
{
	console.log("#### screen_on_activate() call");
}


// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("#### screen_on_popupdestroy() call");
	
	console.log(" popup_screen : " + popup_screen);
	console.log(" popup_name : " + popup_name);
	console.log(" result : " + result);
	
	
	if (popup_name == "MSGBOX_DS_COMM_CD_DESC_DEL")
	{
		if (result == "확인")
		{
			this.DS_COMM_CD_DESC_D.copyinsertrow(-1, this.DS_COMM_CD_DESC, this.grd_CtCommCdDesc.getxdatasetrow(this.nRowNo_grd_CtCommCdDesc), true);
			this.DS_COMM_CD_DESC_D.setallrowoperation(XFD_ROWOP_DELETE);

			SYSUtil.showDataSetLog(this.DS_COMM_CD_DESC_D);
	
			console.log(" this.DS_COMM_CD_DESC_D : " + this.DS_COMM_CD_DESC_D.getrowcount());

			// 화면 데이타셋에서 해당 레코드 삭제
			this.grd_CtCommCdDesc.deleterow(this.grd_CtCommCdDesc.getxdatasetrow(this.nRowNo_grd_CtCommCdDesc));
		}
	}
}


//화면로드시 발생하는 이벤트
function screen_on_load()
{
	console.log("#### screen_on_load() call");

	this.sUserNo = SYSVar.loginUserInfo.USER_NO;
	if (this.sUserNo == "")
	{
		this.sUserNo = "SYSTEM";
	}

	// 공통 버튼 영역 제어 (인쇄. 조회. 추가. 저장. 삭제. 초기화)
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제

	SYSTran.getComCode(this.screen, "BSNZON", this.DS_CD_BSNZON);	// 공통코드. 업무영역.
	SYSTran.getComCode(this.screen, "N00807", this.DS_CD_N00807);	// 공통코드. 사용여부(Y/N)

	this.fn_Init();
}


/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print()
{
	console.log("#### ue_print() call");
}


// 공통 조회 버튼 이벤트
function ue_query()
{
	console.log("#### ue_query() call");

	this.fn_CBCCCM01S01();
}


// 공통 추가 버튼 이벤트
function ue_insert()
{
	console.log("#### ue_update() call");
}


// 공통 저장 버튼 이벤트
function ue_update()
{
	console.log("#### ue_update() call");

	this.fn_CBCCCM01I01();
}


// 공통 삭제 버튼 이벤트
function ue_delete()
{
	console.log("#### ue_delete() call");
}


// 공통 초기화 버튼 이벤트
function ue_init()
{
	console.log("#### ue_init() call");

	this.fn_Init();
}


/* --------------------------------------------------
 * 사용자 정의 함수
 * -------------------------------------------------- 
 */

function fn_Init()
{
	console.log("#### fn_Init() call");

	this.nRowNo_grd_CtCommCdKind = -1;
	this.nRowNo_grd_CtCommCdDesc = -1;

	this.edt_CdKindNmSearch.val('');
	this.edt_CdKindNoSearch.val('');
	this.edt_CdDescNmSearch.val('');

	this.edt_CdKindNo.val('');
	this.cbo_BsnZoneCd.setselectedindex(-1);
	this.edt_CdKindNm.val('');
	this.edt_CdKindShrtNm.val('');
	
	this.DS_KIND_SEARCH.init();
	this.DS_DESC_SEARCH.init();
	this.DS_COMM_CD_KIND.init();
	this.DS_COMM_CD_DESC.init();
	this.DS_COMM_CD_DESC_D.init();
	this.DS_KIND_SELECT.init();
	this.DS_KIND_SELECT_RESULT.init();
	
	this.fn_CBCCCM01S01();
}


function fn_CBCCCM01I01()
{
	console.log("#### fn_CBCCCM01I01() call");

	// 저장 유효성 체크
	var nModifyRowCount = 0;
	nModifyRowCount += this.DS_COMM_CD_KIND.getmodifyrowcount();
	nModifyRowCount += this.DS_COMM_CD_DESC.getmodifyrowcount();
	nModifyRowCount += this.DS_COMM_CD_DESC_D.getmodifyrowcount();

	if (nModifyRowCount <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "수정된 자료가 없습니다.", "MSGBOX_NULL");
		return;
	}


	// 저장 유효성 체크
	if (this.DS_COMM_CD_KIND.getmodifyrowcount() > 0)
	{
		console.log("DS_COMM_CD_KIND 유효성 체크");

		for(var i = 0; i < this.DS_COMM_CD_KIND.getrowcount(); i++)
		{
			if (this.DS_COMM_CD_KIND.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_COMM_CD_KIND.getrowoperation(i) == XFD_ROWOP_UPDATE)
			{
				if (this.DS_COMM_CD_KIND.getdatabyname(i, "cdKindNo") == "")
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + (i + 1) + "] 행의 코드종류번호가 빈 값 입니다.", "MSGBOX_NULL");
					return;
				}

				if (this.DS_COMM_CD_KIND.getdatabyname(i, "cdKindNm") == "")
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + (i + 1) + "] 행의 코드종류명이 빈 값 입니다.", "MSGBOX_NULL");
					return;
				}
			}
		}
	}


	// 저장 유효성 체크
	if (this.DS_COMM_CD_DESC.getmodifyrowcount() > 0)
	{
		console.log("DS_COMM_CD_DESC 유효성 체크");

		for(var i = 0; i < this.DS_COMM_CD_DESC.getrowcount(); i++)
		{
			if (this.DS_COMM_CD_DESC.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_COMM_CD_DESC.getrowoperation(i) == XFD_ROWOP_UPDATE)
			{
				if (this.DS_COMM_CD_DESC.getdatabyname(i, "cdKindNo") == "")
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + (i + 1) + "] 행의 코드종류번호가 빈 값 입니다.", "MSGBOX_NULL");
					return;
				}

				if (this.DS_COMM_CD_DESC.getdatabyname(i, "cdDescNo") == "")
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + (i + 1) + "] 행의 내역번호가 빈 값 입니다.", "MSGBOX_NULL");
					return;
				}

				if (this.DS_COMM_CD_DESC.getdatabyname(i, "cdDescKorNm") == "")
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + (i + 1) + "] 행의 코드내역한글명이 빈 값 입니다.", "MSGBOX_NULL");
					return;
				}

				if (this.DS_COMM_CD_DESC.getdatabyname(i, "useYn") == "")
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "[" + (i + 1) + "] 행의 사용여부가 빈 값 입니다.", "MSGBOX_NULL");
					return;
				}
			}
		}

		for(var i = 0; i < this.DS_COMM_CD_DESC.getrowcount(); i++)
		{
			var sCompareSourceCd = this.DS_COMM_CD_DESC.getdatabyname(i, "cdDescNo").trim();
			var sCompareSourceNm = this.DS_COMM_CD_DESC.getdatabyname(i, "cdDescKorNm").trim();
			var nDupCnt_Cd = 0;
			var nDupCnt_Nm = 0;

			for(var j = 0; j < this.DS_COMM_CD_DESC.getrowcount(); j++)
			{
				var sCompareTargetCd = this.DS_COMM_CD_DESC.getdatabyname(j, "cdDescNo").trim();
				var sCompareTargetNm = this.DS_COMM_CD_DESC.getdatabyname(j, "cdDescKorNm").trim();

				if (sCompareSourceCd == sCompareTargetCd)
				{
					nDupCnt_Cd++;
				}

				if (sCompareSourceNm == sCompareTargetNm)
				{
					nDupCnt_Nm++;
				}
			}

			if (nDupCnt_Cd >= 2)
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "내역번호 [" + sCompareSourceCd + "] 가 중복 입력되었습니다.", "MSGBOX_NULL");
				return;
			}

			if (nDupCnt_Nm >= 2)
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "코드내역한글명 [" + sCompareSourceNm + "] 가 중복 입력되었습니다.", "MSGBOX_NULL");
				return;
			}
		}
	}


	if (this.DS_COMM_CD_DESC.getmodifyrowcount() > 0)
	{
		console.log("DS_COMM_CD_DESC 유효성 체크");

		for(var i = 0; i < this.DS_COMM_CD_DESC.getrowcount(); i++)
		{
			if (this.DS_COMM_CD_DESC.getrowoperation(i) == XFD_ROWOP_INSERT)
			{
				this.DS_COMM_CD_DESC.setdatabyname(i, "frstRegEmpNo", this.sUserNo, true);
				this.DS_COMM_CD_DESC.setdatabyname(i, "lastProcEmpNo", this.sUserNo, true);
			}

			if (this.DS_COMM_CD_DESC.getrowoperation(i) == XFD_ROWOP_UPDATE)
			{
				this.DS_COMM_CD_DESC.setdatabyname(i, "lastProcEmpNo", this.sUserNo, true);
			}
		}
	}


	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCCM01I01");
	// this.fn_CBCCCM01S02(this.nRowNo_grd_CtCommCdKind);	// 코드 저장 후 재조회
}


function fn_CBCCCM01S01()
{
	console.log("#### fn_CBCCCM01S01() call");

	this.nRowNo_grd_CtCommCdKind = -1;
	this.nRowNo_grd_CtCommCdDesc = -1;
	
	var sCdKindNoSearch = this.edt_CdKindNoSearch.val();
	var sCdKindNmSearch = this.edt_CdKindNmSearch.val();
	var sCdDescNmSearch = this.edt_CdDescNmSearch.val();

	this.DS_KIND_SEARCH.init();
	this.DS_KIND_SEARCH.addrow();
	this.DS_KIND_SEARCH.setdatabyname(this.DS_KIND_SEARCH.getrowcount() - 1, "cdKindNo", sCdKindNoSearch, false);
	this.DS_KIND_SEARCH.setdatabyname(this.DS_KIND_SEARCH.getrowcount() - 1, "cdKindNm", sCdKindNmSearch, false);
	this.DS_KIND_SEARCH.setdatabyname(this.DS_KIND_SEARCH.getrowcount() - 1, "cdDescShrtNm", sCdDescNmSearch, false);

	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCCM01S01");
}


function fn_CBCCCM01S02(nGridRowNo)
{
	console.log("#### fn_CBCCCM01S02() call");
	console.log("nGridRowNo : " + nGridRowNo);

	// 조회 가능한지 유효성 체크
	if (nGridRowNo < 0)
	{
		console.log("nGridRowNo");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if (this.grd_CtCommCdKind.getxdatasetrow(nGridRowNo) < 0)
	{
		console.log("getxdatasetrow");
		return;
	}


	// 공통그룹코드 값 조회
	var sCdKindNo = this.DS_COMM_CD_KIND.getdatabyname(this.grd_CtCommCdKind.getxdatasetrow(nGridRowNo), "cdKindNo");
	
	console.log("sCdKindNo : " + sCdKindNo );

	// 조회용 DS 설정
	this.DS_DESC_SEARCH.init();
	this.DS_DESC_SEARCH.addrow();
	this.DS_DESC_SEARCH.setdatabyname(this.DS_DESC_SEARCH.getrowcount() - 1, "cdKindNo", sCdKindNo, false);

	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCCM01S02");
}


function fn_CBCCCM01S03()
{
	console.log("#### fn_CBCCCM01S03() call");

	// 공통그룹코드 값 조회
	var sCdKindNo = this.edt_CdKindNo.gettext().trim();
	var sCdKindNm = this.edt_CdKindNm.gettext().trim();

	// 조회용 DS 설정
	this.DS_KIND_SELECT.init();
	this.DS_KIND_SELECT.addrow();
	this.DS_KIND_SELECT.setdatabyname(this.DS_KIND_SELECT.getrowcount() - 1, "cdKindNo", sCdKindNo, false);
	this.DS_KIND_SELECT.setdatabyname(this.DS_KIND_SELECT.getrowcount() - 1, "cdKindNm", sCdKindNm, false);
	
	this.DS_KIND_SELECT_RESULT.init();

	var reqSubmit = SYSTran.requestSubmitAsync(screen, "CBCCCM01S03");
}



function grd_CtCommCdKind_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grd_CtCommCdKind_on_itemclick() call");

	/*
	this.nRowNo_grd_CtCommCdKind = nClickRow;
	this.nRowNo_grd_CtCommCdDesc = -1;

	// 버그 그리드 로우#, DS 로우넘 버그.
	this.fn_CBCCCM01S02(this.nRowNo_grd_CtCommCdKind);
	*/
}


function btn_CtCommCdDesc_Add_on_click(objInst)
{
	console.log("#### btn_CtCommCdDesc_Add_on_click() call");

	console.log("nRowNo_grd_CtCommCdKind : " + this.nRowNo_grd_CtCommCdKind);

	// 추가 가능한지 유효성 체크
	if (this.nRowNo_grd_CtCommCdKind < 0)
	{
		console.log("nRowNo_grd_CtCommCdKind");
		return;
	}
	
	// 추가 가능한지 유효성 체크
	if (this.grd_CtCommCdKind.getxdatasetrow(this.nRowNo_grd_CtCommCdKind) < 0)
	{
		console.log("getxdatasetrow");
		return;
	}


	// 공통코드에 자동 설정할 그룹코드 값 조회
	var sCdKindNo = this.DS_COMM_CD_KIND.getdatabyname(this.grd_CtCommCdKind.getxdatasetrow(this.nRowNo_grd_CtCommCdKind), "cdKindNo");

	// 추가 가능한지 유효성 체크
	if (sCdKindNo == null  ||  sCdKindNo == "")
	{
		return;
	}

	// 그리드 행 추가 (그리드 RowNo와 DS RowNo 차이 버그 가능성 있음)
	var nAddRowNo = this.DS_COMM_CD_DESC.addrow();

	// 그리드 행 추가 되었는지 체크
	if (nAddRowNo < 0)
	{
		return;
	}

	// 추가된 행으로 자동 포커스 이동
	this.grd_CtCommCdDesc.setselectrow(nAddRowNo, true, true);

	// 그리드의 데이타셋의 키 값(그룹코드) 자동 설정
	this.DS_COMM_CD_DESC.setdatabyname(nAddRowNo, "cdKindNo", sCdKindNo, true);

	SYSUtil.setStatusMsg("행 추가 완료");
}


function edt_CdKindNoSearch_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log("#### edt_CdKindNoSearch_on_keydown() call");

	if (keycode == 13)
	{
		this.fn_CBCCCM01S01();
	}

	return 0;
}


function edt_CdKindNmSearch_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log("#### edt_CdKindNmSearch_on_keydown() call");

	if (keycode == 13)
	{
		this.fn_CBCCCM01S01();
	}

	return 0;
}


function edt_CdDescNmSearch_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log("#### edt_CdDescNmSearch_on_keydown() call");

	if (keycode == 13)
	{
		this.fn_CBCCCM01S01();
	}

	return 0;
}


function btn_CtCommCdDesc_Delete_on_click(objInst)
{
	console.log("#### btn_CtCommCdDesc_Delete_on_click() call");

	// 삭제 가능한지 유효성 체크
	if (this.grd_CtCommCdDesc.getrowcount() <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0, "삭제할 공통코드를 선택하십시오.", "");
		return;
	}

	// 삭제 가능한지 유효성 체크
	if (this.nRowNo_grd_CtCommCdDesc < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0 /* 확인 */, "삭제할 공통코드를 선택하십시오.", "");
		return;
	}

	// 삭제 가능한지 유효성 체크
	if (this.grd_CtCommCdDesc.getxdatasetrow(this.nRowNo_grd_CtCommCdDesc) < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "확인", 0 /* 확인 */, "삭제할 공통코드를 선택하십시오.", "");
		return;
	}


	SYSUtil.loadMessageBox(this.screen, "삭제", 2 /* 확인/취소 */, "선택한 공통코드를 삭제하시겠습니까?", "MSGBOX_DS_COMM_CD_DESC_DEL");

	/*
	// 삭제 데이타 IO 용 데이타셋에 신규 레코드 추가
	this.DS_COMM_CD_DESC_D.copyinsertrow(-1, this.DS_COMM_CD_DESC, this.grd_CtCommCdDesc.getxdatasetrow(this.nRowNo_grd_CtCommCdDesc), true);
	this.DS_COMM_CD_DESC_D.setallrowoperation(XFD_ROWOP_DELETE);

	SYSUtil.showDataSetLog(this.DS_COMM_CD_DESC_D);
	
	console.log(" this.DS_COMM_CD_DESC_D : " + this.DS_COMM_CD_DESC_D.getrowcount());

	// 화면 데이타셋에서 해당 레코드 삭제
	this.grd_CtCommCdDesc.deleterow(this.grd_CtCommCdDesc.getxdatasetrow(this.nRowNo_grd_CtCommCdDesc));
	*/
}


function grd_CtCommCdDesc_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_CtCommCdDesc_on_itemselchange() call");

	this.nRowNo_grd_CtCommCdDesc = nCurSelectRow;	
}


function grd_CtCommCdKind_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_CtCommCdKind_on_itemselchange() call");

	this.nRowNo_grd_CtCommCdKind = nCurSelectRow;
	this.nRowNo_grd_CtCommCdDesc = -1;

	this.fn_CBCCCM01S02(this.nRowNo_grd_CtCommCdKind);
}


function btn_CtCommCdKind_Add_on_click(objInst)
{
	console.log("#### btn_CtCommCdKind_Add_on_click() call");

	// 저장 유효성 체크
	var nModifyRowCount = 0;
	nModifyRowCount += this.DS_COMM_CD_KIND.getmodifyrowcount();

	if (nModifyRowCount > 0)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "저정하지 않는 자료가 있습니다.", "MSGBOX_NULL");
		return;
	}

	// 저장 유효성 체크
	if (this.edt_CdKindNo.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "공통코드종류번호를 입력하십시오.", "MSGBOX_NULL");
		return;
	}

	if (this.cbo_BsnZoneCd.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "업무영역코드를 입력하십시오.", "MSGBOX_NULL");
		return;
	}

	if (this.edt_CdKindNm.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "코드종류명을 입력하십시오.", "MSGBOX_NULL");
		return;
	}

	if (this.edt_CdKindShrtNm.gettext().trim() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "코드종류단축명을 입력하십시오.", "MSGBOX_NULL");
		return;
	}

	// 저장 유효성 체크
	if (this.fn_IsDupCtCommCdKindByCdKindNo() == true)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "기 입력된 공통코드종류번호가 존재합니다.", "MSGBOX_NULL");
		return;
	}

	// 저장 유효성 체크
	if (this.fn_IsDupCtCommCdKindByCdKindNm() == true)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "기 입력된 코드종류명이 존재합니다.", "MSGBOX_NULL");
		return;
	}

	this.fn_CBCCCM01S03();
	
	/*
	20230403. completesubmit 으로 이동
	// 그리드 행 추가 (그리드 RowNo와 DS RowNo 차이 버그 가능성 있음)
	var nAddRowNo = this.DS_COMM_CD_KIND.addrow();

	// 그리드 행 추가 되었는지 체크
	if (nAddRowNo < 0)
	{
		return;
	}

	// 추가된 행으로 자동 포커스 이동
	this.grd_CtCommCdKind.setselectrow(nAddRowNo, true, true);


	// 공통코드 데이터셋 신규 레코드 추가
	// this.DS_COMM_CD_KIND.addrow();
	this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "cdKindNo", this.edt_CdKindNo.gettext(), true);
	this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "cdKindNm", this.edt_CdKindNm.gettext(), true);
	this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "cdKindShrtNm", this.edt_CdKindShrtNm.gettext(), true);
	this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "bsnZoneCd", this.cbo_BsnZoneCd.getselectedcode(), true);
	this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "frstRegEmpNo", SYSVar.loginUserInfo.USER_NO, true);
	this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "lastProcEmpNo", SYSVar.loginUserInfo.USER_NO, true);


	this.edt_CdKindNo.settext('');
	this.edt_CdKindNm.settext('');
	this.edt_CdKindShrtNm.settext('');
	this.cbo_BsnZoneCd.settext('');
	*/
}


function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete() call");
	console.log("mapid           : " + mapid);
	console.log("result          : " + result);
	console.log("recv_userheader : " + recv_userheader);
	console.log("recv_code       : " + recv_code);
	console.log("recv_msg        : " + recv_msg);


	if (mapid == "CBCCCM01S01")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				this.DS_COMM_CD_DESC.init();
				this.DS_COMM_CD_DESC_D.init();

			    SYSUtil.setStatusMsg(recv_msg + "총[" + this.DS_COMM_CD_KIND.getrowcount() + "]건");	
			}
			else
			{
				this.DS_COMM_CD_DESC.init();
				this.DS_COMM_CD_DESC_D.init();

				SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "MSGBOX_NULL");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	else if (mapid == "CBCCCM01S02")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				this.DS_COMM_CD_DESC_D.init();

			    SYSUtil.setStatusMsg(recv_msg + "총[" + this.DS_COMM_CD_DESC.getrowcount() + "]건");	
			}
			else
			{
				this.DS_COMM_CD_DESC_D.init();

			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "MSGBOX_NULL");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
	else if (mapid == "CBCCCM01S03")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				if (this.DS_KIND_SELECT_RESULT.getrowcount() > 0)
				{
					SYSUtil.loadMessageBox(this.screen, "알림", 1, "기 입력된 코드종류번호가 존재합니다.\n사용할 수 없는 코드종류번호입니다.", "MSGBOX_NULL");
					return;
				}
				else
				{
					// 그리드 행 추가 (그리드 RowNo와 DS RowNo 차이 버그 가능성 있음)
					var nAddRowNo = this.DS_COMM_CD_KIND.addrow();

					// 그리드 행 추가 되었는지 체크
					if (nAddRowNo < 0)
					{
						return;
					}

					// 추가된 행으로 자동 포커스 이동
					this.grd_CtCommCdKind.setselectrow(nAddRowNo, true, true);

					// 공통코드 데이터셋 신규 레코드 추가
					// this.DS_COMM_CD_KIND.addrow();

					this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "cdKindNo", this.edt_CdKindNo.gettext(), true);
					this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "cdKindNm", this.edt_CdKindNm.gettext(), true);
					this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "cdKindShrtNm", this.edt_CdKindShrtNm.gettext(), true);
					this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "bsnZoneCd", this.cbo_BsnZoneCd.getselectedcode(), true);
					this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "frstRegEmpNo", this.sUserNo, true);
					this.DS_COMM_CD_KIND.setdatabyname(this.DS_COMM_CD_KIND.getrowcount() - 1, "lastProcEmpNo", this.sUserNo, true);

					this.edt_CdKindNo.settext('');
					this.edt_CdKindNm.settext('');
					this.edt_CdKindShrtNm.settext('');
					this.cbo_BsnZoneCd.settext('');
				}
			}
			else
			{
				//
		    }
		}
	}
	else if (mapid == "CBCCCM01I01")
	{
		if (result > -1)
		{
			if (result == 1)
			{
				this.DS_COMM_CD_KIND.setallrowoperation(XFD_ROWOP_NONE);
				SYSUtil.showDataSetLog(this.DS_COMM_CD_KIND);

				this.DS_COMM_CD_DESC.setallrowoperation(XFD_ROWOP_NONE);
				SYSUtil.showDataSetLog(this.DS_COMM_CD_DESC);

				this.DS_COMM_CD_DESC_D.init();
				this.DS_COMM_CD_DESC_D.setallrowoperation(XFD_ROWOP_NONE);
				SYSUtil.showDataSetLog(this.DS_COMM_CD_DESC_D);

			    // SYSUtil.setStatusMsg(recv_msg + "총[" + this.DS_SDDO01.getrowcount() + "]건");	
			}
			else
			{
				this.DS_COMM_CD_KIND.setallrowoperation(XFD_ROWOP_NONE);
				SYSUtil.showDataSetLog(this.DS_COMM_CD_KIND);

				this.DS_COMM_CD_DESC.setallrowoperation(XFD_ROWOP_NONE);
				SYSUtil.showDataSetLog(this.DS_COMM_CD_DESC);

				this.DS_COMM_CD_DESC_D.init();
				this.DS_COMM_CD_DESC_D.setallrowoperation(XFD_ROWOP_NONE);
				SYSUtil.showDataSetLog(this.DS_COMM_CD_DESC_D);

				SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "MSGBOX_NULL");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}


function fn_IsDupCtCommCdKindByCdKindNo()
{
	var sCompareSourceCd = this.edt_CdKindNo.gettext().trim();

	for(var i = 0; i < this.DS_COMM_CD_KIND.getrowcount(); i++)
	{
		var sCompareTargetCd = this.DS_COMM_CD_KIND.getdatabyname(i, "cdKindNo").trim();

		if (sCompareSourceCd == sCompareTargetCd)
		{
			return true;
		}
	}

	return false;
}


function fn_IsDupCtCommCdKindByCdKindNm()
{
	var sCompareSourceNm = this.edt_CdKindNm.gettext().trim();

	for(var i = 0; i < this.DS_COMM_CD_KIND.getrowcount(); i++)
	{
		var sTargetSourceNm = this.DS_COMM_CD_KIND.getdatabyname(i, "cdKindNm").trim();

		if (sCompareSourceNm == sTargetSourceNm)
		{
			return true;
		}
	}

	return false;
}