﻿// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

function screen_on_load() {
	console.log("########### pop up screen_on_load() #######" );
	
	this.DS_CUST_INFO_SRCH_SM.addrow();
	
	//넘겨받은 데이터가 식별 가능할 때 인풋박스에 값 채워넣음
	if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
		
		var popLoanNo = this.EXTRA_DATA.loanNo;
		var popCustNo = this.EXTRA_DATA.custNo;
		
		//자동 검색 변수
		var AutoSrch = "N";
		
		if(popLoanNo != undefined || popLoanNo != null){
			this.edtLoanNo.settext(popLoanNo);
			AutoSrch = "Y";
		}
		
		if(popCustNo != undefined || popCustNo != null){
			this.edtCustNo.settext(popCustNo);
			AutoSrch = "Y";
		}
		
		if( "Y" == AutoSrch ){
			console.log("########### 자동 검색 #######" );
			this.ue_query();
		}
	}
	
	//그리드 구분 값 = 그리드 순번
	this.grdCust.showlinenumber(true);
	this.grdCust.setlinenumbertitle("구분");
	
}

//데이터 정상 조회 후 결과 값 리턴 후의 동작 로직
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if( "-100" != recv_code){
		if(this.DS_CUST_INFO_SRCH_SD.getrowcount() == 0)
		{
			SYSUtil.loadMessageBox(screen, "알림", 1, "해당 데이터가 없습니다.", "errMsg02");
			
			this.edtCustNo.setfocus();
			return;
		}
	}
	
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load(param){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

// 조회
function ue_query(){
	console.log("#### ue_query() call");
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "TS_CBCCCP02S01");
	
	if(reqSubmit == false) {
		SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		return;
	}
	
}

/**
오브젝트 속성 : btn
오브젝트명 : Srch
이벤트명 : on_click
설명 : 조회 버튼 이벤트
화면ID : CBCCCP02
거래코드 : 
*/
function btnSrch_on_click(objInst)
{
	console.log("#### SrchBtn_on_click() call");
	
	if(this.edtCustNo.val().length == 0 && this.edtCustNm.val().length == 0 && this.edtCustResiNo.val().length == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "고객 명, 고객 번호, 주민번호 중 하나이상 입력 후 조회 하세요.", "errMsg01");
			
		this.edtCustNo.setfocus();
		return false;
	}
	
	this.ue_query();
}

/**
오브젝트 속성 : grd
오브젝트명 : Cust
이벤트명 : on_itemdblclick
설명 : 그리드 더블 클릭 시 부모 화면에 데이터 넘김
화면ID : CBCCCP02
거래코드 : 
*/
function grdCust_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	//부모 화면에 보낼 파라미터 설정
	var param = {
		"custTpNm"	  : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "custTpNm"),
		"custNo"		: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "custNo"),
		"custNm"		: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "custNm"),
		"custNm"		: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "custNm"),
		"custResiNo"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "custResiNo"),
		"birthDt"	   : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "birthDt"),
		"cellHpNo"	  : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "cellHpNo"),
		"homeBaseAddr"  : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "homeBaseAddr"),
		"reprCustNm"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "reprCustNm"),
		"reprCustNo"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "reprCustNo"),
		"bizABaseAddr"  : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "bizABaseAddr"),
		"corpRegNo"	 : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "corpRegNo"),
		"divsMannm"	 : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "divsMannm"),
		"divsManHp"     : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "divsManHp"),
		"loanNo"		: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "loanNo"),
		"cnslNo"		: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "cnslNo"),
		"carsNo"		: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "carsNo"),
		"dstrYn"	    : this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "dstrYn"),
		"frstDstrDt"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "frstDstrDt"),
		"frstDstrTm"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "frstDstrTm"),
		"scndDstrDt"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "scndDstrDt"),
		"scndDstrTm"	: this.DS_CUST_INFO_SRCH_SD.getdatabyname(nDblClickRow, "scndDstrTm")
	};
	
	this.paranet_screen_data_load(param);
}