﻿// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();


function screen_on_load() {
	
	var extParam = this.EXTRA_DATA;
	
	var loginEmpNo = extParam.loginEmpNo;
	var loginPwd   = extParam.loginPwd;
	
	
	console.log(loginInitInfo);
	
	if(loginInitInfo!=null && loginInitInfo!=undefined){
		if( loginInitInfo.loginOnLoadFlag=="SSO" ){
			loginEmpNo = loginInitInfo.loginUserEmpNo;
			loginPwd = SYSUtil.getDefaultPwd();
			SYSVar.LOGIN_MEMBER.fldUserId.settext(loginEmpNo);
		}
	}
	
	this.f_userNo.settext(loginEmpNo);
	this.f_currPwd.settext(loginPwd);
	
	this.f_newPwd.setfocus();
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}


/*
 * 비밀번호 복잡성 검증
 * - 사용자 신상의 관계된 비밀번호, 계정명(ID)과 동일한 비밀번호, 이전 사용된 비밀번호는 Server Side에서 검증
 */
function pwd_validate(pwd){
	var re = {
			lower:		/[a-z]/g,
			upper:		/[A-Z]/g,
			alpha:		/[A-Z]/gi,
			numeric:  	/[0-9]/g,
			special:	  /[\W_]/g,
			same3len:     /([A-Za-z0-9\W_])\1{2,}/g
	};
	
	var flag = false, flag2 = true, flag3 = false;
	
	var lower   = (pwd.match(re['lower']) || []).length > 0 ? 1 : 0;
	var upper   = (pwd.match(re['upper']) || []).length > 0 ? 1 : 0;
	var numeric = (pwd.match(re['numeric']) || []).length > 0 ? 1 : 0;
	var special = (pwd.match(re['special']) || []). length > 0 ? 1 : 0;
	var alpha   = (pwd.match(re['alpha']) || []). length > 0 ? 1 : 0;
	
	if(re['same3len'].test(pwd)){ // 동일문자 3개 연속이면
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "동일문자를 연속하여 3자이상 사용이 안됩니다!", "noti02");
		return false;
	}

	if(alpha + numeric + special >= 3 && pwd.length >= 8){
		flag = true;
	}

	
	var numbers = "0123456789",
		qwerty 	= "qwertyuiopasdfghjklzxcvbnm",
		eng		= "abcdefghijklmnopqrstuvwxyz",
		start	= 2,								//연속된 자릿수가 3자릿수 이상인지 체크
		seq		= "_" + pwd.slice(0, start);	
	
	for(var i=start; i< pwd.length; i++){
		seq = seq.slice(1) + pwd.charAt(i);
		
		if(numbers.indexOf(seq) > -1 || qwerty.indexOf(seq) > -1){
			flag2 = false;
			break;
		}
	}
	
	if(!flag2){
		SYSUtil.loadMessageBox(screen, "안내", 1, "비밀번호에 사용할 수 없는 문자가 포함되어 있습니다. \n - 연속적인 문자, 숫자, 키보드의 연속적인 배열", "noti04");
		return false;
	}

	if(!flag){
		SYSUtil.loadMessageBox(screen, "안내", 1, "사용할 수 없는 비밀번호 입니다.\n* 문자, 숫자, 특수문자를 조합하여 8자리 이상", "noti03");
		return false;
	}
	return true;
}

function f_newPwd_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	
	var pwd = objInst.gettext();
	if(pwd.length > 2){
	//	pwd_validate(pwd, this.EXTRA_DATA);
		var re = {
				lower:		/[a-z]/g,
				upper:		/[A-Z]/g,
				alpha:		/[A-Z]/gi,
				numeric:  	/[0-9]/g,
				special:	  /[\W_]/g,
				same3len:     /([A-Za-z0-9\W_])\1{2,}/g
		};
		
		if(this.f_currPwd.gettext() == pwd){
			SYSUtil.loadMessageBox(this.screen, "안내", 1, "현재 비밀번호와 동일합니다.", "noti05");
			objInst.settext("");
			return;
		}
		
		if(re['same3len'].test(pwd)){ // 동일문자 3개 연속이면
			SYSUtil.loadMessageBox(this.screen, "안내", 1, "동일문자를 연속하여 3자이상 사용이 안됩니다!", "noti06");
			return false;
		}
	}

}



function screen_on_popupdestroy(popup_screen, popup_name, result) {
	if ( popup_name =="noti02" ||popup_name =="noti03" || popup_name =="noti04" || popup_name =="noti05"|| popup_name =="noti06" || popup_name =="noti08"){
		this.f_newPwd.settext("");
		this.f_newPwd.setfocus();
	}
	if(popup_name =="noti07" || popup_name =="noti09"){
		this.f_newPwdChd.settext("");
		this.f_newPwdChd.setfocus();
	}
	
	if( popup_name =="chgPassword" ){
		this.EXTRA_DATA.pwdInput.settext(this.f_newPwd.gettext());
		SYSVar.LOGIN_MEMBER.txLogin();
		SYSVar.ACTIVE_POPUP_SCREEN.getmembers()._btnPopClose_on_mouseup();
	}
	
	if(popup_name == "BFPSWD"){
		this.f_newPwdChd.settext("");
		this.f_newPwd.settext("");
		this.f_newPwd.setfocus();
	}
}

function f_newPwd_on_change(objInst, event_type) {
	var pwd = objInst.gettext();
	//console.log("### >>> "+event_type);
	if(pwd.length > 2 && event_type == 5){
		pwd_validate(pwd);
	}
}

function f_newPwdChd_on_change(objInst, event_type) {
	var newPwd = this.f_newPwd.gettext();
	var chkPwd = objInst.gettext();
	if(newPwd != chkPwd  && event_type == 5){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "확인 입력하신 비밀번호가 동일하지 않습니다.\n다시 입력해 주세요.", "noti07");
		objInst.settext("");
	}
}

function btnChgPwd_on_mouseup(objInst) {
	
	if(this.f_currPwd.gettext() ==""){
		//SYSUtil.loadMessageBox(this.screen, "안내", 1, "확인 입력하신 비밀번호가 동일하지 않습니다.\n다시 입력해 주세요.", "noti07");
	}
	if(this.f_newPwd.gettext() ==""){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "비밀번호를 입력해 주세요.", "noti08");
		return;
	}
	if(this.f_newPwdChd.gettext() ==""){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "확인 비밀번호를 입력해 주세요.", "noti09");
		return;
	}
	
	
	//비밀번호 변경 click..
	this.DS_PSWD.init();
	this.DS_PSWD.addrow();
	this.DS_PSWD.setdatabyname(0 , "userNo"  , this.f_userNo.gettext());
	this.DS_PSWD.setdatabyname(0 , "pswd"    , this.f_currPwd.gettext());
	this.DS_PSWD.setdatabyname(0 , "newPswd" , this.f_newPwd.gettext());
	
	SYSTran.requestSubmitAsync(this.screen, "TS_CBCCCP06U01");	
	
}

function screen_on_submitcomplete( mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "TS_CBCCCP06U01" &&  result == "1" ){
		SYSUtil.loadMessageBox(screen, "안내", 1, "비밀번호가 변경되었습니다.\n변경된 비밀번호로 로그인 합니다.", "chgPassword");
	}
}

function screen_on_keydown(keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	
	if( keycode == 13){
		this.btnChgPwd_on_mouseup();
	}
}