﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	

}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003, true);	// 은행
	SYSTran.getComCode(this.screen, "R00012", this.DS_CD_R00012, true);      // 수납유형
	this.cbo_BankCd.setselectedindex(0);
	this.cbo_RcptTp.setselectedindex(0);
	
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RBMGMM04S01");
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){

	this.DS_SD01.deleteallrows();
	this.DS_SD02.deleteallrows();
	this.cbo_BankCd.setselectedindex(0);
	this.cbo_RcptTp.setselectedindex(0);
	
	this.cbo_BankCd.setenable(true);
	this.cbo_RcptTp.setenable(true);
	
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function Grid_DS_SD01_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	
	var strBankCd = factory.stringtrim(this.DS_SD01.getdatabyname(nClickRow,"bankCd"));
	var strRcptTpCd = factory.stringtrim(this.DS_SD01.getdatabyname(nClickRow,"rcptTpCd"));
	var strStrtDueDt = factory.stringtrim(this.DS_SD01.getdatabyname(nClickRow,"strtDueDt"));
	var strEndDueDt = factory.stringtrim(this.DS_SD01.getdatabyname(nClickRow,"endDueDt"));
	

	
	// 조회전 초기화
	this.DS_SD02.init();
	// Click 내용으로 데이터를 채워준다.
	//cbo_BankCd.Value = strBankCd;
	
	this.cbo_BankCd.setselectedcode(strBankCd);
	this.cbo_RcptTp.setselectedcode(strRcptTpCd);
	
	this.cbo_BankCd.setenable(false);
	this.cbo_RcptTp.setenable(false);
	
	//this.cbo_BankCd.settext(strtDueDt.replace("-","")); 
	
	//Calendar_StrtDue.Value = replace(strStrtDueDt,"-","");
	//Calendar_EndDue.Value = replace(strEndDueDt,"-","");
	
	if( (strBankCd.length) < 1 && (strRcptTpCd.length) < 1){
		return;
	}
	this.DS_SM02.init();
	this.DS_SM02.addrow();
	this.DS_SM02.setdatabyname(0, "bankCd" , strBankCd);		
	this.DS_SM02.setdatabyname(0, "rcptTpCd" , strRcptTpCd);
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RBMGMM04S02");
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	
	if(mapid == "RBMGMM04S01"){
	
	}
}