﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.ue_init();
	//공통 콤보리스트 초기화
	this.DS_DIC_RTCYCLBASE01.init();
	this.DS_DIC_RTCYCLCLSBASE01.init();
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLBASE01);   // 주기 목록 조회
	
	SYSUtil.addComboAllColumn(this.cboCycl);
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLCLSBASE01);   // 주기 목록 조회
	this.DS_DIV1_ORG.copy(this.DS_DIC_RTCYCLCLSBASE01,"");
	SYSUtil.addComboAllColumn(this.cboCyclCls);
	
	var strFilter = "\"clas2\":=:\"1\":,";
	strFilter += "\"clas2\":=:\"5\"";
	SYSTran.getComCode(this.screen, "R00011", this.DS_CD_R00011, true);
	this.DS_CD_R00011.copy(this.DS_CD_R00011, strFilter);
	SYSUtil.addComboAllColumn(this.cboDlvrThng);
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	var clsDt = this.calClsDt.gettext();
	var clsDtTo = this.calClsDtTo.gettext();
	
	if(SYSUtil.isEmpty(clsDt) || SYSUtil.isEmpty(clsDtTo)){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "마감일자를 입력하셔야 합니다.", "message01");		
	}
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM07S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
		//alert("==1="+ParseInt(replace(Calendar_Due_Dt_Sm.Text,"-","")));
	if (SYSUtil.isEmpty(this.calDueDtSm.gettext())){
		alert("수정후 저장 가능합니다.");
		return false;
	}
	
	if(SYSUtil.isEmpty(this.calClsDtSm.gettext())){
		alert("마감일자를 입력하셔야 합니다.");
		return false;
	}

	if(SYSUtil.isEmpty(this.calDlvrDtSm.gettext())){
		alert("발송일자를 입력하셔야 합니다.");
		return false;
	}
	
	var clsDt = this.calClsDtSm.gettext();
	var dlvrDt = this.calDlvrDtSm.gettext();
	if( Number(clsDt) <= Number(factory.datetoday()) ){
		alert("마감일자가 이미 경과하였습니다.");
		return false;
	}
	if( Number(dlvrDt) <= Number(factory.datetoday()) ){
		alert("발송일자가 이미 경과하였습니다.");
		return false;
	}
	if( Number(clsDt) > Number(dlvrDt,"-","") ){
		alert("마감후에 자료 발송이 가능합니다.");
		return false;
	}
	
	var rowIdx = this.grdDlvrPlan.getselectrow();
	if( clsDt == this.DS_SM.getdatabyname(rowIdx,"clsDt") 
	   && dlvrDt == this.DS_SM.getdatabyname(rowIdx,"clsDt")){
	   alert("마감일 또는 발송일 변경후 저장 처리하세요.");
		return false;
	}

	this.DS_MODIFY.init();
	this.DS_MODIFY.addrow();

	this.DS_MODIFY.setdatabyname(0, "stndDt",     this.DS_SM.getdatabyname(rowIdx,"stndDt") );
	this.DS_MODIFY.setdatabyname(0, "cyclClsCd",  this.DS_SM.getdatabyname(rowIdx,"cyclClsCd") );
	this.DS_MODIFY.setdatabyname(0, "dlvrThngCd", this.DS_SM.getdatabyname(rowIdx,"dlvrThngCd") );
	this.DS_MODIFY.setdatabyname(0, "dueDt",      this.DS_SM.getdatabyname(rowIdx,"dueDt") );
	
	this.DS_MODIFY.setdatabyname(0, "clsDt",      clsDt );
	this.DS_MODIFY.setdatabyname(0, "dlvrDt",     dlvrDt );
	this.DS_MODIFY.setdatabyname(0, "guidStmt",   "" );	// 안내문은 사용하지 않는다.
	
	this.DS_MODIFY.setdatabyname(0, "dueDtDB",    this.DS_SM.getdatabyname(rowIdx,"dueDt"));
	this.DS_MODIFY.setdatabyname(0, "clsDtDB",    this.DS_SM.getdatabyname(rowIdx,"clsDt"));
	this.DS_MODIFY.setdatabyname(0, "dlvrDtDB",   this.DS_SM.getdatabyname(rowIdx,"dlvrDt"));
	
	SYSTran.requestSubmitAsync(screen,"RBMGMM07U01");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	this.DS_SEARCH.init();
	this.DS_SEARCH.addrow();
	this.DS_SEARCH.setdatabyname(0,"clsDt",factory.datetoday());
	this.DS_SEARCH.setdatabyname(0,"clsDtTo",factory.datelastdayofmonth());
	this.calDueDtSm.settext("");
	this.calClsDtSm.settext("");
	this.calDlvrDtSm.settext("");
	this.calStndDtSm.settext("");
	this.cboCyclCls.setenable(true);
	this.panSubGrd.setvisible(false);
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "RBMGMM07U01"){
		if(result < 0 ){
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "시스템 오류가 발생하였습니다. 관리자에게 문의하세요.", "message01");
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		}
		
		if(recv_code == "0000"){
			this.ue_query();
		}
	}
}

function grdDlvrPlan_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var dueDt      = this.DS_SM.getdatabyname(nClickRow,"dueDt");	
	var cyclClsCd  = this.DS_SM.getdatabyname(nClickRow,"cyclClsCd");	
	var dlvrThngCd = this.DS_SM.getdatabyname(nClickRow,"dlvrThngCd");	
	var clsDt      = this.DS_SM.getdatabyname(nClickRow,"clsDt");	
	var dlvrDt     = this.DS_SM.getdatabyname(nClickRow,"dlvrDt");	
	var guidStmt   = this.DS_SM.getdatabyname(nClickRow,"guidStmt");	
	var stndDt     = this.DS_SM.getdatabyname(nClickRow,"stndDt");	

	// Click 내용으로 데이터를 채워준다.
	this.calDueDtSm.settext(dueDt);
	this.cboCyclClsSm.settext(cyclClsCd);
	this.cboDlvrThngSm.settext(dlvrThngCd);
	this.calDueDtSm.settext(dueDt);
	this.calClsDtSm.settext(clsDt);
	this.calDlvrDtSm.settext(dlvrDt);
	this.calStndDtSm.settext(stndDt);
}

function btnMulti_on_click(objInst)
{
	this.cboCyclCls.setenable(false);
	this.cboCyclCls.setselectedindex(0);
	this.panSubGrd.setvisible(true);
	this.DS_DIV1.copy(this.DS_DIV1_ORG,"");
}

function btnPopClose_on_click(objInst)
{
	this.cboCyclCls.setenable(true);
	this.cboCyclCls.setselectedindex(0);
	this.DS_DIV1.init();
	this.panSubGrd.setvisible(false);
}

function btnPopSelect_on_click(objInst)
{
	
	this.panSubGrd.setvisible(false);
}