﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	/** 공통버튼 visible 세팅 */
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);	// 인쇄
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);   // 저장
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);   // 삭제
	
	/** 데이터셋 & 화면 초기화.*/
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");

	this.DS_SD_01.init();
	
	this.screen.setscreenprotect(true);
	var requestSubmit = SYSTran.requestSubmitAsync(screen, "RDMDLM04S01");
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	/** 데이터셋 초기화 */
	this.DS_SM01.init();	// 조회 폼(Form) 초기화.
	this.DS_SD_01.init();     // 발송현황 데이터셋 초기화.
	
	this.DS_SM01.addrow();
	
	
	/** 날짜 세팅 */
	this.DS_SM01.setdatabyname(0, "dlvrDtFr" , factory.datefrom("month" , -1, factory.datetoday()));	// 마감일자 시작(from) 일자 전달로 초기화.
	this.DS_SM01.setdatabyname(0,"dlvrDtTo", factory.datetoday());								  // 마감일자 종료(to) 일자 오늘날로 초기화. 
	this.DS_SM01.setdatabyname(0, "dueDtFr", factory.datefrom("month", -1, factory.datetoday()));	 // 납입일자 시작(from) 일자 전달로 초기화.
	this.DS_SM01.setdatabyname(0, "dueDtTo" , factory.datetoday());							     // 납입일자 종료(to) 일자 오늘날로 초기화.
	
	/** 라디오 버튼 세팅 */
	this.DS_SM01.setdatabyname(0, "sendStat", 0);	// 전송여부 '전체' 로 초기화.
	
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
/*통합 검색 버튼 클릭 이벤트*/
function btn_Search_loan_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터 
	var param = {"GUBUN":"SELECT", "loanNo":this.edt_loanNo.gettext(), "loanSeq":this.edt_loanSeq.gettext()}; 
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}
/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edt_loanNo.settext(objExtdata.loanNo);
			this.edt_loanSeq.settext(objExtdata.loanSeq);	
		}
	}else{
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edt_loanNo.settext("");
			this.edt_loanSeq.settext("");				
		}
	}	
}


/*발송관리 버튼 클릭 이벤트*/
function btn_DlvrMng_on_mouseup(objInst)
{	
	console.log("#### btn_DlvrMng_on_mouseup() call");
	
	if(this.DS_SD_01.getpos() == -1){
		//그리드를 선택한게 없다는 알람을 준다.
		SYSUtil.loadMessageBox(screen,"안내",1,"대출을 선택하세요.","message01");
		return false;	
	}
	var rowIndex = this.DS_SD_01.getpos();	//그리드에서 선택한 로우의 인덱스.
	
	var g_loan_no = this.DS_SD_01.getdatabyname(rowIndex, "loanNo");
	var g_loan_seq = this.DS_SD_01.getdatabyname(rowIndex, "loanSeq");
	var g_contManNo = this.DS_SD_01.getdatabyname(rowIndex,"contManNo");
	
	var param = {"loanNo": g_loan_no , "loanSeq": g_loan_seq};
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/DM/DL/RDMDLM01","발송관리" , param);
	
	 
}

/*계좌관리 버튼 눌렀을때 이벤트*/
function btn_AutoAcntMng_on_mouseup(objInst)
{
	console.log("##### btn_AutoAcntMng_on_mouseup() call");
	
	if(this.DS_SD_01.getpos() == -1){
		//그리드를 선택한게 없다는 알람을 준다.
		SYSUtil.loadMessageBox(screen,"안내",1,"대출을 선택하세요.","message01");
		return false;
	}
	
	var rowIndex = this.DS_SD_01.getpos();	// 그리드에서 선택한 로우의 인덱스
	
	var g_loan_no = this.DS_SD_01.getdatabyname(rowIndex, "loanNo");
	var g_loan_seq = this.DS_SD_01.getdatabyname(rowIndex,"loanSeq");
	var g_contManNo = this.DS_SD_01.getdatabyname(rowIndex,"contManNo");
	
	var param = {"arg_loanNo": g_loan_no , "arg_loanSeq": g_loan_seq};
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/AT/MN/RATMNM01","자동이체관리" , param);
}

/*고객관리 버튼눌렀을때 이벤트 (고객관리 화면 X 20230426 ) */
function btn_CustMng_on_mouseup(objInst)
{	
	/*
	if( setLinkLoanInfo()){
		var rcptFstrPrgmNo = 'SCSCS0101'; //고객관리
		var strArg = '';
		if( Length(G_CS_NO) > 0 ){
			strArg = 'arg_custNo='+quote(G_CS_NO);
		}
		Division_Button2.fn_LinkPage(rcptFstrPrgmNo, strArg);
	} else {
		alert("대출을 선택하세요.");
	}
	
	if(this.grd_RcptTrDesc.getselectedrowcount() < 1){
		SYSUtil.loadMessageBox(screen,"안내",1,"대출을 선택하세요.","message01");
		return false;
	}
	
	var g_loan_no = this.DS_SD_01.getcolumn(this.grd_RcptTrDesc.getselectrow(), "loanNo");
	var g_loan_seq = this.DS_SD_01.getcolumn(this.grd_RcptTrDesc.getselectrow(),"loanSeq");
	var g_contManNo = this.DS_SD_01.getcolumn(this.grd_RcptTrDesc.getselectrow(),"contManNo");
	
	var sendData = {"loanNo": g_loan_no , "loanSeq": g_loan_seq, "csNo" : g_contManNo};
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/S/CS/CS/SCSCS0101","고객관리" , sendData);
	*/
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	if(mapid = "RDMDLM04S01"){
		
		if(result == 1){
			console.log("#### 조회가 완료 되었습니다.");
			SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
		}else{
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg07");
		}
	}
}