﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var tmpLoanNo = "";
var tmpLoanSeq = "";

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);
	
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "A00068", this.DS_CD_A00068, true );	// 거래유형
	SYSTran.getComCode(this.screen, "R00003", this.DS_CD_R00003, true );	// 결제구분
	
	// 콤보박스 전체 세팅
	this.cboTrTpCd.setselectedindex(0);
	this.cboSetlDivCd.setselectedindex(0);
	
	this.ue_init();
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");

//	if ( this.edtLoanNo.gettext().length == 0 || this.edtLoanNo.val().length != 11) { // 대출번호가 형식에 맞지 않을 경우
//		SYSUtil.comAlert("대출번호를 확인하세요.");
//		return false;
//	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCCLM01S01");
    
	if(reqSubmit == false) {
		SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	} else {
		SYSUtil.setStatusMsg("데이터 송신 성공");
	}
	
	return true;

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	this.DS_SEARCH.removeallrows();
//	this.DS_SD01.removeallrows();
//	this.DS_SD02.removeallrows();
	this.DS_SEARCH.addrow();
	
	// 날짜 셋팅
	this.DS_SEARCH.setdatabyname(0, "acctDtFr", factory.datetoday());				// 회계시작일자
	this.DS_SEARCH.setdatabyname(0, "acctDtTo", factory.datetoday());				// 회계종료일자
	
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function grdTrDesc_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl) {
	
	console.log("#### loanNo call =="+this.DS_SD_01.getdatabyname(nDblClickRow, "loanNo"));
	console.log("#### loanSeq call =="+this.DS_SD_01.getdatabyname(nDblClickRow, "loanSeq"));
	console.log("#### acctDt call =="+this.DS_SD_01.getdatabyname(nDblClickRow, "acctDt"));
	console.log("#### trSnum call =="+this.DS_SD_01.getdatabyname(nDblClickRow, "trSnum"));
	
	var loanNo = this.DS_SD_01.getdatabyname(nDblClickRow, "loanNo");
	var loanSeq = this.DS_SD_01.getdatabyname(nDblClickRow, "loanSeq");
	var acctDt = this.DS_SD_01.getdatabyname(nDblClickRow, "acctDt");
	var trDescNo = this.DS_SD_01.getdatabyname(nDblClickRow, "trSnum");
	tmpLoanNo = loanNo;
	tmpLoanSeq = loanSeq;
	
	this.DS_SEARCH_CLS_SUB.deleteallrows();
	this.DS_SEARCH_CLS_SUB.addrow();
	this.DS_SEARCH_CLS_SUB.setdatabyname(this.DS_SD_01.getpos(), "loanNo", loanNo);
	this.DS_SEARCH_CLS_SUB.setdatabyname(this.DS_SD_01.getpos(), "loanSeq", loanSeq);
	this.DS_SEARCH_CLS_SUB.setdatabyname(this.DS_SD_01.getpos(), "acctDt", acctDt);
	this.DS_SEARCH_CLS_SUB.setdatabyname(this.DS_SD_01.getpos(), "trDescNo", trDescNo);
	
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RRCCLM01S02");
	
	//this.DS_SDDO04.getdatabyname(nDblClickRow, "loanNo");
	
	
	
	if(reqSubmit == false) {
		SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	} else {
		SYSUtil.setStatusMsg("데이터 송신 성공");
	}
	
	return true;
	
}
// 통합검색 팝업
function btnLoanSearch_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

// 입력자 팝업
function edtFrstRegEmpNo_on_click(objInst, buttonclick)
{
	// 업무화면으로 전달할 데이터
	var param = {"DATADICNO":"BT_EMP_BASE"};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.edtLoanNo.settext(objExtdata.loanNo);
			this.edtLoanSeq.settext(objExtdata.loanSeq);	
		}
		// 자료사전 콜백
		else if(objExtdata.popId == "CCMCMP05"){

			// 담당자
			if(objExtdata.empNo != null){
				this.edtFrstRegEmpNo.settext(objExtdata.empNo); 
				this.EdtFrstRegEmpNm.settext(objExtdata.korName); 		
			}
			// 부서
			else{
				this.edtAcctDeptCd.settext(objExtdata.deptCd);
				this.edtAcctDeptNm.settext(objExtdata.deptNm);
			}			
		}
	}		
}


// 부서 데이터사전
function edtAcctDeptCd_on_click(objInst, buttonclick)
{
	
	// 업무화면으로 전달할 데이터
	var param = {"DATADICNO":"HTORG18"};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
}

// 수납관리 버튼 이벤트
function Image_GoRcptMng_on_click(objInst)
{
	if(tmpLoanNo.length > 0){
		var sendData = {"LOAN_NO":tmpLoanNo , "LOAN_SEQ":tmpLoanSeq};

		SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM01","수납관리" , sendData);		
	}	
}

// 수납거래내역 그리드 로우 클릭시 해당 로우 대출번호와 순번 세팅 
function grdTrDesc_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	// 현재 대출번호 셋팅
	tmpLoanNo  = this.DS_SD_01.getdatabyname(nClickRow, "loanNo" );
	tmpLoanSeq = this.DS_SD_01.getdatabyname(nClickRow, "loanSeq" );
}