﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	SYSTran.getComCode(this.screen, "N00018", this.DS_CD_N00018, true);			// 상품
	
	// 공통 버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "TS_RVAVAM01S01");
	
	if(reqSubmit == false) {
		SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SEARCH.removeallrows();
	this.DS_SEARCH.addrow();
    
    // 기준일자 오늘날짜로 셋팅
    this.DS_SEARCH.setdatabyname(0, "trDtFr", factory.datetoday());
	this.DS_SEARCH.setdatabyname(0, "trDtTo", factory.datetoday());
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

/**
오브젝트 속성 : button
오브젝트명 : btnRcptMng
이벤트명 : on_click
설명 : 수납 관리 이동
화면ID : RVAVAM01
거래코드 : 
*/
function btnRcptMng_on_click(objInst)
{
	var param = "";
	
	if( this.DS_SD_01.getrowcount() > 0 ){
		param = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	}
	
	// 수납관리
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM01", "수납관리", param);
}

/**
오브젝트 속성 : button
오브젝트명 : DsrcRfndMng
이벤트명 : on_click
설명 : 예/가수 관리 이동
화면ID : RVAVAM01
거래코드 : 
*/

function btnDsrcMng_on_click(objInst)
{
	var param = "";
	
	if( this.DS_SD_01.getrowcount() > 0 ){
		param = {"loanNo":this.edtLoanNo.gettext(),
				"loanSeq":this.edtLoanSeq.gettext(),
				"dsrcNo":this.DS_SD_01.getdatabyname(0, "dsrcNo")};
	}
	
	// 예가수 관리
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/SR/SR/RSRSRM01", "예/가수관리", param);
}

/**
오브젝트 속성 : btn
오브젝트명 : btnSearchLoan
이벤트명 : on_mouseup
설명 : 대출통합검색 팝업
화면ID : RVAVAM01
거래코드 : 
*/
function btnSearchLoan_on_mouseup(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"loanNo":this.edtLoanNo.gettext(), "loanSeq":this.edtLoanSeq.gettext()};
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}