﻿/****************************************************************
 * ■ 전역변수 세팅
 ****************************************************************/

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 그리드 더블클릭 시 넘겨받은 데이터
//this.LOAN_CNSL_NO = "";
var sLOANCNSLNO = "";
var sROW        = "";

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");
	
	// 공통버튼 처리
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT",  false); // 인쇄
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false); // 추가
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false); // 저장
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false); // 삭제
	
	// 공통코드 dataset setting
	SYSTran.getComCode(this.screen, "S91005", this.DS_CD_S91005, true);  // 모바일진행상태코드
	SYSTran.getComCode(this.screen, "S11903", this.DS_CD_S11903);        // 채널대출진행단계코드
	SYSTran.getComCode(this.screen, "S12030", this.DS_CD_S12030);        // MCI가입적격여부
	SYSTran.getComCode(this.screen, "S00036", this.DS_CD_S00036);        // 대출기간코드
	
	// 조회용 데이터 setting
//	var fromDt = Fn_lastYear("");        // 현재-1년
	var fromDt = factory.getsystemtime("%Y%M")+"01"
	var today = SYSUtil.getToday("");    // 현재
	
	this.cal_LoanCnslFromDt.settext(fromDt.substr(0,8));
	this.cal_LoanCnslToDt.settext(today.substr(0,8));
	
	// 상담목록조회
	this.fn_SrchCnslList();
}

// ■■■■■■■■■■■■■■■■■■ 공통 버튼 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 1.공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print() { console.log("#### ue_print() call"); }

/****************************************************************
 * ■ 2.공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query()
{
	console.log("#### ue_query() call");
	
	// 상담목록조회
	this.fn_SrchCnslList();
}

/****************************************************************
 * ■ 3.공통 추가 버튼 이벤트
 ****************************************************************/
function ue_insert() { console.log("#### ue_update() call"); }
/****************************************************************
 * ■ 4.공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update() { console.log("#### ue_update() call"); }
/****************************************************************
 * ■ 5.공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete() { console.log("#### ue_delete() call"); }

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init()
{
	console.log("#### ue_init() call");
	
	// fn_초기화
	this.fn_init();
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	if( mapid == "SASASM01S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
//                SYSUtil.loadMessageBox(this.screen, "알림", 1, "상담목록조회가 완료되었습니다.", "errMsg01");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}
// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★

/****************************************************************
 * ★ fn_초기화
 ****************************************************************/
function fn_init() 
{
	console.log("#### fn_init() call");
	
	// 화면초기화-콤보박스
	this.cbo_chnlPrgsStagCd.setselectedcode("");
	
	// 전체 dataset 초기화
	this.DS_CNSL_LIST_SM.init();
	this.DS_CNSL_LIST_SD.init();

	// 조회용 데이터 setting
//	var fromDt = Fn_lastYear("");        // 현재-1년
	var fromDt = factory.getsystemtime("%Y%M")+"01"
	var today = SYSUtil.getToday("");    // 현재
	
	this.cal_LoanCnslFromDt.settext(fromDt.substr(0,8));
	this.cal_LoanCnslToDt.settext(today.substr(0,8));

	// 상담목록조회
	this.fn_SrchCnslList();
}

/****************************************************************
 * ★ fn_상담목록조회
 ****************************************************************/
function fn_SrchCnslList() 
{
	console.log("#### function fn_SrchCnslList() call");

	var sLoanCnslFromDt = this.cal_LoanCnslFromDt.val();  // 상담조회시작일자
	var sLoanCnslToDt   = this.cal_LoanCnslToDt.val();    // 상담조회종료일자
	var sChnlPrgsStagCd = this.cbo_chnlPrgsStagCd.getselectedcode(); // 모바일진행상태
	
	this.DS_CNSL_LIST_SM.init();
	this.DS_CNSL_LIST_SM.addrow();
	this.DS_CNSL_LIST_SM.setdatabyname(this.DS_CNSL_LIST_SM.getrowcount() - 1, "loanCnslFromDt", sLoanCnslFromDt, true);
	this.DS_CNSL_LIST_SM.setdatabyname(this.DS_CNSL_LIST_SM.getrowcount() - 1, "loanCnslToDt",   sLoanCnslToDt,   true);
	this.DS_CNSL_LIST_SM.setdatabyname(this.DS_CNSL_LIST_SM.getrowcount() - 1, "chnlPrgsStagCd", sChnlPrgsStagCd, true);
	
	// 조회시작일자 null
	if( factory.stringbytelen(factory.stringtrim(sLoanCnslFromDt)) == 0 && factory.stringbytelen(factory.stringtrim(sLoanCnslToDt)) != 0)
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시작일자 입력 오류입니다.", "msg06");
		this.cal_LoanCnslFromDt.setfocus();
		
		return;
	}
	
	// 조회종료일자 null
	if( factory.stringbytelen(factory.stringtrim(sLoanCnslFromDt)) != 0 && factory.stringbytelen(factory.stringtrim(sLoanCnslToDt)) == 0)
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회종료일자 입력 오류입니다.", "msg07");
		this.cal_LoanCnslToDt.setfocus();
		
		return;
	}
	
	// 조회시작일자 > 조회종료일자
	if( factory.stringtrim(sLoanCnslFromDt) > factory.stringtrim(sLoanCnslToDt) ) 
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시작일자가 조회종료일자보다 큽니다.", "msg07");
		this.cal_LoanCnslToDt.setfocus();
		
		return;
	}
	
	screen.setscreenprotect(true);    // 화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SASASM01S01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); // 화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		
	}else{
		screen.setscreenprotect(false); // 화면잠금해제
	}

}

/****************************************************************
 * ★ 현재 -1년 날짜 계산
 ****************************************************************/
function Fn_lastYear(divStr)
{
	console.log("#### function Fn_lastYear() call");
	var today = SYSUtil.getToday("");
	return factory.getsystemtime(today.substr(0,4)-1+divStr+"%M"+divStr+"%D");
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
function grd_CnslList_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grd_CnslList_on_itemdblclick() call");
	
	sROW = nDblClickRow;
	console.log("클릭한row" + sROW);
	
	// 상담정보상세확인 화면 이동여부 체크 팝업
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "'상담정보상세조회' 화면으로 이동하겠습니까?", "moveSASASM02", nDblClickRow);
	
}



/**************************************************
 * ■ 확인 팝업 화면 종료 시 호출
 **************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) 
{
	console.log("#### screen_on_popupdestroy() call");
	// 상담조회목록 더블클릭 시, 화면이동 팝업 "확인" 
	if( popup_name == "moveSASASM02" )
	{
		if (result == "확인")
		{	
			// 상담정보상세조회 화면으로 전달하는 파라메터
//			this.LOAN_CNSL_NO = this.DS_CNSL_LIST_SD.getdatabyname(sROW, "loanCnslNo");
			sLOANCNSLNO = this.DS_CNSL_LIST_SD.getdatabyname(sROW, "loanCnslNo");
//			console.log("########## this.LOAN_CNSL_NO     >> '" + this.LOAN_CNSL_NO + "'");
			console.log("sLOANCNSLNO : '" + sLOANCNSLNO + "'");
			
			/**
			 * 업무 화면 이동 (메뉴PATH 기준)
			 * @param {object} objScreen    화면 오브젝트
			 * @param {string} strScrUrl    호출할 메뉴PATH
			 * @param {string} strItemTitle 메뉴타이틀
			 * @param {string} sendData     업무화면에 전달할 데이터
			 */
			// 그리드 데이터 선택 여부 체크
//			if( !SYSUtil.isEmpty(this.LOAN_CNSL_NO) && this.LOAN_CNSL_NO != '' ) 
			if( !SYSUtil.isEmpty(sLOANCNSLNO) && sLOANCNSLNO != '' ) 
			{
//			    var sendData = {"LOAN_CNSL_NO":this.LOAN_CNSL_NO};
				var sendData = {"LOAN_CNSL_NO":sLOANCNSLNO};
		        SYSUtil.goToWorkPage(this.screen, "/BIZ/S/AS/AS/SASASM02","상담정보상세조회", sendData);	
			} 
			else 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "선택된 상담번호가 없습니다.", "");
				return false;
			}
		}
	}
}