﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */


this.sUserNo = "";


/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */


// 공통 인쇄 버튼 이벤트
function ue_print()
{
	console.log("#### ue_print() call");
}


// 공통 조회 버튼 이벤트
function ue_query()
{
	console.log("#### ue_query() call");

	this.fn_SRMRMM01S03();
	this.fn_SRMRMM01S05();
}


// 공통 추가 버튼 이벤트
function ue_insert()
{
	console.log("#### ue_insert() call");
}


// 공통 저장 버튼 이벤트
function ue_update()
{
	console.log("#### ue_update() call");

	this.fn_Reg();
}


// 공통 삭제 버튼 이벤트
function ue_delete()
{
	console.log("#### ue_delete() call");
}


// 공통 초기화 버튼 이벤트
function ue_init()
{
	console.log("#### ue_init() call");

	this.fn_Init();
}


/* --------------------------------------------------
 * 이벤트 영역
 * -------------------------------------------------- */


function screen_on_load()
{
	console.log("##### screen_on_load() #####");

	this.sUserNo = SYSVar.loginUserInfo.USER_NO;
	if (this.sUserNo == "")
	{
		this.sUserNo = "SYSTEM";
	}

	// 공통 버튼 영역 제어 (인쇄. 조회. 추가. 저장. 삭제. 초기화)
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제

	// 공통코드 조회 (콤보박스 항목)
	SYSTran.getComCode(this.screen, "S11099", this.DS_CD_S11099);	// 공통코드. 룰 종류
	SYSTran.getComCode(this.screen, "S12019", this.DS_CD_S12019);	// 공통코드. 레코드 상태 구분

	this.fn_SRMRMM01S01();	// 룰 목록 조회 (콤보박스)
	this.fn_SRMRMM01S02();	// 상품 목록 조회 (콤보박스)

	this.fn_Init();
}


function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("##### screen_on_submitcomplete() #####");
}


function screen_on_popupload(popup_screen, popup_name)
{
	console.log("##### screen_on_popupload() #####");
}


function screen_on_popupdestroy(popup_screen, popup_name, result)
{
	console.log("##### screen_on_popupdestroy() #####");
}


function cbo_RuleId_Search_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cbo_RuleId_Search_on_itemchange() #####");
	
	console.log("##### nprev_item() #####" + nprev_item);
	console.log("##### ncur_item() #####" + ncur_item);
	console.log("##### event_type() #####" + event_type);

	if (nprev_item != ncur_item  &&  event_type == 1)
	{
		this.fn_SRMRMM01S03();
	}
}


function cbo_ProdCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("##### cbo_ProdCd_on_itemchange() #####");

	if (nprev_item != ncur_item  &&  event_type == 1)
	{
		this.fn_SRMRMM01S05();
	}
}


function grd_ProdRuleList_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("##### grd_ProdRuleList_on_itemdblclick() #####");

	if (nDblClickRow < 0)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "Credit Rule 내용을 선택하십시오.", "MSGBOX_NULL");
		return;
	}

	this.fn_SRMRMM01S04(nDblClickRow);
}


function btn_Set_on_click(objInst)
{
	console.log("##### btn_Set_on_click() #####");

	this.fn_Set();
}


function btn_Unset_on_click(objInst)
{
	console.log("##### btn_Unset_on_click() #####");

	this.fn_Unset();
}


/* --------------------------------------------------
 * 사용자 함수 영역
 * -------------------------------------------------- */


function fn_Init()
{
	console.log("##### fn_Init() #####");

	this.DS_ST_PROD_IRULE_SEARCH.init();
	this.DS_ST_PROD_IRULE.init();
	this.DS_ST_PROD_RULE_LIST.init();
	this.DS_ST_PROD_PARAM_LIST.init();

	this.fn_Init_Ctrl();

	this.fn_SRMRMM01S03();
	this.fn_SRMRMM01S05();
}


function fn_Init_Ctrl()
{
	console.log("##### fn_Init_Ctrl() #####");

	this.cbo_RuleId_Search.setselectedindex(0);
	this.cbo_ProdCd.setselectedindex(0);

	this.btn_Set.setenable(true);
	this.btn_Unset.setenable(true);
}


function fn_Set()
{
	console.log("##### fn_Set() #####");

	if (this.fn_Validate_Set() == false)
	{
		return;
	}

	for (var i = 0; i < this.grd_ProdRuleList.getrowcount(); i++)
	{
		if (this.grd_ProdRuleList.ischeckedrow(i) == true)
		{
			console.log("i : " + i + " / Y");
			this.fn_Set_AddToDataset_ProdIrule(i);
		}
		else
		{
			console.log("i : " + i + " / -");
		}
	}
}


function fn_Unset()
{
	console.log("##### fn_Unset() #####");

	if (this.fn_Validate_UnSet() == false)
	{
		return;
	}

	for (var i = 0; i < this.grd_ProdIrule.getrowcount(); i++)
	{
		if (this.grd_ProdIrule.ischeckedrow(i) == true)
		{
			console.log("i : " + i + " / Y");
			this.fn_Set_AddToDataset_ProdIrule_D(i);
		}
		else
		{
			console.log("i : " + i + " / -");
		}
	}

	this.grd_ProdIrule.deletecheckedrow();
}


function fn_Reg()
{
	console.log("##### fn_Reg() #####");

	if (this.fn_Validate_Reg() == false)
	{
		return;
	}

	this.fn_SRMRMM01I01();
}


/*
 * 룰 목록 조회 (콤보박스)
 */
function fn_SRMRMM01S01()
{
	console.log("##### fn_SRMRMM01S01() #####");

	this.DS_ST_RULE_MAIN_SEARCH.init();
	this.DS_ST_RULE_MAIN_SEARCH.addrow();
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleType", "", true);
	this.DS_ST_RULE_MAIN_SEARCH.setdatabyname(0, "ruleId", "", true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM01S01");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		this.DS_ST_RULE_MAIN.insertrow(0);
		this.DS_ST_RULE_MAIN.setdatabyname(0, "ruleId", "", false);
		this.DS_ST_RULE_MAIN.setdatabyname(0, "ruleNm", "전체", false);
	}
}


/*
 * 상품 목록 조회 (콤보박스)
 */
function fn_SRMRMM01S02()
{
	console.log("##### fn_SRMRMM01S02() #####");

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM01S02");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}


/*
 * 룰 목록 조회 (그리드)
 */
function fn_SRMRMM01S03()
{
	console.log("##### fn_SRMRMM01S03() #####");

	this.DS_ST_PROD_PARAM_LIST.init();

	this.DS_ST_PROD_IRULE_SEARCH.init();
	this.DS_ST_PROD_IRULE_SEARCH.addrow();
	this.DS_ST_PROD_IRULE_SEARCH.setdatabyname(0, "ruleId", this.cbo_RuleId_Search.getselectedcode(), true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM01S03");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}


/*
 * 파라미터 목록 조회 (그리드)
 */
function fn_SRMRMM01S04(nSelectRow)
{
	console.log("##### fn_SRMRMM01S04() #####");

	console.log(">>>>>>>>>>> nSelectRow : " + nSelectRow);

	var nDatasetRow = this.grd_ProdRuleList.getxdatasetrow(nSelectRow);
	console.log(">>>> nDatasetRow : " + nDatasetRow);

	var sRuleId = this.DS_ST_PROD_RULE_LIST.getdatabyname(nDatasetRow, "ruleId");
	console.log(">>>>> sRuleId : " + sRuleId);

	this.DS_ST_PROD_IRULE_SEARCH.init();
	this.DS_ST_PROD_IRULE_SEARCH.addrow();
	this.DS_ST_PROD_IRULE_SEARCH.setdatabyname(0, "ruleId", this.DS_ST_PROD_RULE_LIST.getdatabyname(nDatasetRow, "ruleId"), true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM01S04");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}


/*
 * PROD_IRULE 목록 조회 (그리드)
 */
function fn_SRMRMM01S05()
{
	console.log("##### fn_SRMRMM01S05() #####");

	this.DS_ST_PROD_IRULE.init();

	this.DS_ST_PROD_IRULE_SEARCH.init();
	this.DS_ST_PROD_IRULE_SEARCH.addrow();
	this.DS_ST_PROD_IRULE_SEARCH.setdatabyname(0, "prodCd", this.cbo_ProdCd.getselectedcode().trim(), true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM01S05");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}


/*
 * PROD_IRULE 목록 저장 (그리드)
 */
function fn_SRMRMM01I01()
{
	console.log("##### fn_SRMRMM01I01() #####");

	this.DS_ST_PROD_IRULE_SEARCH.init();
	this.DS_ST_PROD_IRULE_SEARCH.addrow();
	this.DS_ST_PROD_IRULE_SEARCH.setdatabyname(0, "prodCd", this.cbo_ProdCd.getselectedcode().trim(), true);

	var reqSubmit = SYSTran.requestSubmitSync(screen, "SRMRMM01I01");

	if (reqSubmit == false)
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);

		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "");
	}
	else
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}


function fn_Validate_Set()
{
	console.log("##### fn_Validate() #####");

	if (this.grd_ProdRuleList.getcheckedrowcount() <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "상품에 적용할 룰을 선택하십시오.", "");
		return false;
	}

	if (this.cbo_ProdCd.getselectedcode() == "")
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "룰을 적용할 상품을 선택하십시오.", "");
		return false;
	}

	return true;
}


function fn_Validate_UnSet()
{
	console.log("##### fn_Validate() #####");

	if (this.grd_ProdIrule.getcheckedrowcount() <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "해제할 룰을 선택하십시오.", "");
		return false;
	}

	return true;
}


function fn_Validate_Reg()
{
	console.log("##### fn_Validate_Reg() #####");

	if (this.DS_ST_PROD_IRULE.getrowcount() <= 0)
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "저장할 룰을 선택하십시오.", "");
		return false;
	}

	return true;
}


function fn_Set_AddToDataset_ProdIrule(nRuleListGridRowNo)
{
	console.log("##### fn_Set_AddToDataset_ProdIrule() #####");

	if (nRuleListGridRowNo < 0)
	{
		console.log("##### nRuleListGridRowNo() #####");
		return;
	}

	var nRuleListDatasetRowNo = this.grd_ProdRuleList.getxdatasetrow(nRuleListGridRowNo);
	if (nRuleListDatasetRowNo < 0)
	{
		console.log("##### nRuleListDatasetRowNo() #####");
		return;
	}

	console.log("rowcount : " + this.DS_ST_PROD_IRULE.getrowcount());
	for (var i = 0; i < this.DS_ST_PROD_IRULE.getrowcount(); i++)
	{
		console.log("##### i() #####" + i);
		if (this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "ruleId", true) == this.DS_ST_PROD_IRULE.getdatabyname(i, "ruleId", true))
		{
			console.log("##### i() ##### return " + i);
			return;
		}

	}

	var nAddRowNo = this.DS_ST_PROD_IRULE.addrow();
	if (nAddRowNo < 0)
	{
		console.log("##### nAddRowNo() #####");
		return;
	}

	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "prdtCd", this.cbo_ProdCd.getselectedcode().trim(), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "ruleType", this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "ruleType", true), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "ruleId", this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "ruleId", true), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "ruleNm", this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "ruleNm", true), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "remark", this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "remark", true), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "content", this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "content", true), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "recSttsCd", this.DS_ST_PROD_RULE_LIST.getdatabyname(nRuleListDatasetRowNo, "recSttsCd", true), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "frstRegDt", factory.getsystemtime("%Y-%M-%D"), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "frstRegDtTm", factory.getsystemtime("%Y-%M-%D %h:%m:%s"), true); // 화면 표시용.
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "frstRegTm", factory.getsystemtime("%h:%m:%s"), true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "frstRegEmpNo", this.sUserNo, true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "lastProcDt", "", true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "lastProcTm", "", true);
	this.DS_ST_PROD_IRULE.setdatabyname(nAddRowNo, "lastProcEmpNo", this.sUserNo, true);
}


function fn_Set_AddToDataset_ProdIrule_D(nProdIruleGridRowNo)
{
	console.log("##### fn_Set_AddToDataset_ProdIrule_D() #####");

	if (nProdIruleGridRowNo < 0)
	{
		console.log("##### nProdIruleGridRowNo() #####");
		return;
	}

	var nProdIruleDatasetRowNo = this.grd_ProdIrule.getxdatasetrow(nProdIruleGridRowNo);
	if (nProdIruleDatasetRowNo < 0)
	{
		console.log("##### nProdIruleDatasetRowNo() #####");
		return;
	}
}