﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
//this.EXTRA_DATA = screen.getextradata();
// 처리 그리드
//this.GRID = null;


// ■■■■■■■■■■■■■■■■ 공통 버튼 영역 ■■■■■■■■■■■■■■■■

/****************************************************************
 * ■ 1.공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){ console.log("#### ue_print() call");
	// NOT USED
}

/****************************************************************
 * ■ 2.공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query()
{
	console.log("#### ue_query() call");

    // 조회
	this.fn_SrchRuleParamHist();
}

/****************************************************************
 * ■ 3.공통 추가 버튼 이벤트-not use
 ****************************************************************/
function ue_insert(){ console.log("#### ue_update() call"); 
	// NOT USED
}

/****************************************************************
 * ■ 4.공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){ console.log("#### ue_update() call");
	// NOT USED
}

/****************************************************************
 * ■ 5.공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){ console.log("#### ue_delete() call");
	// NOT USED
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init() 
{
	console.log("#### ue_init() call");

	// fn_초기화
	this.fn_Init();
}

// ■■■■■■■■■■■■■■■■ 화면 이벤트 영역 ■■■■■■■■■■■■■■■■ 

/****************************************************************
 * ■ 화면 Onload 이벤트
 ****************************************************************/
function screen_on_load()
{
	console.log("#### screen_on_load() call");

	// 공통버튼 제어(인쇄,조회,추가,저장,삭제,초기화)
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);  // 인쇄 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);  // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);  // 인쇄 버튼 삭제

	// 공통코드 Set
	SYSTran.getComCode(this.screen, "S12019", this.DS_CD_S12019);  // 레코드상태코드
	SYSTran.getComCode(this.screen, "S11099", this.DS_CD_S11099);  // Rule종류

	this.DS_CD_S11099.insertrow(0);
	this.DS_CD_S11099.setdatabyname(0, "cdKindNo",    "S11099", false);
	this.DS_CD_S11099.setdatabyname(0, "cdDescNo",    "",       false);
	this.DS_CD_S11099.setdatabyname(0, "cdDescKorNm", "전체",    false);

	this.cbo_RuleType.setselectedcode("");

	this.fn_MakeDataset_DS_CD_S11099_FILTER();

	// fn_초기화
	this.fn_Init();
}

// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★

/****************************************************************
 * ★ fn_초기화
 ****************************************************************/
function fn_Init()
{
	console.log("##### fn_Init() #####");

	// 초기값 세팅
	var fromDt = factory.getsystemtime("%Y%M")+"01"
	var today  = SYSUtil.getToday("");
	
	this.cal_LastProcFromDt.settext(fromDt.substr(0,8));
	this.cal_LastProcToDt.settext(today.substr(0,8));

	this.DS_PARAM_HIST_SM.init();
	this.DS_PARAM_HIST_SD.init();
	
	this.cbo_RuleType.setselectedcode(""); // Rule 종류
	this.edt_RuleId.settext("");           // Rule ID
	this.edt_ParamId.settext("");          // Parameter ID
}

/****************************************************************
 * ★ fn_Rule History 조회
 ****************************************************************/
function fn_SrchRuleParamHist() 
{
	console.log("#### function fn_SrchRuleParamHist() call");

	var sLastProcFromDt = this.cal_LastProcFromDt.val();       // 최종처리시작일자
	var sLastProcToDt   = this.cal_LastProcToDt.val();         // 최종처리종료일자
	var sRuleType       = this.cbo_RuleType.getselectedcode(); // Rule 종류
	var sRuleId         = this.edt_RuleId.val();               // Rule Id
	var sParamId        = this.edt_ParamId.val();              // Parameter Id

	this.DS_PARAM_HIST_SM.init();
	this.DS_PARAM_HIST_SM.addrow();
	this.DS_PARAM_HIST_SM.setdatabyname(this.DS_PARAM_HIST_SM.getrowcount() - 1, "lastProcFromDt", sLastProcFromDt, true);
	this.DS_PARAM_HIST_SM.setdatabyname(this.DS_PARAM_HIST_SM.getrowcount() - 1, "lastProcToDt",   sLastProcToDt,   true);
	this.DS_PARAM_HIST_SM.setdatabyname(this.DS_PARAM_HIST_SM.getrowcount() - 1, "ruleType",       sRuleType,       true);
	this.DS_PARAM_HIST_SM.setdatabyname(this.DS_PARAM_HIST_SM.getrowcount() - 1, "ruleId",         sRuleId,         true);
	this.DS_PARAM_HIST_SM.setdatabyname(this.DS_PARAM_HIST_SM.getrowcount() - 1, "paramId",        sParamId,        true);
	
	// 조회시작일자 null
	if( factory.stringbytelen(factory.stringtrim(sLastProcFromDt)) == 0 && factory.stringbytelen(factory.stringtrim(sLastProcToDt)) != 0)
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시작일자 입력 오류입니다.", "msg06");
		this.cal_LastProcFromDt.setfocus();
		
		return;
	}
	
	// 조회종료일자 null
	if( factory.stringbytelen(factory.stringtrim(sLastProcFromDt)) != 0 && factory.stringbytelen(factory.stringtrim(sLastProcToDt)) == 0)
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회종료일자 입력 오류입니다.", "msg07");
		this.cal_LastProcToDt.setfocus();
		
		return;
	}
	
	// 조회시작일자 > 조회종료일자
	if( factory.stringtrim(sLastProcFromDt) > factory.stringtrim(sLastProcToDt) ) 
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시작일자가 조회종료일자보다 큽니다.", "msg07");
		this.cal_LoanCnslToDt.setfocus();
		
		return;
	}
	
	// 조회 데이터 확인
	// SYSUtil.showDataSetLog(this.DS_PARAM_HIST_SM);
	
	screen.setscreenprotect(true); // 화면잠금

	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SRMRMM05S01");
	
	if( reqSubmit == false )
	{
		screen.setscreenprotect(false); // 화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else
	{
		screen.setscreenprotect(false); // 화면잠금해제
	}
}

/****************************************************************
 * ★ fn_Rule종류 filtering
 ****************************************************************/
function fn_MakeDataset_DS_CD_S11099_FILTER()
{
	console.log("##### fn_MakeDataset_DS_CD_S11099_FILTER() #####");

	this.DS_CD_S11099_FILTER.init();

	var sFilter = "";
	sFilter += "\"cdDescNo\":<>:\"\":"; // 전체

    // rule 종류 데이타셋에 "전체" 항목 추가
	this.DS_CD_S11099_FILTER.copy(this.DS_CD_S11099, sFilter, false, true);
}