﻿/****************************************************************
 * ■ 부모화면(심사승인관리)에서 넘겨받은 데이터
 ****************************************************************/
this.EXTRA_DATA = screen.getextradata();

// 싱사승인관리 화면으로부터 전달받은 data
var sESTTGODSCD = this.EXTRA_DATA.ESTT_GODS_CD;    // 부동산물건코드
var sPNTPSEQ    = this.EXTRA_DATA.PNTP_SEQ;        // 평형순번
var sRSCHSTNDDT = this.EXTRA_DATA.RSCH_STND_DT;    // 조사기준일

/****************************************************************
 * ■ 부모화면(심사승인관리)로 load 할 data 설정
 ****************************************************************/
function paranet_screen_data_load ()
{
	console.log("########### paranet_screen_data_load #######" );
	
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

/****************************************************************
 * ■ 화면 Onload 이벤트
 ****************************************************************/
function screen_on_load() 
{
	console.log("########### pop up screen_on_load() #######" );

	console.log("sESTTGODSCD:" + sESTTGODSCD);
	console.log("sPNTPSEQ:"    + sPNTPSEQ);
	console.log("sRSCHSTNDDT:" + sRSCHSTNDDT);
	
	// 공통코드 dataset setting
	SYSTran.getComCode(this.screen, "S12046", this.DS_CD_S12046);	// 공통코드:주상복합여부, 사용여부(Y/N)
	SYSTran.getComCode(this.screen, "S12047", this.DS_CD_S12047);	// 공통코드:분양권여부, 사용여부(Y/N)
	
	// 조회용 데이터 setting
	var fromDt = Fn_lastYear("");        // 현재-1년
	var today  = SYSUtil.getToday("");   // 현재
	
	this.edtRschFromDt.settext(fromDt.substr(0,8));
	this.edtRschToDt.settext(today.substr(0,8));
	   
	// 아파트시세 상세조회
	this.fn_SSPASP01S01();
		
	// 아파트시세 변동조회
	this.fn_SSPASP01S02();
}

/****************************************************************
 * ■ 조회버튼 클릭이벤트
 ****************************************************************/
function btnSrch_on_click(objInst) 
{
	console.log("##### btnSrch_on_click() #####");
	
	// 아파트 변동내역 조회
	this.fn_SSPASP01S02();
}

// ★★★★★★★★★★★★★★★★★★ 사용자 정의 함수 시작 ★★★★★★★★★★★★★★★★★★
/****************************************************************
 * ★ 조회_KB아파트시세 "상세내역" 조회
 ****************************************************************/
function fn_SSPASP01S01() 
{
	console.log("##### fn_SSPASP01S01() #####");

	this.DS_APT_MKPR_SPEC_SEARCH_SM.init();
	this.DS_APT_MKPR_SPEC_SEARCH_SM.addrow();
	this.DS_APT_MKPR_SPEC_SEARCH_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH_SM.getrowcount() - 1, "esttGodsCd", sESTTGODSCD, false);
	this.DS_APT_MKPR_SPEC_SEARCH_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH_SM.getrowcount() - 1, "pntpSeq",    sPNTPSEQ,    false);
	this.DS_APT_MKPR_SPEC_SEARCH_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH_SM.getrowcount() - 1, "rschStndDt", sRSCHSTNDDT, false);

	// console.log("조회 데이타셋!!");
	 SYSUtil.showDataSetLog(this.DS_APT_MKPR_SPEC_SEARCH_SM);

	screen.setscreenprotect(true); //화면잠금
	
	// 아파트 시세내역 조회	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP01S01");
	
	if( reqSubmit == false )
	{
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");		
	}
	else
	{	
		screen.setscreenprotect(false); //화면잠금해제
	}
}

/****************************************************************
 * ★ 조회_KB아파트시세 "변동내역" 조회
 ****************************************************************/
function fn_SSPASP01S02() 
{
	console.log("##### fn_SSPASP01S02() #####");
	
	// 조회 데이터 세팅
	var sRschFromDt = this.edtRschFromDt.val(); // 조회시작일자
	var sRschToDt   = this.edtRschToDt.val();   // 조회종료일자
	
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.init();
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.addrow();
	
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH2_SM.getrowcount() - 1, "esttGodsCd", sESTTGODSCD, false); // 부동산물건코드
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH2_SM.getrowcount() - 1, "pntpSeq",    sPNTPSEQ,    false); // 평형순번
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH2_SM.getrowcount() - 1, "rschStndDt", sRSCHSTNDDT, false); // 기준일자(시세)
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH2_SM.getrowcount() - 1, "rschFromDt", sRschFromDt, true);  // 조회시작일자
	this.DS_APT_MKPR_SPEC_SEARCH2_SM.setdatabyname(this.DS_APT_MKPR_SPEC_SEARCH2_SM.getrowcount() - 1, "rschToDt",   sRschToDt,   true);  // 조회종료일자
		
	// console.log("조회 데이타셋2!!");
	 SYSUtil.showDataSetLog(this.DS_APT_MKPR_SPEC_SEARCH2_SM);
	
	// 조회날짜입력 체크
	if( factory.stringbytelen(factory.stringtrim(sRschFromDt)) == 0 && factory.stringbytelen(factory.stringtrim(sRschToDt)) != 0 )
	{
		// 조회시작일자 null
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시작일자 입력 오류입니다.", "msg06");
		this.edtRschFromDt.setfocus();
		
		return;
	}
	
	if( factory.stringbytelen(factory.stringtrim(sRschFromDt)) != 0 && factory.stringbytelen(factory.stringtrim(sRschToDt)) == 0 )
	{
		// 조회종료일자 null
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회종료일자 입력 오류입니다.", "msg07");
		this.edtRschToDt.setfocus();
		
		return;
	}
	
	if( factory.stringbytelen(factory.stringtrim(sRschFromDt)) == 0 && factory.stringbytelen(factory.stringtrim(sRschToDt)) == 0 )
	{
		// 조회종료일자 null
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회일자 입력 오류입니다.", "msg07");
		this.edtRschToDt.setfocus();
		
		return;
	}
	
	if( factory.stringtrim(sRschFromDt) > factory.stringtrim(sRschToDt) ) 
	{
		// 조회시작일자 > 조회종료일자
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회시작일자가 조회종료일자보다 큽니다.", "msg07");
		this.edtRschToDt.setfocus();
		
		return;
	}
	
	// 화면잠금
	screen.setscreenprotect(true);    

	// 
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASP01S02");
	
	if( reqSubmit == false )
	{
		screen.setscreenprotect(false); // 화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");	
	}
	else
	{
		screen.setscreenprotect(false); // 화면잠금해제	
	}
}

/****************************************************************
 * ★ 현재 -1년 날짜 계산
 ****************************************************************/
function Fn_lastYear(divStr)
{
	console.log("##### Fn_lastYear() #####");
	
	// 오늘 기준 과거 1년 날짜 조회
	var today = SYSUtil.getToday("");
	return factory.getsystemtime(today.substr(0,4)-1+divStr+"%M"+divStr+"%D");
}