﻿// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

function screen_on_load() {
	console.log("########### pop up screen_on_load() #######" );
	
	//this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "loanDt", factory.datetoday());		 //대출일자
	this.DS_SM.setdatabyname(0, "fcntDueDt", factory.datefrom("month", 1, factory.datetoday()));	  //초회납입일자
	
	//공통코드 세팅
	SYSTran.getComCode(this.screen, "S12028", this.DS_CD_S12028);		//상환방법코드
	SYSTran.getComCode(this.screen, "S00036", this.DS_CD_S00036);		//대출기간코드
	SYSTran.getComCode(this.screen, "S11050", this.DS_CD_S11050);		//거치기간코드
	SYSTran.getComCode(this.screen, "S00614", this.DS_CD_S00614);		//납입일코드
	
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;	   //공통 저장 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;	   //공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "INIT", false) ;	   //공통 저장 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "QUERY", false) ;	   //공통 저장 버튼 숨김 처리
	
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

// 대출계산기 계산 버튼 클릭 시
function btnCalc_on_click(objInst)
{
	var check = this.preCalc();

	var cboDeferFg = this.cboDeferFg.val();	  //거치여부
	var cboLoanTerm = this.cboLoanTerm.val();	//대출기간
	
	if(check){
		
		//상환계획생성용 값 세팅
		this.DS_SM.setdatabyname(0, "trSnum", 1);		//거래일련번호
		this.DS_SM.setdatabyname(0, "frstRank", 1);	  //우선순위
		this.DS_SM.setdatabyname(0, "dueCycl", 1);	   //상환주기
		this.DS_SM.setdatabyname(0, "dueStrtTims", 1);   //상환시작회차
		this.DS_SM_C.deleteallrows();
		this.DS_SM_C.copyinsertrow(0, this.DS_SM, 0, true);
		
		//거치가 있는 경우
		if(cboDeferFg == "12"){
			this.DS_SM_C.copyinsertrow(1, this.DS_SM, 0, true);
			
			this.DS_SM_C.setdatabyname(0, "term", "12");	//거치행 회차
			this.DS_SM_C.setdatabyname(1, "term", (cboLoanTerm - 1) * 12);	//회차
			
			this.DS_SM_C.setdatabyname(0, "strtTims", "1");	//거치행 시작회차
			this.DS_SM_C.setdatabyname(1, "strtTims", "13");	//시작회차
			
			this.DS_SM_C.setdatabyname(0, "rmbrFrmlCd", "00004");	//거치행 상환방법코드
			
			this.DS_SM_C.setdatabyname(1, "fcntDueDt", factory.datefrom("year", 1, this.calLoanDt.val()));	//초회납입일자 1년 후
		}else{
			this.DS_SM_C.setdatabyname(0, "term", cboLoanTerm * 12);	//회차
			this.DS_SM_C.setdatabyname(0, "strtTims", "1");	//시작회차
		}
		
		SYSTran.requestSubmitSync(screen, "SSPASP03S01");
	}
}

function preCalc(){
	
	var calLoanDt = this.calLoanDt.val();		  //대출일자
	var calLoanMon = factory.datefrom("month", 1, calLoanDt);	//대출일자+한달
	var edtLoanPamt = this.edtLoanPamt.val();	  //대출금액
	var edtIntRt = this.edtIntRt.val();	  	  //이자율
	var calFcntDueDt = this.calFcntDueDt.val();	//초회납입일자
	var cboLoanTerm = this.cboLoanTerm.val();	  //상환회차
	var cboDeferFg = this.cboDeferFg.val();	    //거치기간
	var cboRmbrFrmlCd = this.cboRmbrFrmlCd.val();  //상환방식

	//대출일자 체크
	if(factory.stringbytelen(factory.stringtrim(calLoanDt)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출일자를 입력하세요.", "");
		return false;
	}
	
	//대출금액 체크
	if(factory.stringbytelen(factory.stringtrim(edtLoanPamt)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출금액을 입력하세요.", "");
		return false;
	}
	
	//이자율 체크
	if(factory.stringbytelen(factory.stringtrim(edtIntRt)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "이자율을 입력하세요.", "");
		return false;
	}
	
	//초회납입일자 체크
	if(factory.stringbytelen(factory.stringtrim(calFcntDueDt)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "초회납입일자를 입력하세요.", "");
		return false;
	}
	
	if(calFcntDueDt > calLoanMon){
		SYSUtil.loadMessageBox(screen, "알림", 1, "초회납입일자는 대출일자로부터 한달을 초과할 수 없습니다.", "");
		return false;
	}
	
	//상환회차 체크
	if(factory.stringbytelen(factory.stringtrim(cboLoanTerm)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상환회차를 선택하세요.", "");
		return false;
	}
	
	//거치기간 체크
	if(factory.stringbytelen(factory.stringtrim(cboDeferFg)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "거치기간을 선택하세요.", "");
		return false;
	}
	
	//상환방식 체크
	if(factory.stringbytelen(factory.stringtrim(cboRmbrFrmlCd)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상환방식을 선택하세요.", "");
		return false;
	}
	
	return true;
}

//상환회차 선택 시
function cboLoanTerm_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	var calLoanDt = this.calLoanDt.val();		  //대출일자
	var cboLoanTerm = this.cboLoanTerm.val();	  //상환회차
	
	//대출일자 체크
	if(factory.stringbytelen(factory.stringtrim(calLoanDt)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출일자를 먼저 입력하세요.", "");
		return;
	}
	
	this.calEprtDt.settext(factory.datefrom("year", cboLoanTerm, calLoanDt));	//만기일자 세팅
	
}

//초기화 버튼 클릭 시
function btnInit_on_click(objInst)
{
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SM_C.deleteallrows();
	
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "loanDt", factory.datetoday());		 //대출일자
	this.DS_SM.setdatabyname(0, "fcntDueDt", factory.datefrom("month", 1, factory.datetoday()));	  //초회납입일자
}

//인쇄 버튼 클릭 시
function btnPrint_on_click(objInst)
{
	if(this.DS_SD.getrowcount() > 0){
		var excelName = "상환스케줄" + factory.datetoday() + ".xlsx"
		this.grdLoanCalc.setexcelsheetname("상환스케줄");	//엑셀 시트명 세팅
		this.grdLoanCalc.downloadexcel(excelName);	
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "");
	}
}