﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.Grid_intRtDesc = null;

var sysDate = factory.datetoday();
var strtMm = factory.substringbyte(factory.datefrom("year", -1), 0, 6);
var endMm = factory.getsystemtime("%Y-%M");
var strTitle = "알람";
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "S12041", this.DS_CD_S12041);
	
	// 초기데이터 세팅
	this.fnSetDefaultData();
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "SSPGDM03S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
	    	//this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    	}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "SSPGDM03I01") {
		
		if(result == "1") {
			screen.setscreenprotect(false); //화면잠금해제
		    SYSUtil.setStatusMsg("금리관리 저장을 완료하였습니다.");
		    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
	    }else{
			screen.setscreenprotect(false); //화면잠금해제
			// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			if(recv_code < 0) {
				recv_msg = SYSUtil.replaceAll(recv_msg, "java.lang.Exception: ", "");
		        SYSUtil.setStatusMsg(recv_msg);
		        SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "msg00");
			} else {
				SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
			}
		}
	} else if(mapid == "SSPGDM03D01") {
		if(result == "1") {
			screen.setscreenprotect(false); //화면잠금해제
		    SYSUtil.setStatusMsg("금리관리 삭제를 완료하였습니다.");
		    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
	    }else{
			screen.setscreenprotect(false); //화면잠금해제
			// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	// 조회 전 체크
	if(this.Com_intRtDivCd.gettext() == "") {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "금리종류를 선택해야 합니다.", "msg01");
		this.Com_intRtDivCd.setfocus();
		return;
	}
	this.screen.setscreenprotect(true); // 화면잠금
	// 금리관리 조회
	var bRet = SYSTran.requestSubmitSync(screen, "SSPGDM03S01");

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	// 저장 전 체크
	if(this.Com_intRtDivCd.gettext() == "") {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "금리종류를 선택해야 합니다.", "msg01");
		this.Com_intRtDivCd.setfocus();
		return;
	}
	if(this.Cal_aplyStrtDt.gettext() == "") {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "적용시작일자를 선택해야 합니다.", "msg01");
		this.Cal_aplyStrtDt.setfocus();
		return;
	}
	if(this.Edit_baseInt.gettext() == "") {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "금리를 입력해야 합니다.", "msg01");
		this.Edit_baseInt.setfocus();
		return;
	}
	var aplyStrtDt = this.Cal_aplyStrtDt.gettext();
	
	if(this.Com_intRtDivCd.getselectedcode() == "00010" || this.Com_intRtDivCd.getselectedcode() == "00020") { // 국고채 등록인경우에만 과거일자 입력불가
		if(Number(sysDate) > Number(aplyStrtDt)) { 
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "과거날짜의 금리는 입력할 수 없습니다.", "msg01");	
			return;
		}	
	}
	
	for(var i=0 ; i<this.DS_SSPGDM03_SD.getrowcount(); i++) {
		//중복데이터 체크
		if(this.Com_intRtDivCd.getselectedcode() == this.DS_SSPGDM03_SD.getdatabyname(i, "intRtDivCd") && 
		   aplyStrtDt == SYSUtil.replaceAll(this.DS_SSPGDM03_SD.getdatabyname(i, "aplyStrtDt"),"-", "") ) 
		{
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "중복된 데이터가 있습니다.", "msg01");	
			this.Grid_intRtDesc.setselectrow(i, false, true);
			return;		
		}
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	
	// 금리관리 저장
	var bRet = SYSTran.requestSubmitSync(screen, "SSPGDM03I01");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	// 저장 전 체크
	var checkCount = this.Grid_intRtDesc.getcheckedrowcount();
	
	if(checkCount == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "선택한 데이터가 없습니다.", "msg01");
		return;
	} 
	
	//현재일자 이후 건만 삭제 가능
	var newIdx = 0;
	for(var i=0 ; i<this.Grid_intRtDesc.getrowcount(); i++ ) {
		if(this.Grid_intRtDesc.ischeckedrow(i)) {
			var checkedDt = this.DS_SSPGDM03_SD.getdatabyname(i, "aplyStrtDt");
			if(Number(sysDate) > Number(checkedDt)) {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "과거날짜의 금리는 삭제할 수 없습니다.", "msg01");	
				return;
			}
			
			newIdx = this.DS_SSPGDM03_SD_SEND.addrow();
			
			this.DS_SSPGDM03_SD_SEND.setdatabyname(newIdx, "intRtDivCd", this.DS_SSPGDM03_SD.getdatabyname(i, "intRtDivCd"));
			this.DS_SSPGDM03_SD_SEND.setdatabyname(newIdx, "aplyStrtDt", this.DS_SSPGDM03_SD.getdatabyname(i, "aplyStrtDt"));
			this.DS_SSPGDM03_SD_SEND.setdatabyname(newIdx, "aplyEndDt", this.DS_SSPGDM03_SD.getdatabyname(i, "aplyEndDt"));
			this.DS_SSPGDM03_SD_SEND.setdatabyname(newIdx, "baseInt", this.DS_SSPGDM03_SD.getdatabyname(i, "baseInt"));			
		}
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	// 금리관리 삭제
	var bRet = SYSTran.requestSubmitSync(screen, "SSPGDM03D01");
}
/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
// 초기 데이터 셋팅
function fnSetDefaultData() {    
    
    // dataset rowcount 체크
	// 초기값세팅
	this.DS_SSPGDM03_CO.addrow();
	this.DS_SSPGDM03_CO.setdatabyname(0, "userNo", SYSVar.loginUserInfo.USER_NO);
	
	this.Com_intRtDivCd.setselectedcode("00010"); 
	this.Cal_aplyStrtMm.settext(strtMm); 
	this.Cal_aplyEndMm.settext(endMm); 
	this.Cal_aplyStrtDt.settext(sysDate); 
	
    this.ue_query();
	
	SYSUtil.showDataSetLog(this.DS_SSPGDM03_CO);
}

function Com_intRtDivCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(objInst.getselectedcode() == "00030") { // 한국은행 평균금리 인경우 적용시작일자는 해당월 1일 자로 고정
		SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", true);
		SYSUtil.setCommonButtonVisible(this.screen, "DELETE", true);
		this.Cal_aplyStrtDt.settext(factory.getsystemtime("%Y%M")+"01");
		this.Cal_aplyStrtDt.setenable(false);
		this.Edit_baseInt.setenable(true);
	} else if(objInst.getselectedcode() == "00040") { // 협회스트레스 DTI 인경우 적용시작일자는 해당년 1월1일 자로 고정
		SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", true);
		SYSUtil.setCommonButtonVisible(this.screen, "DELETE", true);
		this.Cal_aplyStrtDt.settext(factory.getsystemtime("%Y")+"0101");
		this.Cal_aplyStrtDt.setenable(false);
		this.Edit_baseInt.setenable(true);
	} else if(objInst.getselectedcode() == "00050" || objInst.getselectedcode() == "00060") { // 국고채 평균금리는 수정불가 
		SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
		SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
		this.Cal_aplyStrtDt.settext("");
		this.Cal_aplyStrtDt.setenable(false);
		this.Edit_baseInt.settext("");
		this.Edit_baseInt.setenable(false);
	} else {
		SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", true);
		SYSUtil.setCommonButtonVisible(this.screen, "DELETE", true);
		this.Cal_aplyStrtDt.setenable(true);
		this.Edit_baseInt.setenable(true);
	}
}