﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */

// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();
var sUserNo = SYSVar.loginUserInfo.USER_NO;  // 로그인 사용자 사번
				
// ■■■■■■■■■■■■■■■ 화면 이벤트 영역 ■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 화면 On_load 이벤트sc
 ****************************************************************/
function screen_on_load()
{
    console.log("#### screen_on_load() call");
    
    // 공통버튼 활성화 여부
    SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);  // 공통 저장 버튼 숨김 처리
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT",  false);  // 공통 인쇄 버튼 숨김 처리
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);  // 공통 삭제 버튼 숨김 처리
    
    // 공통코드 set
	SYSTran.getComCode(this.screen, "S11093", this.DS_CD_S11093);  // 전략판정결과
    SYSTran.getComCode(this.screen, "S12008", this.DS_CD_S12008);  // 신청현재진행상태
	SYSTran.getComCode(this.screen, "S12037", this.DS_CD_S12037);  // Homs진행상태
	
	// 초기화
	this.fn_init();
}

// ■■■■■■■■■■■■■■■■■■ 화면 이벤트 영역 시작 ■■■■■■■■■■■■■■■■■■
/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query()
{   console.log("#### ue_query() call");

	// 심사목록조회
	this.fn_srchExamMngList();
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init()
{   console.log("#### ue_init() call");
	
	// 초기화
	this.fn_init();
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{   console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	// 심사목록조회
	if( mapid == "SXMPVM01S01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 ) 
			{
				// 심사목록 조회완료.
				// SYSUtil.loadMessageBox(this.screen, "알림", 1, "심사목록내역이 조회되었습니다.", "");
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}

	if( mapid == "SXMPVM01I01" ) 
	{
		if( result > -1 ) 
		{
			if( result == 1 && recv_code == "" ) 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "1차 심사자 등록이 완료되었습니다.", "");
				
				// 심사목록 재조회
				this.fn_srchExamMngList();
			}
			else 
			{
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		    }
		}
	}
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) 
{   
	console.log("#### screen_on_popupdestroy() call");

    // 1차 심사등록 확인 팝업
    if( popup_name == "first" ) 
	{
    	console.log("popup_name : first");
		
		if( result == "확인" )
		{				
			// 1차심사자등록 & 진행단계 업데이트
			this.fn_InsertFrstIngUser();
		}
		else
		{
			// 취소 클릭
		}
    }

	// 심사승인관리 화면이동 팝업
	if( popup_name == "moveSXMPVM02" ) 
	{   
		console.log("popup_name : moveSXMPVM02");
		
		if( result == "확인" )
		{					
			var sLoanCnslNo = this.DS_EXAM_MAN_SD.getdatabyname(0, "loanCnslNo");
			var sLoanApplNo = this.DS_EXAM_MAN_SD.getdatabyname(0, "loanApplNo");
			
			if( !SYSUtil.isEmpty(sLoanApplNo) && !SYSUtil.isEmpty(sLoanCnslNo) ) 
			{
				var sendData = {
					            "LOAN_APPL_NO" : sLoanApplNo,
					            "LOAN_CNSL_NO" : sLoanCnslNo
				               };
		        SYSUtil.goToWorkPage(this.screen, "/BIZ/S/XM/PV/SXMPVM02","심사승인관리", sendData);	
			} 
			else 
			{
				SYSUtil.loadMessageBox(this.screen, "알림", 1, "심사목록을 선택해주세요.", "");
				return false;
			}
		}
		else
		{
			// 취소 클릭
		}
    }
}

/****************************************************************
 * ■ 조회조건 신청일자_keydown
 ****************************************************************/
function cal_ApplFromDt_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### cal_ApplFromDt_on_keydown #####");
	
	if(keycode == 13) 
	{ 
		this.fn_srchExamMngList(); 
	} 
	return 0; 
}
function cal_ApplToDt_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### cal_ApplToDt_on_keydown #####");
	
	if(keycode == 13) 
	{ 
		this.fn_srchExamMngList(); 
	} 
	return 0; 
}
	
/****************************************************************
 * ■ 조회조건 승인일자_keydown
 ****************************************************************/
function cal_AprvFromDt_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### cal_AprvFromDt_on_keydown #####");
	
	if(keycode == 13) 
	{ 
		this.fn_srchExamMngList(); 
	} 
	return 0; 
}
function cal_AprvToDt_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### cal_AprvToDt_on_keydown #####");
	
	if(keycode == 13)
	{ 
		this.fn_srchExamMngList(); 
	} 
	return 0; 
}
	
/****************************************************************
 * ■ 조회조건 상품 클릭 
 ****************************************************************/
function txtProdCd_on_click(objInst, buttonclick)
{   
	console.log("##### txtProdCd_on_click #####");
	
	if(buttonclick)
	{   
		popupType = "A";
		var paramPrdtCd = "";
		
		// 상품코드를 입력한경우 상품코드를 파라미터로 세팅
		if(this.txtProdCd.gettext() != "")
		{paramPrdtCd = this.txtProdCd.gettext();}
		
		var extParam = {"prdtCd":paramPrdtCd } ;
		var param = {"DATADICNO":"Get_PrdtClasCd", "extParam":extParam};
			
		// 팝업 Title & 팝업 경로
		var popupTitle = "데이타사전";
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

function txtProdCd_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### txtProdCd_on_keydown #####");
	
	if(keycode == 13) 
	{
		this.txtProdCd_on_click("", true);
	} 
	return 0;
}

/****************************************************************
 * ■ 조회조건 심사자명 keydown 팝업
 ****************************************************************/
function txtExamMan_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### txtExamMan_on_keydown #####");
	
	if(keycode == 13) 
	{ 
		this.fn_srchExamMngList(); 
	} 
	return 0; 
}

/****************************************************************
 * ■ 조회조건 신청번호 클릭 & keydown 팝업
 ****************************************************************/
function txtApplNo_on_click(objInst, buttonclick)
{   
	console.log("##### txtApplNo_on_click #####");

	// 팝업 Title & 팝업 경로
	var popupTitle = "신청번호검색";
	var popupPath = "/BIZ/S/SP/AS/SSPASP04";
	
	if(buttonclick) 
	{
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath) ;
	}
}
function txtApplNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{   
	console.log("##### txtApplNo_on_keydown #####");
	
	if(keycode == 13) 
	{
		this.txtApplNo_on_click("", true);
	}
	return 0;
}

/****************************************************************
 * ■ 조회조건 신청번호 팝업 callback 이벤트
 ****************************************************************/
function popupCallback(objExtdata) 
{
	console.log("##### popupCallback #####");
	
	// 팝업에서 전달한 내용 출력
	if (objExtdata != undefined || objExtdata != null) 
	{
		if (objExtdata.popId == "SSPASP04") 
		{ 
			// 조회한 신청번호 set
			this.txtApplNo.settext(objExtdata.loanApplNo);
		} 
		else if ( objExtdata.popId == "CCMCMP05" )
		{ 
			// 조회한 상품 set
			this.txtProdCd.settext(objExtdata.prdtCd);
		}
	}
}

/****************************************************************
 * ■ 전결권자 대행등록 버튼 클릭 이벤트
 ****************************************************************/
function btn_ArvdAgncMngm_on_click(objInst)
{   
	console.log("##### btn_ArvdAgncMngm_on_click #####");
	
	// 팝업 Title & 팝업 경로
	var popupTitle = "전결권자 대행등록";
	var popupPath = "/BIZ/S/SP/AS/SSPASP12";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath);
}

/****************************************************************
 * ■ 세대원등록 버튼 클릭 이벤트
 ****************************************************************/
function btn_FamMembReg_on_click(objInst)
{   
	console.log("##### btn_FamMembReg_on_click #####");
	
	var sendData = {"sampleData1":"DATA1" , "sampleData2":"DATA2"};
	SYSUtil.goToWorkPage(this.screen, "/BIZ/S/XM/PV/SXMPVM03","세대원등록" , sendData);
}

/****************************************************************
  * ■ 국토부주택현황의뢰대상목록 업무 화면 이동 (메뉴PATH 기준)
 ****************************************************************/
function btn_HomeHousReptCnfm_on_click(objInst)
{   
	console.log("##### btn_HomeHousReptCnfm_on_click #####");
	
	var nRow = this.grd_grid1.getselectrow();
	if ( nRow > -1  )
	{
		var sApplDt  = this.DS_SDDO.getdatabyname(nRow, "applDt");
		var sendData = {"readDivCd" : "00010", "applDt" : sApplDt };
		SYSUtil.goToWorkPage(this.screen, "/BIZ/S/XM/PV/SXMPVM04","국토부주택현황의뢰대상목록" , sendData);
	}
	else
	{
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "심사목록내역을 선택해주세요.", "");
	}
}

// ★★★★★★★★★★★★★★★★ 사용자 정의 함수 ★★★★★★★★★★★★★★★★
/****************************************************************
 * ★ fn_초기화
 ****************************************************************/
function fn_init() 
{
	console.log("#### fn_init() call");
	
	// 화면초기화-콤보박스
	this.cbo_StsCd.setselectedcode("");
	this.txtProdCd.settext("");
	this.txtExamMan.settext("");
	this.txtApplNo.settext("");
		
	// 전체 dataset 초기화
	this.DS_SMDO.init();
	this.DS_SDDO.init();

	// 조회용 데이터 setting
	var fromDt = factory.getsystemtime("%Y%M")+"01" // 이번달 1일
	var today = SYSUtil.getToday("");               // 현재
	
	// 신청일자 set
    // this.cal_ApplFromDt.settext(fromDt.substr(0,8));
    // this.cal_ApplToDt.settext(today.substr(0,8));

	// 승인일자 set
    // this.cal_AprvFromDt.settext(fromDt.substr(0,8));
    // this.cal_AprvToDt.settext(today.substr(0,8));\

// test start===========================
	this.cal_ApplFromDt.settext("");
	this.cal_ApplToDt.settext("");
	
	this.cal_AprvFromDt.settext("");
	this.cal_AprvToDt.settext("");
// test end=============================
}

/****************************************************************
 * ★ fn_심사목록 조회
 ****************************************************************/
function fn_srchExamMngList() 
{
	console.log("##### fn_srchExamMngList #####");
	
	// 삼사목록 조회값 set
	var sApplFromDt = this.cal_ApplFromDt.gettext();    // 신청시작일자
	var sApplToDt   = this.cal_ApplToDt.gettext();      // 신청종료일자
	var sAprvFromDt = this.cal_AprvFromDt.gettext();    // 승인시작일자
	var sAprvToDt   = this.cal_AprvToDt.gettext();      // 승인종료일자
	var sStsCd      = this.cbo_StsCd.getselectedcode(); // 진행상태
	var sProdCd     = this.txtProdCd.gettext();         // 상품코드
	var sExamMan    = this.txtExamMan.gettext();        // 심사자
	var sApplNo     = this.txtApplNo.gettext();         // 신청번호
	
	this.DS_SMDO.init();
    this.DS_SMDO.addrow();
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "applFromDt", sApplFromDt, false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "applToDt",   sApplToDt,   false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "aprvFromDt", sAprvFromDt, false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "aprvToDt",   sAprvToDt,   false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "stsCd",      sStsCd,      false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "prodCd",     sProdCd,     false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "examMan",    sExamMan,    false);
    this.DS_SMDO.setdatabyname(this.DS_SMDO.getrowcount() - 1, "applNo",     sApplNo,     false);

	// 신청시작일자, null
//	if( factory.stringbytelen(factory.stringtrim(sApplFromDt)) == 0 && factory.stringbytelen(factory.stringtrim(sApplToDt)) != 0)
//	{
//		SYSUtil.loadMessageBox(screen, "알림", 1, "신청시작일자 입력 오류입니다.", "msg06");
//		this.cal_ApplFromDt.setfocus();
//		return;
//	}
	// 신청종료일자, null
//	if( factory.stringbytelen(factory.stringtrim(sApplFromDt)) != 0 && factory.stringbytelen(factory.stringtrim(sApplToDt)) == 0)
//	{
//		SYSUtil.loadMessageBox(screen, "알림", 1, "신청종료일자 입력 오류입니다.", "msg07");
//		this.cal_ApplToDt.setfocus();
//		return;
//	}
	// 신청시작일자 > 신청종료일자
	if( factory.stringtrim(sApplFromDt) > factory.stringtrim(sApplToDt) ) 
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "신청시작일자가 신청종료일자보다 큽니다.", "msg07");
		this.cal_ApplToDt.setfocus();
		return;
	}
	
	// 승인시작일자, null
//	if( factory.stringbytelen(factory.stringtrim(sApplFromDt)) == 0 && factory.stringbytelen(factory.stringtrim(sApplToDt)) != 0)
//	{
//		SYSUtil.loadMessageBox(screen, "알림", 1, "신청시작일자 입력 오류입니다.", "msg06");
//		this.cal_AprvFromDt.setfocus();
//		return;
//	}
	// 승인종료일자, null
//	if( factory.stringbytelen(factory.stringtrim(sApplFromDt)) != 0 && factory.stringbytelen(factory.stringtrim(sApplToDt)) == 0)
//	{
//		SYSUtil.loadMessageBox(screen, "알림", 1, "신청종료일자 입력 오류입니다.", "msg07");
//		this.cal_AprvToDt.setfocus();
//		return;
//	}
	// 승인시작일자 > 승인종료일자
	if( factory.stringtrim(sAprvFromDt) > factory.stringtrim(sAprvToDt) ) 
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "승인시작일자가 승인종료일자보다 큽니다.", "msg07");
		this.cal_AprvToDt.setfocus();
		return;
	}
	
	screen.setscreenprotect(true);    // 화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVM01S01");
	
	if(reqSubmit == false) 
	{
		screen.setscreenprotect(false); // 화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		
	}
	else
	{
		screen.setscreenprotect(false); // 화면잠금해제
	}
}
/****************************************************************
 * ★ fn_그리드 더블클릭 심사자등록
 ****************************************************************/
function grd_grid1_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{   
	console.log("#### grd_grid1_on_itemdblclick() call");
	
	// 판단용
	var sStrgJudgRslt  = this.DS_SDDO.getdatabyname(nDblClickRow, "strgJudgRslt");
	var sIngUserNm     = this.DS_SDDO.getdatabyname(nDblClickRow, "ingUserNm");
	
	// 1차심사등록용
	var sLoanCnslNo    = this.DS_SDDO.getdatabyname(nDblClickRow, "loanCnslNo");
	var sApplRealStsCd = "40000"; // 1차심사-진행
	var sLoanApplNo    = this.DS_SDDO.getdatabyname(nDblClickRow, "loanApplNo");
	
	// for test!! 삭제 시 로그인 사용자번호로 대체
	var sUserNo = "70305";

	// 1차심사자 등록 및 심사승인관리 화면이동 데이터셋 초기화
	this.DS_EXAM_MAN_SD.init();
	this.DS_EXAM_MAN_SD.addrow();
	
	this.DS_EXAM_MAN_SD.setdatabyname(0, "loanCnslNo",    sLoanCnslNo, false);
	this.DS_EXAM_MAN_SD.setdatabyname(0, "applRealStsCd", sApplRealStsCd, false);
	this.DS_EXAM_MAN_SD.setdatabyname(0, "loanApplNo",    sLoanApplNo, false);
	this.DS_EXAM_MAN_SD.setdatabyname(0, "ingUserNo",     sUserNo, false);
	this.DS_EXAM_MAN_SD.setdatabyname(0, "frstRegEmpNo",  sUserNo, false);
	this.DS_EXAM_MAN_SD.setdatabyname(0, "lastProcEmpNo", sUserNo, false);
	
	// 클릭한 심사목록내역이 승인, null
	if( sStrgJudgRslt == "00010" || factory.stringbytelen(sStrgJudgRslt) == "" )
	{
		// 1차 심사자 미등록
		if( factory.stringbytelen(sIngUserNm) == "" || SYSUtil.isEmpty(sIngUserNm) )
		{
			// 1차 심사자 등록여부 팝업
			SYSUtil.loadMessageBox(this.screen, "알림", 2, "신규 심사건 입니다. \n 1차 심사자로 등록하시겠습니까?", "first");
		}
		else
		{
			// 1차 심사자 있음.
			// 2차 & 전결권자 구분 필요..
			
			// 클릭한 row
			var nRow = this.grd_grid1.getselectrow();
		    var sIngUserNo  = this.DS_SDDO.getdatabyname(nRow, "ingUserNo");
			console.log("클릭한 row" + nRow);
			console.log("클릭한 row의 사원번호" + sIngUserNo);
			
			// 로그인 user와 등록된 1,2차 심사자, 전결권자 비교 필요
			if( sUserNo == sIngUserNo ) 
			{ 
				alert("가능");
				// 심사승인관리 화면 이동여부 팝업
				SYSUtil.loadMessageBox(this.screen, "알림", 2, "'심사승인관리' 화면으로 이동하겠습니까?", "moveSXMPVM02");				
			}
			else
			{
				alert("넌 못지나간다.");
			}
		}
	}
	else
	{
		// 판정결과 거절, 취소
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "전략판정결과가 '거절' 또는 '취소'된 건입니다. \n 확인해주세요.", "");
	}
}

/****************************************************************
 * ★ fn_1차 심사자 업데이트
 ****************************************************************/
function fn_InsertFrstIngUser(sIngUserNm)
{
	console.log("##### fn_InsertFrstIngUser #####");
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// insert
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SXMPVM01I01");
	
	if(reqSubmit == false) 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		
		// 데이터 송신중1 오류 : "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
	else 
	{
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}