﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	//공통버튼 제어
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	   //공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;	   //공통 저장 버튼 숨김 처리
	
	// 심사승인관리(SXMPVM02)에서 받은 파라메터 세팅 후 조회
	var param =  this.EXTRA_DATA;
	
	if(param != undefined || param != null){
		var loanApplNoVal = param.loanApplNo;	// 대출신청번호
		
		// 대출신청번호 세팅
		if(loanApplNoVal != undefined || loanApplNoVal != null){
			this.DS_SM.setdatabyname(0, "loanApplNo", loanApplNoVal);
		}
		
		SYSTran.requestSubmitSync(screen, "SXMPVM02S02");
	}

}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜잭션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */

	if(mapid == "SXMPVM02S02"){	//조회
		if(result <= 0 || recv_code != 0000){
			
		}else{
			//그리드 패턴 설정
			var rowCnt = this.DS_SD.getrowcount();
			
			for(var i = 0; i < rowCnt; i++){
				if(i == 1){
					this.grdLoanAmt.setitempattern(i, 1, "99.99");	//LTV 비율만 소수점
				}else{
					this.grdLoanAmt.setitempattern(i, 1, "999,999,999,999,999");
				}
			}
		}
	}
}