﻿var AUDIO_VOLUME = 60;	// 오디오 볼륨 값
var AUDIO_DURATION = 0;   // 오디오 플레이 시간

/////////////////////////////////////////////////////////////////////////////
// 오디오 컴포넌트 이벤트 시작
/////////////////////////////////////////////////////////////////////////////
// 오디오 플레이 시간 경과 이벤트 처리
function audio_on_timeupdate(objInst, current_time)
{
	pbProgress.setpos(Math.round(current_time / AUDIO_DURATION * 100), false);
}

// 오디오 데이터 로드 완료 이벤트 처리
function audio_on_loadeddata(objInst)
{
	AUDIO_DURATION = audio.getduration();
}

// 오디오 플레이 시작 이벤트 처리
function audio_on_play(objInst)
{

}

// 오디오 플레이 완료 이벤트 처리
function audio_on_ended(objInst)
{

}

// 오디오 플레이 멈춤 이벤트 처리
function audio_on_pause(objInst)
{

}

/////////////////////////////////////////////////////////////////////////////
// 오디오 컴포넌트 이벤트 끝
/////////////////////////////////////////////////////////////////////////////

// 플레이 버튼 이벤트 처리
function btnPlay_on_mouseup(objInst)
{
	audio.play();
}

// 일시멈춤 버튼 이벤트 처리
function btnPause_on_mouseup(objInst)
{
	audio.pause();
}

// 중지 버튼 이벤트 처리
function btnStop_on_mouseup(objInst)
{
	audio.stop();
}

// 소리 키움 버튼 이벤트 처리
function btnTurnDown_on_mouseup(objInst)
{
	AUDIO_VOLUME = Math.max(0, AUDIO_VOLUME - 10);
	pbVolume.setpos(volume, true);
	audio.setvolume(volume);
}

// 소리 줄임 버튼 이벤트 처리
function btnTurnUp_on_mouseup(objInst)
{
	AUDIO_VOLUME = Math.min(100, AUDIO_VOLUME + 10);
	pbVolume.setpos(AUDIO_VOLUME, true);
	audio.setvolume(AUDIO_VOLUME);
}

function screen_on_load()
{
	pbVolume.setpos(60, true);
	pbProgress.setpos(0, true);
}

// 
function video_on_play(objInst)
{
	// txtStatus.settext("play");
}

function video_on_ended(objInst)
{
	// txtStatus.settext("ended");
}

function video_on_pause(objInst)
{
	// txtStatus.settext("pause");
}
