﻿function screen_on_load()
{
}

function btn_addfile_on_mouseup(objInst)
{
	var file_index;
	
	// 0. CORS를 위한 with_credentials 속성 및 POST 데이터에 대한 postdata_encode 속성이 제공됨
	
	// 1. GET 방식: HTTP URL 정보 직접 추가 방식
	downloader_basic.addfile("http://127.0.0.1:8080/xframe5/template/HTML5/COMPONENT/FILEDOWNLOADER/150MB_1.zip", "150MB_1.zip");
	downloader_basic.addfile("http://127.0.0.1:8080/xframe5/template/HTML5/COMPONENT/FILEDOWNLOADER/150MB_2.zip", "150메가_2.zip");
	
	// 2. GET 방식: 파일 다운로드 처리를 수행하는 서블릿 호출 방식으로 URL에 GET 방식으로 쿼리 스트링 형식으로 이용하여 정보 추가
	//             xframe5 어블리케이션 설치 디렉토리 하위에 template/HTML5/COMPONENT/FILEDOWNLOADER/text.txt 파일이 있는 경우
	downloader_basic.addfile("http://127.0.0.1:8080/xframe5/FileDownloader?DownloadFilePath=template/HTML5/COMPONENT/FILEDOWNLOADER/text.txt", "텍스트.txt");	
	
	// 3. POST 방식: 파일 다운로드 처리를 수행하는 서블릿 호출 방식으로 POST 데이터 방식 정보 추가
	//              xframe5 어블리케이션 설치 디렉토리 하위에 template/HTML5/COMPONENT/FILEDOWNLOADER/text.txt 파일이 있는 경우
	downloader_basic.addfile("http://127.0.0.1:8080/xframe5/FileDownloader", "텍스트_POST.txt");	
	file_index = downloader_basic.getfileindex("텍스트_POST.txt");
	downloader_basic.setfilepostdatavalue(file_index, "DownloadFilePath", "template/HTML5/COMPONENT/FILEDOWNLOADER/text.txt");	
}

// 모든 파일 삭제 버튼 이벤트 처리
function btn_deleteallfile_on_mouseup(objInst)
{
	downloader_basic.deleteallfile();
}

// 모든 파일 상태 정보 초기화 버튼 이벤트 처리
function btn_clearallfilestatus_on_mouseup(objInst)
{
	downloader_basic.clearallfilestatus();
	
	// 그리드에 모든 파일에 대한 상태 정보 업데이트 표시
	UpdateFileStauts(-1);
}

// 다운로드 시작 버튼 이벤트 처리
function btn_startdownload_on_mouseup(objInst)
{
	downloader_basic.startdownload();
}

// 다운로드 중지 버튼 이벤트 처리
function btn_stopdownload_on_mouseup(objInst)
{
	downloader_basic.stopdownload();
}

// 파일 상태 정보 업데이터 처리
function UpdateFileStauts(nFileIndex) {
	var count, i;
	
	if (nFileIndex == -1) {
		count = downloader_basic.getfilecount();
		for (i = 0; i < count; i++) {		
			UpdateOneFileStauts(i);
		}
	}
	else {
		UpdateOneFileStauts(nFileIndex);
	}
}

// 모든 다운로드 대상 파일 정보 표시
function ReloadFileStatus() {
	var nFileIndex, count;
	
	grdList.deleteall();
	
	count = downloader_basic.getfilecount();
	for(nFileIndex = 0; nFileIndex < count; nFileIndex++) {
		grdList.additem();
		grdList.setitemtext(nFileIndex, 0, downloader_basic.getfilename(nFileIndex));
		grdList.setitemtext(nFileIndex, 1, downloader_basic.getfilesize(nFileIndex));
		grdList.setitemtext(nFileIndex, 2, downloader_basic.getfilebriefsize(nFileIndex));
		grdList.setitemtext(nFileIndex, 3, downloader_basic.getfiledate(nFileIndex));
		grdList.setitemtext(nFileIndex, 4, downloader_basic.getfiletime(nFileIndex));
		
		UpdateOneFileStauts(nFileIndex);
	}
}

// 한 파일에 대한 다운로드 상태 표시 업데이트
function UpdateOneFileStauts(nFileIndex) {
	grdList.setitemtext(nFileIndex, 5, downloader_basic.getfilestatus(nFileIndex));
	grdList.setitemtext(nFileIndex, 6, downloader_basic.getfileprogress(nFileIndex));
	grdList.setitemtext(nFileIndex, 7, downloader_basic.getfileresult(nFileIndex));
	grdList.setitemtext(nFileIndex, 8, downloader_basic.getfileresultmsg(nFileIndex));
}

///////////////////////////////
// EVENT
///////////////////////////////

// 한 파일에 대한 다운로드 진행 상태 변경 이벤트 처리
function downloader_basic_on_fileprogress(objInst, nFileIndex, strFileName, nPos)
{
	grdList.setitemtext(nFileIndex, 1, downloader_basic.getfilesize(nFileIndex));
	grdList.setitemtext(nFileIndex, 2, downloader_basic.getfilebriefsize(nFileIndex));
	grdList.setitemtext(nFileIndex, 6, nPos);
}

// 한 파일에 대한 다운로드 완료 이벤트 처리
function downloader_basic_on_filecomplete(objInst, nFileIndex, strFileName)
{
	grdList.setitemtext(nFileIndex, 3, downloader_basic.getfiledate(nFileIndex));
	grdList.setitemtext(nFileIndex, 4, downloader_basic.getfiletime(nFileIndex));	
		
	UpdateOneFileStauts(nFileIndex);
}

function downloader_basic_on_listupdate(objInst)
{
	ReloadFileStatus();
}