﻿/**
 * "SYSUtil" 이름의 글로벌 모듈이 있고, 글로벌 모듈내 AddScreenRank 함수가 있다는 것을 전제하여
 * 글로벌 모듈내의 함수를 호출하는 예시이다.
 */
function btn_global_func_on_mouseup(objInst)
{
	var ret;
		
	ret = SYSUtil.AddScreenRank(screen.getscreenurl());
	screen.alert("SYSUtil.AddScreenRank() Ret Val = " + ret);
};

/**
 * "SYSUtil" 이름의 글로벌 모듈이 있고, 글로벌 모듈내 USER_ID 변수가 전역적으로 정의되어 있다는 것을 전제하여
 * 글로벌 모듈내의 글로벌 변수를 사용하는 예시이다.
 */
function btn_global_var_on_mouseup(objInst)
{
	var ret;
		
	screen.alert("Before SYSUtil.USER_ID = " + SYSUtil.USER_ID);
	
	// 글로벌 모듈내 전역 변수 값 변경하면, 변경된 값은 다른 화면에서도 변경된 값으로 참조된다.
	SYSUtil.USER_ID = "NewUser";
	screen.alert("After SYSUtil.USER_ID = " + SYSUtil.USER_ID);
}
