﻿function screen_on_load()
{

}


function lv__search_result_on_itemclick(objInst, nItemIndex, objChildInst)
{

}


/**
 * 검색 버튼 이벤트
 * 시스템에서 오픈 API 키를 발급받아야 처리가능.
**/
function _btnSearchAddr_on_mouseup(objInst)
{
	var obj_post_data;
	var dsAddr = this.DS_ADDR;
	
	
	// 전달 데이터 설정
	obj_post_data = {
		currentPage: "1",     // 요청 변수 설정 (현재 페이지. currentPage : n > 0)
		countPerPage: "10",	// 요청 변수 설정 (페이지당 출력 개수. countPerPage 범위 : 0 < n <= 100)
		resultType: "json",	// 요청 변수 설정 (검색결과형식 설정, json)
		addInfoYn: "Y",	
		keyword: "안전보건공단",	// 요청 변수 설정 (키워드)
		confmKey:"TESTJUSOGOKR"	// 요청 변수 설정 (승인키)
	};
	
	// API 요청 전송
	$.ajax({
		 url :"https://www.juso.go.kr/addrlink/addrLinkApiJsonp.do"  //인터넷망
		,type:"post"
		,data: obj_post_data
		,dataType:"jsonp"
		,crossDomain:true
		,success:function(jsonStr){
			
			var errCode = jsonStr.results.common.errorCode;
			var errDesc = jsonStr.results.common.errorMessage;
			if(errCode != "0"){
				alert(errCode+"="+errDesc);
			}else{
				if(jsonStr != null){
					//console.log(jsonStr);
					_makeListJson(jsonStr, dsAddr);
				}
			}
		}
	    ,error: function(xhr,status, error){
			// TODO : 검색에러 처리
	    	alert("주소검색 API 에러발생");
	    }
	});
	
}

/**
 * 주소검색 CALLBACK
 * 검색된 데이터를 데이터셋에 바인딩한다.
**/
function _makeListJson(jsonStr, dsAddr){

	var strTemp = "";
	var nRowIndex;
	
	// 주소데이터셋 초기화
	dsAddr.init();
	
	$(jsonStr.results.juso).each(function(){
		// 로그출력
//		strTemp += this.roadAddr + " ";
//		strTemp += this.roadAddrPart1+ " ";
//		strTemp += this.roadAddrPart2+ " ";
//		strTemp += this.jibunAddr+ " ";
//		strTemp += this.engAddr+ " ";
//		strTemp += this.zipNo+ " ";
//		strTemp += this.admCd+ " ";
//		strTemp += this.rnMgtSn+ " ";
//		strTemp += this.bdMgtSn+ " ";
//		strTemp += this.detBdNmList+ " ";
//		console.log(strTemp);
//		strTemp = "";
		
		nRowIndex = dsAddr.addrow();
		dsAddr.setdatabyname(nRowIndex, "ZIP_CODE", this.zipNo);
		dsAddr.setdatabyname(nRowIndex, "DORO", this.roadAddr);
		dsAddr.setdatabyname(nRowIndex, "JIBUN", this.jibunAddr);
		
	});

}



/**
 * 주소 선택
**/
function _btn_addr_select_on_mouseup(objInst, index)
{
	var objExtraData = screen.getextradata();
	var objReturnData = {};
	var scrParentMember;
	// 전달할 값 설정 (변경 필요)
	objReturnData.DORO = this.DS_ADDR.getdatabyname(index, "DORO");
	objReturnData.JIBUN = this.DS_ADDR.getdatabyname(index, "JIBUN");
	objReturnData.ZIPCODE = this.DS_ADDR.getdatabyname(index, "ZIP_CODE");
	
	// 리턴받는데 사용할 함수명을 전달한 경우
	if (objExtraData != null && objExtraData.RETURN_FUNCTION_NAME !== "") {
		
		// 부모화면 screen 구하고 유효성 처리
		srcParent = objExtraData.PARENT_SCR;
		if (factory.isobject(srcParent)) {
			// 부모화면의 멤버 오브젝트 구하기
			scrParentMember = srcParent.getmembers();
			if (factory.isobject(scrParentMember) == true) {
				if (factory.isfunction(scrParentMember[objExtraData.RETURN_FUNCTION_NAME])) {
					// 부모화면의 함수를 통하여 값 전달
					scrParentMember[objExtraData.RETURN_FUNCTION_NAME](objReturnData);
				}
			}
		}
	}

	// 팝업프레임화면 닫기
	this.screen.getparent().unloadpopup();
	
}