﻿/* ==================================================
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 업 무 그 룹 ID : 시스템
 * 화    면    ID : LoginMain
 * 화    면    명 : 프레임 LOGIN 메인
 * 화  면  설  명 :
 * AS-IS 프로그램 : 
 *
 * ============== 개    정     이    력 ==============
 * 일      자 : 성    명 : 내    용
 * ==================================================
 * ================================================== */

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
/**
 * 화면 on_load 이벤트
 */
function screen_on_load() {
	SYSVar.LOGIN_SCREEN = screen;
	SYSVar.LOGIN_MEMBER = this;

	//_loginOnLoadFlag 해당 값은 초기 실행 화면(ex: xframe5.html)에서 설정된 값을 불러온다
	loginInitInfo = loginInitInfo == null ? {} : loginInitInfo;

	if (loginInitInfo.loginOnLoadFlag == "SSO") {
		this.fldUserId.settext(loginInitInfo.loginUserEmpNo);
		//SSO 로그인 처리
		this.ssoLogin(loginInitInfo);
	}
	var inputId = this.fldUserId.gettext();
	// cookie에 저장된 id가 있으면 화면에 set 해준다.
	var userId = factory.getcookie("userId");
	var checkGbn = factory.getcookie("checkGbn");
	if(checkGbn=="Y"){
		this.chk_SAVE_ID.setcheck(true);
	}
	if( userId!=null && userId!="" && this.chk_SAVE_ID.getcheck()){
		this.fldUserId.settext(userId);
		this.fldPassword.setfocus();
	}else{
		this.fldUserId.setfocus();
		this.chk_SAVE_ID.setcheck(false);
	}
	
	
	//this.fldUserId.settext("system");
	
	
	SYSVar.ACTIVE_SCREEN = this.screen ;
}


function checkCapsLock(keycode, bshiftdown){
	//
//	if ( ((keycode >= 65 && keycode <= 90) && !bshiftdown) || ( (keycode >= 97 && keycode <= 122) && bshiftdown )) {
//		this.txt_capslock.setvisible(true);
//	} else {
//		this.txt_capslock.setvisible(false);
//	}
	
}

/**
 * 화면 on_submitcomplete
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
    //console.log("###### LoginMain screen_on_submitcomplete");
	//console.log("###### LoginMain screen_on_submitcomplete mapid >>> "+mapid);
	
	// 송신 성공시 처리
	if (result == 1) {
		switch (mapid) {
			case "TR_SELECT_USER":
					
					
					let rowCnt = this.DS_USER_LOGIN_INFO.getrowcount();

					if(rowCnt > 0){
						G_EMP_INFO.init();
						G_EMP_INFO.addrow();

						G_EMP_INFO.setdatabyname(0, "USER_NO",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNo"));
						G_EMP_INFO.setdatabyname(0, "USER_NM",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNm"));
						G_EMP_INFO.setdatabyname(0, "EMP_NO",      this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNo"));
						G_EMP_INFO.setdatabyname(0, "DEPT_CD",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "onworkDeptCd"));
						G_EMP_INFO.setdatabyname(0, "DEPT_NM",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "onworkDeptNm"));
						G_EMP_INFO.setdatabyname(0, "USER_DIV_CD", this.DS_USER_LOGIN_INFO.getdatabyname(0, "useFg"));
						//G_EMP_INFO.setdatabyname(0, "EMAIL_ADDR",  this.DS_USER_LOGIN_INFO.getdatabyname(0, "useFg"));
					}

	
			break;
			case "TR_SELECT_MENU":
				// 글로벌데이터셋에 메뉴정보 복사.
				// 임시 로직 처리
				let nRowCount = this.DS_MENU.getrowcount();
				let nIdx = 0;
				
				let objMenuDs = G_MENU;

				for (nIdx; nIdx < nRowCount; nIdx ++) {
					let nRowIdx = objMenuDs.addrow();
					
					objMenuDs.setdatabyname(nRowIdx, "menuId", this.DS_MENU.getdatabyname(nIdx, "menuCode"));
					objMenuDs.setdatabyname(nRowIdx, "menuName", this.DS_MENU.getdatabyname(nIdx, "menuName"));
					objMenuDs.setdatabyname(nRowIdx, "menuLevel", this.DS_MENU.getdatabyname(nIdx, "depth"));
					if (this.DS_MENU.getdatabyname(nIdx, "depth") == 1) {
						objMenuDs.setdatabyname(nRowIdx, "highMenuId", "");
					} else {
						objMenuDs.setdatabyname(nRowIdx, "highMenuId", this.DS_MENU.getdatabyname(nIdx, "parentMenuCode"));
					}
					//objMenuDs.setdatabyname(nRowIdx, "programPath", this.DS_MENU.getdatabyname(nIdx, "url"));
					objMenuDs.setdatabyname(nRowIdx, "isDisplay", "Y");
					objMenuDs.setdatabyname(nRowIdx, "sortNo", "");
					objMenuDs.setdatabyname(nRowIdx, "programPath", this.DS_MENU.getdatabyname(nIdx, "pgmPath"));
					objMenuDs.setdatabyname(nRowIdx, "navi", this.DS_MENU.getdatabyname(nIdx, "navi"));
				}
				
				SYSVar.WINMAIN_MEMBER.txLoginComplete();
				break;
			default: {
				break;
			}
		}

		// 향후 메뉴 작업 이후 주석 처리 필요 2023-03-17
		SYSVar.WINMAIN_MEMBER.txLoginComplete();

	} else {
		// 송신 실패시 처리
		SYSUtil.comAlert("서버 연결에 실패 했습니다. 지속될시 관리자에게 문의하세요.");
	}
}

/**
 * 화면 on_trancomplete
 */
function screen_on_trancomplete(mapid, result, recv_userheader, recv_code, recv_msg, recv_data) {
	// debug
	SYSUtil.debug(screen, "mapid", mapid);
	SYSUtil.debug(screen, "result", result);
	SYSUtil.debug(screen, "recv_userheader", recv_userheader);
	SYSUtil.debug(screen, "recv_code", recv_code);
	SYSUtil.debug(screen, "recv_msg", recv_msg);
	SYSUtil.debug(screen, "recv_data", recv_data);
	
	var userLoginInfo = this.DS_USER_LOGIN_INFO;
	
	if(mapid=="TR_SELECT_USER" && DS_USER_LOGIN_INFO.getrowcount() > 0){
		SYSUtil.getLoginUserInfo();
	}

	
	switch (mapid) {
		
		case "XC_CHKLOCKYB2":
			if (result != 1) {
				GM.MessageBox(screen, "WARNING", "계정잠김상태 조회시 오류가 발생하였습니다. 전산실에 문의하세요.");
				return;
			}
			this.chkLock.settext(GM.Util.of_GetToken(recv_data, 0, 0, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB));
			this.fldFail.settext(GM.Util.of_GetToken(recv_data, 0, 1, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB));
			this.chkInit.settext(GM.Util.of_GetToken(recv_data, 0, 2, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB));
			if (this.chkLock.getcheck()) {
				GM.MessageBox(screen, "WARNING", "로그인 비밀번호 연속5회 오류로 계정이 잠김상태입니다. 전산실에 문의하세요.");
				return;
			}

			this.chkLogOn.setcheck(false); // logon failed

			// 사용자 비밀번호 확인
			var lsv_in = [this.fldUserId.gettext(), this.fldPassword.gettext()];
			GM.TuxMgr.of_TuxCallNonXA(screen, "XS_GETPWDOK", "XS_GETPWDOK", lsv_in, [], 2, 4);
			break;
		case "XS_GETPWDOK":
			if (result != 1) return;

			var lsv_passwd_ok = recv_data[0];
			var lsv_ret = recv_data[1];
			var isv_Debug = recv_data[2];
			GM.SecMgr.UserInfo.ggti = recv_data[3];

			// 등록되지 않은 사용자 #처리
			if (lsv_ret == "-1") {
				GM.Util.of_ErrorHandle(screen, "TAINFXS003"); // 등록되지 않은 사용자번호입니다.
				this.fldUserId.setfocus();
				this.chkLogOn.setcheck(false); // logon failed
				return;
			}
			// 비밀번호 유효기간
			else if (lsv_ret != "1") {
				GM.Util.of_ErrorHandle(screen, "TAINFXS021"); // 비밀번호 유효기간이 맞지 않습니다.
				return;
			}
			// 비밀번호 불일치
			else if (lsv_passwd_ok == "N") {
				this.fldFail.settext(Number(this.fldFail.gettext()) + 1);
				var lsv_message = "비밀번호가 맞지않습니다. 오류횟수[" + this.fldFail.gettext() + "]";
				GM.MessageBox(screen, "WARNING", lsv_message);
				return;
			}
			// 성공
			else {
				GM.SecMgr.of_SetUserId(this.fldUserId.gettext());
				GM.TuxMgr.of_TuxCallNonXA(screen, "", "XS_GETUSERNAME", [this.fldUserId.gettext()], [], 1, 22);
			}
			break;
		case "XS_GETUSERNAME":
			if (result != 1) return;

			lsv_ret = recv_data[1];

			if (lsv_ret != "1") {
				GM.Util.of_ErrorHandle(screen, "TAINFXS007");
				return;
			}

			lsv_ret = recv_data[21];
			if (lsv_ret != "1") {
				GM.Util.of_ErrorHandle(screen, "TAERRXS002", [""], [lsv_ret]);
				return;
			}

			GM.SecMgr.UserInfo.ls_username = recv_data[0];

			// GovUser 값 셋팅
			this.setGovUser(recv_data);

			// 로그인 이력
			GM.TuxMgr.of_TuxCallXAOn(screen, "XS_INSLOGINHIS", "XS_INSLOGINHIS", "Y", "", 1, 1);

			break;
		case "XS_INSLOGINHIS":
			if (result != 1) {
				GM.MessageBox(screen, "WARNING", "로그인이력 저장중 오류입니다.");
				this.fldPassword.setfocus();
				this.chkLogOn.setcheck(false); // logon failed
			}
			// 계정 잠김 상태
			if (this.chkLock.getcheck()) {
				GM.MessageBox(screen, "WARNING", "로그인 비밀번호 연속5회 오류로 계정이 잠김상태입니다. 전산실에 문의하세요.");
				return;
			}

			GM.TuxMgr.of_TuxCallNonXA(screen, "XS_CHECKUSRNAME", "XS_CHECKUSRNAME", [this.fldUserId.gettext()], [], 1, 1); // check tuxedo connection
			break;
		case "XS_CHECKUSRNAME":
			if (result == 1) {
				this.chkLogOn.setcheck(true); // logon success
			} else {
				GM.MessageBox(screen, "WARNING", "이미 사용자 ID 로 LOGIN 중입니다.(이중 로그인 불가)");
				return;
			}

			// 사용자별 시간 가져오기
			var lsv_In = GM.SecMgr.of_GetUserId();
			GM.TuxMgr.of_TuxCallNonXA(screen, "XD_GETCURRDATE", "XD_GETCURRDATE", lsv_In, "", 1, 1);

			break;
		case "XD_GETCURRDATE":
			GM.GlbMgr.isv_SysDate = recv_data;

			if (this.chkInit.getcheck()){
			//if (true) {
				GM.MessageBox(screen, "WARNING", "비밀번호 초기화상태에서는 반드시 비밀번호를 변경후 사용해야 합니다.", "", "", "", "INIT_PASSWORD");
				return;
			}
			// 메뉴조회
			//SYSTran.requestSubmitAsync(screen, "TR_SELECT_MENU");
			

			break;
		default:
	}
	
}

/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */

// SSO 로그인 처리 이벤트.
function ssoLogin(loginInitInfo) {
	console.log("########## ssoLogin() ##########");
	
	SYSVar.ssoSendParm = loginInitInfo.ssoParam;
			
	// 계정잠김상태 조회
	this.DS_USER_REQ.init();
	this.DS_USER_REQ.addrow();
	this.DS_USER_REQ.setdatabyname(0,"userNo", loginInitInfo.loginUserEmpNo);
	this.DS_USER_REQ.setdatabyname(0,"pswd",   loginInitInfo.loginUserpswd );
	this.DS_USER_REQ.setdatabyname(0,"ssoGbn", "SSO");
		
	//SYSTran.requestSubmitSync(this.screen, "TR_SELECT_USER"); login 화면 동기 발생시키면 에러
	SYSTran.requestSubmitAsync(this.screen, "TR_SELECT_USER");

}

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */

/**
 * 로그인 처리
 * @return 없음
 */
function txLogin() {
	
	var userId = factory.getcookie("userId");
	var inputId = this.fldUserId.gettext();
	if(inputId!=userId && this.chk_SAVE_ID.getcheck()){
		console.log("비밀번호 재저장");
		factory.setcookie("userId", inputId , 10000);
		this.chk_SAVE_ID.setcheck(false);
	}	

	// 사용자번호 필수 체크
	var ls_uid = SYSUtil.Trim(this.fldUserId.gettext());			
	if (SYSUtil.isEmpty(ls_uid)){
		this.fldUserId.setfocus();
		var strMsg      = "ID가 입력되지 않았습니다.";
		this.loginMessageBox(strMsg, this.fldUserId);
		return;
	}
	
	// 비밀번호 필수 체크
	var ls_passwd = SYSUtil.Trim(this.fldPassword.gettext());		
	if (SYSUtil.isEmpty(ls_passwd)){
		this.fldPassword.setfocus();
		var strMsg      = "비밀번호가 입력되지않았습니다.";
		this.loginMessageBox(strMsg,this.fldPassword);
		return;
	}
	
	// 계정잠김상태 조회
	this.DS_USER_REQ.init();
	this.DS_USER_REQ.addrow();
	this.DS_USER_REQ.setdatabyname(0,"userNo", this.fldUserId.gettext());
	this.DS_USER_REQ.setdatabyname(0,"pswd",   this.fldPassword.gettext());
		
	//SYSTran.requestSubmitSync(this.screen, "TR_SELECT_USER"); login 화면 동기 발생시키면 에러
	SYSTran.requestSubmitAsync(this.screen, "TR_SELECT_USER");

	//= 로그인 거래완료시...
	//SYSVar.WINMAIN_MEMBER.txLoginComplete();
}

// GovUser 값 셋팅
function setGovUser(lsv_out)
{
	// For Billing --------------------------------------------------------
	GM.GovUser.sawon     = lsv_out[2];
	GM.GovUser.sawonname = lsv_out[3];
	GM.GovUser.dancode   = lsv_out[4];
	GM.GovUser.danname   = lsv_out[5];
	GM.GovUser.gukcode   = lsv_out[6];
	GM.GovUser.gukname   = lsv_out[7];
	GM.GovUser.gukpk     = lsv_out[8];
	GM.GovUser.jumpocode = lsv_out[9];
	GM.GovUser.jumponame = lsv_out[10];
	GM.GovUser.jumpopk   = lsv_out[11];
	GM.GovUser.swpk      = lsv_out[12];
	GM.GovUser.sosok     = lsv_out[13];
	GM.GovUser.stoday    = lsv_out[14];
	GM.GovUser.today = GM.Mid(lsv_out[14],0,4) + "/" + GM.Mid(lsv_out[14],4,2) + "/" + GM.Mid(lsv_out[14],6,2);
	
	GM.GovUser.billdanq        = lsv_out[4];
	GM.GovUser.billdannameq    = lsv_out[5];
	GM.GovUser.billgukq        = lsv_out[6];   //영업국     코드--Login시 사용자 정보 Set
	GM.GovUser.billguknameq    = lsv_out[7];   //영업국명  --Login시 사용자 정보 Set 
	GM.GovUser.billjumpoq      = lsv_out[9];   //영업소코드--Login시 사용자 정보 Set
	GM.GovUser.billjumponameq  = lsv_out[10];  //영업소명  --Login시 사용자 정보 Set 
	GM.GovUser.billsawonq      = lsv_out[2];   //사원번호  --Login시 사용자 정보 Set 
	GM.GovUser.billsawonnameq  = lsv_out[3];   //사원명    --Login시 사용자 정보 Set 
	
	//만약 Bill 관련 정보가 없으면 가상유저로 정보를 설정
	if (GM.IsNull(GM.GovUser.billgukq) || GM.GovUser.billgukq == "") {
		GM.GovUser.billgukq = lsv_out[15];
	}
	if (GM.IsNull(GM.GovUser.billguknameq) || GM.GovUser.billguknameq == "") {
		GM.GovUser.billguknameq = lsv_out[16];
	}
	if (GM.IsNull(GM.GovUser.billjumpoq) || GM.GovUser.billjumpoq == "") {
		GM.GovUser.billjumpoq = lsv_out[18];
	}
	if (GM.IsNull(GM.GovUser.billjumponameq) || GM.GovUser.billjumponameq == "") {
		GM.GovUser.billjumponameq = lsv_out[19];
	}
	
	//---신계약
	GM.GovUser.newyuscode = lsv_out[9];   //영업소코드  
	GM.GovUser.newyusname = lsv_out[10];  //영업소명
	GM.GovUser.newyuspk   = lsv_out[11];  //영업소PK
	GM.GovUser.newyukcode = lsv_out[6];   //영업국코드
	GM.GovUser.newyukname = lsv_out[7];   //영업국명
	GM.GovUser.newyukpk   = lsv_out[8];   //영업국PK
	GM.GovUser.newsgscode = lsv_out[2];   //설계사코드
	GM.GovUser.newsgsname = lsv_out[3];   //설계사명
	GM.GovUser.newsgspk   =  lsv_out[12]; //설계사PK
	
	//가상 유저 정보
	GM.GovUser.jjcode_v = lsv_out[15];
	GM.GovUser.jjname_v = lsv_out[16];
	GM.GovUser.jjpk_v = lsv_out[17];
	GM.GovUser.yuscode_v = lsv_out[18];
	GM.GovUser.yusname_v = lsv_out[19];
	GM.GovUser.yuspk_v = lsv_out[20];
	
	SYSUtil.debug(screen, "GM.GovUser", GM.GovUser);
}


/**
 * 로그인 성공시
 * @return 없음
 */
function loginSuccess() {
	//세션스토리지의 키 전체 삭제
	factory.storageclear(0);

	//세션스토리지에 사용자정보값 저장
	factory.storagesetitem(0, "REMEMBER_LOGIN_NAME", this.chk_userId.getcheck() ? "Y" : "N");
	factory.storagesetitem(0, "REMEMBER_LOGIN_ID", this.chk_userId.getcheck() ? this.edt_USER_ID.gettext() : "");
}

/**
 * 사용자정보 조회
 * @return 없음
 */

function fn_getLoginHistory() {}

/**
 * 사용자정보 조회
 * @return 없음
 */
function fn_getUserInfo() {}

/**
 * 메뉴정보 조회
 * @return 없음
 */
function fn_getMenuInfo() {}

/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */

/**
 * Login 버튼 on_mouseup 이벤트
 */
function btnLogin_on_mouseup(objInst) {
	this.txLogin();
	//SYSVar.WINMAIN_MEMBER.txLoginComplete();
}

/**
 * ID keydown 이벤트 처리
 */
function edt_userName_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	// 엔터키 처리
	if (keycode == 13) {
		this.txLogin();
		return 1;
	}

	return 0;
}

/**
 * PW keydown 이벤트 처리
 */
function fldUSER_PASSWD_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	
	this.checkCapsLock(keycode, bshiftdown);
	
	// 엔터키 처리
	if (keycode == 13) {
		this.btnLogin_on_mouseup();
		return 1;
	}

	return 0;
}

function fldUserId_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	
	this.checkCapsLock(keycode, bshiftdown);
	return 0;
}

function txtInitPass_on_click(objInst) {
	//screen.loadportletpopup("InitPassword", "/SYS/UTIL/changePassword", "", true, XFD_BORDER_NONE, 0, 0, 0, 0, true, true, false);
	//this.screen.loadportletpopup("InitPassword", "/BIZ/C/BC/CC/CBCCCP06", "", true, XFD_BORDER_NONE, 0, 0, 0, 0, true, true, false);
	
    SYSUtil.loadPopup(this.screen, "비밀번호변경", "/BIZ/C/BC/CC/CBCCCP06", {"loginEmpNo":this.fldUserId.gettext(), "loginPwd":this.fldPassword.gettext(), "pwdInput":this.fldPassword}) ;
}

function loginMessageBox(strMsg, targetObj, recv_userheader){
	
	var ipAddr ="";
	var btnAble = false;
	var pwdInitCheck="";
	
	if(recv_userheader!=undefined){
		//console.log("############### recv_userheader >>>> "+recv_userheader);
		var ipAddr = SYSUtil.stringToJSON(recv_userheader).loginIpAddr;
			
		if(ipAddr!="" && ipAddr != null){
			btnAble = true;	
		}
		
		pwdInitCheck = SYSUtil.stringToJSON(recv_userheader).pswdInitChk;
		if(pwdInitCheck == "Y" ){
			btnAble = true;	
		}
	}
	var extraData = {
		MSG: strMsg,
		FOCUSOBJ : targetObj,
		BTNABLE : btnAble,
		PWDINITCHECK : pwdInitCheck
	};
	screen.loadportletpopup("로그인 안내", "/SYS/UTIL/loginMessageBox", "Login Info", true, XFD_BORDER_NONE, 0, 0, 0, 0, true, true, false, extraData);
}

function chk_SAVE_ID_on_click(objInst) {
	var chkId = this.chk_SAVE_ID.getcheck();
	if(chkId){
		var userId = this.fldUserId.gettext();
		factory.setcookie("userId", userId , 10000);
		factory.setcookie("checkGbn", "Y", 10000);
	}else{
		factory.setcookie("userId", "" );
	}
}

function screen_on_destroy() {
	return 1;
}

function bookmark_on_click(objInst) {

}

function setLoginUserInfo(){
	let rowCnt = this.DS_USER_LOGIN_INFO.getrowcount();
	if(rowCnt > 0){
		G_EMP_INFO.init();
		G_EMP_INFO.addrow();

		G_EMP_INFO.setdatabyname(0, "USER_NO",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNo"));
		G_EMP_INFO.setdatabyname(0, "USER_NM",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNm"));
		G_EMP_INFO.setdatabyname(0, "EMP_NO",      this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNo"));
		G_EMP_INFO.setdatabyname(0, "DEPT_CD",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "onworkDeptCd"));
		G_EMP_INFO.setdatabyname(0, "DEPT_NM",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "onworkDeptNm"));
		G_EMP_INFO.setdatabyname(0, "USER_DIV_CD", this.DS_USER_LOGIN_INFO.getdatabyname(0, "useFg"));
		//G_EMP_INFO.setdatabyname(0, "EMAIL_ADDR",  this.DS_USER_LOGIN_INFO.getdatabyname(0, "useFg"));
	}
}