﻿/* ================================================== 
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 화    면    ID : leftMain
 * 화    면    명 : 프레임 LEFT 메인
 * 화  면  설  명 : 
 * AS-IS 프로그램 : 
 *
 */


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */


function screen_on_load()
{
	SYSVar.LEFTMAIN_SCREEN = screen;
	SYSVar.LEFTMAIN_MEMBER = this;
	
	SYSVar.USE_LEFT_MENU = true;
	
	if (SYSVar.LEFT_MENU_INDEX == undefined) {
		SYSVar.LEFT_MENU_INDEX = 0;
	}
	
	
	
	
	this.setLeftMenu();
	
	// 동작 안되는것들 감추기
	this.tbvMenu.setrowhidden(0, true); // 메뉴검색
	this.tbvMenu.setrowhidden(1, true); // 전체화면, 관심화면
	
	this.btnMenuLeftArrow.setvisible(false);   // 오른쪽이동 
	this.btnMenuRightArrow.setvisible(false);  // 왼쪽이동
	
		
	// 업무 상수 정보를 G_CNST_INFO에 넣어준다.
	var extParam = {"sqlId":"CT_CNST_INF", "cnstNm":'' };
	SYSTran.getCmmDataList(this.screen, G_CNST_INF, extParam );
	
}

function setLeftMenu() 
{
	this.convMenu();
	this.convTempletMenu();
	this.setLeftQuickMenu();
}

function setLeftQuickMenu(bUse){
	if(bUse){
		this.tvLeft.setcolumnhidden(0, false, true);
	}else{
		this.tvLeft.setcolumnhidden(0, true, true);
		SYSVar.WINMAIN_MEMBER.tv1.setcolumnwidth(0, this.tvLeft.getcolumnwidth(1), true);
	}
}

/**
 *	메뉴를 생성한다
 **/
function convMenu(){

	let gMenuList = SYSVar.MENU_BY_ID_LEFT; 
	let rIdx = -1;
	let menuInfo;
	
	// 메뉴데이터셋 초기화
	this.xMenu.removeallrows();
	
	let lv2ndCnt = 0;
	let lv3thCnt = 0;
	
	let goToMenuId = "";
	let goToMenuPath = "";
	let goToTitle ="";
	let menuIndex  = 0;
	
	
	for(menuInfo in gMenuList){
		rIdx = this.xMenu.addrow();
		this.xMenu.setdatabyname(rIdx, "ID", gMenuList[menuInfo].menu_id, false);
		this.xMenu.setdatabyname(rIdx, "Depth", parseInt(gMenuList[menuInfo].menu_level), false);
		this.xMenu.setdatabyname(rIdx, "Title", gMenuList[menuInfo].menu_nm, false);
		this.xMenu.setdatabyname(rIdx, "Path", gMenuList[menuInfo].menu_path, false);
		this.xMenu.setdatabyname(rIdx, "SortNo", gMenuList[menuInfo].sort_no, false);
		this.xMenu.setdatabyname(rIdx, "PmenuID", gMenuList[menuInfo].pmenu_id, false);
		
		if( gMenuList[menuInfo].menu_level == '2'){
			lv2ndCnt=lv2ndCnt+1;
			goToMenuId = gMenuList[menuInfo].menu_id;
			menuIndex = this.xMenu.getrowcount();
			goToMenuPath = gMenuList[menuInfo].menu_path;
			goToTitle = gMenuList[menuInfo].menu_nm;
		}
		if( gMenuList[menuInfo].menu_level == '3'){
			lv3thCnt=lv3thCnt+1;
			goToMenuId = gMenuList[menuInfo].menu_id;
			menuIndex = this.xMenu.getrowcount();
			goToMenuPath = gMenuList[menuInfo].menu_path;
			goToTitle = gMenuList[menuInfo].menu_nm;
		}
	}
	
	//console.log(" lv2ndCnt >>>>>>>>>>>>>>>>>>>>>>>>>>>>   "+lv2ndCnt);
	//console.log(" lv3thCnt >>>>>>>>>>>>>>>>>>>>>>>>>>>>   "+lv3thCnt);
	//console.log(" menuIndex >>>>>>>>>>>>>>>>>>>>>>>>>>>>  "+menuIndex);
	//console.log(" goToMenuId >>>>>>>>>>>>>>>>>>>>>>>>>>>> "+goToMenuId);
	
	//SYSUtil.showDataSetLog(this.xMenu);
	
	//trm_leftMenu_on_itemclick(objInst, index, depth, type)
	
	if( lv2ndCnt==1 || lv3thCnt == 1 && goToMenuId != ""){
		let objMenuInfo = SYSVar.MENU_BY_ID_LEFT[goToMenuId];
		//SYSUtil.loadPortletByMenuId(screen, goToMenuId, objMenuInfo);
		var sendData = SYSVar.ssoSendParm;
        SYSUtil.goToWorkPage(this.screen, goToMenuPath , goToTitle , sendData);
	}
	
	//SYSUtil.showDataSetLog(this.xMenu);
	//this.trm_leftMenu.refresh();
	//this.trm_leftMenu_all.refresh();
	
	//SYSVar.TOPMAIN_MEMBER.tabTopMenu.settabitemfocus(0, false);
}

/**
 *	템플릿 메뉴를 생성한다
 **/
function convTempletMenu(){
//	console.log("[SYSLOG]leftmain:convTempletMenu");
//
//	let gMenuList = SYSVar.MENU_BY_ID_TEMPLET; // 템플릿용 LEFT 메뉴를 별도로 생성한다.
//	let rIdx = -1;
//	let menuInfo;
//		
//	// 메뉴데이터셋 초기화
//	this.xTempletMenu.removeallrows();
//	
//	for(menuInfo in gMenuList){
//		rIdx = this.xTempletMenu.addrow();
//		this.xTempletMenu.setdatabyname(rIdx, "ID", gMenuList[menuInfo].menu_id, false);
//		this.xTempletMenu.setdatabyname(rIdx, "Depth", parseInt(gMenuList[menuInfo].menu_level) - 1, false);
//		this.xTempletMenu.setdatabyname(rIdx, "Title", gMenuList[menuInfo].menu_nm, false);
//		this.xTempletMenu.setdatabyname(rIdx, "Path", gMenuList[menuInfo].menu_path, false);
//		this.xTempletMenu.setdatabyname(rIdx, "SortNo", gMenuList[menuInfo].sort_no, false);
//	}
//	this.trm_leftTempletMenu.refresh();
}



function btnMenu_on_mouseup(objInst)
{

}

function btnMyMenu_on_mouseup(objInst)
{
	
}

function btnSetting_on_mouseup(objInst)
{
	
}

/**
 *	메뉴 클릭 이벤트 처리
 **/
function trm_leftMenu_on_itemclick(objInst, index, depth, type)
{
	//console.log("########################" + objInst);

	// 메뉴가 상단메뉴별로 분기되기때문에 실제 데이터셋의 로우 인덱스로 처리
	let nDatasetRow = this.trm_leftMenu.getitemrowindex(index);

	let mPath  = this.xMenu.getdatabyname(nDatasetRow, "Path");
	let mID    = this.xMenu.getdatabyname(nDatasetRow, "ID");
	let mTitle = this.xMenu.getdatabyname(nDatasetRow, "Title");

     //console.log("[SYSLOG] 메뉴ID :" + mID);
     //console.log("[SYSLOG] 메뉴PATH :" + mPath);
     //console.log("[SYSLOG] 메뉴depth :" + depth);
	 //console.log("[SYSLOG] 메뉴 mTitle :" + mTitle);
	
	//SYSUtil.showDataSetLog(this.xMenu);
	
	if(depth==2){
		SYSVar.MENU_INFO.m_2nd = mTitle;
	}else if(depth==3){
		SYSVar.MENU_INFO.m_3rd = mTitle;
	}
	
	if(mID != "" && mPath != ""){
		
		let objMenuInfo = SYSVar.MENU_BY_ID_LEFT[mID];
		
		let menuPath = "" + objMenuInfo.menu_path;
		
		let scrId   = menuPath.substr(menuPath.lastIndexOf("/")+1);
		
		if ( scrId != ""){
			objMenuInfo.scr_id = scrId;
		}
				
		if (menuPath != "") {
			objMenuInfo.menu_path = menuPath;
		} else {
			SYSUtil.comAlert("메뉴경로가 올바르지 않습니다.");
			return;
		}
		
		// 탭중복 오픈 방지 로직 추가 같은 화면이면 기존 탭이 열리도록......
		var screenInfo;
		var cnt = SYSVar.MIDDLE_TAB.gettabitemcount();
	
		for(var i=0;i<cnt;i++){
			screenInfo = SYSVar.MIDDLE_TAB.getchildscreeninstance(i).extra_data;
			if(scrId == screenInfo.SCR_ID){
				SYSVar.MIDDLE_TAB.settabitemfocus(i);
				return;
			}
		}
		
		// 메뉴 더블클릭시 화면이 중복으로 로드되는걸 방지하기위해 타이머 eventlock을 설정한다. 기본interval 1000
		this.tm_leftMain.setenable(true);
		this.trm_leftMenu.eventlock(true, false);
		
		SYSUtil.loadPortletByMenuId(screen, mID, objMenuInfo);
	}
	
}

/**
 *	템플릿 메뉴 클릭 이벤트 처리
 **/
function trm_leftTempletMenu_on_itemclick(objInst, index, depth, type)
{
	let mPath = this.xTempletMenu.getdatabyname(index, "Path");
	let mID = this.xTempletMenu.getdatabyname(index, "ID");
	let mTitle = this.xTempletMenu.getdatabyname(index, "Title");
	
	console.log("[SYSLOG] 메뉴ID :" + mID);
	console.log("[SYSLOG] 메뉴PATH :" + mPath);
	
	if(mID != "" && mPath != ""){
		
		let objMenuInfo = SYSVar.MENU_BY_ID_TEMPLET[mID]; 
		
		// 메뉴 더블클릭시 화면이 중복으로 로드되는걸 방지하기위해 타이머 eventlock을 설정한다. 기본interval 1000
		this.tm_leftMain.setenable(true);
		this.trm_leftMenu.eventlock(true, false);
		
		if (objMenuInfo.popup == "Y") {
			SYSUtil.loadPopupByMenuId(screen, mID, objMenuInfo);
		} else {
			SYSUtil.loadPortletByMenuId(screen, mID, objMenuInfo);
		}

	}
}


function tm_leftMain_on_time(objInst)
{
	this.trm_leftMenu.eventlock(false, false);
	this.tm_leftMain.setenable(false);
}


/** 
 *	LEFT 메뉴종류 변경
 **/ 
function btnMenuArrow_on_mouseup(objInst)
{
	let itemCount = this.tabLeftMenu.gettabitemcount() - 1;
	let itemIndex = this.tabLeftMenu.gettabitemfocus();
	
	if(itemCount <= itemIndex){
		this.tabLeftMenu.settabitemfocus(0);
	}else{
		this.tabLeftMenu.settabitemfocus(parseInt(itemIndex) + 1);
	}
}
function _leftMenuPrev(objInst)
{
	let itemIndex = this.tabLeftMenu.gettabitemfocus();
	let itemCount = this.tabLeftMenu.gettabitemcount();
	
	if(itemIndex == 0){
		this.tabLeftMenu.settabitemfocus(itemCount - 1);
	}else{
		this.tabLeftMenu.settabitemfocus(parseInt(itemIndex) - 1);
	}
	
}
function _leftMenuNext(objInst)
{
	let itemIndex = this.tabLeftMenu.gettabitemfocus();
	let itemCount = this.tabLeftMenu.gettabitemcount();
	
	if(itemIndex == (itemCount - 1)){
		this.tabLeftMenu.settabitemfocus(0);
	}else{
		this.tabLeftMenu.settabitemfocus(parseInt(itemIndex) + 1);
	}
	
}

/**
 *  메뉴검색 클릭 이벤트 처리
 */
function left_menu_search_on_click(objInst, buttonclick)
{
	if(buttonclick) {
		//TODO : 메뉴 검색
		this.search_left_menu(objInst);
	}
}

/**
 *  메뉴검색 키 이벤트 처리
 */
function left_menu_search_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if (keycode == 13) {
		this.search_left_menu(objInst);
	}
	return 0;
}

/**
 *  메뉴검색 
 */
function search_left_menu(objInst){
	
	var strVal = objInst.gettext();

	var chkLength = 2;
	var objParam = {};
	
	// 개발단계 : 검색어 첫 문자가 "/" 일 경우 해당 경로의 파일을 열어준다.
	if(strVal.substr(0,1) == "/") {
		this.search_left_menu_path(objInst);
		return;
	}
	
	if (strVal.length >= chkLength) {
		console.log("search_left_menu");
		SYSUtil.setErrorObject(objInst, false);
		
		// 메뉴찾기
		let arrFindOpt = [];
		arrFindOpt.push("Title:=:\"*" + strVal + "*\":1:&");
		arrFindOpt.push("Path:<>:\"\":1:&");
		
		let findIdx = this.xMenu.findrowbyname(2, arrFindOpt.join(","));
		
		console.log("##### findIdx >>>> "+ findIdx);
		
		if(findIdx != -1) {
			
			objParam.TEXT = strVal;
			objParam.IDXARR = findIdx;
			objInst.settext("");
			objInst.sethinttext("메뉴검색");
			
			screen.loadportletpopup("searchLeftMenu", "/SYS/MAIN/SUB/searchLeftMenu", "메뉴검색", true, XFD_BORDER_NONE, 0, 0, 0, 0, false, true, true, objParam, true);
		} else {
			// TODO : 검색 결과 없음.	
		}
		
	} else {
		SYSUtil.setErrorObject(objInst, true, "검색어는 두글자 이상 입력하세요.");	
	}
	
}

/**
 *  메뉴 열기
 */
function search_left_menu_path(objInst){
	
	var str = objInst.gettext();
	if(str.length < 1 || str == "") {
		SYSUtil.setErrorObject(objInst, true, "화면경로를 입력하세요.");
	} else {
		SYSUtil.loadPortletByPath(this.screen, str, "");
	}
	
	
}

/**
 *  전체화면 버튼
 */
function btn_lnb_menu_on_mouseup(objInst)
{
	this.btn_lnb_menu.setforecolor(51,51,51);
	this.btn_lnb_favorite.setforecolor(153,153,153);
	this.btn_lnb_favorite.setimagenormal("/COM/MAIN/ico_lnb_favorite.png");
}
/**
 *  관심화면 버튼
 */
function btn_lnb_favorite_on_mouseup(objInst)
{
	this.btn_lnb_menu.setforecolor(153,153,153);
	this.btn_lnb_favorite.setforecolor(51,51,51);
	this.btn_lnb_favorite.setimagenormal("/COM/MAIN/ico_lnb_favorite_h.png");
	
}

/**
 *  대메뉴 확장 버튼
 */
function btnLeftMenuExpand_on_mouseup(objInst)
{
	
	if(this.btnLeftMenuExpand.getuserdata() == "OPEN"){
		this.trm_leftMenu.expanddepth(2, XFD_TREEITEM_COLLAPSE);
		this.btnLeftMenuExpand.setuserdata("CLOSE");
		this.btnLeftMenuExpand.setimagenormal("/COM/MAIN/ico_lnb_down.png");
		this.btnLeftMenuExpand.setimagedown("/COM/MAIN/ico_lnb_down.png");
		this.btnLeftMenuExpand.setimagehover("/COM/MAIN/ico_lnb_down_h.png");
	} else {
		this.trm_leftMenu.expandall(XFD_TREEITEM_EXPAND);
		this.btnLeftMenuExpand.setuserdata("OPEN");
		this.btnLeftMenuExpand.setimagenormal("/COM/MAIN/ico_lnb_up.png");
		this.btnLeftMenuExpand.setimagedown("/COM/MAIN/ico_lnb_up.png");
		this.btnLeftMenuExpand.setimagehover("/COM/MAIN/ico_lnb_up_h.png");
	}
	
}