﻿/*
 * 공통코드 정의 내역을 기록한다.
 * 메모리 부하때문에 많이 추가하지 않도록 노력할 것.
 */


/*
 * 영업코드 영역
 */

// 역할관리코드 (심사자, 전결권자)
var ROLE_SALEEXAM = "SALEEXAM";					// 심사자
var ROLE_SALEARVD = "SALEARVD";					// 전결권자


// 직무구분(S12051)
var S12051_SALEEXAM = "00010";					// 심사자
var S12051_SALEARVD = "00020";					// 전결권자



// 소득합산구분코드(S11001)
var S11001_SELF 				= "00010";		// 본인소득
var S11001_SPUS_SUM 			= "00020";		// 배우자소득합산

// 상품구분코드(S12014)
var S12014_MRTG				= "00010";		// 주택담보대출

// 소득대상구분코드(S12043)
var S12043_SELF				= "00010";		// 본인
var S12043_SPUS				= "00020";		// 배우자

// 소득종류구분코드(S12020)
var S12020_WORK				= "00010";		// 근로소득
var S12020_BIZ				= "00020";		// 사업소득
var S12020_ANN				= "00030";		// 연금소득
var S12020_ETC				= "00040";		// 기타소득
var S12020_ADMT				= "00050";		// 인정소득
var S12020_DECL				= "00060";		// 신고소득


// 소득증빙서류코드(S12044)
var S12044_INCO_AMT_CERT		= "00101";	// 세무서(홈택스)발급 소득금액증명원(일용직 납세사실증명원) 또는 재형저축소득확인증명서
var S12044_YYEND_ADJ			= "00102";	// 연말정산용 원천징수 영수증(원천징수부 등 원천징수 증명하는 서류)
var S12044_SALR_SPEC			= "00103";	// 급여내역 포함된 증명서(재직회사 날인 급여명세표, 임금대장, 갑근세원천징수확인서)
var S12044_BIZ_INCO_AMT_CERT	= "00201";	// 세무서(홈택스) 발급 소득금액 증명원 또는 재형저축 소득확인증명서
var S12044_TAX_STND			= "00202";	// 과세표준 확정신고서 및 자진납부 계산사(세무사 확인)
var S12044_RCNT_YY_BIZ_INCO	= "00203";	// 최근년도 연말정산용 사업소득 원천징수 영수증
var S12044_RCNT_RESI_INCO		= "00204";	// 최근년도 거주자의 사업소득 원천징수 영수증
var S12044_BNKB				= "00301";	// (연금증서 사본 OR 연금수급권자 확인서) + 연금수령통장(원본확인) 사본(국민,공무원,군인,사학,기타)
var S12044_ANN				= "00302";	// 연금산정용 가입내역확인서
var S12044_INSU				= "00303";	// 건강보험료 납부확인서
var S12044_YYEND_CARD			= "00401";	// 연말정산용 원천징수 영수증(신용카드 원천징수액)
var S12044_CRE_CARD			= "00402";	// 신용카드 사용 실적표

// 소득자료제출기간코드(S12045)
var S12045_YY1_INCO  			= "00010";	// 1개년 소득서류 제출자로 지속가능한 상시소득자(1년이하 재직(사업등))인 차주만 해당
var S12045_YY2_INCO 			= "00020";	// 2개년도 연소득(환산포함) 비교시 지속 가능한 상시소득자로 최근년도 연소득 적용
var S12045_YY2_20P_OVR			= "00030";	// 2개년도 연소득(환산포함) 차이가 ±20% 초과로 평균소득 적용
var S12045_YY1_10P_DOWN			= "00040";	// 1개년도 소득만 제공하여 10% 차감 (2개년도 소득서류 제출대상이나 일부 미제출)
var S12045_YY1_UNDR			= "00050";	// 1년이하 소득서류 제출자로 일시소득로 10% 차감



/*
 * 사후코드 영역
 */