package hanalife.a.ac.sf.mapper;

import java.util.List;
import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.a.ac.sf.mapper.dto.AcctMngDongWhaDSACCTSD01DTO;
import hanalife.a.ac.sf.mapper.dto.AcctMngDongWhaDSACCTSD02DTO;
import hanalife.a.ac.sf.mapper.dto.AcctMngDongWhaDSACCTSMDTO;
import hanalife.a.ac.sf.vo.AACSFM03DSACCTSD01CVO;

@Mapper("acctMngDongWhaMapper")
public interface AcctMngDongWhaMapper {

    public List<AcctMngDongWhaDSACCTSD01DTO> searchAcct(AcctMngDongWhaDSACCTSMDTO dsAcctSmDto);
    public Integer insertDSACCTDO1(List<AACSFM03DSACCTSD01CVO> listInsertData);
    public Integer updateDSACCTDO1(List<AACSFM03DSACCTSD01CVO> listUpdateData);
    public Integer deleteDSACCTDO1(List<AACSFM03DSACCTSD01CVO> listDeleteData);
    public String chkTdo(Map<String, String> acctYyMap);
    public Integer copy(AcctMngDongWhaDSACCTSD02DTO dsAcctSd02Dto);
    public List<AcctMngDongWhaDSACCTSD01DTO> searchCopyAcct(AcctMngDongWhaDSACCTSD02DTO dsAcctSd02Dto);
}
