package hanalife.a.ga.dz.svc;

/**
 * 더존 ERP 테이블 VO
 */
public class DzErpTVo {
    private String inDt;
    private long inSq;
    private long lnSq;
    private String coCd = "0101";
    private String inDivCd = "1001";    // 사업장코드
    private String logicCd = "11"; // 21-매입, 31-매출, 41-수금,51-기타, 11-일반
    private String isuDt ="00000000";
    private long isuSq = 0;
    private String divCd ="1001";   // 회계단위
    private String deptCd = "1100"; // 부서코드
    private String empCd;
    private String acctCd;  // 계정코드
    private String drcrFg;  // 차대구분(3-차변, 4-대변)
    private long acctAm;  // 계정금액 (double)
    private String rmkNb="0";   // 적요번호
    private String rmkDc;   // 적요
    private String attrCd;
    private String trcdTy;
    private String trnmTy;
    private String deptcdTy;
    private String pjtcdTy;
    private String ctnbTy;
    private String frdtTy;
    private String todtTy;
    private String qtTy;
    private String amTy;
    private String rtTy;
    private String dealTy;
    private String user1Ty;
    private String user2Ty;
    private String trCd;
    private String trNm;
    private String ctDept ="0";  // 회계팀 요청으로 1102 -> 0 으로 변경
    private String deptNm;
    private String pjtCd = "0";   // 부가세사업장코드 필수입력, 수금사원코드 ( 1001 -> 0 으로 변경)
    private String pjtNm;
    private String ctNb;
    private String frDt;
    private String toDt;
    private long ctQt = 0;    // (double)
    private long ctAm = 0;    // (double)
    private long ctRt = 0;    // (double)
    private String ctDeal;
    private String dealNm;
    private String ctUser1;
    private String user1Nm;
    private String ctUser2;
    private String user2Nm;
    private String exchTy;
    private long exchAm;  //(double)
    private String payment;
    private String isuNm;
    private String endorsNm;
    private String billFg1;
    private String billFg2;
    private String dummy1;
    private String dummy2;
    private String dummy3;
    private String insertDt;
    private String exFg = "0";
    private String trNmk;
    private String deptNmk;
    private String pjtNmk;
    private String dealNmk;
    private String user1Nmk;
    private String user2Nmk;
    private String rmkDck;
    private String isuDoc;  // 품의내역
    private String isuDock;
    private String prsFg;
    private String jeonjaYn;
    private String iyDeptNm;
    private String dealFg;
    private String paymentPt;
    private String senderEmpCd;
    private String issNo;
    private long docId;
    private String docNo;

    // 여신시스템 인터페이스 항목
    private String acctDt;
    private int clsSnum;
    private String tranTpCd;
    private String dcDivCd;
    private String loanAcctCd;
    private String acctCdErp;

    public String getInDt() {
        return inDt;
    }

    public void setInDt(String inDt) {
        this.inDt = inDt;
    }

    public long getInSq() {
        return inSq;
    }

    public void setInSq(long inSq) {
        this.inSq = inSq;
    }

    public long getLnSq() {
        return lnSq;
    }

    public void setLnSq(long lnSq) {
        this.lnSq = lnSq;
    }

    public String getCoCd() {
        return coCd;
    }

    public void setCoCd(String coCd) {
        this.coCd = coCd;
    }

    public String getInDivCd() {
        return inDivCd;
    }

    public void setInDivCd(String inDivCd) {
        this.inDivCd = inDivCd;
    }

    public String getLogicCd() {
        return logicCd;
    }

    public void setLogicCd(String logicCd) {
        this.logicCd = logicCd;
    }

    public String getIsuDt() {
        return isuDt;
    }

    public void setIsuDt(String isuDt) {
        this.isuDt = isuDt;
    }

    public long getIsuSq() {
        return isuSq;
    }

    public void setIsuSq(long isuSq) {
        this.isuSq = isuSq;
    }

    public String getDivCd() {
        return divCd;
    }

    public void setDivCd(String divCd) {
        this.divCd = divCd;
    }

    public String getDeptCd() {
        return deptCd;
    }

    public void setDeptCd(String deptCd) {
        this.deptCd = deptCd;
    }

    public String getEmpCd() {
        return empCd;
    }

    public void setEmpCd(String empCd) {
        this.empCd = empCd;
    }

    public String getAcctCd() {
        return acctCd;
    }

    public void setAcctCd(String acctCd) {
        this.acctCd = acctCd;
    }

    public String getDrcrFg() {
        return drcrFg;
    }

    public void setDrcrFg(String drcrFg) {
        this.drcrFg = drcrFg;
    }

    public long getAcctAm() {
        return acctAm;
    }

    public void setAcctAm(long acctAm) {
        this.acctAm = acctAm;
    }

    public String getRmkNb() {
        return rmkNb;
    }

    public void setRmkNb(String rmkNb) {
        this.rmkNb = rmkNb;
    }

    public String getRmkDc() {
        return rmkDc;
    }

    public void setRmkDc(String rmkDc) {
        this.rmkDc = rmkDc;
    }

    public String getAttrCd() {
        return attrCd;
    }

    public void setAttrCd(String attrCd) {
        this.attrCd = attrCd;
    }

    public String getTrcdTy() {
        return trcdTy;
    }

    public void setTrcdTy(String trcdTy) {
        this.trcdTy = trcdTy;
    }

    public String getTrnmTy() {
        return trnmTy;
    }

    public void setTrnmTy(String trnmTy) {
        this.trnmTy = trnmTy;
    }

    public String getDeptcdTy() {
        return deptcdTy;
    }

    public void setDeptcdTy(String deptcdTy) {
        this.deptcdTy = deptcdTy;
    }

    public String getPjtcdTy() {
        return pjtcdTy;
    }

    public void setPjtcdTy(String pjtcdTy) {
        this.pjtcdTy = pjtcdTy;
    }

    public String getCtnbTy() {
        return ctnbTy;
    }

    public void setCtnbTy(String ctnbTy) {
        this.ctnbTy = ctnbTy;
    }

    public String getFrdtTy() {
        return frdtTy;
    }

    public void setFrdtTy(String frdtTy) {
        this.frdtTy = frdtTy;
    }

    public String getTodtTy() {
        return todtTy;
    }

    public void setTodtTy(String todtTy) {
        this.todtTy = todtTy;
    }

    public String getQtTy() {
        return qtTy;
    }

    public void setQtTy(String qtTy) {
        this.qtTy = qtTy;
    }

    public String getAmTy() {
        return amTy;
    }

    public void setAmTy(String amTy) {
        this.amTy = amTy;
    }

    public String getRtTy() {
        return rtTy;
    }

    public void setRtTy(String rtTy) {
        this.rtTy = rtTy;
    }

    public String getDealTy() {
        return dealTy;
    }

    public void setDealTy(String dealTy) {
        this.dealTy = dealTy;
    }

    public String getUser1Ty() {
        return user1Ty;
    }

    public void setUser1Ty(String user1Ty) {
        this.user1Ty = user1Ty;
    }

    public String getUser2Ty() {
        return user2Ty;
    }

    public void setUser2Ty(String user2Ty) {
        this.user2Ty = user2Ty;
    }

    public String getTrCd() {
        return trCd;
    }

    public void setTrCd(String trCd) {
        this.trCd = trCd;
    }

    public String getTrNm() {
        return trNm;
    }

    public void setTrNm(String trNm) {
        this.trNm = trNm;
    }

    public String getCtDept() {
        return ctDept;
    }

    public void setCtDept(String ctDept) {
        this.ctDept = ctDept;
    }

    public String getDeptNm() {
        return deptNm;
    }

    public void setDeptNm(String deptNm) {
        this.deptNm = deptNm;
    }

    public String getPjtCd() {
        return pjtCd;
    }

    public void setPjtCd(String pjtCd) {
        this.pjtCd = pjtCd;
    }

    public String getPjtNm() {
        return pjtNm;
    }

    public void setPjtNm(String pjtNm) {
        this.pjtNm = pjtNm;
    }

    public String getCtNb() {
        return ctNb;
    }

    public void setCtNb(String ctNb) {
        this.ctNb = ctNb;
    }

    public String getFrDt() {
        return frDt;
    }

    public void setFrDt(String frDt) {
        this.frDt = frDt;
    }

    public String getToDt() {
        return toDt;
    }

    public void setToDt(String toDt) {
        this.toDt = toDt;
    }

    public long getCtQt() {
        return ctQt;
    }

    public void setCtQt(long ctQt) {
        this.ctQt = ctQt;
    }

    public long getCtAm() {
        return ctAm;
    }

    public void setCtAm(long ctAm) {
        this.ctAm = ctAm;
    }

    public long getCtRt() {
        return ctRt;
    }

    public void setCtRt(long ctRt) {
        this.ctRt = ctRt;
    }

    public String getCtDeal() {
        return ctDeal;
    }

    public void setCtDeal(String ctDeal) {
        this.ctDeal = ctDeal;
    }

    public String getDealNm() {
        return dealNm;
    }

    public void setDealNm(String dealNm) {
        this.dealNm = dealNm;
    }

    public String getCtUser1() {
        return ctUser1;
    }

    public void setCtUser1(String ctUser1) {
        this.ctUser1 = ctUser1;
    }

    public String getUser1Nm() {
        return user1Nm;
    }

    public void setUser1Nm(String user1Nm) {
        this.user1Nm = user1Nm;
    }

    public String getCtUser2() {
        return ctUser2;
    }

    public void setCtUser2(String ctUser2) {
        this.ctUser2 = ctUser2;
    }

    public String getUser2Nm() {
        return user2Nm;
    }

    public void setUser2Nm(String user2Nm) {
        this.user2Nm = user2Nm;
    }

    public String getExchTy() {
        return exchTy;
    }

    public void setExchTy(String exchTy) {
        this.exchTy = exchTy;
    }

    public long getExchAm() {
        return exchAm;
    }

    public void setExchAm(long exchAm) {
        this.exchAm = exchAm;
    }

    public String getPayment() {
        return payment;
    }

    public void setPayment(String payment) {
        this.payment = payment;
    }

    public String getIsuNm() {
        return isuNm;
    }

    public void setIsuNm(String isuNm) {
        this.isuNm = isuNm;
    }

    public String getEndorsNm() {
        return endorsNm;
    }

    public void setEndorsNm(String endorsNm) {
        this.endorsNm = endorsNm;
    }

    public String getBillFg1() {
        return billFg1;
    }

    public void setBillFg1(String billFg1) {
        this.billFg1 = billFg1;
    }

    public String getBillFg2() {
        return billFg2;
    }

    public void setBillFg2(String billFg2) {
        this.billFg2 = billFg2;
    }

    public String getDummy1() {
        return dummy1;
    }

    public void setDummy1(String dummy1) {
        this.dummy1 = dummy1;
    }

    public String getDummy2() {
        return dummy2;
    }

    public void setDummy2(String dummy2) {
        this.dummy2 = dummy2;
    }

    public String getDummy3() {
        return dummy3;
    }

    public void setDummy3(String dummy3) {
        this.dummy3 = dummy3;
    }

    public String getInsertDt() {
        return insertDt;
    }

    public void setInsertDt(String insertDt) {
        this.insertDt = insertDt;
    }

    public String getExFg() {
        return exFg;
    }

    public void setExFg(String exFg) {
        this.exFg = exFg;
    }

    public String getTrNmk() {
        return trNmk;
    }

    public void setTrNmk(String trNmk) {
        this.trNmk = trNmk;
    }

    public String getDeptNmk() {
        return deptNmk;
    }

    public void setDeptNmk(String deptNmk) {
        this.deptNmk = deptNmk;
    }

    public String getPjtNmk() {
        return pjtNmk;
    }

    public void setPjtNmk(String pjtNmk) {
        this.pjtNmk = pjtNmk;
    }

    public String getDealNmk() {
        return dealNmk;
    }

    public void setDealNmk(String dealNmk) {
        this.dealNmk = dealNmk;
    }

    public String getUser1Nmk() {
        return user1Nmk;
    }

    public void setUser1Nmk(String user1Nmk) {
        this.user1Nmk = user1Nmk;
    }

    public String getUser2Nmk() {
        return user2Nmk;
    }

    public void setUser2Nmk(String user2Nmk) {
        this.user2Nmk = user2Nmk;
    }

    public String getRmkDck() {
        return rmkDck;
    }

    public void setRmkDck(String rmkDck) {
        this.rmkDck = rmkDck;
    }

    public String getIsuDoc() {
        return isuDoc;
    }

    public void setIsuDoc(String isuDoc) {
        this.isuDoc = isuDoc;
    }

    public String getIsuDock() {
        return isuDock;
    }

    public void setIsuDock(String isuDock) {
        this.isuDock = isuDock;
    }

    public String getPrsFg() {
        return prsFg;
    }

    public void setPrsFg(String prsFg) {
        this.prsFg = prsFg;
    }

    public String getJeonjaYn() {
        return jeonjaYn;
    }

    public void setJeonjaYn(String jeonjaYn) {
        this.jeonjaYn = jeonjaYn;
    }

    public String getIyDeptNm() {
        return iyDeptNm;
    }

    public void setIyDeptNm(String iyDeptNm) {
        this.iyDeptNm = iyDeptNm;
    }

    public String getDealFg() {
        return dealFg;
    }

    public void setDealFg(String dealFg) {
        this.dealFg = dealFg;
    }

    public String getPaymentPt() {
        return paymentPt;
    }

    public void setPaymentPt(String paymentPt) {
        this.paymentPt = paymentPt;
    }

    public String getSenderEmpCd() {
        return senderEmpCd;
    }

    public void setSenderEmpCd(String senderEmpCd) {
        this.senderEmpCd = senderEmpCd;
    }

    public String getIssNo() {
        return issNo;
    }

    public void setIssNo(String issNo) {
        this.issNo = issNo;
    }

    public long getDocId() {
        return docId;
    }

    public void setDocId(long docId) {
        this.docId = docId;
    }

    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }

    public String getAcctDt() {
        return acctDt;
    }

    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }

    public int getClsSnum() {
        return clsSnum;
    }

    public void setClsSnum(int clsSnum) {
        this.clsSnum = clsSnum;
    }

    public String getTranTpCd() {
        return tranTpCd;
    }

    public void setTranTpCd(String tranTpCd) {
        this.tranTpCd = tranTpCd;
    }

    public String getDcDivCd() {
        return dcDivCd;
    }

    public void setDcDivCd(String dcDivCd) {
        this.dcDivCd = dcDivCd;
    }

    public String getLoanAcctCd() {
        return loanAcctCd;
    }

    public void setLoanAcctCd(String loanAcctCd) {
        this.loanAcctCd = loanAcctCd;
    }

    public String getAcctCdErp() {
        return acctCdErp;
    }

    public void setAcctCdErp(String acctCdErp) {
        this.acctCdErp = acctCdErp;
    }

    @Override
    public String toString() {
        return "DzErpTVo{" +
                "inDt='" + inDt + '\'' +
                ", inSq=" + inSq +
                ", lnSq=" + lnSq +
                ", coCd='" + coCd + '\'' +
                ", inDivCd='" + inDivCd + '\'' +
                ", logicCd='" + logicCd + '\'' +
                ", isuDt='" + isuDt + '\'' +
                ", isuSq=" + isuSq +
                ", divCd='" + divCd + '\'' +
                ", deptCd='" + deptCd + '\'' +
//                ", empCd='" + empCd + '\'' +
                ", acctCd='" + acctCd + '\'' +
                ", drcrFg='" + drcrFg + '\'' +
                ", acctAm=" + acctAm +
                ", rmkNb='" + rmkNb + '\'' +
                ", rmkDc='" + rmkDc + '\'' +
//                ", attrCd='" + attrCd + '\'' +
//                ", trcdTy='" + trcdTy + '\'' +
//                ", trnmTy='" + trnmTy + '\'' +
//                ", deptcdTy='" + deptcdTy + '\'' +
//                ", pjtcdTy='" + pjtcdTy + '\'' +
//                ", ctnbTy='" + ctnbTy + '\'' +
//                ", frdtTy='" + frdtTy + '\'' +
//                ", todtTy='" + todtTy + '\'' +
//                ", qtTy='" + qtTy + '\'' +
//                ", amTy='" + amTy + '\'' +
//                ", rtTy='" + rtTy + '\'' +
//                ", dealTy='" + dealTy + '\'' +
//                ", user1Ty='" + user1Ty + '\'' +
//                ", user2Ty='" + user2Ty + '\'' +
                ", trCd='" + trCd + '\'' +
//                ", trNm='" + trNm + '\'' +
                ", ctDept='" + ctDept + '\'' +
//                ", deptNm='" + deptNm + '\'' +
                ", pjtCd='" + pjtCd + '\'' +
//                ", pjtNm='" + pjtNm + '\'' +
//                ", ctNb='" + ctNb + '\'' +
//                ", frDt='" + frDt + '\'' +
//                ", toDt='" + toDt + '\'' +
//                ", ctQt=" + ctQt +
//                ", ctAm=" + ctAm +
//                ", ctRt=" + ctRt +
//                ", ctDeal='" + ctDeal + '\'' +
//                ", dealNm='" + dealNm + '\'' +
//                ", ctUser1='" + ctUser1 + '\'' +
//                ", user1Nm='" + user1Nm + '\'' +
//                ", ctUser2='" + ctUser2 + '\'' +
//                ", user2Nm='" + user2Nm + '\'' +
//                ", exchTy='" + exchTy + '\'' +
//                ", exchAm=" + exchAm +
//                ", payment='" + payment + '\'' +
//                ", isuNm='" + isuNm + '\'' +
//                ", endorsNm='" + endorsNm + '\'' +
//                ", billFg1='" + billFg1 + '\'' +
//                ", billFg2='" + billFg2 + '\'' +
                ", dummy1='" + dummy1 + '\'' +
//                ", dummy2='" + dummy2 + '\'' +
//                ", dummy3='" + dummy3 + '\'' +
                ", insertDt='" + insertDt + '\'' +
                ", exFg='" + exFg + '\'' +
//                ", trNmk='" + trNmk + '\'' +
//                ", deptNmk='" + deptNmk + '\'' +
//                ", pjtNmk='" + pjtNmk + '\'' +
//                ", dealNmk='" + dealNmk + '\'' +
//                ", user1Nmk='" + user1Nmk + '\'' +
//                ", user2Nmk='" + user2Nmk + '\'' +
//                ", rmkDck='" + rmkDck + '\'' +
//                ", isuDoc='" + isuDoc + '\'' +
//                ", isuDock='" + isuDock + '\'' +
//                ", prsFg='" + prsFg + '\'' +
//                ", jeonjaYn='" + jeonjaYn + '\'' +
//                ", iyDeptNm='" + iyDeptNm + '\'' +
//                ", dealFg='" + dealFg + '\'' +
//                ", paymentPt='" + paymentPt + '\'' +
//                ", senderEmpCd='" + senderEmpCd + '\'' +
//                ", issNo='" + issNo + '\'' +
//                ", docId=" + docId +
//                ", docNo='" + docNo + '\'' +
                ", acctDt='" + acctDt + '\'' +
                ", clsSnum=" + clsSnum +
                ", tranTpCd='" + tranTpCd + '\'' +
                ", dcDivCd='" + dcDivCd + '\'' +
                ", loanAcctCd='" + loanAcctCd + '\'' +
                ", acctCdErp='" + acctCdErp + '\'' +
                '}';
    }
}
