package hanalife.b.cl.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cl.dl.mapper.dto.OnlnDlyReptBndDTO;
import hanalife.b.cl.dl.mapper.dto.OnlnDlyReptComnDTO;
import hanalife.b.cl.dl.mapper.dto.OnlnDlyReptResultDTO;

@Mapper("OnlnDlyReptMapper")
public interface OnlnDlyReptMapper {


	/**
	* <pre>
	* 메소드명      : sqlDelTmpAfddDlyInfo2
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlDelTmpAfddDlyInfo2(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlDelTmpAfddDlyInfo2Paral
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 해지건 대상에서 제외
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlDelTmpAfddDlyInfo2Paral(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlDelTmpOnlnDlyInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 현재일 이전 데이타 삭제
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlDelTmpOnlnDlyInfo(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlDelTmpOnlnDlyInfo1
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 기존건 있으면 삭제
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlDelTmpOnlnDlyInfo1(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlDelTmpOnlnDlyInfo2
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 해지건 대상에서 제외
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlDelTmpOnlnDlyInfo2(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlDelTmpOnlnDlyInfo2Paral
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 해지건 대상에서 제외
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlDelTmpOnlnDlyInfo2Paral(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlInsTmpOnlnDlyInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 당일 신규건 Insert
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlInsTmpOnlnDlyInfo(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlInsTmpOnlnDlyInfo1
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlInsTmpOnlnDlyInfo1(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlInsTmpOnlnDlyInfoParal
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 당일 신규건 Insert
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlInsTmpOnlnDlyInfoParal(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlLastUpTmpOnlnDlyInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptBndDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlLastUpTmpOnlnDlyInfo(OnlnDlyReptBndDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpdBndClsBaseNotoday
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpdBndClsBaseNotoday(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpdBndClsBaseToday
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpdBndClsBaseToday(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpdBndClsBaseToday3
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 채권마감기본 당일 - 해지건 반영
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpdBndClsBaseToday3(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpdThmmRmbrInfo1
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpdThmmRmbrInfo1(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpdThmmRmbrInfo2
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpdThmmRmbrInfo2(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpdThmmRmbrInfo3
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpdThmmRmbrInfo3(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpTmpOnlnDlyInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 당일 변경건 Update
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpTmpOnlnDlyInfo(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlUpTmpOnlnDlyInfoParal
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 당일 변경건 Update
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  : X
	* 예외처리      : Exception
	* </pre>
	*/
	void sqlUpTmpOnlnDlyInfoParal(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelThmmRmbrInfo1
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelThmmRmbrInfo1(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelThmmRmbrInfo2
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelThmmRmbrInfo2(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelThmmRmbrInfo3
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelThmmRmbrInfo3(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelTmpLoanInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelTmpLoanInfo(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelTmpOnlnDlyInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelTmpOnlnDlyInfo(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelTmpOnlnDlyInfo1
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelTmpOnlnDlyInfo1(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelTmpOnlnDlyInfoParal
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  List<OnlnDlyReptResultDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	List<OnlnDlyReptResultDTO> sqlSelTmpOnlnDlyInfoParal(OnlnDlyReptComnDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : sqlSelWorkLoanInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : prodcess 별 처리 대상건 조회
	* 메소드인수1   :  OnlnDlyReptComnDT 입력
	* 메소드리턴값  :  출력
	* 예외처리      : Exception
	* </pre>
	*/
	OnlnDlyReptResultDTO sqlSelWorkLoanInfo(OnlnDlyReptComnDTO dto) throws Exception;

}
