package hanalife.b.cl.dl.vo.tmp;

/**
 * <pre>
 * 클래스명    : TimsUnrcvVO
 * 클래스설명 : ★★★★ 나중에 업무 VO 정리되면 해당 VO 사용 예정
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class TimsUnrcvVO  {
	private String loanNo; //대출_번호
	private String loanSeq; //대출_순번
	private int tims; //회차
	private String endDivCd; //종료구분코드
	private String rmbrFrmlCd; //상환_방식_코드
	private String dueDt; //납입_일자
	private String rlDueDt; //실_납입_일자
	private String lastSetlDt; //최종_결제일자
	private String preSetlFg;
	private String setlDt; //결제일자
	private String askDivCd; //청구_구분코드
	private String askDivNm; //청구_구분명
	private long timsBfPamtRamt; //회차_전_원금_잔액
	private long timsAfPamtRamt; //회차_후_원금_잔액
	private long mmPiamt; //월_원리금
	private long leasFee;  //리스료
	private long baseLeasFee;  //기본리스료
	private long addLeasFee; //가산리스료
	private long mmPamt; //월_원금
	private long mmInt; //월_이자
	private long trtFee;	//취급수수료
	private long psgInt; //경과이자
	private long ppayInt; //선급이자
	private long tint; //총이자
	private long addInsuFee; //가산보험료
	private long addCartax; //가산자동차세
	private long addEnvImprBrdnamt; //가산환개금
	private long addAsfee;  //가산정비료
	private long vtax;  //부가세
	private long ipayCartax;  //대지급자동차세
	private long ipayEnvImprBrdnamt;  //대지급환개금
	private long ipayInsuFee;  //대지급보험료
	private long ipayPnltAmt;  //대지급범칙금
	private long ipayEtc;  //대지급기타
	private long ipayTax;  //대지급조세
	private long insuFee;  //보험료
	private long cartax;  //자동차세
	private long envImprBrdnamt;  //환개금
	private long ltrmBrcvAmt;  //장기선수금
	private long guarAmt;  //보증금액
	private long ramtAmt;  //잔가금액
	private long setlAmt; //결제_금액
	private long setlLeasFee;  //청구리스료
	private long setlBaseLeasFee;  //청구기본리스료
	private long setlAddLeasFee; //청구가산리스료
	private long setlPamt; //결제_원금
	private long setlInt; //결제_이자
	private long setlTrtFee;	//결제취급수수료
	private long setlPpayInt;  //결제선급이자
	private long setlTint;  //결제총이자
	private long setlAddInsuFee;  //결제가산보험료
	private long setlAddCartax;  //결제가산자동차세
	private long setlAddEnvImprBrdnamt;  //결제가산환개금
	private long setlAddAsfee;  //결제가산정비료
	private long setlVtax;  //결제부가세
	private long setlIpayCartax;  //결제대지급자동차세
	private long setlIpayEnvImprBrdnamt;  //결제대지급환개금
	private long setlIpayInsuFee;  //결제대지급보험료
	private long setlIpayPnltAmt;  //결제대지급범칙금
	private long setlIpayEtc;  //결제대지급기타
	private long setlIpayTax;  //결제대지급조세
	private long setlCartax;  //결제자동차세
	private long setlEnvImprBrdnamt;  //결제환개금
	private long setlInsuFee;  //결제보험료
	private long setlLtrmBrcvAmt;  //결제장기선수금
	private long setlRamtAmt;  //잔가금액
	private long setlGuarAmt;  //보증금액
	private long setlDfee; //결제_연체료
	private long ltrmAdjAmt; //장기선수대체금액
	private long ltrmPamt; //장기선수대체_원금
	private long ltrmInt; //장기선수대체_이자
	private long ltrmPpayInt;  //장기선수대체선급이자
	private long ltrmAddInsuFee;  //장기선수대체가산보험료
	private long ltrmAddCartax;  //장기선수대체가산자동차세
	private long ltrmAddEnvImprBrdnamt;  //장기선수대체가산환개금
	private long ltrmAddAsfee;  //장기선수대체가산정비료
	private long ltrmVtax;  //장기선수대체부가세
	private long askAmt; //청구_금액
	private long askLeasFee;  //청구리스료
	private long askBaseLeasFee;  //청구기본리스료
	private long askAddLeasFee; //청구가산리스료
	private long askPamt; //청구_원금
	private long askInt; //청구_이자
	private long askTrtFee;	//청구취급수수료
	private long askPpayInt;  //청구선급이자
	private long askTint;  //청구총이자
	private long askAddInsuFee;  //청구가산보험료
	private long askAddCartax;  //청구가산자동차세
	private long askAddEnvImprBrdnamt; //청구가산환개금
	private long askAddAsfee;  //청구가산정비료
	private long askVtax;  //청구부가세
	private long askIpayCartax;  //청구대지급자동차세
	private long askIpayEnvImprBrdnamt;  //청구대지급환개금
	private long askIpayInsuFee;  //청구대지급보험료
	private long askIpayPnltAmt;  //청구대지급범칙금
	private long askIpayEtc;  //청구대지급기타
	private long askIpayTax;  //청구대지급조세
	private long askCartax;  //청구자동차세
	private long askEnvImprBrdnamt;  //청구환개금
	private long askInsuFee;  //청구보험료
	private long askLtrmBrcvAmt;  //청구장기선수금
	private long askRamtAmt;  //청구잔가금액
	private long askGuarAmt;  //청구보증금액
	private long askDfee;      //청구_연체료
	private long rcptObjAmt; //수납_대상_금액
	private long leglActnCost; //법적_조치_비용
	private long stmpFee;	// 인지세
	private long occrDfee; //발생_연체료
	private long holyDfee; //휴일_연체료
	private long preObjDfee; //기_대상_연체료
	private long preAdjDfee; //기_정산_연체료
	private long preOccrDfee; //기_발생_연체료
	private long pdueDfee; //선납_연체료
	private long exmpDfee; //면제_연체료
	private long pdueDiscDfee; //선납_할인_연체료
	private String intStrtDt; //이자_시작일자
	private String intEndDt; //이자_종료일자
	private int psgDdcnt; //경과_일수
	private String dlyFg; //연체_여부
	private boolean isDly(){
		return "1".equals(dlyFg);
	}
	private String dlyCalcDt; //연체_계산_일자
	private int dlyDdcnt; //연체_일수
	private int occrDlyDdcnt; //발생_연체_일수
	private int dlyMmCnt; //연체_개월수
	private int dlyTcnt; //연체_횟수
	private String pdueFg; //선납_여부
	private double loanIntRt; //대출_이자율
	private double dfeeRt; //연체료_율
	private double addDfeeRt; //가산_연체료_율
	private double loseDfeeRt; //상실_연체료_율
	private int dlyCnt; //연체_건수
	private String dlyCalcSdt; //연체계산_시작일자
	private String dlyCalcEdt; //연체계산_종료일자
	private String loseDlyStrtDt; //상실_연체_시작일자
	private String loseDlyEndDt; //상실_연체_종료일자
	private String loseDueDt; //상실_납입_일자
	private String loseDt; //상실_일자
	private String isLoseTims;	//상실회차인지 여부
	private long loseMmPamt; //상실_월_원금
	private long loseMmInt; //상실_월_이자
	private long losePamtRamt; //상실_원금_잔액
	private long timsBfAskPamt; //회차_전_청구_원금
	private long losePiamtDfee; //상실_원리금_연체료
	private long loseIntDfee; //상실_이자_연체료
	private long loseRamtDfee; //상실_잔액_연체료
	private String loseIntStrtDt; //상실_이자_시작일자
	private String loseIntEndDt; //상실_이자_종료일자

	private String loseIntPsgStrtDt;	//상실이자경과시작일자
	private String loseIntPsgEndDt;	//상실이자경과종료일자
	private String loseIntCalcStrtDt;	// 상실회차계산 시작일자
	private String loseIntCalcEndDt;		// 상실회차계산 종료일자

	private int losePiamtDlyDdcnt;	//상실_원리금_연체_일수
	private int loseIntDlyDdcnt;		//상실_이자_연체_일수
	private int losePamtDlyDdcnt;	//상실_원금_연체_일수
	private int loseIntPsgDdcnt;		//상실경과이자일수

	private String loseFg; //상실_여부
	private long loseObjPsgInt;
	private long losePsgInt;
	private int losePsgDdcnt;
	private int loseTimsDdcnt;
	private long termPartInt;
	private long midTermPartInt;
	private long mainRmbrPamt;
	private int pdueTotCnt;	//선납누적건수
	private String dfeeCalcDt;
	private String dlyToolTip;
	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public int getTims() {
		return tims;
	}
	public String getEndDivCd() {
		return endDivCd;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public String getDueDt() {
		return dueDt;
	}
	public String getRlDueDt() {
		return rlDueDt;
	}
	public String getLastSetlDt() {
		return lastSetlDt;
	}
	public String getPreSetlFg() {
		return preSetlFg;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public String getAskDivCd() {
		return askDivCd;
	}
	public String getAskDivNm() {
		return askDivNm;
	}
	public long getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public long getMmPiamt() {
		return mmPiamt;
	}
	public long getLeasFee() {
		return leasFee;
	}
	public long getBaseLeasFee() {
		return baseLeasFee;
	}
	public long getAddLeasFee() {
		return addLeasFee;
	}
	public long getMmPamt() {
		return mmPamt;
	}
	public long getMmInt() {
		return mmInt;
	}
	public long getTrtFee() {
		return trtFee;
	}
	public long getPsgInt() {
		return psgInt;
	}
	public long getPpayInt() {
		return ppayInt;
	}
	public long getTint() {
		return tint;
	}
	public long getAddInsuFee() {
		return addInsuFee;
	}
	public long getAddCartax() {
		return addCartax;
	}
	public long getAddEnvImprBrdnamt() {
		return addEnvImprBrdnamt;
	}
	public long getAddAsfee() {
		return addAsfee;
	}
	public long getVtax() {
		return vtax;
	}
	public long getIpayCartax() {
		return ipayCartax;
	}
	public long getIpayEnvImprBrdnamt() {
		return ipayEnvImprBrdnamt;
	}
	public long getIpayInsuFee() {
		return ipayInsuFee;
	}
	public long getIpayPnltAmt() {
		return ipayPnltAmt;
	}
	public long getIpayEtc() {
		return ipayEtc;
	}
	public long getIpayTax() {
		return ipayTax;
	}
	public long getInsuFee() {
		return insuFee;
	}
	public long getCartax() {
		return cartax;
	}
	public long getEnvImprBrdnamt() {
		return envImprBrdnamt;
	}
	public long getLtrmBrcvAmt() {
		return ltrmBrcvAmt;
	}
	public long getGuarAmt() {
		return guarAmt;
	}
	public long getRamtAmt() {
		return ramtAmt;
	}
	public long getSetlAmt() {
		return setlAmt;
	}
	public long getSetlLeasFee() {
		return setlLeasFee;
	}
	public long getSetlBaseLeasFee() {
		return setlBaseLeasFee;
	}
	public long getSetlAddLeasFee() {
		return setlAddLeasFee;
	}
	public long getSetlPamt() {
		return setlPamt;
	}
	public long getSetlInt() {
		return setlInt;
	}
	public long getSetlTrtFee() {
		return setlTrtFee;
	}
	public long getSetlPpayInt() {
		return setlPpayInt;
	}
	public long getSetlTint() {
		return setlTint;
	}
	public long getSetlAddInsuFee() {
		return setlAddInsuFee;
	}
	public long getSetlAddCartax() {
		return setlAddCartax;
	}
	public long getSetlAddEnvImprBrdnamt() {
		return setlAddEnvImprBrdnamt;
	}
	public long getSetlAddAsfee() {
		return setlAddAsfee;
	}
	public long getSetlVtax() {
		return setlVtax;
	}
	public long getSetlIpayCartax() {
		return setlIpayCartax;
	}
	public long getSetlIpayEnvImprBrdnamt() {
		return setlIpayEnvImprBrdnamt;
	}
	public long getSetlIpayInsuFee() {
		return setlIpayInsuFee;
	}
	public long getSetlIpayPnltAmt() {
		return setlIpayPnltAmt;
	}
	public long getSetlIpayEtc() {
		return setlIpayEtc;
	}
	public long getSetlIpayTax() {
		return setlIpayTax;
	}
	public long getSetlCartax() {
		return setlCartax;
	}
	public long getSetlEnvImprBrdnamt() {
		return setlEnvImprBrdnamt;
	}
	public long getSetlInsuFee() {
		return setlInsuFee;
	}
	public long getSetlLtrmBrcvAmt() {
		return setlLtrmBrcvAmt;
	}
	public long getSetlRamtAmt() {
		return setlRamtAmt;
	}
	public long getSetlGuarAmt() {
		return setlGuarAmt;
	}
	public long getSetlDfee() {
		return setlDfee;
	}
	public long getLtrmAdjAmt() {
		return ltrmAdjAmt;
	}
	public long getLtrmPamt() {
		return ltrmPamt;
	}
	public long getLtrmInt() {
		return ltrmInt;
	}
	public long getLtrmPpayInt() {
		return ltrmPpayInt;
	}
	public long getLtrmAddInsuFee() {
		return ltrmAddInsuFee;
	}
	public long getLtrmAddCartax() {
		return ltrmAddCartax;
	}
	public long getLtrmAddEnvImprBrdnamt() {
		return ltrmAddEnvImprBrdnamt;
	}
	public long getLtrmAddAsfee() {
		return ltrmAddAsfee;
	}
	public long getLtrmVtax() {
		return ltrmVtax;
	}
	public long getAskAmt() {
		return askAmt;
	}
	public long getAskLeasFee() {
		return askLeasFee;
	}
	public long getAskBaseLeasFee() {
		return askBaseLeasFee;
	}
	public long getAskAddLeasFee() {
		return askAddLeasFee;
	}
	public long getAskPamt() {
		return askPamt;
	}
	public long getAskInt() {
		return askInt;
	}
	public long getAskTrtFee() {
		return askTrtFee;
	}
	public long getAskPpayInt() {
		return askPpayInt;
	}
	public long getAskTint() {
		return askTint;
	}
	public long getAskAddInsuFee() {
		return askAddInsuFee;
	}
	public long getAskAddCartax() {
		return askAddCartax;
	}
	public long getAskAddEnvImprBrdnamt() {
		return askAddEnvImprBrdnamt;
	}
	public long getAskAddAsfee() {
		return askAddAsfee;
	}
	public long getAskVtax() {
		return askVtax;
	}
	public long getAskIpayCartax() {
		return askIpayCartax;
	}
	public long getAskIpayEnvImprBrdnamt() {
		return askIpayEnvImprBrdnamt;
	}
	public long getAskIpayInsuFee() {
		return askIpayInsuFee;
	}
	public long getAskIpayPnltAmt() {
		return askIpayPnltAmt;
	}
	public long getAskIpayEtc() {
		return askIpayEtc;
	}
	public long getAskIpayTax() {
		return askIpayTax;
	}
	public long getAskCartax() {
		return askCartax;
	}
	public long getAskEnvImprBrdnamt() {
		return askEnvImprBrdnamt;
	}
	public long getAskInsuFee() {
		return askInsuFee;
	}
	public long getAskLtrmBrcvAmt() {
		return askLtrmBrcvAmt;
	}
	public long getAskRamtAmt() {
		return askRamtAmt;
	}
	public long getAskGuarAmt() {
		return askGuarAmt;
	}
	public long getAskDfee() {
		return askDfee;
	}
	public long getRcptObjAmt() {
		return rcptObjAmt;
	}
	public long getLeglActnCost() {
		return leglActnCost;
	}
	public long getStmpFee() {
		return stmpFee;
	}
	public long getOccrDfee() {
		return occrDfee;
	}
	public long getHolyDfee() {
		return holyDfee;
	}
	public long getPreObjDfee() {
		return preObjDfee;
	}
	public long getPreAdjDfee() {
		return preAdjDfee;
	}
	public long getPreOccrDfee() {
		return preOccrDfee;
	}
	public long getPdueDfee() {
		return pdueDfee;
	}
	public long getExmpDfee() {
		return exmpDfee;
	}
	public long getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public String getIntStrtDt() {
		return intStrtDt;
	}
	public String getIntEndDt() {
		return intEndDt;
	}
	public int getPsgDdcnt() {
		return psgDdcnt;
	}
	public String getDlyFg() {
		return dlyFg;
	}
	public String getDlyCalcDt() {
		return dlyCalcDt;
	}
	public int getDlyDdcnt() {
		return dlyDdcnt;
	}
	public int getOccrDlyDdcnt() {
		return occrDlyDdcnt;
	}
	public int getDlyMmCnt() {
		return dlyMmCnt;
	}
	public int getDlyTcnt() {
		return dlyTcnt;
	}
	public String getPdueFg() {
		return pdueFg;
	}
	public double getLoanIntRt() {
		return loanIntRt;
	}
	public double getDfeeRt() {
		return dfeeRt;
	}
	public double getAddDfeeRt() {
		return addDfeeRt;
	}
	public double getLoseDfeeRt() {
		return loseDfeeRt;
	}
	public int getDlyCnt() {
		return dlyCnt;
	}
	public String getDlyCalcSdt() {
		return dlyCalcSdt;
	}
	public String getDlyCalcEdt() {
		return dlyCalcEdt;
	}
	public String getLoseDlyStrtDt() {
		return loseDlyStrtDt;
	}
	public String getLoseDlyEndDt() {
		return loseDlyEndDt;
	}
	public String getLoseDueDt() {
		return loseDueDt;
	}
	public String getLoseDt() {
		return loseDt;
	}
	public String getIsLoseTims() {
		return isLoseTims;
	}
	public long getLoseMmPamt() {
		return loseMmPamt;
	}
	public long getLoseMmInt() {
		return loseMmInt;
	}
	public long getLosePamtRamt() {
		return losePamtRamt;
	}
	public long getTimsBfAskPamt() {
		return timsBfAskPamt;
	}
	public long getLosePiamtDfee() {
		return losePiamtDfee;
	}
	public long getLoseIntDfee() {
		return loseIntDfee;
	}
	public long getLoseRamtDfee() {
		return loseRamtDfee;
	}
	public String getLoseIntStrtDt() {
		return loseIntStrtDt;
	}
	public String getLoseIntEndDt() {
		return loseIntEndDt;
	}
	public String getLoseIntPsgStrtDt() {
		return loseIntPsgStrtDt;
	}
	public String getLoseIntPsgEndDt() {
		return loseIntPsgEndDt;
	}
	public String getLoseIntCalcStrtDt() {
		return loseIntCalcStrtDt;
	}
	public String getLoseIntCalcEndDt() {
		return loseIntCalcEndDt;
	}
	public int getLosePiamtDlyDdcnt() {
		return losePiamtDlyDdcnt;
	}
	public int getLoseIntDlyDdcnt() {
		return loseIntDlyDdcnt;
	}
	public int getLosePamtDlyDdcnt() {
		return losePamtDlyDdcnt;
	}
	public int getLoseIntPsgDdcnt() {
		return loseIntPsgDdcnt;
	}
	public String getLoseFg() {
		return loseFg;
	}
	public long getLoseObjPsgInt() {
		return loseObjPsgInt;
	}
	public long getLosePsgInt() {
		return losePsgInt;
	}
	public int getLosePsgDdcnt() {
		return losePsgDdcnt;
	}
	public int getLoseTimsDdcnt() {
		return loseTimsDdcnt;
	}
	public long getTermPartInt() {
		return termPartInt;
	}
	public long getMidTermPartInt() {
		return midTermPartInt;
	}
	public long getMainRmbrPamt() {
		return mainRmbrPamt;
	}
	public int getPdueTotCnt() {
		return pdueTotCnt;
	}
	public String getDfeeCalcDt() {
		return dfeeCalcDt;
	}
	public String getDlyToolTip() {
		return dlyToolTip;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setTims(int tims) {
		this.tims = tims;
	}
	public void setEndDivCd(String endDivCd) {
		this.endDivCd = endDivCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public void setRlDueDt(String rlDueDt) {
		this.rlDueDt = rlDueDt;
	}
	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}
	public void setPreSetlFg(String preSetlFg) {
		this.preSetlFg = preSetlFg;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public void setAskDivCd(String askDivCd) {
		this.askDivCd = askDivCd;
	}
	public void setAskDivNm(String askDivNm) {
		this.askDivNm = askDivNm;
	}
	public void setTimsBfPamtRamt(long timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public void setTimsAfPamtRamt(long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public void setMmPiamt(long mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public void setLeasFee(long leasFee) {
		this.leasFee = leasFee;
	}
	public void setBaseLeasFee(long baseLeasFee) {
		this.baseLeasFee = baseLeasFee;
	}
	public void setAddLeasFee(long addLeasFee) {
		this.addLeasFee = addLeasFee;
	}
	public void setMmPamt(long mmPamt) {
		this.mmPamt = mmPamt;
	}
	public void setMmInt(long mmInt) {
		this.mmInt = mmInt;
	}
	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}
	public void setPsgInt(long psgInt) {
		this.psgInt = psgInt;
	}
	public void setPpayInt(long ppayInt) {
		this.ppayInt = ppayInt;
	}
	public void setTint(long tint) {
		this.tint = tint;
	}
	public void setAddInsuFee(long addInsuFee) {
		this.addInsuFee = addInsuFee;
	}
	public void setAddCartax(long addCartax) {
		this.addCartax = addCartax;
	}
	public void setAddEnvImprBrdnamt(long addEnvImprBrdnamt) {
		this.addEnvImprBrdnamt = addEnvImprBrdnamt;
	}
	public void setAddAsfee(long addAsfee) {
		this.addAsfee = addAsfee;
	}
	public void setVtax(long vtax) {
		this.vtax = vtax;
	}
	public void setIpayCartax(long ipayCartax) {
		this.ipayCartax = ipayCartax;
	}
	public void setIpayEnvImprBrdnamt(long ipayEnvImprBrdnamt) {
		this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
	}
	public void setIpayInsuFee(long ipayInsuFee) {
		this.ipayInsuFee = ipayInsuFee;
	}
	public void setIpayPnltAmt(long ipayPnltAmt) {
		this.ipayPnltAmt = ipayPnltAmt;
	}
	public void setIpayEtc(long ipayEtc) {
		this.ipayEtc = ipayEtc;
	}
	public void setIpayTax(long ipayTax) {
		this.ipayTax = ipayTax;
	}
	public void setInsuFee(long insuFee) {
		this.insuFee = insuFee;
	}
	public void setCartax(long cartax) {
		this.cartax = cartax;
	}
	public void setEnvImprBrdnamt(long envImprBrdnamt) {
		this.envImprBrdnamt = envImprBrdnamt;
	}
	public void setLtrmBrcvAmt(long ltrmBrcvAmt) {
		this.ltrmBrcvAmt = ltrmBrcvAmt;
	}
	public void setGuarAmt(long guarAmt) {
		this.guarAmt = guarAmt;
	}
	public void setRamtAmt(long ramtAmt) {
		this.ramtAmt = ramtAmt;
	}
	public void setSetlAmt(long setlAmt) {
		this.setlAmt = setlAmt;
	}
	public void setSetlLeasFee(long setlLeasFee) {
		this.setlLeasFee = setlLeasFee;
	}
	public void setSetlBaseLeasFee(long setlBaseLeasFee) {
		this.setlBaseLeasFee = setlBaseLeasFee;
	}
	public void setSetlAddLeasFee(long setlAddLeasFee) {
		this.setlAddLeasFee = setlAddLeasFee;
	}
	public void setSetlPamt(long setlPamt) {
		this.setlPamt = setlPamt;
	}
	public void setSetlInt(long setlInt) {
		this.setlInt = setlInt;
	}
	public void setSetlTrtFee(long setlTrtFee) {
		this.setlTrtFee = setlTrtFee;
	}
	public void setSetlPpayInt(long setlPpayInt) {
		this.setlPpayInt = setlPpayInt;
	}
	public void setSetlTint(long setlTint) {
		this.setlTint = setlTint;
	}
	public void setSetlAddInsuFee(long setlAddInsuFee) {
		this.setlAddInsuFee = setlAddInsuFee;
	}
	public void setSetlAddCartax(long setlAddCartax) {
		this.setlAddCartax = setlAddCartax;
	}
	public void setSetlAddEnvImprBrdnamt(long setlAddEnvImprBrdnamt) {
		this.setlAddEnvImprBrdnamt = setlAddEnvImprBrdnamt;
	}
	public void setSetlAddAsfee(long setlAddAsfee) {
		this.setlAddAsfee = setlAddAsfee;
	}
	public void setSetlVtax(long setlVtax) {
		this.setlVtax = setlVtax;
	}
	public void setSetlIpayCartax(long setlIpayCartax) {
		this.setlIpayCartax = setlIpayCartax;
	}
	public void setSetlIpayEnvImprBrdnamt(long setlIpayEnvImprBrdnamt) {
		this.setlIpayEnvImprBrdnamt = setlIpayEnvImprBrdnamt;
	}
	public void setSetlIpayInsuFee(long setlIpayInsuFee) {
		this.setlIpayInsuFee = setlIpayInsuFee;
	}
	public void setSetlIpayPnltAmt(long setlIpayPnltAmt) {
		this.setlIpayPnltAmt = setlIpayPnltAmt;
	}
	public void setSetlIpayEtc(long setlIpayEtc) {
		this.setlIpayEtc = setlIpayEtc;
	}
	public void setSetlIpayTax(long setlIpayTax) {
		this.setlIpayTax = setlIpayTax;
	}
	public void setSetlCartax(long setlCartax) {
		this.setlCartax = setlCartax;
	}
	public void setSetlEnvImprBrdnamt(long setlEnvImprBrdnamt) {
		this.setlEnvImprBrdnamt = setlEnvImprBrdnamt;
	}
	public void setSetlInsuFee(long setlInsuFee) {
		this.setlInsuFee = setlInsuFee;
	}
	public void setSetlLtrmBrcvAmt(long setlLtrmBrcvAmt) {
		this.setlLtrmBrcvAmt = setlLtrmBrcvAmt;
	}
	public void setSetlRamtAmt(long setlRamtAmt) {
		this.setlRamtAmt = setlRamtAmt;
	}
	public void setSetlGuarAmt(long setlGuarAmt) {
		this.setlGuarAmt = setlGuarAmt;
	}
	public void setSetlDfee(long setlDfee) {
		this.setlDfee = setlDfee;
	}
	public void setLtrmAdjAmt(long ltrmAdjAmt) {
		this.ltrmAdjAmt = ltrmAdjAmt;
	}
	public void setLtrmPamt(long ltrmPamt) {
		this.ltrmPamt = ltrmPamt;
	}
	public void setLtrmInt(long ltrmInt) {
		this.ltrmInt = ltrmInt;
	}
	public void setLtrmPpayInt(long ltrmPpayInt) {
		this.ltrmPpayInt = ltrmPpayInt;
	}
	public void setLtrmAddInsuFee(long ltrmAddInsuFee) {
		this.ltrmAddInsuFee = ltrmAddInsuFee;
	}
	public void setLtrmAddCartax(long ltrmAddCartax) {
		this.ltrmAddCartax = ltrmAddCartax;
	}
	public void setLtrmAddEnvImprBrdnamt(long ltrmAddEnvImprBrdnamt) {
		this.ltrmAddEnvImprBrdnamt = ltrmAddEnvImprBrdnamt;
	}
	public void setLtrmAddAsfee(long ltrmAddAsfee) {
		this.ltrmAddAsfee = ltrmAddAsfee;
	}
	public void setLtrmVtax(long ltrmVtax) {
		this.ltrmVtax = ltrmVtax;
	}
	public void setAskAmt(long askAmt) {
		this.askAmt = askAmt;
	}
	public void setAskLeasFee(long askLeasFee) {
		this.askLeasFee = askLeasFee;
	}
	public void setAskBaseLeasFee(long askBaseLeasFee) {
		this.askBaseLeasFee = askBaseLeasFee;
	}
	public void setAskAddLeasFee(long askAddLeasFee) {
		this.askAddLeasFee = askAddLeasFee;
	}
	public void setAskPamt(long askPamt) {
		this.askPamt = askPamt;
	}
	public void setAskInt(long askInt) {
		this.askInt = askInt;
	}
	public void setAskTrtFee(long askTrtFee) {
		this.askTrtFee = askTrtFee;
	}
	public void setAskPpayInt(long askPpayInt) {
		this.askPpayInt = askPpayInt;
	}
	public void setAskTint(long askTint) {
		this.askTint = askTint;
	}
	public void setAskAddInsuFee(long askAddInsuFee) {
		this.askAddInsuFee = askAddInsuFee;
	}
	public void setAskAddCartax(long askAddCartax) {
		this.askAddCartax = askAddCartax;
	}
	public void setAskAddEnvImprBrdnamt(long askAddEnvImprBrdnamt) {
		this.askAddEnvImprBrdnamt = askAddEnvImprBrdnamt;
	}
	public void setAskAddAsfee(long askAddAsfee) {
		this.askAddAsfee = askAddAsfee;
	}
	public void setAskVtax(long askVtax) {
		this.askVtax = askVtax;
	}
	public void setAskIpayCartax(long askIpayCartax) {
		this.askIpayCartax = askIpayCartax;
	}
	public void setAskIpayEnvImprBrdnamt(long askIpayEnvImprBrdnamt) {
		this.askIpayEnvImprBrdnamt = askIpayEnvImprBrdnamt;
	}
	public void setAskIpayInsuFee(long askIpayInsuFee) {
		this.askIpayInsuFee = askIpayInsuFee;
	}
	public void setAskIpayPnltAmt(long askIpayPnltAmt) {
		this.askIpayPnltAmt = askIpayPnltAmt;
	}
	public void setAskIpayEtc(long askIpayEtc) {
		this.askIpayEtc = askIpayEtc;
	}
	public void setAskIpayTax(long askIpayTax) {
		this.askIpayTax = askIpayTax;
	}
	public void setAskCartax(long askCartax) {
		this.askCartax = askCartax;
	}
	public void setAskEnvImprBrdnamt(long askEnvImprBrdnamt) {
		this.askEnvImprBrdnamt = askEnvImprBrdnamt;
	}
	public void setAskInsuFee(long askInsuFee) {
		this.askInsuFee = askInsuFee;
	}
	public void setAskLtrmBrcvAmt(long askLtrmBrcvAmt) {
		this.askLtrmBrcvAmt = askLtrmBrcvAmt;
	}
	public void setAskRamtAmt(long askRamtAmt) {
		this.askRamtAmt = askRamtAmt;
	}
	public void setAskGuarAmt(long askGuarAmt) {
		this.askGuarAmt = askGuarAmt;
	}
	public void setAskDfee(long askDfee) {
		this.askDfee = askDfee;
	}
	public void setRcptObjAmt(long rcptObjAmt) {
		this.rcptObjAmt = rcptObjAmt;
	}
	public void setLeglActnCost(long leglActnCost) {
		this.leglActnCost = leglActnCost;
	}
	public void setStmpFee(long stmpFee) {
		this.stmpFee = stmpFee;
	}
	public void setOccrDfee(long occrDfee) {
		this.occrDfee = occrDfee;
	}
	public void setHolyDfee(long holyDfee) {
		this.holyDfee = holyDfee;
	}
	public void setPreObjDfee(long preObjDfee) {
		this.preObjDfee = preObjDfee;
	}
	public void setPreAdjDfee(long preAdjDfee) {
		this.preAdjDfee = preAdjDfee;
	}
	public void setPreOccrDfee(long preOccrDfee) {
		this.preOccrDfee = preOccrDfee;
	}
	public void setPdueDfee(long pdueDfee) {
		this.pdueDfee = pdueDfee;
	}
	public void setExmpDfee(long exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public void setPdueDiscDfee(long pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}
	public void setIntEndDt(String intEndDt) {
		this.intEndDt = intEndDt;
	}
	public void setPsgDdcnt(int psgDdcnt) {
		this.psgDdcnt = psgDdcnt;
	}
	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}
	public void setDlyCalcDt(String dlyCalcDt) {
		this.dlyCalcDt = dlyCalcDt;
	}
	public void setDlyDdcnt(int dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public void setOccrDlyDdcnt(int occrDlyDdcnt) {
		this.occrDlyDdcnt = occrDlyDdcnt;
	}
	public void setDlyMmCnt(int dlyMmCnt) {
		this.dlyMmCnt = dlyMmCnt;
	}
	public void setDlyTcnt(int dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public void setPdueFg(String pdueFg) {
		this.pdueFg = pdueFg;
	}
	public void setLoanIntRt(double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public void setDfeeRt(double dfeeRt) {
		this.dfeeRt = dfeeRt;
	}
	public void setAddDfeeRt(double addDfeeRt) {
		this.addDfeeRt = addDfeeRt;
	}
	public void setLoseDfeeRt(double loseDfeeRt) {
		this.loseDfeeRt = loseDfeeRt;
	}
	public void setDlyCnt(int dlyCnt) {
		this.dlyCnt = dlyCnt;
	}
	public void setDlyCalcSdt(String dlyCalcSdt) {
		this.dlyCalcSdt = dlyCalcSdt;
	}
	public void setDlyCalcEdt(String dlyCalcEdt) {
		this.dlyCalcEdt = dlyCalcEdt;
	}
	public void setLoseDlyStrtDt(String loseDlyStrtDt) {
		this.loseDlyStrtDt = loseDlyStrtDt;
	}
	public void setLoseDlyEndDt(String loseDlyEndDt) {
		this.loseDlyEndDt = loseDlyEndDt;
	}
	public void setLoseDueDt(String loseDueDt) {
		this.loseDueDt = loseDueDt;
	}
	public void setLoseDt(String loseDt) {
		this.loseDt = loseDt;
	}
	public void setIsLoseTims(String isLoseTims) {
		this.isLoseTims = isLoseTims;
	}
	public void setLoseMmPamt(long loseMmPamt) {
		this.loseMmPamt = loseMmPamt;
	}
	public void setLoseMmInt(long loseMmInt) {
		this.loseMmInt = loseMmInt;
	}
	public void setLosePamtRamt(long losePamtRamt) {
		this.losePamtRamt = losePamtRamt;
	}
	public void setTimsBfAskPamt(long timsBfAskPamt) {
		this.timsBfAskPamt = timsBfAskPamt;
	}
	public void setLosePiamtDfee(long losePiamtDfee) {
		this.losePiamtDfee = losePiamtDfee;
	}
	public void setLoseIntDfee(long loseIntDfee) {
		this.loseIntDfee = loseIntDfee;
	}
	public void setLoseRamtDfee(long loseRamtDfee) {
		this.loseRamtDfee = loseRamtDfee;
	}
	public void setLoseIntStrtDt(String loseIntStrtDt) {
		this.loseIntStrtDt = loseIntStrtDt;
	}
	public void setLoseIntEndDt(String loseIntEndDt) {
		this.loseIntEndDt = loseIntEndDt;
	}
	public void setLoseIntPsgStrtDt(String loseIntPsgStrtDt) {
		this.loseIntPsgStrtDt = loseIntPsgStrtDt;
	}
	public void setLoseIntPsgEndDt(String loseIntPsgEndDt) {
		this.loseIntPsgEndDt = loseIntPsgEndDt;
	}
	public void setLoseIntCalcStrtDt(String loseIntCalcStrtDt) {
		this.loseIntCalcStrtDt = loseIntCalcStrtDt;
	}
	public void setLoseIntCalcEndDt(String loseIntCalcEndDt) {
		this.loseIntCalcEndDt = loseIntCalcEndDt;
	}
	public void setLosePiamtDlyDdcnt(int losePiamtDlyDdcnt) {
		this.losePiamtDlyDdcnt = losePiamtDlyDdcnt;
	}
	public void setLoseIntDlyDdcnt(int loseIntDlyDdcnt) {
		this.loseIntDlyDdcnt = loseIntDlyDdcnt;
	}
	public void setLosePamtDlyDdcnt(int losePamtDlyDdcnt) {
		this.losePamtDlyDdcnt = losePamtDlyDdcnt;
	}
	public void setLoseIntPsgDdcnt(int loseIntPsgDdcnt) {
		this.loseIntPsgDdcnt = loseIntPsgDdcnt;
	}
	public void setLoseFg(String loseFg) {
		this.loseFg = loseFg;
	}
	public void setLoseObjPsgInt(long loseObjPsgInt) {
		this.loseObjPsgInt = loseObjPsgInt;
	}
	public void setLosePsgInt(long losePsgInt) {
		this.losePsgInt = losePsgInt;
	}
	public void setLosePsgDdcnt(int losePsgDdcnt) {
		this.losePsgDdcnt = losePsgDdcnt;
	}
	public void setLoseTimsDdcnt(int loseTimsDdcnt) {
		this.loseTimsDdcnt = loseTimsDdcnt;
	}
	public void setTermPartInt(long termPartInt) {
		this.termPartInt = termPartInt;
	}
	public void setMidTermPartInt(long midTermPartInt) {
		this.midTermPartInt = midTermPartInt;
	}
	public void setMainRmbrPamt(long mainRmbrPamt) {
		this.mainRmbrPamt = mainRmbrPamt;
	}
	public void setPdueTotCnt(int pdueTotCnt) {
		this.pdueTotCnt = pdueTotCnt;
	}
	public void setDfeeCalcDt(String dfeeCalcDt) {
		this.dfeeCalcDt = dfeeCalcDt;
	}
	public void setDlyToolTip(String dlyToolTip) {
		this.dlyToolTip = dlyToolTip;
	}
}
