package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbDebtGuarCntrErrTDO
 * 클래스설명 : 은행연합회_채무_보증_집중_오류 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbDebtGuarCntrErrTDO extends AbstractVO
{
    private String jobDt; //JOB_DT   작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM   등록_블록_일련번호
    private String regSnum; //REG_SNUM   등록_일련번호
    private String dataSnum; //DATA_SNUM   자료_일련번호
    private String custNo; //CUST_NO   고객번호
    private String errCd; //ERR_CD   오류_코드
    private String trDivCdErr; //TR_DIV_CD_ERR   거래_구분_코드_오류
    private String dataDivErr; //DATA_DIV_ERR   자료_구분_오류
    private String snumErr; //SNUM_ERR   일련번호_오류
    private String dataDivCdErr; //DATA_DIV_CD_ERR   자료_구분_코드_오류
    private String regCdErr; //REG_CD_ERR   등록_코드_오류
    private String custNoErr; //CUST_NO_ERR   고객번호_오류
    private String custNoDivErr; //CUST_NO_DIV_ERR   고객번호_구분_오류
    private String mtalNmErr; //MTAL_NM_ERR   상호_명_오류
    private String nameErr; //NAME_ERR   성명_오류
    private String jobCdErr; //JOB_CD_ERR   직업_코드_오류
    private String bzitCdErr; //BZIT_CD_ERR   업종_코드_오류
    private String shopCdErr; //SHOP_CD_ERR   점포_코드_오류
    private String debtGuarOccrDtErr; //DEBT_GUAR_OCCR_DT_ERR   발생_일자_오류
    private String amtErr; //AMT_ERR   금액_오류
    private String wartCustNoErr; //WART_CUST_NO_ERR   피보증인_고객번호_오류
    private String wartCustNoDivErr; //WART_CUST_NO_DIV_ERR   피보증인_고객번호_구분_오류
    private String wartAcntNoErr; //WART_ACNT_NO_ERR   피보증인_계좌번호_오류
    private String guarKindErr; //GUAR_KIND_ERR   보증_종류_오류
    private String tranShopErr; //TRAN_SHOP_ERR   이관_점포_오류
    private String debtGuarVarDtErr; //DEBT_GUAR_VAR_DT_ERR   변동_일자_오류

    public String getJobDt() { return jobDt; }
    public String getRegBlckSnum() { return regBlckSnum; }
    public String getRegSnum() { return regSnum; }
    public String getDataSnum() { return dataSnum; }
    public String getCustNo() { return custNo; }
    public String getErrCd() { return errCd; }
    public String getTrDivCdErr() { return trDivCdErr; }
    public String getDataDivErr() { return dataDivErr; }
    public String getSnumErr() { return snumErr; }
    public String getDataDivCdErr() { return dataDivCdErr; }
    public String getRegCdErr() { return regCdErr; }
    public String getCustNoErr() { return custNoErr; }
    public String getCustNoDivErr() { return custNoDivErr; }
    public String getMtalNmErr() { return mtalNmErr; }
    public String getNameErr() { return nameErr; }
    public String getJobCdErr() { return jobCdErr; }
    public String getBzitCdErr() { return bzitCdErr; }
    public String getShopCdErr() { return shopCdErr; }
    public String getDebtGuarOccrDtErr() { return debtGuarOccrDtErr; }
    public String getAmtErr() { return amtErr; }
    public String getWartCustNoErr() { return wartCustNoErr; }
    public String getWartCustNoDivErr() { return wartCustNoDivErr; }
    public String getWartAcntNoErr() { return wartAcntNoErr; }
    public String getGuarKindErr() { return guarKindErr; }
    public String getTranShopErr() { return tranShopErr; }
    public String getDebtGuarVarDtErr() { return debtGuarVarDtErr; }

    public void setJobDt(String jobDt) {this.jobDt = jobDt;}
    public void setRegBlckSnum(String regBlckSnum) {this.regBlckSnum = regBlckSnum;}
    public void setRegSnum(String regSnum) {this.regSnum = regSnum;}
    public void setDataSnum(String dataSnum) {this.dataSnum = dataSnum;}
    public void setCustNo(String custNo) {this.custNo = custNo;}
    public void setErrCd(String errCd) {this.errCd = errCd;}
    public void setTrDivCdErr(String trDivCdErr) {this.trDivCdErr = trDivCdErr;}
    public void setDataDivErr(String dataDivErr) {this.dataDivErr = dataDivErr;}
    public void setSnumErr(String snumErr) {this.snumErr = snumErr;}
    public void setDataDivCdErr(String dataDivCdErr) {this.dataDivCdErr = dataDivCdErr;}
    public void setRegCdErr(String regCdErr) {this.regCdErr = regCdErr;}
    public void setCustNoErr(String custNoErr) {this.custNoErr = custNoErr;}
    public void setCustNoDivErr(String custNoDivErr) {this.custNoDivErr = custNoDivErr;}
    public void setMtalNmErr(String mtalNmErr) {this.mtalNmErr = mtalNmErr;}
    public void setNameErr(String nameErr) {this.nameErr = nameErr;}
    public void setJobCdErr(String jobCdErr) {this.jobCdErr = jobCdErr;}
    public void setBzitCdErr(String bzitCdErr) {this.bzitCdErr = bzitCdErr;}
    public void setShopCdErr(String shopCdErr) {this.shopCdErr = shopCdErr;}
    public void setDebtGuarOccrDtErr(String debtGuarOccrDtErr) {this.debtGuarOccrDtErr = debtGuarOccrDtErr;}
    public void setAmtErr(String amtErr) {this.amtErr = amtErr;}
    public void setWartCustNoErr(String wartCustNoErr) {this.wartCustNoErr = wartCustNoErr;}
    public void setWartCustNoDivErr(String wartCustNoDivErr) {this.wartCustNoDivErr = wartCustNoDivErr;}
    public void setWartAcntNoErr(String wartAcntNoErr) {this.wartAcntNoErr = wartAcntNoErr;}
    public void setGuarKindErr(String guarKindErr) {this.guarKindErr = guarKindErr;}
    public void setTranShopErr(String tranShopErr) {this.tranShopErr = tranShopErr;}
    public void setDebtGuarVarDtErr(String debtGuarVarDtErr) {this.debtGuarVarDtErr = debtGuarVarDtErr;}
}
