package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <p>파일명      : BtKfbLoanTrCntrchgErrTDO.java</p>
 * <p>버젼        : 1.1.1.0</p>
 * <p>작성일      : 2006.06.15</p>
 * <p>작성자      : </p>
 * <p>Use Case명  : </p>
 * <p>프로그램명  : </p>
 * <p>내용        : BtKfbLoanTrCntrErr[은행연합회_대출_거래_집중_오류]를(을) 위한   TDO</p>
 */
public class BtKfbLoanTrCntrchgErrTDO extends AbstractVO
 {

    private static final long serialVersionUID = -6443555661685127932L;
    private String jobDt; //JOB_DT   작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM   등록_블록_일련번호
    private String regSnum; //REG_SNUM   등록_일련번호
    private String dataSnum; //DATA_SNUM   자료_일련번호
    private String dataDivErr; //DATA_DIV_ERR   자료_구분_오류
    private String custNo; //CUST_NO   고객번호
    private String loanNo; //LOAN_NO   대출번호
    private String errCd; //ERR_CD   오류_코드
    private String bsnDivErr; //BSN_DIV_ERR   거래_구분_코드_오류
    private String snumErr; //SNUM_ERR   일련번호_오류
    private String dataDivCdErr; //DATA_DIV_CD_ERR   자료_구분_코드_오류
    private String custNoErr; //CUST_NO_ERR   고객번호_오류
    private String custNoBfErr; //CUST_NO_ERR   고객번호_오류
    private String mtalErr; //MTAL_ERR   상호_오류
    private String nameErr; //NAME_ERR   성명_오류
    private String jobCdErr; //JOB_CD_ERR   직업_코드_오류
    private String bzitCdErr; //BZIT_CD_ERR   업종_코드_오류
    private String shopCdBfErr; //SHOP_CD_ERR   점포_코드_오류
    private String regCdBfErr; //REG_CD_ERR   등록_코드_오류
    private String loanDtBfErr; //LOAN_DT_ERR   대출_일자_오류
    private String loanNoBfErr;          //LOAN_NO_ERR               계좌_번호_오류              //롯데카드 할부금융 2014-03-11 추가
    private String shopCdErr; //SHOP_CD_ERR   점포_코드_오류
    private String regCdErr; //REG_CD_ERR   등록_코드_오류
    private String loanDtErr; //LOAN_DT_ERR   대출_일자_오류
    private String loanNoErr;          //LOAN_NO_ERR               계좌_번호_오류              //롯데카드 할부금융 2014-03-11 추가
    private String amtErr; //AMT_ERR   금액_오류
    private String varDtErr; //VAR_DT_ERR   변동_일자_오류
    private String loanDivErr;         //LOAN_DIV_ERR              대출_구분_오류              //롯데카드 할부금융 2014-03-11 추가
    private String partMrtgFgErr;      //PART_MRTG_FG_ERR          부분_담보여부__오류         //롯데카드 할부금융 2014-03-11 추가
    private String ppFincDivErr;       //PP_FINC_DIV_ERR           서민금융_구분_오류          //롯데카드 할부금융 2014-03-11 추가
    private String spclBndMoAcntNoErr; //SPCL_BND_MO_ACNT_NO_ERR   특수채권_모_계좌번호_오류   //롯데카드 할부금융 2014-03-11 추가
    //private String housMrtgLoanYnErr; //HOUS_MRTG_LOAN_YN_ERR   주택_담보_대출_유무_오류   //미사용같다


    //2022-11-23 추가
    private String lnkLoanFgErr; //LNK_LOAN_FG_ERR 연계_대출_여부_오류
    private String rmrkErr; //RMRK_ERR 비고_오류

    public String getJobDt() { return jobDt; }
    public String getRegBlckSnum() { return regBlckSnum; }
    public String getRegSnum() { return regSnum; }
    public String getDataSnum() { return dataSnum; }
    public String getDataDivErr() { return dataDivErr; }
    public String getCustNo() { return custNo; }
    public String getLoanNo() { return loanNo; }
    public String getErrCd() { return errCd; }
    public String getBsnDivErr() { return bsnDivErr; }
    public String getSnumErr() { return snumErr; }
    public String getDataDivCdErr() { return dataDivCdErr; }
    public String getCustNoErr() { return custNoErr; }
    public String getCustNoBfErr() { return custNoBfErr; }
    public String getMtalErr() { return mtalErr; }
    public String getNameErr() { return nameErr; }
    public String getJobCdErr() { return jobCdErr; }
    public String getBzitCdErr() { return bzitCdErr; }
    public String getShopCdBfErr() { return shopCdBfErr; }
    public String getRegCdBfErr() { return regCdBfErr; }
    public String getLoanDtBfErr() { return loanDtBfErr; }
    public String getLoanNoBfErr() { return loanNoBfErr         ; }
    public String getShopCdErr() { return shopCdErr; }
    public String getRegCdErr() { return regCdErr; }
    public String getLoanDtErr() { return loanDtErr; }
    public String getLoanNoErr() { return loanNoErr         ; }
    public String getAmtErr() { return amtErr; }
    public String getVarDtErr() { return varDtErr; }
    public String getLoanDivErr()          { return loanDivErr        ; }
    public String getPartMrtgFgErr()       { return partMrtgFgErr     ; }
    public String getPpFincDivErr()        { return ppFincDivErr      ; }
    public String getSpclBndMoAcntNoErr()  { return spclBndMoAcntNoErr; }
    //public String getHousMrtgLoanYnErr() { return housMrtgLoanYnErr; }

    public void setJobDt(String jobDt) { this.jobDt = jobDt; }
    public void setRegBlckSnum(String regBlckSnum) { this.regBlckSnum = regBlckSnum; }
    public void setRegSnum(String regSnum) { this.regSnum = regSnum; }
    public void setDataSnum(String dataSnum) { this.dataSnum = dataSnum; }
    public void setDataDivErr(String dataDivErr) { this.dataDivErr = dataDivErr; }
    public void setCustNo(String custNo) { this.custNo = custNo; }
    public void setLoanNo(String loanNo) { this.loanNo = loanNo; }
    public void setErrCd(String errCd) { this.errCd = errCd; }
    public void setBsnDivErr(String bsnDivErr) { this.bsnDivErr = bsnDivErr; }
    public void setSnumErr(String snumErr) { this.snumErr = snumErr; }
    public void setDataDivCdErr(String dataDivCdErr) { this.dataDivCdErr = dataDivCdErr; }
    public void setCustNoErr(String custNoErr) { this.custNoErr = custNoErr; }
    public void setCustNoBfErr(String custNoBfErr) { this.custNoBfErr = custNoBfErr; }
    public void setMtalErr(String mtalErr) { this.mtalErr = mtalErr; }
    public void setNameErr(String nameErr) { this.nameErr = nameErr; }
    public void setJobCdErr(String jobCdErr) { this.jobCdErr = jobCdErr; }
    public void setBzitCdErr(String bzitCdErr) { this.bzitCdErr = bzitCdErr; }
    public void setShopCdBfErr(String shopCdBfErr) { this.shopCdBfErr = shopCdBfErr; }
    public void setRegCdBfErr(String regCdBfErr) { this.regCdBfErr = regCdBfErr; }
    public void setLoanDtBfErr(String loanDtBfErr) { this.loanDtBfErr = loanDtBfErr; }
    public void setLoanNoBfErr(String loanNoBfErr) { this.loanNoBfErr = loanNoBfErr; }
    public void setShopCdErr(String shopCdErr) { this.shopCdErr = shopCdErr; }
    public void setRegCdErr(String regCdErr) { this.regCdErr = regCdErr; }
    public void setLoanDtErr(String loanDtErr) { this.loanDtErr = loanDtErr; }
    public void setLoanNoErr(String loanNoErr) { this.loanNoErr = loanNoErr; }
    public void setAmtErr(String amtErr) { this.amtErr = amtErr; }
    public void setVarDtErr(String varDtErr) { this.varDtErr = varDtErr; }
    public void setLoanDivErr(String loanDivErr)          { this.loanDivErr = loanDivErr; }
    public void setPartMrtgFgErr(String partMrtgFgErr)       { this.partMrtgFgErr = partMrtgFgErr; }
    public void setPpFincDivErr(String ppFincDivErr)        { this.ppFincDivErr = ppFincDivErr; }
    public void setSpclBndMoAcntNoErr(String spclBndMoAcntNoErr)  { this.spclBndMoAcntNoErr = spclBndMoAcntNoErr; }
    //public void setHousMrtgLoanYnErr(String housMrtgLoanYnErr) { this.housMrtgLoanYnErr = housMrtgLoanYnErr; }

    public String getLnkLoanFgErr() {
        return lnkLoanFgErr;
    }
    public void setLnkLoanFgErr(String lnkLoanFgErr) {
        this.lnkLoanFgErr = lnkLoanFgErr;
    }
    public String getRmrkErr() {
        return rmrkErr;
    }
    public void setRmrkErr(String rmrkErr) {
        this.rmrkErr = rmrkErr;
    }

}