package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.CustMainGuidCustStatInfoPopUpDSSDDODTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSCUSTSTATINFODTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO01DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO02DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO05DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO06DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO07DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO11DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO12DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO13DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO14DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO15DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO16DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO19DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO201DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO20DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO21DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO23DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO24DTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSMDODTO;

@Mapper("custMainGuidMngMapper")
public interface CustMainGuidMngMapper {

	/**
	* <pre>
	* 메소드명      : searchCustMainGuidMng
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 고객종합 상담관리_조회결과 리스트
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<BCNUIM02DSSDDO01VO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO01DTO> searchCustMainGuidMng(CustMainGuidMngDSSMDODTO dto) throws Exception;


	/**
	* <pre>
	* 메소드명      : searchCustMainGuidMng
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_1
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO02DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO02DTO> searchMain1(CustMainGuidMngDSSMDODTO dto) throws Exception;


	/**
	* <pre>
	* 메소드명      : searchMain5
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_5
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO02DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO05DTO> searchMain5(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain6
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_6
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO02DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO06DTO> searchMain6(CustMainGuidMngDSSMDODTO dto) throws Exception;


	/**
	* <pre>
	* 메소드명      : searchMain7
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_7
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO02DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO07DTO> searchMain7(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain8
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_8
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO08DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSCUSTSTATINFODTO> searchMain8(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain11
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_11
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO11DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO11DTO> searchMain11(CustMainGuidMngDSSMDODTO dto) throws Exception;


	/**
	* <pre>
	* 메소드명      : searchMain12
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_12
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO12DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO12DTO> searchMain12(CustMainGuidMngDSSMDODTO dto) throws Exception;


	/**
	* <pre>
	* 메소드명      : searchMain13
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_13
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO13DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO13DTO> searchMain13(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain14
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_14
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO14DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO14DTO> searchMain14(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain15
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_15
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO14DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO15DTO> searchMain15(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain16
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_16
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO14DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO16DTO> searchMain16(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchMain19
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70281
	* 설명          : 대출상세내역 조회_19
	* 메소드인수1   :  BCNUIM02DSSMDOVO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO19DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO19DTO> searchMain19(CustMainGuidMngDSSMDODTO dto) throws Exception;


    /**
    * <pre>
    * 메소드명      : searchMain21
    * 작성일자      : 2023. 3. 23.
    * 작성자(author): 70281
    * 설명          : 문자발송이력 조회_21
    * 메소드인수1   :  BCNUIM02DSSMDOVO
    * 메소드리턴값  :  List<CustMainGuidMngDSSDDO21DTO>
    * 예외처리      : Exception
    * </pre>
    */
    public List<CustMainGuidMngDSSDDO21DTO> searchMain21(CustMainGuidMngDSSMDODTO dto) throws Exception;

    /**
    * <pre>
    * 메소드명      : searchMain23
    * 작성일자      : 2023. 3. 23.
    * 작성자(author): 70281
    * 설명          : 자동이체청구이력 조회_23
    * 메소드인수1   :  BCNUIM02DSSMDOVO
    * 메소드리턴값  :  List<CustMainGuidMngDSSDDO23DTO>
    * 예외처리      : Exception
    * </pre>
    */
    public List<CustMainGuidMngDSSDDO23DTO> searchMain23(CustMainGuidMngDSSMDODTO dto) throws Exception;


    /**
    * <pre>
    * 메소드명      : searchMain24
    * 작성일자      : 2023. 3. 23.
    * 작성자(author): 70281
    * 설명          : 안내장발송내역 조회_24
    * 메소드인수1   :  BCNUIM02DSSMDOVO
    * 메소드리턴값  :  List<CustMainGuidMngDSSDDO24DTO>
    * 예외처리      : Exception
    * </pre>
    */
    public List<CustMainGuidMngDSSDDO24DTO> searchMain24(CustMainGuidMngDSSMDODTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchCustStatInfo
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태조회
	* 메소드인수1   :  CustMainGuidCustStatInfoPopUpDSSDDODTO
	* 메소드리턴값  :  List<CustMainGuidCustStatInfoPopUpDSSDDODTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidCustStatInfoPopUpDSSDDODTO> searchCustStatInfo(CustMainGuidCustStatInfoPopUpDSSDDODTO dto) throws Exception;



    /**
    * <pre>
    * 메소드명      : insertMemo
    * 작성일자      : 2023. 3. 23.
    * 작성자(author): 70281
    * 설명          : 고객상태수정
    * 메소드인수1   : CustMainGuidMngDSSDDO20DTO
    * 메소드리턴값  :  void
    * 예외처리      : Exception
    * </pre>
    */
    public void insertMemo(CustMainGuidMngDSSDDO20DTO dto)  throws Exception;


    /**
    * <pre>
    * 메소드명      : updateTxtRecvFg
    * 작성일자      : 2023. 3. 23.
    * 작성자(author): 70281
    * 설명          : 문자거부정보 update
    * 메소드인수1   : CustMainGuidMngDSSDDO201DTO
    * 메소드리턴값  :  void
    * 예외처리      : Exception
    * </pre>
    */
    public void updateTxtRecvFg(CustMainGuidMngDSSDDO201DTO dto)  throws Exception;


	/**
	* <pre>
	* 메소드명      : updateCustStatInfo
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태수정
	* 메소드인수1   : CustMainGuidCustStatInfoPopUpDSSDDODTO
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateCustStatInfo(CustMainGuidCustStatInfoPopUpDSSDDODTO dto)  throws Exception;

	/**
	* <pre>
	* 메소드명      : insertCustStatInfo
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태등록
	* 메소드인수1   : CustMainGuidCustStatInfoPopUpDSSDDODTO
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void insertCustStatInfo(CustMainGuidCustStatInfoPopUpDSSDDODTO dto)  throws Exception;
}
