package hanalife.b.cn.ui.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.BtSmsDlvrDescDTO;

/**
 * <pre>
 * 클래스명    : smsDlyrDescMapper.java Class
 * 클래스설명  : SMS_발송_내역관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 14.
 * 작성자명    : 70320 / jaeho.jang / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("smsDlyrDescMapper")
public interface SmsDlyrDescMapper {

	/**
     * <p>메소드명      : insertSmsDlyrDesc</p>
     * <p>설명          : sms 발송내역을 등록한다.</p>
     * <p>메소드인수1   : BtSmsDlvrDescDTO </p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리      : Exception</p>
     */
    public int insertSmsDlyrDesc(BtSmsDlvrDescDTO dto) throws Exception;
}
