package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 클래스명    : BtCustCnslGuidTDO
 * 클래스설명 : 고객_상담_안내 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtCustCnslGuidDTO {
	private String loanNo; //LOAN_NO   대출_번호
	private String loanSeq; //LOAN_SEQ   대출_순번
	private String regDt; //REG_DT   등록_일자
	private String regTm; //REG_TM   등록_시간
	private String custNo; //CUST_NO   고객_번호
	private String guidUrgeDivCd; //GUID_URGE_DIV_CD   안내_독촉_구분_코드
	private String telcGuidTpCd; //TELC_GUID_TP_CD   통화1_안내_유형_코드
	private String divsManNm; //DIVS_MAN_NM   담당_자_명
	private String cnslObjManNm; //CNSL_OBJ_MAN_NM   상담_대상_자_명
	private String cnslPlcDivCd; //CNSL_PLC_DIV_CD   상담_장소_구분_코드
	private String loanRelCd; //LOAN_REL_CD   관계_구분_코드
	private String dlyRsnCd; //DLY_RSN_CD   연체_사유_코드
	private String dlyRsnDetlCd; //DLY_RSN_DETL_CD   연체_사유_세부_코드
	private String prmsDt; //PRMS_DT   약속_일자
	private String prmsAmt; //PRMS_AMT   약속_금액
	private String telcCntn; //TELC_CNTN   통화1_내용
	private String rlTelcMan; //RL_TELC_MAN   실_통화1_자
	private String prmsDueMethCd; //PRMS_DUE_METH_CD   약속_납입_방법_코드
	private String cntcPlcDivCd; //CNTC_PLC_DIV_CD   연결_전화_번호
	private String cntcStatCd; //CNTC_STAT_CD   연락_상태_코드
	private String telcDebtManNo; //TELC_DEBT_MAN_NO   통화1_채무_인_번호
	private String inOutBoundDivCd; //IN_OUT_BOUND_DIV_CD   IN_OUT_BOUND_구분_코드
	private String lngsDlyDdcnt; //LNGS_DLY_DDCNT   최장_연체_일수
	private String psgDdcnt; //PSG_DDCNT   경과_일수
	private String dlyAmt; //DLY_AMT   연체_금액
	private String divsManEmpNo; //DIVS_MAN_EMP_NO   담당자_사원_번호
	private String loanWdrwAmt; //LOAN_WDRW_AMT   대출_회수_금액
	private String prtyCd; //PRTY_CD   조_코드
	private String rcptDeptCd; //RCPT_DEPT_CD   수납_부서_코드
	private String iamtPrmsBankCd; //IAMT_PRMS_BANK_CD   입금_약속_은행_코드
	private String loanRelNm; //LOAN_REL_NM   관계_구분_코드
	private String custTrndCd; //CUST_TRND_CD   고객_성향_코드

	private String telcGuidTpNm;//통화 안내 유형
	private String cnslPlcDivNm;//상담장소 구분 이름
	private String dlyDdcnt; //DLY_DDCNT   최근연체일수
	private String custTpNm; //고객유형
	private String inOutBoundDivNm; //발/수신 구분
	private String txtRecvFg; // 문자 수신 여부
	private String frstRegEmpNo;
	private String rnumber;
	private String divsManNm2;
	private String regDt2;
	private String regTm2;
	private String telcCntn2;

	private String telcTelNo; //TELC_TEL_NO 통화_전화_번호

	private String cnslDivCd; //상담구분

	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}

	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}

	public String getTxtRecvFg() {
		return txtRecvFg;
	}

	public void setTxtRecvFg(String txtRecvFg) {
		this.txtRecvFg = txtRecvFg;
	}


	public String getInOutBoundDivNm() {
		return inOutBoundDivNm;
	}

	public void setInOutBoundDivNm(String inOutBoundDivNm) {
		this.inOutBoundDivNm = inOutBoundDivNm;
	}

	public String getCustTpNm() {
		return custTpNm;
	}

	public void setCustTpNm(String custTpNm) {
		this.custTpNm = custTpNm;
	}

	public String getCustTrndCd() {
		return custTrndCd;
	}

	public void setCustTrndCd(String custTrndCd) {
		this.custTrndCd = custTrndCd;
	}

	public String getDlyDdcnt() {
		return dlyDdcnt;
	}

	public void setDlyDdcnt(String dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}

	public String getCnslPlcDivNm() {
		return cnslPlcDivNm;
	}

	public void setCnslPlcDivNm(String cnslPlcDivNm) {
		this.cnslPlcDivNm = cnslPlcDivNm;
	}

	public String getTelcGuidTpNm() {
		return telcGuidTpNm;
	}

	public void setTelcGuidTpNm(String telcGuidTpNm) {
		this.telcGuidTpNm = telcGuidTpNm;
	}

	public String getLoanRelNm() {
		return loanRelNm;
	}

	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public String getRegDt() {
		return regDt;
	}

	public String getRegTm() {
		return regTm;
	}

	public String getCustNo() {
		return custNo;
	}

	public String getGuidUrgeDivCd() {
		return guidUrgeDivCd;
	}

	public String getTelcGuidTpCd() {
		return telcGuidTpCd;
	}

	public String getDivsManNm() {
		return divsManNm;
	}

	public String getCnslObjManNm() {
		return cnslObjManNm;
	}

	public String getCnslPlcDivCd() {
		return cnslPlcDivCd;
	}

	public String getLoanRelCd() {
		return loanRelCd;
	}

	public String getDlyRsnCd() {
		return dlyRsnCd;
	}

	public String getDlyRsnDetlCd() {
		return dlyRsnDetlCd;
	}

	public String getPrmsDt() {
		return prmsDt;
	}

	public String getPrmsAmt() {
		return prmsAmt;
	}

	public String getTelcCntn() {
		return telcCntn;
	}

	public String getRlTelcMan() {
		return rlTelcMan;
	}

	public String getPrmsDueMethCd() {
		return prmsDueMethCd;
	}

	public String getCntcPlcDivCd() {
		return cntcPlcDivCd;
	}

	public String getCntcStatCd() {
		return cntcStatCd;
	}

	public String getTelcDebtManNo() {
		return telcDebtManNo;
	}

	public String getInOutBoundDivCd() {
		return inOutBoundDivCd;
	}

	public String getLngsDlyDdcnt() {
		return lngsDlyDdcnt;
	}

	public String getPsgDdcnt() {
		return psgDdcnt;
	}

	public String getDlyAmt() {
		return dlyAmt;
	}

	public String getDivsManEmpNo() {
		return divsManEmpNo;
	}

	public String getLoanWdrwAmt() {
		return loanWdrwAmt;
	}

	public String getPrtyCd() {
		return prtyCd;
	}

	public String getRcptDeptCd() {
		return rcptDeptCd;
	}

	public String getIamtPrmsBankCd() {
		return iamtPrmsBankCd;
	}

	public String getRnumber() {
		return rnumber;
	}

	public String getDivsManNm2() {
		return divsManNm2;
	}

	public String getRegDt2() {
		return regDt2;
	}

	public String getRegTm2() {
		return regTm2;
	}

	public String getTelcCntn2() {
		return telcCntn2;
	}

	public String getTelcTelNo() {
		return telcTelNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}

	public void setRegTm(String regTm) {
		this.regTm = regTm;
	}

	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}

	public void setGuidUrgeDivCd(String guidUrgeDivCd) {
		this.guidUrgeDivCd = guidUrgeDivCd;
	}

	public void setTelcGuidTpCd(String telcGuidTpCd) {
		this.telcGuidTpCd = telcGuidTpCd;
	}

	public void setDivsManNm(String divsManNm) {
		this.divsManNm = divsManNm;
	}

	public void setCnslObjManNm(String cnslObjManNm) {
		this.cnslObjManNm = cnslObjManNm;
	}

	public void setCnslPlcDivCd(String cnslPlcDivCd) {
		this.cnslPlcDivCd = cnslPlcDivCd;
	}

	public void setLoanRelCd(String loanRelCd) {
		this.loanRelCd = loanRelCd;
	}

	public void setDlyRsnCd(String dlyRsnCd) {
		this.dlyRsnCd = dlyRsnCd;
	}

	public void setDlyRsnDetlCd(String dlyRsnDetlCd) {
		this.dlyRsnDetlCd = dlyRsnDetlCd;
	}

	public void setPrmsDt(String prmsDt) {
		this.prmsDt = prmsDt;
	}

	public void setPrmsAmt(String prmsAmt) {
		this.prmsAmt = prmsAmt;
	}

	public void setTelcCntn(String telcCntn) {
		this.telcCntn = telcCntn;
	}

	public void setRlTelcMan(String rlTelcMan) {
		this.rlTelcMan = rlTelcMan;
	}

	public void setPrmsDueMethCd(String prmsDueMethCd) {
		this.prmsDueMethCd = prmsDueMethCd;
	}

	public void setCntcPlcDivCd(String cntcPlcDivCd) {
		this.cntcPlcDivCd = cntcPlcDivCd;
	}

	public void setCntcStatCd(String cntcStatCd) {
		this.cntcStatCd = cntcStatCd;
	}

	public void setTelcDebtManNo(String telcDebtManNo) {
		this.telcDebtManNo = telcDebtManNo;
	}

	public void setInOutBoundDivCd(String inOutBoundDivCd) {
		this.inOutBoundDivCd = inOutBoundDivCd;
	}

	public void setLngsDlyDdcnt(String lngsDlyDdcnt) {
		this.lngsDlyDdcnt = lngsDlyDdcnt;
	}

	public void setPsgDdcnt(String psgDdcnt) {
		this.psgDdcnt = psgDdcnt;
	}

	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}

	public void setDivsManEmpNo(String divsManEmpNo) {
		this.divsManEmpNo = divsManEmpNo;
	}

	public void setLoanWdrwAmt(String loanWdrwAmt) {
		this.loanWdrwAmt = loanWdrwAmt;
	}

	public void setPrtyCd(String prtyCd) {
		this.prtyCd = prtyCd;
	}

	public void setRcptDeptCd(String rcptDeptCd) {
		this.rcptDeptCd = rcptDeptCd;
	}

	public void setIamtPrmsBankCd(String iamtPrmsBankCd) {
		this.iamtPrmsBankCd = iamtPrmsBankCd;
	}


	public void setRnumber(String rnumber) {
		this.rnumber = rnumber;
	}

	public void setDivsManNm2(String divsManNm2) {
		this.divsManNm2 = divsManNm2;
	}

	public void setRegDt2(String regDt2) {
		this.regDt2 = regDt2;
	}

	public void setRegTm2(String regTm2) {
		this.regTm2 = regTm2;
	}

	public void setTelcCntn2(String telcCntn2) {
		this.telcCntn2 = telcCntn2;
	}

	public void setTelcTelNo(String telcTelNo) {
		this.telcTelNo = telcTelNo;
	}

	public String getCnslDivCd() {
		return cnslDivCd;
	}

	public void setCnslDivCd(String cnslDivCd) {
		this.cnslDivCd = cnslDivCd;
	}

}