package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSMDODTO.java Class
 * 클래스설명   : 연락불능자목록조회를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / 이웅희 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CntcIpssManReadDSMDODTO {

	private String mingDeptCd;
	private String prodMidClasCd;
	private String prodLrgeClasCd;
	private String cntSt;
	private String cntEd;
	private String cmpNo;
	private String cntcStatCd;

	public String getMingDeptCd() {
		return mingDeptCd;
	}
	public void setMingDeptCd(String mingDeptCd) {
		this.mingDeptCd = mingDeptCd;
	}
	public String getProdMidClasCd() {
		return prodMidClasCd;
	}
	public void setProdMidClasCd(String prodMidClasCd) {
		this.prodMidClasCd = prodMidClasCd;
	}
	public String getProdLrgeClasCd() {
		return prodLrgeClasCd;
	}
	public void setProdLrgeClasCd(String prodLrgeClasCd) {
		this.prodLrgeClasCd = prodLrgeClasCd;
	}
	public String getCntSt() {
		return cntSt;
	}
	public void setCntSt(String cntSt) {
		this.cntSt = cntSt;
	}
	public String getCntEd() {
		return cntEd;
	}
	public void setCntEd(String cntEd) {
		this.cntEd = cntEd;
	}
	public String getCmpNo() {
		return cmpNo;
	}
	public void setCmpNo(String cmpNo) {
		this.cmpNo = cmpNo;
	}
	public String getCntcStatCd() {
		return cntcStatCd;
	}
	public void setCntcStatCd(String cntcStatCd) {
		this.cntcStatCd = cntcStatCd;
	}

}
