package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO01DTO.java Class
 * 클래스설명   : 연락불능자목록조회를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / 이웅희 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CntcIpssManReadDSSMDODTO {

	private String mngDeptCd;         // 관리부서코드
	private String prodLrgeClasCd;    // 상품대분류코드
	private String prodMidClasCd;     // 상품중분류코드
	private String cntSt;             // 연체회차 시작
	private String cntEd;             // 연체회차 종료
	private String empNo;             // 상담직원번호
	private String cntcStatCd;        // 연락상태

    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getProdLrgeClasCd() {
        return prodLrgeClasCd;
    }
    public void setProdLrgeClasCd(String prodLrgeClasCd) {
        this.prodLrgeClasCd = prodLrgeClasCd;
    }
    public String getProdMidClasCd() {
        return prodMidClasCd;
    }
    public void setProdMidClasCd(String prodMidClasCd) {
        this.prodMidClasCd = prodMidClasCd;
    }
    public String getCntSt() {
        return cntSt;
    }
    public void setCntSt(String cntSt) {
        this.cntSt = cntSt;
    }
    public String getCntEd() {
        return cntEd;
    }
    public void setCntEd(String cntEd) {
        this.cntEd = cntEd;
    }
    public String getEmpNo() {
        return empNo;
    }
    public void setEmpNo(String empNo) {
        this.empNo = empNo;
    }
    public String getCntcStatCd() {
        return cntcStatCd;
    }
    public void setCntcStatCd(String cntcStatCd) {
        this.cntcStatCd = cntcStatCd;
    }

}
