package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO05DTO {

	private String addrDivCd;
	private String addrDivNm;
	private String zipCd;
	private String zipAddr;
	private String addrSpec;

	public String getAddrDivCd() {
		return addrDivCd;
	}
	public void setAddrDivCd(String addrDivCd) {
		this.addrDivCd = addrDivCd;
	}
	public String getAddrDivNm() {
		return addrDivNm;
	}
	public void setAddrDivNm(String addrDivNm) {
		this.addrDivNm = addrDivNm;
	}
	public String getZipCd() {
		return zipCd;
	}
	public void setZipCd(String zipCd) {
		this.zipCd = zipCd;
	}
	public String getZipAddr() {
		return zipAddr;
	}
	public void setZipAddr(String zipAddr) {
		this.zipAddr = zipAddr;
	}
	public String getAddrSpec() {
		return addrSpec;
	}
	public void setAddrSpec(String addrSpec) {
		this.addrSpec = addrSpec;
	}

}
