package hanalife.b.cn.ui.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CntcIpssManReadDSDDODTO.java Class
 * 클래스설명   : 고객상태정보(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustMainGuidMngDSSDDO18DTO {

	private String loanNo;
	private String loanSeq;
	private String setlNo;
	private String acctDt;
	private String setlDt;
	private String rcptTpCd;
	private String wdrwTpCd;
	private String rcptDeptCd;
	private String allRcptAmt;
	private String cashOccrAmt;
	private String srcpTrnsAmt;
	private String srcpNo;
	private String badDebtPamtRcptAmt;
	private String badDebtPamtExmpAmt;
	private String rcptAfPamtRamt;
	private String badDebtIntRcptAmt;
	private String badDebtIntExmpAmt;
	private String rcptAfBadDebtIntRamt;
	private String badDebtDfeeRcptAmt;
	private String badDebtDfeeExmpAmt;
	private String rcptAfBadDebtDfeeRamt;
	private String occrDfeeRcptAmt;
	private String occrDfeeExmpAmt;
	private String rcptAfOccrDfeeRamt;
	private String occrDfee;
	private String leglActnSpayRcptAmt;
	private String leglActnSpayExmpAmt;
	private String rcptAfLeglActnSpayRamt;
	private String trtFeeRcptAmt;
	private String trtFeeExmpAmt;
	private String rcptAfTrtFeeRamt;
	private String leasEtcRcptAmt;
	private String leasEtcExmpAmt;
	private String rcptAfLeasEtcRamt;
	private String badDebtAfSpayRcptAmt;
	private String badDebtAfSpayExmpAmt;
	private String rcptAfBadDebtAfSpayRamt;
	private String badDebtInsuFeeRcptAmt;
	private String badDebtInsuFeeExmpAmt;
	private String badDebtInsuFeeRamt;
	private String badDebtCartaxRcptAmt;
	private String badDebtCartaxExmpAmt;
	private String badDebtCartaxRamt;
	private String badDebtEnvRcptAmt;
	private String badDebtEnvExmpAmt;
	private String badDebtEnvRamt;
	private String badDebtPnltRcptAmt;
	private String badDebtPnltExmpAmt;
	private String badDebtPnltRamt;
	private String badDebtAfInsuFeeRcptAmt;
	private String badDebtAfInsuFeeExmpAmt;
	private String badDebtAfInsuFeeRamt;
	private String badDebtAfCartaxRcptAmt;
	private String badDebtAfCartaxExmpAmt;
	private String badDebtAfCartaxRamt;
	private String badDebtAfEnvRcptAmt;
	private String badDebtAfEnvExmpAmt;
	private String badDebtAfEnvRamt;
	private String badDebtAfPnltRcptAmt;
	private String badDebtAfPnltExmpAmt;
	private String badDebtAfPnltRamt;
	private String mngDeptCd;
	private String trDescNo;
	private String cnclSetlNo;
	private String cnclFg;
	private String cnclDt;
	private String iamtNo;
	private String rmrk;
	private String badDebtLeasEtcRcptAmt;
	private String badDebtAfLeasEtcRcptAmt;
	private String badDebtExmpAmt;
	private String badDebtAfExmpAmt;
	private String totExmpAmt;
	private String divsManNm2;
	private String regDt2;
	private String regTm2;
	private String telcCntn2;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(String setlNo) {
		this.setlNo = setlNo;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getWdrwTpCd() {
		return wdrwTpCd;
	}
	public void setWdrwTpCd(String wdrwTpCd) {
		this.wdrwTpCd = wdrwTpCd;
	}
	public String getRcptDeptCd() {
		return rcptDeptCd;
	}
	public void setRcptDeptCd(String rcptDeptCd) {
		this.rcptDeptCd = rcptDeptCd;
	}
	public String getAllRcptAmt() {
		return allRcptAmt;
	}
	public void setAllRcptAmt(String allRcptAmt) {
		this.allRcptAmt = allRcptAmt;
	}
	public String getCashOccrAmt() {
		return cashOccrAmt;
	}
	public void setCashOccrAmt(String cashOccrAmt) {
		this.cashOccrAmt = cashOccrAmt;
	}
	public String getSrcpTrnsAmt() {
		return srcpTrnsAmt;
	}
	public void setSrcpTrnsAmt(String srcpTrnsAmt) {
		this.srcpTrnsAmt = srcpTrnsAmt;
	}
	public String getSrcpNo() {
		return srcpNo;
	}
	public void setSrcpNo(String srcpNo) {
		this.srcpNo = srcpNo;
	}
	public String getBadDebtPamtRcptAmt() {
		return badDebtPamtRcptAmt;
	}
	public void setBadDebtPamtRcptAmt(String badDebtPamtRcptAmt) {
		this.badDebtPamtRcptAmt = badDebtPamtRcptAmt;
	}
	public String getBadDebtPamtExmpAmt() {
		return badDebtPamtExmpAmt;
	}
	public void setBadDebtPamtExmpAmt(String badDebtPamtExmpAmt) {
		this.badDebtPamtExmpAmt = badDebtPamtExmpAmt;
	}
	public String getRcptAfPamtRamt() {
		return rcptAfPamtRamt;
	}
	public void setRcptAfPamtRamt(String rcptAfPamtRamt) {
		this.rcptAfPamtRamt = rcptAfPamtRamt;
	}
	public String getBadDebtIntRcptAmt() {
		return badDebtIntRcptAmt;
	}
	public void setBadDebtIntRcptAmt(String badDebtIntRcptAmt) {
		this.badDebtIntRcptAmt = badDebtIntRcptAmt;
	}
	public String getBadDebtIntExmpAmt() {
		return badDebtIntExmpAmt;
	}
	public void setBadDebtIntExmpAmt(String badDebtIntExmpAmt) {
		this.badDebtIntExmpAmt = badDebtIntExmpAmt;
	}
	public String getRcptAfBadDebtIntRamt() {
		return rcptAfBadDebtIntRamt;
	}
	public void setRcptAfBadDebtIntRamt(String rcptAfBadDebtIntRamt) {
		this.rcptAfBadDebtIntRamt = rcptAfBadDebtIntRamt;
	}
	public String getBadDebtDfeeRcptAmt() {
		return badDebtDfeeRcptAmt;
	}
	public void setBadDebtDfeeRcptAmt(String badDebtDfeeRcptAmt) {
		this.badDebtDfeeRcptAmt = badDebtDfeeRcptAmt;
	}
	public String getBadDebtDfeeExmpAmt() {
		return badDebtDfeeExmpAmt;
	}
	public void setBadDebtDfeeExmpAmt(String badDebtDfeeExmpAmt) {
		this.badDebtDfeeExmpAmt = badDebtDfeeExmpAmt;
	}
	public String getRcptAfBadDebtDfeeRamt() {
		return rcptAfBadDebtDfeeRamt;
	}
	public void setRcptAfBadDebtDfeeRamt(String rcptAfBadDebtDfeeRamt) {
		this.rcptAfBadDebtDfeeRamt = rcptAfBadDebtDfeeRamt;
	}
	public String getOccrDfeeRcptAmt() {
		return occrDfeeRcptAmt;
	}
	public void setOccrDfeeRcptAmt(String occrDfeeRcptAmt) {
		this.occrDfeeRcptAmt = occrDfeeRcptAmt;
	}
	public String getOccrDfeeExmpAmt() {
		return occrDfeeExmpAmt;
	}
	public void setOccrDfeeExmpAmt(String occrDfeeExmpAmt) {
		this.occrDfeeExmpAmt = occrDfeeExmpAmt;
	}
	public String getRcptAfOccrDfeeRamt() {
		return rcptAfOccrDfeeRamt;
	}
	public void setRcptAfOccrDfeeRamt(String rcptAfOccrDfeeRamt) {
		this.rcptAfOccrDfeeRamt = rcptAfOccrDfeeRamt;
	}
	public String getOccrDfee() {
		return occrDfee;
	}
	public void setOccrDfee(String occrDfee) {
		this.occrDfee = occrDfee;
	}
	public String getLeglActnSpayRcptAmt() {
		return leglActnSpayRcptAmt;
	}
	public void setLeglActnSpayRcptAmt(String leglActnSpayRcptAmt) {
		this.leglActnSpayRcptAmt = leglActnSpayRcptAmt;
	}
	public String getLeglActnSpayExmpAmt() {
		return leglActnSpayExmpAmt;
	}
	public void setLeglActnSpayExmpAmt(String leglActnSpayExmpAmt) {
		this.leglActnSpayExmpAmt = leglActnSpayExmpAmt;
	}
	public String getRcptAfLeglActnSpayRamt() {
		return rcptAfLeglActnSpayRamt;
	}
	public void setRcptAfLeglActnSpayRamt(String rcptAfLeglActnSpayRamt) {
		this.rcptAfLeglActnSpayRamt = rcptAfLeglActnSpayRamt;
	}
	public String getTrtFeeRcptAmt() {
		return trtFeeRcptAmt;
	}
	public void setTrtFeeRcptAmt(String trtFeeRcptAmt) {
		this.trtFeeRcptAmt = trtFeeRcptAmt;
	}
	public String getTrtFeeExmpAmt() {
		return trtFeeExmpAmt;
	}
	public void setTrtFeeExmpAmt(String trtFeeExmpAmt) {
		this.trtFeeExmpAmt = trtFeeExmpAmt;
	}
	public String getRcptAfTrtFeeRamt() {
		return rcptAfTrtFeeRamt;
	}
	public void setRcptAfTrtFeeRamt(String rcptAfTrtFeeRamt) {
		this.rcptAfTrtFeeRamt = rcptAfTrtFeeRamt;
	}
	public String getLeasEtcRcptAmt() {
		return leasEtcRcptAmt;
	}
	public void setLeasEtcRcptAmt(String leasEtcRcptAmt) {
		this.leasEtcRcptAmt = leasEtcRcptAmt;
	}
	public String getLeasEtcExmpAmt() {
		return leasEtcExmpAmt;
	}
	public void setLeasEtcExmpAmt(String leasEtcExmpAmt) {
		this.leasEtcExmpAmt = leasEtcExmpAmt;
	}
	public String getRcptAfLeasEtcRamt() {
		return rcptAfLeasEtcRamt;
	}
	public void setRcptAfLeasEtcRamt(String rcptAfLeasEtcRamt) {
		this.rcptAfLeasEtcRamt = rcptAfLeasEtcRamt;
	}
	public String getBadDebtAfSpayRcptAmt() {
		return badDebtAfSpayRcptAmt;
	}
	public void setBadDebtAfSpayRcptAmt(String badDebtAfSpayRcptAmt) {
		this.badDebtAfSpayRcptAmt = badDebtAfSpayRcptAmt;
	}
	public String getBadDebtAfSpayExmpAmt() {
		return badDebtAfSpayExmpAmt;
	}
	public void setBadDebtAfSpayExmpAmt(String badDebtAfSpayExmpAmt) {
		this.badDebtAfSpayExmpAmt = badDebtAfSpayExmpAmt;
	}
	public String getRcptAfBadDebtAfSpayRamt() {
		return rcptAfBadDebtAfSpayRamt;
	}
	public void setRcptAfBadDebtAfSpayRamt(String rcptAfBadDebtAfSpayRamt) {
		this.rcptAfBadDebtAfSpayRamt = rcptAfBadDebtAfSpayRamt;
	}
	public String getBadDebtInsuFeeRcptAmt() {
		return badDebtInsuFeeRcptAmt;
	}
	public void setBadDebtInsuFeeRcptAmt(String badDebtInsuFeeRcptAmt) {
		this.badDebtInsuFeeRcptAmt = badDebtInsuFeeRcptAmt;
	}
	public String getBadDebtInsuFeeExmpAmt() {
		return badDebtInsuFeeExmpAmt;
	}
	public void setBadDebtInsuFeeExmpAmt(String badDebtInsuFeeExmpAmt) {
		this.badDebtInsuFeeExmpAmt = badDebtInsuFeeExmpAmt;
	}
	public String getBadDebtInsuFeeRamt() {
		return badDebtInsuFeeRamt;
	}
	public void setBadDebtInsuFeeRamt(String badDebtInsuFeeRamt) {
		this.badDebtInsuFeeRamt = badDebtInsuFeeRamt;
	}
	public String getBadDebtCartaxRcptAmt() {
		return badDebtCartaxRcptAmt;
	}
	public void setBadDebtCartaxRcptAmt(String badDebtCartaxRcptAmt) {
		this.badDebtCartaxRcptAmt = badDebtCartaxRcptAmt;
	}
	public String getBadDebtCartaxExmpAmt() {
		return badDebtCartaxExmpAmt;
	}
	public void setBadDebtCartaxExmpAmt(String badDebtCartaxExmpAmt) {
		this.badDebtCartaxExmpAmt = badDebtCartaxExmpAmt;
	}
	public String getBadDebtCartaxRamt() {
		return badDebtCartaxRamt;
	}
	public void setBadDebtCartaxRamt(String badDebtCartaxRamt) {
		this.badDebtCartaxRamt = badDebtCartaxRamt;
	}
	public String getBadDebtEnvRcptAmt() {
		return badDebtEnvRcptAmt;
	}
	public void setBadDebtEnvRcptAmt(String badDebtEnvRcptAmt) {
		this.badDebtEnvRcptAmt = badDebtEnvRcptAmt;
	}
	public String getBadDebtEnvExmpAmt() {
		return badDebtEnvExmpAmt;
	}
	public void setBadDebtEnvExmpAmt(String badDebtEnvExmpAmt) {
		this.badDebtEnvExmpAmt = badDebtEnvExmpAmt;
	}
	public String getBadDebtEnvRamt() {
		return badDebtEnvRamt;
	}
	public void setBadDebtEnvRamt(String badDebtEnvRamt) {
		this.badDebtEnvRamt = badDebtEnvRamt;
	}
	public String getBadDebtPnltRcptAmt() {
		return badDebtPnltRcptAmt;
	}
	public void setBadDebtPnltRcptAmt(String badDebtPnltRcptAmt) {
		this.badDebtPnltRcptAmt = badDebtPnltRcptAmt;
	}
	public String getBadDebtPnltExmpAmt() {
		return badDebtPnltExmpAmt;
	}
	public void setBadDebtPnltExmpAmt(String badDebtPnltExmpAmt) {
		this.badDebtPnltExmpAmt = badDebtPnltExmpAmt;
	}
	public String getBadDebtPnltRamt() {
		return badDebtPnltRamt;
	}
	public void setBadDebtPnltRamt(String badDebtPnltRamt) {
		this.badDebtPnltRamt = badDebtPnltRamt;
	}
	public String getBadDebtAfInsuFeeRcptAmt() {
		return badDebtAfInsuFeeRcptAmt;
	}
	public void setBadDebtAfInsuFeeRcptAmt(String badDebtAfInsuFeeRcptAmt) {
		this.badDebtAfInsuFeeRcptAmt = badDebtAfInsuFeeRcptAmt;
	}
	public String getBadDebtAfInsuFeeExmpAmt() {
		return badDebtAfInsuFeeExmpAmt;
	}
	public void setBadDebtAfInsuFeeExmpAmt(String badDebtAfInsuFeeExmpAmt) {
		this.badDebtAfInsuFeeExmpAmt = badDebtAfInsuFeeExmpAmt;
	}
	public String getBadDebtAfInsuFeeRamt() {
		return badDebtAfInsuFeeRamt;
	}
	public void setBadDebtAfInsuFeeRamt(String badDebtAfInsuFeeRamt) {
		this.badDebtAfInsuFeeRamt = badDebtAfInsuFeeRamt;
	}
	public String getBadDebtAfCartaxRcptAmt() {
		return badDebtAfCartaxRcptAmt;
	}
	public void setBadDebtAfCartaxRcptAmt(String badDebtAfCartaxRcptAmt) {
		this.badDebtAfCartaxRcptAmt = badDebtAfCartaxRcptAmt;
	}
	public String getBadDebtAfCartaxExmpAmt() {
		return badDebtAfCartaxExmpAmt;
	}
	public void setBadDebtAfCartaxExmpAmt(String badDebtAfCartaxExmpAmt) {
		this.badDebtAfCartaxExmpAmt = badDebtAfCartaxExmpAmt;
	}
	public String getBadDebtAfCartaxRamt() {
		return badDebtAfCartaxRamt;
	}
	public void setBadDebtAfCartaxRamt(String badDebtAfCartaxRamt) {
		this.badDebtAfCartaxRamt = badDebtAfCartaxRamt;
	}
	public String getBadDebtAfEnvRcptAmt() {
		return badDebtAfEnvRcptAmt;
	}
	public void setBadDebtAfEnvRcptAmt(String badDebtAfEnvRcptAmt) {
		this.badDebtAfEnvRcptAmt = badDebtAfEnvRcptAmt;
	}
	public String getBadDebtAfEnvExmpAmt() {
		return badDebtAfEnvExmpAmt;
	}
	public void setBadDebtAfEnvExmpAmt(String badDebtAfEnvExmpAmt) {
		this.badDebtAfEnvExmpAmt = badDebtAfEnvExmpAmt;
	}
	public String getBadDebtAfEnvRamt() {
		return badDebtAfEnvRamt;
	}
	public void setBadDebtAfEnvRamt(String badDebtAfEnvRamt) {
		this.badDebtAfEnvRamt = badDebtAfEnvRamt;
	}
	public String getBadDebtAfPnltRcptAmt() {
		return badDebtAfPnltRcptAmt;
	}
	public void setBadDebtAfPnltRcptAmt(String badDebtAfPnltRcptAmt) {
		this.badDebtAfPnltRcptAmt = badDebtAfPnltRcptAmt;
	}
	public String getBadDebtAfPnltExmpAmt() {
		return badDebtAfPnltExmpAmt;
	}
	public void setBadDebtAfPnltExmpAmt(String badDebtAfPnltExmpAmt) {
		this.badDebtAfPnltExmpAmt = badDebtAfPnltExmpAmt;
	}
	public String getBadDebtAfPnltRamt() {
		return badDebtAfPnltRamt;
	}
	public void setBadDebtAfPnltRamt(String badDebtAfPnltRamt) {
		this.badDebtAfPnltRamt = badDebtAfPnltRamt;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getTrDescNo() {
		return trDescNo;
	}
	public void setTrDescNo(String trDescNo) {
		this.trDescNo = trDescNo;
	}
	public String getCnclSetlNo() {
		return cnclSetlNo;
	}
	public void setCnclSetlNo(String cnclSetlNo) {
		this.cnclSetlNo = cnclSetlNo;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getCnclDt() {
		return cnclDt;
	}
	public void setCnclDt(String cnclDt) {
		this.cnclDt = cnclDt;
	}
	public String getIamtNo() {
		return iamtNo;
	}
	public void setIamtNo(String iamtNo) {
		this.iamtNo = iamtNo;
	}
	public String getRmrk() {
		return rmrk;
	}
	public void setRmrk(String rmrk) {
		this.rmrk = rmrk;
	}
	public String getBadDebtLeasEtcRcptAmt() {
		return badDebtLeasEtcRcptAmt;
	}
	public void setBadDebtLeasEtcRcptAmt(String badDebtLeasEtcRcptAmt) {
		this.badDebtLeasEtcRcptAmt = badDebtLeasEtcRcptAmt;
	}
	public String getBadDebtAfLeasEtcRcptAmt() {
		return badDebtAfLeasEtcRcptAmt;
	}
	public void setBadDebtAfLeasEtcRcptAmt(String badDebtAfLeasEtcRcptAmt) {
		this.badDebtAfLeasEtcRcptAmt = badDebtAfLeasEtcRcptAmt;
	}
	public String getBadDebtExmpAmt() {
		return badDebtExmpAmt;
	}
	public void setBadDebtExmpAmt(String badDebtExmpAmt) {
		this.badDebtExmpAmt = badDebtExmpAmt;
	}
	public String getBadDebtAfExmpAmt() {
		return badDebtAfExmpAmt;
	}
	public void setBadDebtAfExmpAmt(String badDebtAfExmpAmt) {
		this.badDebtAfExmpAmt = badDebtAfExmpAmt;
	}
	public String getTotExmpAmt() {
		return totExmpAmt;
	}
	public void setTotExmpAmt(String totExmpAmt) {
		this.totExmpAmt = totExmpAmt;
	}
	public String getDivsManNm2() {
		return divsManNm2;
	}
	public void setDivsManNm2(String divsManNm2) {
		this.divsManNm2 = divsManNm2;
	}
	public String getRegDt2() {
		return regDt2;
	}
	public void setRegDt2(String regDt2) {
		this.regDt2 = regDt2;
	}
	public String getRegTm2() {
		return regTm2;
	}
	public void setRegTm2(String regTm2) {
		this.regTm2 = regTm2;
	}
	public String getTelcCntn2() {
		return telcCntn2;
	}
	public void setTelcCntn2(String telcCntn2) {
		this.telcCntn2 = telcCntn2;
	}
}
