package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM01DSSDDOVO.java Class
 * 클래스설명   : 연체리스트 관리 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     :  / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM01DSSDDOVO {

	private String thmmUnUrge;
	private String wlngPayStat;
	private String loanNo;
	private String loanSeq;
	private String contManNo;
	private String contManNm;
	private String contManNoTran;
	private String bndStatNm;
	private String dlyDt;
	private String dlyTcnt;
	private String dlyDdcnt;
	private String dlyAmt;
	private String dfee;
	private String loanPamt;
	private String loanAmt;
	private String bndAmt;
	private String loanDt;
	private String loanTerm;
	private String thmmComgDt;
	private String lastSetlTims;
	private String thmmAmt;
	private String setlDt;
	private String setlAmt;
	private String prmsDt;
	private String prmsAmt;
	private String telcDt;
	private String rlTelcMan;
	private String telcCntn;
	private String hometel;
	private String worktel;
	private String handtel;
	private String dlvrDt;
	private String dlvrNm;
	private String loanStatNm;
	private String crdtStatNm;
	private String leglActsStatNm;
	private String leglActsObjDt;
	private String asetSondTpClasNm;
	private String badDebtApprAmt;
	private String setlDd;
	private String dueMeth;
	private String rmbrFrml;
	private String eprtDt;
	private String prdtNm;
	private String mrtgSmClasNm;
	private String prdtClasNm;
	private String godsNm;
	private String examDgreNm;
	private String examJudgNm;
	private String cprtComNm;
	private String cprtBranNm;
	private String cprtEmpNm;
	private String lnDivsEmpNm;
	private String mngDeptNm;
	private String docKeepNo;
	private String bndDivsEmpNm;
	private String bndMngPlcNm;
	private String frstDlyDt;
	private String badCn;
	private String badAmt;
	private String leasStatNm;
	private String flotIzeDivCd;
	private String flotIzeSeq;
	private String mrtgYn;
	private String mrtgSmYn;
	private String bndOldNewFg;
	private String prdtSmClasNm;
	private String relCnt;
	private String splycomNm;
	private String wdrwDivsMan;
	private String leasGodsNm;
	private String leasGuarAmt;
	private String leasRmnVal;
	private String cntctDt;
	private String cntctCntn;
	private String cntctDivsManNm;
	private String bssDgre;
	private String rssDgre;
	private String bsRsCombDgre;
	private String custTpNm;
	private String leglCountRamt;
	private String badDebtRcptStatCd;
	private String badDebtRcptStatNm;
	private String badDebtAcctDt;
	private String badDebtSetlDt;
	private String wdrwTpCd;
	private String wdrwTpNm;
	private String custAddr;
	private String badDebtDeprDt;
	private String dlyPamt;
	private String dlyInt;
	private String sumDlyAmt;
	private String unrcvRamt;

	public String getThmmUnUrge() {
		return thmmUnUrge;
	}
	public void setThmmUnUrge(String thmmUnUrge) {
		this.thmmUnUrge = thmmUnUrge;
	}
	public String getWlngPayStat() {
		return wlngPayStat;
	}
	public void setWlngPayStat(String wlngPayStat) {
		this.wlngPayStat = wlngPayStat;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getContManNm() {
		return contManNm;
	}
	public void setContManNm(String contManNm) {
		this.contManNm = contManNm;
	}
	public String getContManNoTran() {
		return contManNoTran;
	}
	public void setContManNoTran(String contManNoTran) {
		this.contManNoTran = contManNoTran;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getDlyDt() {
		return dlyDt;
	}
	public void setDlyDt(String dlyDt) {
		this.dlyDt = dlyDt;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyDdcnt() {
		return dlyDdcnt;
	}
	public void setDlyDdcnt(String dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getDfee() {
		return dfee;
	}
	public void setDfee(String dfee) {
		this.dfee = dfee;
	}
	public String getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(String loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getLoanAmt() {
		return loanAmt;
	}
	public void setLoanAmt(String loanAmt) {
		this.loanAmt = loanAmt;
	}
	public String getBndAmt() {
		return bndAmt;
	}
	public void setBndAmt(String bndAmt) {
		this.bndAmt = bndAmt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getThmmComgDt() {
		return thmmComgDt;
	}
	public void setThmmComgDt(String thmmComgDt) {
		this.thmmComgDt = thmmComgDt;
	}
	public String getLastSetlTims() {
		return lastSetlTims;
	}
	public void setLastSetlTims(String lastSetlTims) {
		this.lastSetlTims = lastSetlTims;
	}
	public String getThmmAmt() {
		return thmmAmt;
	}
	public void setThmmAmt(String thmmAmt) {
		this.thmmAmt = thmmAmt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getSetlAmt() {
		return setlAmt;
	}
	public void setSetlAmt(String setlAmt) {
		this.setlAmt = setlAmt;
	}
	public String getPrmsDt() {
		return prmsDt;
	}
	public void setPrmsDt(String prmsDt) {
		this.prmsDt = prmsDt;
	}
	public String getPrmsAmt() {
		return prmsAmt;
	}
	public void setPrmsAmt(String prmsAmt) {
		this.prmsAmt = prmsAmt;
	}
	public String getTelcDt() {
		return telcDt;
	}
	public void setTelcDt(String telcDt) {
		this.telcDt = telcDt;
	}
	public String getRlTelcMan() {
		return rlTelcMan;
	}
	public void setRlTelcMan(String rlTelcMan) {
		this.rlTelcMan = rlTelcMan;
	}
	public String getTelcCntn() {
		return telcCntn;
	}
	public void setTelcCntn(String telcCntn) {
		this.telcCntn = telcCntn;
	}
	public String getHometel() {
		return hometel;
	}
	public void setHometel(String hometel) {
		this.hometel = hometel;
	}
	public String getWorktel() {
		return worktel;
	}
	public void setWorktel(String worktel) {
		this.worktel = worktel;
	}
	public String getHandtel() {
		return handtel;
	}
	public void setHandtel(String handtel) {
		this.handtel = handtel;
	}
	public String getDlvrDt() {
		return dlvrDt;
	}
	public void setDlvrDt(String dlvrDt) {
		this.dlvrDt = dlvrDt;
	}
	public String getDlvrNm() {
		return dlvrNm;
	}
	public void setDlvrNm(String dlvrNm) {
		this.dlvrNm = dlvrNm;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getCrdtStatNm() {
		return crdtStatNm;
	}
	public void setCrdtStatNm(String crdtStatNm) {
		this.crdtStatNm = crdtStatNm;
	}
	public String getLeglActsStatNm() {
		return leglActsStatNm;
	}
	public void setLeglActsStatNm(String leglActsStatNm) {
		this.leglActsStatNm = leglActsStatNm;
	}
	public String getLeglActsObjDt() {
		return leglActsObjDt;
	}
	public void setLeglActsObjDt(String leglActsObjDt) {
		this.leglActsObjDt = leglActsObjDt;
	}
	public String getAsetSondTpClasNm() {
		return asetSondTpClasNm;
	}
	public void setAsetSondTpClasNm(String asetSondTpClasNm) {
		this.asetSondTpClasNm = asetSondTpClasNm;
	}
	public String getBadDebtApprAmt() {
		return badDebtApprAmt;
	}
	public void setBadDebtApprAmt(String badDebtApprAmt) {
		this.badDebtApprAmt = badDebtApprAmt;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public String getDueMeth() {
		return dueMeth;
	}
	public void setDueMeth(String dueMeth) {
		this.dueMeth = dueMeth;
	}
	public String getRmbrFrml() {
		return rmbrFrml;
	}
	public void setRmbrFrml(String rmbrFrml) {
		this.rmbrFrml = rmbrFrml;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getMrtgSmClasNm() {
		return mrtgSmClasNm;
	}
	public void setMrtgSmClasNm(String mrtgSmClasNm) {
		this.mrtgSmClasNm = mrtgSmClasNm;
	}
	public String getPrdtClasNm() {
		return prdtClasNm;
	}
	public void setPrdtClasNm(String prdtClasNm) {
		this.prdtClasNm = prdtClasNm;
	}
	public String getGodsNm() {
		return godsNm;
	}
	public void setGodsNm(String godsNm) {
		this.godsNm = godsNm;
	}
	public String getExamDgreNm() {
		return examDgreNm;
	}
	public void setExamDgreNm(String examDgreNm) {
		this.examDgreNm = examDgreNm;
	}
	public String getExamJudgNm() {
		return examJudgNm;
	}
	public void setExamJudgNm(String examJudgNm) {
		this.examJudgNm = examJudgNm;
	}
	public String getCprtComNm() {
		return cprtComNm;
	}
	public void setCprtComNm(String cprtComNm) {
		this.cprtComNm = cprtComNm;
	}
	public String getCprtBranNm() {
		return cprtBranNm;
	}
	public void setCprtBranNm(String cprtBranNm) {
		this.cprtBranNm = cprtBranNm;
	}
	public String getCprtEmpNm() {
		return cprtEmpNm;
	}
	public void setCprtEmpNm(String cprtEmpNm) {
		this.cprtEmpNm = cprtEmpNm;
	}
	public String getLnDivsEmpNm() {
		return lnDivsEmpNm;
	}
	public void setLnDivsEmpNm(String lnDivsEmpNm) {
		this.lnDivsEmpNm = lnDivsEmpNm;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getDocKeepNo() {
		return docKeepNo;
	}
	public void setDocKeepNo(String docKeepNo) {
		this.docKeepNo = docKeepNo;
	}
	public String getBndDivsEmpNm() {
		return bndDivsEmpNm;
	}
	public void setBndDivsEmpNm(String bndDivsEmpNm) {
		this.bndDivsEmpNm = bndDivsEmpNm;
	}
	public String getBndMngPlcNm() {
		return bndMngPlcNm;
	}
	public void setBndMngPlcNm(String bndMngPlcNm) {
		this.bndMngPlcNm = bndMngPlcNm;
	}
	public String getFrstDlyDt() {
		return frstDlyDt;
	}
	public void setFrstDlyDt(String frstDlyDt) {
		this.frstDlyDt = frstDlyDt;
	}
	public String getBadCn() {
		return badCn;
	}
	public void setBadCn(String badCn) {
		this.badCn = badCn;
	}
	public String getBadAmt() {
		return badAmt;
	}
	public void setBadAmt(String badAmt) {
		this.badAmt = badAmt;
	}
	public String getLeasStatNm() {
		return leasStatNm;
	}
	public void setLeasStatNm(String leasStatNm) {
		this.leasStatNm = leasStatNm;
	}
	public String getFlotIzeDivCd() {
		return flotIzeDivCd;
	}
	public void setFlotIzeDivCd(String flotIzeDivCd) {
		this.flotIzeDivCd = flotIzeDivCd;
	}
	public String getFlotIzeSeq() {
		return flotIzeSeq;
	}
	public void setFlotIzeSeq(String flotIzeSeq) {
		this.flotIzeSeq = flotIzeSeq;
	}
	public String getMrtgYn() {
		return mrtgYn;
	}
	public void setMrtgYn(String mrtgYn) {
		this.mrtgYn = mrtgYn;
	}
	public String getMrtgSmYn() {
		return mrtgSmYn;
	}
	public void setMrtgSmYn(String mrtgSmYn) {
		this.mrtgSmYn = mrtgSmYn;
	}
	public String getBndOldNewFg() {
		return bndOldNewFg;
	}
	public void setBndOldNewFg(String bndOldNewFg) {
		this.bndOldNewFg = bndOldNewFg;
	}
	public String getPrdtSmClasNm() {
		return prdtSmClasNm;
	}
	public void setPrdtSmClasNm(String prdtSmClasNm) {
		this.prdtSmClasNm = prdtSmClasNm;
	}
	public String getRelCnt() {
		return relCnt;
	}
	public void setRelCnt(String relCnt) {
		this.relCnt = relCnt;
	}
	public String getSplycomNm() {
		return splycomNm;
	}
	public void setSplycomNm(String splycomNm) {
		this.splycomNm = splycomNm;
	}
	public String getWdrwDivsMan() {
		return wdrwDivsMan;
	}
	public void setWdrwDivsMan(String wdrwDivsMan) {
		this.wdrwDivsMan = wdrwDivsMan;
	}
	public String getLeasGodsNm() {
		return leasGodsNm;
	}
	public void setLeasGodsNm(String leasGodsNm) {
		this.leasGodsNm = leasGodsNm;
	}
	public String getLeasGuarAmt() {
		return leasGuarAmt;
	}
	public void setLeasGuarAmt(String leasGuarAmt) {
		this.leasGuarAmt = leasGuarAmt;
	}
	public String getLeasRmnVal() {
		return leasRmnVal;
	}
	public void setLeasRmnVal(String leasRmnVal) {
		this.leasRmnVal = leasRmnVal;
	}
	public String getCntctDt() {
		return cntctDt;
	}
	public void setCntctDt(String cntctDt) {
		this.cntctDt = cntctDt;
	}
	public String getCntctCntn() {
		return cntctCntn;
	}
	public void setCntctCntn(String cntctCntn) {
		this.cntctCntn = cntctCntn;
	}
	public String getCntctDivsManNm() {
		return cntctDivsManNm;
	}
	public void setCntctDivsManNm(String cntctDivsManNm) {
		this.cntctDivsManNm = cntctDivsManNm;
	}
	public String getBssDgre() {
		return bssDgre;
	}
	public void setBssDgre(String bssDgre) {
		this.bssDgre = bssDgre;
	}
	public String getRssDgre() {
		return rssDgre;
	}
	public void setRssDgre(String rssDgre) {
		this.rssDgre = rssDgre;
	}
	public String getBsRsCombDgre() {
		return bsRsCombDgre;
	}
	public void setBsRsCombDgre(String bsRsCombDgre) {
		this.bsRsCombDgre = bsRsCombDgre;
	}
	public String getCustTpNm() {
		return custTpNm;
	}
	public void setCustTpNm(String custTpNm) {
		this.custTpNm = custTpNm;
	}
	public String getLeglCountRamt() {
		return leglCountRamt;
	}
	public void setLeglCountRamt(String leglCountRamt) {
		this.leglCountRamt = leglCountRamt;
	}
	public String getBadDebtRcptStatCd() {
		return badDebtRcptStatCd;
	}
	public void setBadDebtRcptStatCd(String badDebtRcptStatCd) {
		this.badDebtRcptStatCd = badDebtRcptStatCd;
	}
	public String getBadDebtRcptStatNm() {
		return badDebtRcptStatNm;
	}
	public void setBadDebtRcptStatNm(String badDebtRcptStatNm) {
		this.badDebtRcptStatNm = badDebtRcptStatNm;
	}
	public String getBadDebtAcctDt() {
		return badDebtAcctDt;
	}
	public void setBadDebtAcctDt(String badDebtAcctDt) {
		this.badDebtAcctDt = badDebtAcctDt;
	}
	public String getBadDebtSetlDt() {
		return badDebtSetlDt;
	}
	public void setBadDebtSetlDt(String badDebtSetlDt) {
		this.badDebtSetlDt = badDebtSetlDt;
	}
	public String getWdrwTpCd() {
		return wdrwTpCd;
	}
	public void setWdrwTpCd(String wdrwTpCd) {
		this.wdrwTpCd = wdrwTpCd;
	}
	public String getWdrwTpNm() {
		return wdrwTpNm;
	}
	public void setWdrwTpNm(String wdrwTpNm) {
		this.wdrwTpNm = wdrwTpNm;
	}
	public String getCustAddr() {
		return custAddr;
	}
	public void setCustAddr(String custAddr) {
		this.custAddr = custAddr;
	}
	public String getBadDebtDeprDt() {
		return badDebtDeprDt;
	}
	public void setBadDebtDeprDt(String badDebtDeprDt) {
		this.badDebtDeprDt = badDebtDeprDt;
	}
	public String getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(String dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public String getDlyInt() {
		return dlyInt;
	}
	public void setDlyInt(String dlyInt) {
		this.dlyInt = dlyInt;
	}
	public String getSumDlyAmt() {
		return sumDlyAmt;
	}
	public void setSumDlyAmt(String sumDlyAmt) {
		this.sumDlyAmt = sumDlyAmt;
	}
	public String getUnrcvRamt() {
		return unrcvRamt;
	}
	public void setUnrcvRamt(String unrcvRamt) {
		this.unrcvRamt = unrcvRamt;
	}
}