package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP02DSSDDO01.java Class
 * 클래스설명   : SMS 발송 관련 VO
 * 작성일자     : 2023. 4.14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][ 70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIP02DSUSERMNGSDVO {
	private String userNo;
	private String userDivCd;
	private String useFg;
	private String empNo;
	private String userNm;
	private String emalAddr;
	private String innoNo;
	private String deptCd;
	private String deptNm;
	private String useEndDt;
	private String rcntPswdChngDt;
	private String ocptCd;
	private String detlOcptCd;
	private String dutyCd;
	private String hpNo1;
	private String hpNo2;
	private String hpNo3;
	private String offcTelNo1;
	private String offcTelNo2;
	private String offcTelNo3;
	private String updateFg;

	public String getUserNo() {
		return userNo;
	}
	public String getUserDivCd() {
		return userDivCd;
	}
	public String getUseFg() {
		return useFg;
	}
	public String getEmpNo() {
		return empNo;
	}
	public String getUserNm() {
		return userNm;
	}
	public String getEmalAddr() {
		return emalAddr;
	}
	public String getInnoNo() {
		return innoNo;
	}
	public String getDeptCd() {
		return deptCd;
	}
	public String getDeptNm() {
		return deptNm;
	}
	public String getUseEndDt() {
		return useEndDt;
	}
	public String getRcntPswdChngDt() {
		return rcntPswdChngDt;
	}
	public String getOcptCd() {
		return ocptCd;
	}
	public String getDetlOcptCd() {
		return detlOcptCd;
	}
	public String getDutyCd() {
		return dutyCd;
	}
	public String getHpNo1() {
		return hpNo1;
	}
	public String getHpNo2() {
		return hpNo2;
	}
	public String getHpNo3() {
		return hpNo3;
	}
	public String getOffcTelNo1() {
		return offcTelNo1;
	}
	public String getOffcTelNo2() {
		return offcTelNo2;
	}
	public String getOffcTelNo3() {
		return offcTelNo3;
	}
	public String getUpdateFg() {
		return updateFg;
	}
	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}
	public void setUserDivCd(String userDivCd) {
		this.userDivCd = userDivCd;
	}
	public void setUseFg(String useFg) {
		this.useFg = useFg;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public void setUserNm(String userNm) {
		this.userNm = userNm;
	}
	public void setEmalAddr(String emalAddr) {
		this.emalAddr = emalAddr;
	}
	public void setInnoNo(String innoNo) {
		this.innoNo = innoNo;
	}
	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}
	public void setDeptNm(String deptNm) {
		this.deptNm = deptNm;
	}
	public void setUseEndDt(String useEndDt) {
		this.useEndDt = useEndDt;
	}
	public void setRcntPswdChngDt(String rcntPswdChngDt) {
		this.rcntPswdChngDt = rcntPswdChngDt;
	}
	public void setOcptCd(String ocptCd) {
		this.ocptCd = ocptCd;
	}
	public void setDetlOcptCd(String detlOcptCd) {
		this.detlOcptCd = detlOcptCd;
	}
	public void setDutyCd(String dutyCd) {
		this.dutyCd = dutyCd;
	}
	public void setHpNo1(String hpNo1) {
		this.hpNo1 = hpNo1;
	}
	public void setHpNo2(String hpNo2) {
		this.hpNo2 = hpNo2;
	}
	public void setHpNo3(String hpNo3) {
		this.hpNo3 = hpNo3;
	}
	public void setOffcTelNo1(String offcTelNo1) {
		this.offcTelNo1 = offcTelNo1;
	}
	public void setOffcTelNo2(String offcTelNo2) {
		this.offcTelNo2 = offcTelNo2;
	}
	public void setOffcTelNo3(String offcTelNo3) {
		this.offcTelNo3 = offcTelNo3;
	}
	public void setUpdateFg(String updateFg) {
		this.updateFg = updateFg;
	}
}