package hanalife.b.dl.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.dl.dl.mapper.dto.DlyTimsReptReadDSSDDO01DTO;
import hanalife.b.dl.dl.mapper.dto.DlyTimsReptReadDSSDDO02DTO;
import hanalife.b.dl.dl.mapper.dto.DlyTimsReptReadDSSDDO03DTO;
import hanalife.b.dl.dl.mapper.dto.DlyTimsReptReadDSSDDO04DTO;
import hanalife.b.dl.dl.mapper.dto.DlyTimsReptReadDSSMDODTO;

@Mapper("dlyTimsReptReadMapper")
public interface DlyTimsReptReadMapper {

    /** 부서별 목록 조회 */
    public List<DlyTimsReptReadDSSDDO01DTO> searchDeptList(DlyTimsReptReadDSSMDODTO dto);

    /** 상품별 목록 조회 */
    public List<DlyTimsReptReadDSSDDO02DTO> searchPrdtList(DlyTimsReptReadDSSMDODTO dto);

    /** 담당자별 목록 조회 */
    public List<DlyTimsReptReadDSSDDO03DTO> searchEmpList(DlyTimsReptReadDSSMDODTO dto);

    /** 명세 목록 조회 */
    public List<DlyTimsReptReadDSSDDO04DTO> searchSpecList(DlyTimsReptReadDSSMDODTO dto);
}
