package hanalife.b.dl.dl.service;

import hanalife.b.dl.dl.vo.BDLDLM03S01InVO;
import hanalife.b.dl.dl.vo.BDLDLM03S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BDLDLM03Service.java Class
 * 클래스설명   : BDLDLM03Service Service Interface
 * 작성일자     : 2023. 3. 20.
 * 작성자명     : 70331 / P.S.Y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 20.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBDLDLM03S01 : 연체회차별현황조회
 * </pre>
 */
public interface BDLDLM03Service {

    /** 연체회차별현황조회 */
    public BDLDLM03S01OutVO getBDLDLM03S01(BDLDLM03S01InVO inVo) throws Exception;
}
