package hanalife.b.lm.em.vo;
import java.lang.reflect.Array;
import java.lang.reflect.Field;

public class LeglActnCostRsltVO {

	// 법적조치비용정산 조회
	public long occrAmt; //발생_금액
	public long odjAmt; //정산_금액
	public long ramt; //잔액

	// 법적조치비용정산 조회
	public long rcptAdjAmt; // 수납_정산_금액
	public long rcptRamt; // 수납_잔액 (정산후)
	public long exmpAdjAmt; // 면제_정산_금액
	public long exmpRamt; // 면제_잔액 (잔액)

	public LeglActnCostRsltVO() {
		occrAmt = 0;
		odjAmt = 0;
		ramt = 0;
		rcptAdjAmt = 0;
		rcptRamt = 0;
		exmpAdjAmt = 0;
		exmpRamt = 0;
	}

	public long getExmpAdjAmt() {
		return exmpAdjAmt;
	}

	public void setExmpAdjAmt(long exmpAdjAmt) {
		this.exmpAdjAmt = exmpAdjAmt;
	}

	public long getExmpRamt() {
		return exmpRamt;
	}

	public void setExmpRamt(long exmpRamt) {
		this.exmpRamt = exmpRamt;
	}

	public long getRcptAdjAmt() {
		return rcptAdjAmt;
	}

	public void setRcptAdjAmt(long rcptAdjAmt) {
		this.rcptAdjAmt = rcptAdjAmt;
	}

	public long getRcptRamt() {
		return rcptRamt;
	}

	public void setRcptRamt(long rcptRamt) {
		this.rcptRamt = rcptRamt;
	}

	public long getOccrAmt() {
		return occrAmt;
	}

	public void setOccrAmt(long procDivCd) {
		this.occrAmt = procDivCd;
	}

	public long getOdjAmt() {
		return odjAmt;
	}

	public void setOdjAmt(long loanNo) {
		this.odjAmt = loanNo;
	}

	public long getRamt() {
		return ramt;
	}

	public void setRamt(long loanSeq) {
		this.ramt = loanSeq;
	}

	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();

		Class c = this.getClass();
		String fullname = c.getName();
		String name = null;
		int index = fullname.lastIndexOf('.');
		if (index == -1)
			name = fullname;
		else
			name = fullname.substring(index + 1);
		buf.append(name + ":{");

		Field[] fields = c.getFields();
		for (int i = 0, n = fields.length; i < n; i++) {
			try {
				if (i != 0)
					buf.append(',');
				buf.append(fields[i].getName() + '=');
				Object f = fields[i].get(this);
				Class fc = fields[i].getType();
				if (fc.isArray()) {
					buf.append('[');
					int length = Array.getLength(f);
					for (int j = 0; j < length; j++) {
						if (j != 0)
							buf.append(',');
						Object element = Array.get(f, j);
						buf.append(element.toString());
					}
					buf.append(']');
				} else
					buf.append(f.toString());
			} catch (Exception e) {
			}
		}
		buf.append('}');
		return buf.toString();
	}

	public void fixNull() {
		Class c = this.getClass();
		if (c.isPrimitive())
			return;

		Field[] fields = c.getFields();
		for (int i = 0, n = fields.length; i < n; i++) {
			try {
				Object f = fields[i].get(this);
				Class fc = fields[i].getType();

				if (fc.getName().equals("java.lang.String")) {
					if (f == null)
						fields[i].set(this, "");
					else
						fields[i].set(this, f);
				}
			} catch (Exception e) {
			}
		}
	}
}
