package hanalife.b.lm.lm.mapper.dto;

import java.math.BigDecimal;

/**
 * <pre>
 * 클래스명    : BLMLMM05DSSDDO01VO.java Class
 * 클래스설명  : 법조치진행현황조회 (BLMLMM05) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActsConsShMngDSPROFMNGDTO {

	private String loanNo;   //LOAN_NO   대출_번호
	private String loanSeq;   //LOAN_SEQ   대출_순번
	private String consShNo;   //CONS_SH_NO   품의서_번호
	private long snum;   //SNUM   일련번호
	private String profSnum;   //PROF_SNUM   증빙_일련번호
	private String leglActnCostKindCd;   //LEGL_ACTN_COST_KIND_CD 법적_조치_비용_종류_코드
	private String profKindCd;   //PROF_KIND_CD   증빙_종류_코드
	private String splyDt;   //SPLY_DT   공급_일자
	private BigDecimal splyAmt;   //SPLY_AMT   공급_가
	private BigDecimal vtax;   //VTAX   부가세
	private BigDecimal askAmt;   //ASK_AMT   청구_금액
	private String profNo;   //PROF_NO   증빙_번호
	private String payplcDivCd;   //PAYPLC_DIV_CD   지급처_구분_코드
	private String payplcCd;   //PAYPLC_CD   지급처_코드
	private String payplcNm;   //PAYPLC_NM   지급처_명
	private String busiCd;   //BUSI_CD   거래처_코드
	private String busiNm;   //BUSI_NM   거래처_명
	private String addr;   //ADDR   주소
	private String addrSpec;   //ADDR_SPEC   주소_상세
	private String reprNm;   //REPR_NM   대표자_명
	private String profFileRsrvPlc;   //PROF_FILE_RSRV_PLC   증빙_파일_저장_위치
	private String profRlFileNm;   //PROF_RL_FILE_NM   증빙_실_파일_명
	private String profChngFileNm;   //PROF_CHNG_FILE_NM   증빙_변경_파일_명
	private String taxBillNo;   //TAX_BILL_NO   세금_계산서_번호
	private String acctDeptCd;   //ACCT_DEPT_CD   회계부서코드
	private String localPath; //LOCAL_PATH   증빙파일 로컬위치
	private String makeDeptCd; // 작성부서코드
	private String makeDeptNm; // 작성부서명
	private String makeEmpNo;  // 작성사원번호
	private String makeEmpNm;  // 작성사원명
	private String applDt;   //APPL_DT   신청_일자
	private long applSnum;   //APPL_SNUM   신청_일련번호
	private BigDecimal sumAmt;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
	public String getProfSnum() {
		return profSnum;
	}
	public void setProfSnum(String profSnum) {
		this.profSnum = profSnum;
	}
	public String getLeglActnCostKindCd() {
		return leglActnCostKindCd;
	}
	public void setLeglActnCostKindCd(String leglActnCostKindCd) {
		this.leglActnCostKindCd = leglActnCostKindCd;
	}
	public String getProfKindCd() {
		return profKindCd;
	}
	public void setProfKindCd(String profKindCd) {
		this.profKindCd = profKindCd;
	}
	public String getSplyDt() {
		return splyDt;
	}
	public void setSplyDt(String splyDt) {
		this.splyDt = splyDt;
	}
	public BigDecimal getSplyAmt() {
		return splyAmt;
	}
	public void setSplyAmt(BigDecimal splyAmt) {
		this.splyAmt = splyAmt;
	}
	public BigDecimal getVtax() {
		return vtax;
	}
	public void setVtax(BigDecimal vtax) {
		this.vtax = vtax;
	}
	public BigDecimal getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(BigDecimal askAmt) {
		this.askAmt = askAmt;
	}
	public String getProfNo() {
		return profNo;
	}
	public void setProfNo(String profNo) {
		this.profNo = profNo;
	}
	public String getPayplcDivCd() {
		return payplcDivCd;
	}
	public void setPayplcDivCd(String payplcDivCd) {
		this.payplcDivCd = payplcDivCd;
	}
	public String getPayplcCd() {
		return payplcCd;
	}
	public void setPayplcCd(String payplcCd) {
		this.payplcCd = payplcCd;
	}
	public String getPayplcNm() {
		return payplcNm;
	}
	public void setPayplcNm(String payplcNm) {
		this.payplcNm = payplcNm;
	}
	public String getBusiCd() {
		return busiCd;
	}
	public void setBusiCd(String busiCd) {
		this.busiCd = busiCd;
	}
	public String getBusiNm() {
		return busiNm;
	}
	public void setBusiNm(String busiNm) {
		this.busiNm = busiNm;
	}
	public String getAddr() {
		return addr;
	}
	public void setAddr(String addr) {
		this.addr = addr;
	}
	public String getAddrSpec() {
		return addrSpec;
	}
	public void setAddrSpec(String addrSpec) {
		this.addrSpec = addrSpec;
	}
	public String getReprNm() {
		return reprNm;
	}
	public void setReprNm(String reprNm) {
		this.reprNm = reprNm;
	}
	public String getProfFileRsrvPlc() {
		return profFileRsrvPlc;
	}
	public void setProfFileRsrvPlc(String profFileRsrvPlc) {
		this.profFileRsrvPlc = profFileRsrvPlc;
	}
	public String getProfRlFileNm() {
		return profRlFileNm;
	}
	public void setProfRlFileNm(String profRlFileNm) {
		this.profRlFileNm = profRlFileNm;
	}
	public String getProfChngFileNm() {
		return profChngFileNm;
	}
	public void setProfChngFileNm(String profChngFileNm) {
		this.profChngFileNm = profChngFileNm;
	}
	public String getTaxBillNo() {
		return taxBillNo;
	}
	public void setTaxBillNo(String taxBillNo) {
		this.taxBillNo = taxBillNo;
	}
	public String getAcctDeptCd() {
		return acctDeptCd;
	}
	public void setAcctDeptCd(String acctDeptCd) {
		this.acctDeptCd = acctDeptCd;
	}
	public String getLocalPath() {
		return localPath;
	}
	public void setLocalPath(String localPath) {
		this.localPath = localPath;
	}
	public String getMakeDeptCd() {
		return makeDeptCd;
	}
	public void setMakeDeptCd(String makeDeptCd) {
		this.makeDeptCd = makeDeptCd;
	}
	public String getMakeDeptNm() {
		return makeDeptNm;
	}
	public void setMakeDeptNm(String makeDeptNm) {
		this.makeDeptNm = makeDeptNm;
	}
	public String getMakeEmpNo() {
		return makeEmpNo;
	}
	public void setMakeEmpNo(String makeEmpNo) {
		this.makeEmpNo = makeEmpNo;
	}
	public String getMakeEmpNm() {
		return makeEmpNm;
	}
	public void setMakeEmpNm(String makeEmpNm) {
		this.makeEmpNm = makeEmpNm;
	}
	public String getApplDt() {
		return applDt;
	}
	public void setApplDt(String applDt) {
		this.applDt = applDt;
	}
	public long getApplSnum() {
		return applSnum;
	}
	public void setApplSnum(long applSnum) {
		this.applSnum = applSnum;
	}
	public BigDecimal getSumAmt() {
		return sumAmt;
	}
	public void setSumAmt(BigDecimal sumAmt) {
		this.sumAmt = sumAmt;
	}


}
