package hanalife.b.lm.lm.vo;

/**
 * <pre>
 * 클래스명    : BLMLMM02DSSDDO01VO.java Class
 * 클래스설명  : 법조치품의서관리 (BLMLMM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class BLMLMM02DSSDDO01VO {

	private String loanNo;
	private String loanSeq;
	private String custNm;
	private String actnTpCd;
	private String actnTpNm;
	private String caseNo;
	private String loanPamt;
	private String loanTerm;
	private String dlyTcnt;
	private String prdtNm;
	private String dlyAmt;
	private String rmbrFrmlNm;
	private String mngDeptNm;
	private String loanAmtRamt;
	private String bndStatNm;
	private String lnDivsEmpNo;
	private String relCaseNo;
	private String consShNo;
	private String spayAmt;
	private String loanPamtRamt;
	private String custNo;
	private String bndStatCd;
	private String loanStatCd;
	private String flotIzeDivCd;
	private String flotIzeSeq;
	private String thmmComgTims;
	private String leasGuarAmt;
	private String leasStatCd;
	private String bndMngPlcNm;
	private String bndDivsEmpNm;
	private String loanStatNm;
	private String mngPlcBndDivsEmpNo;
	private String mngPlcDivCd;
	private String mngDeptCd;
	private String prdtLrgeClasCd;
	private String prdtMidClasCd;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getActnTpCd() {
		return actnTpCd;
	}
	public void setActnTpCd(String actnTpCd) {
		this.actnTpCd = actnTpCd;
	}
	public String getActnTpNm() {
		return actnTpNm;
	}
	public void setActnTpNm(String actnTpNm) {
		this.actnTpNm = actnTpNm;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(String loanPamt) {
		this.loanPamt = loanPamt;
	}
	public String getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(String loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getLoanAmtRamt() {
		return loanAmtRamt;
	}
	public void setLoanAmtRamt(String loanAmtRamt) {
		this.loanAmtRamt = loanAmtRamt;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getLnDivsEmpNo() {
		return lnDivsEmpNo;
	}
	public void setLnDivsEmpNo(String lnDivsEmpNo) {
		this.lnDivsEmpNo = lnDivsEmpNo;
	}
	public String getRelCaseNo() {
		return relCaseNo;
	}
	public void setRelCaseNo(String relCaseNo) {
		this.relCaseNo = relCaseNo;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getSpayAmt() {
		return spayAmt;
	}
	public void setSpayAmt(String spayAmt) {
		this.spayAmt = spayAmt;
	}
	public String getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public void setLoanPamtRamt(String loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getBndStatCd() {
		return bndStatCd;
	}
	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getFlotIzeDivCd() {
		return flotIzeDivCd;
	}
	public void setFlotIzeDivCd(String flotIzeDivCd) {
		this.flotIzeDivCd = flotIzeDivCd;
	}
	public String getFlotIzeSeq() {
		return flotIzeSeq;
	}
	public void setFlotIzeSeq(String flotIzeSeq) {
		this.flotIzeSeq = flotIzeSeq;
	}
	public String getThmmComgTims() {
		return thmmComgTims;
	}
	public void setThmmComgTims(String thmmComgTims) {
		this.thmmComgTims = thmmComgTims;
	}
	public String getLeasGuarAmt() {
		return leasGuarAmt;
	}
	public void setLeasGuarAmt(String leasGuarAmt) {
		this.leasGuarAmt = leasGuarAmt;
	}
	public String getLeasStatCd() {
		return leasStatCd;
	}
	public void setLeasStatCd(String leasStatCd) {
		this.leasStatCd = leasStatCd;
	}
	public String getBndMngPlcNm() {
		return bndMngPlcNm;
	}
	public void setBndMngPlcNm(String bndMngPlcNm) {
		this.bndMngPlcNm = bndMngPlcNm;
	}
	public String getBndDivsEmpNm() {
		return bndDivsEmpNm;
	}
	public void setBndDivsEmpNm(String bndDivsEmpNm) {
		this.bndDivsEmpNm = bndDivsEmpNm;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getMngPlcBndDivsEmpNo() {
		return mngPlcBndDivsEmpNo;
	}
	public void setMngPlcBndDivsEmpNo(String mngPlcBndDivsEmpNo) {
		this.mngPlcBndDivsEmpNo = mngPlcBndDivsEmpNo;
	}
	public String getMngPlcDivCd() {
		return mngPlcDivCd;
	}
	public void setMngPlcDivCd(String mngPlcDivCd) {
		this.mngPlcDivCd = mngPlcDivCd;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}

}
