package hanalife.b.vi.wd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.vi.wd.mapper.dto.IntvMngDSSDDO01DTO;
import hanalife.b.vi.wd.mapper.dto.IntvMngDSSDDO02DTO;
import hanalife.b.vi.wd.mapper.dto.IntvMngDSSDDO03DTO;
import hanalife.b.vi.wd.mapper.dto.IntvMngDSSMDO01DTO;
import hanalife.b.vi.wd.mapper.dto.IntvMngDSSMDO02DTO;
import hanalife.b.vi.wd.mapper.dto.IntvMngDSSMDO03DTO;

@Mapper("intvMngMapper")
public interface IntvMngMapper {

    /** 면담대상자 리스트 조회 */
    public List<IntvMngDSSDDO01DTO> search(IntvMngDSSMDO01DTO dto) throws Exception;

    /** 면담내용 리스트 조회 */
    public List<IntvMngDSSDDO02DTO> searchIntvCntn(IntvMngDSSMDO02DTO dto) throws Exception;

    /** 면담 조회 */
    public List<IntvMngDSSDDO03DTO> searchIntv(IntvMngDSSMDO03DTO dto) throws Exception;

    /** 방문내용결과 생성 */
    public int insertIntv() throws Exception;

    /** 방문내용결과 수정 */
    public int updateIntv() throws Exception;

    /** 방문내용결과 삭제 */
    public int deleteIntv() throws Exception;

}
