package hanalife.b.vi.wd.service;

import hanalife.b.vi.wd.vo.BVIWDM02S01InVO;
import hanalife.b.vi.wd.vo.BVIWDM02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BVIWDM02Service.java Class
 * 클래스설명   : BVIWDM02Service Service Interface
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70331 / P.S.Y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBVIWDM02S01 : 면담관리대장 리스트 조회
 * </pre>
 */
public interface BVIWDM02Service {

    /** 면담관리대장 리스트 조회 */
    public BVIWDM02S01OutVO getBVIWDM02S01(BVIWDM02S01InVO inVo) throws Exception;
}
