package hanalife.b.vi.wd.service;

import hanalife.b.vi.wd.vo.BVIWDP01S01InVO;
import hanalife.b.vi.wd.vo.BVIWDP01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BVIWDP01Service.java Class
 * 클래스설명   : BVIWDP01Service Service Interface
 * 작성일자     : 2023. 4. 10.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 10.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBVIWDP01S01 : 주소 조회
 *              registerBVIWDP01I01 : 방문계획 등록
 * </pre>
 */
public interface BVIWDP01Service {

    /** 주소 조회 */
    public BVIWDP01S01OutVO getBVIWDP01S01(BVIWDP01S01InVO inVo) throws Exception;

    /** 방문계획 등록 */
    public BVIWDP01S01OutVO registerBVIWDP01I01(BVIWDP01S01InVO inVo) throws Exception;

}
