package hanalife.b.vi.wd.service;

import hanalife.b.vi.wd.vo.BVIWDP02S01InVO;
import hanalife.b.vi.wd.vo.BVIWDP02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BVIWDP02Service.java Class
 * 클래스설명   : BVIWDP02Service Service Interface
 * 작성일자     : 2023. 4. 10.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 10.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBVIWDP02S01 : 주소 조회
 * </pre>
 */
public interface BVIWDP02Service {

    /** 주소 조회 */
    public BVIWDP02S01OutVO getBVIWDP02S01(BVIWDP02S01InVO inVo) throws Exception;

}
