package hanalife.batch;

/**
 * <pre>
 * 클래스명   : DbsBatch
 * 클래스설명 : 배치 실행에 필요한 메타정보를 담는다.
 * 프로젝트명 : DOBSCAP
 * 작성일자   : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DbsBatchInfo {
    private String jobId;
    private String batchId;
    private String preBatchId;
    private String batchName;
    private String batchArg;
    private String className;
    private boolean preBatchCnfmYn;

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getPreBatchId() {
        return preBatchId;
    }

    public void setPreBatchId(String preBatchId) {
        this.preBatchId = preBatchId;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getBatchArg() {
        return batchArg;
    }

    public void setBatchArg(String batchArg) {
        this.batchArg = batchArg;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public boolean isPreBatchCnfmYn() {
        return preBatchCnfmYn;
    }

    public void setPreBatchCnfmYn(boolean preBatchCnfmYn) {
        this.preBatchCnfmYn = preBatchCnfmYn;
    }
}
