package hanalife.batch;

/**
 * 배치 수행중 에러는 아니고 중간에 처리를 skip  하고 싶을때
 *
 * - 배치처리 결과는 성공, DB는 rollback
 * - ex) 처리할 대상이 없을때
 *
 */
public class DbsBatchSkipException extends RuntimeException {
    public DbsBatchSkipException(String s) {
        super(s);
    }

    public DbsBatchSkipException(String message, Throwable e) {
        super(message, e);
    }
}
