package hanalife.batch;

import hanalife.util.LoggableVO;

/**
 * <pre>
 * 클래스명    : ProcObj
 * 클래스설명 : ProcObj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class ProcObj extends LoggableVO{
    private String jobId = "";
    private String jobDt = "";
    private String jobTm = ""; //optional
    private int jobSnum = 0;
    private String stndDt = "";

    private String strtLoanNo = "";
    private String endLoanNo = "";
    //현재시스템 일자-시각
    private String procDt = "";
    private String procTm = "";
    //공통코드에서 얻는 필드
    private String isrtDeptCd = "";
    private String isrtEmpNo = "";
    private int fetchCnt = 0;
    private String trOrgCd = "";
    private String cyclClsCd = "";
    private int procCnt;

    public ProcObj() {
    }

    public String getStrtLoanNo() {
        return strtLoanNo;
    }

    public String getProcTm() {
        return procTm;
    }

    public String getProcDt() {
        return procDt;
    }

    public String getJobTm() {
        return jobTm;
    }

    public int getJobSnum() {
        return jobSnum;
    }

    public String getJobId() {
        return jobId;
    }

    public String getJobDt() {
        return jobDt;
    }

    public String getStndDt() {
        return stndDt;
    }

    public String getIsrtEmpNo() {
        return isrtEmpNo;
    }

    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }

    public int getFetchCnt() {
        return fetchCnt;
    }

    public String getTrOrgCd() {
        return trOrgCd;
    }

    public String getEndLoanNo() {
        return endLoanNo;
    }

    public void setEndLoanNo(String endLoanNo) {
        this.endLoanNo = endLoanNo;
    }

    public void setStrtLoanNo(String strtLoanNo) {
        this.strtLoanNo = strtLoanNo;
    }

    public void setProcTm(String procTm) {
        this.procTm = procTm;
    }

    public void setProcDt(String procDt) {
        this.procDt = procDt;
    }

    public void setJobTm(String jobTm) {
        this.jobTm = jobTm;
    }

    public void setJobSnum(int jobSnum) {
        this.jobSnum = jobSnum;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public void setJobDt(String jobDt) {
        this.jobDt = jobDt;
    }

    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }

    public void setIsrtEmpNo(String isrtEmpNo) {
        this.isrtEmpNo = isrtEmpNo;
    }

    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }

    public void setFetchCnt(int fetchCnt) {
        this.fetchCnt = fetchCnt;
    }

    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }

    public String getCyclClsCd() {
        return cyclClsCd;
    }

    public void setCyclClsCd(String cyclClsCd) {
        this.cyclClsCd = cyclClsCd;
    }

    public int getProcCnt() {
        return procCnt;
    }

    public void setProcCnt(int procCnt) {
        this.procCnt = procCnt;
    }
}
