package hanalife.c.bc.cc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.cc.mapper.dto.CustSrchMapperDSCUSTINFOSRCHSDDTO;
import hanalife.c.bc.cc.mapper.dto.CustSrchMapperDSCUSTINFOSRCHSMDTO;

@Mapper("CustSrchMapper")
public interface CustSrchMapper {

	 /**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 고객번호검색창조회
     * 메소드인수1   : 고객검색 입력
     * 메소드리턴값  : 고객검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustSrchMapperDSCUSTINFOSRCHSDDTO> search21(CustSrchMapperDSCUSTINFOSRCHSMDTO inDto) throws Exception;
    /**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 고객번호검색창조회(개인:제휴사)
     * 메소드인수1   : 고객검색 입력
     * 메소드리턴값  : 고객검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustSrchMapperDSCUSTINFOSRCHSDDTO> search10023(CustSrchMapperDSCUSTINFOSRCHSMDTO inDto) throws Exception;
    /**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 고객번호검색창조회(개인)
     * 메소드인수1   : 고객검색 입력
     * 메소드리턴값  : 고객검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustSrchMapperDSCUSTINFOSRCHSDDTO> search10024(CustSrchMapperDSCUSTINFOSRCHSMDTO inDto) throws Exception;
    /**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 고객번호검색창조회(법인:제휴사)
     * 메소드인수1   : 고객검색 입력
     * 메소드리턴값  : 고객검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustSrchMapperDSCUSTINFOSRCHSDDTO> search10021(CustSrchMapperDSCUSTINFOSRCHSMDTO inDto) throws Exception;
    /**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 고객번호검색창조회(법인:전부)
     * 메소드인수1   : 고객검색 입력
     * 메소드리턴값  : 고객검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustSrchMapperDSCUSTINFOSRCHSDDTO> search10022(CustSrchMapperDSCUSTINFOSRCHSMDTO inDto) throws Exception;
    /**
     * <pre>
     * 메소드명      : searchSdList
     * 작성일자      : 2023. 3. 21.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 고객번호검색창조회(전체)
     * 메소드인수1   : 고객검색 입력
     * 메소드리턴값  : 고객검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CustSrchMapperDSCUSTINFOSRCHSDDTO> search10020(CustSrchMapperDSCUSTINFOSRCHSMDTO inDto) throws Exception;
}
