package hanalife.c.bc.cc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.cc.mapper.dto.ZipCdDSZIPCDSDDTO;
import hanalife.c.bc.cc.mapper.dto.ZipCdDSZIPCDSMDTO;

@Mapper("ZipCdMapper")
public interface ZipCdMapper {

	/**
     * <pre>
     * 메소드명      : search
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70322 sungjin.park
     * 설명          : 우편번호검색을 조회 한다.
     * 메소드인수1   : 우편번호검색 입력
     * 메소드리턴값  : 우편번호검색 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<ZipCdDSZIPCDSDDTO> search(ZipCdDSZIPCDSMDTO inDto) throws Exception;

}
