package hanalife.c.cm.cm.service.impl;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;
import org.springframework.stereotype.Service;

import hanalife.c.cm.cm.mapper.HlflCmmDataMapper;
import hanalife.c.cm.cm.service.HlflCmmDataService;
import hanalife.c.co.util.StringUtil;



@Service("HaflCmmDataService")
public class HlflCmmDataServiceImpl  extends HlflCmmDataMapper implements HlflCmmDataService{
	@Override
	public List<Map<String, Object>> selectCmmDicByNo( Map<String, Object> param) throws Exception {
		String sqlId = ((String)param.get("dataDicNo")).trim();
		return  selectList("cmmDicMapper."+sqlId, param);
	}
	
	
	@Override
	public List<Map<String, Object>> selectCmmDicByNoOne( Map<String, Object> param) throws Exception {
		String sqlId = ((String)param.get("dataDicNo")).trim();
		RowBounds rowBounds = new RowBounds(1 , 1);
		return  selectList("cmmDicMapper."+sqlId, param, rowBounds);
		//return  selectList("cmmDicMapper.CT_DATA_DIC_DESC", param, rowBounds);
	}
	
	@Override
	public List<Map<String, Object>> selectCmmDicDesc( Map<String, Object> param) throws Exception {
		String sqlId = ((String)param.get("dataDicNo")).trim();
		RowBounds rowBounds = new RowBounds(1 , 1);
		return  selectList("cmmDicMapper."+sqlId, param, rowBounds);
		//return  selectList("cmmDicMapper.CT_DATA_DIC_DESC", param, rowBounds);
	}
	
	
	@Override
	public List<Map<String, Object>> selectCmmDataList( Map<String, Object> param) throws Exception {
		
		String sqlId    = ((String)param.get("sqlId")).trim();
		return  selectList("cmmDataMapper."+sqlId, param);
	}
	
	@Override
	public int mergeCmmData( Map<String, Object> param) throws Exception {
		String sqlId = ((String)param.get("sqlId")).trim();
		return insert("cmmDataMapper."+sqlId, param);
	}


	@Override
	public String selectCmmCnstInfo(Map<String, Object> param) throws Exception {
		String sqlId    = ((String)param.get("sqlId")).trim();
		List<Map<String, Object>> list = selectList("cmmDataMapper."+sqlId, param);
		String cnstCntn =StringUtil.NVL((String)((Map<String, Object>)list.get(0)).get("cnstCntn"));
		return  cnstCntn;
	}
}



