package hanalife.c.cm.cm.service.impl;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.cm.cm.mapper.HlflCmmMapper;
import hanalife.c.cm.cm.service.HlflCmmService;


@Service("HaflCmmService")
public class HlflCmmServiceImpl extends EgovAbstractServiceImpl implements HlflCmmService{


	private Log log = LogFactory.getLog(this.getClass());
	
	@Autowired
	private HlflCmmMapper  hlflCmmMapper;
	

	@Override
	public List<Map<String, Object>> selectDataList( Map<String, Object> param) throws Exception {
		log.info("############################### selectDataList impl");
		List<Map<String, Object>> result = hlflCmmMapper.selectDataList(param);
		return result ;
	}
	
	
	@Override
	public  List<Map<String, Object>> selectCmmCdList( Map<String, Object> param) throws Exception {
		log.info("############################### selectCmmCdList impl");
		List<Map<String, Object>> result = hlflCmmMapper.selectCmmCdList(param);
		return result ;
	}


	@Override
	public List<Map<String, Object>> selectLoginUserInfo(Map<String, Object> param) throws Exception {
		log.info("############################### selectLoginUserInfo impl");
		List<Map<String, Object>> result = hlflCmmMapper.selectLoginUserInfo(param);
		return result ;
	}


	@Override
	public List<Map<String, Object>> selectCmmCdKindList(Map<String, Object> param) throws Exception {
		log.info("############################### selectCmmCdKindList impl");
		List<Map<String, Object>> result = hlflCmmMapper.selectCmmCdKindList(param);
		return result ;
	}


	@Override
	public List<Map<String, Object>> selectDeptInfo(Map<String, Object> param) throws Exception {
		log.info("############################### selectDeptInfo impl");
		List<Map<String, Object>> result = hlflCmmMapper.selectDeptInfo(param);
		return result;
	}
	
	
	@Override
	public void insertFileInfo(Map<String, Object> param) throws Exception {
		log.info("############################### insertFileInfo impl");
		hlflCmmMapper.insertFileInfo(param);
	}

}
