package hanalife.c.cm.sp.vo;
import java.io.Serializable;

import hanalife.c.co.vo.PageVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
* @author       : empno
* @date         : 2023.03.13
* @description  :
* ===========================================================
* DATE              AUTHOR             NOTE
* -----------------------------------------------------------
* 2023.03.13         empno             최초 생성
*/
@Getter
@Setter
@ToString
public class sendFaxVO extends PageVO implements Serializable{

	private static final long serialVersionUID = 3925488324293182368L;

	private String cmid      ;// PK(MG + YYYYMMDDHH24MISS)(EX:MG20230206142538) + 필요하면 SEQ값
	private String msgType   ;// 2(FAX)
	private String reqTime   ;// 요청시간
	private String destPhone ;// 암호화된수신자전화번호(EX:0237098629)
	private String destName  ;// 수신자이름
	private String sendPhone ;// 발신자전화번호(1577-1112)
	private String subject   ;// FAX제목(EX:[하나생명모기지론]자동이체신청서(11253757))
	private String msgBody   ;// 메세지(SUBJECT와 동일한 값 OR 확인을 위해 필요한 값)
	private String coverFlag ;// 커버FLAG(0)
	private String retryCnt  ;// 재시도횟수(0)
	private String faxFile   ;// 전송할 FAX용 PDF파일명
}