package hanalife.c.cm.sp.vo;
import java.io.Serializable;
import java.math.BigDecimal;

import hanalife.c.co.vo.PageVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
* @author       : empno
* @date         : 2023.03.09
* @description  :
* ===========================================================
* DATE              AUTHOR             NOTE
* -----------------------------------------------------------
* 2023.03.09         empno             최초 생성
*/
@Getter
@Setter
@ToString
public class sendSmsVO extends PageVO implements Serializable{

	private static final long serialVersionUID = 3925488324293182368L;

	private String vfvSmsMsgCd ;		// IN  EAGLE.SMS_CD_MAST@D_BEST_HE테이블의 SMS_CD
	private String vfvSndTelNo ;		// IN  송신자전호번호(NULL가능)
	private BigDecimal vfvJgno ;		// IN  대출번호(최대30자리)(null가능)(숫자만 가능)
	private String vfvJhno     ;		// IN  수신자핸드폰번호(- 있어도 없어도 무관)
	private String vfvGgno     ;		// IN  고객번호(NULL가능)(숫자만가능)(최대30자리)
	private String vfvReqdate   ;		// IN  SMS 전송시간(null이면 즉시전송) (형식:YYYYMMDDHH24MISS OR NULL)
	private String vfvBatchYn   ;		// IN  배치용 SMS Y,실시간 SMS N
	private String vfvSmsMsgCtt ;		// IN  보낼문자내용(단 SMS_CD_MAST테이블의 MATCH_YN 이 N인경우만, 그외는 NULL)
	private String vfvParam01   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam02   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam03   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam04   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam05   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam06   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam07   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam08   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam09   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam10   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam11   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam12   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam13   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam14   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvParam15   ;		// IN  파라미터1(SMS_CD_MAST의 MATCH_YN='Y'인 경우)
	private String vfvFileNm01 ;		// IN  MMS인경우 첨부할 이미지파일명(SMS_CD_MAST의 MMS_YN='Y'인 경우
	private String vfvFileNm02 ;		// IN  MMS인경우 첨부할 이미지파일명(SMS_CD_MAST의 MMS_YN='Y'인 경우
	private String vfvFileNm03 ;		// IN  MMS인경우 첨부할 이미지파일명(SMS_CD_MAST의 MMS_YN='Y'인 경우
	private String vfvZCreateBy;		// IN  생성자
	private String vfvRtnCd     ;		// OUT 0000:정상, 그외 에러
	private String vfvRtnCtt    ;		// OUT 에러인경우의 에러내용
}