package hanalife.c.co.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StKbAptInfoDTO;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StRuleMainMapper.java Class
 * 클래스설명   : ST-RULE MAIN(ST_RULE_MAIN) 조회(목록), 등록, 수정, 삭제
 * 작성일자     : 2023.04.13.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.13.][70280 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StKbAptInfoMapper")
public interface StKbAptInfoMapper
{
    /**
     * <pre>
     * 메소드명      : select
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 조회
     * 메소드인수1   : {StRuleMainMapper}
     * 메소드리턴값  : {StRuleMainMapper}
     * 예외처리      : Exception
     * </pre>
     */
    public StKbAptInfoDTO select(StKbAptInfoDTO inDto) throws Exception;
}