package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanCprtBranDTO.java Class
 * 클래스설명   : ST_대출_제휴점(ST_LOAN_CPRT_BRAN )를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanCprtBranDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = ""; /* 대출_번호 */
    private String loanSeq = ""; /* 대출_순번 */
    private String cprtComNo = ""; /* 제휴사_번호 */
    private String cprtBranCd = ""; /* 제휴점_코드[제휴점코드(ST_CPRT_BRAN참조)] */
    private String reprCprtComFg = ""; /* 대표_제휴사_여부 */
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCprtComNo() {
		return cprtComNo;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}
	public String getCprtBranCd() {
		return cprtBranCd;
	}
	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}
	public String getReprCprtComFg() {
		return reprCprtComFg;
	}
	public void setReprCprtComFg(String reprCprtComFg) {
		this.reprCprtComFg = reprCprtComFg;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
