package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StProdIruleDTO.java Class
 * 클래스설명   : 상품내부RULE(ST_PROD_IRULE) 테이블 DTO(VO)
 * 작성일자     : 2023.04.13.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.14.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class StProdIruleDTO extends AbstractVO
{
    private static final long serialVersionUID = 1L;

    private String prodCd;              // 상품코드
    // private String paramId;             // Param Id
    private long seqNo;                 // Serial No

    private String ruleType;            //
    private String ruleId;              //
    private String ruleNm;              //
    private String remark;              //
    private String recSttsCd;           //
    private String content;             //

    public String getProdCd()
    {
        return prodCd;
    }
    public void setProdCd(String prodCd)
    {
        this.prodCd = prodCd;
    }
//    public String getParamId()
//    {
//        return paramId;
//    }
//    public void setParamId(String paramId)
//    {
//        this.paramId = paramId;
//    }
    public long getSeqNo()
    {
        return seqNo;
    }
    public void setSeqNo(long seqNo)
    {
        this.seqNo = seqNo;
    }
    public static long getSerialversionuid()
    {
        return serialVersionUID;
    }
    public String getRuleId()
    {
        return ruleId;
    }
    public void setRuleId(String ruleId)
    {
        this.ruleId = ruleId;
    }
    public String getRuleType()
    {
        return ruleType;
    }
    public void setRuleType(String ruleType)
    {
        this.ruleType = ruleType;
    }
    public String getRuleNm()
    {
        return ruleNm;
    }
    public void setRuleNm(String ruleNm)
    {
        this.ruleNm = ruleNm;
    }
    public String getRemark()
    {
        return remark;
    }
    public void setRemark(String remark)
    {
        this.remark = remark;
    }
    public String getRecSttsCd()
    {
        return recSttsCd;
    }
    public void setRecSttsCd(String recSttsCd)
    {
        this.recSttsCd = recSttsCd;
    }
    public String getContent()
    {
        return content;
    }
    public void setContent(String content)
    {
        this.content = content;
    }
}