package hanalife.c.co.util;

import java.math.BigDecimal;

public class MathUtil
{
    public static BigDecimal Min(BigDecimal a, BigDecimal b)
    {
        if (a == null  ||  b == null)
        {
            return null;
        }

        if (a.compareTo(b) > 0)
        {
            return b;
        }

        return a;
    }

    public static BigDecimal Max(BigDecimal a, BigDecimal b)
    {
        if (a == null  ||  b == null)
        {
            return null;
        }

        if (a.compareTo(b) > 0)
        {
            return a;
        }

        return b;
    }

    public static boolean isNull(BigDecimal a)
    {
        if (a == null)
        {
            return true;
        }

        return false;
    }

    public static boolean isZero(BigDecimal a)
    {
        if (a.compareTo(BigDecimal.ZERO) == 0)
        {
            return true;
        }

        return false;
    }

    public static boolean isMinus(BigDecimal a)
    {
        if (a.compareTo(BigDecimal.ZERO) < 0)
        {
            return true;
        }

        return false;
    }

    public static boolean isMinus(int a)
    {
        if (a < 0)
        {
            return true;
        }

        return false;
    }

    public static boolean isNegative(BigDecimal a)
    {
        return isMinus(a);
    }

    public static boolean isNegative(int a)
    {
        return isMinus(a);
    }

    public static boolean isPositive(BigDecimal a)
    {
       if (a.compareTo(BigDecimal.ZERO) > 0)
       {
           return true;
       }

       return false;
    }

    public static BigDecimal NullToZero(BigDecimal a)
    {
        if (isNull(a) == true)
        {
            return BigDecimal.ZERO;
        }

        return a;
    }

    public static BigDecimal CutOffOverflow(BigDecimal a, BigDecimal limit)
    {
        return Min(a, limit);
    }

    public static BigDecimal StrToBigDecimal(String a)
    {
        BigDecimal nResult = BigDecimal.ZERO;

        if (a == null)
        {
            return BigDecimal.ZERO;
        }

        if ("".equals(a) == true)
        {
            return BigDecimal.ZERO;
        }

        try
        {
            nResult = new BigDecimal(a);
        }
        catch (Exception e)
        {
            nResult = BigDecimal.ZERO;
        }

        return nResult;
    }
}