package hanalife.c.co.vo;


import lombok.Getter;
import lombok.Setter;

/**
 * 파일 설명
 * ex) 샘플 사용자 관리 구현
 * <pre>
 * 기능에 대한 구체적인 내용 기술
 * ex) 사용자 생성, 조회, 수정, 삭제
 * </pre>
 *
 * @author 70114
 * @since  2022.08.01
 * @version 1.0
 */
@Getter
@Setter
public class FileInfoVO{
    private String flId;	// 파일ID
	private String actFlPth; // 첨부파일경로
	private String actFlNm; // 첨부파일명
	private String orglFlNm; // 원본첨부파일명
	private String actFlDv; // 첨부파일구분(확장자)
	private long actFlVol; // 첨부파일크기
	private String butxSeq; // 게시물 일련번호
	private String actFlSeq; // 첨부파일 일련번호
	private String useYn; // 사용여부 [Y/N]
	private String rgrId; // 등록자
	private String regDtm; // 등록일시
	private String uturId; // 수정자
	private String updDtm; // 수정날짜
}
