package hanalife.c.co.vo;

import java.math.BigDecimal;

public class RtAutoTranTrDescVO {

    private static final long serialVersionUID = 1L;

    private String rlDueDt  = "";  /* 실납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long askTims  = 0;  /* 청구회차 */
    private long totTims  = 0;  /* 총회차 */
    private String setlDd  = "";  /* 결제일 */
    private String prdtCd  = "";  /* 상품코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String prdtSmClasCd  = "";  /* 상품소분류코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String custNo  = "";  /* 고객번호 */
    private String custNm  = "";  /* 고객명 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private long acntSnum  = 0;  /* 계좌일련번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String acntStatCd  = "";  /* 계좌상태코드 */
    private String eprtAskMethCd  = "";  /* 만기청구방법코드 */
    private String askExclDt  = "";  /* 청구제외일자 */
    private String askDivCd  = "";  /* 청구구분코드 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal brcvAmtLeasfeeRamt  = BigDecimal.ZERO;  /* 선수금리스료잔액 */
    private BigDecimal execGuarAmtRamt  = BigDecimal.ZERO;  /* 실행보증금잔액 */
    private BigDecimal askPamt  = BigDecimal.ZERO;  /* 청구원금 */
    private BigDecimal askInt  = BigDecimal.ZERO;  /* 청구이자 */
    private BigDecimal askPpayInt  = BigDecimal.ZERO;  /* 청구선급이자 */
    private BigDecimal askAddCartax  = BigDecimal.ZERO;  /* 청구가산자동차세 */
    private BigDecimal askAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구가산환경개선부담금 */
    private BigDecimal askAddInsuFee  = BigDecimal.ZERO;  /* 청구가산보험료 */
    private BigDecimal askAddAsfee  = BigDecimal.ZERO;  /* 청구가산정비료 */
    private BigDecimal askVtax  = BigDecimal.ZERO;  /* 청구부가세 */
    private BigDecimal askIpayCartax  = BigDecimal.ZERO;  /* 청구대지급자동차세 */
    private BigDecimal askIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구대지급환경개선부담금 */
    private BigDecimal askIpayInsuFee  = BigDecimal.ZERO;  /* 청구대지급보험료 */
    private BigDecimal askIpayPnltAmt  = BigDecimal.ZERO;  /* 청구대지급범칙금 */
    private BigDecimal askIpayEtc  = BigDecimal.ZERO;  /* 청구대지급기타 */
    private BigDecimal askLtrmBrcvAmt  = BigDecimal.ZERO;  /* 청구장기선수금액 */
    private BigDecimal askDfee  = BigDecimal.ZERO;  /* 청구연체료 */
    private BigDecimal askLeglActnCost  = BigDecimal.ZERO;  /* 청구법적조치비용 */
    private BigDecimal askNormAmt  = BigDecimal.ZERO;  /* 청구정상금액 */
    private BigDecimal askNormPamt  = BigDecimal.ZERO;  /* 청구정상원금 */
    private BigDecimal askNormInt  = BigDecimal.ZERO;  /* 청구정상이자 */
    private BigDecimal askNormPpayIntRamt  = BigDecimal.ZERO;  /* 청구정상선급이자잔액 */
    private BigDecimal askNormAddCartax  = BigDecimal.ZERO;  /* 청구정상가산자동차세 */
    private BigDecimal askNormAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구정상가산환경개선부담금 */
    private BigDecimal askNormAddInsuFee  = BigDecimal.ZERO;  /* 청구정상가산보험료 */
    private BigDecimal askNormAddAsfee  = BigDecimal.ZERO;  /* 청구정상가산정비료 */
    private BigDecimal askNormVtax  = BigDecimal.ZERO;  /* 청구정상부가세 */
    private BigDecimal askNormIpayCartax  = BigDecimal.ZERO;  /* 청구정상대지급자동차세 */
    private BigDecimal askNormIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구정상대지급환경개선부담금 */
    private BigDecimal askNormIpayInsuFee  = BigDecimal.ZERO;  /* 청구정상대지급보험료 */
    private BigDecimal askNormIpayPnltAmt  = BigDecimal.ZERO;  /* 청구정상대지급범칙금 */
    private BigDecimal askNormIpayEtc  = BigDecimal.ZERO;  /* 청구정상대지급기타 */
    private BigDecimal askNormLtrmBrcvAmt  = BigDecimal.ZERO;  /* 청구정상장기선수금액 */
    private BigDecimal askDlyAmt  = BigDecimal.ZERO;  /* 청구연체금액 */
    private BigDecimal askDlyPamt  = BigDecimal.ZERO;  /* 청구연체원금 */
    private BigDecimal askDlyInt  = BigDecimal.ZERO;  /* 청구연체이자 */
    private BigDecimal askDlyPpayInt  = BigDecimal.ZERO;  /* 청구연체선급이자 */
    private BigDecimal askDlyAddCartax  = BigDecimal.ZERO;  /* 청구연체가산자동차세 */
    private BigDecimal askDlyAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구연체가산환경개선부담금 */
    private BigDecimal askDlyAddInsuFee  = BigDecimal.ZERO;  /* 청구연체가산보험료 */
    private BigDecimal askDlyAddAsfee  = BigDecimal.ZERO;  /* 청구연체가산정비료 */
    private BigDecimal askDlyVtax  = BigDecimal.ZERO;  /* 청구연체부가세 */
    private BigDecimal askDlyIpayCartax  = BigDecimal.ZERO;  /* 청구연체대지급자동차세 */
    private BigDecimal askDlyIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구연체대지급환경개선부담금 */
    private BigDecimal askDlyIpayInsuFee  = BigDecimal.ZERO;  /* 청구연체대지급보험료 */
    private BigDecimal askDlyIpayPnltAmt  = BigDecimal.ZERO;  /* 청구연체대지급범칙금 */
    private BigDecimal askDlyIpayEtc  = BigDecimal.ZERO;  /* 청구연체대지급기타 */
    private BigDecimal askDlyLtrmBrcvAmt  = BigDecimal.ZERO;  /* 청구연체장기선수금액 */
    private BigDecimal askDlyDfee  = BigDecimal.ZERO;  /* 청구연체연체료 */
    private long dlyDdcnt  = 0;  /* 연체일수 */
    private long dlyTcnt  = 0;  /* 연체횟수 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private long setlNo  = 0;  /* 결제번호 */
    private String oamtRsltCd  = "";  /* 출금결과코드 */
    private String oamtErrCd  = "";  /* 출금오류코드 */
    private String bndStatCd  = "";  /* 채권상태코드 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String autoTranIntgFg  = "";  /* 자동이체통합여부 */
    private String rlDueManNo  = "";  /* 실납입자번호 */
    private String intgAskFg  = "";  /* 통합청구여부 */
    private String intgLoanNo  = "";  /* 통합대출번호 */
    private long iamtRank  = 0;  /* 입금순위 */
    private BigDecimal iamtBalPamt  = BigDecimal.ZERO;  /* 입금잔여원금 */
    private long iamtDlyTcnt  = 0;  /* 입금연체횟수 */
    private BigDecimal askTrtFee  = BigDecimal.ZERO;  /* 청구취급수수료 */
    private BigDecimal askNormTrtFee  = BigDecimal.ZERO;  /* 청구정상취급수수료 */
    private BigDecimal askDlyTrtFee  = BigDecimal.ZERO;  /* 청구연체취급수수료 */
    private String autorfndObjFg  = "";  /* 자동환불대상여부 */
    private BigDecimal rcptDsrcRamt  = BigDecimal.ZERO;  /* 수납예가수잔액 */
    private String oamtErrNm  = "";  /* 출금에러명 */

    private String askDt = "";

	public String getRlDueDt() {
		return rlDueDt;
	}

	public void setRlDueDt(String rlDueDt) {
		this.rlDueDt = rlDueDt;
	}

	public String getTrOrgCd() {
		return trOrgCd;
	}

	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public long getAskTims() {
		return askTims;
	}

	public void setAskTims(long askTims) {
		this.askTims = askTims;
	}

	public long getTotTims() {
		return totTims;
	}

	public void setTotTims(long totTims) {
		this.totTims = totTims;
	}

	public String getSetlDd() {
		return setlDd;
	}

	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}

	public String getPrdtCd() {
		return prdtCd;
	}

	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}

	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}

	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}

	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}

	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}

	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}

	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}

	public String getMngDeptCd() {
		return mngDeptCd;
	}

	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}

	public String getCustNo() {
		return custNo;
	}

	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}

	public String getCustNm() {
		return custNm;
	}

	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}

	public String getBankCd() {
		return bankCd;
	}

	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}

	public String getAcntNo() {
		return acntNo;
	}

	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}

	public long getAcntSnum() {
		return acntSnum;
	}

	public void setAcntSnum(long acntSnum) {
		this.acntSnum = acntSnum;
	}

	public String getDepoOwnNo() {
		return depoOwnNo;
	}

	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}

	public String getDepoOwnnm() {
		return depoOwnnm;
	}

	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}

	public String getDepoOwnRelCd() {
		return depoOwnRelCd;
	}

	public void setDepoOwnRelCd(String depoOwnRelCd) {
		this.depoOwnRelCd = depoOwnRelCd;
	}

	public String getAcntStatCd() {
		return acntStatCd;
	}

	public void setAcntStatCd(String acntStatCd) {
		this.acntStatCd = acntStatCd;
	}

	public String getEprtAskMethCd() {
		return eprtAskMethCd;
	}

	public void setEprtAskMethCd(String eprtAskMethCd) {
		this.eprtAskMethCd = eprtAskMethCd;
	}

	public String getAskExclDt() {
		return askExclDt;
	}

	public void setAskExclDt(String askExclDt) {
		this.askExclDt = askExclDt;
	}

	public String getAskDivCd() {
		return askDivCd;
	}

	public void setAskDivCd(String askDivCd) {
		this.askDivCd = askDivCd;
	}

	public BigDecimal getAskAmt() {
		return askAmt;
	}

	public void setAskAmt(BigDecimal askAmt) {
		this.askAmt = askAmt;
	}

	public BigDecimal getBrcvAmtLeasfeeRamt() {
		return brcvAmtLeasfeeRamt;
	}

	public void setBrcvAmtLeasfeeRamt(BigDecimal brcvAmtLeasfeeRamt) {
		this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
	}

	public BigDecimal getExecGuarAmtRamt() {
		return execGuarAmtRamt;
	}

	public void setExecGuarAmtRamt(BigDecimal execGuarAmtRamt) {
		this.execGuarAmtRamt = execGuarAmtRamt;
	}

	public BigDecimal getAskPamt() {
		return askPamt;
	}

	public void setAskPamt(BigDecimal askPamt) {
		this.askPamt = askPamt;
	}

	public BigDecimal getAskInt() {
		return askInt;
	}

	public void setAskInt(BigDecimal askInt) {
		this.askInt = askInt;
	}

	public BigDecimal getAskPpayInt() {
		return askPpayInt;
	}

	public void setAskPpayInt(BigDecimal askPpayInt) {
		this.askPpayInt = askPpayInt;
	}

	public BigDecimal getAskAddCartax() {
		return askAddCartax;
	}

	public void setAskAddCartax(BigDecimal askAddCartax) {
		this.askAddCartax = askAddCartax;
	}

	public BigDecimal getAskAddEnvImprBrdnamt() {
		return askAddEnvImprBrdnamt;
	}

	public void setAskAddEnvImprBrdnamt(BigDecimal askAddEnvImprBrdnamt) {
		this.askAddEnvImprBrdnamt = askAddEnvImprBrdnamt;
	}

	public BigDecimal getAskAddInsuFee() {
		return askAddInsuFee;
	}

	public void setAskAddInsuFee(BigDecimal askAddInsuFee) {
		this.askAddInsuFee = askAddInsuFee;
	}

	public BigDecimal getAskAddAsfee() {
		return askAddAsfee;
	}

	public void setAskAddAsfee(BigDecimal askAddAsfee) {
		this.askAddAsfee = askAddAsfee;
	}

	public BigDecimal getAskVtax() {
		return askVtax;
	}

	public void setAskVtax(BigDecimal askVtax) {
		this.askVtax = askVtax;
	}

	public BigDecimal getAskIpayCartax() {
		return askIpayCartax;
	}

	public void setAskIpayCartax(BigDecimal askIpayCartax) {
		this.askIpayCartax = askIpayCartax;
	}

	public BigDecimal getAskIpayEnvImprBrdnamt() {
		return askIpayEnvImprBrdnamt;
	}

	public void setAskIpayEnvImprBrdnamt(BigDecimal askIpayEnvImprBrdnamt) {
		this.askIpayEnvImprBrdnamt = askIpayEnvImprBrdnamt;
	}

	public BigDecimal getAskIpayInsuFee() {
		return askIpayInsuFee;
	}

	public void setAskIpayInsuFee(BigDecimal askIpayInsuFee) {
		this.askIpayInsuFee = askIpayInsuFee;
	}

	public BigDecimal getAskIpayPnltAmt() {
		return askIpayPnltAmt;
	}

	public void setAskIpayPnltAmt(BigDecimal askIpayPnltAmt) {
		this.askIpayPnltAmt = askIpayPnltAmt;
	}

	public BigDecimal getAskIpayEtc() {
		return askIpayEtc;
	}

	public void setAskIpayEtc(BigDecimal askIpayEtc) {
		this.askIpayEtc = askIpayEtc;
	}

	public BigDecimal getAskLtrmBrcvAmt() {
		return askLtrmBrcvAmt;
	}

	public void setAskLtrmBrcvAmt(BigDecimal askLtrmBrcvAmt) {
		this.askLtrmBrcvAmt = askLtrmBrcvAmt;
	}

	public BigDecimal getAskDfee() {
		return askDfee;
	}

	public void setAskDfee(BigDecimal askDfee) {
		this.askDfee = askDfee;
	}

	public BigDecimal getAskLeglActnCost() {
		return askLeglActnCost;
	}

	public void setAskLeglActnCost(BigDecimal askLeglActnCost) {
		this.askLeglActnCost = askLeglActnCost;
	}

	public BigDecimal getAskNormAmt() {
		return askNormAmt;
	}

	public void setAskNormAmt(BigDecimal askNormAmt) {
		this.askNormAmt = askNormAmt;
	}

	public BigDecimal getAskNormPamt() {
		return askNormPamt;
	}

	public void setAskNormPamt(BigDecimal askNormPamt) {
		this.askNormPamt = askNormPamt;
	}

	public BigDecimal getAskNormInt() {
		return askNormInt;
	}

	public void setAskNormInt(BigDecimal askNormInt) {
		this.askNormInt = askNormInt;
	}

	public BigDecimal getAskNormPpayIntRamt() {
		return askNormPpayIntRamt;
	}

	public void setAskNormPpayIntRamt(BigDecimal askNormPpayIntRamt) {
		this.askNormPpayIntRamt = askNormPpayIntRamt;
	}

	public BigDecimal getAskNormAddCartax() {
		return askNormAddCartax;
	}

	public void setAskNormAddCartax(BigDecimal askNormAddCartax) {
		this.askNormAddCartax = askNormAddCartax;
	}

	public BigDecimal getAskNormAddEnvImprBrdnamt() {
		return askNormAddEnvImprBrdnamt;
	}

	public void setAskNormAddEnvImprBrdnamt(BigDecimal askNormAddEnvImprBrdnamt) {
		this.askNormAddEnvImprBrdnamt = askNormAddEnvImprBrdnamt;
	}

	public BigDecimal getAskNormAddInsuFee() {
		return askNormAddInsuFee;
	}

	public void setAskNormAddInsuFee(BigDecimal askNormAddInsuFee) {
		this.askNormAddInsuFee = askNormAddInsuFee;
	}

	public BigDecimal getAskNormAddAsfee() {
		return askNormAddAsfee;
	}

	public void setAskNormAddAsfee(BigDecimal askNormAddAsfee) {
		this.askNormAddAsfee = askNormAddAsfee;
	}

	public BigDecimal getAskNormVtax() {
		return askNormVtax;
	}

	public void setAskNormVtax(BigDecimal askNormVtax) {
		this.askNormVtax = askNormVtax;
	}

	public BigDecimal getAskNormIpayCartax() {
		return askNormIpayCartax;
	}

	public void setAskNormIpayCartax(BigDecimal askNormIpayCartax) {
		this.askNormIpayCartax = askNormIpayCartax;
	}

	public BigDecimal getAskNormIpayEnvImprBrdnamt() {
		return askNormIpayEnvImprBrdnamt;
	}

	public void setAskNormIpayEnvImprBrdnamt(BigDecimal askNormIpayEnvImprBrdnamt) {
		this.askNormIpayEnvImprBrdnamt = askNormIpayEnvImprBrdnamt;
	}

	public BigDecimal getAskNormIpayInsuFee() {
		return askNormIpayInsuFee;
	}

	public void setAskNormIpayInsuFee(BigDecimal askNormIpayInsuFee) {
		this.askNormIpayInsuFee = askNormIpayInsuFee;
	}

	public BigDecimal getAskNormIpayPnltAmt() {
		return askNormIpayPnltAmt;
	}

	public void setAskNormIpayPnltAmt(BigDecimal askNormIpayPnltAmt) {
		this.askNormIpayPnltAmt = askNormIpayPnltAmt;
	}

	public BigDecimal getAskNormIpayEtc() {
		return askNormIpayEtc;
	}

	public void setAskNormIpayEtc(BigDecimal askNormIpayEtc) {
		this.askNormIpayEtc = askNormIpayEtc;
	}

	public BigDecimal getAskNormLtrmBrcvAmt() {
		return askNormLtrmBrcvAmt;
	}

	public void setAskNormLtrmBrcvAmt(BigDecimal askNormLtrmBrcvAmt) {
		this.askNormLtrmBrcvAmt = askNormLtrmBrcvAmt;
	}

	public BigDecimal getAskDlyAmt() {
		return askDlyAmt;
	}

	public void setAskDlyAmt(BigDecimal askDlyAmt) {
		this.askDlyAmt = askDlyAmt;
	}

	public BigDecimal getAskDlyPamt() {
		return askDlyPamt;
	}

	public void setAskDlyPamt(BigDecimal askDlyPamt) {
		this.askDlyPamt = askDlyPamt;
	}

	public BigDecimal getAskDlyInt() {
		return askDlyInt;
	}

	public void setAskDlyInt(BigDecimal askDlyInt) {
		this.askDlyInt = askDlyInt;
	}

	public BigDecimal getAskDlyPpayInt() {
		return askDlyPpayInt;
	}

	public void setAskDlyPpayInt(BigDecimal askDlyPpayInt) {
		this.askDlyPpayInt = askDlyPpayInt;
	}

	public BigDecimal getAskDlyAddCartax() {
		return askDlyAddCartax;
	}

	public void setAskDlyAddCartax(BigDecimal askDlyAddCartax) {
		this.askDlyAddCartax = askDlyAddCartax;
	}

	public BigDecimal getAskDlyAddEnvImprBrdnamt() {
		return askDlyAddEnvImprBrdnamt;
	}

	public void setAskDlyAddEnvImprBrdnamt(BigDecimal askDlyAddEnvImprBrdnamt) {
		this.askDlyAddEnvImprBrdnamt = askDlyAddEnvImprBrdnamt;
	}

	public BigDecimal getAskDlyAddInsuFee() {
		return askDlyAddInsuFee;
	}

	public void setAskDlyAddInsuFee(BigDecimal askDlyAddInsuFee) {
		this.askDlyAddInsuFee = askDlyAddInsuFee;
	}

	public BigDecimal getAskDlyAddAsfee() {
		return askDlyAddAsfee;
	}

	public void setAskDlyAddAsfee(BigDecimal askDlyAddAsfee) {
		this.askDlyAddAsfee = askDlyAddAsfee;
	}

	public BigDecimal getAskDlyVtax() {
		return askDlyVtax;
	}

	public void setAskDlyVtax(BigDecimal askDlyVtax) {
		this.askDlyVtax = askDlyVtax;
	}

	public BigDecimal getAskDlyIpayCartax() {
		return askDlyIpayCartax;
	}

	public void setAskDlyIpayCartax(BigDecimal askDlyIpayCartax) {
		this.askDlyIpayCartax = askDlyIpayCartax;
	}

	public BigDecimal getAskDlyIpayEnvImprBrdnamt() {
		return askDlyIpayEnvImprBrdnamt;
	}

	public void setAskDlyIpayEnvImprBrdnamt(BigDecimal askDlyIpayEnvImprBrdnamt) {
		this.askDlyIpayEnvImprBrdnamt = askDlyIpayEnvImprBrdnamt;
	}

	public BigDecimal getAskDlyIpayInsuFee() {
		return askDlyIpayInsuFee;
	}

	public void setAskDlyIpayInsuFee(BigDecimal askDlyIpayInsuFee) {
		this.askDlyIpayInsuFee = askDlyIpayInsuFee;
	}

	public BigDecimal getAskDlyIpayPnltAmt() {
		return askDlyIpayPnltAmt;
	}

	public void setAskDlyIpayPnltAmt(BigDecimal askDlyIpayPnltAmt) {
		this.askDlyIpayPnltAmt = askDlyIpayPnltAmt;
	}

	public BigDecimal getAskDlyIpayEtc() {
		return askDlyIpayEtc;
	}

	public void setAskDlyIpayEtc(BigDecimal askDlyIpayEtc) {
		this.askDlyIpayEtc = askDlyIpayEtc;
	}

	public BigDecimal getAskDlyLtrmBrcvAmt() {
		return askDlyLtrmBrcvAmt;
	}

	public void setAskDlyLtrmBrcvAmt(BigDecimal askDlyLtrmBrcvAmt) {
		this.askDlyLtrmBrcvAmt = askDlyLtrmBrcvAmt;
	}

	public BigDecimal getAskDlyDfee() {
		return askDlyDfee;
	}

	public void setAskDlyDfee(BigDecimal askDlyDfee) {
		this.askDlyDfee = askDlyDfee;
	}

	public long getDlyDdcnt() {
		return dlyDdcnt;
	}

	public void setDlyDdcnt(long dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}

	public long getDlyTcnt() {
		return dlyTcnt;
	}

	public void setDlyTcnt(long dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}

	public BigDecimal getSetlAmt() {
		return setlAmt;
	}

	public void setSetlAmt(BigDecimal setlAmt) {
		this.setlAmt = setlAmt;
	}

	public long getSetlNo() {
		return setlNo;
	}

	public void setSetlNo(long setlNo) {
		this.setlNo = setlNo;
	}

	public String getOamtRsltCd() {
		return oamtRsltCd;
	}

	public void setOamtRsltCd(String oamtRsltCd) {
		this.oamtRsltCd = oamtRsltCd;
	}

	public String getOamtErrCd() {
		return oamtErrCd;
	}

	public void setOamtErrCd(String oamtErrCd) {
		this.oamtErrCd = oamtErrCd;
	}

	public String getBndStatCd() {
		return bndStatCd;
	}

	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}

	public String getLoanStatCd() {
		return loanStatCd;
	}

	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}

	public String getAutoTranIntgFg() {
		return autoTranIntgFg;
	}

	public void setAutoTranIntgFg(String autoTranIntgFg) {
		this.autoTranIntgFg = autoTranIntgFg;
	}

	public String getRlDueManNo() {
		return rlDueManNo;
	}

	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}

	public String getIntgAskFg() {
		return intgAskFg;
	}

	public void setIntgAskFg(String intgAskFg) {
		this.intgAskFg = intgAskFg;
	}

	public String getIntgLoanNo() {
		return intgLoanNo;
	}

	public void setIntgLoanNo(String intgLoanNo) {
		this.intgLoanNo = intgLoanNo;
	}

	public long getIamtRank() {
		return iamtRank;
	}

	public void setIamtRank(long iamtRank) {
		this.iamtRank = iamtRank;
	}

	public BigDecimal getIamtBalPamt() {
		return iamtBalPamt;
	}

	public void setIamtBalPamt(BigDecimal iamtBalPamt) {
		this.iamtBalPamt = iamtBalPamt;
	}

	public long getIamtDlyTcnt() {
		return iamtDlyTcnt;
	}

	public void setIamtDlyTcnt(long iamtDlyTcnt) {
		this.iamtDlyTcnt = iamtDlyTcnt;
	}

	public BigDecimal getAskTrtFee() {
		return askTrtFee;
	}

	public void setAskTrtFee(BigDecimal askTrtFee) {
		this.askTrtFee = askTrtFee;
	}

	public BigDecimal getAskNormTrtFee() {
		return askNormTrtFee;
	}

	public void setAskNormTrtFee(BigDecimal askNormTrtFee) {
		this.askNormTrtFee = askNormTrtFee;
	}

	public BigDecimal getAskDlyTrtFee() {
		return askDlyTrtFee;
	}

	public void setAskDlyTrtFee(BigDecimal askDlyTrtFee) {
		this.askDlyTrtFee = askDlyTrtFee;
	}

	public String getAutorfndObjFg() {
		return autorfndObjFg;
	}

	public void setAutorfndObjFg(String autorfndObjFg) {
		this.autorfndObjFg = autorfndObjFg;
	}

	public BigDecimal getRcptDsrcRamt() {
		return rcptDsrcRamt;
	}

	public void setRcptDsrcRamt(BigDecimal rcptDsrcRamt) {
		this.rcptDsrcRamt = rcptDsrcRamt;
	}

	public String getOamtErrNm() {
		return oamtErrNm;
	}

	public void setOamtErrNm(String oamtErrNm) {
		this.oamtErrNm = oamtErrNm;
	}

	public String getAskDt() {
		return askDt;
	}

	public void setAskDt(String askDt) {
		this.askDt = askDt;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}


}
