package hanalife.c.co.vo;

import java.io.Serializable;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SearchCommCdVO.java Class
 * 클래스설명   : 공통코드조회를 위한 입출력 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class SearchCommCdVO implements Serializable {

    private String cdKindNo     = "";   /* 코드_종류_번호 */
    private String cdDescNo     = "";   /* 코드_상세_번호 */
    private String cd           = "";   /* 코드  (cdDescNo) */
    private String nm           = "";   /* 코드명(cdDescKorNm) */
    private String cdNm         = "";   /* 코드+명(cd + ' ' + nm) */
    private String korNm        = "";   /* 한글명(cdDescKorNm) */
    private String engNm        = "";   /* 영어명 */
    private String shrtNm       = "";   /* 단축명 */
    private String etcNm        = "";   /* 기타명 */
    private String clas1        = "";   /* 분류1 */
    private String clas2        = "";   /* 분류2 */

    public String getCdKindNo() {
        return cdKindNo;
    }
    public void setCdKindNo(String cdKindNo) {
        this.cdKindNo = cdKindNo;
    }
    public String getCdDescNo() {
        return cdDescNo;
    }
    public void setCdDescNo(String cdDescNo) {
        this.cdDescNo = cdDescNo;
    }
    public String getCd() {
        return cd;
    }
    public void setCd(String cd) {
        this.cd = cd;
    }
    public String getNm() {
        return nm;
    }
    public void setNm(String nm) {
        this.nm = nm;
    }
    public String getCdNm() {
        return cdNm;
    }
    public void setCdNm(String cdNm) {
        this.cdNm = cdNm;
    }
    public String getKorNm() {
        return korNm;
    }
    public void setKorNm(String korNm) {
        this.korNm = korNm;
    }
    public String getEngNm() {
        return engNm;
    }
    public void setEngNm(String engNm) {
        this.engNm = engNm;
    }
    public String getShrtNm() {
        return shrtNm;
    }
    public void setShrtNm(String shrtNm) {
        this.shrtNm = shrtNm;
    }
    public String getEtcNm() {
        return etcNm;
    }
    public void setEtcNm(String etcNm) {
        this.etcNm = etcNm;
    }
    public String getClas1() {
        return clas1;
    }
    public void setClas1(String clas1) {
        this.clas1 = clas1;
    }
    public String getClas2() {
        return clas2;
    }
    public void setClas2(String clas2) {
        this.clas2 = clas2;
    }

}
