package hanalife.c.sc.sq.service;

import java.util.List;
import java.util.Map;

import hanalife.c.sc.sq.vo.AllBcNoVO;
import hanalife.c.sc.sq.vo.SqlListVO;

public interface SqlMngService {

    /**
     * BC_NO 목록을 조회한다.
     * 
     * @param
     * @return Data 목록
     * @exception Exception
     */
    List<AllBcNoVO> searchAllBcNo(Map<String, Object> param) throws Exception;

    /**
     * SQL 목록을 조회한다.
     * 
     * @param
     * @return Data 목록
     * @exception Exception
     */
    List<SqlListVO> selectDataList(Map<String, Object> param) throws Exception;

}
