package hanalife.r.at.ac.mapper.dto;

/**
 * <pre>
 * 클래스명    : RtAcntCnfmDescTDO
 * 클래스설명 : 자동이체계좌관리(RT_ACNT_CNFM_DESC) TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AcntDSSDOutDTO{
	private String acntSnum;
	private String acntApplDivCd;
	private String acntApplDivNm;
	private String bankCd;
	private String bankNm;
	private String acntNo;
	private String depoOwnNo;
	private String depoOwnnm;
	private String depoOwnRelCd;
	private String depoOwnRelNm;
	private String acntStatCd;
	private String acntStatNm;
	private String ivltRegFg;
	private String ivltRegFgNm;
	private String acntAplyDt;
	private String cnfmDepoOwnnm;
	private String acntCnfmRsltCd;
	private String acntCnfmRsltNm;
	private String applManTel1;
	private String applManTel2;
	private String applManTel3;
	private String frstRegEmpNo;
	private String frstRegEmpNm;
	private String lastProcEmpNo;
	private String lastProcEmpNm;
	private String applDt;
	private String closDt;
	private String sendDt;
	private String sendSnum;
	private String acntApplRsnCd;
	private String acntApplRsnNm;
	private String acntClosRsnCd;
	private String acntClosRsnNm;
	private String loanNo;
	private String loanSeq;

	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getAcntSnum() {
		return acntSnum;
	}
	public String getAcntApplDivCd() {
		return acntApplDivCd;
	}
	public String getAcntApplDivNm() {
		return acntApplDivNm;
	}
	public String getBankCd() {
		return bankCd;
	}
	public String getBankNm() {
		return bankNm;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	public String getDepoOwnRelCd() {
		return depoOwnRelCd;
	}
	public String getDepoOwnRelNm() {
		return depoOwnRelNm;
	}
	public String getAcntStatCd() {
		return acntStatCd;
	}
	public String getAcntStatNm() {
		return acntStatNm;
	}
	public String getIvltRegFg() {
		return ivltRegFg;
	}
	public String getIvltRegFgNm() {
		return ivltRegFgNm;
	}
	public String getAcntAplyDt() {
		return acntAplyDt;
	}
	public String getCnfmDepoOwnnm() {
		return cnfmDepoOwnnm;
	}
	public String getAcntCnfmRsltCd() {
		return acntCnfmRsltCd;
	}
	public String getAcntCnfmRsltNm() {
		return acntCnfmRsltNm;
	}
	public String getApplManTel1() {
		return applManTel1;
	}
	public String getApplManTel2() {
		return applManTel2;
	}
	public String getApplManTel3() {
		return applManTel3;
	}
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	public String getFrstRegEmpNm() {
		return frstRegEmpNm;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public String getLastProcEmpNm() {
		return lastProcEmpNm;
	}
	public String getApplDt() {
		return applDt;
	}
	public String getClosDt() {
		return closDt;
	}
	public String getSendDt() {
		return sendDt;
	}
	public String getSendSnum() {
		return sendSnum;
	}
	public String getAcntApplRsnCd() {
		return acntApplRsnCd;
	}
	public String getAcntApplRsnNm() {
		return acntApplRsnNm;
	}
	public String getAcntClosRsnCd() {
		return acntClosRsnCd;
	}
	public String getAcntClosRsnNm() {
		return acntClosRsnNm;
	}
	public void setAcntSnum(String acntSnum) {
		this.acntSnum = acntSnum;
	}
	public void setAcntApplDivCd(String acntApplDivCd) {
		this.acntApplDivCd = acntApplDivCd;
	}
	public void setAcntApplDivNm(String acntApplDivNm) {
		this.acntApplDivNm = acntApplDivNm;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public void setBankNm(String bankNm) {
		this.bankNm = bankNm;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	public void setDepoOwnRelCd(String depoOwnRelCd) {
		this.depoOwnRelCd = depoOwnRelCd;
	}
	public void setDepoOwnRelNm(String depoOwnRelNm) {
		this.depoOwnRelNm = depoOwnRelNm;
	}
	public void setAcntStatCd(String acntStatCd) {
		this.acntStatCd = acntStatCd;
	}
	public void setAcntStatNm(String acntStatNm) {
		this.acntStatNm = acntStatNm;
	}
	public void setIvltRegFg(String ivltRegFg) {
		this.ivltRegFg = ivltRegFg;
	}
	public void setIvltRegFgNm(String ivltRegFgNm) {
		this.ivltRegFgNm = ivltRegFgNm;
	}
	public void setAcntAplyDt(String acntAplyDt) {
		this.acntAplyDt = acntAplyDt;
	}
	public void setCnfmDepoOwnnm(String cnfmDepoOwnnm) {
		this.cnfmDepoOwnnm = cnfmDepoOwnnm;
	}
	public void setAcntCnfmRsltCd(String acntCnfmRsltCd) {
		this.acntCnfmRsltCd = acntCnfmRsltCd;
	}
	public void setAcntCnfmRsltNm(String acntCnfmRsltNm) {
		this.acntCnfmRsltNm = acntCnfmRsltNm;
	}
	public void setApplManTel1(String applManTel1) {
		this.applManTel1 = applManTel1;
	}
	public void setApplManTel2(String applManTel2) {
		this.applManTel2 = applManTel2;
	}
	public void setApplManTel3(String applManTel3) {
		this.applManTel3 = applManTel3;
	}
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	public void setFrstRegEmpNm(String frstRegEmpNm) {
		this.frstRegEmpNm = frstRegEmpNm;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public void setLastProcEmpNm(String lastProcEmpNm) {
		this.lastProcEmpNm = lastProcEmpNm;
	}
	public void setApplDt(String applDt) {
		this.applDt = applDt;
	}
	public void setClosDt(String closDt) {
		this.closDt = closDt;
	}
	public void setSendDt(String sendDt) {
		this.sendDt = sendDt;
	}
	public void setSendSnum(String sendSnum) {
		this.sendSnum = sendSnum;
	}
	public void setAcntApplRsnCd(String acntApplRsnCd) {
		this.acntApplRsnCd = acntApplRsnCd;
	}
	public void setAcntApplRsnNm(String acntApplRsnNm) {
		this.acntApplRsnNm = acntApplRsnNm;
	}
	public void setAcntClosRsnCd(String acntClosRsnCd) {
		this.acntClosRsnCd = acntClosRsnCd;
	}
	public void setAcntClosRsnNm(String acntClosRsnNm) {
		this.acntClosRsnNm = acntClosRsnNm;
	}
}
