package hanalife.r.at.ad.bat;


/**
 * <pre>
 * 클래스명    : CmsCode
 * 클래스설명 : CMS청구집계 상태코드
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CmsCode {

	/*** 청구상태코드 ***/
	public final static String ASK_STAT_CLS       = "1";    //마감
	public final static String ASK_STAT_SLCT      = "2";    //선정
	public final static String ASK_STAT_DCSN      = "3";    //확정
	public final static String ASK_STAT_ASK_TOT   = "4";    //청구집계
	public final static String ASK_STAT_TRSM      = "5";    //송신
	public final static String ASK_STAT_RECV      = "6";    //수신
	public final static String ASK_STAT_RECV4     = "10";   //4차수신
	public final static String ASK_STAT_RSLT_REFL = "7";    //결과반영
	public final static String ASK_STAT_IAMT_TOT  = "8";    //입금집계
	public final static String ASK_STAT_IAMT      = "9";    //입금

	/*** 처리상태코드 ***/
	public final static String PROC_STAT_WAIT      = "0";    //대기
	public final static String PROC_STAT_JOB_MID   = "1";    //처리중
	public final static String PROC_STAT_JOB_END   = "2";    //완료
	public final static String PROC_STAT_JOB_ERROR = "3";    //에러

	/*** 전문 RowType 코드 ***/
	public static final String GRAM_TYPE_DIV_H = "H";	// HEARDER
	public static final String GRAM_TYPE_DIV_B = "R";	// BODY
	public static final String GRAM_TYPE_DIV_T = "T";	// TRAILER

	/*** CC전문 RowType 코드 ***/
	public static final String CC_GRAM_TYPE_DIV_H = "1";	// HEARDER
	public static final String CC_GRAM_TYPE_DIV_B = "2";	// BODY
	public static final String CC_GRAM_TYPE_DIV_T = "3";	// TRAILER

	// 기타
	public static final String BLANK = "";
	public static String SEP  = System.getProperty("file.separator");
	public static String CRLF = System.getProperty("line.separator");
}
