package hanalife.r.at.ad.bat;

import hanalife.util.LoggableVO;


/**
 * <pre>
 * 클래스명    : RATAD0901Obj
 * 클래스설명 : 종료대출자동이체계좌해지처리
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RATAD0901Obj extends LoggableVO{

    private String loanNo = "";          //대출번호
    private String loanSeq = "";         //대출순번
    private String acntSnum = "";        //계좌순번
    private String bankCd = "";          //은행코드
    private String acntNo = "";          //계좌번호
    private String depoOwnNo = "";       //예금주번호
    private String depoOwnNm = "";       //예금주명
    private String depoOwnRelCd = "";    //예금주관계코드
    private String acntAplyDt = "";      //계좌신청일자
    private String acntApplRsnCd = "";   //계좌신청사유코드
    private String acntClosRsnCd = "";   //계좌해지사유코드
    private String applManTel1 = "";     //신청자전화1
    private String applManTel2 = "";     //신청자전화2
    private String applManTel3 = "";     //신청자전화3
    private String sysPathCd = "";       //시스템경로코드

    public RATAD0901Obj() {
    }

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getAcntSnum() {
		return acntSnum;
	}

	public void setAcntSnum(String acntSnum) {
		this.acntSnum = acntSnum;
	}

	public String getBankCd() {
		return bankCd;
	}

	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}

	public String getAcntNo() {
		return acntNo;
	}

	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}

	public String getDepoOwnNo() {
		return depoOwnNo;
	}

	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}

	public String getDepoOwnNm() {
		return depoOwnNm;
	}

	public void setDepoOwnNm(String depoOwnNm) {
		this.depoOwnNm = depoOwnNm;
	}

	public String getDepoOwnRelCd() {
		return depoOwnRelCd;
	}

	public void setDepoOwnRelCd(String depoOwnRelCd) {
		this.depoOwnRelCd = depoOwnRelCd;
	}

	public String getAcntAplyDt() {
		return acntAplyDt;
	}

	public void setAcntAplyDt(String acntAplyDt) {
		this.acntAplyDt = acntAplyDt;
	}

	public String getAcntApplRsnCd() {
		return acntApplRsnCd;
	}

	public void setAcntApplRsnCd(String acntApplRsnCd) {
		this.acntApplRsnCd = acntApplRsnCd;
	}

	public String getAcntClosRsnCd() {
		return acntClosRsnCd;
	}

	public void setAcntClosRsnCd(String acntClosRsnCd) {
		this.acntClosRsnCd = acntClosRsnCd;
	}

	public String getApplManTel1() {
		return applManTel1;
	}

	public void setApplManTel1(String applManTel1) {
		this.applManTel1 = applManTel1;
	}

	public String getApplManTel2() {
		return applManTel2;
	}

	public void setApplManTel2(String applManTel2) {
		this.applManTel2 = applManTel2;
	}

	public String getApplManTel3() {
		return applManTel3;
	}

	public void setApplManTel3(String applManTel3) {
		this.applManTel3 = applManTel3;
	}

	public String getSysPathCd() {
		return sysPathCd;
	}

	public void setSysPathCd(String sysPathCd) {
		this.sysPathCd = sysPathCd;
	}


}
