package hanalife.r.at.at.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.RtAutoTranTrDescDTO;
import hanalife.r.at.at.mapper.dto.PreSetlSDDODTO;

@Mapper("autoTranMapper")
public interface AutoTranMapper {

	/** [청구입금 - 수납관리 - 조회(자동이체청구정보)]
	 * <p>메소드명		: searchAutoTranTrForLoan</p>
	 * <p>설    명		: 대출번호,순번,최종여부로 대출의 일반정보조회</p>
	 * <p>메소드 인수1	: RtAutoTranTrDescTDO</p>
	 * <p>메소드 리턴값	: RtAutoTranTrDescTDO</p>
	 * <p>예외처리		: DAOException - 여러건이 조회되면 Exception발생</p>
	 */
    public List<RtAutoTranTrDescDTO> searchAutoTranTrForLoan(RtAutoTranTrDescDTO inDto) throws Exception;

    public List<PreSetlSDDODTO> searchAutoTranTrForSetl(RtAutoTranTrDescDTO inDto) throws Exception;

}