package hanalife.r.at.vo.bat;

import java.io.Serializable;

import hanalife.r.co.as.vo.ValueObj;


@SuppressWarnings("serial")
/**
 * <pre>
 * 클래스명    : AttrDescVO
 * 클래스설명 : 자동이체 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AttrDescVO	extends ValueObj implements Serializable {

	public AttrDescVO() {
	}
	public AttrDescVO(AttrPlanVO pVo) {
		planVO = pVo;
	}

	public AttrPlanVO planVO = null;

	public String rlDueDt;
	public String trOrgCd;

	public String loanNo;
	public String loanSeq;
	public String loanStatCd;
	public String bndStatCd;

	public int askTims = 0;
	public int totTims = 0;
	public int dlyDdcnt = 0;
	public String setlDd;

	public String prdtCd;
	public String prdtLcd;
	public String prdtMcd;
	public String prdtScd;

	public String mngDeptCd;

	public String custNo;
	public String custNm;
	public String bankCd;
	public String acntNo;
	public String depoOwnNo;
	public String depoOwnNm;
	public String depoOwnRelCd;
	public String acntStatCd;
	public String imgBankCd;
	public String imgAcntNo;
	public String moBankCd;
	public String moAcntNo;

	public String askDivCd;
	public long askAmt = 0;
	public long askDlyAmt = 0;
	public long askDlyPamt = 0;
	public long askDlyInt = 0;
	public long askDfee = 0;
	public long setlAmt = 0;
	public long rcptDlyPamt = 0;
	public long rcptDlyInt = 0;
	public long rcptDfee = 0;
	public long overAmt = 0;

	public String setlNo;
	public String iamtSeq;
}
