package hanalife.r.at.vo.bat;

import hanalife.util.LoggableVO;

/**
 * <pre>
 * 클래스명    : AutoTranIamtObj
 * 클래스설명 : 자동이체입금처리 Obj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre> 
 */
public class AutoTranIamtObj extends LoggableVO{

    private String loanNo = ""; //대출_번호
    private String loanSeq = ""; //대출_순번
    private int setlNo = 0; //결제_번호
    private String occrAcctUnitCd = ""; //발생회계
    private String acctDt = ""; //회계_일자
    private String setlDt = ""; //결제_일자
    private String setlDivCd = ""; //결제구분코드
    private String bankCd = ""; //은행_코드
    private String acntNo = ""; //계좌번호
    private String rcptTpCd =""; //수납유형코드
    private long setlAmt = 0; //결제_금액
    private long rcptAmt = 0; //수납_금액
    private long cashAmt = 0; //현금_금액

    public AutoTranIamtObj() {
    }

    public int getSetlNo() {
        return setlNo;
    }

    public String getSetlDt() {
        return setlDt;
    }

    public String getSetlDivCd() {
        return setlDivCd;
    }

    public long getSetlAmt() {
        return setlAmt;
    }

    public long getRcptAmt() {
        return rcptAmt;
    }

    public String getLoanSeq() {
        return loanSeq;
    }

    public String getLoanNo() {
        return loanNo;
    }

    public long getCashAmt() {
        return cashAmt;
    }

    public String getBankCd() {
        return bankCd;
    }

    public String getAcntNo() {
        return acntNo;
    }

    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }

    public void setSetlNo(int setlNo) {
        this.setlNo = setlNo;
    }

    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }

    public void setSetlDivCd(String setlDivCd) {
        this.setlDivCd = setlDivCd;
    }

    public void setSetlAmt(long setlAmt) {
        this.setlAmt = setlAmt;
    }

    public void setRcptAmt(long rcptAmt) {
        this.rcptAmt = rcptAmt;
    }

    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }

    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }

    public void setCashAmt(long cashAmt) {
        this.cashAmt = cashAmt;
    }

    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }

    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }

    public String getAcctDt() {
        return acctDt;
    }
	/**
	 * @return Returns the rcptTpCd.
	 */
	public String getRcptTpCd() {
		return rcptTpCd;
	}

    public String getOccrAcctUnitCd() {
        return occrAcctUnitCd;
    }

    /**
	 * @param rcptTpCd The rcptTpCd to set.
	 */
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}

    public void setOccrAcctUnitCd(String occrAcctUnitCd) {
        this.occrAcctUnitCd = occrAcctUnitCd;
    }
}
