package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS05VO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS05VO  {
    private String lastProcDt = ""; /* LAST_PROC_DT       최종_처리_일자 */
    private String lastProcTm = ""; /* LAST_PROC_TM       최종_처리_시각 */
    private String setlDdChngSnum = ""; /* SETL_DD_CHNG_SNUM   결제일_변경_일련번호 */
    private String chngTims = ""; /* CHNG_TIMS   변경_회차 */
    private String chngBfDueDt = ""; /* CHNG_BF_DUE_DT   변경전_납입_일자 */
    private String chngAfDueDt = ""; /* CHNG_AF_DUE_DT   변경후_납입_일자 */
    private String psgInt = ""; /* PSG_INT   경과이자 */
    private String isrtDeptCd = ""; /* ISRT_DEPT_CD   입력_부서_코드 */
    private String isrtDeptNm = ""; /* ISRT_DEPT_CD   입력_부서_코드 */
    private String loanNo = "";  /*  LOAN_NO 대출번호  */
    private String loanSeq = "";  /*  LOAN_SEQ 대출순번 */
    private String snum = ""; /*  SNUM 변경순번 */
    private String empNm1 = ""; /* 담당자 */
    private String empNm2 = ""; /* 결재자 */
    private String cnclPossFg = ""; /* 취소가능여부 */

    public String getLastProcDt() {
        return lastProcDt;
    }
    public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }
    public String getLastProcTm() {
        return lastProcTm;
    }
    public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }
    public String getSetlDdChngSnum() {
        return setlDdChngSnum;
    }
    public void setSetlDdChngSnum(String setlDdChngSnum) {
        this.setlDdChngSnum = setlDdChngSnum;
    }
    public String getChngTims() {
        return chngTims;
    }
    public void setChngTims(String chngTims) {
        this.chngTims = chngTims;
    }
    public String getChngBfDueDt() {
        return chngBfDueDt;
    }
    public void setChngBfDueDt(String chngBfDueDt) {
        this.chngBfDueDt = chngBfDueDt;
    }
    public String getChngAfDueDt() {
        return chngAfDueDt;
    }
    public void setChngAfDueDt(String chngAfDueDt) {
        this.chngAfDueDt = chngAfDueDt;
    }
    public String getPsgInt() {
        return psgInt;
    }
    public void setPsgInt(String psgInt) {
        this.psgInt = psgInt;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getIsrtDeptNm() {
        return isrtDeptNm;
    }
    public void setIsrtDeptNm(String isrtDeptNm) {
        this.isrtDeptNm = isrtDeptNm;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getEmpNm1() {
        return empNm1;
    }
    public void setEmpNm1(String empNm1) {
        this.empNm1 = empNm1;
    }
    public String getEmpNm2() {
        return empNm2;
    }
    public void setEmpNm2(String empNm2) {
        this.empNm2 = empNm2;
    }
    public String getCnclPossFg() {
        return cnclPossFg;
    }
    public void setCnclPossFg(String cnclPossFg) {
        this.cnclPossFg = cnclPossFg;
    }
}
