package hanalife.r.ch.mn.vo;

/**
 * <pre>
 * 클래스명    : RCHMNM01DSDDSS08VO.java Class
 * 클래스설명  : 결제일 변경관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01DSDDSS08VO  {
    private String loanChngConsRsltCd = "";   /* 결과코드 */
    private String loanChngConsRsltNm = "";   /* 결과코드 */
    private String jstEmpNo = "";   /* 결재자사번 */
    private String jstEmpNm = "";   /* 결재자명 */
    private String jstDt = "";   /* 결재일자 */
    private String loanChngOpn = "";   /* 결재의견 */
    private String ntrmSetlmanNm = "";   /* 다음결재자명 */

    public String getLoanChngConsRsltCd() {
        return loanChngConsRsltCd;
    }
    public void setLoanChngConsRsltCd(String loanChngConsRsltCd) {
        this.loanChngConsRsltCd = loanChngConsRsltCd;
    }
    public String getLoanChngConsRsltNm() {
        return loanChngConsRsltNm;
    }
    public void setLoanChngConsRsltNm(String loanChngConsRsltNm) {
        this.loanChngConsRsltNm = loanChngConsRsltNm;
    }
    public String getJstEmpNo() {
        return jstEmpNo;
    }
    public void setJstEmpNo(String jstEmpNo) {
        this.jstEmpNo = jstEmpNo;
    }
    public String getJstEmpNm() {
        return jstEmpNm;
    }
    public void setJstEmpNm(String jstEmpNm) {
        this.jstEmpNm = jstEmpNm;
    }
    public String getJstDt() {
        return jstDt;
    }
    public void setJstDt(String jstDt) {
        this.jstDt = jstDt;
    }
    public String getLoanChngOpn() {
        return loanChngOpn;
    }
    public void setLoanChngOpn(String loanChngOpn) {
        this.loanChngOpn = loanChngOpn;
    }
    public String getNtrmSetlmanNm() {
        return ntrmSetlmanNm;
    }
    public void setNtrmSetlmanNm(String ntrmSetlmanNm) {
        this.ntrmSetlmanNm = ntrmSetlmanNm;
    }
}
