package hanalife.r.ch.mn.vo;

import java.util.List;

/**
 * <pre>
 * 클래스명    : RCHMNM01OutVO.java Class
 * 클래스설명  : 결제일 변경 관리 (RCHMNM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RCHMNM01OutVO {

    private List<RCHMNM01DSDDSS01VO> RCHMNM01DSDDSS01VO;
    private List<RCHMNM01DSDDSS02VO> RCHMNM01DSDDSS02VO;
    private List<RCHMNM01DSDDSS03VO> RCHMNM01DSDDSS03VO;
    private List<RCHMNM01DSDDSS04VO> RCHMNM01DSDDSS04VO;
    private List<RCHMNM01DSDDSS05VO> RCHMNM01DSDDSS05VO;
    private List<RCHMNM01DSDDSS06VO> RCHMNM01DSDDSS06VO;
    private List<RCHMNM01DSDDSS07VO> RCHMNM01DSDDSS07VO;
    private List<RCHMNM01DSDDSS08VO> RCHMNM01DSDDSS08VO;
    private List<RCHMNM01DSDDSS09VO> RCHMNM01DSDDSS09VO;
    private List<RCHMNM01DSDDSS11VO> RCHMNM01DSDDSS11VO;
    public String rsltCd   = "0000";   /** 결과코드 */
    public String rsltCntn = "";       /** 결과내용 */

    public List<RCHMNM01DSDDSS01VO> getRCHMNM01DSDDSS01VO() {
        return RCHMNM01DSDDSS01VO;
    }
    public void setRCHMNM01DSDDSS01VO(List<RCHMNM01DSDDSS01VO> rCHMNM01DSDDSS01VO) {
        RCHMNM01DSDDSS01VO = rCHMNM01DSDDSS01VO;
    }
    public List<RCHMNM01DSDDSS02VO> getRCHMNM01DSDDSS02VO() {
        return RCHMNM01DSDDSS02VO;
    }
    public void setRCHMNM01DSDDSS02VO(List<RCHMNM01DSDDSS02VO> rCHMNM01DSDDSS02VO) {
        RCHMNM01DSDDSS02VO = rCHMNM01DSDDSS02VO;
    }
    public List<RCHMNM01DSDDSS03VO> getRCHMNM01DSDDSS03VO() {
        return RCHMNM01DSDDSS03VO;
    }
    public void setRCHMNM01DSDDSS03VO(List<RCHMNM01DSDDSS03VO> rCHMNM01DSDDSS03VO) {
        RCHMNM01DSDDSS03VO = rCHMNM01DSDDSS03VO;
    }
    public List<RCHMNM01DSDDSS04VO> getRCHMNM01DSDDSS04VO() {
        return RCHMNM01DSDDSS04VO;
    }
    public void setRCHMNM01DSDDSS04VO(List<RCHMNM01DSDDSS04VO> rCHMNM01DSDDSS04VO) {
        RCHMNM01DSDDSS04VO = rCHMNM01DSDDSS04VO;
    }
    public List<RCHMNM01DSDDSS05VO> getRCHMNM01DSDDSS05VO() {
        return RCHMNM01DSDDSS05VO;
    }
    public void setRCHMNM01DSDDSS05VO(List<RCHMNM01DSDDSS05VO> rCHMNM01DSDDSS05VO) {
        RCHMNM01DSDDSS05VO = rCHMNM01DSDDSS05VO;
    }
    public List<RCHMNM01DSDDSS06VO> getRCHMNM01DSDDSS06VO() {
        return RCHMNM01DSDDSS06VO;
    }
    public void setRCHMNM01DSDDSS06VO(List<RCHMNM01DSDDSS06VO> rCHMNM01DSDDSS06VO) {
        RCHMNM01DSDDSS06VO = rCHMNM01DSDDSS06VO;
    }
    public List<RCHMNM01DSDDSS07VO> getRCHMNM01DSDDSS07VO() {
        return RCHMNM01DSDDSS07VO;
    }
    public void setRCHMNM01DSDDSS07VO(List<RCHMNM01DSDDSS07VO> rCHMNM01DSDDSS07VO) {
        RCHMNM01DSDDSS07VO = rCHMNM01DSDDSS07VO;
    }
    public List<RCHMNM01DSDDSS08VO> getRCHMNM01DSDDSS08VO() {
        return RCHMNM01DSDDSS08VO;
    }
    public void setRCHMNM01DSDDSS08VO(List<RCHMNM01DSDDSS08VO> rCHMNM01DSDDSS08VO) {
        RCHMNM01DSDDSS08VO = rCHMNM01DSDDSS08VO;
    }
    public List<RCHMNM01DSDDSS09VO> getRCHMNM01DSDDSS09VO() {
        return RCHMNM01DSDDSS09VO;
    }
    public void setRCHMNM01DSDDSS09VO(List<RCHMNM01DSDDSS09VO> rCHMNM01DSDDSS09VO) {
        RCHMNM01DSDDSS09VO = rCHMNM01DSDDSS09VO;
    }
    public List<RCHMNM01DSDDSS11VO> getRCHMNM01DSDDSS11VO() {
        return RCHMNM01DSDDSS11VO;
    }
    public void setRCHMNM01DSDDSS11VO(List<RCHMNM01DSDDSS11VO> rCHMNM01DSDDSS11VO) {
        RCHMNM01DSDDSS11VO = rCHMNM01DSDDSS11VO;
    }
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
}