package hanalife.r.co.rc.vo;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스명    : DlyDescVO
 * 클래스설명 : 연체내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyDescVO extends ValueObj {
	public String loanNo = "";    //대출_번호
	public String loanSeq = "";    //대출_순번
	public int    setlNo;    //결제_번호
	public int    setlSnum;    //결제_일련번호
	public int    tims;    //회차
	public String dueDt = "";    //납입_일자
	public String acctDt = "";    //회계_일자
	public String setlDt = "";    //결제일자
	public long   mmPamt;    //월_원금
	public long   mmInt;    //월_이자
	public long   trtFee;	//취급수수료(월)
	public long   dfee;    //연체료
	public int    dlyDdcnt;    //연체_일수
	public int    dlyMmCnt;    //연체_일수
	public long   occrDfee;    //발생_연체료
	public long   unrcvDfee;    //미수_연체료
	public long   adjDfee;    //정산_연체료
	public long   exmpDfee;    //면제_연체료
	public long   pdueDiscDfee;    //선납_할인_연체료
	public String loseDlyStrtDt = "";    //상실_연체_시작_일자
	public String loseDueDt = "";    //상실_납입_일자
	public String loseDt = "";    //상실_일자
	public long   loseMmPamt;    //상실_월_원금
	public long   loseMmInt;    //상실_월_이자
	public long   losePamtRamt;    //상실_원금_잔액
	public long   losePiamtDfee;    //상실_원리금_연체료
	public long   loseIntDfee;    //상실_이자_연체료
	public long   loseRamtDfee;    //상실_잔액_연체료
	public String loseFg = "0";    //상실_여부
	public String lastSetlDt = "";    //최종_결제일자
	public String cnclFg = "0";    //취소_여부
	public String cnclDt = "";    //취소_일자
	public String procEmpNo = "";  //처리_사원_번호
	public String partCnclCd = "";	//2018-08-01 두비스 부분취소추가
	public String loseRvvlFg = "0";

	public String rlDueDt = "";// RL_DUE_DT
	public String dlyStrtDt= "";// DLY_STRT_DT
	public String dlyCalcStrtDt= "";// DLY_CALC_STRT_DT
	public String loseDlyEndDt= "";// LOSE_DLY_END_DT
	public long   loseObjInt;// LOSE_OBJ_INT

	//2018-08-01 두비스 리스금액항목 추가
	public long   ppayInt;    //선급이자
	public long   addInsuFee;    //보험료
	public long   addCartax;    //차세
	public long   addEnvImprBrdnamt;    //환개금
	public long   addAsfee;    //가산_정비료
	public long   ipayInsuFee;    //대지급_보험료
	public long   ipayCartax;    //대지급_자동차세
	public long   ipayEnvImprBrdnamt;    //대지급_환경_개선_부담금
	public long   ipayPnltAmt;    //대지급_범칙금
	public long   ipayEtc;    //대지급_기타
	public long   vtax;    //부가세
	public long   ltrmBrcvAmt;    //장기_선수금
	public long   ramtAmt;    //잔가_금액
	public long   guarAmt;    //보증금

}
