package hanalife.r.co.vo.vo;

import hanalife.util.LoggableVO;

/**
 * <pre>
 * 클래스명    : ClsBaseVO
 * 클래스설명 : ClsBaseVO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class ClsBaseVO extends LoggableVO{
	private String acctDt;    //회계_일자
    private String acctUnitCd;    //회계_단위_코드
	private String acctDeptCd;    //회계_부서_코드
	private String tranTpCd;    //이체_유형_코드
	private int tranNo;    //이체_번호
	private String tranFg;    //이체_여부
	private String tranDt;    //이체_일자
	private String tranTm;    //이체_시각
	private String tranEmpNo;    //이체_사원번호
	private String vochClsFg;    //전표_마감_여부
	private String vochNo;    //전표_번호
	private String vochClsDt;    //전표_마감_일자
	private String vochClsTm;    //전표_마감_시각
	private String vochClsEmpNo;    //전표_마감_사원번호
	private String procEmpNo;  //처리사원번호

	public ClsBaseVO() {
		clear();
	}

	/**
	 * @return Returns the acctDeptCd.
	 */
	public String getAcctDeptCd() {
		return acctDeptCd;
	}
	/**
	 * @param acctDeptCd The acctDeptCd to set.
	 */
	public void setAcctDeptCd(String acctDeptCd) {
		this.acctDeptCd = acctDeptCd;
	}
	/**
	 * @return Returns the acctDt.
	 */
	public String getAcctDt() {
		return acctDt;
	}
	/**
	 * @param acctDt The acctDt to set.
	 */
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	/**
	 * @return Returns the tranDt.
	 */
	public String getTranDt() {
		return tranDt;
	}
	/**
	 * @param tranDt The tranDt to set.
	 */
	public void setTranDt(String tranDt) {
		this.tranDt = tranDt;
	}
	/**
	 * @return Returns the tranEmpNo.
	 */
	public String getTranEmpNo() {
		return tranEmpNo;
	}
	/**
	 * @param tranEmpNo The tranEmpNo to set.
	 */
	public void setTranEmpNo(String tranEmpNo) {
		this.tranEmpNo = tranEmpNo;
	}
	/**
	 * @return Returns the tranFg.
	 */
	public String getTranFg() {
		return tranFg;
	}
	/**
	 * @param tranFg The tranFg to set.
	 */
	public void setTranFg(String tranFg) {
		this.tranFg = tranFg;
	}
	/**
	 * @return Returns the tranNo.
	 */
	public int getTranNo() {
		return tranNo;
	}
	/**
	 * @param tranNo The tranNo to set.
	 */
	public void setTranNo(int tranNo) {
		this.tranNo = tranNo;
	}
	/**
	 * @return Returns the tranTm.
	 */
	public String getTranTm() {
		return tranTm;
	}
	/**
	 * @param tranTm The tranTm to set.
	 */
	public void setTranTm(String tranTm) {
		this.tranTm = tranTm;
	}
	/**
	 * @return Returns the tranTpCd.
	 */
	public String getTranTpCd() {
		return tranTpCd;
	}
	/**
	 * @param tranTpCd The tranTpCd to set.
	 */
	public void setTranTpCd(String tranTpCd) {
		this.tranTpCd = tranTpCd;
	}
	/**
	 * @return Returns the vochClsDt.
	 */
	public String getVochClsDt() {
		return vochClsDt;
	}
	/**
	 * @param vochClsDt The vochClsDt to set.
	 */
	public void setVochClsDt(String vochClsDt) {
		this.vochClsDt = vochClsDt;
	}
	/**
	 * @return Returns the vochClsEmpNo.
	 */
	public String getVochClsEmpNo() {
		return vochClsEmpNo;
	}
	/**
	 * @param vochClsEmpNo The vochClsEmpNo to set.
	 */
	public void setVochClsEmpNo(String vochClsEmpNo) {
		this.vochClsEmpNo = vochClsEmpNo;
	}
	/**
	 * @return Returns the vochClsFg.
	 */
	public String getVochClsFg() {
		return vochClsFg;
	}
	/**
	 * @param vochClsFg The vochClsFg to set.
	 */
	public void setVochClsFg(String vochClsFg) {
		this.vochClsFg = vochClsFg;
	}
	/**
	 * @return Returns the vochClsTm.
	 */
	public String getVochClsTm() {
		return vochClsTm;
	}
	/**
	 * @param vochClsTm The vochClsTm to set.
	 */
	public void setVochClsTm(String vochClsTm) {
		this.vochClsTm = vochClsTm;
	}
	/**
	 * @return Returns the vochNo.
	 */
	public String getVochNo() {
		return vochNo;
	}
	/**
	 * @param vochNo The vochNo to set.
	 */
	public void setVochNo(String vochNo) {
		this.vochNo = vochNo;
	}

	/**
	 * @return Returns the procEmpNo.
	 */
	public String getProcEmpNo() {
		return procEmpNo;
	}

    public String getAcctUnitCd() {
        return acctUnitCd;
    }

    /**
	 * @param procEmpNo The procEmpNo to set.
	 */
	public void setProcEmpNo(String procEmpNo) {
		this.procEmpNo = procEmpNo;
	}

    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }

    public void clear() {
		acctDt = "";    //회계_일자
		acctDeptCd = "";    //회계_부서_코드
		tranTpCd = "";    //이체_유형_코드
		tranNo=0;    //이체_번호
		tranFg = "0";    //이체_여부
		tranDt = "";    //이체_일자
		tranTm = "";    //이체_시각
		tranEmpNo = "";    //이체_사원번호
		vochClsFg = "0";    //전표_마감_여부
		vochNo = "";    //전표_번호
		vochClsDt = "";    //전표_마감_일자
		vochClsTm = "";    //전표_마감_시각
		vochClsEmpNo = "";    //전표_마감_사원번호
	}
}
