package hanalife.r.dm.dl.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlvrDescReadDSSD02DTO.java Class
 * 클래스설명   : 발송내역 삭제를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 25.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 25.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class DlvrDescReadDSSD02DTO {

	private String clsDt;  /** 마감일자 */
	private String clsSnum;  /** 마감일련번호 */

	public String getClsDt() {
		return clsDt;
	}
	public void setClsDt(String clsDt) {
		this.clsDt = clsDt;
	}
	public String getClsSnum() {
		return clsSnum;
	}
	public void setClsSnum(String clsSnum) {
		this.clsSnum = clsSnum;
	}

}
