package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSDLYVO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSDLYVO  {

	private String clasNm;			  /* 대출종목 */
    private String dlyOccrDt = "";    /* 연체발생일자 */
    private long mmPamt      = 0;     /* 월_원금 */
    private long mmInt       = 0;     /* 월_이자 */
    private String dlySetlDt = "";    /* 연체정리일자 */
    private int dlyDdCnt     = 0;     /* 연체일수 */

	public String getClasNm() {
		return clasNm;
	}
	public void setClasNm(String clasNm) {
		this.clasNm = clasNm;
	}
	public String getDlyOccrDt() {
		return dlyOccrDt;
	}
	public void setDlyOccrDt(String dlyOccrDt) {
		this.dlyOccrDt = dlyOccrDt;
	}
	public long getMmPamt() {
		return mmPamt;
	}
	public void setMmPamt(long mmPamt) {
		this.mmPamt = mmPamt;
	}
	public long getMmInt() {
		return mmInt;
	}
	public void setMmInt(long mmInt) {
		this.mmInt = mmInt;
	}
	public String getDlySetlDt() {
		return dlySetlDt;
	}
	public void setDlySetlDt(String dlySetlDt) {
		this.dlySetlDt = dlySetlDt;
	}
	public int getDlyDdCnt() {
		return dlyDdCnt;
	}
	public void setDlyDdCnt(int dlyDdCnt) {
		this.dlyDdCnt = dlyDdCnt;
	}
}
