package hanalife.r.rc.rc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.rc.rc.mapper.dto.RmbrPlanReadDSRMBRPLANSD01DTO;
import hanalife.r.rc.rc.mapper.dto.RmbrPlanReadDSRMBRPLANSD02DTO;
import hanalife.r.rc.rc.mapper.dto.RmbrPlanReadDSRMBRPLANSMDTO;

@Mapper("RmbrPlanReadMapper")
public interface RmbrPlanReadMapper {
	/**
	 * 상환스케줄 마스터 조회
	 * @param RmbrPlanReadDSRMBRPLANSD01DTO
	 * @return List
	 * @exception Exception
	 */
	List<RmbrPlanReadDSRMBRPLANSD01DTO> searchRmbrPlan(RmbrPlanReadDSRMBRPLANSMDTO param) throws Exception;

	/**
	 * 상환스케줄 디테일 조회
	 * @param RmbrPlanReadDSRMBRPLANSD01DTO
	 * @return List
	 * @exception Exception
	 */
	List<RmbrPlanReadDSRMBRPLANSD02DTO> searchRmbrPlanPiAmt(RmbrPlanReadDSRMBRPLANSMDTO param) throws Exception;

}
