package hanalife.r.rc.rc.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RRCRCM03DSLOANINFOVO.java Class
 * 클래스설명   : 수납내역상세조회를(을) 위한 VO
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RRCRCM03DSLOANINFOVO {
	private String loanNo;
	private String loanSeq;
	private String contManNo;
	private String custNm;
	private String rlDueManNo;
	private String rlDueManNm;
	private String prdtLrgeClasCd;
	private String prdtLrgeClasNm;
	private String prdtMidClasCd;
	private String prdtMidClasNm;
	private String prdtSmClasCd;
	private String prdtSmClasNm;
	private String rmbrFrmlNm;
	private String acctUnitCd;
	private String acctUnitNm;
	private String mngDeptCd;
	private String mngDeptNm;
	private Double loanIntRt;
	private long loanTerm;
	private long loanPamt;
	private Double dfeeRt;
	private Double trtFeeRt;
	private String loanStatCd;
	private String loanStatNm;
	private String bndStatCd;
	private String bndStatNm;
	private String deliDt;
	private String loanDt;
	private Double midRmbrFeeRt;
	private String mrtgSmClasNm;
	private String fcntDueDt;
	private String eprtDt;
	private int contCnt;
	private int guarCnt;
	private String trtFee;
	private String rmbrTrtFee;
	private String trtFeeIstpFg;

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public String getRlDueManNm() {
		return rlDueManNm;
	}
	public void setRlDueManNm(String rlDueManNm) {
		this.rlDueManNm = rlDueManNm;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtLrgeClasNm() {
		return prdtLrgeClasNm;
	}
	public void setPrdtLrgeClasNm(String prdtLrgeClasNm) {
		this.prdtLrgeClasNm = prdtLrgeClasNm;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtMidClasNm() {
		return prdtMidClasNm;
	}
	public void setPrdtMidClasNm(String prdtMidClasNm) {
		this.prdtMidClasNm = prdtMidClasNm;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public String getPrdtSmClasNm() {
		return prdtSmClasNm;
	}
	public void setPrdtSmClasNm(String prdtSmClasNm) {
		this.prdtSmClasNm = prdtSmClasNm;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getAcctUnitNm() {
		return acctUnitNm;
	}
	public void setAcctUnitNm(String acctUnitNm) {
		this.acctUnitNm = acctUnitNm;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public Double getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(Double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public long getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(long loanTerm) {
		this.loanTerm = loanTerm;
	}
	public long getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}
	public Double getDfeeRt() {
		return dfeeRt;
	}
	public void setDfeeRt(Double dfeeRt) {
		this.dfeeRt = dfeeRt;
	}
	public Double getTrtFeeRt() {
		return trtFeeRt;
	}
	public void setTrtFeeRt(Double trtFeeRt) {
		this.trtFeeRt = trtFeeRt;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getBndStatCd() {
		return bndStatCd;
	}
	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getDeliDt() {
		return deliDt;
	}
	public void setDeliDt(String deliDt) {
		this.deliDt = deliDt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public Double getMidRmbrFeeRt() {
		return midRmbrFeeRt;
	}
	public void setMidRmbrFeeRt(Double midRmbrFeeRt) {
		this.midRmbrFeeRt = midRmbrFeeRt;
	}
	public String getMrtgSmClasNm() {
		return mrtgSmClasNm;
	}
	public void setMrtgSmClasNm(String mrtgSmClasNm) {
		this.mrtgSmClasNm = mrtgSmClasNm;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public int getContCnt() {
		return contCnt;
	}
	public void setContCnt(int contCnt) {
		this.contCnt = contCnt;
	}
	public int getGuarCnt() {
		return guarCnt;
	}
	public void setGuarCnt(int guarCnt) {
		this.guarCnt = guarCnt;
	}
	public String getTrtFee() {
		return trtFee;
	}
	public void setTrtFee(String trtFee) {
		this.trtFee = trtFee;
	}
	public String getRmbrTrtFee() {
		return rmbrTrtFee;
	}
	public void setRmbrTrtFee(String rmbrTrtFee) {
		this.rmbrTrtFee = rmbrTrtFee;
	}
	public String getTrtFeeIstpFg() {
		return trtFeeIstpFg;
	}
	public void setTrtFeeIstpFg(String trtFeeIstpFg) {
		this.trtFeeIstpFg = trtFeeIstpFg;
	}
}
