package hanalife.r.sr.sr.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.sr.sr.mapper.dto.DsrcChngHistDSSDDTO;
import hanalife.r.sr.sr.mapper.dto.DsrcChngHistDSSMDTO;

@Mapper("DsrcChngHistMapper")
public interface DsrcChngHistMapper {

	/**
	 * <pre>
	 * 메소드명      : searchDsrcChngHist
	 * 작성일자      : 2023. 5. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 예가수변경내역을(를) 조회 한다.
	 * 메소드인수1   : 예가수변경내역 입력
	 * 메소드리턴값  : 예가수변경내역 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<DsrcChngHistDSSDDTO> searchDsrcChngHist(DsrcChngHistDSSMDTO inDto) throws Exception;

}