package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01DSSEARCHVO.java Class
 * 클래스설명   : 예/가수금발생정보내역 조회(입력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01DSSEARCHVO {

    private String loanNo;  /* 대출번호 */
    private String loanSeq;  /* 대출순번 */
    private String dsrcNo;  /* 예가수번호 */
    private String custNo;  /* 고객번호 */
    private String custNm;  /* 고객명 */
    private String dueManNo;  /* 납입자번호 */
    private String dueManNm;  /* 납입자명 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getDueManNo() {
        return dueManNo;
    }
    public void setDueManNo(String dueManNo) {
        this.dueManNo = dueManNo;
    }
    public String getDueManNm() {
        return dueManNm;
    }
    public void setDueManNm(String dueManNm) {
        this.dueManNm = dueManNm;
    }


}
