package hanalife.r.sr.sr.vo;

import java.util.List;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM02S01OutVO.java Class
 * 클래스설명   : 예/가수내역 및 합계 조회를 위한 테이블 OUTVO
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class RSRSRM02S01OutVO {

	private List<RSRSRM02DSDESCSDVO> listRSRSRM02DSDESCSDVO;
	private List<RSRSRM02DSDSRCADJDESCSUMSDVO> listRSRSRM02DSDSRCADJDESCSUMSDVO;

	public List<RSRSRM02DSDESCSDVO> getListRSRSRM02DSDESCSDVO() {
		return listRSRSRM02DSDESCSDVO;
	}
	public void setListRSRSRM02DSDESCSDVO(List<RSRSRM02DSDESCSDVO> listRSRSRM02DSDESCSDVO) {
		this.listRSRSRM02DSDESCSDVO = listRSRSRM02DSDESCSDVO;
	}
	public List<RSRSRM02DSDSRCADJDESCSUMSDVO> getListRSRSRM02DSDSRCADJDESCSUMSDVO() {
		return listRSRSRM02DSDSRCADJDESCSUMSDVO;
	}
	public void setListRSRSRM02DSDSRCADJDESCSUMSDVO(List<RSRSRM02DSDSRCADJDESCSUMSDVO> listRSRSRM02DSDSRCADJDESCSUMSDVO) {
		this.listRSRSRM02DSDSRCADJDESCSUMSDVO = listRSRSRM02DSDSRCADJDESCSUMSDVO;
	}
}
