package hanalife.r.sr.zz.service;

import hanalife.r.sr.zz.vo.DsrcVO;

public interface DsrcService {

	/**
     * <pre>
     * 메소드명      	: occrDsrc
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예가수 강제발생 (가수통합용)
     * 메소드인수    	: DsrcVO
     * 메소드리턴값  	: DsrcVO
     * 예외처리      	: Exception
     * </pre>
     */
    public DsrcVO occrDsrc(DsrcVO dsrcVO) throws Exception;

	/**
     * <pre>
     * 메소드명      	: adjDsrc
     * 작성일자      	: 2023. 5. 26.
     * 작성자(author)	: 70326 / YHS
     * 설명        	: 예가수 강제정산 (가수통합용)
     * 메소드인수    	: DsrcVO
     * 메소드리턴값  	: DsrcVO
     * 예외처리      	: Exception
     * </pre>
     */
    public DsrcVO adjDsrc(DsrcVO dsrcVO) throws Exception;


}
