package hanalife.r.util;

import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클래스　명	: CommCdVO
 * 클래스설명	: 전표기본 VO (VUtil 사용)
 * 프로젝트명	: DOBSCAP
 * 작성　일자	: 2019-12-06
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경  일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [19.12.06][정우현][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class VBaseVO extends ValueObj {

	// PK
	public String vochNo    = "";	// 전표번호
	// COLUMN
	public String locDivCd  = "";	// LOC구분
	public String trTpCd    = "";	// 거래유형코드
	public String trStagCd  = "";	// 거래단계코드
	public String makeDt    = "";	// 작성일자
	public String acctDt    = "";	// 회계일자
	public String mkDeptCd  = "";	// 작성부서
	public String acDeptCd  = "";	// 회계부서
	public String mkEmpNo   = "";	// 작성사번
	public String orgVochNo = "";	// 원전표번호
	public String rmk       = "";	// 적요
	// VAR
	public String sDeptCd   = "";	// 세션부서
	public String sEmpNo    = "";	// 세션사번

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("\n■ =============== "+this.getClass().getSimpleName()+" SPEC =============== ");
		sb.append("\n[vochNo] = " + vochNo + ", [locDivCd] = "+ locDivCd + ", [trTpCd] = "+ trTpCd+" - "+trStagCd);
		sb.append("\n[makeDt] = " + makeDt + ", [acctDt] = " + acctDt + ", [mkDeptCd] = " + mkDeptCd + ", [acDeptCd] = " + acDeptCd);
		sb.append("\n[mkEmpNo] = " + mkEmpNo + ", [orgVochNo] = " + orgVochNo + ", [rmk] = " + rmk);
		return sb.toString();
	}
}
