package hanalife.s.as.as.service;

import hanalife.s.as.as.vo.SASASM01S01InVO;
import hanalife.s.as.as.vo.SASASM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SASASM01Service.java Class
 * 클래스설명   : 상담목록조회 (SASASM01) Service Interface
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSASASM01S01 : 상담목록조회목록조회

 * </pre>
 */
public interface SASASM01Service {

	/**
	 * <p>메소드명      : getSASASM01S01 : 상담목록조회</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 상담목록조회 한다.</p>
	 * <p>메소드인수    : SASASM01S01InVo </p>
	 * <p>메소드리턴값  : SASASM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SASASM01S01OutVO getSASASM01S01(SASASM01S01InVO inVo) throws Exception;

}
