package hanalife.s.ln.ch.mapper.dto;

public class RmbrPlanUpdtInVODTO {

	// 공통
	private String loanNo;       /** 대출번호 */
	private String loanSeq;      /** 대출순번 */
	private String empNo;        /** 직원번호 */

	// 경과이자 계산 후 경과이자계산 VO 리턴 ( psgIntCalc )
	private int chngTims;           /** 변경회차 */
	private String chngDueDt;       /** 변경납입일자 */
	private double aplyIntRt;		/** 적용이자율 */
	private int psgDdCnt;			/** 경과일수 */

	// 대출기본 변경
	private long loanIntSum;
	private int totTims;
	private String eprtDt;

	// 중도부분상환 이후 납입일변경사항 반영
	private int div;                /** 중도상환구분(1.중도상환 2.중도상환취소) */
	private int midPartRmbrTims;	/** 중도부분상환회차 */
	private String midPartRmbrDt;	/** 중도부분상환일자 */
	private long pamtRamt;	     	/** 원금잔액 */
	private int trSnum;	            /** 거래일련번호 */
	private int cnclTrSnum;	        /** 취소시 거래일련번호 */

	// 납입일 변경이력 조회
	private String chngAfDueDt;     /** 변경납입일자 */
	private long psgInt;             /** 경과이자 */
	private int snum;               /** 일련번호 */

	// 상환계획수정
	private String cnclFg;			/** 추가취소 플래그 */

	// 결제일 변경
	private String dueDt;			/** 납입일자 */
	private String intStrtDt;		/** 이자시작일자 */
	private int tims;				/** 회차 */
	private int fsrtRank;			/** 우선순위 */

    private int timsDdcnt; //회차일수 (월이자 일할계산시 적용위해 추가)
    private String rmbrFrmlCd; //상환방식코드
    private String dueTimsYn; //납입회차여부
    private long mmPamt; //원금
    private long mmInt; //이자
    private long mmPiamt; //월원리금
    private long timsAfPamtRamt; //회차후 잔여원금
    private long timsBfIntRamt; //회차전 잔여이자
    private long timsAfIntRamt; //회차후 잔여이자
    private String pdueFg; //선납여부
    private long intDa; //이자 차액
    private long intDamt; //이자 차액 누적
    private String intCalcDay; //이자계산일자
    private long intSum; //이자합계
    private long loanPrinSum; //대출원금합계
    private double intRt; //이자율
    private String intStrtDay; //이자시작일자
    private String intEndDay; //이자종료일자
    /**인사 임직원 대출용 시작**/
    private String lendEmpNo;
    private String lendKindCd;
    private int lendSeq;
    /**인사 임직원 대출용 끝**/

    //취급수수료 분납 추가
    private long mmTrtFee; //월취급수수료
    private long timsBfPamtRamt; //회차전 잔여원금
    private long timsBfTrtFeeRamt; //회차전 취급수수료 잔액
    private long timsAfTrtFeeRamt; //회차후 취급수수료 잔액

    private String crteDivCd;	// 생성구분코드

    private double totBfIntSum;        // 회차전 잔여이자
    private double totAfIntSum;        // 회차후 잔여이자
    private double totIntSum;         // 회차후 잔여이자

	public int getDiv() {
		return div;
	}
	public void setDiv(int div) {
		this.div = div;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public long getLoanIntSum() {
		return loanIntSum;
	}
	public void setLoanIntSum(long loanIntSum) {
		this.loanIntSum = loanIntSum;
	}
	public int getTotTims() {
		return totTims;
	}
	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public int getMidPartRmbrTims() {
		return midPartRmbrTims;
	}
	public void setMidPartRmbrTims(int midPartRmbrTims) {
		this.midPartRmbrTims = midPartRmbrTims;
	}
	public int getTrSnum() {
		return trSnum;
	}
	public void setTrSnum(int trSnum) {
		this.trSnum = trSnum;
	}
	public int getCnclTrSnum() {
		return cnclTrSnum;
	}
	public void setCnclTrSnum(int cnclTrSnum) {
		this.cnclTrSnum = cnclTrSnum;
	}
	public String getMidPartRmbrDt() {
		return midPartRmbrDt;
	}
	public void setMidPartRmbrDt(String midPartRmbrDt) {
		this.midPartRmbrDt = midPartRmbrDt;
	}
	public long getPamtRamt() {
		return pamtRamt;
	}
	public void setPamtRamt(long pamtRamt) {
		this.pamtRamt = pamtRamt;
	}
	public int getChngTims() {
		return chngTims;
	}
	public void setChngTims(int chngTims) {
		this.chngTims = chngTims;
	}
	public String getChngAfDueDt() {
		return chngAfDueDt;
	}
	public void setChngAfDueDt(String chngAfDueDt) {
		this.chngAfDueDt = chngAfDueDt;
	}
	public long getPsgInt() {
		return psgInt;
	}
	public void setPsgInt(long psgInt) {
		this.psgInt = psgInt;
	}
	public int getSnum() {
		return snum;
	}
	public void setSnum(int snum) {
		this.snum = snum;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getIntStrtDt() {
		return intStrtDt;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}
	public int getTims() {
		return tims;
	}
	public void setTims(int tims) {
		this.tims = tims;
	}
	public int getFsrtRank() {
		return fsrtRank;
	}
	public void setFsrtRank(int fsrtRank) {
		this.fsrtRank = fsrtRank;
	}
	public String getChngDueDt() {
		return chngDueDt;
	}
	public void setChngDueDt(String chngDueDt) {
		this.chngDueDt = chngDueDt;
	}
	public double getAplyIntRt() {
		return aplyIntRt;
	}
	public void setAplyIntRt(double aplyIntRt) {
		this.aplyIntRt = aplyIntRt;
	}
	public int getPsgDdCnt() {
		return psgDdCnt;
	}
	public void setPsgDdCnt(int psgDdCnt) {
		this.psgDdCnt = psgDdCnt;
	}
	public int getTimsDdcnt() {
		return timsDdcnt;
	}
	public void setTimsDdcnt(int timsDdcnt) {
		this.timsDdcnt = timsDdcnt;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public String getDueTimsYn() {
		return dueTimsYn;
	}
	public void setDueTimsYn(String dueTimsYn) {
		this.dueTimsYn = dueTimsYn;
	}
	public long getMmPamt() {
		return mmPamt;
	}
	public void setMmPamt(long mmPamt) {
		this.mmPamt = mmPamt;
	}
	public long getMmInt() {
		return mmInt;
	}
	public void setMmInt(long mmInt) {
		this.mmInt = mmInt;
	}
	public long getMmPiamt() {
		return mmPiamt;
	}
	public void setMmPiamt(long mmPiamt) {
		this.mmPiamt = mmPiamt;
	}
	public long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public void setTimsAfPamtRamt(long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public long getTimsBfIntRamt() {
		return timsBfIntRamt;
	}
	public void setTimsBfIntRamt(long timsBfIntRamt) {
		this.timsBfIntRamt = timsBfIntRamt;
	}
	public long getTimsAfIntRamt() {
		return timsAfIntRamt;
	}
	public void setTimsAfIntRamt(long timsAfIntRamt) {
		this.timsAfIntRamt = timsAfIntRamt;
	}
	public String getPdueFg() {
		return pdueFg;
	}
	public void setPdueFg(String pdueFg) {
		this.pdueFg = pdueFg;
	}
	public long getIntDa() {
		return intDa;
	}
	public void setIntDa(long intDa) {
		this.intDa = intDa;
	}
	public long getIntDamt() {
		return intDamt;
	}
	public void setIntDamt(long intDamt) {
		this.intDamt = intDamt;
	}
	public String getIntCalcDay() {
		return intCalcDay;
	}
	public void setIntCalcDay(String intCalcDay) {
		this.intCalcDay = intCalcDay;
	}
	public long getIntSum() {
		return intSum;
	}
	public void setIntSum(long intSum) {
		this.intSum = intSum;
	}
	public long getLoanPrinSum() {
		return loanPrinSum;
	}
	public void setLoanPrinSum(long loanPrinSum) {
		this.loanPrinSum = loanPrinSum;
	}
	public double getIntRt() {
		return intRt;
	}
	public void setIntRt(double intRt) {
		this.intRt = intRt;
	}
	public String getIntStrtDay() {
		return intStrtDay;
	}
	public void setIntStrtDay(String intStrtDay) {
		this.intStrtDay = intStrtDay;
	}
	public String getIntEndDay() {
		return intEndDay;
	}
	public void setIntEndDay(String intEndDay) {
		this.intEndDay = intEndDay;
	}
	public String getLendEmpNo() {
		return lendEmpNo;
	}
	public void setLendEmpNo(String lendEmpNo) {
		this.lendEmpNo = lendEmpNo;
	}
	public String getLendKindCd() {
		return lendKindCd;
	}
	public void setLendKindCd(String lendKindCd) {
		this.lendKindCd = lendKindCd;
	}
	public int getLendSeq() {
		return lendSeq;
	}
	public void setLendSeq(int lendSeq) {
		this.lendSeq = lendSeq;
	}
	public long getMmTrtFee() {
		return mmTrtFee;
	}
	public void setMmTrtFee(long mmTrtFee) {
		this.mmTrtFee = mmTrtFee;
	}
	public long getTimsBfTrtFeeRamt() {
		return timsBfTrtFeeRamt;
	}
	public void setTimsBfTrtFeeRamt(long timsBfTrtFeeRamt) {
		this.timsBfTrtFeeRamt = timsBfTrtFeeRamt;
	}
	public long getTimsAfTrtFeeRamt() {
		return timsAfTrtFeeRamt;
	}
	public void setTimsAfTrtFeeRamt(long timsAfTrtFeeRamt) {
		this.timsAfTrtFeeRamt = timsAfTrtFeeRamt;
	}
	public String getCrteDivCd() {
		return crteDivCd;
	}
	public void setCrteDivCd(String crteDivCd) {
		this.crteDivCd = crteDivCd;
	}
	public long getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public void setTimsBfPamtRamt(long timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public double getTotBfIntSum() {
		return totBfIntSum;
	}
	public void setTotBfIntSum(double totBfIntSum) {
		this.totBfIntSum = totBfIntSum;
	}
	public double getTotAfIntSum() {
		return totAfIntSum;
	}
	public void setTotAfIntSum(double totAfIntSum) {
		this.totAfIntSum = totAfIntSum;
	}
	public double getTotIntSum() {
		return totIntSum;
	}
	public void setTotIntSum(double totIntSum) {
		this.totIntSum = totIntSum;
	}


}