package hanalife.s.mo.in.vo;

public class SMOINM02DSSDDO01VO {

	// 전문공통부 - 대상
	private String hiflReqNo;                /** 하나생명의뢰번호 */
	private String insuComMngNo;             /** 보험사관리번호 */
	private String realIvMngNo;              /** 리얼아이브이관리번호 */

	private String loanApplNo;               /** 신청번호 */
	private String custNo;                   /** 고객번호 */
	private String custResiNo;               /** 차주생년월일 */
	private String custNm;                   /** 고객명 */
	private String prodCd;                   /** 상품코드 */
	private String prodNm;                   /** 상품명 */
	private String capUseGbCd;               /** 자금용도관리코드 */
	private String capUseGbNm;               /** 자금용도관리명 */
	private String applRealStsCd;            /** 여신진행상태(현재) */
	private String finalStsCd;               /** 최종상태 */
	private String wifeNm;                   /** 배우자명 */
	private String wifeResiNo;               /** 배우자주민등록번호 */
	private String hiResrConfCd;             /** 권리보험상태 */
	private String saleGenDiv;               /** 매매일반구분 */
	private String collPossGbCd;             /** 배우자공동소유여부 */
	private String judiNm;                   /** 법무사 */
	private long bndMaxAmt ;                 /** 설정금액 */
	private long loanAmt;                    /** 신청금액 */
	private String loanDttm;                 /** 여신취급예정일자 */
	private String aprvValdDt;               /** 승인유효일자 */
	private String hiApplDt;                 /** 권리조사(권리보험) 의뢰 일자 */
	private String divsEmpNo;                /** 담당자명 */
	private String reqBrnchDept;             /** 실행예정점코드 */
	private String reqBrnchNm;               /** 실행예정점 */
	private String cnclRsn ;                 /** 의뢰취소사유 */
	private String insuScrtNo;               /** 보험증권번호 */
	private String aprvCd;                   /** 승인 거절코드 */
	private String takeOpn ;                 /** 의견 */
	private long baseInsuFee;                /** 기본보험료 */
	private String hiResrConfDt;             /** 권리보험 확인 일자 */
	private String hiResrConfId;             /** 확인직원번호 */
	private String newReReqFg;               /** 신규재의뢰구분 */
	private String mrtgZipcd;                /** 대상부동산주소(우편번호) */
	private String mrtgAptSiNm;              /** 시도명 */
	private String mrtgAptGunNm;             /** 시군구명 */
	private String mrtgAptDongNm;            /** 읍면동명 */
	private String mrtgAptDetail;            /** 아파트상세 */
	private String mrtgAddr;                 /** 주소 */
	private String mrtgDtlAddr;              /** 상세주소 */
	private String goodsKind;                /** 물건종류(01:아파트) */
	private String kbMkrpYn;                 /** KB시세여부 */
	private long rentGuarAmt;                /** 임대보증금 */
	private int rentRoomCnt;                 /** 임대방수 */
	private int totRoomCnt ;                 /** 총방수 */
	private String brwrZipCd;                /** 차주주소(우편번호) */
	private String brwrAddr;                 /** 차주주소(기타주소) */
	private String brwrCnctPlc;              /** 차주연락처 */
	private String brwrHpNo;                 /** 차주휴대폰번호 */
	private String brwrAndJoinNmRel;         /** 차주와공동명의자관계 */
	private String supsBirtDt;               /** 배우자생년월일 */
	private String retyExfnNo;               /** 등기부고유번호 */
	private String preSeqFg;                 /** 선순위여부 */
	private String rentSucsFg;               /** 임대차승계여부 */
	private int hiApplCnt;                   /** 권리보험의뢰횟수 */
	private String logInUserNo;	             /** 로그인사용자번호 */
	private String logInEmpNo;	             /** 로그인사원번호 */
	private String hiApplYn;                 /** 의뢰여부 */
	private String applRealStsNm;            /** 여신진행상태명(현재) */
	private String finalStsNm;               /** 최종상태명 */
	private String hiResrConfNm;             /** 권리보험상태명 */
	private String saleContDoc ;             /** 매매계약서 */
	private String rentContDoc ;             /** 임대차계약서 */
	private String etcDocOrRmrk;             /** 기타서류/비고 */

	// TAB - 권리조사보고서 정보
	private String objEsttZipCd;             /** 소재지(우편번호) */
	private String objEsttAddr;              /** 대상부동산주소(기타주소) */
	private int rentInfoArryCnt;             /** 배열갯수(임대차내역) */
	private String landUnRegYn;              /** 토지미등기여부 */
	private String tmpRegYn;                 /** 별도등기있음유무 */
	private String actlRelCnfm;              /** 사실관계확인 */
	private String rigtStndDttm;             /** 권리기준일시 */
	private String rigtRschDt;               /** 권리조사일 */
	private String rschMan;                  /** 조사자 */
	private String cntcPlc;                  /** 연락처 */
	private String faxNo;                    /** 팩스번호 */
	private String moveiHshdYn;              /** 전입세대 유무 */
	private int moveiHshdInfoArryCnt;        /** 배열갯수(전입세대내역) */
	private int retyExfnInfoArryCnt;         /** 배열갯수(등기부확인) */
	private String ownManNm;                 /** 소유자 명 */

	// TAB - 권리조사확인 정보
	private String cnfmDocSeq1;                /** 등기부변동유무 */
	private String retyExfnVarYn1;             /** 등기부변동유무 */
	private String varCntn1;                   /** 변동내용 */
	private String cnfmMoveiHshdYn1;           /** 확인_전입세대유무 */
	private String rschDttm1;                  /** 조사일시 */
	private String rschManNm1;                 /** 조사자명 */
	private String telNo1;                     /** 전화번호 */
	private String rschRmrk1;                  /** 비고 */
	private String moveiHshdVarYn1;            /** 전입세대 변동 유무 */
	private String genRmrk1;                   /** 비고 */
	private String cnfmDocSeq2;                /** 등기부변동유무 */
	private String retyExfnVarYn2;             /** 등기부변동유무 */
	private String varCntn2;                   /** 변동내용 */
	private String cnfmMoveiHshdYn2;           /** 확인_전입세대유무 */
	private String rschDttm2;                  /** 조사일시 */
	private String rschManNm2;                 /** 조사자명 */
	private String telNo2;                     /** 전화번호 */
	private String rschRmrk2;                  /** 비고 */
	private String moveiHshdVarYn2;            /** 전입세대 변동 유무 */
	private String genRmrk2;                   /** 비고 */
	private String cnfmDocSeq3;                /** 등기부변동유무 */
	private String retyExfnVarYn3;             /** 등기부변동유무 */
	private String varCntn3;                   /** 변동내용 */
	private String cnfmMoveiHshdYn3;           /** 확인_전입세대유무 */
	private String rschDttm3;                  /** 조사일시 */
	private String rschManNm3;                 /** 조사자명 */
	private String telNo3;                     /** 전화번호 */
	private String rschRmrk3;                  /** 비고 */
	private String moveiHshdVarYn3;            /** 전입세대 변동 유무 */
	private String genRmrk3;                   /** 비고 */

	public String getHiflReqNo() {
		return hiflReqNo;
	}
	public void setHiflReqNo(String hiflReqNo) {
		this.hiflReqNo = hiflReqNo;
	}
	public String getInsuComMngNo() {
		return insuComMngNo;
	}
	public void setInsuComMngNo(String insuComMngNo) {
		this.insuComMngNo = insuComMngNo;
	}
	public String getRealIvMngNo() {
		return realIvMngNo;
	}
	public void setRealIvMngNo(String realIvMngNo) {
		this.realIvMngNo = realIvMngNo;
	}

	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getCustResiNo() {
		return custResiNo;
	}
	public void setCustResiNo(String custResiNo) {
		this.custResiNo = custResiNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getProdCd() {
		return prodCd;
	}
	public void setProdCd(String prodCd) {
		this.prodCd = prodCd;
	}
	public String getProdNm() {
		return prodNm;
	}
	public void setProdNm(String prodNm) {
		this.prodNm = prodNm;
	}
	public String getCapUseGbCd() {
		return capUseGbCd;
	}
	public void setCapUseGbCd(String capUseGbCd) {
		this.capUseGbCd = capUseGbCd;
	}
	public String getCapUseGbNm() {
		return capUseGbNm;
	}
	public void setCapUseGbNm(String capUseGbNm) {
		this.capUseGbNm = capUseGbNm;
	}
	public String getApplRealStsCd() {
		return applRealStsCd;
	}
	public void setApplRealStsCd(String applRealStsCd) {
		this.applRealStsCd = applRealStsCd;
	}
	public String getFinalStsCd() {
		return finalStsCd;
	}
	public void setFinalStsCd(String finalStsCd) {
		this.finalStsCd = finalStsCd;
	}
	public String getWifeNm() {
		return wifeNm;
	}
	public void setWifeNm(String wifeNm) {
		this.wifeNm = wifeNm;
	}
	public String getWifeResiNo() {
		return wifeResiNo;
	}
	public void setWifeResiNo(String wifeResiNo) {
		this.wifeResiNo = wifeResiNo;
	}
	public String getHiResrConfCd() {
		return hiResrConfCd;
	}
	public void setHiResrConfCd(String hiResrConfCd) {
		this.hiResrConfCd = hiResrConfCd;
	}
	public String getSaleGenDiv() {
		return saleGenDiv;
	}
	public void setSaleGenDiv(String saleGenDiv) {
		this.saleGenDiv = saleGenDiv;
	}
	public String getCollPossGbCd() {
		return collPossGbCd;
	}
	public void setCollPossGbCd(String collPossGbCd) {
		this.collPossGbCd = collPossGbCd;
	}
	public String getJudiNm() {
		return judiNm;
	}
	public void setJudiNm(String judiNm) {
		this.judiNm = judiNm;
	}
	public long getBndMaxAmt() {
		return bndMaxAmt;
	}
	public void setBndMaxAmt(long bndMaxAmt) {
		this.bndMaxAmt = bndMaxAmt;
	}
	public long getLoanAmt() {
		return loanAmt;
	}
	public void setLoanAmt(long loanAmt) {
		this.loanAmt = loanAmt;
	}
	public String getLoanDttm() {
		return loanDttm;
	}
	public void setLoanDttm(String loanDttm) {
		this.loanDttm = loanDttm;
	}
	public String getAprvValdDt() {
		return aprvValdDt;
	}
	public void setAprvValdDt(String aprvValdDt) {
		this.aprvValdDt = aprvValdDt;
	}
	public String getHiApplDt() {
		return hiApplDt;
	}
	public void setHiApplDt(String hiApplDt) {
		this.hiApplDt = hiApplDt;
	}
	public String getDivsEmpNo() {
		return divsEmpNo;
	}
	public void setDivsEmpNo(String divsEmpNo) {
		this.divsEmpNo = divsEmpNo;
	}
	public String getReqBrnchDept() {
		return reqBrnchDept;
	}
	public void setReqBrnchDept(String reqBrnchDept) {
		this.reqBrnchDept = reqBrnchDept;
	}
	public String getReqBrnchNm() {
		return reqBrnchNm;
	}
	public void setReqBrnchNm(String reqBrnchNm) {
		this.reqBrnchNm = reqBrnchNm;
	}
	public String getCnclRsn() {
		return cnclRsn;
	}
	public void setCnclRsn(String cnclRsn) {
		this.cnclRsn = cnclRsn;
	}
	public String getInsuScrtNo() {
		return insuScrtNo;
	}
	public void setInsuScrtNo(String insuScrtNo) {
		this.insuScrtNo = insuScrtNo;
	}
	public String getAprvCd() {
		return aprvCd;
	}
	public void setAprvCd(String aprvCd) {
		this.aprvCd = aprvCd;
	}
	public String getTakeOpn() {
		return takeOpn;
	}
	public void setTakeOpn(String takeOpn) {
		this.takeOpn = takeOpn;
	}
	public long getBaseInsuFee() {
		return baseInsuFee;
	}
	public void setBaseInsuFee(long baseInsuFee) {
		this.baseInsuFee = baseInsuFee;
	}
	public String getHiResrConfDt() {
		return hiResrConfDt;
	}
	public void setHiResrConfDt(String hiResrConfDt) {
		this.hiResrConfDt = hiResrConfDt;
	}
	public String getHiResrConfId() {
		return hiResrConfId;
	}
	public void setHiResrConfId(String hiResrConfId) {
		this.hiResrConfId = hiResrConfId;
	}
	public String getNewReReqFg() {
		return newReReqFg;
	}
	public void setNewReReqFg(String newReReqFg) {
		this.newReReqFg = newReReqFg;
	}
	public String getMrtgZipcd() {
		return mrtgZipcd;
	}
	public void setMrtgZipcd(String mrtgZipcd) {
		this.mrtgZipcd = mrtgZipcd;
	}
	public String getMrtgAptSiNm() {
		return mrtgAptSiNm;
	}
	public void setMrtgAptSiNm(String mrtgAptSiNm) {
		this.mrtgAptSiNm = mrtgAptSiNm;
	}
	public String getMrtgAptGunNm() {
		return mrtgAptGunNm;
	}
	public void setMrtgAptGunNm(String mrtgAptGunNm) {
		this.mrtgAptGunNm = mrtgAptGunNm;
	}
	public String getMrtgAptDongNm() {
		return mrtgAptDongNm;
	}
	public void setMrtgAptDongNm(String mrtgAptDongNm) {
		this.mrtgAptDongNm = mrtgAptDongNm;
	}
	public String getMrtgAptDetail() {
		return mrtgAptDetail;
	}
	public void setMrtgAptDetail(String mrtgAptDetail) {
		this.mrtgAptDetail = mrtgAptDetail;
	}
	public String getMrtgAddr() {
		return mrtgAddr;
	}
	public void setMrtgAddr(String mrtgAddr) {
		this.mrtgAddr = mrtgAddr;
	}
	public String getMrtgDtlAddr() {
		return mrtgDtlAddr;
	}
	public void setMrtgDtlAddr(String mrtgDtlAddr) {
		this.mrtgDtlAddr = mrtgDtlAddr;
	}
	public String getGoodsKind() {
		return goodsKind;
	}
	public void setGoodsKind(String goodsKind) {
		this.goodsKind = goodsKind;
	}
	public String getKbMkrpYn() {
		return kbMkrpYn;
	}
	public void setKbMkrpYn(String kbMkrpYn) {
		this.kbMkrpYn = kbMkrpYn;
	}
	public long getRentGuarAmt() {
		return rentGuarAmt;
	}
	public void setRentGuarAmt(long rentGuarAmt) {
		this.rentGuarAmt = rentGuarAmt;
	}
	public int getRentRoomCnt() {
		return rentRoomCnt;
	}
	public void setRentRoomCnt(int rentRoomCnt) {
		this.rentRoomCnt = rentRoomCnt;
	}
	public int getTotRoomCnt() {
		return totRoomCnt;
	}
	public void setTotRoomCnt(int totRoomCnt) {
		this.totRoomCnt = totRoomCnt;
	}
	public String getBrwrZipCd() {
		return brwrZipCd;
	}
	public void setBrwrZipCd(String brwrZipCd) {
		this.brwrZipCd = brwrZipCd;
	}
	public String getBrwrAddr() {
		return brwrAddr;
	}
	public void setBrwrAddr(String brwrAddr) {
		this.brwrAddr = brwrAddr;
	}
	public String getBrwrCnctPlc() {
		return brwrCnctPlc;
	}
	public void setBrwrCnctPlc(String brwrCnctPlc) {
		this.brwrCnctPlc = brwrCnctPlc;
	}
	public String getBrwrHpNo() {
		return brwrHpNo;
	}
	public void setBrwrHpNo(String brwrHpNo) {
		this.brwrHpNo = brwrHpNo;
	}
	public String getBrwrAndJoinNmRel() {
		return brwrAndJoinNmRel;
	}
	public void setBrwrAndJoinNmRel(String brwrAndJoinNmRel) {
		this.brwrAndJoinNmRel = brwrAndJoinNmRel;
	}
	public String getSupsBirtDt() {
		return supsBirtDt;
	}
	public void setSupsBirtDt(String supsBirtDt) {
		this.supsBirtDt = supsBirtDt;
	}
	public String getRetyExfnNo() {
		return retyExfnNo;
	}
	public void setRetyExfnNo(String retyExfnNo) {
		this.retyExfnNo = retyExfnNo;
	}
	public String getPreSeqFg() {
		return preSeqFg;
	}
	public void setPreSeqFg(String preSeqFg) {
		this.preSeqFg = preSeqFg;
	}
	public String getRentSucsFg() {
		return rentSucsFg;
	}
	public void setRentSucsFg(String rentSucsFg) {
		this.rentSucsFg = rentSucsFg;
	}
	public int getHiApplCnt() {
		return hiApplCnt;
	}
	public void setHiApplCnt(int hiApplCnt) {
		this.hiApplCnt = hiApplCnt;
	}
	public String getLogInUserNo() {
		return logInUserNo;
	}
	public void setLogInUserNo(String logInUserNo) {
		this.logInUserNo = logInUserNo;
	}
	public String getLogInEmpNo() {
		return logInEmpNo;
	}
	public void setLogInEmpNo(String logInEmpNo) {
		this.logInEmpNo = logInEmpNo;
	}
	public String getHiApplYn() {
		return hiApplYn;
	}
	public void setHiApplYn(String hiApplYn) {
		this.hiApplYn = hiApplYn;
	}
	public String getApplRealStsNm() {
		return applRealStsNm;
	}
	public void setApplRealStsNm(String applRealStsNm) {
		this.applRealStsNm = applRealStsNm;
	}
	public String getFinalStsNm() {
		return finalStsNm;
	}
	public void setFinalStsNm(String finalStsNm) {
		this.finalStsNm = finalStsNm;
	}
	public String getHiResrConfNm() {
		return hiResrConfNm;
	}
	public void setHiResrConfNm(String hiResrConfNm) {
		this.hiResrConfNm = hiResrConfNm;
	}
	public String getSaleContDoc() {
		return saleContDoc;
	}
	public void setSaleContDoc(String saleContDoc) {
		this.saleContDoc = saleContDoc;
	}
	public String getRentContDoc() {
		return rentContDoc;
	}
	public void setRentContDoc(String rentContDoc) {
		this.rentContDoc = rentContDoc;
	}
	public String getEtcDocOrRmrk() {
		return etcDocOrRmrk;
	}
	public void setEtcDocOrRmrk(String etcDocOrRmrk) {
		this.etcDocOrRmrk = etcDocOrRmrk;
	}

	// 권리조사보고서 TAB 정보
	public String getObjEsttZipCd() {
		return objEsttZipCd;
	}
	public void setObjEsttZipCd(String objEsttZipCd) {
		this.objEsttZipCd = objEsttZipCd;
	}
	public String getObjEsttAddr() {
		return objEsttAddr;
	}
	public void setObjEsttAddr(String objEsttAddr) {
		this.objEsttAddr = objEsttAddr;
	}
	public int getRentInfoArryCnt() {
		return rentInfoArryCnt;
	}
	public void setRentInfoArryCnt(int rentInfoArryCnt) {
		this.rentInfoArryCnt = rentInfoArryCnt;
	}
	public String getLandUnRegYn() {
		return landUnRegYn;
	}
	public void setLandUnRegYn(String landUnRegYn) {
		this.landUnRegYn = landUnRegYn;
	}
	public String getTmpRegYn() {
		return tmpRegYn;
	}
	public void setTmpRegYn(String tmpRegYn) {
		this.tmpRegYn = tmpRegYn;
	}
	public String getActlRelCnfm() {
		return actlRelCnfm;
	}
	public void setActlRelCnfm(String actlRelCnfm) {
		this.actlRelCnfm = actlRelCnfm;
	}
	public String getRigtStndDttm() {
		return rigtStndDttm;
	}
	public void setRigtStndDttm(String rigtStndDttm) {
		this.rigtStndDttm = rigtStndDttm;
	}
	public String getRigtRschDt() {
		return rigtRschDt;
	}
	public void setRigtRschDt(String rigtRschDt) {
		this.rigtRschDt = rigtRschDt;
	}
	public String getRschMan() {
		return rschMan;
	}
	public void setRschMan(String rschMan) {
		this.rschMan = rschMan;
	}
	public String getCntcPlc() {
		return cntcPlc;
	}
	public void setCntcPlc(String cntcPlc) {
		this.cntcPlc = cntcPlc;
	}
	public String getFaxNo() {
		return faxNo;
	}
	public void setFaxNo(String faxNo) {
		this.faxNo = faxNo;
	}
	public String getMoveiHshdYn() {
		return moveiHshdYn;
	}
	public void setMoveiHshdYn(String moveiHshdYn) {
		this.moveiHshdYn = moveiHshdYn;
	}
	public int getMoveiHshdInfoArryCnt() {
		return moveiHshdInfoArryCnt;
	}
	public void setMoveiHshdInfoArryCnt(int moveiHshdInfoArryCnt) {
		this.moveiHshdInfoArryCnt = moveiHshdInfoArryCnt;
	}
	public int getRetyExfnInfoArryCnt() {
		return retyExfnInfoArryCnt;
	}
	public void setRetyExfnInfoArryCnt(int retyExfnInfoArryCnt) {
		this.retyExfnInfoArryCnt = retyExfnInfoArryCnt;
	}
	public String getOwnManNm() {
		return ownManNm;
	}
	public void setOwnManNm(String ownManNm) {
		this.ownManNm = ownManNm;
	}

	// TAB - 권리조사확인 정보
	public String getCnfmDocSeq1() {
		return cnfmDocSeq1;
	}
	public void setCnfmDocSeq1(String cnfmDocSeq1) {
		this.cnfmDocSeq1 = cnfmDocSeq1;
	}
	public String getRetyExfnVarYn1() {
		return retyExfnVarYn1;
	}
	public void setRetyExfnVarYn1(String retyExfnVarYn1) {
		this.retyExfnVarYn1 = retyExfnVarYn1;
	}
	public String getVarCntn1() {
		return varCntn1;
	}
	public void setVarCntn1(String varCntn1) {
		this.varCntn1 = varCntn1;
	}
	public String getCnfmMoveiHshdYn1() {
		return cnfmMoveiHshdYn1;
	}
	public void setCnfmMoveiHshdYn1(String cnfmMoveiHshdYn1) {
		this.cnfmMoveiHshdYn1 = cnfmMoveiHshdYn1;
	}
	public String getRschDttm1() {
		return rschDttm1;
	}
	public void setRschDttm1(String rschDttm1) {
		this.rschDttm1 = rschDttm1;
	}
	public String getRschManNm1() {
		return rschManNm1;
	}
	public void setRschManNm1(String rschManNm1) {
		this.rschManNm1 = rschManNm1;
	}
	public String getTelNo1() {
		return telNo1;
	}
	public void setTelNo1(String telNo1) {
		this.telNo1 = telNo1;
	}
	public String getRschRmrk1() {
		return rschRmrk1;
	}
	public void setRschRmrk1(String rschRmrk1) {
		this.rschRmrk1 = rschRmrk1;
	}
	public String getMoveiHshdVarYn1() {
		return moveiHshdVarYn1;
	}
	public void setMoveiHshdVarYn1(String moveiHshdVarYn1) {
		this.moveiHshdVarYn1 = moveiHshdVarYn1;
	}
	public String getGenRmrk1() {
		return genRmrk1;
	}
	public void setGenRmrk1(String genRmrk1) {
		this.genRmrk1 = genRmrk1;
	}
	public String getCnfmDocSeq2() {
		return cnfmDocSeq2;
	}
	public void setCnfmDocSeq2(String cnfmDocSeq2) {
		this.cnfmDocSeq2 = cnfmDocSeq2;
	}
	public String getRetyExfnVarYn2() {
		return retyExfnVarYn2;
	}
	public void setRetyExfnVarYn2(String retyExfnVarYn2) {
		this.retyExfnVarYn2 = retyExfnVarYn2;
	}
	public String getVarCntn2() {
		return varCntn2;
	}
	public void setVarCntn2(String varCntn2) {
		this.varCntn2 = varCntn2;
	}
	public String getCnfmMoveiHshdYn2() {
		return cnfmMoveiHshdYn2;
	}
	public void setCnfmMoveiHshdYn2(String cnfmMoveiHshdYn2) {
		this.cnfmMoveiHshdYn2 = cnfmMoveiHshdYn2;
	}
	public String getRschDttm2() {
		return rschDttm2;
	}
	public void setRschDttm2(String rschDttm2) {
		this.rschDttm2 = rschDttm2;
	}
	public String getRschManNm2() {
		return rschManNm2;
	}
	public void setRschManNm2(String rschManNm2) {
		this.rschManNm2 = rschManNm2;
	}
	public String getTelNo2() {
		return telNo2;
	}
	public void setTelNo2(String telNo2) {
		this.telNo2 = telNo2;
	}
	public String getRschRmrk2() {
		return rschRmrk2;
	}
	public void setRschRmrk2(String rschRmrk2) {
		this.rschRmrk2 = rschRmrk2;
	}
	public String getMoveiHshdVarYn2() {
		return moveiHshdVarYn2;
	}
	public void setMoveiHshdVarYn2(String moveiHshdVarYn2) {
		this.moveiHshdVarYn2 = moveiHshdVarYn2;
	}
	public String getGenRmrk2() {
		return genRmrk2;
	}
	public void setGenRmrk2(String genRmrk2) {
		this.genRmrk2 = genRmrk2;
	}
	public String getCnfmDocSeq3() {
		return cnfmDocSeq3;
	}
	public void setCnfmDocSeq3(String cnfmDocSeq3) {
		this.cnfmDocSeq3 = cnfmDocSeq3;
	}
	public String getRetyExfnVarYn3() {
		return retyExfnVarYn3;
	}
	public void setRetyExfnVarYn3(String retyExfnVarYn3) {
		this.retyExfnVarYn3 = retyExfnVarYn3;
	}
	public String getVarCntn3() {
		return varCntn3;
	}
	public void setVarCntn3(String varCntn3) {
		this.varCntn3 = varCntn3;
	}
	public String getCnfmMoveiHshdYn3() {
		return cnfmMoveiHshdYn3;
	}
	public void setCnfmMoveiHshdYn3(String cnfmMoveiHshdYn3) {
		this.cnfmMoveiHshdYn3 = cnfmMoveiHshdYn3;
	}
	public String getRschDttm3() {
		return rschDttm3;
	}
	public void setRschDttm3(String rschDttm3) {
		this.rschDttm3 = rschDttm3;
	}
	public String getRschManNm3() {
		return rschManNm3;
	}
	public void setRschManNm3(String rschManNm3) {
		this.rschManNm3 = rschManNm3;
	}
	public String getTelNo3() {
		return telNo3;
	}
	public void setTelNo3(String telNo3) {
		this.telNo3 = telNo3;
	}
	public String getRschRmrk3() {
		return rschRmrk3;
	}
	public void setRschRmrk3(String rschRmrk3) {
		this.rschRmrk3 = rschRmrk3;
	}
	public String getMoveiHshdVarYn3() {
		return moveiHshdVarYn3;
	}
	public void setMoveiHshdVarYn3(String moveiHshdVarYn3) {
		this.moveiHshdVarYn3 = moveiHshdVarYn3;
	}
	public String getGenRmrk3() {
		return genRmrk3;
	}
	public void setGenRmrk3(String genRmrk3) {
		this.genRmrk3 = genRmrk3;
	}
}