package hanalife.s.mo.lc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.mo.lc.mapper.dto.ElecRegReptReadDSSDDTO;
import hanalife.s.mo.lc.mapper.dto.ElecRegReptReadDSSMDTO;

@Mapper("ElecRegReptReadMapper")
public interface ElecRegReptReadMapper {

    /**
     * <pre>
     * 메소드명      : searchElecRegReptReadList
     * 작성일자      : 2023. 5. 02.
     * 작성자(author): 70319 ShinJeongSeon
     * 설명          : 전자등기현황조회을(를) 조회 한다.
     * 메소드인수1   : 전자등기현황조회 입력
     * 메소드리턴값  : 전자등기현황조회 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ElecRegReptReadDSSDDTO> searchElecRegReptReadList(ElecRegReptReadDSSMDTO inDto) throws Exception;

}