package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SD03OutDTO.java Class
 * 클래스설명  : 상품관리 상품구성조건 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SD03OutDTO {
	private String prdtCd;   	//PRDT_CD   상품_코드
    private String condNo;   	//COND_NO   조건_구분코드
    private String condDivNm;   //COND_DIV_NM   조건_구분_명
    private String frstRegEmpNo;    //FRST_REG_EMP_NO       최초등록사원
    private String lastProcEmpNo;   //LAST_PROC_EMP_NO      최종처리사원

    public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getCondNo() {
		return condNo;
	}
	public void setCondNo(String condNo) {
		this.condNo = condNo;
	}
	public String getCondDivNm() {
		return condDivNm;
	}
	public void setCondDivNm(String condDivNm) {
		this.condDivNm = condDivNm;
	}
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}