package hanalife.s.pd.pd.mapper.dto;

/**
 * <pre>
 * 클래스명    : SPDPDM02SD13OutDTO.java Class
 * 클래스설명  : 상품관리 상품운영조건 (SPDPDM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02SD13OutDTO {

	private String prdtCd; 			// 상품코드
	private String operCondNo; 		// 운영조건번호
	private String operAplyStrtDt;	// 적용시작일자
	private String operAplyEndDt;	// 적용종료일자

	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getOperCondNo() {
		return operCondNo;
	}
	public void setOperCondNo(String operCondNo) {
		this.operCondNo = operCondNo;
	}
	public String getOperAplyStrtDt() {
		return operAplyStrtDt;
	}
	public void setOperAplyStrtDt(String operAplyStrtDt) {
		this.operAplyStrtDt = operAplyStrtDt;
	}
	public String getOperAplyEndDt() {
		return operAplyEndDt;
	}
	public void setOperAplyEndDt(String operAplyEndDt) {
		this.operAplyEndDt = operAplyEndDt;
	}


}