package hanalife.s.sp.as.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

public class StCssIncomeDTO extends AbstractVO
{
    private String loanCnslNo             ; //대출상담번호
    private String prodGbCd               ; //상품구분코드
    private String incoObjDivCd           ; //소득대상구분코드
    private String incoKindDivCd          ; //소득종류구분코드
    private String incoProfDocCd          ; //소득증빙서류코드
    private String incoDataSubmTermCd     ; //소득자료제출기간코드
    private BigDecimal rcntYyIncoAmt      ; //최근년도연소득금액
    private BigDecimal rcntBfYyIncoAmt    ; //최근년도직전년도연소득금액
    private BigDecimal cvrtYyIncoAmt      ; //환산연소득금액

    public String getLoanCnslNo()
    {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo)
    {
        this.loanCnslNo = loanCnslNo;
    }
    public String getProdGbCd()
    {
        return prodGbCd;
    }
    public void setProdGbCd(String prodGbCd)
    {
        this.prodGbCd = prodGbCd;
    }
    public String getIncoObjDivCd()
    {
        return incoObjDivCd;
    }
    public void setIncoObjDivCd(String incoObjDivCd)
    {
        this.incoObjDivCd = incoObjDivCd;
    }
    public String getIncoKindDivCd()
    {
        return incoKindDivCd;
    }
    public void setIncoKindDivCd(String incoKindDivCd)
    {
        this.incoKindDivCd = incoKindDivCd;
    }
    public String getIncoProfDocCd()
    {
        return incoProfDocCd;
    }
    public void setIncoProfDocCd(String incoProfDocCd)
    {
        this.incoProfDocCd = incoProfDocCd;
    }
    public String getIncoDataSubmTermCd()
    {
        return incoDataSubmTermCd;
    }
    public void setIncoDataSubmTermCd(String incoDataSubmTermCd)
    {
        this.incoDataSubmTermCd = incoDataSubmTermCd;
    }
    public BigDecimal getRcntYyIncoAmt()
    {
        return rcntYyIncoAmt;
    }
    public void setRcntYyIncoAmt(BigDecimal rcntYyIncoAmt)
    {
        this.rcntYyIncoAmt = rcntYyIncoAmt;
    }
    public BigDecimal getRcntBfYyIncoAmt()
    {
        return rcntBfYyIncoAmt;
    }
    public void setRcntBfYyIncoAmt(BigDecimal rcntBfYyIncoAmt)
    {
        this.rcntBfYyIncoAmt = rcntBfYyIncoAmt;
    }
    public BigDecimal getCvrtYyIncoAmt()
    {
        return cvrtYyIncoAmt;
    }
    public void setCvrtYyIncoAmt(BigDecimal cvrtYyIncoAmt)
    {
        this.cvrtYyIncoAmt = cvrtYyIncoAmt;
    }
}
