package hanalife.s.sp.gd.service;

import hanalife.s.sp.gd.vo.SSPGDM03InVO;
import hanalife.s.sp.gd.vo.SSPGDM03OutVO;

public interface SSPGDM03Service {


    /**
     * <p>메소드명      : getSelectMainInfo : 금리관리 기본정보 조회</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 금리관리 기본정보 조회 한다.</p>
     * <p>메소드인수    : SSPGDM03InVO </p>
     * <p>메소드리턴값  : SSPGDM03OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPGDM03OutVO getSelectMainInfo(SSPGDM03InVO inVo) throws Exception;

    /**
     * <p>메소드명      : insertMainInfo : 금리관리_등록 </p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 금리관리_등록 한다.</p>
     * <p>메소드인수    : SSPGDM03InVO </p>
     * <p>메소드리턴값  : SSPGDM03OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPGDM03OutVO insertMainInfo(SSPGDM03InVO targetVo) throws Exception;

    /**
     * <p>메소드명      : deleteMainInfo : 금리관리_삭제 </p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 금리관리_삭제 한다.</p>
     * <p>메소드인수    : SSPGDM03InVO </p>
     * <p>메소드리턴값  : SSPGDM03OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPGDM03OutVO deleteMainInfo(SSPGDM03InVO targetVo) throws Exception;
}