package hanalife.t.ch.on.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.r.rc.rd.mapper.RcptMapper;
import hanalife.t.ch.on.service.TCHON001Service;
//import hanalife.r.rc.rd.service.todo0Service;


//import hanalife.r.rc.rd.vo.todo0S01InVO;
//import hanalife.r.rc.rd.vo.todo0S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TCHON001ServiceImpl.java Class
 * 클래스설명   : todo1 (todo0) Service Implements
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : gettodo0S01 : todo1목록조회
 *              registertodo0I01 : todo1등록
 *              modifytodo0U01 : todo1수정
 *              removetodo0U01 : todo1삭제
 * </pre>
 */
@Service("TCHON001Service")
public class TCHON001ServiceImpl implements TCHON001Service {

    private static final Logger LOGGER = LoggerFactory.getLogger(TCHON001ServiceImpl.class);

    @Autowired
    private RcptMapper rcptMapper;

    /**
     *<pre>
     * 메소드명      : searchLoanLim : 대출한도조회
     * 작성일자      : 2023. 3. 27.
     * 작성자(author): 70278 / younghwe.kim
     * 설명          : todo1목록을 조회 한다.
     * 메소드인수    : todo0S01InVo
     * 메소드리턴값  : todo0S01OutVo
     * 예외처리      : Exception
     *</pre>
     */
    @Override
    public String searchLoanLim(String strIn) throws Exception {

        //todo0S01OutVO resultVo = new todo0S01OutVO();
        String resultVo = "test";


        return resultVo;

    }


}
