package hanalife.t.ch.on.vo;

import java.math.BigDecimal;

/**
 * 리퀘스트 바디 VO
 * @author 70278
 *
 */
public class ReqBodyVO {
    /* 파라미터부 */
    private String loanCnslNo;     // 대출상담번호
    private String resiNo;         // 주민등록번호

    /* IF-CH-ON-005 한도조회 */
//  private String loanCnslNo;                                     // 대출_상담_번호
//  private String resiNo;                                         // 주민등록번호
    private String roadBaseAddr;                                   // 도로기본주소
    private String roadSpecAddr;                                   // 도로상세주소
    private String specAddrDong;                                   // 상세주소_동
    private String specAddrHo;                                     // 상세주소_호수
    private int flor;                                              // 층수
    private String kbStndYmd;                                      // KB_기준년월일
    private BigDecimal kbSalePrce;                                 // KB_매매가
    private int pntpSnum;                                          // 평형일련번호
    private String ldongCd;                                        // 법정동코드
    private String godsRcgn;                                       // 물건식별자
    private BigDecimal splyArea;                                   // 공급면적
    private BigDecimal euseArea;                                   // 전용면적
    private BigDecimal pyng;                                       // 평수
    private String loanObjCd;                                      // 대출목적코드
    private String preRankLoanFg;                                  // 선순위대출여부
    private BigDecimal preRankSetAmt;                              // 선순위설정금액
    private BigDecimal sameHshdHousHoldCnt;                        // 동일세대주택보유수
    private String odplFactDemdManHousPurcMonyFg;                  // 서민실수요자주택구입자금여부
    private String lftFrstHousPurcMonyFg;                          // 생애최초주택구입자금여부

    /* IF-CH-ON-006 대출신청 */
    /*
    private String loanCnslNo;                                 // 대출_상담_번호
    private String resiNo;                                     // 주민등록번호
    private String roadBaseAddr;                               // 도로기본주소
    private String roadSpecAddr;                               // 도로상세주소
    private String specAddrDong;                               // 상세주소_동
    private String specAddrHo;                                 // 상세주소_호수
    private BigDecimal flor;                                   // 층수
    private String kbStndYmd;                                  // KB_기준년월일
    private BigDecimal kbSalePrce;                             // KB_매매가
    private BigDecimal pntpSnum;                               // 평형일련번호
    private String ldongCd;                                    // 법정동코드
    private String godsRcgn;                                   // 물건식별자
    private BigDecimal splyArea;                               // 공급면적
    private BigDecimal euseArea;                               // 전용면적
    private BigDecimal pyng;                                   // 평수
    private String loanObjCd;                                  // 대출목적코드
    private String preRankLoanFg;                              // 선순위대출여부
    private BigDecimal preRankSetAmt;                          // 선순위설정금액
    private BigDecimal sameHshdHousHoldCnt;                    // 동일세대주택보유수
    private String odplFactDemdManHousPurcMonyFg;              // 서민실수요자주택구입자금여부
    private String lftFrstHousPurcMonyFg;                      // 생애최초주택구입자금여부
    */
    private String srHpNo;                                     // SR_휴대폰번호
    private String srEmpNo;                                    // SR_사번
    private String srNm;                                       // SR_성명
    private String srBlngCorpCd;                               // SR_소속법인코드
    private String srBlngCorpNm;                               // SR_소속법인명
    private BigDecimal loanApplAmt;                            // 대출신청금액
    private String loanHopeDt;                                 // 대출희망일자
    private String loanTermCd;                                 // 대출기간코드
    private String defrTermCd;                                 // 거치기간코드
    private String mnrtVarCyclCd;                              // 금리_변동_주기_코드
    private String rmbrMethCd;                                 // 상환방법코드
    private String rentFg;                                     // 임대차여부
    private BigDecimal rentGuarAmt;                            // 임대차보증금
    private BigDecimal rentRoonCnt;                            // 임대방개수
    private String esttReprNm;                                 // 부동산대표자명
    private String esttBizNo;                                  // 부동산사업자등록번호
    private String esttHpNo;                                   // 부동산휴대폰번호
    private String esttNm;                                     // 부동산명
    private BigDecimal agrNeedFamMembCnt;                      // 동의필요세대원수
    private BigDecimal jvnlFamMembCnt;                         // 미성년세대원수
    private String rmbrLoanBankCd;                             // 상환_대출_은행_코드
    private String rmbrLoanBankNm;                             // 상환_대출_은행명
    private String rmbrLoanDt;                                 // 상환_대출_일자
    private BigDecimal rmbrLoanAmt;                            // 상환_대출_금액
    private String esttItdYn;                                  // 부동산_소개_유무
    private String homeZipCd;                                  // 자택_우편번호
    private String homeAddr;                                   // 자택_주소
    private String homeSpecAddr;                               // 자택_상세주소
    private String comZipCd;                                   // 회사_우편번호
    private String comAddr;                                    // 회사_주소
    private String comSpecAddr;                                // 회사_상세주소
    private String comNm;                                      // 회사명
    private String comDept;                                    // 회사_부서
    private String comGrad;                                    // 회사_직급
    private String psmtRecvDiv;                                // 우편물_수신_구분
    private String emal;                                       // 이메일
    private String guidStmtRecvMeth;                           // 안내문_수신방법

    /* IF-CH-ON-007 서류제출 */
//  private String loanCnslNo;                               // 대출_상담_번호
//  private String resiNo;                                   // 주민등록번호
    private int loanDocSeq;                                  // 대출서류순번
    private String loanDocDivCd;                             // 대출서류구분코드
    private String loanDocObjDivCd;                          // 대출서류대상구분코드
    private String loanDocNm;                                // 대출서류명
    private String phtgYn;                                   // 촬영유무
    private String filePath;                                 // 파일경로
    private String fileNm;                                   // 파일명
    private String imgSrvrRsrvNo;                            // 이미지서버저장번호

    /* IF-CH-ON-008 관련인동의저장 (TODO : 사용여부 확인필요) */
//  private String loanCnslNo;                            // 대출_상담_번호
//  private String resiNo;                                // 주민등록번호
    private String relCd;                                 // 관계코드
    private String agrDt;                                 // 동의일자

    /* IF-CH-ON-014 약정입력 */
//  private String loanCnslNo;                                 // 대출_상담_번호
//  private String resiNo;                                     // 주민등록번호
//  private String loanTermCd;                                 // 대출기간코드
    private String loanTermCdNm;                               // 대출기간코드명
//  private String rmbrMethCd;                                 // 상환방법코드
    private String rmbrMethCdNm;                               // 상환방법코드명
//  private String defrTermCd;                                 // 거치기간코드
    private String defrTermCdNm;                               // 거치기간코드명
//  private String loanObjCd;                                  // 대출목적코드
    private String loanObjCdNm;                                // 대출목적코드명
//  private String roadBaseAddr;                               // 도로기본주소
//  private String roadSpecAddr;                               // 도로상세주소
//  private String specAddrDong;                               // 상세주소_동
//  private String specAddrHo;                                 // 상세주소_호수
//  private int flor;                                          // 층수
    private String loanExecSchdDt;                             // 대출실행예정일
    private BigDecimal custBrdnCost1;                          // 고객부담비용1
    private BigDecimal custBrdnCost2;                          // 고객부담비용2
    private BigDecimal custBrdnCost3;                          // 고객부담비용3
    private BigDecimal custBrdnCost4;                          // 고객부담비용4
    private BigDecimal custBrdnCost5;                          // 고객부담비용5
    private BigDecimal custBrdnCost6;                          // 고객부담비용6
    private BigDecimal custBrdnCost7;                          // 고객부담비용7
    private BigDecimal custBrdnCost8;                          // 고객부담비용8
    private BigDecimal custBrdnCost9;                          // 고객부담비용9
    private BigDecimal custBrdnCost10;                         // 고객부담비용10
    private String autoTranBankCd;                             // 자동이체은행코드
    private String autoTranBankNm;                             // 자동이체은행명
    private String autoTranAcntNo;                             // 자동이체계좌번호
    private String autoTranDt;                                 // 자동이체일자
    private String regCdocSnum;                                // 등기필증일련번호
    private String pswd1;                                      // 비밀번호1
    private String pswd2;                                      // 비밀번호2
    private String joinAuthDocKey;                             // 공동인증서키

    /* IF-CH-ON-017 대출상환신청 */
//  private String resiNo;                              // 주민등록번호
//  private String loanNo;                              // 대출번호
//  private String custNo;                              // 고객번호
//  private String loanPrdtCd;                          // 대출상품코드
//  private String loanCnslNo;                          // 대출상담번호
    private BigDecimal rmbrAmt;                         // 상환금액

    /* IF-CH-ON-019 대출즉시출금 */
//  private String resiNo;                                  // 주민등록번호
//  private String loanNo;                                  // 대출번호
//  private String custNo;                                  // 고객번호
//  private String loanPrdtCd;                              // 대출상품코드
//  private String loanCnslNo;                              // 대출상담번호
//  private BigDecimal rmbrAmt;                             // 상환금액
//  private String autoTranBankCd;                          // 자동이체은행코드
//  private String autoTranBankNm;                          // 자동이체은행명
//  private String autoTranAcntNo;                          // 자동이체계좌번호
    private String rmbrDivCd;                               // 상환구분코드
    private String dlyDivCd;                                // 연체구분코드
    private BigDecimal tims;                                // 회차
    private BigDecimal pamt;                                // 원금
    private BigDecimal Int;                                 // 이자 (int)
    private BigDecimal dueAmt;                              // 납입금액

    /* IF-CH-ON-020 자동이체계좌변경 */
//  private String resiNo;                                  // 주민등록번호
//  private String loanNo;                                  // 대출번호
//  private String custNo;                                  // 고객번호
//  private String loanPrdtCd;                              // 대출상품코드
//  private String loanCnslNo;                              // 대출상담번호
//  private String autoTranBankCd;                          // 자동이체은행코드
//  private String autoTranBankNm;                          // 자동이체은행명
//  private String autoTranAcntNo;                          // 자동이체계좌번호


    /* IF-CH-ON-021 금리인하신청 */
//  private String resiNo;                                  // 주민등록번호
    private String loanNo;                                  // 대출번호
    private String custNo;                                  // 고객번호
    private String loanPrdtCd;                              // 대출상품코드
//  private String loanCnslNo;                              // 대출상담번호
    private String mnrtRdtnRqstCondCd;                      // 금리인하요구조건코드

    /* IF-CH-ON-001 대출상담사목록조회 (미사용:SQL) */
    private String hpNo;                                    // 휴대폰번호
    private String nm;                                      // 이름

    /* IF-CH-ON-004 KB시세조회 (미사용:SQL) */
    private String aptNm;                                   // 아파트명


    public String getLoanCnslNo() {
        return loanCnslNo;
    }

    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }

    public String getResiNo() {
        return resiNo;
    }

    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }

    public String getRoadBaseAddr() {
        return roadBaseAddr;
    }

    public void setRoadBaseAddr(String roadBaseAddr) {
        this.roadBaseAddr = roadBaseAddr;
    }

    public String getRoadSpecAddr() {
        return roadSpecAddr;
    }

    public void setRoadSpecAddr(String roadSpecAddr) {
        this.roadSpecAddr = roadSpecAddr;
    }

    public String getSpecAddrDong() {
        return specAddrDong;
    }

    public void setSpecAddrDong(String specAddrDong) {
        this.specAddrDong = specAddrDong;
    }

    public String getSpecAddrHo() {
        return specAddrHo;
    }

    public void setSpecAddrHo(String specAddrHo) {
        this.specAddrHo = specAddrHo;
    }

    public int getFlor() {
        return flor;
    }

    public void setFlor(int flor) {
        this.flor = flor;
    }

    public String getKbStndYmd() {
        return kbStndYmd;
    }

    public void setKbStndYmd(String kbStndYmd) {
        this.kbStndYmd = kbStndYmd;
    }

    public BigDecimal getKbSalePrce() {
        return kbSalePrce;
    }

    public void setKbSalePrce(BigDecimal kbSalePrce) {
        this.kbSalePrce = kbSalePrce;
    }

    public int getPntpSnum() {
        return pntpSnum;
    }

    public void setPntpSnum(int pntpSnum) {
        this.pntpSnum = pntpSnum;
    }

    public String getLdongCd() {
        return ldongCd;
    }

    public void setLdongCd(String ldongCd) {
        this.ldongCd = ldongCd;
    }

    public String getGodsRcgn() {
        return godsRcgn;
    }

    public void setGodsRcgn(String godsRcgn) {
        this.godsRcgn = godsRcgn;
    }

    public BigDecimal getSplyArea() {
        return splyArea;
    }

    public void setSplyArea(BigDecimal splyArea) {
        this.splyArea = splyArea;
    }

    public BigDecimal getEuseArea() {
        return euseArea;
    }

    public void setEuseArea(BigDecimal euseArea) {
        this.euseArea = euseArea;
    }

    public BigDecimal getPyng() {
        return pyng;
    }

    public void setPyng(BigDecimal pyng) {
        this.pyng = pyng;
    }

    public String getLoanObjCd() {
        return loanObjCd;
    }

    public void setLoanObjCd(String loanObjCd) {
        this.loanObjCd = loanObjCd;
    }

    public String getPreRankLoanFg() {
        return preRankLoanFg;
    }

    public void setPreRankLoanFg(String preRankLoanFg) {
        this.preRankLoanFg = preRankLoanFg;
    }

    public BigDecimal getPreRankSetAmt() {
        return preRankSetAmt;
    }

    public void setPreRankSetAmt(BigDecimal preRankSetAmt) {
        this.preRankSetAmt = preRankSetAmt;
    }

    public BigDecimal getSameHshdHousHoldCnt() {
        return sameHshdHousHoldCnt;
    }

    public void setSameHshdHousHoldCnt(BigDecimal sameHshdHousHoldCnt) {
        this.sameHshdHousHoldCnt = sameHshdHousHoldCnt;
    }

    public String getOdplFactDemdManHousPurcMonyFg() {
        return odplFactDemdManHousPurcMonyFg;
    }

    public void setOdplFactDemdManHousPurcMonyFg(String odplFactDemdManHousPurcMonyFg) {
        this.odplFactDemdManHousPurcMonyFg = odplFactDemdManHousPurcMonyFg;
    }

    public String getLftFrstHousPurcMonyFg() {
        return lftFrstHousPurcMonyFg;
    }

    public void setLftFrstHousPurcMonyFg(String lftFrstHousPurcMonyFg) {
        this.lftFrstHousPurcMonyFg = lftFrstHousPurcMonyFg;
    }

    public String getSrHpNo() {
        return srHpNo;
    }

    public void setSrHpNo(String srHpNo) {
        this.srHpNo = srHpNo;
    }

    public String getSrEmpNo() {
        return srEmpNo;
    }

    public void setSrEmpNo(String srEmpNo) {
        this.srEmpNo = srEmpNo;
    }

    public String getSrNm() {
        return srNm;
    }

    public void setSrNm(String srNm) {
        this.srNm = srNm;
    }

    public String getSrBlngCorpCd() {
        return srBlngCorpCd;
    }

    public void setSrBlngCorpCd(String srBlngCorpCd) {
        this.srBlngCorpCd = srBlngCorpCd;
    }

    public String getSrBlngCorpNm() {
        return srBlngCorpNm;
    }

    public void setSrBlngCorpNm(String srBlngCorpNm) {
        this.srBlngCorpNm = srBlngCorpNm;
    }

    public BigDecimal getLoanApplAmt() {
        return loanApplAmt;
    }

    public void setLoanApplAmt(BigDecimal loanApplAmt) {
        this.loanApplAmt = loanApplAmt;
    }

    public String getLoanHopeDt() {
        return loanHopeDt;
    }

    public void setLoanHopeDt(String loanHopeDt) {
        this.loanHopeDt = loanHopeDt;
    }

    public String getLoanTermCd() {
        return loanTermCd;
    }

    public void setLoanTermCd(String loanTermCd) {
        this.loanTermCd = loanTermCd;
    }

    public String getDefrTermCd() {
        return defrTermCd;
    }

    public void setDefrTermCd(String defrTermCd) {
        this.defrTermCd = defrTermCd;
    }

    public String getMnrtVarCyclCd() {
        return mnrtVarCyclCd;
    }

    public void setMnrtVarCyclCd(String mnrtVarCyclCd) {
        this.mnrtVarCyclCd = mnrtVarCyclCd;
    }

    public String getRmbrMethCd() {
        return rmbrMethCd;
    }

    public void setRmbrMethCd(String rmbrMethCd) {
        this.rmbrMethCd = rmbrMethCd;
    }

    public String getRentFg() {
        return rentFg;
    }

    public void setRentFg(String rentFg) {
        this.rentFg = rentFg;
    }

    public BigDecimal getRentGuarAmt() {
        return rentGuarAmt;
    }

    public void setRentGuarAmt(BigDecimal rentGuarAmt) {
        this.rentGuarAmt = rentGuarAmt;
    }

    public BigDecimal getRentRoonCnt() {
        return rentRoonCnt;
    }

    public void setRentRoonCnt(BigDecimal rentRoonCnt) {
        this.rentRoonCnt = rentRoonCnt;
    }

    public String getEsttReprNm() {
        return esttReprNm;
    }

    public void setEsttReprNm(String esttReprNm) {
        this.esttReprNm = esttReprNm;
    }

    public String getEsttBizNo() {
        return esttBizNo;
    }

    public void setEsttBizNo(String esttBizNo) {
        this.esttBizNo = esttBizNo;
    }

    public String getEsttHpNo() {
        return esttHpNo;
    }

    public void setEsttHpNo(String esttHpNo) {
        this.esttHpNo = esttHpNo;
    }

    public String getEsttNm() {
        return esttNm;
    }

    public void setEsttNm(String esttNm) {
        this.esttNm = esttNm;
    }

    public BigDecimal getAgrNeedFamMembCnt() {
        return agrNeedFamMembCnt;
    }

    public void setAgrNeedFamMembCnt(BigDecimal agrNeedFamMembCnt) {
        this.agrNeedFamMembCnt = agrNeedFamMembCnt;
    }

    public BigDecimal getJvnlFamMembCnt() {
        return jvnlFamMembCnt;
    }

    public void setJvnlFamMembCnt(BigDecimal jvnlFamMembCnt) {
        this.jvnlFamMembCnt = jvnlFamMembCnt;
    }

    public String getRmbrLoanBankCd() {
        return rmbrLoanBankCd;
    }

    public void setRmbrLoanBankCd(String rmbrLoanBankCd) {
        this.rmbrLoanBankCd = rmbrLoanBankCd;
    }

    public String getRmbrLoanBankNm() {
        return rmbrLoanBankNm;
    }

    public void setRmbrLoanBankNm(String rmbrLoanBankNm) {
        this.rmbrLoanBankNm = rmbrLoanBankNm;
    }

    public String getRmbrLoanDt() {
        return rmbrLoanDt;
    }

    public void setRmbrLoanDt(String rmbrLoanDt) {
        this.rmbrLoanDt = rmbrLoanDt;
    }

    public BigDecimal getRmbrLoanAmt() {
        return rmbrLoanAmt;
    }

    public void setRmbrLoanAmt(BigDecimal rmbrLoanAmt) {
        this.rmbrLoanAmt = rmbrLoanAmt;
    }

    public String getEsttItdYn() {
        return esttItdYn;
    }

    public void setEsttItdYn(String esttItdYn) {
        this.esttItdYn = esttItdYn;
    }

    public String getHomeZipCd() {
        return homeZipCd;
    }

    public void setHomeZipCd(String homeZipCd) {
        this.homeZipCd = homeZipCd;
    }

    public String getHomeAddr() {
        return homeAddr;
    }

    public void setHomeAddr(String homeAddr) {
        this.homeAddr = homeAddr;
    }

    public String getHomeSpecAddr() {
        return homeSpecAddr;
    }

    public void setHomeSpecAddr(String homeSpecAddr) {
        this.homeSpecAddr = homeSpecAddr;
    }

    public String getComZipCd() {
        return comZipCd;
    }

    public void setComZipCd(String comZipCd) {
        this.comZipCd = comZipCd;
    }

    public String getComAddr() {
        return comAddr;
    }

    public void setComAddr(String comAddr) {
        this.comAddr = comAddr;
    }

    public String getComSpecAddr() {
        return comSpecAddr;
    }

    public void setComSpecAddr(String comSpecAddr) {
        this.comSpecAddr = comSpecAddr;
    }

    public String getComNm() {
        return comNm;
    }

    public void setComNm(String comNm) {
        this.comNm = comNm;
    }

    public String getComDept() {
        return comDept;
    }

    public void setComDept(String comDept) {
        this.comDept = comDept;
    }

    public String getComGrad() {
        return comGrad;
    }

    public void setComGrad(String comGrad) {
        this.comGrad = comGrad;
    }

    public String getPsmtRecvDiv() {
        return psmtRecvDiv;
    }

    public void setPsmtRecvDiv(String psmtRecvDiv) {
        this.psmtRecvDiv = psmtRecvDiv;
    }

    public String getEmal() {
        return emal;
    }

    public void setEmal(String emal) {
        this.emal = emal;
    }

    public String getGuidStmtRecvMeth() {
        return guidStmtRecvMeth;
    }

    public void setGuidStmtRecvMeth(String guidStmtRecvMeth) {
        this.guidStmtRecvMeth = guidStmtRecvMeth;
    }

    public int getLoanDocSeq() {
        return loanDocSeq;
    }

    public void setLoanDocSeq(int loanDocSeq) {
        this.loanDocSeq = loanDocSeq;
    }

    public String getLoanDocDivCd() {
        return loanDocDivCd;
    }

    public void setLoanDocDivCd(String loanDocDivCd) {
        this.loanDocDivCd = loanDocDivCd;
    }

    public String getLoanDocObjDivCd() {
        return loanDocObjDivCd;
    }

    public void setLoanDocObjDivCd(String loanDocObjDivCd) {
        this.loanDocObjDivCd = loanDocObjDivCd;
    }

    public String getLoanDocNm() {
        return loanDocNm;
    }

    public void setLoanDocNm(String loanDocNm) {
        this.loanDocNm = loanDocNm;
    }

    public String getPhtgYn() {
        return phtgYn;
    }

    public void setPhtgYn(String phtgYn) {
        this.phtgYn = phtgYn;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileNm() {
        return fileNm;
    }

    public void setFileNm(String fileNm) {
        this.fileNm = fileNm;
    }

    public String getImgSrvrRsrvNo() {
        return imgSrvrRsrvNo;
    }

    public void setImgSrvrRsrvNo(String imgSrvrRsrvNo) {
        this.imgSrvrRsrvNo = imgSrvrRsrvNo;
    }

    public String getRelCd() {
        return relCd;
    }

    public void setRelCd(String relCd) {
        this.relCd = relCd;
    }

    public String getAgrDt() {
        return agrDt;
    }

    public void setAgrDt(String agrDt) {
        this.agrDt = agrDt;
    }

    public String getLoanTermCdNm() {
        return loanTermCdNm;
    }

    public void setLoanTermCdNm(String loanTermCdNm) {
        this.loanTermCdNm = loanTermCdNm;
    }

    public String getRmbrMethCdNm() {
        return rmbrMethCdNm;
    }

    public void setRmbrMethCdNm(String rmbrMethCdNm) {
        this.rmbrMethCdNm = rmbrMethCdNm;
    }

    public String getDefrTermCdNm() {
        return defrTermCdNm;
    }

    public void setDefrTermCdNm(String defrTermCdNm) {
        this.defrTermCdNm = defrTermCdNm;
    }

    public String getLoanObjCdNm() {
        return loanObjCdNm;
    }

    public void setLoanObjCdNm(String loanObjCdNm) {
        this.loanObjCdNm = loanObjCdNm;
    }

    public String getLoanExecSchdDt() {
        return loanExecSchdDt;
    }

    public void setLoanExecSchdDt(String loanExecSchdDt) {
        this.loanExecSchdDt = loanExecSchdDt;
    }

    public BigDecimal getCustBrdnCost1() {
        return custBrdnCost1;
    }

    public void setCustBrdnCost1(BigDecimal custBrdnCost1) {
        this.custBrdnCost1 = custBrdnCost1;
    }

    public BigDecimal getCustBrdnCost2() {
        return custBrdnCost2;
    }

    public void setCustBrdnCost2(BigDecimal custBrdnCost2) {
        this.custBrdnCost2 = custBrdnCost2;
    }

    public BigDecimal getCustBrdnCost3() {
        return custBrdnCost3;
    }

    public void setCustBrdnCost3(BigDecimal custBrdnCost3) {
        this.custBrdnCost3 = custBrdnCost3;
    }

    public BigDecimal getCustBrdnCost4() {
        return custBrdnCost4;
    }

    public void setCustBrdnCost4(BigDecimal custBrdnCost4) {
        this.custBrdnCost4 = custBrdnCost4;
    }

    public BigDecimal getCustBrdnCost5() {
        return custBrdnCost5;
    }

    public void setCustBrdnCost5(BigDecimal custBrdnCost5) {
        this.custBrdnCost5 = custBrdnCost5;
    }

    public BigDecimal getCustBrdnCost6() {
        return custBrdnCost6;
    }

    public void setCustBrdnCost6(BigDecimal custBrdnCost6) {
        this.custBrdnCost6 = custBrdnCost6;
    }

    public BigDecimal getCustBrdnCost7() {
        return custBrdnCost7;
    }

    public void setCustBrdnCost7(BigDecimal custBrdnCost7) {
        this.custBrdnCost7 = custBrdnCost7;
    }

    public BigDecimal getCustBrdnCost8() {
        return custBrdnCost8;
    }

    public void setCustBrdnCost8(BigDecimal custBrdnCost8) {
        this.custBrdnCost8 = custBrdnCost8;
    }

    public BigDecimal getCustBrdnCost9() {
        return custBrdnCost9;
    }

    public void setCustBrdnCost9(BigDecimal custBrdnCost9) {
        this.custBrdnCost9 = custBrdnCost9;
    }

    public BigDecimal getCustBrdnCost10() {
        return custBrdnCost10;
    }

    public void setCustBrdnCost10(BigDecimal custBrdnCost10) {
        this.custBrdnCost10 = custBrdnCost10;
    }

    public String getAutoTranBankCd() {
        return autoTranBankCd;
    }

    public void setAutoTranBankCd(String autoTranBankCd) {
        this.autoTranBankCd = autoTranBankCd;
    }

    public String getAutoTranBankNm() {
        return autoTranBankNm;
    }

    public void setAutoTranBankNm(String autoTranBankNm) {
        this.autoTranBankNm = autoTranBankNm;
    }

    public String getAutoTranAcntNo() {
        return autoTranAcntNo;
    }

    public void setAutoTranAcntNo(String autoTranAcntNo) {
        this.autoTranAcntNo = autoTranAcntNo;
    }

    public String getAutoTranDt() {
        return autoTranDt;
    }

    public void setAutoTranDt(String autoTranDt) {
        this.autoTranDt = autoTranDt;
    }

    public String getRegCdocSnum() {
        return regCdocSnum;
    }

    public void setRegCdocSnum(String regCdocSnum) {
        this.regCdocSnum = regCdocSnum;
    }

    public String getPswd1() {
        return pswd1;
    }

    public void setPswd1(String pswd1) {
        this.pswd1 = pswd1;
    }

    public String getPswd2() {
        return pswd2;
    }

    public void setPswd2(String pswd2) {
        this.pswd2 = pswd2;
    }

    public String getJoinAuthDocKey() {
        return joinAuthDocKey;
    }

    public void setJoinAuthDocKey(String joinAuthDocKey) {
        this.joinAuthDocKey = joinAuthDocKey;
    }

    public BigDecimal getRmbrAmt() {
        return rmbrAmt;
    }

    public void setRmbrAmt(BigDecimal rmbrAmt) {
        this.rmbrAmt = rmbrAmt;
    }

    public String getRmbrDivCd() {
        return rmbrDivCd;
    }

    public void setRmbrDivCd(String rmbrDivCd) {
        this.rmbrDivCd = rmbrDivCd;
    }

    public String getDlyDivCd() {
        return dlyDivCd;
    }

    public void setDlyDivCd(String dlyDivCd) {
        this.dlyDivCd = dlyDivCd;
    }

    public BigDecimal getTims() {
        return tims;
    }

    public void setTims(BigDecimal tims) {
        this.tims = tims;
    }

    public BigDecimal getPamt() {
        return pamt;
    }

    public void setPamt(BigDecimal pamt) {
        this.pamt = pamt;
    }

    public BigDecimal getInt() {
        return Int;
    }

    public void setInt(BigDecimal i) {
        Int = i;
    }

    public BigDecimal getDueAmt() {
        return dueAmt;
    }

    public void setDueAmt(BigDecimal dueAmt) {
        this.dueAmt = dueAmt;
    }

    public String getLoanNo() {
        return loanNo;
    }

    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }

    public String getCustNo() {
        return custNo;
    }

    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }

    public String getLoanPrdtCd() {
        return loanPrdtCd;
    }

    public void setLoanPrdtCd(String loanPrdtCd) {
        this.loanPrdtCd = loanPrdtCd;
    }

    public String getMnrtRdtnRqstCondCd() {
        return mnrtRdtnRqstCondCd;
    }

    public void setMnrtRdtnRqstCondCd(String mnrtRdtnRqstCondCd) {
        this.mnrtRdtnRqstCondCd = mnrtRdtnRqstCondCd;
    }

    public String getHpNo() {
        return hpNo;
    }

    public void setHpNo(String hpNo) {
        this.hpNo = hpNo;
    }

    public String getNm() {
        return nm;
    }

    public void setNm(String nm) {
        this.nm = nm;
    }

    public String getAptNm() {
        return aptNm;
    }

    public void setAptNm(String aptNm) {
        this.aptNm = aptNm;
    }
}
