package hanalife.util;

import java.util.ArrayList;

/**
* <pre>
* 클래스명    : PagedArrayList
* 클래스설명 : PagedArrayList
* 프로젝트명 : DOBSCAP
* 작성일자    : 2018-08-01
* 변경이력
* -----------------------------------------------------------------------------
* [변경일자 ][변경자][변경사유-수정내용]
* -----------------------------------------------------------------------------
* [20180801][두비스][캐피탈패키지-최초작성]
* -----------------------------------------------------------------------------
* </pre>
*/
public class PagedArrayList<T> extends ArrayList<T> {

	private static final long serialVersionUID = 1L;

    private int totalPage;
    private int pageNo;
    private String pageLink;
    private String sheetNo;
    private int totalCount;

    public void addDO(T ido) {
        this.add( ido );
    }

    public T getDO(int i) {
        return this.get(i);
    }

    public void setTotalPage(int totalPage) {
        this.totalPage = totalPage;
    }

    public int getTotalPage() {
        return totalPage;
    }

    public void setPageLink(String pageLink) {
        this.pageLink = pageLink;
    }

    public String getPageLink() {
        return pageLink;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setSheetNo(String sheetNo) {
        this.sheetNo = sheetNo;
    }

    public String getSheetNo() {
        return sheetNo;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public int getTotalCount() {
        return totalCount;
    }
}
