﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.Grid_intRtDesc = null;

var sysDate = factory.datetoday();
var sysYear = factory.substringbyte(sysDate, 0, 4);

var strTitle = "알람";
var afCurRow = 0;
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 조회
	SYSTran.getComCodeEx(this.screen, "A00001", this.DS_CD_A00001, "", "1"); 	// 시스템구분
	SYSTran.getComCode(this.screen, "A00002", this.DS_CD_A00002); 			   // 차대구분
	SYSTran.getComCodeEx(this.screen, "A00068", this.DS_CD_A00068, "", "", "1"); // 거래유형
	SYSTran.getComCodeEx(this.screen, "A00069", this.DS_CD_A00069, "", "1"); 	// 거래단계
	SYSTran.getComCode(this.screen, "A00070", this.DS_CD_A00070);				// 금액항목
	SYSTran.getComCode(this.screen, "A00085", this.DS_CD_A00085);				// 이체유형
	SYSTran.getComCode(this.screen, "A00126", this.DS_CD_A00126);				// 계산식
	SYSTran.getComCode(this.screen, "R00045", this.DS_CD_R00045);				// 계정분류
	
	this.Com_condSysDivCd.setfocus();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	this.DS_TR_TP_SD_01.init();
	this.DS_TR_TP_SD_02.init();
	
	// 조회 전 체크
	if(this.Com_condSysDivCd.getselectedcode() == "") {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "시스템구분을 선택하십시요.", "msg01");	
		this.Com_condSysDivCd.setfocus();
		return;
	}
	
	this.screen.setscreenprotect(true); // 화면잠금
	// 상품분류관리 조회
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFM01S01");

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	var chekRow = 0;
	for(var i = 0; i< this.DS_TR_TP_SD_01.getrowcount() ; i++) {
		var strOperation = this.DS_TR_TP_SD_01.getrowoperation(i);
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE || strOperation == XFD_ROWOP_DELETE) {
			chekRow++;
		}
	}
	
	for(var j = 0; j< this.DS_TR_TP_SD_02.getrowcount() ; j++) {
		var strOperation = this.DS_TR_TP_SD_02.getrowoperation(j);
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE || strOperation == XFD_ROWOP_DELETE) {
			chekRow++;
		}
	}
	
	if (chekRow == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "변경된 데이터가 없습니다.", "msg01");
		return;
	}
	
	for(var k = 0; k<this.DS_TR_TP_SD_01.getrowcount() ; k++) {

		var strOperation = this.DS_TR_TP_SD_01.getrowoperation(k);
		if (strOperation == XFD_ROWOP_INSERT ) {
			if (this.Com_sysDivCd.getselectedcode == "")  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "시스템구분은 필수 입력 항목입니다. ", "msg01");
				this.Com_sysDivCd.setfocus();
				return; 
			}
			if (this.Com_trTpDivCd.getselectedcode == "")  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "거래유형은 필수 입력 항목입니다. ", "msg01");
				this.Com_trTpDivCd.setfocus();
				return; 
			}
			if (this.Com_trStagDivCd.getselectedcode == "")  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "거래단계는 필수 입력 항목입니다. ", "msg01");
				this.Com_trStagDivCd.setfocus();
				return; 
			}
		} else if(strOperation == XFD_ROWOP_UPDATE) {
			if(this.DS_TR_TP_SD_01.getdatabyname(k, "trTpDivCd") == "") {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "거래유형은 필수 입력 항목입니다. ", "msg01");
				this.Grid_trTp.setselectrow(k, false, true);
				return; 	
			}
			if(this.DS_TR_TP_SD_01.getdatabyname(k, "trStagDivCd") == "") {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "거래단계는 필수 입력 항목입니다. ", "msg01");
				this.Grid_trTp.setselectrow(k, false, true);
				return; 	
			}
		}
	}	
	
	
	for(var l = 0; l<this.DS_TR_TP_SD_02.getrowcount() ; l++) {
		var strOperation = this.DS_TR_TP_SD_02.getrowoperation(l);
		if (strOperation == XFD_ROWOP_INSERT || strOperation == XFD_ROWOP_UPDATE) {
			if (this.DS_TR_TP_SD_02.getdatabyname(l, "dcDivCd") == "")  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "차대구분은 필수 입력 항목입니다.", "msg01");
				this.Grid_trAcct.setselectitemex(l, 0, false);
				this.Grid_trAcct.setitemeditable(l, 0, true);
				return; 
			}
			if (this.DS_TR_TP_SD_02.getdatabyname(l, "acctCd") == "")  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "계정코드는 필수 입력 항목입니다.", "msg01");
				this.Grid_trAcct.setselectitemex(l, 2, false);
				return; 
			}
			if (this.DS_TR_TP_SD_02.getdatabyname(l, "acctNm") == "")  {
				SYSUtil.loadMessageBox(this.screen, strTitle, 1, "계정코드명은 필수 입력 항목입니다.", "msg01");
				this.Grid_trAcct.setselectitemex(l, 2, false);
				return; 
			}
		}
	}
	//저장전 DS_TR_TP_SD_01의 row의 위치를 담아 놓는다.
	afCurRow = this.DS_TR_TP_SD_01.getpos();
	
	this.screen.setscreenprotect(true); // 화면잠금
	// 상품분류관리 저장
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFM01I01");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
	if (this.DS_TR_TP_SD_01.getrowcount() == 0 || this.DS_TR_TP_SD_01.getrowoperation(0) == XFD_ROWOP_INSERT) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "삭제 대상이 없습니다.", "msg01");
		return;
	}
	
	var bContinue = SYSUtil.comConfirm("선택한 거래유형을 삭제하시겠습니까?");
	if(bContinue) {
		
		this.DS_TR_TP_SD_01.setrowoperation(this.DS_TR_TP_SD_01.getpos(), XFD_ROWOP_DELETE);
		this.Grid_trTp.setrowhidden(this.Grid_trTp.getselectrow(), true);
		
		this.DS_TR_TP_SD_02.init();
		
		this.screen.setscreenprotect(true); // 화면잠금
		// 상품분류관리 저장
		var bRet = SYSTran.requestSubmitSync(screen, "AACSFM01D01");
	}
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_TR_TP_SD_01.init();
	this.DS_TR_TP_SD_02.init();
	this.DS_TR_TP_SD_01.addrow();

	// 거래유형 PK 속성 바꾸기
	this.fn_ChangeEnablePK(0);

	this.Com_trTpDivCd.setfocus();
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "AACSFM01S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
			this.fn_ChangeEnablePK(0);
	    }else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}else if(mapid == "AACSFM01S02") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}else if(mapid == "AACSFM01I01") {
		if(result == "1") {
			screen.setscreenprotect(false); //화면잠금해제
		    SYSUtil.setStatusMsg("상품분류 저장을 완료하였습니다.");
			//데이터 셋 상태를 초기화
			this.DS_TR_TP_SD_01.setallrowoperation(XFD_ROWOP_NONE);
			//저장 전 row 위치로 이동
			this.Grid_trTp.setselectrow(afCurRow);
			// 거래유형 PK 속성 바꾸기
			this.fn_ChangeEnablePK(afCurRow);
			// 거래계정내역 조회하기
			this.fn_SearchTrAcct(afCurRow);
			
	    }else{
			screen.setscreenprotect(false); //화면잠금해제
			// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	        SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "AACSFM01D01"){
		if(result == "1") {
			screen.setscreenprotect(false); //화면잠금해제
		    SYSUtil.setStatusMsg("상품분류 삭제를 완료하였습니다.");
		
			//데이터 셋 상태를 초기화
			this.DS_TR_TP_SD_01.setallrowoperation(XFD_ROWOP_NONE);
			//저장 전 row 위치로 이동
			this.Grid_trTp.setselectrow(afCurRow);
		
			if(this.DS_TR_TP_SD_01.getrowcount() > 0) {
				// 거래계정내역 조회하기
				this.fn_SearchTrAcct(afCurRow);
			}
		
	    }else{
			screen.setscreenprotect(false); //화면잠금해제
			// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	        SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}
/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
function Grid_trTp_on_click(objInst)
{
	this.DS_TR_TP_SD_02.init(); // 한행 선택하여 계정내역조회할 경우 내역이 없을테 그리드가 clea되어야한다.
	var oper = this.DS_TR_TP_SD_01.getrowoperation(this.DS_TR_TP_SD_01.getpos());
	if(oper != XFD_ROWOP_INSERT) {
		// 거래계정내역 조회하기
		if(this.DS_TR_TP_SD_01.getrowcount() > 0) {
			this.fn_SearchTrAcct(this.DS_TR_TP_SD_01.getpos());
		}
	} else {
		this.DS_TR_TP_SM_02.init();
		this.DS_TR_TP_SD_02.init();
	}
}

/* --------------------------------------------------
 * 거래유형,거래단계에 해당하는 거래계정내역 조회하기
 * -------------------------------------------------- 
 */
function fn_SearchTrAcct(nRow) {
	
	this.DS_TR_TP_SM_02.init();
	this.DS_TR_TP_SM_02.addrow();

	var trTpDivCd   = this.DS_TR_TP_SD_01.getdatabyname(nRow,"trTpDivCd");
	var trStagDivCd = this.DS_TR_TP_SD_01.getdatabyname(nRow,"trStagDivCd");

	this.DS_TR_TP_SM_02.setdatabyname(0, "trTpDivCd",  trTpDivCd);
	this.DS_TR_TP_SM_02.setdatabyname(0, "trStagDivCd",trStagDivCd);

	// 조회 전 체크
	this.screen.setscreenprotect(true); // 화면잠금
	// 거래계정내역 조회
	var bRet = SYSTran.requestSubmitSync(screen, "AACSFM01S02");
}


function Edit_tranUnitCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		popupType = "A";
		var paramtTranUnitCd = "";
		// 이체유형코드를 입력한경우
		if(this.Edit_tranUnitCd.gettext() != "")
		{
			paramtTranUnitCd = this.Edit_tranUnitCd.gettext();
		}
			
		var extParam = {"paramtTranUnitCd":paramtTranUnitCd } ;
		var param = {"DATADICNO":"ATTRANTPBASE01", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "데이타사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

function Grid_trAcct_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### nClickRow" + nClickRow);
	console.log("#### nClickColumn" + nClickColumn);
	console.log("#### bBtnClick" + bBtnClick);
	console.log("#### nImgIndex" + nImgIndex);
	console.log("#### strImgUrl" + strImgUrl);
}

function Btn_add_on_click(objInst)
{
	if(this.DS_TR_TP_SD_01.getrowcount() > 0) {
		var curRow = this.DS_TR_TP_SD_02.addrow();
		// 거래계정내역 PK 셋팅
		this.fn_SetTrAcctDefaultPK(curRow);

		this.Grid_trAcct.setselectitemex(curRow, 0, false);
		this.Grid_trAcct.setitemeditable(curRow, 0, true);

	} else {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "조회 후 행추가가 가능합니다.", "msg01");
		return;
	}
}

function Grid_trAcct_on_itempopbtnclick(objInst, nClickRow, nClickColumn, strItemText)
{
	console.log("#### nClickRow" + nClickRow);
	console.log("#### nClickColumn" + nClickColumn);	
	if(nClickColumn == 2) { //계정코드조회
		popupType = "B";
		var acctYy = sysYear;
		
		var extParam = {"acctYy":acctYy } ;
		var param = {"DATADICNO":"ATACCT02", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "계정코드조회";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		
	} else if(nClickColumn == 7) { //계산코드조회
		if(this.DS_TR_TP_SD_02.getdatabyname(this.DS_TR_TP_SD_02.getpos(), "calcFg") == true) {
			// 업무화면으로 전달할 데이터
			var param = {"GUBUN":"SEARCH", "fld1":"", "DS_MAIN":"" };
			// 팝업 Title
			var popupTitle = "계산식선택";
			//팝업 경로
			var popupPath = "/BIZ/A/AC/SF/AACSFP01";
			SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		} else {
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "계산여부에 체크하셔야 선택가능합니다.", "msg01");
			return;
		}
	}
}


function popupCallback(objExtdata) {
	console.log("#### popupCallback call");
	if(objExtdata.popId == "CCMCMP05"){
		if( popupType == "A" ){
			if(objExtdata.cdDescNo != undefined){
				this.Edit_tranUnitCd.settext(objExtdata.cdDescNo);
				this.Com_tranUnitNm.setselectedcode(objExtdata.cdDescNo);
			}
		} else if(popupType == "B") {
			if(objExtdata.acctCd != undefined){
				this.DS_TR_TP_SD_02.setdatabyname(this.DS_TR_TP_SD_02.getpos(), "acctCd", objExtdata.acctCd);
				this.DS_TR_TP_SD_02.setdatabyname(this.DS_TR_TP_SD_02.getpos(), "acctNm", objExtdata.acctNm);
			}
		} 
		popupType = "";
	} else if(objExtdata.popId == "AACSFP01") {
		if(objExtdata.calcTpCd != undefined){
			this.DS_TR_TP_SD_02.setdatabyname(this.DS_TR_TP_SD_02.getpos(), "calcTpCd", objExtdata.calcTpCd);
			this.DS_TR_TP_SD_02.setdatabyname(this.DS_TR_TP_SD_02.getpos(), "calcTpNm", objExtdata.calcTpNm);
		}
	}
}

/********************************************************************
* 거래계정내역의 PK값 셋팅
********************************************************************/
function fn_SetTrAcctDefaultPK(nRow) {
	var trTpDivCd   = this.Com_trTpDivCd.getselectedcode();   // 거래유형코드
	var trStagDivCd = this.Com_trStagDivCd.getselectedcode(); // 거래단계코드
	
	var trAcctSnum = Number(this.DS_TR_TP_SD_02.getdatabyname((nRow-1), "trAcctSnum"))+1;

	this.DS_TR_TP_SD_02.setdatabyname(nRow,"trTpDivCd",   trTpDivCd);     // 거래유형코드
	this.DS_TR_TP_SD_02.setdatabyname(nRow,"trStagDivCd", trStagDivCd);   // 거래단계코드
	this.DS_TR_TP_SD_02.setdatabyname(nRow,"trAcctSnum",  trAcctSnum);	// 거래계정_일련번호
}

function Grid_trAcct_on_itemeditcomplete(objInst, nRow, nColumn, strPrevItemText)
{
	var curCol = nColumn;
	var nColLength;
	var where;
	var trSvcId;

	// 계산여부에 따라 계산식코드를 입력가능하다.
	if (nColumn == 5) {
		if (this.DS_TR_TP_SD_02.getdatabyname(nRow, "calcFg") != true) {
			this.DS_TR_TP_SD_02.setdatabyname(nRow, "calcTpCd", "");
			this.DS_TR_TP_SD_02.setdatabyname(nRow, "calcTpNm", "");
		}
	}

	// 코드값 변경시 대응하는 코드명을 자동조회해 오기
//	if (nColumn == 1 ||
//	    nColumn == 6) {
//
//		if (varOldValue != varNewValue &&
//		   ((Length(varOldValue) != 0 && Length(varNewValue) == 0) ||
//			(Length(varOldValue) == 0 && Length(varNewValue) != 0) ||
//			(Length(varOldValue) != 0 && Length(varNewValue) != 0))) {
//	
//			// 행추가시 발생되는 이벤트 때문에 이런 조건이 필요함에 유의
//			if (curCol == fidxAcctCd-1 ||
//			   curCol == fidxCalcTpCd-1) {
//			
//				afCurRow = nRow; // 현재 커서가 있는 행 셋팅
//				
//				switch(curCol) {
//					case fidxAcctCd-1:  // 계정코드
//						where   = "ACCT_CD = \'" + obj.GetColumn(nRow, strColumnID) + "\' AND ACCT_YY='"+sysYyyy+"'";
//						trSvcId = "SEARCH_ACCT_CD";
//						// 계정과목검색
//						if (isIFRS == "01") {
//							af_GetNmByCd(fDataDicAcctCd, where, trSvcId);
//						} else {
//							af_GetNmByCd(fDataDicAcctCd_IFRS, where, trSvcId);
//						}
//					break;
//					case fidxCalcTpCd-1:  // 계산식코드
//					  // 계산식선택 코드,코드명 받아오기
//						fn_SearchTrClacCd(nRow,varNewValue);
//					break;
//				}	
//			}
//		}	
//	}	
}

function Btn_del_on_click(objInst)
{
	if(this.DS_TR_TP_SD_02.getdatabyname(this.DS_TR_TP_SD_02.getpos(), "acctCd") == "" ){
		this.DS_TR_TP_SD_02.deleterow(this.DS_TR_TP_SD_02.getpos());
	} else {
		this.DS_TR_TP_SD_02.setrowoperation(this.DS_TR_TP_SD_02.getpos(), XFD_ROWOP_DELETE);
		this.Grid_trAcct.setrowhidden(this.Grid_trAcct.getselectrow(), true);
	}
}

/********************************************************************
*  위치한 행이 신규등록 상태여부에 따라 거래유형의 PK 속성 바꾸기
********************************************************************/
function fn_ChangeEnablePK(nRow) {
	if (this.DS_TR_TP_SD_01.getrowoperation(nRow) == XFD_ROWOP_INSERT) {
		this.Com_trTpDivCd.seteditable(true);
		this.Com_trStagDivCd.seteditable(true);
	} else {
		this.Com_trTpDivCd.seteditable(false);
		this.Com_trStagDivCd.seteditable(false);
	}
}