﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.Grid_intRtDesc = null;

var sysDate = factory.datetoday();
var sysYear = factory.substringbyte(sysDate, 0, 4);

var strTitle = "알람";
var afCurRow = 0;
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "A00109", this.DS_CD_A00109); 			   // lOC구분
	// 회계부서코드 콤보조회
	SYSTran.getDicByNo(this.screen, this.DS_DIC_HTORG12_01);
	
	this.fn_defaultValue();
	
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	if(factory.stringbytelen(this.Cal_condReadDt.gettext()) != 8) {
    	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "조회일자가 정확하지 않습니다.", "msg01");
		this.Cal_condReadDt.setfocus();
		return;
	}

//  [hanalife] 회계부서 사용여부에 따라 로직이 수정되어야 함 우선 주석처리.
//  if(length(Combo_condAcctDeptCd.Value) == 6) {
//    if(DS_ACCT_DEPT_CD.FindRow("cd", Combo_condAcctDeptCd.Value) < 0) {
//      alert("사용할 수 없는 부서코드입니다.");
//
//      Combo_condAcctDeptCd.Value = "";
//      Combo_condAcctDeptCd.SetFocus();
//
//      return false;
//    }
//  }

	this.screen.setscreenprotect(true); // 화면잠금
	// 일계표조회
	var bRet = SYSTran.requestSubmitSync(screen, "ACLCLM02S01");

}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_DDACSHREAD_SM_01.init();
	this.DS_DDACSHREAD_SD_01.init();
	
	this.fn_defaultValue();
	
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "ACLCLM02S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}

// 기본값 세팅.
function fn_defaultValue(){
	this.Com_condLocCd.setselectedcode("W01");
}