﻿
/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var sysYear = factory.substringbyte(factory.datetoday(), 0, 4);

/*화면 로드 이벤트*/
function screen_on_load()
{
	console.log("#### ACLCLM05_screen_on_load() call");

	/** 공통 버튼 인쇄,저장,삭제  안보이게 하기*/
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);

	
	/** 콤보박스 데이터 설정. */
	SYSTran.getComCode(this.screen,"R00043", this.DS_CD_R00043,true); // 회계단위
	SYSTran.getComCode(this.screen, "A00068", this.DS_CD_A00068, true); //거래유형
	
	/** 데이터셋 & 화면 초기화. */
	this.ue_init();
}

//조회 
function ue_query(){

	this.DS_SD_01.init();
	this.DS_SD_DR.init();
	this.DS_SD_CR.init();
	
	this.screen.setscreenprotect(true); // 화면 잠금
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "ACLCLM05S01");
	
}

//공통 초기화
function ue_init(){
	console.log("####### ue_init() call #####");
	
	this.DS_SD_01.init();	 //  자동전표내역 그리드 데이터 셋 초기화.
	this.DS_SD_02.init();	 // 전송내역 데이터셋 초기화.
	this.DS_SD_DR.init();      // 차변 그리드 데이터셋 초기화.
	this.DS_SD_CR.init();      // 대변 그리드 데이터셋 초기화.
	this.DS_SEARCH.init();   // 조회 폼(Form) 데이터셋 초기화.
	
	this.DS_SEARCH.addrow();
	
	/*회계일자 날짜 초기화*/
	this.DS_SEARCH.setdatabyname(0, "acctDtFr", factory.datefrom("month" , -1, factory.datetoday()));	// 회계일자 조회 시작(from) 날짜 전달로 초기화.
	this.DS_SEARCH.setdatabyname(0, "acctDtTo", factory.datetoday());	// 회계일자 조회 종료(to) 날짜 오늘로 초기화.
	
	/*거래유형 콤보 박스 "- 선택 -" 초기화 */
	this.DS_SEARCH.setdatabyname(0, "trTpCd" , "");
	
	/*회계단위 콤보 박스 "- 선택 -" 초기화 */
	this.DS_SEARCH.setdatabyname(0, "acctUnitCd" , "");
}

/*통합검색 버튼 클릭 이벤트*/
function Image_Search_Loan_on_mouseup(objInst)
{
	var param = {"GUBUN":"SELECT", "loanNo":this.Edit_loanNo.gettext(), "loanSeq":this.Edit_loanSeq.gettext()};
	
	var popupTitle = "대출통합검색";
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
	
	SYSUtil.loadPopup(this.screen,popupTitle,popupPath,param);
}

/**
* 팝업 콜백함수	
*/

function popupCallback(objExtdata) {
	console.log("#### popupCallback call");
	
	if(objExtdata.popId == "CCMCMP05"){ // 자료사전
		if( popupType == "A" ){
			if(objExtdata.deptCd != undefined){
				this.Edit_acctDeptCd.settext(objExtdata.deptCd);
				this.Edit_acctDeptNm.settext(objExtdata.deptNm);
			}
		} else if ( popupType == "B" ){
			if(objExtdata.prdtClasCd != undefined){
				this.Edit_frstRegEmpNo.settext(objExtdata.prdtClasCd);
				this.Edit_frstRegEmpNm.settext(objExtdata.lrgeClasNm);
			}
		} else if(popupType == "C") {
			if(objExtdata.prdtCd != undefined){
				this.Edit_acctCd.settext(objExtdata.lrgeClasNm);
				this.Edit_acctNm.settext(objExtdata.lrgeClasNm);
			}
		}
		popupType = "";
	} else if(objExtdata.popId == "CBCCCP01") { // 통합검색
		if(objExtdata.loanNo!= undefined){
			this.Edit_loanNo.settext(objExtdata.loanNo);
			this.Edit_loanSeq.settext(objExtdata.loanSeq);
		} else {
			this.Edit_loanNo.settext("");
			this.Edit_loanSeq.settext("");
		}
	}
}

/*전송내역 버튼 클릭 이벤트*/
function Button_downloadList_on_mouseup(objInst)
{
	this.DS_SD_02.init();
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "ACLCLM05S03");
}

/* 자동전표내역 그리드에서  item(row)를 더블클릭했을때 이벤트.*/
function Grid_VochRept_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### Grid_VochRept_on_itemdblclick () 이벤트 발생 "+ this.Grid_VochRept.getselectrow());
	
	//선택된 item 의 row index
	var rowIndex = this.Grid_VochRept.getselectrow();
	
	//서블릿에 보낼 데이터 셋 초기화.
	this.DS_SEARCH_01.init();
	this.DS_SEARCH_01.addrow();
	
	this.DS_SEARCH_01.setdatabyname(0, "acctDeptCd", this.DS_SD_01.getdatabyname(rowIndex, "acctDeptCd"));
	this.DS_SEARCH_01.setdatabyname(0, "acctDt", this.DS_SD_01.getdatabyname(rowIndex, "acctDt"));
	this.DS_SEARCH_01.setdatabyname(0, "trDescNo", this.DS_SD_01.getdatabyname(rowIndex, "trDescNo"));
	this.DS_SEARCH_01.setdatabyname(0, "trSnum", this.DS_SD_01.getdatabyname(rowIndex, "trSnum"));
	this.DS_SEARCH_01.setdatabyname(0, "acctUnitCd", this.DS_SD_01.getdatabyname(rowIndex, "acctUnitCd"));
	
	/* 차변, 대표  그리드에 저장된 데이터셋 초기화. */
	this.DS_SD_DR.init();
	this.DS_SD_CR.init();
	
	this.screen.setscreenprotect(true); //화면 잠금
	var reqSubmit = SYSTran.requestSubmitAsync(screen,"ACLCLM05S02");
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	
	if(mapid == "ACLCLM05S01"){
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "ACLCLM05S02"){
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "ACLCLM05S03"){
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
			if(this.DS_SD_02.getrowcount() > 0){
				var excelNm = null;
				excelNm =  "전송내역_" + factory.datetoday()+ ".xlsx"
				this.Grid_vochList.downloadexcel(excelNm);
			}
		}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 회계부서 조회 자료 사전 
function acctDeptCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		popupType = "A";
		var deptCd = "";
		// 부서코드를 입력한경우 상품코드를 파라미터로 세팅
		if(this.Edit_acctDeptCd.gettext() != "")
		{
			deptCd = this.Edit_acctDeptCd.gettext();
		}
			
		var extParam = {"deptCd":deptCd } ;
		var param = {"DATADICNO":"HTORG18", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "회계부서조회";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

// 작성자 조회 자료 사전 
function Edit_frstRegEmpNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
		popupType = "B";
		var empNo = "";
		// 사원번호를 입력한경우 상품코드를 파라미터로 세팅
		if(this.Edit_frstRegEmpNo.gettext() != "")
		{
			empNo = this.Edit_frstRegEmpNo.gettext();
		}
			
		var extParam = {"empNo":empNo } ;
		var param = {"DATADICNO":"BT_EMP_BASE", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "작성자조회";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

// 계정코드 조회 자료 사전 
function Edit_acctCd_on_click(objInst, buttonclick)
{
	if(buttonclick){
		popupType = "C";
		var acctYy = sysYear;
		var totAcctFg = "0";
			
		var extParam = {"acctYy":acctYy ,"totAcctFg":totAcctFg } ;
		var param = {"DATADICNO":"ATACCT01", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "계정코드조회";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

function popupCallback(objExtdata) {
	console.log("#### popupCallback call");
	
	if(objExtdata.popId == "CCMCMP05"){
		if( popupType == "A" ){
			if(objExtdata.deptCd != undefined){
				this.Edit_acctDeptCd.settext(objExtdata.deptCd);
				this.Edit_acctDeptNm.settext(objExtdata.deptNm);
			}
		} else if ( popupType == "B" ){
			if(objExtdata.empNo != undefined){
				this.Edit_frstRegEmpNo.settext(objExtdata.empNo);
				this.Edit_frstRegEmpNm.settext(objExtdata.korName);
			}
		} else if(popupType == "C") {
			if(objExtdata.acctCd != undefined){
				this.Edit_acctCd.settext(objExtdata.acctCd);
				this.Edit_acctNm.settext(objExtdata.acctNm);
			}
		}
		popupType = "";
	}
}