﻿﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	// 공통버튼 작업
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	
	// 공통코드 리스트	
	SYSTran.getComCode(this.screen, "B00226", this.DS_CD_B00226, true); // DS_BND_MNG_PLC_CD
	SYSTran.getComCode(this.screen, "B00361", this.DS_CD_B00361, true); // DS_DLVR_OBJ
	SYSTran.getComCode(this.screen, "S00030", this.DS_CD_S00030, true); // DS_ST_DECISION
	SYSTran.getComCode(this.screen, "S00072", this.DS_CD_S00072, true); // DS_DUE_METH
	SYSTran.getComCode(this.screen, "R00055", this.DS_CD_R00055, true); // DS_PRDT_CLAS_LRGE
	SYSTran.getComCode(this.screen, "R00056", this.DS_CD_R00056, true); // DS_PRDT_CLAS_MID
	SYSTran.getComCode(this.screen, "B00049", this.DS_CD_B00049, true); // DS_PRDT_CLAS_SM
	SYSTran.getComCode(this.screen, "B00208", this.DS_CD_B00208, true); // DS_ASK_DIV
	SYSTran.getComCode(this.screen, "B00363", this.DS_CD_B00363); // DS_DLVR_DIV
	SYSTran.getComCode(this.screen, "B00364", this.DS_CD_B00364, true); // DS_DLY_DIV
	SYSTran.getComCode(this.screen, "B00277", this.DS_CD_B00277, true); // DS_CUST_TP_CD

	var strFilter = "";
	strFilter += "\"cdDescNo\":<>:\"1\"";
	this.DS_CD_B00277.copy(this.DS_CD_B00277,strFilter);	
	
	this.DS_HT_ORG.copy(G_DEPT,"");
	SYSUtil.addComboAllColumn(this.cboOrg);
	// 초기값 선택 초기화
	this.cboOrg.settext("");
	this.cboLrgeClasDiv.settext("");
	this.cboMidClasDiv.settext("");
	this.cboSmClasDiv.settext("");
	this.cboAskDiv.settext("");
	this.cboDueMeth.settext("");
	this.cboDlvrDiv.settext("1");
	this.cboCustTpCd.settext("");
	this.cboDlyDiv.settext("");
	//this.cboDlvrObjCd.settext("B01");
	
	// 대상자 초기화
	this.edtSendPersonCnt.settext("0");
	this.edtSendAmt.settext("0");
	this.edtSearchCnt.settext("0");
	
	// 기준일 오늘날짜로 설정
	var today = new Date();
	today.setHours(today.getHours() + 9);
	this.staStndDttm.settext(today.toISOString().replace('T',' ').substring(0, 19));
	
	this.cboMedSetlDtSt.settext("05");
	this.cboMedSetlDtEd.settext("25");
	
	this.edtDlyTot1.settext("50000");
	this.edtDlyTot2.settext("999999999");
	
	/* 
	this.DS_USER_MNG_SM.addrow();
	this.DS_USER_MNG_SM.setdatabyname(0,"userNo", SYSVar.loginUserInfo.USER_NO);
	this.DS_USER_MNG_SM.setdatabyname(0,"userDivCd","K");
	SYSTran.requestSubmitSync(this.screen, "BCNUIM03S02");
	*/
	this.chkRecvFg.settext("1");
	SYSTran.requestSubmitAsync(this.screen, "BCNUIM03S03"); 
	console.log("#### screen_on_load() call");
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	if(this.DS_SDDO01.getrowcount() > 0){
		var excelName = "SMS일괄발송리스트_" + factory.datetoday() + ".xlsx"
		this.grdSend.downloadexcel(excelName);	
	} else {
		SYSUtil.setStatusMsg("조회된 데이터가 없습니다.");
	}
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	this.DS_SMDO01.init();
	this.DS_SMDO01.addrow();
	this.DS_SMDO01.setdatabyname(0, "orgCd", this.cboOrg.getselectedcode());				   // 관리부서
	this.DS_SMDO01.setdatabyname(0, "empNo", this.edtEmpNo.gettext());						 // 담당자 사번
	this.DS_SMDO01.setdatabyname(0, "prodLrgeClas", this.cboLrgeClasDiv.getselectedcode());	// 상품대
	this.DS_SMDO01.setdatabyname(0, "prodMidClas",  this.cboMidClasDiv.getselectedcode());	 // 상품중
	this.DS_SMDO01.setdatabyname(0, "smClasDiv",		this.cboSmClasDiv.getselectedcode());  // 상품소
	this.DS_SMDO01.setdatabyname(0, "ddcntSt", this.edtDdcntSt.gettext());					 // 연체회차 from
	this.DS_SMDO01.setdatabyname(0, "ddcntEd", this.edtDdcntEd.gettext());					 // 연체회차 to

	if(this.cboMedSetlDtSt.getselectedcode() == "05" && this.cboMedSetlDtEd.getselectedcode() == "25"){
		this.DS_SMDO01.setdatabyname(0, "setldtSt", "");	// 결제일자 from
		this.DS_SMDO01.setdatabyname(0, "setldtEd", "");	// 결제일자 to
	}else{
		this.DS_SMDO01.setdatabyname(0, "setldtSt", this.cboMedSetlDtSt.getselectedcode());	// 결제일자 from
		this.DS_SMDO01.setdatabyname(0, "setldtEd", this.cboMedSetlDtEd.getselectedcode());	// 결제일자 to
	}

	this.DS_SMDO01.setdatabyname(0, "loanNo", this.edtLoanNo.gettext());						// 대출번호
	this.DS_SMDO01.setdatabyname(0, "loanSeq", this.edtLoanSeq.gettext());					  // 대출순번
	this.DS_SMDO01.setdatabyname(0, "chkCtdtbad", this.chkCrdtBad.gettext());				   // 신용불량 여부
	this.DS_SMDO01.setdatabyname(0, "chkLeglactn", this.chkLeglActn.gettext());				 // 법적조치 여부
	this.DS_SMDO01.setdatabyname(0, "dueMethCd", this.cboDueMeth.getselectedcode());			// 납입방법 코드
	
	if(this.calClosdtSt.gettext() != ""){
		this.DS_SMDO01.setdatabyname(0, "closdtSt", this.calClosdtSt.gettext()); 			   // 만기일자 from
	}
	if(this.calClosdtEd.gettext() != ""){
		this.DS_SMDO01.setdatabyname(0, "closdtEd", this.calClosdtEd.gettext());				// 만기일자 to
	}
	
	this.DS_SMDO01.setdatabyname(0, "recvTelNo", this.edtRecvTelNo.gettext());				  // 수신번호
	//this.DS_SMDO01.setdatabyname(0, "examJudgCd", Combo_Decision.Value);
	//this.DS_SMDO01.setdatabyname(0, "thmmComgTimsFr", Edit5.Text);
	//this.DS_SMDO01.setdatabyname(0, "thmmComgTimsTo", Edit6.Text);
	//this.DS_SMDO01.setdatabyname(0, "loanRegStat", Chk_LoanRegStat.Value);
	this.DS_SMDO01.setdatabyname(0, "txtRecvFg", this.chkRecvFg.gettext());				     // 문자수신 여부
	
	// 대상금액 구간
	this.DS_SMDO01.setdatabyname(0, "dlyTot1", this.edtDlyTot1.gettext());					  // 대상금액 from
	this.DS_SMDO01.setdatabyname(0, "dlyTot2", this.edtDlyTot2.gettext());					  // 대상금액 to
	
	// 관리처 추가
	// this.DS_SMDO01.setdatabyname(0, "bndMngPlcCd", Combo0.Value);
	
	// 발송 구분
	this.DS_SMDO01.setdatabyname(0, "dlvrDiv", this.cboDlvrDiv.getselectedcode());			  // 발송구분
	this.DS_SMDO01.setdatabyname(0, "askDiv", this.cboAskDiv.getselectedcode());				// 청구방법
	
	//연체구분 - 2019-08-30 cjh 
	this.DS_SMDO01.setdatabyname(0, "dlyDiv", this.cboDlyDiv.getselectedcode());				// 연체구분
	
	//고객구분 - 2019-09-04 cjh 
	this.DS_SMDO01.setdatabyname(0, "custTpCd", this.cboCustTpCd.getselectedcode());			// 고객구분
	
	// 발송리스트 호출
	SYSTran.requestSubmitAsync(this.screen, "BCNUIM03S01"); 
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	/*
	* 화면 입력데이터 초기화 작업
	*/
	this.DS_SDDO01.init();
	this.edtSeq.settext("");
	this.txaCntn.settext("");
	//this.cboDlvrObjCd.settext("B01");
	this.cboOrg.settext("");
	this.cboDueMeth.settext("");
	this.cboDlvrDiv.settext("");
	this.edtEmpNo.settext("");
	this.edtEmpNm.settext("");
	this.cboLrgeClasDiv.settext("");
	this.cboMidClasDiv.settext("");
	this.cboSmClasDiv.settext("");

	
	this.cboDlvrDiv.settext("1");
	
	this.edtDdcntSt.settext("1");
	this.edtDdcntEd.settext("3");

	this.edtDlyTot1.settext("50000");
	this.edtDlyTot2.settext("999999999");
	
	this.edtSendPersonCnt.settext("0");
	this.edtSendAmt.settext("0");
	this.edtSearchCnt.settext("0");
	
	this.cboMedSetlDtSt.settext("05");
	this.cboMedSetlDtEd.settext("25");
	
	this.edtLoanNo.settext("");
	this.edtLoanSeq.settext("");
	
	this.chkCrdtBad.settext("0");
	this.chkLeglActn.settext("0");
	this.chkRecvFg.settext("1");

	this.calClosdtSt.settext("");
	this.calClosdtEd.settext("");
	
	this.cboAskDiv.settext("");
	
	this.cboDlyDiv.settext("");
	this.cboCustTpCd.settext("");
	
	
	var today = new Date();
	today.setHours(today.getHours() + 9);
	this.staStndDttm.settext(today.toISOString().replace('T',' ').substring(0, 19));
	
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function cboDlvrDiv_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("call :::: cboDlvrDiv_on_itemchange");
	var selectedCode = this.cboDlvrDiv.getselectedcode();
	if(selectedCode == "1"){
		this.edtDdcntSt.setenable(true);
		this.edtDdcntEd.setenable(true);
		
		this.edtDdcntSt.settext("1");
		this.edtDdcntEd.settext("3");

		this.edtDlyTot1.settext("50000");
		this.edtDlyTot2.settext("999999999");		
	}else if(selectedCode == "2"){
		this.edtDdcntSt.setenable(false);
		this.edtDdcntEd.setenable(false);
		
		this.edtDdcntSt.settext("");
		this.edtDdcntEd.settext("");

		this.edtDlyTot1.settext("50000");
		this.edtDlyTot2.settext("999999999");		
	}else if(selectedCode == "3"){
		this.edtDdcntSt.setenable(true);
		this.edtDdcntEd.setenable(true);
		
		this.edtDdcntSt.settext("1");
		this.edtDdcntEd.settext("3");

		this.edtDlyTot1.settext("50000");
		this.edtDlyTot2.settext("999999999");		
	}else if(selectedCode == "4"){
		this.edtDdcntSt.setenable(false);
		this.edtDdcntEd.setenable(false);
		
		this.edtDdcntSt.settext("");
		this.edtDdcntEd.settext("");

		this.edtDlyTot1.settext("0");
		this.edtDlyTot2.settext("0");
	}
}

// 통합검색팝업 버튼 이벤트
function btnLoanNoSrch_on_click(objInst)
{
	console.log("call :: btn_loanNoSrch_on_mouseup");
    var param ={};
	var loanNo = this.edtLoanNo.gettext();
	
    if(!SYSUtil.isEmpty(loanNo)){
		param.loanNo = loanNo;
	}
	
    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
        
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

// 담당자 검색 버튼 이벤트
function edtEmpNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
			// 업무화면으로 전달할 데이터
		var param = {"DATADICNO":"BT_EMP_BASE"};
		// 팝업 Title
		var popupTitle = "데이타사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

// 전체선택 버튼 이벤트
function btnCheckAll_on_click(objInst)
{
	this.grdSend.setcheckedallrow(true);
	var tmpDlyAmt = 0;
	var tmpCnt = this.DS_SDDO01.getrowcount();
	
	for(var i = 0; i < this.DS_SDDO01.getrowcount() ; i++){
		this.DS_SDDO01.setdatabyname(i,"chkFlg","1");
		tmpDlyAmt += Number(this.DS_SDDO01.getdatabyname(i,"sumDlyAmt"));
	}
	
	this.edtSendPersonCnt.settext(tmpCnt);
	this.edtSendAmt.settext(tmpDlyAmt);
}

// 전체해제 버튼 이벤트
function btnUnCheckAll_on_click(objInst)
{
	this.grdSend.setcheckedallrow(false);
	
	for(var i = 0; i < this.DS_SDDO01.getrowcount() ; i++){
		this.DS_SDDO01.setdatabyname(i,"chkFlg","0");		
	}
	
	this.edtSendPersonCnt.settext("0");
	this.edtSendAmt.settext("0");
}

// submit 완료 콜백 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if(mapid == "BCNUIM03S01"){
		if(result == 1){
			this.edtSearchCnt.settext(this.DS_SDDO01.getrowcount());
			this.edtSendPersonCnt.settext("0");
			this.edtSendAmt.settext("0");
		}
		
	} else if(mapid == "BCNUIM03S03"){
		// 동적 height 값 처리를 위한 반복문
		if(this.DS_SDDO02.getrowcount() > 0){
            for(var i = 0; i < this.DS_SDDO02.getrowcount(); i++){
                var lineCnt = this.DS_SDDO02.getdatabyname(i,"cntn").split("\n").length;
                var lineHeight = this.grdSendMsg.getrowheight(i);
                this.grdSendMsg.setrowheight(i, lineHeight * lineCnt * 0.8,false);
            }
            this.grdSendMsg.refresh();
        }
	} else if(mapid == "BCNUIM03U01"){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "message01");
		SYSUtil.setStatusMsg(recv_msg);
	}
	
	if(result == 0 && mapid != "BCNUIM03U01"){
		SYSUtil.loadMessageBox(this.screen, "오류 알림", 1, "데이터 송신중 오류가 발생하였습니다.", "message01");
		SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	} else {
		SYSUtil.setStatusMsg("정상처리되었습니다.");
	}
}

// 그리드 Header checkbox 이벤트
function grdSend_on_checkrowclick(objInst, nRow, bCheckedRow)
{
	if(nRow == -1){
		if(bCheckedRow == 0){
			this.btnUnCheckAll_on_click();
		} else {
			this.btnCheckAll_on_click();
		}
	} else {
		this.DS_SDDO01.setdatabyname(nRow,"chkFlg",bCheckedRow);
		this.fn_checkGrdCnt();
	}
	
}

// 그리드 check된 항목 cnt, sum 함수
function fn_checkGrdCnt(){
	var tmpDlyAmt = 0;
	var tmpCnt = 0;
	
	for(var i = 0; i < this.DS_SDDO01.getrowcount() ; i++){
		if(this.DS_SDDO01.getdatabyname(i,"chkFlg") == "1"){
			tmpDlyAmt += Number(this.DS_SDDO01.getdatabyname(i,"sumDlyAmt"));
			tmpCnt++;
		}
		
	}
	
	this.edtSendPersonCnt.settext(tmpCnt);
	this.edtSendAmt.settext(tmpDlyAmt);
}

// 팝업 콜백 함수
function popupCallback(objExtdata) {
	console.log("popupCallback objExtdata:::: ");
	console.log(objExtdata);
	if(objExtdata.popId == "CBCCCP01"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
	} else if(objExtdata.popId == "CCMCMP05"){
		this.edtEmpNo.settext(objExtdata.empNo);
		this.edtEmpNm.settext(objExtdata.korName);	
	}
}

function cboAskDiv_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{

}

// 발신내용 textarea 선택 이벤트
function txaCntn_on_change(objInst, event_type)
{
	
	var strByByte = factory.stringbytelen(this.txaCntn.gettext());
	this.edtTextByte.settext(strByByte);
}

//일괄전송 클릭 이벤트
function btnSendTotSms_on_click(objInst)
{
	if (this.edtSendPersonCnt.gettext() == "0") {
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "SMS발송대상이 없습니다.", "message01");
		return false;
	}

	if (this.txaCntn.gettext() == "") {
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "메세지가 없습니다.", "message01");
		this.txaCntn.setfocus();
		return false;
	}

	var confirmMsg = "[" + this.edtSendPersonCnt.gettext() + "건 " +  factory.getformatmoney(this.edtSendAmt.gettext()) +"원 발송하시겠습니까?]";
	SYSUtil.loadMessageBox(this.screen, "알림", 2, confirmMsg, "sendMsg");
}

//일괄전송 클릭 이벤트 > confirm 호출이후 함수
function fn_sendMsg(){

	//this.DS_SMDO02.setdatabyname(0,"sendFlg", Checkbox4.Value); 내 메세지 저장 chk값 미사용 주석
	this.DS_SMDO02.init();
	this.DS_SMDO02.addrow();
	//this.DS_SMDO02.setdatabyname(0,"rsrvSndFlg", this.chkRsrvSndFlg.gettext());
	this.DS_SMDO02.setdatabyname(0,"sendTelNo", this.edtSndTelNo.gettext());
	//this.DS_SMDO02.setdatabyname(0,"rsrvSndTime", this.calRsrvSndTime.gettext());

	this.DS_SDDO03.init();
	this.DS_SDDO03.addrow();
	//this.DS_SDDO03.setdatabyname(0, "empNo", Edit3.Text); 로그인 사용자로 변경
	this.DS_SDDO03.setdatabyname(0, "cntn", this.txaCntn.gettext());	//문구내용
	this.DS_SDDO03.setdatabyname(0, "procDt", factory.datetoday());
	this.DS_SDDO03.setdatabyname(0, "seq", this.edtSeq.gettext());
	//this.DS_SDDO03.setdatabyname(0, "dlvrObjCd", this.cboDlvrObjCd.getselectedcode());	// 발송목적
	this.DS_SDDO03.setdatabyname(0, "dlvrDeptCd", SYSVar.loginUserInfo.DEPT_CD);	// 발송부서

	this.DS_SDDO01_SEND.init();
	for(var i = 0; i < this.DS_SDDO01.getrowcount(); i++){
		var chkFlg = this.DS_SDDO01.getdatabyname(i,"chkFlg");
		if("1" == chkFlg){
			//this.DS_SDDO01_SEND.copyrow(this.DS_SDDO01,i ,true);
			this.DS_SDDO01_SEND.copyinsertrow(-1, this.DS_SDDO01, i, true);
		}
	}

	SYSTran.requestSubmitAsync(this.screen, "BCNUIM03U01"); 
}

function btnPreViewMsg_on_click(objInst)
{

	if(this.txaCntn.gettext() == ""  ){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "SMS 내용을 입력 하세요.", "message01");
		return false;
	}
	
	if( this.grdSend.getselectrow() < 0 ){
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "선택된 발송리스트가 없습니다.", "message01");
		return false;
	}
	
	var selectIndex = this.grdSend.getselectrow();
	
	var custNm 		= this.DS_SDDO01.getdatabyname(selectIndex, "custNm");  // G
	var imgAcntNo 	 = this.DS_SDDO01.getdatabyname(selectIndex, "imgAcntNo");  // 가상계좌
	var dlyAmt 		= this.DS_SDDO01.getdatabyname(selectIndex, "dlyAmt");  	// 연체금액
	var setlDd 		= this.DS_SDDO01.getdatabyname(selectIndex, "setlDd");  	// 결제일
	var eprtDt 		= this.DS_SDDO01.getdatabyname(selectIndex, "eprtDt");  	// 만기일
	var thmmComgDt 	= this.DS_SDDO01.getdatabyname(selectIndex, "thmmComgDt");  	// 도래일자
	var dlyTot 		= factory.getformatmoney(this.DS_SDDO01.getdatabyname(selectIndex, "sumDlyAmt"));  	// 대상금액 (총연체금액)
	var rlStrmDlyOccrDt = this.DS_SDDO01.getdatabyname(selectIndex, "rlStrmDlyOccrDt");  	// 단기연체일
	var custTpCd = this.DS_SDDO01.getdatabyname(selectIndex, "custTpCd");  	// 고객유형
	// TODO메세지 완료되면 replace하는 작업 처리하기
}

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	if(popup_name == "sendMsg" && result == "확인") {
		this.fn_sendMsg();
	}
}

function grdSendMsg_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var cntn = this.DS_SDDO02.getdatabyname(nDblClickRow, "cntn");
	var seq = this.DS_SDDO02.getdatabyname(nDblClickRow, "seq");
	var sndTelNo = this.DS_SDDO02.getdatabyname(nDblClickRow, "sndTelNo");
	
	this.txaCntn.settext(cntn);
	this.edtSeq.settext(seq);
	this.edtSndTelNo.settext(sndTelNo);
	this.txaCntn_on_change(null,null);	
}