﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 이미지 조회 추가 변수
var PARAM_LOAN_NO = "";
var PARAM_LOAN_SEQ = "";
var PARAM_CUST_NO = "";

var logInUserNo = G_EMP_INFO.getdatabyname(0,"USER_NO");
var logInDeptCd = G_EMP_INFO.getdatabyname(0,"DEPT_CD");

var sumErrorMsg = " 항목의 총합이 발생비용과 일치하지 않습니다. 확인해주세요!!!";

var popupType = ""
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	
	this.DS_SMDO01.addrow();
	
	//품의상태 셋팅
	SYSTran.getComCode(this.screen, "B00160", this.DS_CD_B00160);
	
	//청구원인 셋팅
	SYSTran.getComCode(this.screen, "B00110", this.DS_CD_B00110);
	
	//조치유형 셋팅
	SYSTran.getComCodeEx(this.screen, "B00109", this.DS_CD_B00109);
	
	//회수가능기간 셋팅
	SYSTran.getComCode(this.screen, "B00101", this.DS_CD_B00101);
	
	//재산유형코드 셋팅
	SYSTran.getComCode(this.screen, "B00097", this.DS_CD_B00097);
	
	//법적조치지급처구분코드
	SYSTran.getComCode(this.screen, "B00245", this.DS_CD_B00245);
	
	//법비용청구구분
	SYSTran.getComCode(this.screen, "B00157", this.DS_CD_B00157);
	
	this.cboPayDivCd_on_itemchange();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02S01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	// 정합성 체크
	if (this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "prptRschStatAmt" ) != "재산조사완료") 
	{
		alert("재산조사가 완료되어야 합니다.");
		return false;
	}
	
	// 대손건도 처리 가능하도록 변경 (2018-08-01) - 정상,대손외에는 처리 불가로 변경 
	var loanStatCd = this.DS_SDDO01.getdatabyname(0, "loanStatCd");
	
	//if (loanStatCd != '22' && loanStatCd != '29' && loanStatCd != '3B') 
	if (loanStatCd != "22" && loanStatCd != "29") 
	{ 
		//alert("정상/대손건외에는 법조치품의를 발생시킬 수 없습니다.");
		alert("정상건 외에는 법조치품의를 발생시킬 수 없습니다.");
		return false;
	}
	
	
	// 비용 정보가 없을때 강제로 초기 값 setting 함
	if  ((this.DS_SDDO04.getdatabyname(0,"loanNo") == "") && (this.DS_SDDO04.getdatabyname(0,"loanSeq") == "")
	  && (this.DS_SDDO04.getdatabyname(0,"acctDt") == "") && (this.DS_SDDO04.getdatabyname(0,"jstDt") == ""))
	{	   
		var ds_row = 0 ;
		this.setFirstCostInfoBase(ds_row);
		this.DS_SDDO04.setdatabyname(0, "rowType", "Insert");
	}
	
	if( this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "jstDt") > factory.datetoday() ) 
	{
		alert("결제일자가 현재날짜보다 큽니다.");
		return false;
	}
	
	if (this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "acctDt") > factory.datetoday() ) 
	{
		alert("회계일자가 현재날짜보다 큽니다.");
		return false;
	}
	
	// 조치유형중 지급명령(05)/ 재산명시명령(07)/명부등재신청(08)/공시최고(09)/형사고소(10)/법조치부대비용(11)은 재산정보 선택안해도 품의 등록되도록 변경 
	var actnTpCd = this.cboActnTpCd.getselectedcode();
	
	if (actnTpCd != "05" && actnTpCd != "07" && actnTpCd != "08" && actnTpCd != "09" && actnTpCd != "10" && actnTpCd != "11")
	{
		if (this.DS_SDDO05.getrowcount() == 0) 
		{
			alert("재산정보가 없습니다.");
			return false;
		}	
	}	
	
	if (this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "askCausCd") == "") 
	{
		alert("청구원인을 선택하세요.");
		return false;
	}
	
	if (this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "askAmt") == "") 
	{
		alert("청구금액을 선택하세요.");
		return false;
	}
	
	if (this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"actnTpCd") == "") 
	{
		alert("조치유형을 선택하세요.");
		return false;
	}
	
	// 두비스 조치유형이 소송(04), 형사고소(10)를 제외한 나머지는 null이 들어와도 통과한다.
	if(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"actnTpCd") == '04' || this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"actnTpCd") == '10')
	{
		if(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"caseKindCd") == "") 
		{
			alert("사건종류를 선택하세요.");
			return false;
		}
		else {
			
			if (this.DS_CD_B00113.getdatabyname(this.DS_CD_B00113.findrow("cd",this.DS_SDDO03.getdatabyname(0,"caseKindCd")),"clas2") == '1') {
				// 범죄유형분류코드 확인
				if (this.DS_SDDO03.getdatabyname(this.DS_SDDO03.currow,"crimTpClasCd").length != 4) {
					alert("사건종류에 대한 범죄유형분류를 선택하세요.");
					this.cboCaseKindCd.setfocus();
					return false;
				}
			}  
		}
	}	
	
	// 2018-08-01 관할법원 필수로 변경 
	if(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"distCortNm") == null || this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"distCortNm") == "") 
	{	
		
		alert("관할법원을 선택하세요.");
		return false;
	}
	
	if(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"wdrwPossTermCd") == null || this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(),"wdrwPossTermCd") == "") 
	{
		alert("회수가능기간을 선택하세요.");
		return false;
	}
	
	// 법비용증빙관련 체크 - 변호법무수수료는 무조건 부가세 필수
	var pledJadvFee     = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "pledJadvFee");
	var pledJdcaFeeVtax = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "pledJdcaFeeVtax");
  
	if (pledJadvFee > 0)
	{
		if (pledJdcaFeeVtax == 0)
		{
			alert("변호법무수수료는 부가세가 필수입니다. 부가세를 입력해주세요!!!");
			return false;
		}
	}
	
	// 지급방법
	var askDiv 	= this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "askDiv");
	
	if (askDiv == null || askDiv == "")
	{
		alert("지급방법을 선택해주세요!!!");
		return false;
	}
	
	this.edtConsShNoBak.settext( this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo") );
	this.edtCustNoBak.settext( this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo") );

	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "jdcaReqBizNo", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"jdcaReqBizNo"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "jdcaReqVndrNm", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"jdcaReqVndrNm"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "pledrJadvReqDt", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"pledrJadvReqDt"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "payPlc", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"payPlc"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "payPlcNm", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"payPlcNm"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "askDiv", askDiv);

	//2018-08-01 회수전문직 권한 추가
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngDeptCd", this.DS_SDDO01.getdatabyname(0, "mngDeptCd"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcBndDivsEmpNo", this.DS_SDDO01.getdatabyname(0, "mngPlcBndDivsEmpNo"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcDivCd", this.DS_SDDO01.getdatabyname(0, "mngPlcDivCd"));
	
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "logInEmpNo", logInUserNo);
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete call");
	
	if( mapid == "BLMLMM02U01" || mapid == "BLMLMM02U02" || mapid == "BLMLMM02U03" 
	 || mapid == "BLMLMM02U04" || mapid == "BLMLMM02U05" || mapid == "BLMLMM02U06" || mapid == "BLMLMM02U08"){
		
		this.btnCostReg.setenable(true); // 비용발생
		this.btnCostCncl.setenable(true); // 비용취소
	}
	
	
	// 송신 성공시 처리
	if (result == 1) {
		
		if( mapid == "BLMLMM02S01" ){
			
			PARAM_LOAN_NO = this.DS_SDDO01.getdatabyname(0,"loanNo");
			PARAM_LOAN_SEQ = this.DS_SDDO01.getdatabyname(0,"loanSeq");
			PARAM_CUST_NO = this.DS_SDDO01.getdatabyname(0,"custNm");
			
			this.btnCostReg.setenable(true);
			this.btnCostCncl.setenable(true);
			
			this.grdBusi_on_itemclick();
			
		}
		
		if( mapid == "BLMLMM02S02" ){
			
			this.calPledrJadvReqDt.setenable(false);
			this.cboPayDivCd.setenable(false);
			this.cboPayDivCd.setenable(false);
			this.edtJdcaReqBizNo.setenable(false);
			this.edtPayPlc.setenable(false);
			if( this.DS_SDDO03.getrowcount() == 0){
				
				this.btnCostReg.setvisible(false);
				this.btnCostCncl.setvisible(false);
				
				if (this.edtCustNoBak.gettext() != "") 
				{
					//this.DS_SDDO02. = 0;
					//this.grdBusi.rowp
					for ( var i = 0 ; i < this.DS_SDDO02.getrowcount() ; i++ ) 
					{
						if(this.DS_SDDO02.getdatabyname(i, "custNo") == this.edtCustNoBak.gettext()) 
						{
							//this.DS_SDDO02.RowPosition = i;
						}
					}
				}
				else
				{
					//alert("선택된 고객에 대한 법적조치품의건이 없습니다.");
				}
				return;
				
			} else {
				
				var tmp_row = 0;
				this.chk_btn_ctl_1(tmp_row);
			}
			
		}
		
		if( mapid == "BLMLMM02U01" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
		
		if( mapid == "BLMLMM02U02" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
		
		if( mapid == "BLMLMM02U03" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
		
		if( mapid == "BLMLMM02U04" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
		
		if( mapid == "BLMLMM02U05" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
		
		if( mapid == "BLMLMM02U06" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
		
		if( mapid == "BLMLMM02U09" ){
			//this.grdBusi_on_itemclick();
			this.fn_SearchDetail();
		}
	} else {
		
		this.btnCostReg.setenable(true); // 비용발생
		this.btnCostCncl.setenable(true); // 비용취소
	}
}

function grdBusi_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grdBusi_on_itemclick call");	
	this.edtConsShNoBak.settext("");
	this.edtCustNoBak.settext("");
	
	this.edtCustNm02.settext( this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNm") );
	this.edtRegNo.settext( this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo") );
	this.edtLoanRelNm.settext( this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "loanRelNm") );
	
	this.fn_SearchDetail();
	
}

function fn_SearchDetail()
{
	console.log("#### fn_SearchDetail call");
	this.DS_SMDO02.deleteallrows();
	this.DS_SMDO02.addrow();
	
	this.DS_SMDO02.setdatabyname(0,"loanNo", this.edtLoanNo.gettext());
	this.DS_SMDO02.setdatabyname(0,"loanSeq", this.edtLoanSeq.gettext());
	this.DS_SMDO02.setdatabyname(0,"custNo", this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo") );
	
	if(this.edtConsShNo.gettext() != ""){
		this.DS_SMDO02.setdatabyname(0,"consShNo", this.edtConsShNo.gettext());
	} else if(this.edtConsShNoBak.gettext() != ""){
		this.DS_SMDO02.setdatabyname(0,"consShNo", this.edtConsShNoBak.gettext());
	} else {
		this.DS_SMDO02.setdatabyname(0,"consShNo", "");
	}
	
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02S02");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

function cboActnTpCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("#### cboActnTpCd_on_itemchange call");
	//사건종류 셋팅
	SYSTran.getComCodeEx(this.screen, "B00113", this.DS_CD_B00113, this.cboActnTpCd.getselectedcode());		
}

function grdProf_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grdProf_on_itemdblclick call");	
	var snum = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "snum")
	
	this.DS_PROF_SMDO01.deleteallrows();
	this.DS_PROF_SMDO01.addrow();
	
	this.DS_PROF_SMDO01.setdatabyname(0, "loanNo"   , this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "loanNo") );
	this.DS_PROF_SMDO01.setdatabyname(0, "loanSeq"  , this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "loanSeq") );
	this.DS_PROF_SMDO01.setdatabyname(0, "consShNo" , this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "consShNo") );
	this.DS_PROF_SMDO01.setdatabyname(0, "snum"     , this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "snum") );
	
	// dataset이중화 미발생 = 증빙 미발생 데이타셋을 세팅하고 발생일 경우 증빙 발생 데이타셋 세팅 				
	var totCnt 			   = this.DS_SDDO04.getrowcount();
	var unRegisterCnt	 	= 0;
	
	for(var i = 0; i < totCnt; i++)
	{
		var vochNo = this.DS_SDDO04.getdatabyname(i, "vochNo");
		
		if(vochNo == '' || vochNo == null)
		{
			unRegisterCnt++;
		}
	}
	
	if(unRegisterCnt > 0 && (snum == '' || snum == null))
	{
		//this.grdProf.setlinkxdataset Grid_profMng.BindDataset = 'DS_PROF_MNG_TMP';
	}
	else
	{
		//Grid_profMng.BindDataset = 'DS_PROF_MNG';
	}
	
	if(snum != '' && snum != null)
	{
	
		//var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02S04");
	
		//if(reqSubmit == false) {
		//	SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		//}
	}
}

/**
 * 역할체크
 */
function fn_ChkButnRole( argKey )
{
	console.log("#### fn_ChkButnRole call");
//	var rtnMsg = Array();

//	rtnMsg = rfn_Role_Check(this.DS_ROLE_NO, fstrPrgmNo, argKey);

//	if (rtnMsg[0] == "0")
//	{
//		gf_SetMsg( '1', rtnMsg[1]);
//		return false;
//	}
			
//	return true;
}

function setFirstCostInfoBase(tmp_ds_row) 
{
	console.log("#### setFirstCostInfoBase call");

	// 2018-08-01 두비스 날짜 변경 
	var strDate = factory.datetoday();
	
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"occrYnDivCd", "01");
	
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"loanNo", this.edtLoanNo.gettext());
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"loanSeq",this.edtLoanSeq.gettext()) ;

	this.DS_SDDO04.setdatabyname(tmp_ds_row,"acctDeptCd", logInDeptCd) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"acctDt", strDate) ; // 회계일자
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"jstDt" , strDate) ; // 결제일자
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"askDt", strDate) ; 
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"consShNo", this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo")) ; // 품의번호
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"depsAmt",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"depsInsuFee",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"stmpLrge",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"crtfplcLrge",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"dsptFee",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"rtax",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"ppayamt",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"pledJadvFee",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"etcCost",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"from_db","IN") ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"mngDeptCd", this.DS_SDDO01.getdatabyname(0, "mngDeptCd")) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"mngPlcBndDivsEmpNo", this.DS_SDDO01.getdatabyname(0, "mngPlcBndDivsEmpNo")) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"mngPlcDivCd", this.DS_SDDO01.getdatabyname(0, "mngPlcDivCd")) ;
	// 법조치증빙관련 수정 
	
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"pledJdcaFeeVtax",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"etcCostVtax",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"adjAmt",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"leglActnCostRamt",0) ;
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"askDiv",'3') ; // 본사에서 지급을 할 것이기 때문에 본사예금('3')으로 한다. 
	
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"sumAmt",0) ; // 합계
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"sumPledJadvFeeVtax",0) ; // 계
	this.DS_SDDO04.setdatabyname(tmp_ds_row,"sumEtcCost",0) ; // 계
		
	//decode(substr(consShNo,0,4), '0605', "발생", decode(vochNo,null,"미발생", '', "미발생", "발생"))
	
}

function btnNew_on_click(objInst)
{
	console.log("#### btnNew_on_click call");
	// 2018-08-01 cellus pl채권 추가 
	var prdtMidClasCd = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "prdtMidClasCd");

	if (this.DS_SDDO01.getdatabyname(0,"flotIzeDivCd") == "SPC")
	{
		alert("유동화채권으로 환매후 처리바랍니다");
		return false;
	}	
	
	this.setOpenCons1() ;
	this.DS_SDDO03.deleteallrows();
	//this.DS_SDDO03.Contents = fstrContents3;
			
	this.DS_SDDO04.deleteallrows();
	//DS_SDDO04.Contents = fstrContents4;
					
	/* 2018-08-01 (두비스) start  비용 정보가 없을때 강제로 초기 값 setting 함 */
	if( (this.DS_SDDO04.getdatabyname(0,"loanNo") == null)
		&& (this.DS_SDDO04.getdatabyname(0,"loanSeq") == null)
		&& (this.DS_SDDO04.getdatabyname(0,"attdAcctDeptCd") == null)
		&& (this.DS_SDDO04.getdatabyname(0,"acctDt") == null)
		&& (this.DS_SDDO04.getdatabyname(0,"jstDt") == null) ){
	
		var ds_row = 0 ;
		//this.DS_SDDO04.UpdateControl = false ;
		this.setFirstCostInfoBase(ds_row);
		//this.DS_SDDO04.SetRowType(0,"Insert");
		//this.DS_SDDO04.UpdateControl = true ;
	}
				
	this.DS_SDDO05.deleteallrows();
	//this.DS_SDDO05.Contents = fstrContents5;
			
	this.DS_SDDO03.addrow();
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "loanNo", this.DS_SDDO01.getdatabyname(0, "loanNo"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "loanSeq", this.DS_SDDO01.getdatabyname(0, "loanSeq"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "custNo", this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));
						
	// 2018-08-01 지급방법을 세팅한다. (강제세팅)
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "askDiv", "3");
						
	var strDate = factory.datetoday()
	this.calJstDt.settext(strDate);
	this.calRegDt.settext(strDate);
					
	this.edtSumAmt.settext(0);
	this.edtConsShNoBak.settext("");
	this.edtCustNoBak.settext("");
			
	this.edtDepsAmt.setenable(true);
	this.edtDepsInsuFee.setenable(true);
	this.edtStmpLrge.setenable(true);
	this.edtCrtfplcLrge.setenable(true);
	this.edtDsptFee.setenable(true);
	this.edtRtax.setenable(true);
	this.edtPpayamt.setenable(true);
	this.edtPledJadvFee.setenable(true);
	this.edtEtcCost.setenable(true);
	this.calJstDt.setenable(true);
	this.calRegDt.setenable(true);

	this.cboAskCausCd.setfocus();
										
	//두비스 신규버튼 누를시 청구금액을 넣어준다. 청구금액 = 채권잔액 * 110% + 법비용잔액 
	this.edtAskAmt.settext( Math.round( parseInt(this.edtLoanAmtRamt.gettext()) * 1.1 + parseInt(this.edtSpayAmt.gettext()) ) );
}

function setOpenCons1() 
{
	console.log("#### setOpenCons1 call");
	this.cboAskCausCd.setenable(true);	// 청구원인
	this.edtAskAmt.setenable(true);	//청구금액
	this.cboActnTpCd.setenable(true);	//조치유형
	
	// 2018-08-01 두비스 사건종류 막아놓는다.
	this.cboCaseKindCd.setenable(false);	// 사건종류
	this.edtDistCortCd.setenable(true);	//관할법원
	//Image7.Enable  = true ;	//관할법원
	this.cboWdrwPossTermCd.setenable(true);	//회수가능기간
	//Image21.Enable = true ;	//사건종류코드의 범죄유형
}

//요청
function btnReq_on_click(objInst)
{
	console.log("#### btnReq_on_click call");
	// 2018-08-01 cellus pl채권 추가 
	var prdtMidClasCd = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "prdtMidClasCd");

	var loanRelNm = this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "loanRelNm");
		
	if(loanRelNm == "사업장")
	{
		alert("사업장으로는 \'법조치품의등록\' 진행 하실 수 없습니다.");
		return false;
	}
	
	
	//역할(권한) 체크
	//if ( !this.fn_ChkButnRole( "요청" ))
	//{
		//alert("품의결재요청 권한이 없습니다.[DA26]");
		//return;
	//}
	
	// 법비용증빙 - 담당자 품의 의견 입력 
	if (SYSUtil.Trim(this.edtConsOpn.gettext()).length == 0) 
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "담당자 품의 의견은 필수 입력 사항입니다.", "errMsg01");
		this.edtConsOpn.setfocuse();
		return;
	}
	

	if ( SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")).length == 0 &&
		 (this.DS_SDDO03.getrowoperation(this.DS_SDDO03.getpos()) == " " || this.DS_SDDO03.getrowoperation(this.DS_SDDO03.getpos()) == "U")) 
		//(this.DS_SDDO03.GetRowType(this.DS_SDDO03.getpos()) == "normal" || this.DS_SDDO03.GetRowType(this.DS_SDDO03.getpos()) == "update")) 
	{
		
		this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
		this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));
							
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "actnRsnCntn", this.DS_SDDO03.getdatabyname(0, "actnRsnCntn") + " ");
		//2018-08-01 회수전문직 권한 추가
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcBndDivsEmpNo", this.DS_SDDO01.getdatabyname(0, "mngPlcBndDivsEmpNo"));
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcDivCd", this.DS_SDDO01.getdatabyname(0, "mngPlcDivCd"));
							
		// 담당자품의의견 세팅 
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "consRsn", this.edtConsOpn.gettext());
						
						
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "logInEmpNo", logInUserNo);
		//gf_MakeDatasetForTransaction(this.DS_SDDO03, this.DS_SDDO03_SEND, false);
						
		//gf_SetNullStrAll(DS_SDDO03_SEND);
							
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U02");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	} 
	else 
	{
		alert("저장후 품의진행하시기 바랍니다!!!(요청)");  // 2018-08-01 두비스 메시지 변경 
		return;
	}
}
// 승인
function btnAprv_on_click(objInst)
{
	console.log("#### btnAprv_on_click call");
	var cmd = "";
	var fstrArg = "";
	
	// 정합성 체크
	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")).length == 0) 
	{	
		alert("승인 가능한 품의건이 아닙니다!!!!");
		return;
	}
		
	// 법비용증빙 - 담당자 품의 의견 입력 
	if (SYSUtil.Trim(this.edtConsOpn.gettext()).length == 0) 
	{
		alert("품의의견을 작성해주시기 바랍니다.");
		this.edtConsOpn.SetFocus();
		return;
	}

	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")) == "1") //1:승인신청
	{
		//역할(권한) 체크
		//if ( !this.fn_ChkButnRole( "승인" ))
		//{
			//alert("결재권자 승인권한을 가지고 있지 않습니다.");	
			//return;
		//}
		
		cmd = "update";
				
		// 품의의견세팅
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "bonbOpn", this.edtConsOpn.gettext());						
		//fstrArg = "task=" + quote("update") + " action=update6" + " classId ="+ quote("BLMLA0401");
	}
			
	if (cmd != "") 
	{
		this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
		this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));
		
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "actnRsnCntn", this.DS_SDDO03.getdatabyname(0, "actnRsnCntn") + " ");
	
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "logInEmpNo", logInUserNo);
		
		//gf_MakeDatasetForTransaction(this.DS_SDDO03, this.DS_SDDO03_SEND, false);
		
		//gf_SetNullStrAll(this.DS_SDDO03_SEND);
	
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U04");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	}
	else 
	{
		alert("승인 가능한 품의건이 아닙니다.");
		return;
	}
}

//반려
function btnReturn_on_click(objInst)
{
	console.log("#### btnReturn_on_click call");
	var cmd = "";
	var fstrArg = "";
	
	// 정합성 체크
	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")).length == 0) {	
		alert("반려 가능한 품의건이 아닙니다.");
		return;
	}
	
	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")) == "1") //1:승인신청
	{
		//역할(권한) 체크
		//if ( !this.fn_ChkButnRole( "승인" ))
		//{
			//alert("결재권자 반려권한을 가지고 있지 않습니다.");	
			//return;
		//}
	
		cmd = "update";
		//fstrArg = "task=" + quote("update") + " action=update7" + " classId ="+ quote("BLMLA0401");
	}

	if (cmd != "") 
	{
		this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
		this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));
	
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "actnRsnCntn", this.DS_SDDO03.getdatabyname(0, "actnRsnCntn"));

		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "logInEmpNo", logInUserNo);
		
		//gf_MakeDatasetForTransaction(this.DS_SDDO03, this.DS_SDDO03_SEND, false);
		
		//gf_SetNullStrAll(this.DS_SDDO03_SEND);
	
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U05");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	} 
	else 
	{
		alert("반려 가능한 품의건이 아닙니다.");
		return;
	}
}

//거절
function btnRefuse_on_click(objInst)
{
	console.log("#### btnRefuse_on_click call");
	var cmd = "";
	var fstrArg = "";
	
	// 정합성 체크
	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")).length == 0) {	
		alert("거절 가능한 품의건이 아닙니다.");
		return;
	}

	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")) == "1") //1:승인신청
	{
		//역할(권한) 체크
		//if ( !this.fn_ChkButnRole( "승인" ))
		//{
			//alert("결재권자 거절권한을 가지고 있지 않습니다.");	
			//return;
		//}
	
		cmd = "update";
	}

	if (cmd != "") {
		this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
		this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));

		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "actnRsnCntn", this.DS_SDDO03.getdatabyname(0, "actnRsnCntn") + " ");

		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "logInEmpNo", logInUserNo);
		//gf_MakeDatasetForTransaction(this.DS_SDDO03, this.DS_SDDO03_SEND, false);

		//gf_SetNullStrAll(this.DS_SDDO03_SEND);
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U06");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}

	} else {
		alert("거절 가능한 품의건이 아닙니다.");
		return;
	}
}

//입력취소
function btnCancel_on_click(objInst)
{
	console.log("#### btnCancel_on_click call");
	//역할(권한) 체크
	//if ( !fn_ChkButnRole( "입력취소" ))
	//{
		//alert("품의결재취소 권한이 없습니다.[DA26]");
		//return;
	//}
	
	if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.currow, "consStatCd")) != "3" && //3:본부승인완료
	    (this.DS_SDDO03.getrowoperation(this.DS_SDDO03.getpos()) == " " || this.DS_SDDO03.getrowoperation(this.DS_SDDO03.getpos()) == "U"))
	{
		this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
		this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));

		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "consRsn", this.DS_SDDO03.getdatabyname(0, "consRsn") + " - 입력취소");
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "logInEmpNo", logInUserNo);
		//gf_MakeDatasetForTransaction(DS_SDDO03, DS_SDDO03_SEND, false);

		//gf_SetNullStrAll(DS_SDDO03_SEND);
			
		//var fstrArg = "task=" + quote("update") + " action=update1" + " classId ="+ quote("BLMLA0401");
		

		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U03");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
			
	} else {
		//alert("입력취소 가능한 품의건이 아닙니다.");
		alert("저장후 품의진행하시기 바랍니다!!!");  // 2018-08-01 두비스 메시지 변경 
		return;
	}	
}

function btnEstt_on_click(objInst)
{
	console.log("#### btnEstt_on_click call");
	var custNo = "";
	
	if (this.edtLoanNo.gettext() != "") {
		custNo = this.edtRegNo.gettext();
	} else {
		alert("대출번호가 입력되지 않았습니다.");
		this.edtLoanNo.setfocus();
		return;
	}
		
	// 업무화면으로 전달할 데이터
	var extParam = {"custNo":custNo} ;
	var param = {"DATADICNO":"BT_PRPT_SEARCH1", "extParam":extParam};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	popupType = "A";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function btnCar_on_click(objInst)
{
	console.log("#### btnCar_on_click call");
	var custNo = "";
	
	if (this.edtLoanNo.gettext() != "") {
		custNo = this.edtRegNo.gettext();
	} else {
		alert("대출번호가 입력되지 않았습니다.");
		this.edtLoanNo.setfocus();
		return;
	}
		
	// 업무화면으로 전달할 데이터
	var extParam = {"custNo":custNo} ;
	var param = {"DATADICNO":"BT_PRPT_SEARCH2", "extParam":extParam};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	popupType = "B";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function btnBnd_on_click(objInst)
{
	console.log("#### btnBnd_on_click call");
	var custNo = "";
	
	if (this.edtLoanNo.gettext() != "") {
		custNo = this.edtRegNo.gettext();
	} else {
		alert("대출번호가 입력되지 않았습니다.");
		this.edtLoanNo.setfocus();
		return;
	}
		
	// 업무화면으로 전달할 데이터
	var extParam = {"custNo":custNo} ;
	var param = {"DATADICNO":"BT_PRPT_SEARCH3", "extParam":extParam};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	popupType = "C";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function btnProp_on_click(objInst)
{
	console.log("#### btnProp_on_click call");
	var custNo = "";
	
	if (this.edtLoanNo.gettext() != "") {
		custNo = this.edtRegNo.gettext();
	} else {
		alert("대출번호가 입력되지 않았습니다.");
		this.edtLoanNo.setfocus();
		return;
	}
		
	// 업무화면으로 전달할 데이터
	var extParam = {"custNo":custNo} ;
	var param = {"DATADICNO":"BT_PRPT_SEARCH4", "extParam":extParam};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	popupType = "D";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function popupCallback(objExtdata) 
{
	console.log("#### popupCallback call");
	if(objExtdata.popId == "CCMCMP05"){
		
		if( popupType == "A" || popupType == "B" || popupType == "C" || popupType == "D" ){
			
			if(objExtdata.snum != undefined){
				for ( var i = 0 ; i < this.DS_SDDO05.getrowcount() ; i++ ) 
				{
					if (this.DS_SDDO05.getdatabyname(i, "prptTpCd")== popupType && this.DS_SDDO05.getdatabyname(i, "snum") == objExtdata.snum) 
					{
						alert("이미 추가된 항목입니다.");
						return true;
					}
				}
				
				if( popupType == "A" ){ // 부동산
					
					this.DS_SDDO05.addrow();
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "loanNo", this.edtLoanNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "loanSeq", this.edtLoanSeq.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "consShNo", this.edtConsShNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "prptTpCd", popupType);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "snum", objExtdata.snum);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "custNo", this.edtRegNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "prptKindNm", objExtdata.prptKindCd);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "area", objExtdata.area);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "godsPlcAddr", objExtdata.addr);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankMrtgCnt", objExtdata.preRankMrtgCnt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankMrtgAmt", objExtdata.preRankMrtgAmt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankProvSeizCnt", objExtdata.preRankProvSeizCnt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankProvSeizAmt", objExtdata.preRankProvSeizAmt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "judgAmt", objExtdata.judgAmt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "cnvsVal", objExtdata.cnvsVal);
					this.DS_SDDO05.setrowoperation(this.DS_SDDO05.getrowcount()-1, XFD_ROWOP_INSERT);
					
					
				} else if( popupType == "B" ){ // 자동차
					
					this.DS_SDDO05.addrow();
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "loanNo", this.edtLoanNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "loanSeq", this.edtLoanSeq.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "consShNo", this.edtConsShNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "prptTpCd", popupType);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "snum", objExtdata.snum);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "custNo", this.edtRegNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "prptKindNm", objExtdata.carsNo);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "area", "");
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "godsPlcAddr", "");
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankMrtgCnt", objExtdata.preRankMrtgCnt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankMrtgAmt", objExtdata.preRankMrtgAmt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankProvSeizCnt", objExtdata.preRankProvSeizCnt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankProvSeizAmt", objExtdata.preRankProvSeizAmt);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "judgAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "cnvsVal", objExtdata.cnvsVal);
					this.DS_SDDO05.setrowoperation(this.DS_SDDO05.getrowcount()-1, XFD_ROWOP_INSERT);
					
				} else if( popupType == "C" ){ // 채권
					
					this.DS_SDDO05.addrow();
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "loanNo", this.edtLoanNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "loanSeq", this.edtLoanSeq.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "consShNo", this.edtConsShNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "prptTpCd", popupType);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "snum", objExtdata.snum);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "custNo", this.edtRegNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "prptKindNm", objExtdata.prptKindCd);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "area", "");
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "godsPlcAddr", objExtdata.addr);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankMrtgCnt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankMrtgAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankProvSeizCnt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "preRankProvSeizAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "judgAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getrowcount()-1, "cnvsVal", objExtdata.cnvsVal);
					this.DS_SDDO05.setrowoperation(this.DS_SDDO05.getrowcount()-1, XFD_ROWOP_INSERT);
					
				} else if( popupType == "D" ){ // 동산
					
					this.DS_SDDO05.addrow();
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "loanNo", this.edtLoanNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "loanSeq", this.edtLoanSeq.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "consShNo", this.edtConsShNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "prptTpCd", popupType);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "snum", objExtdata.snum);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "custNo", this.edtRegNo.gettext());
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "prptKindNm", objExtdata.prptKindCd);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "area", "");
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "godsPlcAddr", objExtdata.addr);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "preRankMrtgCnt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "preRankMrtgAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "preRankProvSeizCnt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "preRankProvSeizAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "judgAmt", 0);
					this.DS_SDDO05.setdatabyname(this.DS_SDDO05.getpos(), "cnvsVal", objExtdata.cnvsVal);
					this.DS_SDDO05.setrowoperation(this.DS_SDDO05.getpos(), XFD_ROWOP_INSERT);
				}
			}
		} else {
			if( popupType == "E" ){
				if(objExtdata.cdDescNo != undefined){
					this.edtDistCortCd.settext(objExtdata.cdDescNo);
					this.edtDistCortNm.settext(objExtdata.cdDescKorNm);
				}
			} else if(popupType == "F"){
				if(objExtdata.empNo != undefined){
					this.edtPayPlc.settext(objExtdata.empNo);
					this.edtPayPlcNm.settext(objExtdata.korName);
				}
			} else if(popupType == "G"){
				if(objExtdata.reprNm != undefined){
					
					this.edtReprNm.settext(objExtdata.reprNm);
					this.edtAddr.settext(objExtdata.addr);
					this.edtAddrSpec.settext(objExtdata.addrSpec);

					this.edtJdcaReqBizNo.settext(objExtdata.busiCd);
					this.edtJdcaReqVndrNm.settext(objExtdata.busiNm);
					this.calPledrJadvReqDt.settext(factory.datetoday());
					
				}
			}
		} 
		
		popupType = "";
	}
	
}

function btnDel_on_click(objInst)
{
	console.log("#### btnDel_on_click call");
	var curRow = this.DS_SDDO05.getpos();
	if (curRow < 0) return false;
	
	/*
	var actnTpCd = this.cboActnTpCd.getselectedcode();
	
	if (actnTpCd != "05" && actnTpCd != "07" && actnTpCd != "08" && actnTpCd != "09" && actnTpCd != "10" && actnTpCd != "11")
	{
		if (this.DS_SDDO05.getrowcount() == 0) 
		{
			alert("재산정보가 없습니다.");
			return false;
		}	
	}	
	*/
	
	if(SYSUtil.comConfirm("삭제하시겠습니까?")){
		
		if( this.DS_SDDO05.getrowoperation() == XFD_ROWOP_INSERT ){
			this.DS_SDDO05.deleterow(curRow);
		} else {
			this.grdPrpt.setrowhidden(curRow);
			this.DS_SDDO05.setdatabyname(curRow, "delYn", "Y");
			this.DS_SDDO05.setrowoperation(curRow, XFD_ROWOP_UPDATE);
		
			var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U09");
	
			if(reqSubmit == false) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
			}
		}
		//this.DS_SDDO05.deleterow(curRow);
	}
}


function cboPayDivCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("#### cboPayDivCd_on_itemchange call");
	
	var payDivCd    = this.cboPayDivCd.getselectedcode();
	var payDivText  = this.cboPayDivCd.getselectedcomment();
	var pledJadvFee = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "pledJadvFee");
	var vochNo 	 = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "vochNo");
	
	if(payDivCd == "1")
	{
		this.edtPayPlc.setvisible(false);
		//Image8.Visible = false;
		this.edtPayPlcNm.setvisible(false);
		

		this.edtPayPlc.settext("");
		this.edtPayPlcNm.settext("");
				
		//Edit14.Visible = true;
		this.edtJdcaReqBizNo.setvisible(true);
		
		//Image19.Visible = true;
		this.edtJdcaReqVndrNm.setvisible(true);
		
		if( this.DS_SDDO04.getrowcount() > 0 ){
			this.edtJdcaReqBizNo.setenable(true);
		}
	}
	else
	{
		this.edtPayPlc.setvisible(true);
		
		this.edtPayPlcNm.setvisible(true);
				
		this.edtJdcaReqBizNo.settext("");
		this.edtJdcaReqVndrNm.settext("");			
				
		this.edtJdcaReqBizNo.setvisible(false);
		this.edtJdcaReqVndrNm.setvisible(false);
								
		if( this.DS_SDDO04.getrowcount() > 0 ){
			this.edtPayPlc.setenable(true);
		}
		
		if(pledJadvFee > 0 && (vochNo == null || vochNo == ''))
		{
			alert(payDivText+"인 경우 변호법무수수료를 발급할 수 없습니다. 법무수수료 비용을 0처리 합니다.");
			this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "pledJadvFee", 0);
			this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "pledJdcaFeeVtax", 0);
			return false;
		}
	}
}


function edtPayPlc_on_click(objInst, buttonclick)
{
	console.log("#### edtPayPlc_on_click call");
	if(buttonclick){
		popupType = "F";
		var vochNo = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "vochNo");
  	  // 미발생건만 가져오게 변경 
		if(vochNo == '' || vochNo == null)
		{
			var extParam = {"acctDeptCd":logInDeptCd } ;
			var param = {"DATADICNO":"BT_EMP_BASE", "extParam":extParam};
	
			// 팝업 Title
			var popupTitle = "데이타사전";
			//팝업 경로
			var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
		
			SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		}
		
	}
}


function edtJdcaReqBizNo_on_click(objInst, buttonclick)
{
	console.log("#### edtJdcaReqBizNo_on_click call");
	if(buttonclick){
		popupType = "G";
		// 2018-08-01 미발생건만 가져올수 있게 변경 
		var vochNo = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "vochNo");

		if(vochNo == "" || vochNo == null)
		{
			var extParam = {"acctDeptCd":logInDeptCd } ;
			var param = {"DATADICNO":"BT_LEGL_ACTN_BUSI_DESC", "extParam":extParam};
			
			// 팝업 Title
			var popupTitle = "데이타사전";
			//팝업 경로
			var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
			SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		}
	}
}

//법원
function edtDistCortCd_on_click(objInst, buttonclick)
{
	console.log("#### edtDistCortCd_on_click call");
	if(buttonclick){
		popupType = "E";
		var cdDescNo = "";
		// 2018-08-01 조치유형이 형사고소(10)일 경우 경찰서(Z001)만 나오도록 변경 
		if(this.cboActnTpCd.getselectedcode() == "10")
		{
			cdDescNo = "Y";
		}
			
		var extParam = {"cdDescNo":cdDescNo } ;
		var param = {"DATADICNO":"BT_DIST_CORT", "extParam":extParam};
			
		// 팝업 Title
		var popupTitle = "데이타사전";
		//팝업 경로
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
			
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
		
	}
}

//비용발생
function btnCostReg_on_click(objInst)
{
	console.log("#### btnCostReg_on_click call");
	// ##대손건 / 정상건외에 죽은건은 발생되면 안되도록 처리 할 것 
	var payDivCd         = this.cboPayDivCd.getselectedcode();
	var payDivText       = this.cboPayDivCd.getselectedcomment();
	var pledJadvFee      = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.row, "pledJadvFee");
	var vochNo 		  = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.row, "vochNo");
	
	//역할(권한) 체크
	//if ( !fn_ChkButnRole( "요청" ))
	//{
		//return;
	//}

							
	if (payDivCd == "2" && pledJadvFee > 0 && (vochNo == null || vochNo == ""))
	{
		alert(payDivText+"인 경우 변호법무수수료를 발급할 수 없습니다. 법무수수료 비용을 0처리 합니다.");
		this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "pledJadvFee", 0);
		this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "pledJdcaFeeVtax", 0);
		return false; 
	}

	// 대손건도 처리 가능하도록 변경 (2018-08-01) - 정상,대손외에는 처리 불가로 변경 
	var loanStatCd = this.DS_SDDO01.getdatabyname(0, "loanStatCd");
	
	if (loanStatCd != "22" && loanStatCd != "29" && loanStatCd != "3B") 
	{ 
		//alert('정상/대손건외에는 법조치비용을 발생시킬 수 없습니다.');
		alert("정상건 외에는 법조치비용을 발생시킬 수 없습니다.");
		return false;
	}
	
	// 2018-08-01 두비스 pl담당자가 비용발생 가능 
	var prdtMidClasCd = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "prdtMidClasCd");	
	
	this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
	this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));

	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "actnRsnCntn", this.DS_SDDO03.getdatabyname(0, "actnRsnCntn") + " ");
	
	var strDate = factory.datetoday();
	
	if (this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "recpDt") == strDate) 
	{			
		this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "recpDt", " ");
	} 
	else 
	{
		this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "recpDt", strDate);
	}
		
	//hi_20181027 start
	
	var tmp_Contents = "";
	//tmp_Contents = this.DS_SDDO04_TMP.Contents;
	this.DS_SDDO04_TMP.deleteallrows();
	//this.DS_SDDO04_TMP.Contents = tmp_Contents ;
	
	// 현재 발생선택된 로우만 저장하게끔 되어있다.
	this.DS_SDDO04_TMP.addrow();
	//this.DS_SDDO04_TMP.CopyRow(0,"this.DS_SDDO04",this.DS_SDDO04.getpos());
	this.DS_SDDO04_TMP.copyrow(this.DS_SDDO04, this.DS_SDDO04.getpos(), true);
	
	// 2018-08-01 두비스 지급방법  변경(현재 세팅된 지급방법으로 변경한다.)
	var askDiv 	= this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "askDiv");
	
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "jdcaReqBizNo", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"jdcaReqBizNo"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "jdcaReqVndrNm", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"jdcaReqVndrNm"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "pledrJadvReqDt", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"pledrJadvReqDt"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "payPlc", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"payPlc"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "payPlcNm", this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(),"payPlcNm"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "askDiv", askDiv);
		
    //2018-08-01 회수전문직 권한 추가
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngDeptCd", this.DS_SDDO01.getdatabyname(0, "mngDeptCd"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcBndDivsEmpNo", this.DS_SDDO01.getdatabyname(0, "mngPlcBndDivsEmpNo"));
	this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcDivCd", this.DS_SDDO01.getdatabyname(0, "mngPlcDivCd"));

	//지급방법 선택 여부 확인
	if(this.DS_SDDO04_TMP.getdatabyname(0, "askDiv") == "") 
	{
		alert("지급방법을 선택하세요.");
		return false;
	}
	
	// 법무/변호사 또는 지급처 선택 여부 확인
	if((this.DS_SDDO04_TMP.getdatabyname(0, "jdcaReqBizNo") == "")
		&& (this.DS_SDDO04_TMP.getdatabyname(0, "payPlc") == ""))
	{
		alert("법무/변호사 또는 지급처를 선택하세요.");
		return false;
	}
	
	//의뢰일자 선택 여부 확인
	if(this.DS_SDDO04_TMP.getdatabyname(0, "jdcaReqBizNo") != "")
	{
		if(this.DS_SDDO04_TMP.getdatabyname(0, "pledrJadvReqDt") == "")
		{
			alert("의뢰일자를 선택하세요.");
			return false;
		}
	}
		
	// 결제일자, 회계일자 확인
	if(this.DS_SDDO04_TMP.getdatabyname(0, "jstDt") == "")
	{
			alert("결제일자를 확인하세요.");
			return false;
	}
	
	if(this.DS_SDDO04_TMP.getdatabyname(0, "jstDt") > factory.datetoday()) 
	{
			alert("결제일자가 현재날짜보다 큽니다.");
			return false;
	}

	if(this.DS_SDDO04_TMP.getdatabyname(0, "acctDt") > factory.datetoday()) 
	{
			alert("회계일자가 현재날짜보다 큽니다.");
			return false;
	}
		
	// 2018-08-01 두비스 발행할 금액이 없을 경우 전표발생이 안되도록 한다.
	var depsAmt 		   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "depsAmt")) || 0 ;
	var depsInsuFee 	   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "depsInsuFee")) || 0 ;
	var stmpLrge 		  = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "stmpLrge")) || 0 ;
	var crtfplcLrge 	   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "crtfplcLrge")) || 0 ;
	var dsptFee 		   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "dsptFee")) || 0 ;
	var rtax 			  = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "rtax")) || 0 ;
	var ppayamt 		   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "ppayamt")) || 0 ;
	var pledJadvFee 	   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "pledJadvFee")) || 0 ;
	var etcCost 		   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "etcCost")) || 0 ;
	var pledJdcaFeeVtax	= parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "pledJdcaFeeVtax")) || 0 ;
	var etcCostVtax 	   = parseInt(this.DS_SDDO04_TMP.getdatabyname(0, "etcCostVtax")) || 0 ;
	
	if( (parseInt(depsAmt) + parseInt(depsInsuFee) + parseInt(stmpLrge) + parseInt(crtfplcLrge) + parseInt(dsptFee) + parseInt(rtax)
	  + parseInt(ppayamt) + parseInt(pledJadvFee) + parseInt(etcCost) + parseInt(pledJdcaFeeVtax) + parseInt(etcCostVtax)) <= 0)
	{
		alert("전표발생할 비용이 0이거나 0보다 작습니다.\n비용금액을 추가후 발생시켜주세요!!!");
		return false;
	}
	


	//gf_MakeDatasetForTransaction(this.DS_SDDO03, this.DS_SDDO03_SEND, false);
	//gf_MakeDatasetForTransaction(this.DS_SDDO04_TMP, this.DS_SDDO04_SEND, false);

	//gf_SetNullStrAll(this.DS_SDDO03_SEND);
	//gf_SetNullStrAll(this.DS_SDDO04_SEND);

	var curRowNum = this.DS_SDDO04.getpos();
	var vochNoFg  = this.DS_SDDO04.getdatabyname(curRowNum, "vochNo");	
	var cnclDt    = this.DS_SDDO04.getdatabyname(curRowNum, "cnclDt");	
	
	if(cnclDt != "" && cnclDt != '')
	{
		alert("취소된 전표입니다. 전표발행/취소가 불가합니다.");
		return false;
	}

	// 2018-08-01 두비스 삭제후 전표번호 없는것들이 전표삭제가 되는것을 방지하기 위해서 로직 추가
	if(vochNoFg != "" && vochNoFg != '')
	{
		alert("발생할 비용내역이 없습니다. 다시 확인해주세요!!!");
		this.chk_btn_ctl_1(curRowNum) ;			
		return false;
	}

	// 2018-08-01 두비스 결제일 이후에도 취소가 가능하도록 변경
		 

//==========================[증빙관련처리]=========================================================================================
/*
	// 법비용증빙 - 증빙의 공급가/부가세 항목의 sum과 비용항목과 일치해야 함 
	var pledJadvFee     = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "pledJadvFee");			// 변호법무수수료-공급가
	var pledJdcaFeeVtax = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "pledJdcaFeeVtax");	    // 변호법무수수료-부가세
	var etcCost         = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "etcCost");				// 기타비용-공급가
	var etcCostVtax     = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "etcCostVtax");			// 기타비용-부가세				
	var depsAmt         = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "depsAmt");				// 공탁금-현금
	var depsInsuFee     = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "depsInsuFee");			// 공탁금-보험료
	var stmpLrge        = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "stmpLrge");				// 인지대
	var crtfplcLrge     = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "crtfplcLrge");			// 증지대
	var dsptFee         = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "dsptFee");				// 송달료
	var rtax            = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "rtax");					// 등록세
	var ppayamt         = this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "ppayamt");				// 예납금
	
	var profTotCnt = this.DS_PROF_MNG_TMP.getrowcount();
	var leglActnCostKindCd 	= ""; // 비용종류코드 
	var profKindCd 		    = ""; // 증빙종류코드
	var busiCd				= "";
	var busiNm				= "";
	var profRlFileNm		= "";				
			
			
	// 01:변호법무수수료, 02:기타비용, 03:공탁금, 04:공탁보험료, 05;인지대, 06:증지대, 07:송달료, 08:등록세, 09:예납금
	var pledJadvFeeTot		= 0;
	var pledJdcaFeeVtaxTot 	= 0;
	var etcCostTot			= 0;
	var etcCostVtaxTot 		= 0;
	var depsAmtTot			= 0;
	var depsInsuFeeTot 		= 0;
	var stmpLrgeTot 		= 0;
	var crtfplcLrgeTot 		= 0;
	var dsptFeeTot 			= 0;
	var rtaxTot 			= 0;
	var ppayamtTot 			= 0;
		
	var leglActnCostKindCdFg 	= 0; // 비용종류 판단여부
	var profKindCdFg 			= 0; // 증빙종류 판단여부 
	var vtaxExistFg 			= 0; // 세금계산서일때 vtax여부를 판단하는 로직 
	var busiCdExistFg 			= 0; // 사업자번호 존재 판단여부 
	var busiNmExistFg 			= 0; // 사업자명 존재 판단여부 
	var profRlFileNmExistFg	 	= 0; // 증빙파일명 존재 판단여부 
	var zeroProfDescErrCnt 		= 0; // 금액 0인 증빙내역 판단여부 

	// 2018-08-01 두비스 증빙공급일자 분기별제한 추가 
	var curDate = factory.datetoday(); 	// 현재일자 
	var curYy   = curDate.substr(0,4);			    // 현재년 
	var splyDt = "";									// 공급일자
	var splyDtErrFg = 0; 								// 공급일자 관련 오류 fg
	var splyDtErrMsg = ""; 								// 공급일자 관련 메시지 
			
	for(var i = 0; i < profTotCnt; i++)
	{
		leglActnCostKindCd 	= this.DS_PROF_MNG_TMP.getdatabyname(i, "leglActnCostKindCd");
		profKindCd			 = this.DS_PROF_MNG_TMP.getdatabyname(i, "profKindCd");
		busiCd				 = this.DS_PROF_MNG_TMP.getdatabyname(i, "busiCd");
		busiNm				 = this.DS_PROF_MNG_TMP.getdatabyname(i, "busiNm");
		profRlFileNm		   = this.DS_PROF_MNG_TMP.getdatabyname(i, "profRlFileNm");																				
		splyAmt 			   = this.DS_PROF_MNG_TMP.getdatabyname(i, "splyAmt");
		vtax 				  = this.DS_PROF_MNG_TMP.getdatabyname(i, "vtax");
		
		// 2018-08-01 두비스 증빙공급일자 분기별제한 추가 
		splyDt 	= this.DS_PROF_MNG_TMP.getdatabyname(i, "splyDt");
										
		// 2018-08-01 두비스 증빙공급일자 분기별제한 추가 
		if(curYy != splyDt.substr(0,4))
		{								
				splyDtErrMsg = "["+(i+1)+"]열 : 공급일자는 해당년도만 입력가능합니다.\n- 현재년도 : "+curYy+"\n- 공급일자 : "+ splyDt.substr(0,4);
				splyDtErrFg++;
		}
		else if (splyDt >= (curYy + "0101") && splyDt <= (curYy + "0331") && curDate > (curYy + "0410") )
		{
				splyDtErrMsg = "["+(i+1)+"]열 : 공급일자가 1분기(1~3월)일 경우 4월 10일까지 입력 및 취소가 가능합니다!!!";
				splyDtErrFg++;														
		}
		else if (splyDt >= (curYy + "0401") && splyDt <= (curYy + "0630") && curDate > (curYy + "0710") )
		{
				splyDtErrMsg = "["+(i+1)+"]열 : 공급일자가 2분기(4~6월)일 경우 7월 10일까지 입력 및 취소가 가능합니다!!!";
				splyDtErrFg++;
		}
		else if (splyDt >= (curYy + "0701") && splyDt <= (curYy + "0930") && curDate > (curYy + "1010") )
		{
				splyDtErrMsg = "["+(i+1)+"]열 : 공급일자가 3분기(7~9월)일 경우 10월 10일까지 입력 및 취소가 가능합니다!!!";
				splyDtErrFg++;														
		}						
				
		// 비용종류 여부판단 							
		if(leglActnCostKindCd == null || leglActnCostKindCd == "")
		{
				leglActnCostKindCdFg++;
		}
		
		// 증빙종류 여부판단 							
		if(profKindCd == null || profKindCd == "")
		{
			profKindCdFg++;
		}

		// 거래처/증빙파일여부 판단 (세금계산서, 계산서일 경우만 증빙파일/거래처 필수, 나머지 항목은 1개(증빙파일만)만 혹은 없어도 됨(거래처))
		if(profKindCd == "01" || profKindCd == "02")
		{
			// 거래처번호 여부판단 							
			if((busiCd == null || busiCd == ""))
			{
					busiCdExistFg++;
			}

			// 거래처명 판단 
			if((busiCd == null || busiCd == ""))
			{
					busiNmExistFg++;
			}
		}
						
		// 증빙종류가 '01'(세금계산서)이고 공급가가 0이상이고 부가세가 0일경우 에러처리 
		if(profKindCd == "01" && splyAmt > 0 && vtax == 0)
		{
				vtaxExistFg++;
		}

		// // 2018-08-01 두비스 전자세금계산서(13) 추가 
		if(profKindCd == "13" && splyAmt > 0 && vtax == 0)
		{
				vtaxExistFg++;
		}
			
		// 증빙종류가 '02'(계산서)이고 공급가가 0이상이고 부가세가 0일경우 에러처리 
		if(profKindCd == "02" && splyAmt > 0 && vtax > 0)
		{
				vtaxExistFg++;
		}
		
		if(splyAmt + vtax == 0)
		{
				zeroProfDescErrCnt++;
		}

		// 변호법무수수료 , 기타비용일 경우만 부가세 발생 
		if(leglActnCostKindCd == "01")
		{
					pledJadvFeeTot 			= pledJadvFeeTot + splyAmt;
					pledJdcaFeeVtaxTot = pledJdcaFeeVtaxTot + vtax;
		}
		else if(leglActnCostKindCd == "02")
		{
					etcCostTot 					= etcCostTot + splyAmt;
					etcCostVtaxTot 			= etcCostVtaxTot + vtax;							
		}
		else if(leglActnCostKindCd == "03")
		{
					depsAmtTot = depsAmtTot + splyAmt;								
		}
		else if(leglActnCostKindCd == "04")
		{
					depsInsuFeeTot = depsInsuFeeTot + splyAmt;								
		}
		else if(leglActnCostKindCd == "05")
		{
					stmpLrgeTot = stmpLrgeTot + splyAmt;								
		}
		else if(leglActnCostKindCd == "06")
		{
					crtfplcLrgeTot = crtfplcLrgeTot + splyAmt;								
		}
		else if(leglActnCostKindCd == "07")
		{
					dsptFeeTot = dsptFeeTot + splyAmt;								
		}
		else if(leglActnCostKindCd == "08")
		{
					rtaxTot = rtaxTot + splyAmt;								
		}
		else if(leglActnCostKindCd == "09")
		{
					ppayamtTot = ppayamtTot + splyAmt;								
		}
	}	

	// 2018-08-01 두비스 증빙공급일자 분기별제한 추가 
	if(splyDtErrFg > 0)
	{
			alert(splyDtErrMsg);
			return false;
	}								
	
	if(leglActnCostKindCdFg > 0)
	{
			alert("비용종류를 선택해주세요!!!");
			return false;
	}								
	
	if(profKindCdFg > 0)
	{
			alert("증빙종류를 선택해주세요!!!");
			return false;
	}								
			
	// 2018-08-01 두비스  전자세금계산서 추가 
	if(vtaxExistFg > 0)
	{
			alert("증빙종류가 세금계산서, 전자세금계산서일 경우 부가세항목은 필수입니다.\n증빙종류가 계산서일 경우 부가세가 없어야 합니다.");
			return false;
	}

	if(busiCdExistFg > 0)
	{
			alert("사업자번호가 빠졌습니다. 확인해주세요!!!");
			return false;
	}
							
	if(busiNmExistFg > 0)
	{
			alert("사업자명이 빠졌습니다. 확인해주세요!!!");
			return false;
	}

	
	if(zeroProfDescErrCnt > 0)
	{
			alert("발행할 공급가+부가세가 0인 항목이 있습니다. 확인해주세요!!!");
			return false;			
	}
							
	if(pledJadvFee != pledJadvFeeTot) {
		alert("변호법무수수료 공급가"+sumErrorMsg+"\n(비용금액 : "+pledJadvFee+", 증빙금액총합 : "+pledJadvFeeTot+")"); 
		return false;
	}
	if(pledJdcaFeeVtax != pledJdcaFeeVtaxTot ) {
		alert("변호법무수수료 부가세"+sumErrorMsg+"\n(비용금액 : "+pledJdcaFeeVtax+", 증빙금액총합 : "+pledJdcaFeeVtaxTot+")");
		return false;
	}
	if(etcCost != etcCostTot) {
		alert("기타비용 공급가"+sumErrorMsg+"\n(비용금액 : "+etcCost+", 증빙금액총합 : "+etcCostTot+")"); 
		return false;
	}
	if(etcCostVtax != etcCostVtaxTot) {
		alert("기타비용 부가세"+sumErrorMsg+"\n(비용금액 : "+etcCostVtax+", 증빙금액총합 : "+etcCostVtaxTot+")"); 
		return false;
	}
	if(depsAmt != depsAmtTot) {
		alert("공탁금 현금"+sumErrorMsg+"\n(비용금액 : "+depsAmt+", 증빙금액총합 : "+depsAmtTot+")"); 
		return false;
	} 
	if(depsInsuFee != depsInsuFeeTot) {
		alert("공탁금 보험료"+sumErrorMsg+"\n(비용금액 : "+depsInsuFee+", 증빙금액총합 : "+depsInsuFeeTot+")");
		return false;
	}
	if(stmpLrge != stmpLrgeTot) {
		alert("인지대 "+sumErrorMsg+"\n(비용금액 : "+stmpLrge+", 증빙금액총합 : "+stmpLrgeTot+")"); 
		return false;
	} 
	if(crtfplcLrge != crtfplcLrgeTot) {
		alert("증지대 "+sumErrorMsg+"\n(비용금액 : "+crtfplcLrge+", 증빙금액총합 : "+crtfplcLrgeTot+")"); 
		return false;
	}
	if(dsptFee != dsptFeeTot) {
		alert("송달료 "+sumErrorMsg+"\n(비용금액 : "+dsptFee+", 증빙금액총합 : "+dsptFeeTot+")"); 
		return false;
	}
	if(rtax != rtaxTot) {
		alert("등록세 "+sumErrorMsg+"\n(비용금액 : "+rtax+", 증빙금액총합 : "+rtaxTot+")");
		return false;
	} 
	if(ppayamt != ppayamtTot) {
		alert("예납금 "+sumErrorMsg+"\n(비용금액 : "+ppayamt+", 증빙금액총합 : "+ppayamtTot+")"); 
		return false;
	}				
	
	
	//증빙파일 올리기 전 사전 체크
	var orgFileNm;
	var localFile;
	var remoteFile;
	var fileNm;
	var fileExt;
  
	var rowCnt = this.DS_PROF_MNG_TMP.getrowcount();  // 운영에 반영할 총 증빙 개수를 정한다. 
	var dupFg = 0;		
	//--var etcFrstRegRow = this.DS_PROF_MNG_TMP.SearchRow("profKindCd=='10'&&profRlFileNm!=null"); // 기타를 입력한 첫번째 로우건 

	var frstProfRlFileNm 		= "";
	var frstLocalPath		 	= "";
	
	// 증빙종류가 기타(10)건만 증빙파일이 등록되지 않은건 이면 자동으로 첫번째 등록된 증빙파일명을 등록 
	for(var i = 0 ; i < rowCnt ; i++) 
	{
		var profKindCd 			= this.DS_PROF_MNG_TMP.getdatabyname(i, "profKindCd");   // 증빙종류코드 
		//--var profRlFileNm    = this.DS_PROF_MNG_TMP.getdatabyname(i, "profRlFileNm"); // 파일명등록 
		var localPath    	  = this.DS_PROF_MNG_TMP.getdatabyname(i, "localPath"); // 등록파일 실 디렉토리 
			  
		if(profKindCd == "10" && (profRlFileNm == "" || profRlFileNm == null))
		{
			this.DS_PROF_MNG_TMP.setdatabyname(i, "localPath"	, frstLocalPath);
			this.DS_PROF_MNG_TMP.setdatabyname(i, "profRlFileNm"	, frstProfRlFileNm);				
		}
	}

			
	// 증빙변경파일명이 세팅되어있는지 체크
	//--var profChngFileNm =  this.DS_PROF_MNG_TMP.getdatabyname(0, "profChngFileNm");
		
	// 법비용증빙
	//gf_MakeDatasetForTransaction(this.DS_PROF_MNG_TMP, this.DS_PROF_MNG_SEND, false);
	//gf_SetNullStrAll(this.DS_PROF_MNG_SEND);
*/

	// 2018-08-01 두비스 이중전표발생 부분 조금더 보강
	if(SYSUtil.comConfirm("비용발생 하시겠습니까?"))
	{
		this.btnCostReg.setenable(false); // 비용발생
		this.btnCostCncl.setenable(false); // 비용취소	


		//멀티업로드 버튼 임시 주석
		//if(Button1_OnClick() == false)
		//{
			//alert('파일업로드중 에러가 발생하였습니다!!!\n조회후 다시 등록해주세요!!!');								
			//ProgressBar.Visible = false;
			//Grid_prograssbar.Visible = false;
			//Button_msg.Visible = false;
			//return false;
		//}														

		//var fstrArg = "task=" + quote("update") + " action=update9" + " classId ="+ quote("BLMLA0401");
		
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U07");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}	
			
	}
	else
	{  
		this.btnCostReg.setenable(true); // 비용발생
		this.btnCostCncl.setenable(true); // 비용취소	
	}
}

function btnCostCncl_on_click(objInst)
{
	console.log("#### btnCostCncl_on_click call");	
	//역할(권한) 체크
	//if ( !fn_ChkButnRole( "요청" ))
	//{
		//return;
	//}
		
	var curRowNum = this.DS_SDDO04.getpos();
	var vochNoFg  = this.DS_SDDO04.getdatabyname(curRowNum, "vochNo");	
	
	// 법조치증빙 - 취소전표처리 추가 
	var cnclFg    = this.DS_SDDO04.getdatabyname(curRowNum, "cnclFg");	
			
	if(cnclFg == "1")
	{
		alert("취소된 전표입니다. 전표발행/취소가 불가합니다.");
		return false;
	}
	
	// 2018-08-01 두비스 삭제후 전표번호 없는것들이 전표삭제가 되는것을 방지하기 위해서 로직 추가
/* 전표로직 임시 주석 처리 JYP
	if(vochNoFg == null || vochNoFg == "")
	{
		alert("취소할 전표번호가 없습니다. 다시 확인해주세요!!!");
		this.chk_btn_ctl_1(curRowNum) ;			
		return false;
	}
*/	
		
		
	// 2018-08-01 두비스 법적조치 잔액관련 처리 추가 (취소는 현재 법적조치 잔액보다 클 수 없다.)
	// depsAmt+depsInsuFee+stmpLrge+crtfplcLrge+dsptFee+rtax+ppayamt+pledJadvFee+etcCost
	var spay_amt = this.DS_SDDO01.getdatabyname(0, "spayAmt");  // 현재 남아있는 법적조치 잔액
	
	var currow   = this.DS_SDDO04.getpos();
	
	// 법조치증빙 - 변호법무수수료부가세, 기타비용부가세 추가 (공탁금은 제외한다.depsAmt)
	var ask_amt  =   parseInt(this.DS_SDDO04.getdatabyname(currow, "depsInsuFee"))
								 + parseInt(this.DS_SDDO04.getdatabyname(currow, "stmpLrge")) + parseInt(this.DS_SDDO04.getdatabyname(currow, "crtfplcLrge"))
								 + parseInt(this.DS_SDDO04.getdatabyname(currow, "dsptFee"))  + parseInt(this.DS_SDDO04.getdatabyname(currow, "rtax"))
								 + parseInt(this.DS_SDDO04.getdatabyname(currow, "ppayamt"))  + parseInt(this.DS_SDDO04.getdatabyname(currow, "pledJadvFee"))
								 + parseInt(this.DS_SDDO04.getdatabyname(currow, "etcCost"))
								 + parseInt(this.DS_SDDO04.getdatabyname(currow, "pledJdcaFeeVtax"))
								 + parseInt(this.DS_SDDO04.getdatabyname(currow, "etcCostVtax"))									 
								 ;

    var leglActnCostRamt = parseInt(this.DS_SDDO04.getdatabyname(currow, "leglActnCostRamt")); // 해당비용의 잔액

	if(ask_amt != leglActnCostRamt)
	{
			alert("해당비용은 정산중이거나 정산완료된 비용입니다.\n취소하시려면 정산내역을 취소하신 후 취소가능합니다.\n- 발생법비용 : "+ask_amt+"\n- 법비용잔액 : "+leglActnCostRamt+"\n- 법비용차액 : " + parseInt(ask_amt) - parseInt(leglActnCostRamt));
			return false;					
	}
	
	
	var depsAmt     = this.DS_SDDO04.getdatabyname(currow, "depsAmt"); 		// 해당비용의 공탁금액 
	var depsAmtRamt = this.DS_SDDO04.getdatabyname(currow, "depsAmtRamt"); // 해당비용의 공탁금 잔액 
	
	if(depsAmt != depsAmtRamt)
	{
			alert("해당공탁금은 정산중이거나 정산완료되었습니다.\n취소하시려면 공탁금정산내역을 취소하신 후 취소가능합니다.\n- 발생공탁금 : "+depsAmt+"\n- 공탁금잔액 : "+depsAmtRamt+"\n- 공탁금차액 : " + parseInt(depsAmt)- parseInt(depsAmtRamt));
			return false;					
	}

	if(ask_amt > spay_amt)
	{
		alert("비용취소할 금액(\\"+ask_amt+")이 현재 남아있는 법조치잔액(\\"+spay_amt+")보다 큽니다.\n확인후 다시 처리해주세요!!!");
		return false;
	}
			
	var cnclDt  = this.DS_SDDO04.getdatabyname(curRowNum, "cnclDt");	
	var acctDt  = this.DS_SDDO04.getdatabyname(curRowNum, "acctDt");	
	
	if(cnclDt == null || cnclDt == "")
	{
		alert("취소일자를 입력해주세요!!!");
		return false;
	}
	
	if(cnclDt > factory.datetoday()) 
	{
		alert("취소일자가 현재날짜이후로 취소할 수 없습니다.");
		return false;
	}		

		
	if(cnclDt < acctDt) 
	{
			alert("취소일자는 지급일자이후로만 취소가 가능합니다.");
			return false;
	}		
		
	// #################################대손건 / 정상건외에 죽은건은 발생되면 안되도록 처리 할 것 

	// 대손건도 처리 가능하도록 변경 (2018-08-01) - 정상,대손외에는 처리 불가로 변경 
	var loanStatCd       = this.DS_SDDO01.getdatabyname(0, "loanStatCd");
	var badDebtAfOccrDiv = this.DS_SDDO04.getdatabyname(curRowNum, "badDebtAfOccrDiv"); // 대손후발생여부 
			
	if (loanStatCd != "22" && loanStatCd != "29" && loanStatCd != "3B") 
	{ 
		alert("정상/대손건외에는 법조치비용을 취소할 수 없습니다.");
		return false;
	}
	
	if(loanStatCd == "3B" && badDebtAfOccrDiv != "1" )
	{
		alert("대손이전에 발생한 비용에 대한 취소는 불가합니다!!!!");
		return false;		
	}

	// 2018-08-01 두비스 기존법적조치 비용발생건(전표번호가 있어야 함)은 "익일이후-결제일기준" 비용취소가 불가
	var strDate 	= factory.datetoday();
	var jstDt 		= this.DS_SDDO04.getdatabyname(curRowNum, "jstDt");

	//strDate = Mid(strDate, 0, 4) +"-" +Mid(strDate, 4, 2) + "-" +Mid(strDate, 6, 2);
	//jstDt 	= Mid(jstDt, 0, 4) + "-" + Mid(jstDt, 4, 2) + "-" + Mid(jstDt, 6, 2);
		
    // 2018-08-01 두비스 pl담당자가 비용취소 가능
	var prdtMidClasCd = this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "prdtMidClasCd");
	
	if(SYSUtil.comConfirm("비용취소(전표취소) 하시겠습니까?"))
	{   
		this.edtConsShNoBak.settext(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo"));
		this.edtCustNoBak.settext(this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "custNo"));

		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "actnRsnCntn", this.DS_SDDO03.getdatabyname(0, "actnRsnCntn") + " ");

		var strDate = factory.datetoday();
						
		if (this.DS_SDDO04.getdatabyname(this.DS_SDDO04.getpos(), "recpDt") == strDate) 
		{
			this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "recpDt", " ");
		} 
		else 
		{
			this.DS_SDDO04.setdatabyname(this.DS_SDDO04.getpos(), "recpDt", strDate);
		}
		
		//2018-08-01 (두비스) start
		var tmp_Contents = "";										
		//tmp_Contents = this.DS_SDDO04_TMP.Contents;
		
		this.DS_SDDO04_TMP.deleteallrows();
		//this.DS_SDDO04_TMP.Contents = tmp_Contents ;
						
		this.DS_SDDO04_TMP.addrow();
		//  CopyRow(0,"this.DS_SDDO04",this.DS_SDDO04.getpos());
		this.DS_SDDO04_TMP.copyrow(this.DS_SDDO04, this.DS_SDDO04.getpos(), true);

		//2018-08-01 회수전문직 권한 추가
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngDeptCd", this.DS_SDDO01.getdatabyname(0, "mngDeptCd"));
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcBndDivsEmpNo", this.DS_SDDO01.getdatabyname(0, "mngPlcBndDivsEmpNo"));
		this.DS_SDDO03.setdatabyname(this.DS_SDDO03.getpos(), "mngPlcDivCd", this.DS_SDDO01.getdatabyname(0, "mngPlcDivCd"));

		//gf_MakeDatasetForTransaction(this.DS_SDDO03, this.DS_SDDO03_SEND, false);
		//gf_MakeDatasetForTransaction(this.DS_SDDO04_TMP, this.DS_SDDO04_SEND, false);
		// 법비용증빙

		//gf_SetNullStrAll(this.DS_SDDO03_SEND);
		//gf_SetNullStrAll(this.DS_SDDO04_SEND);
										
		//hi_20180109 네트웍지연에의한 2중전표발행오류해결 start

		this.btnCostReg.setenable(false); // 비용발생
		this.btnCostCncl.setenable(false); // 비용취소
		
		//hi_20180109 네트웍지연에의한 2중전표발행오류해결 end

		//var fstrArg = "task=" + quote("update") + " action=update10" + " classId ="+ quote("BLMLA0401");
			
		//gf_Transaction
		//(
				//"update",
				//G_WAS_URL,
				//"G_this.DS_USER=G_this.DS_USER this.DS_SDDO03=this.DS_SDDO03_SEND this.DS_SDDO04=this.DS_SDDO04_SEND this.DS_PROF_MNG=this.DS_PROF_MNG this.DS_SDDO01=this.DS_SDDO01",
				//"",
				//fstrArg,
				//"fn_TranCallback" 
		//);
		
		alert("회계일자 확인" + this.DS_SDDO04.getdatabyname(0,"acctDt" ) );
		
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "BLMLMM02U08");
	
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}

	} 
}


// 비용발생, 비용취소 버튼 컨트롤
function chk_btn_ctl_1(nRow)
{
	console.log("#### chk_btn_ctl_1 call");	
	// 2018-08-01 두비스 null처리 변경 기존 != '' 에서 > '' 변경
	
	if(this.DS_SDDO04.getdatabyname(nRow, "vochNo") > ""  || this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consShNo").substr(0,4) == "0605")
	{
		this.btnCostReg.setvisible(false);
		this.btnCostCncl.setvisible(true);	
					
		this.setCloseCons2(); 						// 비용의뢰 화면 컨트롤(close)
	} 
	else 
	{
		if (SYSUtil.Trim(this.DS_SDDO03.getdatabyname(this.DS_SDDO03.getpos(), "consStatCd")) == "3") 
		{
				this.btnCostReg.setvisible(true);		// 비용발생버튼 
		} 
		else 
		{
				this.btnCostReg.setvisible(false);		// 비용발생버튼 
		}
		
		this.btnCostCncl.setvisible(false);
		//this.setOpenCons2(); // 비용의뢰 화면 컨트롤(Open)
	}
		// return false;
}	

function setCloseCons2() 
{
	console.log("#### setCloseCons2 call");	
	this.calPledrJadvReqDt.setenable(false);    //의뢰일자
	this.edtPayPlc.setenable(false);			//지급처
}

function setOpenCons2() {
	console.log("#### setOpenCons2 call");	
	
	
	this.calPledrJadvReqDt.setenable(true);	    //의뢰일자
	this.edtPayPlc.setenable(true);			//지급처
}



function btnAdd_on_click(objInst)
{
	console.log("#### btnAdd_on_click call");	
	var consStatCd =  this.DS_SDDO03.getdatabyname(0, "consStatCd");
    
    //if(consStatCd != '3')
    //{
	//	alert('본부승인완료건만 비용발생이 가능합니다.');
	//	return false;
    //}
    
    // bind dataset 변경 (임시 데이터셋에 세팅)
    //Grid_profMng.BindDataset = 'this.DS_PROF_MNG_TMP';    
    
	// 2018-08-01 품의번호가 '0605'일경우 행추가 안되게끔 설정
	var consShNo = this.edtConsShNo.gettext();
		
	if(consShNo.lengh > 4)
	{
		if(consShNo.substr(0,4) == '0605')
		{
			alert("이미 법적조치비용 완료된 건이므로 행추가 할 수 없습니다.");
			return false;
		}
	}	
	
	var totCnt        = this.DS_SDDO04.getrowcount();
	var unRegisterCnt = 0;
		
	for(var i = 0; i < totCnt; i++)
	{
		var vochNo = this.DS_SDDO04.getdatabyname(i, "vochNo");
			
		if(vochNo == "" || vochNo == null)
		{
				unRegisterCnt++;
		}
	}
		
	if(unRegisterCnt > 0)
	{
		alert("이미 등록된 미발생건이 있습니다. 행추가할 수 없습니다.");
		return false;
	}
	
	this.edtJdcaReqBizNo.setvisible(true);
    this.cboPayDivCd.setenable(true);
	this.calPledrJadvReqDt.setenable(true);
	
	var ds_row = this.DS_SDDO04.insertrow(0);
	
	this.setFirstCostInfoBase(0);
	this.chk_btn_ctl_1(ds_row) ;
			
	// 법조치비용 - 신규행추가시 증빙관리 내용 클리어 
	this.DS_PROF_MNG.deleteallrows();
	//this.DS_PROF_MNG_TMP.ClearData();
		
	// 지급구분은 기본적으로 1:법무/변호사를 세팅한다.
	this.cboPayDivCd.setselectedcode("1");
		
	// 2018-08-01 두비스 지급방법에 본부예금/본사예금만 나올수 있도록 변경 
	//this.DS_ASK_DIV.getpick Filter("cd!=2");
	
	var totCnt = this.grdCost.getrowcount();
	
	for(var i = 0; i < totCnt; i++)
	{
		var strFilter = this.grdCost.getitempicklistfilter(i, 5);
		if(strFilter.length <= 0) {
			// 그리드 컬럼이 코드콤보박스일 경우 코드 값이 3 보다 작은 데이터 필터링
			this.grdCost.setitempicklistfilter(i, 5, "cdDescNo,!=,\"2\"");
		}
	}
	
	this.grdCost.setcolumneditable(1, true);  // 지급일자
	this.grdCost.setcolumneditable(2, true);  // 취소일자
	this.grdCost.setcolumneditable(5, true);  // 지급방법
	this.grdCost.setcolumneditable(7, true);  // 변호법무수수료-공급가
	this.grdCost.setcolumneditable(8, true);  // 변호법무수수료-부가세
	this.grdCost.setcolumneditable(10, true);  // 기타비용-공급가
	this.grdCost.setcolumneditable(11, true);  // 기타비용-부가세
	
	this.grdCost.setcolumneditable(13, true);  // 공탁금-현금
	this.grdCost.setcolumneditable(14, true);  // 공탁금-보험료
	this.grdCost.setcolumneditable(15, true);  // 인지대
	this.grdCost.setcolumneditable(16, true);  // 증지대
	this.grdCost.setcolumneditable(17, true);  // 송달료
	this.grdCost.setcolumneditable(18, true);  // 등록세
	this.grdCost.setcolumneditable(19, true);  // 예납금
	
	
	
	this.cboPayDivCd_on_itemchange();
}

function btnRowDel_on_click(objInst)
{
	console.log("#### btnRowDel_on_click call");	
	var curRow = this.DS_SDDO04.getpos();
	var curRowNum = this.DS_SDDO04.getpos();
	var vochNo = this.DS_SDDO04.getdatabyname(curRow, "vochNo");
	var orgSnum = this.DS_SDDO04.getdatabyname(curRow, "orgSnum");
		
	if(vochNo == "" || vochNo == null)
	{
	
		if (curRow < 0) return false;
		
		if(SYSUtil.comConfirm("삭제하시겠습니까?"))
		{
			this.DS_SDDO04.deleterow(curRow);	
			// 행삭제 할때도 행을 선택할때처럼 체크할 로직을 추가한다. (2018-08-01)
			this.chk_btn_ctl_1(curRowNum) ;
				
		}
	}
	else
	{
		alert("미발생건만 행삭제 가능합니다.");
		return false;
	}
}


function btnOpn_on_click(objInst)
{
	console.log("#### btnOpn_on_click call");	
	if (this.DS_SDDO03.getdatabyname(0,"consShNo").length == 0) 
	{	
		alert("조회를 먼저 실행하신후에 처리하십시오.");
		return false;				
	}	
	
	this.DS_CONSOPN.setdatabyname(0,"name", this.DS_SDDO03.getdatabyname(0, "bndDivsManEmpNm"));
	this.DS_CONSOPN.setdatabyname(1,"name", this.DS_SDDO03.getdatabyname(0, "dutyManAprvEmpNm"));
	this.DS_CONSOPN.setdatabyname(2,"name", this.DS_SDDO03.getdatabyname(0, "tmgrAprvEmpNm"));
	this.DS_CONSOPN.setdatabyname(3,"name", this.DS_SDDO03.getdatabyname(0, "bonbAprvEmpNm"));
		
	this.DS_CONSOPN.setdatabyname(0,"consOpn", this.DS_SDDO03.getdatabyname(0, "consRsn"));
	this.DS_CONSOPN.setdatabyname(1,"consOpn", this.DS_SDDO03.getdatabyname(0, "dutyManOpn"));
	this.DS_CONSOPN.setdatabyname(2,"consOpn", this.DS_SDDO03.getdatabyname(0, "tmgrOpn"));
	this.DS_CONSOPN.setdatabyname(3,"consOpn", this.DS_SDDO03.getdatabyname(0, "bonbOpn"));
		
	this.DS_CONSOPN.setdatabyname(0,"creatDt", this.DS_SDDO03.getdatabyname(0, "consDt")); 
	this.DS_CONSOPN.setdatabyname(1,"creatDt", this.DS_SDDO03.getdatabyname(0, "dutyManAprvDt")); 
	this.DS_CONSOPN.setdatabyname(2,"creatDt", this.DS_SDDO03.getdatabyname(0, "tmgrAprvDt")); 
	this.DS_CONSOPN.setdatabyname(3,"creatDt", this.DS_SDDO03.getdatabyname(0, "bonbAprvDt")); 
		
	var param = {"DS_CONSOPN":this.DS_CONSOPN};
			
	// 팝업 Title
	var popupTitle = "법적조치품의의견";
	//팝업 경로
	var popupPath = "/BIZ/B/LM/LM/BLMLMP01";
			
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}


/**
 * 데이터행 사용자 정의 표현 함수
 * @param nRow 행 인덱스 (Zero-Based)
 * @param nColumn 열 인덱스 (Zero-Based)
 * @param strItemText 아이템 텍스트
 */
function ExprFuncData(nRow, nColumn, strItemText, objGrid)
{
	console.log("#### ExprFuncData call");	
}

function grdCost_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{	
	console.log("#### grdCost_on_itemvaluechanged call");	
	if(nColumn == 7)
	{
		if(strPrevItemText != strItemText)
		{
			var pledJadvFee        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "pledJadvFee")); // 변호법무수수료 공급가
			var pledJdcaFeeVtax    = Math.round((parseInt(this.DS_SDDO04.getdatabyname(nRow, "pledJadvFee")||0) * 0.1)); // 변호법무수수료 부가세
			var sumPledJdcaFeeVtax = parseInt(pledJadvFee) + parseInt(pledJdcaFeeVtax); // 변호법무수수료합계
			var sumEtcCost         = parseInt(this.DS_SDDO04.getdatabyname(nRow, "sumEtcCost")); // 기타비용합계
			var depsAmt            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "depsAmt")); // 공탁금 현금
			var depsInsuFee        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "depsInsuFee")); // 공탁금 보험료
			var stmpLrge           = parseInt(this.DS_SDDO04.getdatabyname(nRow, "stmpLrge")); // 인지대
			var crtfplcLrge        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "crtfplcLrge")); // 증지대
			var dsptFee            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "dsptFee")); // 송달료
			var rtax               = parseInt(this.DS_SDDO04.getdatabyname(nRow, "rtax")); // 등록세
			var ppayamt            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "ppayamt")); // 예납금
			
			var sumAmt = parseInt(sumPledJdcaFeeVtax) + parseInt(sumEtcCost) + parseInt(depsAmt) + parseInt(depsInsuFee)
				       + parseInt(stmpLrge) + parseInt(crtfplcLrge) + parseInt(dsptFee) + parseInt(rtax) + parseInt(ppayamt);
			
			this.DS_SDDO04.setdatabyname(nRow, "pledJdcaFeeVtax"     , pledJdcaFeeVtax); // 변호법무수수료 부가세
			this.DS_SDDO04.setdatabyname(nRow, "sumPledJdcaFeeVtax"  , sumPledJdcaFeeVtax); // 변호법무수수료합계
			this.DS_SDDO04.setdatabyname(nRow, "sumAmt"              , sumAmt); // 총합계
			
			
			
		}
	} else {
		
		var pledJadvFee        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "pledJadvFee")); // 변호법무수수료 공급가
		var pledJdcaFeeVtax    = parseInt(this.DS_SDDO04.getdatabyname(nRow, "pledJdcaFeeVtax")); // 변호법무수수료 부가세
		var sumPledJdcaFeeVtax = parseInt(pledJadvFee) + parseInt(pledJdcaFeeVtax); // 변호법무수수료합계
		var etcCost            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "etcCost")); // 기타비용 공급가
		var etcCostVtax        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "etcCostVtax")); // 기타비용 부가세
		var sumEtcCost         = parseInt(etcCost) + parseInt(etcCostVtax); // 기타비용합계
		var depsAmt            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "depsAmt")); // 공탁금 현금
		var depsInsuFee        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "depsInsuFee")); // 공탁금 보험료
		var stmpLrge           = parseInt(this.DS_SDDO04.getdatabyname(nRow, "stmpLrge")); // 인지대
		var crtfplcLrge        = parseInt(this.DS_SDDO04.getdatabyname(nRow, "crtfplcLrge")); // 증지대
		var dsptFee            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "dsptFee")); // 송달료
		var rtax               = parseInt(this.DS_SDDO04.getdatabyname(nRow, "rtax")); // 등록세
		var ppayamt            = parseInt(this.DS_SDDO04.getdatabyname(nRow, "ppayamt")); // 예납금
		
		var sumAmt = parseInt(sumPledJdcaFeeVtax) + parseInt(sumEtcCost) + parseInt(depsAmt) + parseInt(depsInsuFee)
				   + parseInt(stmpLrge) + parseInt(crtfplcLrge) + parseInt(dsptFee) + parseInt(rtax) + parseInt(ppayamt);
		
		this.DS_SDDO04.setdatabyname(nRow, "sumAmt"             , sumAmt);
		this.DS_SDDO04.setdatabyname(nRow, "sumPledJdcaFeeVtax" , sumPledJdcaFeeVtax);
		this.DS_SDDO04.setdatabyname(nRow, "sumEtcCost"         , sumEtcCost);		
		
	}
}

function grdCost_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("#### grdCost_on_itemclick call");	
	
	//
	
	
	if( this.DS_SDDO04.getdatabyname( nClickRow, "occrYnDivCd" ) == "01" && nClickRow == 0 ){
		if( nClickColumn == 1 || nClickColumn == 5 || nClickColumn == 7 || nClickColumn == 8 || nClickColumn == 10 
		 || nClickColumn == 11 || nClickColumn == 13 || nClickColumn == 14 || nClickColumn == 15 || nClickColumn == 16
		 || nClickColumn == 17 || nClickColumn == 18 || nClickColumn == 19 )
		{
			console.log("#### grdCost_on_itemclick call - 수정 가능");	
			this.grdCost.setitemeditable(nClickRow, nClickColumn, true);
		} else {
			console.log("#### grdCost_on_itemclick call - 수정 불가");	
			this.grdCost.setitemeditable(nClickRow, nClickColumn, false);
		}
		
	} else if( this.DS_SDDO04.getdatabyname( nClickRow, "occrYnDivCd" ) == "02" && nClickColumn == 2 ){
		console.log("#### grdCost_on_itemclick call - 수정 가능");	
		this.grdCost.setitemeditable(nClickRow, nClickColumn, true);
	} else {
		console.log("#### grdCost_on_itemclick call - 수정 불가");	
		this.grdCost.setitemeditable(nClickRow, nClickColumn, false);
	}
}

function btnBCNUIM02_on_click(objInst)
{
	var gLoanNo   = this.edtLoanNo.gettext();
	var gLoanSeq  = this.edtLoanSeq.gettext();
	var gCsNo     = this.DS_SDDO02.getdatabyname(DS_SDDO02.getpos, "custNo");
	var gCsNm     = this.DS_SDDO02.getdatabyname(DS_SDDO02.getpos, "custNm");
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq, "CS_NO":gCsNo, "CS_NM":gCsNm};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/CN/UI/BCNUIM02","채권상담관리" , sendData);
}

//재산조사 화면 호출
function btnBVIWDM03_on_click(objInst)
{
	var gLoanNo   = this.edtLoanNo.gettext();
	var gLoanSeq  = this.edtLoanSeq.gettext();
	var gCsNo     = this.DS_SDDO02.getdatabyname(DS_SDDO02.getpos, "custNo");
	var gCsNm     = this.DS_SDDO02.getdatabyname(DS_SDDO02.getpos, "custNm");
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq, "CS_NO":gCsNo, "CS_NM":gCsNm};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/VI/WD/BVIWDM03","재산조사등록" , sendData);
}

//법조치 결과/일정등록 호출
function btnBLMLMM03_on_click(objInst)
{
	var gLoanNo   = this.edtLoanNo.gettext();
	var gLoanSeq  = this.edtLoanSeq.gettext();
	var gCsNo     = this.DS_SDDO02.getdatabyname(DS_SDDO02.getpos, "custNo");
	var gConsShNo = this.edtConsShNo.gettext();
	
	var sendData = {"LOAN_NO":gLoanNo , "LOAN_SEQ":gLoanSeq, "CS_NO":gCsNo, "CONS_SH_NO":gConsShNo};

	SYSUtil.goToWorkPage(this.screen, "/BIZ/B/VI/WD/BVIWDM03","재산조사등록" , sendData);
}