﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var searchGubun = "";

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT",  false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;	

}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	
	this.DS_SMDO.deleteallrows();
	this.DS_SMDO.addrow();
	
	this.DS_SMDO.setdatabyname(0,"fromConsDt", this.fromConsDt.gettext());								/* 품의시작일자 */
	this.DS_SMDO.setdatabyname(0,"toConsDt", this.toConsDt.gettext());									/* 품의종료일자 */
	this.DS_SMDO.setdatabyname(0,"mngDeptCd", this.mngDeptCd.getselectedcode());						  /* 관리부서코드 */
	this.DS_SMDO.setdatabyname(0,"empNo", this.empNo.gettext());										  /* 담당자사번 */
	this.DS_SMDO.setdatabyname(0,"prdtLrgeClasCd", this.prdtLrgeClasCd.getselectedcode().substr(0,1));	/* 상품대분류코드 */
	this.DS_SMDO.setdatabyname(0,"prdtMidClasCd", this.prdtLrgeClasCd.getselectedcode().substr(1,2));	 /* 상품중분류코드 */
	this.DS_SMDO.setdatabyname(0,"loanNo", this.loanNo.gettext());										/* 대출번호 */
	this.DS_SMDO.setdatabyname(0,"loanSeq", this.loanSeq.gettext());									  /* 대출순번 */
	this.DS_SMDO.setdatabyname(0,"custNo", this.custNo.gettext());										/* 고객번호*/
			
	this.DS_SDDO.deleteallrows();

	var bRet = SYSTran.requestSubmitAsync(screen, "BLMLMM06S01");	
   
	if(bRet == false) {
        screen.alert("데이터 송신중 오류가 발생하였습니다.");
   }else{
		
   }   
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
	// 데이터셋 초기화
	this.DS_SDDO.deleteallrows();
	
	this.mngDeptCd.setselectedindex(0);
	this.fromConsDt.settext("");
	this.toConsDt.settext("");
	this.empNo.settext("");
	this.empNm.settext("");
	this.prdtLrgeClasCd.setselectedindex(0);
	this.loanNo.settext("");
	this.loanSeq.settext("");
	this.custNo.settext("");
	this.custNm.settext("");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */



function Image_search_cust_no_on_click(objInst)
{
	searchGubun = "Y";
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.custNo.gettext(), "loanSeq":this.custNm.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function Image_Search_cust_on_click(objInst)
{
	searchGubun = "N";
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.loanNo.gettext(), "loanSeq":this.loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			if(searchGubun == "Y"){
				this.custNo.settext(objExtdata.custNo); 
				this.custNm.settext(objExtdata.custNm); 	
			}else{
				this.loanNo.settext(objExtdata.loanNo);
				this.loanSeq.settext(objExtdata.loanSeq);	
			}	
		}// 담당자 자료사전 콜백
		else if(objExtdata.popId == "CCMCMP05"){
			this.empNo.settext(objExtdata.empNo); 
			this.empNm.settext(objExtdata.korName); 	
		}
	
	}		
}

function empNo_on_click(objInst, buttonclick)
{
	// 업무화면으로 전달할 데이터
	var param = {"DATADICNO":"BT_EMP_BASE"};
	// 팝업 Title
	var popupTitle = "데이터사전";
	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}