﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
var transactionFg = "";	// insert, delete, update 에따라  statusMsg 세팅 하기위한 플래그
var dataDicFg = "";	// 자료사전 플래그

var og_vsitDt = ""; //방문일자가 수정되었을때 원본 vsitDt를 저장하기 위한 용도 입니다.
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) 
{
	/* 방문 내용/결과 데이터 삭제 */
	if(popup_name == "deleteMsg00"){
		if(result == "확인"){
			this.DS_SDDO03.setrowoperation(0, XFD_ROWOP_DELETE);
			this.ue_update();	
		}
		
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load()
{

    SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
    // 공통코드 Set
    this.searchCodeList();

    // 초기화 Set
    this.ue_init();
   
    this.inp_loanNo.setfocus(true);
}

// 메세지처리 이벤트
function screen_on_messagebox(messagebox_id, result)
{
    
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
/**************************************
 * 공통 인쇄 버튼 이벤트
 **************************************/
function ue_print()
{
    console.log("#### ue_print() call");
}

/**************************************
 * 공통 조회 버튼 이벤트
 **************************************/
function ue_query()
{
	// 조회조건 체크
	if (!this.validationCheck()) {
		return false;
	}
	
	/* 데이터 초기화 */
	this.DS_SDDO02.init();
	this.DS_SDDO03.init();
	this.DS_SDDO06.init();
	
	this.screen.setscreenprotect(true);	//화면 잠금
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM01S01");  
}

/**************************************
 * 공통 추가 버튼 이벤트
 **************************************/
function ue_insert()
{
    console.log("#### ue_insert() call");
}

/**************************************
 * 공통 저장 버튼 이벤트
 **************************************/
function ue_update()
{
	console.log("#### ue_update() call");
	//console.log("$$$$ ROW OPERATION : "+ this.DS_SDDO03.getrowoperation(0)+ " $$$$$");
	/**  방문내용/결과 데이터가 없거나 수정 | 삭제| 추가 가 없는 경우 return false */
	if(this.DS_SDDO03.getrowcount() < 1 || this.DS_SDDO03.getrowoperation(0) == XFD_ROWOP_NONE){
		return false;
	}
	/*
	* 방문내용/ 결과를 추가 할때는 방문 예정 그리드가 선택되어야 한다.
	* 대출번호, 대출순서가 있어야한다.
	*/
	if(this.DS_SDDO03.getrowoperation(0) == XFD_ROWOP_INSERT){
		if(factory.stringtrim(this.inp_loanNo.gettext()) == "" || factory.stringtrim(this.inp_loanSeq.gettext()) == "" ){
			SYSUtil.setStatusMsg(this.screen, "안내", 1, "방문관리 내역을 조회해주세요.", "msg00");
			this.inp_loanNo.setfocus(true);
			return false;
		}
		
		if(this.DS_SDDO02.getpos() == -1){//서브 그리드가 조회된 데이터가 없을때
			SYSUtil.setStatusMsg(this.screen, "안내", 1, "방문관리 그리드를 선택하여 주세요", "msg00");
			return false;
		}
		this.DS_SDDO03.setdatabyname(0, "loanNo", this.inp_loanNo.gettext());
		this.DS_SDDO03.setdatabyname(0, "loanSeq", this.inp_loanSeq.gettext());
	}else if(this.DS_SDDO03.getrowoperation(0) == XFD_ROWOP_UPDATE){
		this.DS_SDDO03.setdatabyname(0, "ogVsitDt" , og_vsitDt);
	}
	
	this.screen.setscreenprotect(true);	//화면잠금
	transactionFg = this.DS_SDDO03.getrowoperation(0);	// insert, delete, update 에따라 statusMsg 세팅 하기위한 플래그
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "BVIWDM01U01");
}

/**************************************
 * 공통 삭제 버튼 이벤트
 **************************************/
function ue_delete()
{
	console.log("#### ue_delete() call");
	
	/** 삭제할 데이터가 있는지 확인 */
	if(this.DS_SDDO03.getrowcount() < 1){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "삭제할 데이터가 없습니다.", "msg00");
		return false;
	}
	
	SYSUtil.loadMessageBox(this.screen, "안내", 2, "삭제하시겠습니까?", "deleteMsg00");	//이후 screen_on_popupdestroy() 호출됩니다.
	
}

/**************************************
 * 공통 초기화 버튼 이벤트
 **************************************/
function ue_init()
{
	// 조회조건 데이터셋 초기화 Set
	this.DS_SMDO01.init();
	
	// 그리드 데이터셋 초기화 Set
	this.DS_SDDO01.init();
	this.DS_SDDO02.init();
	this.DS_SDDO03.init();
	this.DS_SDDO06.init();
	this.DS_SMDO01.addrow();
	this.btn_intvRslt.setenable(true);	//방문결과 버튼 활성화
	this.inp_custNm.settext("");	// 고객명 초기화.

	this.txt_intvCntn.setenable(true);	//결과 입력 textArea 활성화.
	this.txt_hafPlan.setenable(true);	// 향후계획 textArea 활성화.
	this.cal_vsitDt.setenable(true);	//방문일자 달력 활성화.
	
	// 방문결과 복사 버튼 비활성화 Set
	this.btn_intvRsltCopy.setvisible(false);
    
	// 일부 오브젝트 비활성화 Set
	this.setEnableCheck();
    
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
/**************************************
 * 특정 오브젝트 비활성화 처리
 **************************************/
function setEnableCheck() 
{
    this.cal_reqDt.setenable(false);
    this.cal_reqDt.setbackcolor(236,236,236);
    this.inp_intvPlcNm.setenable(false);
    this.inp_intvObjManNm.setenable(false);
    this.cal_intvPlanDt.setenable(false);
    this.cal_intvPlanDt.setbackcolor(236,236,236);
    this.inp_intvObjNm.setenable(false);
    this.inp_intvSchdmanEmpNm.setenable(false);
    this.inp_reqmanNm.setenable(false);
    this.inp_intvCnfmCntn.setenable(false);
    this.inp_intvObjManNm2.setenable(false);
    this.inp_loanRelNm.setenable(false);
}

/**************************************
 * 조회조건 체크
 **************************************/
function validationCheck()
{
    // 대출번호 필수 체크
    if (factory.stringtrim(this.inp_loanNo.gettext()) == "") {
        SYSUtil.loadMessageBox(this.screen, "안내", 1, "대촐번호를 입력해 주시기 바랍니다.", "msg00");
        this.inp_loanNo.setfocus(true);
        return false;
    } 
    
    return true;
}

/**************************************
 * 공통코드 조회
 **************************************/
function searchCodeList() 
{
    
    // 공통 방문장소코드(S00001) 조회 
    SYSTran.getComCode(this.screen, "S00001", this.DS_CD_S00001, true);   
    
    // 공통 방문목적코드(B00106) 조회 
    SYSTran.getComCode(this.screen, "B00106", this.DS_CD_B00106, true);   

    // 공통 행불유형코드(B00081) 조회 
    SYSTran.getComCode(this.screen, "B00081", this.DS_CD_B00081, true);   
    
    // 공통 동산집행가능여부(B00122) 조회 
    SYSTran.getComCode(this.screen, "B00122", this.DS_CD_B00122, true);   
    
    // 공통 거주여부(B00111) 조회 
    SYSTran.getComCode(this.screen, "B00111", this.DS_CD_B00111, true); 

    // 공통 방문결과코드(B00107) 조회 
    SYSTran.getComCode(this.screen, "B00107", this.DS_CD_B00107, true);    

    // 공통 회수가능도판단코드(B00101) 조회 
    SYSTran.getComCode(this.screen, "B00101", this.DS_CD_B00101, true);  
}

function fn_searchAdress()
{
    
    // 방문관리 목록 조회 호출
    //SYSTran.requestSubmitAsync(this.screen, "BVIWDM01S01");   
    //DS_SMDO06
    
}

/**************************************
 * 통합검색팝업(대출번호) 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_loanNoSrch_on_mouseup(objInst)
{
    // 팝업화면으로 보낼 Argument Set
    var param ={"loanNo":this.inp_loanNo.gettext(), "loanSeq":this.inp_loanSeq.gettext()};

    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
    
    // 공통팝업 모듈 호출
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/**************************************
 * 통합검색팝업(고객번호) 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_custNoSrch_on_mouseup(objInst)
{
    // 팝업화면으로 보낼 Argument Set
    var param ={"custNo":this.inp_custNo.gettext(), "custNm":this.inp_custNm.gettext()};
    
    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
    
    // 공통팝업 모듈 호출
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

/**************************************
 * 채권상담 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_bndCons_on_mouseup(objInst)
{
    // 대출번호 필수 체크
    if (!this.validationCheck()) {
        return false;
    }
    
    var sendData = {
					"loanNo" : this.inp_loanNo.gettext(),
					"loanSeq" : this.inp_loanSeq.gettext(),
					"csNo" : this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo")
				  };
    
    var strScrUrl = "/BIZ/B/CN/UI/BCNUIM02";
    var strTitle  = "채권상담관리";
    
    SYSUtil.goToWorkPage(this.screen, strScrUrl, strTitle, sendData)
    
}

/**************************************
 * 방문계획팝업 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_intvPlanPopup_on_mouseup(objInst)
{
	
	if(factory.stringtrim(this.inp_loanNo.gettext()) == ""){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "대출번호를 입력하시요.", "msg00");
		this.inp_loanNo.setfocus(true);
		return false;
	}
	if(this.DS_SDDO02.getpos() == -1){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "방문관리 그리드를 선택하여주세요", "msg00");
		this.grid_mainList.setfocus(true);
		return false;;
	}
	//console.log("##### this.DS_SDDO02 POS : "+ this.DS_SDDO02.getpos());
	var param  = {
					"PARAM_LOAN_NO" : this.inp_loanNo.gettext(),	   //대출번호
					"PARAM_LOAN_SEQ" : this.inp_loanSeq.gettext(),	//대출순서
					"PARAM_CUST_NO" : this.inp_custNo.gettext(),	   //고객번호
					"PARAM_CUST_NM" : this.inp_custNm.gettext(),	  //고객명
					"PARAM_CONS_SH_NO" : this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "consShNo"),
					"PARAM_OBJ_MAN_NO" : this.DS_SDDO01.getdatabyname(this.DS_SDDO01.getpos(), "custNo")
				};
				
	// 팝업 Title
	var popupTitle = "방문계획관리";
	var popupPath  = "/BIZ/B/VI/WD/BVIWDP01";
	
	// 공통팝업 모듈 호출    
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);   
}

/**************************************
 * 방문결과 복사 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_intvRsltCopy_on_mouseup(objInst)
{
    
}

/**************************************
 * 방문결과 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_intvRslt_on_mouseup(objInst)
{
	console.log("#### btn_intvRslt_on_mouseup() call ####");
	this.DS_SDDO03.init();
	this.DS_SDDO03.addrow();
	
	var DS_SDDO01_curRow = this.DS_SDDO01.getpos();
	var DS_SDDO02_curRow = this.DS_SDDO02.getpos();
	
	/** 데이터셋 세팅 */	
	this.DS_SDDO03.setdatabyname(0 , "loanNo" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "loanNo"));// 대출번호
	this.DS_SDDO03.setdatabyname(0 , "loanSeq" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "loanSeq"));// 대출순서
	this.DS_SDDO03.setdatabyname(0 , "intvManResiNo" , this.inp_custNo.gettext());// 면담자_주민등록번호
	this.DS_SDDO03.setdatabyname(0 , "intvObjManResiNo" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "intvObjManResiNo"));// 면담_대상자_주민등록번호
	this.DS_SDDO03.setdatabyname(0 , "intvObjManNm" , this.DS_SDDO01.getdatabyname(DS_SDDO01_curRow, "custNm"));// 면담_대상자_명
	this.DS_SDDO03.setdatabyname(0 , "intvPlcCd" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "intvPlcCd"));// 면담_장소_코드
	this.DS_SDDO03.setdatabyname(0 , "intvObjCd" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "intvObjCd"));// 면담_목적_코드
	this.DS_SDDO03.setdatabyname(0 , "zipCd" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "zipCd"));// 우편번호
	this.DS_SDDO03.setdatabyname(0 , "baseAddr" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "baseAddr"));// 기본_주소
	this.DS_SDDO03.setdatabyname(0 , "addrSpec" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "addrSpec"));// 주소_상세
	this.DS_SDDO03.setdatabyname(0 , "intvPlanDt" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "intvPlanDt"));// 면담_계획_일자
	this.DS_SDDO03.setdatabyname(0 , "planSnum" , this.DS_SDDO02.getdatabyname(DS_SDDO02_curRow, "snum"));// 계획_일련번호
	this.DS_SDDO03.setdatabyname(0 , "vsitDt" , factory.datetoday());// 방문일자
	this.DS_SDDO03.setdatabyname(0 , "intvEmpNo" , SYSVar.loginUserInfo.USER_NO);// 방문_사원_번호
	this.DS_SDDO03.setdatabyname(0 , "intvManNm" , SYSVar.loginUserInfo.USER_NM);// 면담자_명
	this.DS_SDDO03.setdatabyname(0, "loanRelNm", this.DS_SDDO01.getdatabyname(DS_SDDO01_curRow, "loanRelNm"));// 관계
	
	
	this.btn_intvRslt.setenable(false);	// 방문결과 버튼 비활성화
	this.cal_vsitDt.setenable(true);	// 방문일자 활성화
	
	this.cbo_combo8_on_itemchange();	//선택한 방문장소에 따라 저장된 방문자주소 데이터 세팅.
	
	this.DS_SDDO03.setrowoperation(0, XFD_ROWOP_INSERT);
	
	this.cal_vsitDt.setfocus(true);
}

/**************************************
 * 우편검색팝업 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_zipCdSrch_on_click(objInst, buttonclick)
{
    // 돋보기 버튼 클릭시 
    if ( buttonclick ) {
        // 팝업화면으로 보낼 Argument Set
        var param ={};
        
        // 팝업 Title
        var popupTitle = "우편번호검색";
        var popupPath  = "/BIZ/C/BC/CC/CBCCCP03";
        
        // 공통팝업 모듈 호출    
        SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
    }
}

/**************************************
 * 방문자 돋보기 버튼 클릭시 발생하는 이벤트
 **************************************/
function btn_intvEmpNo_on_click(objInst, buttonclick)
{
    if ( buttonclick ) {
		dataDicFg = "A";
		var param = {"DATADICNO" : "BT_EMP_BASE"};
		var popupTitle = "자료사전";
		var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
	} 
}

/**************************************
 * 메인 그리드 아이템 클릭시 발생하는 이벤트
 **************************************/
function grid_mainList_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{	
	
	this.DS_SMDO02.init();
	this.DS_SMDO02.addrow();
	
	var curRow = this.DS_SDDO01.getpos();	//선택한 데이터에 대한 인덱스
	
	this.DS_SMDO02.setdatabyname(0, "loanNo", this.inp_loanNo.gettext() ); // 대출_번호
	this.DS_SMDO02.setdatabyname(0, "loanSeq", this.inp_loanSeq.gettext()); // 대출_순번
	this.DS_SMDO02.setdatabyname(0, "intvObjManResiNo" , this.DS_SDDO01.getdatabyname(curRow, "custNo")); // 고객번호
	this.inp_custNm.settext(this.DS_SDDO01.getdatabyname(curRow, "custNm")); // 고객명
	this.inp_custNo.settext(this.DS_SDDO01.getdatabyname(curRow, "custNo")); // 고객번호
	this.DS_SDDO02.init();
	this.DS_SDDO03.init();
	
	// 서비스 호출
	this.screen.setscreenprotect(true);
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM01S02");  

}

/**************************************
 * 서브 그리드 아이템 클릭시 발생하는 이벤트
 **************************************/
function grid_intvSubList_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{    
	var curRow = this.DS_SDDO02.getpos();
	
	this.DS_SMDO03.init();
	this.DS_SMDO03.addrow();
	
	this.DS_SMDO03.setdatabyname(0, "loanNo", this.DS_SDDO02.getdatabyname(curRow, "loanNo")); // 대출번호
	this.DS_SMDO03.setdatabyname(0, "loanSeq", this.DS_SDDO02.getdatabyname(curRow, "loanSeq")); // 대출순번
	this.DS_SMDO03.setdatabyname(0, "intvObjManResiNo",this.DS_SDDO02.getdatabyname(curRow, "intvObjManResiNo")); // 고객번호
	//this.DS_SMDO03.setdatabyname(0, "vsitDt", this.DS_SDDO02.getdatabyname(curRow, "vsitDt"));
	this.DS_SMDO03.setdatabyname(0, "snum", this.DS_SDDO02.getdatabyname(curRow, "snum2"));	//일련번호
	this.DS_SMDO03.setdatabyname(0, "planSnum", this.DS_SDDO02.getdatabyname(curRow, "snum"));	//계획_일련번호
    
	this.DS_SDDO03.init();
	this.screen.setscreenprotect(true);
	// 서비스 호출
	SYSTran.requestSubmitAsync(this.screen, "BVIWDM01S03");  

}

/**************************************
 * 대출번호 엔터키 입력시 발생하는 이벤트
 **************************************/
function inp_loanNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    if (keycode == 13) {
        this.ue_query();
    }
    
    return 0;
}

/**************************************
 * 대출순번 엔터키 입력시 발생하는 이벤트
 **************************************/
function inp_loanSeq_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    if (keycode == 13) {
        this.ue_query();
    }
    
    return 0;
}

/**************************************
 * 고객번호 엔터키 입력시 발생하는 이벤트
 **************************************/
function inp_custNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    if (keycode == 13) {
        this.ue_query();
    }
    
    return 0;
}

/**************************************
 * 주소 조회 이벤트
 **************************************/
function searchAddress() 
{
	console.log("#### fn_SearchAddress() call");
	this.DS_SMDO06.init();
	this.DS_SMDO06.addrow();
	
	this.DS_SMDO06.setdatabyname(0, "custNo", this.inp_custNo.gettext());
	
	this.DS_SDDO06.init();
	
	this.screen.setscreenprotect(true);
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "BVIWDM01S04");
    
}

/**************************************
 * 팝업 콜백 함수
 **************************************/
function popupCallback(objExtdata){
	
	if(objExtdata != undefined || objExtdata != null){
		/** 대출통합검색 팝업 콜백 */
		if(objExtdata.popId == "CBCCCP01"){
			this.inp_loanNo.settext(objExtdata.loanNo);
			this.inp_loanSeq.settext(objExtdata.loanSeq);
			this.inp_custNo.settext(objExtdata.custNo);
			this.inp_custNm.settext(objExtdata.custNm);
		}else if(objExtdata.popId == "CCMCMP05"){
			if(dataDicFg == "A"){
				this.btn_intvEmpNo.settext(objExtdata.empNo);
				this.edt_4.settext(objExtdata.korName);
			}else{}
			
		}else if(objExtdata.popId == "CBCCCP03"){
			this.btn_zipCdSrch.settext(objExtdata.zipcd);
			this.edt_baseAddr.settext(objExtdata.addseq+" "+objExtdata.addr+" "+objExtdata.addrdtl);
			this.edt_addrSpec.setfocus(true);
			
		}else if(objExtdata.popId == "BVIWDP01"){
			this.grid_mainList_on_itemclick();
		}
	}else{
		if(objExtdata.popId == "CBCCCP01"){
			this.inp_loanNo.settext("");
			this.inp_loanSeq.settext("");
			this.inp_custNo.settext("");
			this.inp_custNm.settext("");
		}
	}
	
}


/** 방문장소 콤보박스 체인지 이벤트 함수. */
function cbo_combo8_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	console.log("#### cbo_combo8_on_itemchange() call ###");
	var idx = "01";
	
	for(var i =0; i<this.DS_SDDO06.getrowcount(); i++){
		if(ncur_item == this.DS_SDDO06.getdatabyname(i, "cdDescNo")){
			idx = i;
			break;
		}
		
	}

	this.btn_zipCdSrch.settext(this.DS_SDDO06.getdatabyname(idx, "zipCd"));
	this.edt_baseAddr.settext(this.DS_SDDO06.getdatabyname(idx, "baseAddr"));
	this.edt_addrSpec.settext(this.DS_SDDO06.getdatabyname(idx, "addrSpec"));
	
	this.edt_addrSpec.setfocus(true);
}

// 거래후 콜백처리 이벤트
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
    //SYSUtil.comAlert("mapid  ::"+mapid);
    //SYSUtil.comAlert("result ::"+result);

    screen.setscreenprotect(false);
    if ( result != 1 ) {
	SYSUtil.setStatusMsg(this.screen, "안내", 1, "데이터 송신중 에러가 발생하였습니다.", "msg00");
	 // TODO : 거래 실패시 처리
	if(mapid == "BVIWDM01S03"){
		this.btn_intvRslt.setenable(true);
		this.txt_intvCntn.setenable(true);	// 결과입력
		this.txt_hafPlan.setenable(true);	// 향후계획
	}
	return false;
    } 
    
    // 거래ID별 분기처리
    switch( mapid ) {
	
	case "BVIWDM01S01":
		//SYSUtil.comAlert("BVIWDM01S01 콜백 테스트!!");
		console.log("#### 조회가 완료되었습니다. ####");      
	      SYSUtil.setStatusMsg("조회가 완료되었습니다.");
		
            this.inp_loanNo.settext (this.DS_SDDO01.getdatabyname(0, "loanNo") ); // 대출번호
            this.inp_loanSeq.settext(this.DS_SDDO01.getdatabyname(0, "loanSeq")); // 대출순번
            this.inp_custNo.settext (this.DS_SDDO01.getdatabyname(0, "custNo") ); // 고객번호
            this.inp_custNm.settext (this.DS_SDDO01.getdatabyname(0, "custNm") ); // 고객명
            
	     //this.searchAddress();
	    
            this.inp_loanNo.setfocus(true);
            break;
	case "BVIWDM01S02":
		console.log("#### BVIWDM01S02 실행 완료 ####");
		SYSUtil.setStatusMsg("조회가 완료되었습니다.");
		this.searchAddress();
		break;
	case "BVIWDM01S03":
		console.log("### BVIWDM01S03 조회가 완료되었습니다.");
		SYSUtil.setStatusMsg("조회가 완료되었습니다.");
		
		/** fn_TranCallback 처리 */
		if(this.DS_SDDO03.getrowcount() == 0){ // 조회된 데이터가 0개 일때
			
			this.btn_intvRslt.setenable(true);	//방문결과 버튼 활성화
			this.cal_vsitDt.setenable(true);	//방문일자 달력 활성화
			this.txt_intvCntn.setenable(true);	// 결과입력 textArea 활성화
			this.txt_hafPlan.setenable(true);	// 향후계획 textArea 활성화.
			/*
				새로운 방문내용/결과 데이터를 insert 할때 필요한 데이터(DS_SDDDO03)를 세팅하기위하여
				방문결과 버튼 클릭 함수를 호출하였습니다. 
				↓
			*/
			this.btn_intvRslt_on_mouseup();	
		}else{
			
			this.btn_intvRslt.setenable(false);	//방문결과 버튼 비활성화.
			if(this.DS_SDDO03.getdatabyname(0, "vsitDt") != ""){	//방문일자가 등록되어 있고 방문일자 < 오날짜 라면
				og_vsitDt = this.DS_SDDO03.getdatabyname(0, "vsitDt");
				if( this.DS_SDDO02.getdatabyname(this.DS_SDDO02.getpos(), "vsitDt") < factory.datetoday()){
					this.cal_vsitDt.setenable(false);	// 방문일자 비활성화.
					this.txt_intvCntn.setenable(false);	//결과입력 textArea 비활성화.
					this.txt_hafPlan.setenable(false);	// 향후계획 textArea 비활성화.
				}
				
				
			}else{	//방문일자가 등록되어 있지 않다면.
				this.cal_vsitDt.setenable(true);	// 방문일자 활성화
				this.txt_intvCntn.setenable(true);	// 결과입력 활성화
				this.txt_hafPlan.setenable(true);	// 향후계획 활성화
			}
			
			
			
			this.DS_SDDO03.setallrowoperation(XFD_ROWOP_NONE);
		}
		break;
	case "BVIWDM01S04" :
		console.log("### # BVIWDM01S04 조회가 완료되었습니다."+ this.DS_SDDO06.getrowcount());
		SYSUtil.setStatusMsg("조회가 완료되었습니다.");
		break;
	case "BVIWDM01D01" :
		console.log("#### 저장이 완료되었습니다.");
		this.ue_query();
		break;
	case "BVIWDM01U01" : 
		console.log(" #### BVIWDM01U01 완료 ");
		if(transactionFg == XFD_ROWOP_DELETE){
			SYSUtil.setStatusMsg("데이터 삭제가 완료되었습니다.");	
		}else if(transactionFg == XFD_ROWOP_UPDATE){
			SYSUtil.setStatusMsg("데이터가 수정되었습니다.");
		}else if(transactionFg == XFD_ROWOP_INSERT){
			SYSUtil.setStatusMsg("데이터가 추가되었습니다.");
		}
		
		this.ue_query();
		break;
	default :
		break;
		 
    }
}