﻿/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */

// 화면 초기  사용자 버튼 
function ue_init_menu(){
    console.log("####### 사용자 버튼 활성화 #####");
	GM.wf_SetUserEvent(screen, "샘플버튼0", 0);
	GM.wf_SetUserEvent(screen, "샘플버튼1", 1);
	GM.wf_SetUserEvent(screen, "샘플버튼2", 2);
	GM.wf_SetUserEvent(screen, "샘플버튼3", 3);
	GM.wf_SetUserEvent(screen, "샘플버튼4", 4);
	GM.wf_SetUserEvent(screen, "샘플버튼5", 5);
	GM.wf_SetUserEvent(screen, "샘플버튼6", 6);
	GM.wf_SetUserEvent(screen, "샘플버튼7", 7);
	GM.wf_SetUserEvent(screen, "샘플버튼8", 8);
	GM.wf_SetUserEvent(screen, "샘플버튼9", 9);
    GM.wf_EnablePrintMenu(screen);


}

function screen_on_load()
{
	// 데이터셋 빈 레코드 추가
	this.DS_LOAN_INTG_SRCH_SM.addrow();
	this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "fromLoanDt", factory.datetoday());		//대출일자시작
	this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "toLoanDt", factory.datetoday());		//대출일자종료
	
	// 부모화면에서 전달받은 데이터 세팅
	if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
		var popLoanNo = this.EXTRA_DATA.loanNo;				//대출번호
		var popLoanSeq = this.EXTRA_DATA.loanSeq;			//대출순번
		var popCustNo = this.EXTRA_DATA.custNo;				//고객번호
		var popCustNm = this.EXTRA_DATA.custNm;				//고객명
		var popMngNo = this.EXTRA_DATA.mngNo;				//관리번호
		var popHpNo = this.EXTRA_DATA.hpNo;					//휴대폰번호
		var popFromLoanDt = this.EXTRA_DATA.fromLoanDt;		//대출일자시작
		var popToLoanDt = this.EXTRA_DATA.toLoanDt;			//대출일자종료
		
		//대출번호
		if(popLoanNo != undefined || popLoanNo != null){
			this.edtLoanNo.settext(popLoanNo);
		}
		//대출순번
		if(popLoanSeq != undefined || popLoanSeq != null){
			this.edtLoanSeq.settext(popLoanSeq);
		}
		//고객번호
		if(popCustNo != undefined || popCustNo != null){
			this.edtCustNo.settext(popCustNo);
		}
		//고객명
		if(popCustNm != undefined || popCustNm != null){
			this.edtCustNm.settext(popCustNm);
		}
		//관리번호
		if(popMngNo != undefined || popMngNo != null){
			this.edtMngNo.settext(popMngNo);
		}
		//휴대폰번호
		if(popHpNo != undefined || popHpNo != null){
			this.edtHpNo.settext(popHpNo);
		}
		//대출일자시작
		if(popFromLoanDt != undefined || popFromLoanDt != null){
			this.calFromLoanDt.settext(popFromLoanDt);
		}
		//대출일자종료
		if(popToLoanDt != undefined || popToLoanDt != null){
			this.calToLoanDt.settext(popToLoanDt);
		}
	}
	
	// 공통코드 정의
	this.DS_CD_G_DEPT.init();
	this.DS_CD_G_DEPT.copy(G_DEPT, "");    // 관리부서코드
    
	SYSTran.getComCode(this.screen, "S00034", this.DS_CD_S00034);	// 대출관계코드
	SYSTran.getComCode(this.screen, "S00035", this.DS_CD_S00035);	// 대출상태코드
	SYSTran.getComCode(this.screen, "B00027", this.DS_CD_B00027);	// 채권상태코드
	
	// 엑셀 다운로드 권한 설정 : AS-IS는 여신심사팀, 지원팀장
	/*Image_Excel.Visible = false;
	
	if (G_DS_USER_ROLE.FindRow("roleNo", "AN03") >= 0) {
		AN03 = true;
	}
	if (G_DS_USER_ROLE.FindRow("roleNo", "DA02") >= 0) {
		DA02 = true;
	}	
	
	if(AN03 == true || DA02 == true ) {
		Image_Excel.Visible = true;
	}*/
}

// 메시지 박스에서 버튼 선택시 호출됨
function screen_on_messagebox(messagebox_id, result) {
	
}
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	
}

// 그리드 셀 더블클릭 시
function LoanIntgSrch_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var param = {
					"loanNo"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanNo"),		   //대출번호
					"loanSeq"		: this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanSeq"),		  //대출순번
					"custNo"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "custNo"),		   //고객번호
					"custNm"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "custNm"),		   //고객명
					"loanRelCd"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanRelCd"),		//대출관계코드
					"loanStatCd"	 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanStatCd"),	   //대출상태코드
					"loanDt"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanDt"),		   //대출일자
					"loanTerm"	   : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanTerm"),		 //대출기간
					"loanPamt"	   : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanPamt"),		 //대출원금
					"cprtComNo"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "cprtComNo"),		//제휴사번호
					"cprtComNm"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "cprtComNm"),		//제휴사명
					"cprtBranCd"	 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "cprtBranCd"),	   //제휴점코드
					"cprtBranNm"	 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "cprtBranNm"),	   //제휴점명
					"mngDeptCd"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "mngDeptCd"),		//관리부서코드
					"deptNm"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "deptNm"),		   //관리부서명
					"lnDivsEmpNo"	: this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "lnDivsEmpNo"),	  //대출담당자사번
					"userNm"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "userNm"),		   //대출담당자명
					"loanPamtRamt"   : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "loanPamtRamt"),	 //대출잔액
					"prdtNm"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "prdtNm"),		   //상품명
					"godsNm"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "godsNm"),		   //물품명
					"mngNo"		  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "mngNo"),			//관리번호
					"deliDt"	 	: this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "deliDt"),		   //출고일자
					"bndStatCd"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "bndStatCd"),		//채권상태
					"cprtOrgDeptCd"  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "cprtOrgDeptCd"),	//제휴원원부서코드
					"applDt"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "applDt"),		   //대출신청일자
					"prdtCd"		 : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "prdtCd"),		   //상품코드
					"godsCd"	 	: this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "godsCd"),		   //물품코드
					"contManNo"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "contManNo"),		//계약자코드
					"contManNm"	  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "contManNm"),		//계약자명
					"prdtMidClasCd"  : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "prdtMidClasCd"),	//상품중분류코드
					"prdtLrgeClasCd" : this.DS_LOAN_INTG_SRCH_SD.getdatabyname(nDblClickRow, "prdtLrgeClasCd")	//상품대분류코드
				};
	
	this.paranet_screen_data_load(param);
}

// 부모화면으로 전달할 데이터
function paranet_screen_data_load(param){
	SYSUtil.popCloseCallBack(this.screen, param);
}

// 엔터키 이벤트 정의
function LoanIntgSrch_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "custNo", this.edtCustNo.val());				//고객번호
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "custNm", this.edtCustNm.val());				//고객명
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "loanNo", this.edtLoanNo.val());				//대출번호
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "loanSeq", this.edtLoanSeq.val());			  //대출순번
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "mngNo", this.edtMngNo.val());				  //관리번호
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "hpNo", this.edtHpNo.val());					//휴대폰번호
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "fromLoanDt", this.calFromLoanDt.val());		//대출일자시작
		this.DS_LOAN_INTG_SRCH_SM.setdatabyname(0, "toLoanDt", this.calToLoanDt.val());			//대출일자종료
		
		this.Image_Search_on_click();
		
		//return 1;
	}

	return 0;
}

function screen_on_submitcomplete(mapid, result) {
	console.log("########## mapid >> "+mapd);
	console.log("########## result >> "+result);
}

// 인쇄
function ue_print(){
	console.log("#### ue_print() call");
}

// 조회
function ue_query(){
	//this.Image_Search_on_click();
	console.log("#### ue_query() call");
}

// 추가
function ue_insert(){
	console.log("#### ue_update() call");
}

// 저장
function ue_update(){
	console.log("#### ue_update() call");
   
}

// 삭제
function ue_delete(){
	console.log("#### ue_delete() call");
}


function bcNoCombo_on_itemchange(objInst, nprev_item, ncur_item){
	screen.setxdatasetdata("DS_SQL_INFO_SEND", "bcNo"   , 0,   this.bcNoCombo.getitemcode(ncur_item));
}

function ue_custom01() {
	screen.alert("ue_custom01()");
}

function ue_custom02() {
	screen.alert("ue_custom02()");
}

function ue_custom03() {
	screen.alert("ue_custom03()");
}

function ue_custom04() {
	screen.alert("ue_custom04()");
}

function ue_custom05() {
	screen.alert("ue_custom05()");
}

function ue_custom06() {
	screen.alert("ue_custom06()");
}

function ue_custom07() {
	screen.alert("ue_custom07()");
}

function ue_custom08() {
	screen.alert("ue_custom08()");
}

function ue_custom09() {
	screen.alert("ue_custom09()");
}

function ue_custom10() {
	screen.alert("ue_custom10()");
}

function Image_Search_on_click(objInst)
{
	//this.DS_LOAN_INTG_SRCH_SD.clear();
	
	//검색 조건 입력 여부 체크
	if(factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "custNo")) == ""
	&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "custNm")) == ""
	&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "loanNo")) == ""
	&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "mngNo")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "cprtComNo")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "cprtComNm")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "cprtOrgDeptCd")) == "" : AS-IS엔 있으나 TO-BE 화면엔 없음
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "cprtBranNm")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "mngDeptCd")) == ""
	&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "hpNo")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "carsNo")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "caseNo")) == "" : AS-IS엔 있으나 TO-BE 화면엔 없음
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "rlDueCustNo")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "rlDueCustNm")) == ""
	//&& factory.stringtrim(this.DS_LOAN_INTG_SRCH_SM.getdatabyname(0, "cnslNo")) == ""
		){
			//2023.03.14 메세지 타이틀 김영휘 이사님 확인
			//SYSUtil.loadMessageBox(screen, "알림", 1, "검색할 내용을 하나 이상 입력 후 조회하세요.", "msg01");
			//하단 영역 메세지
			
			SYSUtil.loadMessageBox(screen, "알림", 1, "검색할 내용을 하나 이상 입력 후 조회하세요.", "msg01");
			//SYSUtil.setStatusMsg("검색할 내용을 하나 이상 입력 후 조회하세요.");
			return;
		}
		
	//고객명 체크
	if(factory.stringbytelen(factory.stringtrim(this.edtCustNm.val())) != 0){
		if(factory.stringbytelen(factory.stringtrim(this.edtCustNm.val())) < 2){
			SYSUtil.loadMessageBox(screen, "알림", 1, "고객명은 2글자 이상 등록하세요.", "msg02");
			//SYSUtil.setStatusMsg("고객명은 2글자 이상 등록하세요.");
			this.edtCustNm.setfocus();
			return;
		}
	}
	
	//실납입자 고객명 체크
	//if(factory.stringbytelen(factory.stringtrim(this.rlDueCustNm.val())) != 0){
		//if(factory.stringbytelen(factory.stringtrim(this.rlDueCustNm.val())) < 2){
			//SYSUtil.loadMessageBox(screen, "알림", 1, "실납입자 고객명은 2글자 이상 등록하세요.", "msg03");
			//SYSUtil.setStatusMsg("실납입자 고객명은 2글자 이상 등록하세요.");
			//this.rlDueCustNm.setfocus();
			//return;
		//}
	//}

	//핸드폰번호 체크
	if(factory.stringbytelen(factory.stringtrim(this.edtHpNo.val())) != 0){
		if(factory.stringbytelen(factory.stringtrim(this.edtHpNo.val())) < 4){
			SYSUtil.loadMessageBox(screen, "알림", 1, "핸드폰번호는 4자리 이상 등록하세요.", "msg04");
			//SYSUtil.setStatusMsg("핸드폰번호는 4자리 이상 등록하세요.");
			this.edtHpNo.setfocus();
			return;
		}
	}
	
	//차량번호 체크
	//if(factory.stringbytelen(factory.stringtrim(this.carsNo.val())) != 0){
		//if(factory.stringbytelen(factory.stringtrim(this.carsNo.val())) < 2){
			//SYSUtil.loadMessageBox(screen, "알림", 1, "차량번호는 2글자 이상 등록하세요.", "msg05");
			//SYSUtil.setStatusMsg("차량번호는 2글자 이상 등록하세요.");
			//this.carsNo.setfocus();
			//return;
		//}
	//}
	
	//날짜입력 체크
	if(factory.stringbytelen(factory.stringtrim(this.calFromLoanDt.val())) == 0
	&& factory.stringbytelen(factory.stringtrim(this.calToLoanDt.val())) != 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "날짜 입력 오류입니다.", "msg06");
		//SYSUtil.setStatusMsg("날짜 입력 오류입니다.");
		this.calFromLoanDt.setfocus();
		return;
	}
	
	if(factory.stringbytelen(factory.stringtrim(this.calFromLoanDt.val())) != 0
	&& factory.stringbytelen(factory.stringtrim(this.calToLoanDt.val())) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "날짜 입력 오류입니다.", "msg07");
		//SYSUtil.setStatusMsg("날짜 입력 오류입니다.");
		this.calToLoanDt.setfocus();
		return;
	}
	
	if(factory.stringbytelen(factory.stringtrim(this.calFromLoanDt.val())) != 0
	&& factory.stringbytelen(factory.stringtrim(this.calToLoanDt.val())) != 0){
		if(factory.datediff("day", this.calFromLoanDt.val(), this.calToLoanDt.val()) < 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "시작일자는 종료일자보다 작아야합니다.", "msg08");
			//SYSUtil.setStatusMsg("시작일자는 종료일자보다 작아야합니다.");
			this.calFromLoanDt.setfocus();
			return;
		}
	}
	
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmit(screen, "CBCCCP01S01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		//SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	}else{
		screen.setscreenprotect(false); //화면잠금해제
		this.edtTotCnt.settext(this.DS_LOAN_INTG_SRCH_SD.getrowcount());
		//screen_on_submitcomplete(DS_LOAN_INTG_SRCH_SD, result);
	}
}

// 신규버튼 클릭 시 이벤트 발생
function New_Image_Search_on_click(objInst)
{
	this.DS_LOAN_INTG_SRCH_SM.deleteallrows();
	this.DS_LOAN_INTG_SRCH_SD.deleteallrows();
	this.edtTotCnt.settext("");
	
	this.DS_LOAN_INTG_SRCH_SM.addrow();

}

function Image_Excel_on_click(objInst)
{
	if(this.DS_LOAN_INTG_SRCH_SD.getrowcount() > 0){
		var excelName = "대출통합목록" + factory.datetoday() + ".xlsx"
		this.grdLoanIntgSrch.downloadexcel(excelName);
	} else {
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회된 데이터가 없습니다.", "errMsg01");
	}
}