﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	this.sendDtFr.settext(factory.datetoday());
	this.sendDtTo.settext(factory.datetoday());
	
	
	//SYSTran.getComCode(this.screen,,this.DS_CD_);
	//console.log(this.DS_CD_.getrowcount())
	// 23.04.20 ( 자동이체 거래기관 데이터 X)
	// DS_SEARCH_TR_ORG
	SYSTran.getComCode(this.screen, "R00004", this.DS_CD_R00004); 
	SYSTran.getComCode(this.screen, "R00005", this.DS_CD_R00005); //DS_SEARCH_ACNT_OCCR
	SYSTran.getComCode(this.screen, "R00006", this.DS_CD_R00006);//DS_SEARCH_ACNT_STAT 
	SYSTran.getComCode(this.screen, "R00007", this.DS_CD_R00007);//DS_SEARCH_APPL_DIV
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	
/*	function preFind()
	{
		gf_GridSortClear( Grid_RcptTrDesc, -1 );
		return true;
	 }*/
	
	this.DS_SD_01.deleteallrows(); //데이터 초기화
	
	this.DS_SEARCH.deleteallrows();
	this.DS_SEARCH.addrow();

	this.DS_SEARCH.setdatabyname(0,"loanNo", this.loanNo.gettext());
	this.DS_SEARCH.setdatabyname(0,"loanSeq", this.loanSeq.gettext());
	this.DS_SEARCH.setdatabyname(0,"sendDtFr", this.sendDtFr.gettext());
	this.DS_SEARCH.setdatabyname(0,"sendDtTo", this.sendDtTo.gettext());
	this.DS_SEARCH.setdatabyname(0,"acntNo", this.acntNo.gettext());
	this.DS_SEARCH.setdatabyname(0,"trOrgCd", this.trOrgCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"acntOccrCd", this.acntOccrCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"applDivCd", this.applDivCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"acntStatCd", this.acntStatCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"acntRsltCd", this.acntRsltCd.getselectedcode());
	this.DS_SEARCH.setdatabyname(0,"mngDeptCd", this.mngDeptCd.gettext());

	
	var reqSubmit = SYSTran.requestSubmit(screen, "RATMNM02S01");

	console.log("#### ue_query() call");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	//데이터 초기화
	this.DS_SD_01.deleteallrows();
	
	this.sendDtFr.settext(factory.datetoday());
	this.sendDtTo.settext(factory.datetoday());
	this.loanNo.settext("");
	this.loanSeq.settext("");
	this.acntNo.settext("");
	this.mngDeptCd.settext("");
	this.mngDeptNm.settext("");
	//콤보박스
	this.applDivCd.setselectedindex(0);
	this.trOrgCd.setselectedindex(0);
	this.acntOccrCd.setselectedindex(0);
	this.acntStatCd.setselectedindex(0);
	this.acntRsltCd.setselectedindex(0);
	

}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function LoanSearch_on_click(objInst)
{
// 업무화면으로 전달할 데이터
  var param = {"loanNo":this.loanNo.gettext(), "loanSeq":this.loanSeq.gettext()};
  // 팝업 Title
  var popupTitle = "대출통합검색";
  //팝업 경로
  var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
  SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

// 팝업 종료 후 호출 함수
function popupCallback(objExtdata) {
	// 팝업에서 전달한 내용 출력
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		this.loanNo.settext(objExtdata.loanNo);
		this.loanSeq.settext(objExtdata.loanSeq);
	}
}

//공통 조회 클릭 이벤트 함수
function Image_Search_Loan_on_mouseup(objInst)
{
		// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.loanNo.gettext(), "loanSeq":this.loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

/**
 * 팝업콜백함수.
 */  
function popupCallback(objExtdata) {
	
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			this.loanNo.settext(objExtdata.loanNo);
			this.loanSeq.settext(objExtdata.loanSeq);	
		}
	}		
}

function Image_AutoAcntMng_on_mouseup(objInst)
{
		if(this.Grid_RcptTrDesc.getselectedrowcount() < 1 ){
		alert("그리드를 선택하세요");
		return;
      }

     var sendData = {"loanNo": this.loanNo.gettext() , "loanSeq": this.loanSeq.gettext()};
     SYSUtil.goToWorkPage(this.screen, "/BIZ/R/AT/MN/RATMNM01","자동이체계좌관리" , sendData);
}