﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

/*원본 데이터와 복사 데이터와의 비교를 위하여 선택된 원본 데이터의 인덱스를 저장합니다.*/
var cur_sel_idx = 0;

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	/* 사용하지 않는 공통버튼 숨기기 */
	SYSUtil.setCommonButtonVisible(this.screen,"DELETE",false);
	SYSUtil.setCommonButtonVisible(this.screen,"PRINT",false);
	
	this.btn_MoAcntRamt.setvisible(false);
	this.btn_Image_ksnet_testcall.setvisible(false);

	/** 콤보박스 데이터 세팅 */
	SYSTran.getComCode(this.screen,"R00043",this.DS_CD_R00043,true);	// 회계단위코드
	SYSTran.getComCode(this.screen,"R00012",this.DS_CD_R00012, true);      // 수납유형코드
	SYSTran.getComCode(this.screen,"R00018",this.DS_CD_R00018, true);      // 출금유형
	SYSTran.getComCode(this.screen,"R00016",this.DS_CD_R00016, true);      // 결과유형
	SYSTran.getComCode(this.screen,"R00013",this.DS_CD_R00013, true);      // 수수료결제
	SYSTran.getComCode(this.screen,"A00003",this.DS_CD_A00003, true);      // 은행코드
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTCYCLBASE01);	// 주기코드
	this.DS_DIC_RTCYCLBASE01.insertrow(0);
	this.DS_DIC_RTCYCLBASE01.setdatabyname(0,"code","");
	this.DS_DIC_RTCYCLBASE01.setdatabyname(0,"value","- 선택 -");
	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RTTRORGBASE01);	// 기관코드
	this.DS_DIC_RTTRORGBASE01.insertrow(0);
	this.DS_DIC_RTTRORGBASE01.setdatabyname(0,"code","");
	this.DS_DIC_RTTRORGBASE01.setdatabyname(0,"value","- 선택 -");
	
	/** 데이터셋 & 화면 초기화. */
	this.ue_init();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	this.DS_TRORG_SM.init();
	
	this.screen.setscreenprotect(true);
	var reqSubmit = SYSTran.requestSubmitAsync(screen,"RBMGMM03S01");
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	this.DS_TRORG_SM_C.setdatabyname(0,"RT","");
	
	/* menuPreSave */
	if(factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "trOrgNm")) == null ||
	   factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "trOrgNm")) == ""){
		
		SYSUtil.loadMessageBox(this.screen,"안내",1,"거래기관명을 입력하세요.", "message02");
		this.edt_TrOrgNm.setfocus();
		return false;
		
	}else if(factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0,"rcptTpCd")) == null ||
	            factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0,"rcptTpCd")) == ""){
		
		SYSUtil.loadMessageBox(this.screen,"안내",1,"수납유형을 선택하세요.", "message03");
		this.cbo_RcptTpCd1.setfocus();
		return false;
		
	}else if(factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "cyclCd")) == null ||
	           factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "cyclCd")) == ""){
		
		SYSUtil.loadMessageBox(this.screen,"안내",1,"주기코드를 선택하세요.", "message04");
		this.cbo_CyclCd1.setfocus();
		return false;
		
	}else if(this.DS_TRORG_SM_C.getdatabyname(0, "moBankCd") == null ||
		     this.DS_TRORG_SM_C.getdatabyname(0, "moBankCd") == ""){
	
		SYSUtil.loadMessageBox(this.screen,"안내",1,"모계좌 은행코드를 선택하세요.", "message05");
		this.cbo_MoBankCd.setfocus();
		return false;
	
	}else if(factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "moAcntNo")) == null ||
		     factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "moAcntNo")) == ""){
		
		SYSUtil.loadMessageBox(this.screen,"안내",1,"계좌번호를 입력하세요.", "message06");
		this.edt_MoAcntNo.setfocus();
		return false;
	
	}else if(factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "vndrCd")) == null ||
		     factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "vndrCd")) == ""){
			
		SYSUtil.loadMessageBox(this.screen,"안내",1,"업체코드를 입력하세요.", "message07");
		this.edt_VndrCd.setfocus();
		return false;
		
	}else if(this.DS_TRORG_SM_C.getdatabyname(0,"rcptTpCd") == "A1" &&
		     factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0, "vndrCd")).length < 10){
		SYSUtil.loadMessageBox(this.screen,"안내",1,"업체코드는 10자리 입니다.", "message08");
		this.edt_VndrCd.setfocus();
		return false;
	}
	
	
	/*업체코드 체크*/
	if(!factory.isdigit(factory.stringtrim(this.DS_TRORG_SM_C.getdatabyname(0,"vndrCd")))){
		SYSUtil.loadMessageBox(this.screen,"안내",1,"업체코드는 영문알파벳과 숫자의 조합만 가능합니다.", "message09");
		this.edt_VndrCd.setfocus();
		return false;
	}
	
	//계좌번호 체크 moAcntNo
	if(!chkAcntNo(this.DS_TRORG_SM_C.getdatabyname(0, "moAcntNo"))){
		SYSUtil.loadMessageBox(this.screen,"안내",1,"계좌번호가 잘못입력되었습니다.", "message10");
		this.edt_MoAcntNo.setfocus();
		return true;
	}
	
	var operationType =  this.DS_TRORG_SM_C.getrowoperation(0);
	
	if(operationType == XFD_ROWOP_INSERT){
		this.DS_TRORG_SM_C.setdatabyname(0, "RT" , "I");
	}else if(operationType == XFD_ROWOP_UPDATE){
		this.DS_TRORG_SM_C.setdatabyname(0, "RT", "U");
	}else if(operationType == XFD_ROWOP_NONE){
		SYSUtil.loadMessageBox(this.screen, "안내", 1, "변경된 데이터가 없습니다." , "msg00");
	}
	
	this.DS_TRORG_SM_C.setdatabyname(0, "actionFg", "1");
	
	if(this.DS_TRORG_SM_C.getdatabyname(0, "RT") == "U"){
		var strOrgStrDt = this.DS_TRORG_SM.getdatabyname(this.DS_TRORG_SM.getpos(), "strtDueDt");
		var strNewStrD = this.DS_TRORG_SM_C.getdatabyname(0, "strtDueDt");
		
		if(strOrgStrDt != strNewStrD){
			if(strNewStrD < strOrgStrDt){
				SYSUtil.loadMessageBox(this.screen, "안내", 1, "시작납입일자는 현 시작납입일자 기준으로 과거로 적용될 수 없습니다.", "msg00");
			}
			
			this.DS_TRORG_SM_C.setdatabyname(0, "actionFg" , "2");
		}
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen , "RBMGMM03U01");
}

// 계좌번호 체크 함수
function chkAcntNo(argAcntNo){
	var strLen = factory.stringtrim(argAcntNo).length;
	if(strLen <1) return false;
	
	var boolBar = false;
	for(var i =0; i<strLen; i++){
		var subStr = argAcntNo.substr(i,1);
		if(subStr == "-"){
			
			if(i == 0 || i == strLen - 1){  // "-"는 숫자의 중간에 있어야한다.
				return false;
			}
			if(boolBar){ 	// "--"연달아 있으면 안된다.
				return false;
			}
			boolBar = true;
			continue;
		}else{
			if(!factory.isdigit(subStr)){
				return false;
			}
		}
		
		boolBar = false;
	}

	return true;	
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	this.cbo_RcptTpCd1.setenable(true);
	
	this.DS_TRORG_SM01.init();
	this.DS_TRORG_SM_C.init();
	this.DS_TRORG_SM.init();
	
	this.DS_TRORG_SM01.addrow();
	
	this.DS_TRORG_SM01.setdatabyname(0, "trOrgCd", "");
	this.DS_TRORG_SM01.setdatabyname(0, "rcptTpCd", "");
	this.DS_TRORG_SM01.setdatabyname(0, "cyclCd", "");
	
	this.DS_TRORG_SM_C.addrow();
	this.DS_TRORG_SM_C.setdatabyname(0, "strtDueDt", factory.datetoday());
	this.DS_TRORG_SM_C.setdatabyname(0, "endDueDt", "99991231");
	
	this.DS_TRORG_SM_C.setrowoperation(0, XFD_ROWOP_INSERT);
	
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);
	
	if(mapid == "RBMGMM03S01"){
		
		if(result == 1){
			console.log("#### 조회가 안료되었습니다.");
			SYSUtil.setStatusMsg("조회가 완료되었습니다.");
			
			if(this.DS_TRORG_SM.getrowcount() == 0){
				SYSUtil.loadMessageBox(this.screen, "안내", 1, "해당 데이터가 없습니다." , "msg00");
			}else{
				this.setting_DS_TRORG_SM_C(0);
			}
		}else{
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
			SYSUtil.loadMessageBox(this.screen, "안내", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
		
	}else if(mapid="RBMGMM03U01"){
		if(result == 1){
			if(this.DS_TRORG_SM_C.getrowoperation(0) == XFD_ROWOP_UPDATE){
				SYSUtil.setStatusMsg("수정이 완료되었습니다.");
			}else if(this.DS_TRORG_SM_C.getrowoperation(0) == XFD_ROWOP_INSERT){
				SYSUtil.setStatusMsg("등록이 완료되었습니다.");
			}
		}else{
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
			SYSUtil.loadMessageBox(this.screen, "안내", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
		this.ue_query();
	}
}

//리스트 클릭시 내용 셋팅
function grd_TrOrg_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	/*조회된 그리드에서 선택된 행의 값(인덱스)*/
	var clickRow = this.DS_TRORG_SM.getpos();
	
	console.log("#### 선택한 행 인덱스 : "+ clickRow+" ####");
	this.setting_DS_TRORG_SM_C(clickRow);
}


function setting_DS_TRORG_SM_C(rowIndex){
	
	this.cbo_RcptTpCd1.setenable(false); // 수납유형
	
	this.DS_TRORG_SM_C.init();
	this.DS_TRORG_SM_C.addrow();
	
	this.DS_TRORG_SM_C.copyrow(this.DS_TRORG_SM, rowIndex, false);

	var rcptTpCd = this.DS_TRORG_SM_C.getdatabyname(rowIndex, "rcptTpCd");
	
	if(factory.substringbyte(rcptTpCd, 0, 1) == "C"){
		this.cbo_BankCd.setenable(false);
		this.edt_VndrCd.setenable(false);
	}
}