﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SMDO.init();
	this.DS_SMDO.addrow();
	// 공통코드 정의	
	SYSTran.getComCode(this.screen, "B00049", this.DS_CD_B00049, true);
	SYSTran.getComCode(this.screen, "S00271", this.DS_CD_S00271, true);
	SYSTran.getComCode(this.screen, "S00405", this.DS_CD_S00405, true);
	SYSTran.getComCode(this.screen, "S00272", this.DS_CD_S00272, true);
	SYSTran.getComCode(this.screen, "B00027", this.DS_CD_B00027, true);
	
	
	this.DS_SMDO.setdatabyname(0, "eprtDtFr", factory.datetoday());
	this.eprt_Dt_To.settext(factory.datetoday());
	this.cls_Dt.settext(factory.datetoday());

}
/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	if(this.eprt_Dt_Fr.gettext().length < 1){
	SYSUtil.loadMessageBox(screen, "알림", 1, "만기일자를 입력하시길 바랍니다.", "msg07");
	this.eprt_Dt_Fr.setfocus();
	return false;
	}
	
	if(this.eprt_Dt_To.gettext().length <1){
		SYSUtil.loadMessageBox(screen, "만기일자를 입력하시길 바랍니다.", "msg07");
		this.eprt_Dt_To.setfocus();
		return false;
	}
	if(this.eprt_Dt_Fr.gettext().length<1){
		SYSUtil.loadMessageBox(screen, "만기일자를 입력하시길 바랍니다.(from ~ to, 기간이 반대로 입력)", "msg07");
		this.eprt_Dt_Fr.setfocus();
		return false;
	}
	
	
	if(this.tab2.gettabitemfocus() == 0){			 // 채권현황
		this.DS_SDDO01.deleteallrows();
		this.DS_SMDO.setdatabyname(0,"tabFlag",0);
	}else{ 										  //명세서 
		this.DS_SDDO02.deleteallrows();
		this.DS_SMDO.setdatabyname(0,"tabFlag",1);
	}
	
	var reqSubmit = SYSTran.requestSubmit(screen, "RCHEPM02S01");
	
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}
// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	
	
	this.DS_SDDO01.removeallrows();
	this.DS_SDDO02.removeallrows();
	
	this.eprt_Dt_Fr.settext(factory.datetoday()); // 만기일자 시작
	this.eprt_Dt_To.settext(factory.datetoday()); // 만기일자 끝	
	
	this.cls_Dt.settext(factory.datetoday()); // 채권마감일자
	
	this.eprt_Prdt_Div_Cd.setselectedindex(0); // 연장상품
	this.emp_Div.setselectedindex(0); // 연장상품
	this.bnd_Divs_Emp_No.settext("");// 연장상품
	this.bnd_Divs_Emp_Nm.settext("");// 연장상품
	
	this.prdt_Cd.settext("");// 상품명
	this.prdt_Nm.settext("");// 상품명
	
	this.prdt_Clas_Cd.setselectedindex(0); //상품

	this.extn_Stat_Cd.setselectedindex(0); //연장상태
	
	this.cust_No.settext("");// 고객명
	this.cust_Nm.settext("");// 고객명
	
	this.mng_Dept_Cd.setselectedindex(0); // 관리부서
	
	this.prdt_Sm_Clas_Cd.setselectedindex(0); // 상품소
	
	this.eprt_Proc_Schd_Cd.setselectedindex(0); // 예상처리유형
	
	this.loan_No.settext("");// 고객명
	this.loan_Seq.settext("");// 고객명
	
	this.amt_Div.setselectedindex(0); // 금액구분
	
	this.rto_Div.setselectedindex(0); // 비율구분

	this.dly_Tcnt_Fr.settext("");// 연체회차_시작
	this.dly_Tcnt_To.settext("");// 연체회차_종료
	
	this.bnd_Stat_Cd.setselectedindex(0); // 채권상태

	this.plc_Div1.setcheck(false); // 본부
	this.plc_Div2.setcheck(false); // 컨텍센터
	this.plc_Div3.setcheck(false); // 특수채권팀
	this.plc_Div4.setcheck(false); // PL채권팀
	
	this.loan_Stat.setselectedindex(0); // 종결구분
	
	this.eprt_Chk.setcheck(false); // 기간별
	this.dept_Chk.setcheck(false); // 관리부서
	this.prdt_Chk.setcheck(false); // 상품별
	this.emp_Chk.setcheck(false); // 담당자
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */