﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
function ue_init_menu(){
	console.log("#### ue_init_menu() call");
	console.log("####### 사용자 버튼 활성화 #####");
	
	GM.wf_SetUserEvent(screen, "샘플버튼0", 0);
	GM.wf_SetUserEvent(screen, "샘플버튼1", 1);
	GM.wf_SetUserEvent(screen, "샘플버튼2", 2);
	GM.wf_SetUserEvent(screen, "샘플버튼3", 3);
	GM.wf_SetUserEvent(screen, "샘플버튼4", 4);
	GM.wf_SetUserEvent(screen, "샘플버튼5", 5);
	GM.wf_SetUserEvent(screen, "샘플버튼6", 6);
	GM.wf_SetUserEvent(screen, "샘플버튼7", 7);
	GM.wf_SetUserEvent(screen, "샘플버튼8", 8);
	GM.wf_SetUserEvent(screen, "샘플버튼9", 9);
    GM.wf_EnablePrintMenu(screen);
}

// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	//if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	//}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통코드 조회
	SYSTran.getComCode(this.screen, "S00001", this.DS_CD_S00001);
	SYSTran.getComCode(this.screen, "S00008", this.DS_CD_S00008);
	SYSTran.getComCode(this.screen, "S00077", this.DS_CD_S00077);
	SYSTran.getComCode(this.screen, "S00135", this.DS_CD_S00135);
	SYSTran.getComCode(this.screen, "S00199", this.DS_CD_S00199);

    SYSUtil.showDataSetLog(G_DS_USER);

    // 초기 데이터 셋팅
    this.fnSetDefaultData();
	
	SYSUtil.showDataSetLog(this.DS_SETL_DD_CHNG_SD09);

    // 품의 버튼 처리
    if(this.DS_SETL_DD_CHNG_SD01.getrowcount() == 0){
		this.fnSetEnableBtn(false, false, false);
	}
}

/* 
 *  SYSTran.requestSubmitSync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	if(mapid == "RCHMNM01S01") {
		if(result == "1") {
			console.log("조회가 완료 되었습니다.");	
			if(this.Edit_LoanSeq.gettext() == "") {
				this.Edit_LoanSeq.settext(this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanSeq"));
			}
			screen.setscreenprotect(false); //화면잠금해제
	    	SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
	    	//this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    	}else{
			screen.setscreenprotect(false); //화면잠금해제
        	// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
			strTitle = "알람";
        	SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        	SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	} else if(mapid == "RCHMNM01S03") {
		if(result == "1") {
			this.DS_SETL_DD_CHNG_SD04.setdatabyname(0, "psgInt", this.DS_SETL_DD_CHNG_SD07.getdatabyname(0, "psgInt"));
			this.DS_SETL_DD_CHNG_SD04.setdatabyname(0, "psgIntYn", "Y");
			this.DS_SETL_DD_CHNG_SD04.setdatabyname(0, "aplyIntRt", this.DS_SETL_DD_CHNG_SD07.getdatabyname(0, "aplyIntRt"));
			this.DS_SETL_DD_CHNG_SD04.setdatabyname(0, "psgDdCnt", this.DS_SETL_DD_CHNG_SD07.getdatabyname(0, "psgDdCnt"));
	        SYSUtil.setStatusMsg("걍과이자 조회를 완료하였습니다.");
		    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
	    }else{
			// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
		}
	}
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
	
	var loanNo  = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanNo");
	var loanSeq = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanSeq");
	var snum    = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "snum");

	/*
	if (factory.stringtrim(loanNo) == "" || factory.stringtrim(loanSeq) == "" || factory.stringtrim(snum) == "") {
		fn_displayMsg( '0', '품의를 조회한 후에 출력하시기 바랍니다.');
		alert('품의를 조회한 후에 출력하시기 바랍니다.');
		Edit_LoanNo.setfocus();
		return;		 
	} else {		
		HnwActiv0.SetValue( "LOAN_NO" , loanNo);
		HnwActiv0.SetValue( "LOAN_SEQ" , loanSeq);
		HnwActiv0.SetValue( "SNUM" , snum);
		HnwActiv0.SetValue( "SessionEmpNm" , gf_GetSessionInfo("userNm"));
		HnwActiv0.SetValue( "SessionEmpNo" , gf_GetSessionInfo("empNo"));		
		HnwActiv0.RunButton("Command_Print");		
	}
	*/
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	// 조회 전 체크
	var strLoanNo = this.Edit_LoanNo.gettext();     // 대출번호
	var strMngNo  = this.Edit_MngNo.gettext();      // 관리번호
	var strTitle  = "알림";
	
	// 길이 체크 추가 필요
//    if ( factory.stringtrim(strLoanNo) == "" || factory.stringtrim(strMngNo) == "" ) {
//		if( factory.stringbytelen(strLoanNo) == 0 && factory.stringbytelen(strMngNo) == 0 ) {
	if ( factory.stringtrim(strLoanNo) == "") {
		if( factory.stringbytelen(strLoanNo) == 0) {
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대출번호를 입력후 조회하세요.", "msg01");
			this.Edit_LoanNo.setfocus();
			return;
	    } 
	} else {
		if( factory.stringbytelen(strLoanNo) < 11) {
			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "대출번호를 확인하세요.", "msg01");
			this.Edit_LoanNo.setfocus();
			return;
	    }
	
//		if( 1 < factory.stringbytelen(strMngNo) && factory.stringbytelen(strMngNo) < 15) {
//			SYSUtil.loadMessageBox(this.screen, strTitle, 1, "관리번호를 확인하세요.", "msg01");
//			this.Edit_MngNo.setfocus();
//			return;
//	    }
	}
	
    this.screen.setscreenprotect(true); // 화면잠금
	// 결제일 변경관리 조회
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01S01");
    
	
//	if(bRet == false) {
//	    screen.setscreenprotect(false); //화면잠금해제
//        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
//        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
//        SYSUtil.loadMessageBox(this.screen, strTitle, 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
//    }else{
//        screen.setscreenprotect(false); //화면잠금해제
//	    SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
//	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
//    }
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_insert() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
//	if(this.DS_SETL_DD_CHNG_SD01.getrowcount() == 0) {
//		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "해당 데이터가 없습니다.", "msg01");
//		return;
//	}
//	
//	if(this.Edit_ChngTims.gettext() == "") {
//		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "변경납입회차는 필수 항목입니다.", "msg01");
//		this.Edit_ChngTims.setfocus();
//		return;
//	}
//	
//	if(this.Cal_ChngAfDueDt.gettext() == "") {
//		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "변경후 납입일자는 필수 항목입니다.", "msg01");
//		this.Cal_ChngAfDueDt.setfocus();
//		return;
//	}
//	
//	//변경전 납입일자, 전회차 납입일자가 조회되었는지 체크 후 안되어있는 경우 납입일자 조회.
//	dueDt2 = this.DS_SETL_DD_CHNG_SD06.getdatabyname(0, "dueDt2");
//	
//	if(length(dueDt2.trim()) == 0){
//		fnSearchDueDt();
//	}
//	
//	if(this.fnChkValidation01() == false || this.fnChkValidation02() == false ||this.fnChkValidation03() == false
//	 || this.fnChkValidation05() == false)
//	{
//		return;
//	}
//	
//	this.screen.setscreenprotect(true); // 화면잠금
//	// 결제일 변경관리 조회
//	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01S01");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */
// 초기 데이터 셋팅
function fnSetDefaultData() {    
    
    // dataset rowcount 체크
    if( this.DS_SETL_DD_CHNG_SD09.getrowcount() == 0 ) {
        this.DS_SETL_DD_CHNG_SD09.addrow();
    }    
	this.DS_SETL_DD_CHNG_SD09.setdatabyname(0, "jstEmpNo" , G_DS_USER.getdatabyname(0,"userNo") ); 
	this.DS_SETL_DD_CHNG_SD09.setdatabyname(0, "jstEmpNm" , G_DS_USER.getdatabyname(0,"userNm") );
	
	if( this.DS_SETL_DD_CHNG_SD10.getrowcount() == 0 ) {
	    this.DS_SETL_DD_CHNG_SD10.addrow();
	}
	
	SYSUtil.showDataSetLog(this.DS_SETL_DD_CHNG_SD09);
}

// 품의 버튼 처리
function ue_SetConsBtnProc() {
	//데이터가 없을때는 모드 Disable
	/*
	if(DS_SETL_DD_CHNG_SD01.RowCount() == 0){
		fnSetEnableBtn(false,false,false);
	}else{		
		ntrmJstManCd = DS_SETL_DD_CHNG_SD01.getdatabyname(0,"ntrmJstManCd");    // 차기결제자코드
		mngDeptCd = DS_SETL_DD_CHNG_SD01.getdatabyname(0,"mngDeptCd");          // 현 대출건의 부서코드		
		bsnDeptCd = G_DS_USER.getdatabyname(0,"bsnDeptCd");                     // 사용자의 부서코드		
		arvmCd = DS_SETL_DD_CHNG_SD01.getdatabyname(0,"arvmCd");                // 전결권자
	
		// 품의 
		if(length(ntrmJstManCd) == 0){		
			if(fn_RoleChk("10")){
				fnSetEnableBtn(true,false,false);
			}else{
				fnSetEnableBtn(false,false,false);
			}
		}else{
		    // 품의
			if(ntrmJstManCd == "10"){
				if(fn_RoleChk(ntrmJstManCd)){
					fnSetEnableBtn(true,false,false);
				}else{
					fnSetEnableBtn(false,false,false);
				}
			}
			// 승인
			else if(ntrmJstManCd == "30"){
				if(fn_RoleChk(ntrmJstManCd)){
					fnSetEnableBtn(false,true,true);
				}else{
					fnSetEnableBtn(false,false,false);
				}
			}
			// 완료
			else if(ntrmJstManCd == "99"){
				if(fn_RoleChk("10")){
					fnSetEnableBtn(true,false,false);
				}else{
					fnSetEnableBtn(false,false,false);
				}
			}
		}
		
		//현 대출건의 부서코드와 사용자의 부서코드가 같지 않으면 버튼 Disabled
		if(G_DS_USER.getdatabyname(0,"mnbrDivCd") != "1"){
			if(mngDeptCd != bsnDeptCd)
				fnSetEnableBtn(false,false,false);
		}
	}
	*/
}

// 차기결제권자에 대한 권한 체크
function ue_UserRoleChk() {
	/*
	var role1 = DS_S00199.getdatabyname(DS_S00199.FindRow("cd",ntrmJstManCd),"cdDescEtcNm");	
	var role2 = DS_S00199.getdatabyname(DS_S00199.FindRow("cd",ntrmJstManCd),"cdDescEtcNm");    // 컨텍센터
	var role3 = DS_S00240.getdatabyname(DS_S00240.FindRow("cd",ntrmJstManCd),"cdDescEtcNm");	// PL채권관리팀
	
	gf_TraceDebug("role1::::" + role1);
	gf_TraceDebug( "G_DS_USER_ROLE1 = " + G_DS_USER_ROLE.FindRow("roleNo",role1) );	
	gf_TraceDebug("role2::::" + role2);
	gf_TraceDebug( "G_DS_USER_ROLE2 = " + G_DS_USER_ROLE.FindRow("roleNo",role2) );	
	gf_TraceDebug("role3::::" + role3);
	gf_TraceDebug( "G_DS_USER_ROLE3 = " + G_DS_USER_ROLE.FindRow("roleNo",role3) );
	
	var isrtDeptCd  = DS_SETL_DD_CHNG_SD01.getdatabyname(0,"isrtDeptCd");	// 입력 부서코드
	var mngDeptCd   = DS_SETL_DD_CHNG_SD01.getdatabyname(0,"mngDeptCd");	 // 관리부서코드
	var mngPlcDivCd = DS_SETL_DD_CHNG_SD01.getdatabyname(0,"mngPlcDivCd");
	var bsnDeptCd   = G_DS_USER.getdatabyname(0,"bsnDeptCd");		        // 사용자 부서코드.
	
	//PL채권관리팀 추가 권한 관련 대출채권 관리처와 비교한다 :: 업무로직 확인 필요
	var isPlBondMngDeptAvailable = false;
	if(bsnDeptCd == "000130" && mngPlcDivCd == "40") {
		isPlBondMngDeptAvailable = true;
	}
	
	if ( ntrmJstManCd == "10" && (G_DS_USER_ROLE.FindRow("roleNo",role1) >= 0 
	  || G_DS_USER_ROLE.FindRow("roleNo",role2) >= 0 
	  || (G_DS_USER_ROLE.FindRow("roleNo",role3) >= 0 && isPlBondMngDeptAvailable) )){
		return true;	
	}else if (G_DS_USER_ROLE.FindRow("roleNo",role1) >= 0){
		return true;	
	}else if (G_DS_USER_ROLE.FindRow("roleNo",role2) >= 0){
		return true;	
	}else if (G_DS_USER_ROLE.FindRow("roleNo",role3) >= 0 && (AK04 >= 0 || isPlBondMngDeptAvailable) ){
		return true;
	}else{
		return;
	}
	*/
}

// 버튼 Enable 처리
function fnSetEnableBtn( btn1, btn2, btn3 ) {
	this.Btn_ConsProc.setenable(false);    // 품의
	this.Btn_AprvProc.setenable(false);    // 승인
	this.Btn_RjctProc.setenable(false);    // 거절
}

// 결제일변경내역 그리드 더블클릭 시 
function Grd_ChngDesc_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	if( nDblClickRow > -1 ) {
		var loanNo  = this.DS_SETL_DD_CHNG_SD05.getdatabyname(nDblClickRow, "loanNo");
		var loanSeq = this.DS_SETL_DD_CHNG_SD05.getdatabyname(nDblClickRow, "loanSeq");
		var snum    = this.DS_SETL_DD_CHNG_SD05.getdatabyname(nDblClickRow, "snum");
		
		this.DS_SETL_DD_CHNG_SD10.deleteallrows();
		
		if( this.DS_SETL_DD_CHNG_SD10.getrowcount() == 0 ) {
		    this.DS_SETL_DD_CHNG_SD10.addrow();
		}		
		this.DS_SETL_DD_CHNG_SD10.setdatabyname(0, "loanNo"  ,loanNo);
		this.DS_SETL_DD_CHNG_SD10.setdatabyname(0, "loanSeq" ,loanSeq);
		this.DS_SETL_DD_CHNG_SD10.setdatabyname(0, "snum"    ,snum);
		
		// 결제일 변경관리 내역 조회
		var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01S04");
	   
	    if(bRet == false) {
	        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
	        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
	        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
	    }else{
		    SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
		    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
	    }
	}
}

// 변경회차 입력 후 focusout에서 발생하는 이벤트
function Edit_ChngTims_on_focusout(objInst, focusouttype)
{
	if(this.Edit_ChngTims.gettext() == "" ){
		screen.alert("변경납입회차를 입력하세요");
		this.Edit_ChngTims.setfocus();
		return;
	}
	
	if(fstrChngTims == this.Edit_ChngTims.gettext())
		return;
	
	// validation check
	if(this.fnChkValidation02() == false)
	{
		return;
	}
	
	if(this.Edit_ChngTims.Text=="")
		return;
			
	//fstrChngTims=Edit_ChngTims.Text; //현재의 변경납입일자를 저장
	this.fnSearchDueDt();//납입일자 조회
}

// 납입회차로 납입일자 조회
function fnSearchDueDt(){
	this.DS_SETL_DD_CHNG_SD06.setdatabyname(0, "loanNo", this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanNo"));
	this.DS_SETL_DD_CHNG_SD06.setdatabyname(0,"LoanSeq", this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanSeq"));
	this.DS_SETL_DD_CHNG_SD06.setdatabyname(0,"tims"   , this.Edit_ChngTims.gettext());

	// 납입회차로 납입일자 조회
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01S02");
   
    if(bRet == false) {
        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
    }else{
	    SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    }
}

// 경과이자 버튼 클릭 이벤트
function Btn_CalculPsgInt_on_mouseup(objInst)
{
	this.fnFrstDueDtCheck();
	
	if(this.Cal_ChngAfDueDt.gettext() == "")
	{
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경후 납입일자는 필수 항목입니다.", "msg02");
		this.Cal_ChngAfDueDt.setfocus();		
		return;
	}
	if(this.fnChkValidation03() == false)
	{
		return;
	}
	
	// 경과이자 조회
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01S03");
   
//    if(bRet == false) {
//        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
//        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
//        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
//    }else{
//	    SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
//	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
//    }
}

// 변경납입회차 정합성 체크
function fnChkValidation01(){
	// 대출상태 검사 (3-1)
	var strLoanStatCd   = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanStatCd");      // 대출상태코드
	var strLoanStatNm   = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanStatNm");      // 대출상태명
	var strLoanPamtRamt = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanPamtRamt");    // 대출잔액
	var loanChngDivCd   = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0,"loanChngDivCd");    // 대출변경상태코드
	
	if(Number(strLoanStatCd) < 22 || Number(strLoanStatCd) >= 30) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "본 대출건은 대출상태가 '" + strLoanStatNm + "'입니다. 결제일을 변경할수 없습니다.", "msg03");
		return;
	}
	
	// 대출잔액이 0이면 변경불가(3-2)
	if(Number(strLoanPamtRamt) == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출잔액이 0 입니다. 결제일을 변경할수 없습니다.", "msg04");
		return;
	}
	
	// PL채권관리팀일 경우 처리 추가.2018-08-01 관리처가 40 PL채권관팀인 대출건만 처리 가능함.
	/* if( (AJ11 >= 0 || AJ10 >= 0) && (G_DS_USER.getdatabyname(0,"bsnDeptCd") == "000130") ){
		if(DS_SETL_DD_CHNG_SD01.getdatabyname(0, "mngPlcDivCd")!="40"){
			screen.alert("본 대출건을 처리 할 권한이 없습니다.");
			return;
		}
	}
	// (세션부서)가 (본사-회계,컨텍)이 아니고 대출의 (관리부서)와 동일하지 않으면 처리 불가(3-4)
	else if(AG05 < 0 && AAX3 < 0 && AAX2 < 0 && AAX1 < 0  && DA02 < 0  && DA22 < 0 && DA30 < 0 && AK04 < 0
		&& G_DS_USER.getdatabyname(0,"bsnDeptCd")!=DS_SETL_DD_CHNG_SD01.getdatabyname(0, "mngDeptCd"))
	{
		screen.alert("본 대출건을 처리 할 권한이 없습니다.");
		return;
	}*/
	
	//품의중인건은 불가
	var strLianChngDivNm = this.DS_CD_S00077.getdatabyname(this.DS_CD_S00077.findrow("cdKindNo", loanChngDivCd),"cdDescKorNm");
	if(factory.stringbytelen(loanChngDivCd)!= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "해당 대출건은 " + strLianChngDivNm + "중입니다.\결제일을 변경할수 없습니다.", "msg05");
		return;
	}
}

// 변경납입회차 정합성 체크
function fnChkValidation02(){
	//(변경납입회차)>(당월납입회차)+(잔여회차)이면 (4-4)
	var strThmmDueTims = this.Edit_ThmmDueTims.gettext();
	var strUnComgCnt   = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "unComgCnt");
	var strChngTims    = this.Edit_ChngTims.gettext();
	if( Number(strThmmDueTims) + Number(strUnComgCnt) < Number(this.Edit_ChngTims.gettext()) ) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력하신 변경납입회차는 허용되지 않습니다. 다시 입력하십시오.", "msg06");
		this.Edit_ChngTims.setfocus();
		return;
	}
}

// 변경납입회차 정합성 체크
function fnChkValidation03(){
	// 변경전 납입일자 
	var chngBfDueDt = factory.substringbyte(this.DS_SETL_DD_CHNG_SD04.getdatabyname(0, "chngBfDueDt"),0,4) 
	                + factory.substringbyte(this.DS_SETL_DD_CHNG_SD04.getdatabyname(0, "chngBfDueDt"),5,2);
	
	// 변경후 납입일자
	var chngAfDueDt = factory.substringbyte(this.DS_SETL_DD_CHNG_SD04.getdatabyname(0, "chngAfDueDt"),0,6);
	
	//gf_TraceDebug("chngBfDueDt::::" + chngBfDueDt);
	//gf_TraceDebug("chngAfDueDt::::" + chngAfDueDt);	
	if( Number(this.Edit_ChngTims.gettext()) > 1 && chngBfDueDt != chngAfDueDt && chngAfDueDt != "" ) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경후납입일자는 같은 월안에서만 허용됩니다. 확인 후 다시 입력하십시오.", "msg07");
		this.Cal_ChngAfDueDt.setfocus();
		
		return;
	}
	
	// :: 변경후납입일자 = 변경전 납입일자
	if(this.DS_SETL_DD_CHNG_SD04.getdatabyname(0, "chngBfDueDt") == this.Cal_ChngAfDueDt.gettext() ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "같은 날짜로 변경할 수 없습니다.", "msg08");
		return;
	}
	
	var strMsg = "";
	//(변경후납입일자)의 'DD'가 [결제주기]의 <결제일자>에 해당되지 않으면 Error
	var findOption = [];
	var chngAgDueDd = factory.substringbyte(this.Cal_ChngAfDueDt.gettext(),6,2);
	findOption.push("setlDd:=:\""+chngAgDueDd+"\":1:&");
	//if(this.DS_SETL_DD_CHNG_SD11.FindRow("setlDd", factory.substringbyte(this.Cal_ChngAfDueDt.gettext(),6,2)) < 0) {
	if(this.DS_SETL_DD_CHNG_SD11.findrowbyname(0, findOption.join(",")) < 0) {
		if (this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "prdtMidClasCd") == "22"){
		    strMsg = "변경후납입일자가 [0009-PL대출주기]에 포함되지 않습니다. \n청구입금>일반관리>주기결제일관리에서 확인하십시오.";
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "msg08");
		}
		else {
		    strMsg = "변경후납입일자가 [0001-자동이체 청구주기]에 포함되지 않습니다. \n청구입금>일반관리>주기결제일관리에서 확인하십시오.";
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "msg08");
		}
		this.Cal_ChngAfDueDt.setfocus();
		return;
	}
	
	//납입회차가 2회차 경우 (변경후납입일자)<=(전회차납입일자)	
	var dueDt2 = this.DS_SETL_DD_CHNG_SD06.getdatabyname(0, "dueDt2");    // 전회차납입일자	
	var dueDt1 = this.Cal_ChngAfDueDt.gettext();                          // 변경후 납입일자
	
	if(Number(this.Edit_ChngTims.gettext()) > 1  && dueDt1 <= dueDt2) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "입력하신 변경후납입일자는 허용되지 않습니다. 다시 입력하십시오.", "msg09");
		this.Cal_ChngAfDueDt.setfocus();
			
		return;
	}
	
	
	// 슈퍼권한일 경우 
	/*
	if(Number(Edit_ChngTims.gettext()) >1 ){
		if( (rqstEmpnoH01 == gf_GetSessionInfo("userNo")) || (rqstEmpnoH02 == gf_GetSessionInfo("userNo")) )
		{
			if(dueDt1 < AddDate(fnUnDateFormat(DS_SETL_DD_CHNG_SD06.getdatabyname(0, "saleDt")),1))
			{
				alert("변경후 납입일자가 이미 청구되었습니다. 다시 입력하십시오.");		
				return;
			}
		}else{
			if(dueDt1 < AddDate(fnUnDateFormat(DS_SETL_DD_CHNG_SD06.getdatabyname(0, "saleDt")), parseInt(setlAbleDays)))
			{
				alert("변경후 납입일자가 이미 청구되었습니다. 다시 입력하십시오.");		
				return;
			}
		}
	}
	*/
}

// 기수납내역 체크
function fnChkValidation05(){
	//변경납입회차에 기 수납내역이 존재할 경우 변경불가
	if(Number(this.Edit_ChngTims.gettext()) == Number(this.DS_SETL_DD_CHNG_SD06.getdatabyname(0, "rcptTims"))){
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경납입회차에 수납내역이 존재합니다. 결제일을 변경할 수 없습니다.", "msg10");
		return;
	}
}

function fnArvmCdCheck() {
	//3회이상 변경 시 본사 전결
	var chngCnt     = 0;
	var bsnDeptCd   = this.G_DS_USER.getdatabyname(0, "bsnDeptCd");
	var mngDeptCd   = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0,"mngDeptCd");
	var possChngCnt = this.DS_CD_S00245.getdatabyname(DS_CD_S00245.findrow("cdKindNo", "A"),"cdDescKorNm");
	var mngPlcDivCd = this.DS_SETL_DD_CHNG_SD01.getdatabyname(0,"mngPlcDivCd");	//PL채권관리팀 추가 관련 2018-08-01
	var isPlBondMngDeptAvailable = false;
	
	//if(bsnDeptCd == "000130" && mngPlcDivCd == "40"){
	//	isPlBondMngDeptAvailable = true;
	//}		
	for(i = 0 ; i <this.DS_SETL_DD_CHNG_SD05.getrowcount(); i++){
		//취소가능 변경회차 찾기
		if(this.DS_SETL_DD_CHNG_SD05.getdatabyname(i, "cnclPossFg") == "Y"){
			chngCnt++;
		}
	}
	//if(rqstEmpnoH01 != gf_GetSessionInfo("userNo") && rqstEmpnoH02 != gf_GetSessionInfo("userNo")){ //슈퍼권한은 패스
		if(Number(this.Edit_ChngTims.Text) == 1) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "초회(1회차)는 변경 할 수 없습니다. 담당자에게 문의하시기 바랍니다.", "msg11");
			return;
		}
	//}
	if(!fnFrstDueDtCheck()) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경허용일 미만으로 변경 할 수 없습니다. 담당자에게 문의하시기 바랍니다.", "msg12");
		return;
	}
	
	if(Number(this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "dlyAmt")) > 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "연체금액이 존재하므로 변경 할 수 없습니다.", "msg13");
		return;
	}
	
	var strSaleDt = this.DS_SETL_DD_CHNG_SD06.getdatabyname(0, "saleDt");
	if(this.Edit_ChngBfDueDt.gettext() < factory.datefrom("day", 1, strSaleDt) ){
		//if(bsnDeptCd != mngDeptCd){
			SYSUtil.loadMessageBox(screen, "알림", 1, "변경 납입회차는 이미 청구되었습니다. 변경할 수 없습니다.", "msg14");
			return;
		//}
	}
}

// 초회기산일 허용범위 체크
function fnFrstDueDtCheck(){

	var strLoanDt  = this.fnUnDateFormat(this.DS_SETL_DD_CHNG_SD01.getdatabyname(0, "loanDt"));
	var stndSetlDt = factory.datefrom("month", 1, strLoanDt);	// 대출일자+1달	
	var stndSetlDd = factory.substringbyte(stndSetlDt, 6, 2);    // 대출일자의 DD
	var strSetlDd  = this.DS_SETL_DD_CHNG_SD11.getdatabyname(0, "setlDd")
	var currentRow = 0;
	for(var i=1 ; i <= this.DS_SETL_DD_CHNG_SD11.getrowcount() ; i++){
		if(Number(this.DS_SETL_DD_CHNG_SD11.getdatabyname(i-1, "setlDd")) >= Number(stndSetlDd) ){
			currentRow = i;
			break;
		}
	}
	
	if (currentRow == 0){ 
		stndSetlDt = factory.substringbyte(factory.datefrom("month", 1, stndSetlDt), 0, 6) + strSetlDd;
	}else{
	    stndSetlDt = factory.substringbyte(stndSetlDt, 0, 6) + this.DS_SETL_DD_CHNG_SD11.getdatabyname(currentRow-1, "setlDd");
	}
	
	// 변경후납입일자 체크 - 상수리스트 청/입 업무의 "SETL-ABLE-DAYS" 값을 제한일수 세팅
	var chngAfDueDt = this.DS_SETL_DD_CHNG_SD04.getdatabyname(0, "chngAfDueDt");
	
	//if (chngAfDueDt >= AddDate(stndSetlDt, 15)){
	/*
		청구입금 슈퍼권한일 경우 
		-> 변경후 납입일자 < 영업일 +1
		청구입금 슈퍼권한이 아닐경우
		-> 변경후 납입일자 < 영업일 +20
	*/
	//factory.datefrom();
	//if (chngAfDueDt >= AddDate(stndSetlDt, DS_CT_CNST_INF.getdatabyname(DS_CT_CNST_INF.FindRow("cnstNm", "SETL-ABLE-DAYS" ),"cnstCntn") ) ){ 
	//	return true;
	//}
	return;
}

// 품의 버튼 클릭 이벤트
function Btn_ConsProc_on_mouseup(objInst)
{
	var nRowCnt = this.DS_SETL_DD_CHNG_SD01.getrowcount();
	/*
	for ( i = 0 ; i<nRowCnt; i++){
		var prdtCd = DS_SETL_DD_CHNG_SD01.getdatabyname(i, "prdtCd" ); 
		var prdtNm = DS_SETL_DD_CHNG_SD01.getdatabyname(i, "prdtNm" ); 
		
		if (prdtCd=="WL0040"){
			alert(prdtNm + "경우에 결재일 변경을 하실수 없습니다");
			return;
		}
	}*/
	
	if ( nRowCnt == 0) {
		SYSUtil.loadMessageBox(this.screen, strTitle, 1, "해당 데이터가 없습니다.", "msg01");
		return;
	}
	if(this.Edit_ChngTims.gettext() == ""){
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경납입회차는 필수 항목입니다.", "msg15");
		this.Edit_ChngTims.setfocus();
		return;
	}
	
	if(this.Cal_ChngAfDueDt.gettext() == ""){
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경후 납입일자는 필수 항목입니다.", "msg16");
		this.Cal_ChngAfDueDt.setfocus();		
		return;
	}
		
	//변경전 납입일자,전회차 납입일차가 조회되었는지 체크후 안된경우 납입일자 조회
	var dueDt2 = this.DS_SETL_DD_CHNG_SD06.getdatabyname(0, "dueDt2");	
	if(length(trim(dueDt2))==0){
		fnSearchDueDt();
	}
	if(fn_ChkValidation01() == false){
		return;
	}
	if(fnChkValidation02() == false){
		return;
	}
	if(fnChkValidation03() == false){
		return;
	}
	//if(fn_ChkValidation04() == false){
	//	return;
	//}
	if(fnChkValidation05() == false){    // 기수납내역 체크
		return;							 
	}
	if(this.Edit_LoanChngOpn.val() == ""){
		SYSUtil.loadMessageBox(screen, "알림", 1, "결재의견은 필수항목입니다.", "msg17");	
		this.Edit_LoanChngOpn.setfocus();
		return;
	}
	
	//전결권자 처리
	if(fnArvmCdCheck() == false){
		return;
	}
	
	// 품의 실행
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01I01");   
    if(bRet == false) {
        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
    }else{
	    SYSUtil.setStatusMsg("조회가 완료 되었습니다.");
	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    }
}

// DATE 포맷 변환
function fnUnDateFormat(date){
	var strDate;
	strDate = factory.substringbyte(date,0,4) + factory.substringbyte(date,5,2) + factory.substringbyte(date,8,2);
	
	return strDate;
}

// 결제승인 버튼 클릭 이벤트
function Btn_AprvProc_on_mouseup(objInst)
{
    if(this.Edit_LoanChngOpn.val() == ""){
		SYSUtil.loadMessageBox(screen, "알림", 1, "결재의견은 필수항목입니다.", "msg18");
		this.Edit_LoanChngOpn.setfocus();
		return;
	}
	
	// 결제승인
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01I02");   
    if(bRet == false) {
        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
    }else{	    
	    SYSUtil.setStatusMsg("결제승인이 완료 되었습니다.");
	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    }
}

// 결제거절 버튼 클릭 이벤트
function Btn_RjctProc_on_mouseup(objInst)
{
	if(this.Edit_LoanChngOpn.gettext() == ""){
		SYSUtil.loadMessageBox(screen, "알림", 1, "결재의견은 필수항목입니다.", "msg19");
		this.Edit_LoanChngOpn.setfocus();
		return;
	}
	
	// 결제거절
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01I03");   
    if(bRet == false) {
        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
    }else{	    
	    SYSUtil.setStatusMsg("결제거절이 완료 되었습니다.");
	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    }
}

// 통합검색 버튼 이벤트
function btn_IntgSrch_on_mouseup(objInst)
{
    // 업무화면으로 전달할 데이터
    var param = {"loanNo":this.Edit_LoanNo.gettext(), "loanSeq":this.Edit_LoanSeq.gettext()};
    // 팝업 Title
    var popupTitle = "통합검색";
    // 팝업 경로
    var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

// 팝업에서 전달한 내용 출력
function popupCallback(objExtdata) {
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		this.Edit_loanNo.settext(objExtdata.loanNo);
		this.Edit_loanSeq.settext(objExtdata.loanSeq);
	}
}

// 결제일변경취소 버튼 이벤트
function Btn_Cancel_on_mouseup(objInst)
{
	if( this.Edit_LoanChngOpn.gettext() == "" ) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "결재의견은 필수항목입니다.", "msg19");
		this.Edit_LoanChngOpn.setfocus();
		return;
	}
	
	var cnclTims = "";
	for(i = 0 ; i <this.DS_SETL_DD_CHNG_SD05.getrowcount() ; i++){
		//취소가능 변경회차 찾기
		if(this.DS_SETL_DD_CHNG_SD05.getdatabyname(i, "cnclPossFg") == "Y")
		{
			cnclTims = DS_SETL_DD_CHNG_SD05.getdatabyname(i, "chngTims");
			break;
		}
	}
	if (cnclTims = "") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "취소 가능한 변경 내역이 없습니다.", "msg20");
		return;
	}
	
	var bContinue = SYSUtil.comConfirm(cnclTims + "회차의 변경 내역이 취소됩니다. 계속하시겠습니까?");
	if( !bContinue ) {
	    return;
	}
	
	// 결제일변경취소
	var bRet = SYSTran.requestSubmitSync(screen, "RCHMNM01I04");   
    if(bRet == false) {
        // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
        SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
        SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "msg00");
    }else{	    
	    SYSUtil.setStatusMsg("결제거절이 완료 되었습니다.");
	    //this.bcNoCombo.setpicklistlinkxdataset("DS_SQL_INFO","bcNo","sqlNm","");
    }
}