﻿// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();



function screen_on_load() {
	console.log("########### pop up screen_on_load() #######" );
	
	/*
		  사용방법
		  1.초기조회시 넘겨줄 파라미터
		
		  arg_AutoSearch  //자동조회여부(Y,N)
		  arg_LoanNo  //대출번호
		  arg_LoanSeq  //대출번호 시퀀스
		  arg_Tims //중도부분상환회차
		  arg_RmbrDt //중도부분상환일자
		  arg_PamtRamt//잔여원금
		
		예시코드
		 var param = {"arg_AutoSearch" : "Y" , "arg_LoanNo" : "11111111111" , "arg_LoanSeq" : "01", "arg_Tims" : "1" , "arg_RmbrDt" : "20230517", "arg_PamtRamt" : "1000"};
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ; 로 코드 수정 후 테스트.
	*/
	
	this.DS_MID_RMBR_PLAN_READ_SM.init();
	this.DS_MID_RMBR_PLAN_READ_SM.addrow();
	
	/*자동조회여부 확인*/
	if(this.EXTRA_DATA["arg_AutoSearch"] == "Y") {
		if(this.EXTRA_DATA["arg_LoanNo"] != null ){
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"loanNo", this.EXTRA_DATA["arg_LoanNo"]);
		}
		
		if(this.EXTRA_DATA["arg_LoanSeq"] != null){
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"loanSeq",this.EXTRA_DATA["arg_LoanSeq"]);
		}
		
		if(this.EXTRA_DATA["arg_Tims"] != null){
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"tims",this.EXTRA_DATA["arg_Tims"]);
		}
		
		if(this.EXTRA_DATA["arg_RmbrDt"] != null){
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"rmbrDt",this.EXTRA_DATA["arg_RmbrDt"]);
		}
		
		if(this.EXTRA_DATA["arg_PamtRamt"] != null){
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"pamtRamt",this.EXTRA_DATA["arg_PamtRamt"]);
		}
		
		if(this.EXTRA_DATA["arg_IntDistRamt"] != null){
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"intDistRamt",this.EXTRA_DATA["arg_IntDistRamt"]);
		}else{
			this.DS_MID_RMBR_PLAN_READ_SM.setdatabyname(0,"intDistRamt",0);
		}
		
		
		// 조회
		if(factory.stringtrim(this.DS_MID_RMBR_PLAN_READ_SM.getdatabyname(0,"loanNo")).length != 11){
			SYSUtil.comAlert("대출번호가 올바르지 않습니다.");
			SYSUtil.loadMessageBox(screen,"안내",1,"대출번호가 올바르지 않습니다.", "message01");
			this.paranet_screen_data_load();
			return;
		}
		
		if(factory.stringtrim(this.DS_MID_RMBR_PLAN_READ_SM.getdatabyname(0,"loanSeq")).length != 2){
			SYSUtil.loadMessageBox(screen,"안내",1,"대출순번이 올바르지 않습니다." , "message01");
			this.paranet_screen_data_load();
			return;
		}
		if(factory.stringtrim(this.DS_MID_RMBR_PLAN_READ_SM.getdatabyname(0,"tims")) == "0"){
			SYSUtil.loadMessageBox(screen,"안내",1,"중도부분상환회차가 올바르지 않습니다." , "message01");
			this.paranet_screen_data_load();
			return;
		}
		
		if(this.DS_MID_RMBR_PLAN_READ_SM.getdatabyname(0,"rmbrDt").length ==0){
			SYSUtil.loadMessageBox(screen,"안내",1,"날짜 입력 오류 입니다." , "message01");
			this.paranet_screen_data_load();
			return;
		}
		
		if(Number(this.DS_MID_RMBR_PLAN_READ_SM.getdatabyname(0,"pamtRamt")) == 0){
			SYSUtil.loadMessageBox(screen,"안내",1,"잔여원금이 올바르지 않습니다." , "message01");
			this.paranet_screen_data_load();
			return;
		}
		
		this.DS_MID_RMBR_PLAN_READ_SD.init();
		
		
		var requestSubmit = SYSTran.requestSubmitAsync(screen,"RRCRCP03S01");
		
		if(requestSubmit == false){
			SYSUtil.setStatusMsg("데이터 송신중 오류가 발생하였습니다.");
		}
		
		
		
	}//this.EXTRA_DATA["arg_AutoSearch"] == "Y" END
	

}//screen_on_load END

// 부모창에 load 할 data 설정
function paranet_screen_data_load (){
	console.log("########### paranet_screen_data_load #######" );
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  시작 ///////////////
	var param = {};
	SYSUtil.popCloseCallBack(this.screen, param);
	//////////// 지우지 말것 이부분이 있어야 화면이 닫히고, 부모창에 데이터 전달  끝 ///////////////
}




function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("#### screen_on_submitcomplete ###");
	if(mapid == "RRCRCP03S01"){
		if(this.DS_MID_RMBR_PLAN_READ_SD.getrowcount() != 0){
			SYSUtil.loadMessageBox(screen,"안내", 1, "조회 완료 되었습니다.", "message01");
		}else{
			/*gf_SetMsg("0", 'SCC0004'); 	
			  gf_SetMsg("1", 'SCC0004');*/
			SYSUtil.loadMessageBox(screen, "안내", 1, "해당 데이터가 없습니다.", "message01");
		}
	}
}