﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

var tmp_Today    = "";  //현재일자
var tmp_Chked    = "1";
var intgFg       = "0";
var fstrContents = "0";
var loanPopFlag  = "1";
var focusObj;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	
	if(popup_name == "msg04" && focusObj != null){
		focusObj.setfocus(true);
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
	
	// 현재일 세팅
	tmp_Today = factory.datetoday();
	
	// 공통 출력버튼 숨김
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	// 버튼 숨김 처리
	this.btn_Select.setvisible(false);
	
	// 데이터셋 초기화 및 세팅
	this.DS_SEARCH.init();	
	this.DS_SM.init();
	this.DS_SD.init();
	this.DS_SETL_INFO.init();

	this.DS_SEARCH.addrow();
	
	// 데이처셋 초기화 후 부모창에서 넘어온 값 세팅
	if(this.EXTRA_DATA != null){
		this.edt_dsrcNo_H.settext(this.EXTRA_DATA.dsrcNo);
		this.edt_loanNo.settext(this.EXTRA_DATA.loanNo);
		this.edt_loanSeq.settext(this.EXTRA_DATA.loanSeq);
	}
	
	// 콤보박스 데이터 세팅
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003, true);   // 상품 

	// 예가수 발생 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_DSRCMNG_DSRCOCCR);  	  
	this.DS_DIC_DSRCMNG_DSRCOCCR.insertrow(0);  
	this.DS_DIC_DSRCMNG_DSRCOCCR.setdatabyname(0,"cdDescNo","");  
	this.DS_DIC_DSRCMNG_DSRCOCCR.setdatabyname(0,"cdDescKorNm","전체");  
	
	// 수납 유형 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_DSRCMNG_RCPTTP);  		
	this.DS_DIC_DSRCMNG_RCPTTP.insertrow(0);  
	this.DS_DIC_DSRCMNG_RCPTTP.setdatabyname(0,"cdDescNo","");  
	this.DS_DIC_DSRCMNG_RCPTTP.setdatabyname(0,"cdDescKorNm","전체");  
	
	// 예가수 정산 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_DSRCMNG_DSRCADJ);  	   
	this.DS_DIC_DSRCMNG_DSRCADJ.insertrow(0);  
	this.DS_DIC_DSRCMNG_DSRCADJ.setdatabyname(0,"cdDescNo","");   
	this.DS_DIC_DSRCMNG_DSRCADJ.setdatabyname(0,"cdDescKorNm","전체");  
	
	// 정산부서 콤보박스
	SYSTran.getDicByNo(this.screen, this.DS_DIC_DSRCMNG_REPR_DEPT);  	 
	this.DS_DIC_DSRCMNG_REPR_DEPT.insertrow(0);  
	this.DS_DIC_DSRCMNG_REPR_DEPT.setdatabyname(0,"cdDescNo","");  
	this.DS_DIC_DSRCMNG_REPR_DEPT.setdatabyname(0,"cdDescKorNm","전체");  
	
	// 입출금계좌(수납관리) 콤보박스	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_R_PRGM_ROLE);  
	this.DS_DIC_R_PRGM_ROLE.insertrow(0);  
	this.DS_DIC_R_PRGM_ROLE.setdatabyname(0,"cdDescNo","");  
	this.DS_DIC_R_PRGM_ROLE.setdatabyname(0,"cdDescKorNm","전체");  
	this.cbo_rcptAcnt.setselectedindex(0); 	
	
	// 입출금계좌(수납관리) 콤보박스	
	SYSTran.getDicByNo(this.screen, this.DS_DIC_RAC002); 
	this.DS_DIC_RAC002.insertrow(0); 
	this.DS_DIC_RAC002.setdatabyname(0,"cdDescNo",""); 
	this.DS_DIC_RAC002.setdatabyname(0,"cdDescKorNm","전체"); 
	this.cbo_rcptAcnt.setselectedindex(0);  
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 조회 버튼 이벤트
function ue_query(){
	
	if(!this.fn_DsrcCheck(0)){
		return false;
	}
	this.cal0.settext("");
	
	this.DS_SM.init();
	this.DS_SD.init();	
	this.DS_SETL_INFO.init();	
	
	screen.setscreenprotect(true); //화면잠금해제
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM01S01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{
		screen.setscreenprotect(false); //화면잠금해제
	}	
}

// 공통 저장 버튼 이벤트
function ue_update(){
	
	// preSave START
	intgFg = "0";
	this.DS_INTG.init();
	var n_intg = 0;
	
	for(var i = 0 ; i < this.DS_SM.getrowcount(); i++){
	
		if (this.DS_SM.getdatabyname(i,"slct") == "1") {
				n_intg = this.DS_INTG.addrow();
				this.DS_INTG.setdatabyname(n_intg,"dsrcNo",this.DS_SM.getdatabyname(i,"dsrcNo"));
		}
	}
	
	if (this.DS_INTG.getrowcount() > 0) {		
		
		if (this.DS_INTG.getrowcount() < 2) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수통합은 2건이상 선택 후 가능합니다.", "msg04");	
			focusObj = this.edt_loanNo;
			return false;
		}

		if (!SYSUtil.comConfirm("통합예가수 발생후 취소가 불가합니다. 통합하시겠습니까?")) {
			return false;
		}
		intgFg = "1";
	}
	else {
		if (fstrContents != "1" && fstrContents != "2") {
			SYSUtil.loadMessageBox(screen, "알림", 1, "결제내역 입력후 가능합니다.", "msg04");	
			focusObj = this.edt_loanNo;
			return false;
		}

		if (!this.fn_DsrcCheck(2)) {
			return false;
		}
	}
	// preSave END
	
	// 통합 예가수
	if(intgFg == "1") {
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM01I02");
		
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	} else {
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM01I01");
		
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	}
	
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	
	// preDelte START 
	if (fstrContents != "3") {
		SYSUtil.loadMessageBox(screen, "알림", 1, "예가수발생(정산) 선택 후 가능합니다.", "msg04");	
		focusObj = this.edt_loanNo;
		return false;
	}

	if (!this.fn_DsrcCheck(3)) {
		return false;
	}
	// preDelte END	
	
	screen.setscreenprotect(true); //화면잠금
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM01D01");
	
	if(reqSubmit == false) {
		screen.setscreenprotect(false); //화면잠금해제
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else{
		screen.setscreenprotect(false); //화면잠금해제
	}		
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
    fstrContents = "1";

	// 데이터셋 초기화 및 세팅
	this.DS_SEARCH.init();
	this.DS_SM.init();
	this.DS_SD.init();
	this.DS_SETL_INFO.init();
	
	this.DS_SEARCH.addrow();
	
    this.cal0.settext("");
    this.edt_loanNo.setfocus();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 대출통합검색 팝업 호출
function btn_Search_cust_on_click(objInst)
{
	// 결제정보 탭 통합검색과 분개하기위한 값
	loanPopFlag = "1";
	
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edt_loanNo.gettext(), "loanSeq":this.edt_loanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

// 고객검색 팝업 호출
function edt_CustNo_on_click(objInst, buttonclick)
{
	if(buttonclick){
				
		if(factory.stringtrim(this.edt_CustNo.gettext()).length != 0 ){
			
			if(factory.stringtrim(this.edt_CustNo.gettext()).length == 0 ){
				SYSUtil.loadMessageBox(screen, "알림", 1, "고객번호 입력오류입니다.)", "msg04");
				focusObj = this.edt_CustNo;
				return false;
			}
			var param = {"GUBUN":"SELECT", "custNo":this.edt_CustNo.gettext() };  
			
		}else{
			
			var param = {"GUBUN":"SELECT", "custNo":"" };  
		}	
		
		// 팝업 Title
		var popupTitle = "고객검색";
		//팝업 경로
		var popupPath = "/BIZ/C/BC/CC/CBCCCP02";
		
		SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	}
}

// 팝업 콜백 이벤트 함수
function popupCallback(objExtdata) {
	
	// 대출통합검색 팝업
	if(objExtdata.popId == "CBCCCP01"){
		if(loanPopFlag == "1"){
			this.edt_loanNo.settext(objExtdata.loanNo);
			this.edt_loanSeq.settext(objExtdata.loanSeq);
		}else if(loanPopFlag == "2"){
			this.edt_adjLoanNo.settext(objExtdata.loanNo);
			this.edt_adjLoanSeq.settext(objExtdata.loanSeq);
		}		
	}
	// 고객검색 팝업
	else if(objExtdata.popId == "CBCCCP02"){		
		this.edt_CustNo.settext(objExtdata.custNo);
		this.edt_CustNm.settext(objExtdata.custNm);
		
		this.ue_query();
	}
	// 예가수 결제일변경 팝업
	else if(objExtdata.popId == "RSRSRP01"){
		
		this.ue_query();
	}
}

// 결제정보 탭 통합검색 클릭 이벤트 함수
function btn_Search_adj_cust_on_click(objInst)
{
	if(this.DS_SETL_INFO.getrowcount() != 1){
		return false;
	}
	// 조회 탭 통합검색과 분개하기위한 값
	loanPopFlag = "2";
	
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo":this.edt_adjLoanNo.gettext(), "loanSeq":this.edt_adjLoanSeq.gettext() };
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
}

// 강제정산 버튼 클릭 이벤트
function btn_adjPop_on_click(objInst)
{
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "DSRC_NO": this.edt_dsrcNo_H.gettext()};
	// 팝업 Title
	var popupTitle = "예가수강제정산";
	//팝업 경로
	var popupPath = "/BIZ/R/SR/SR/RSRSRP03";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
}


// 예가수 발생 버튼 클릭 이벤트
function btn_occr_on_click(objInst)
{
	var nFindRow, arrFindOpt;

    arrFindOpt = [];

    // 1번 컬럼은 체크이고
    arrFindOpt.push("1:=:\"1\":&");
	
	nFindRow = this.grd_SM.findrow(0, arrFindOpt.join(","));

	if(nFindRow != -1 ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "발생 처리 할수 없는 상태입니다.(통합 CHECK∨ 확인)", "msg04");			
		focusObj = this.edt_loanNo;
		return false;
	}
	
	fstrContents = "1";
	
	this.DS_SETL_INFO.init();
	this.DS_SETL_INFO.addrow();
	
	this.DS_SD.init();
	
	this.Setl_Info_Enable();
	
	this.edt_DsrcAdjAmt.setenable(false);
    this.cbo_DsrcAdjCd.setenable(false);
    this.edt_AdjDeptCd.setenable(false);
	
    this.DS_SETL_INFO.setdatabyname(0,"adjDeptCd", G_DEPT.getdatabyname(0,"deptCd"));
    this.DS_SETL_INFO.setdatabyname(0,"adjDeptNm", G_DEPT.getdatabyname(0,"deptNm"));
    this.DS_SETL_INFO.setdatabyname(0,"unArngRsn", "");

	this.cbo_DsrcAdjCd.setselectedcode("01");
	
	this.cal_AcctDt.settext(tmp_Today);
	this.cal_SetlDt.settext(tmp_Today);    

    //예가수 발생시는 정보 수정없음.
    this.edt_UnangRsn.setenable(false);
	this.btn_ChngHistReg.setenable(false);
    
}

// 결제정보 활성화
function Setl_Info_Enable() {
	this.cal_AcctDt.setenable(true);
	this.cal_SetlDt.setenable(true); 
	this.cbo_RcptTp.setenable(true); 
	this.cbo_DsrcOccrCd.setenable(true); 
	this.cbo_DsrcAdjCd.setenable(true); 
	this.edt_CashAmt.setenable(true); 
	this.edt_DsrcAdjAmt.setenable(true); 
	this.edt_AdjDeptCd.setenable(true); 
	this.edt_adjLoanNo.setenable(true); 
	this.edt_adjLoanSeq.setenable(true); 
	this.edt_Rmk.setenable(true); 
	this.edt_UnangRsn.setenable(true); 
	this.cbo_rcptAcnt.setenable(true); 
	this.cbo_rBankCd.setenable(true);  
	this.edt_rAcntNo.setenable(true);   
}

// 결제정보 비활성화
function Setl_Info_Disable() {
	this.cal_AcctDt.setenable(false);
	this.cal_SetlDt.setenable(false); 
	this.cbo_RcptTp.setenable(false); 
	this.cbo_DsrcOccrCd.setenable(false); 
	this.cbo_DsrcAdjCd.setenable(false); 
	this.edt_CashAmt.setenable(false); 
	this.edt_DsrcAdjAmt.setenable(false); 
	this.edt_AdjDeptCd.setenable(false); 
	this.edt_adjLoanNo.setenable(false); 
	this.edt_adjLoanSeq.setenable(false); 
	this.edt_Rmk.setenable(false); 
	this.edt_UnangRsn.setenable(false); 
	this.cbo_rcptAcnt.setenable(false); 
	this.cbo_rBankCd.setenable(false);  
	this.edt_rAcntNo.setenable(false);   
}

function btn_SetlDtChng_on_click(objInst)
{
	if (this.DS_SETL_INFO.getrowcount() != 1) {
		return false;
	}
	
	if (fstrContents == "1" || fstrContents == "2") {
	  SYSUtil.loadMessageBox(screen, "알림", 1, "예가수 조회후 선택하세요.(정산, 통합 중 결제일자 변경불가능함.))", "msg04");	
	  return false;
	}
	
	// 업무화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "DS_SETL_INFO" : this.DS_SETL_INFO};
	// 팝업 Title
	var popupTitle = "예가수결제일자변경";
	//팝업 경로
	var popupPath = "/BIZ/R/SR/SR/RSRSRP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;	
	
}

function fn_DsrcCheck(fDivCd) {
	
	// fDivCd: 1-정산
	if (fDivCd == 0) {// 조회
		var loanNo   = this.DS_SEARCH.getdatabyname(0,"loanNo");
		var dsrcNo   = this.DS_SEARCH.getdatabyname(0,"dsrcNo");
		var custNo   = this.DS_SEARCH.getdatabyname(0,"custNo");

		if ((loanNo.length == 0 && dsrcNo.length == 0 && custNo.length == 0 )
			|| (loanNo.length > 0 && loanNo.length != 11)
			|| (dsrcNo.length > 0 && dsrcNo.length != 11)
			|| (custNo.length > 0 && custNo.length != 13 && custNo.length != 9)){
			SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호,예가수번호,고객번호를 확인하세요.", "msg04");	
			focusObj = this.edt_adjLoanNo;
			return false;
		}

	}
	//신규 저장
	else if (fDivCd == 2 && fstrContents == "1")  {
		//발생
		if (this.DS_SETL_INFO.getdatabyname(0,"dsrcAdjCd") == "01") {
		
			if (this.DS_SETL_INFO.getdatabyname(0,"acctDt").length != 8) {				
				SYSUtil.loadMessageBox(screen, "알림", 1, "회계일자를 확인하세요", "msg04");	
				focusObj = this.cal_AcctDt;
				return false;
			}

			if (this.DS_SETL_INFO.getdatabyname(0,"setlDt").length != 8) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "결제일자를 확인하세요", "msg04");	
				focusObj = this.cal_SetlDt;
				return false;
			}
			
			var rcptTpCd = this.DS_SETL_INFO.getdatabyname(0,"rcptTpCd");
			if (rcptTpCd.length == 0) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "수납유형을 확인하세요", "msg04");					
				focusObj = this.cbo_RcptTp;
				return false;
			}

			var dsrcOccrCd = this.DS_SETL_INFO.getdatabyname(0,"dsrcOccrCd");
			if (dsrcOccrCd.length == 0) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "예가수발생을 확인하세요", "msg04");	
				focusObj = this.cbo_DsrcOccrCd;
				return false;
			}
			
			if (this.DS_SETL_INFO.getdatabyname(0,"rcptTpCd")== "C1" && dsrcOccrCd != "23") {
				SYSUtil.loadMessageBox(screen, "알림", 1, "수납유형-가상계좌수납일 경우 예가수발생코드는 '23:가상계좌입금_가'를 사용하세요.", "msg04");					
				focusObj = this.cbo_DsrcOccrCd;
				return false;
			}
			if (dsrcOccrCd == "23" && this.DS_SETL_INFO.getdatabyname(0,"rcptTpCd") != "C1") {
				SYSUtil.loadMessageBox(screen, "알림", 1, "예가수발생코드-가상계좌입금_가'일 경우 수납유형은 'C1:가상계좌수납'을 사용하세요.", "msg04");	
				focusObj = this.cbo_RcptTp;
				return false;
			}
			
			// [19.12.04 KCAR] 입출금 계좌관리
			if (rcptTpCd != "D1") {
				var rCd    = this.DS_SETL_INFO.getdatabyname(0, "rcptAcntCd");
				var bankCd = this.DS_SETL_INFO.getdatabyname(0, "bankCd");
				var acntNo = this.DS_SETL_INFO.getdatabyname(0, "acntNo");
				
				if (this.fn_isNull(factory.stringtrim(rCd))) {
					SYSUtil.loadMessageBox(screen, "알림", 1, "수납계좌를 선택하세요.", "msg04");	
					focusObj = this.cbo_rcptAcnt;
					return;
				}
				if (this.fn_isNull(factory.stringtrim(bankCd))) {
					SYSUtil.loadMessageBox(screen, "알림", 1, "수납계좌(은행)를 선택하세요.", "msg04");	
					focusObj = this.cbo_rBankCd;
					return;
				}
				if (this.fn_isNull(factory.stringtrim(acntNo))) {
					SYSUtil.loadMessageBox(screen, "알림", 1, "수납계좌(계좌)를 입력하세요.", "msg04");	
					focusObj = this.edt_rAcntNo;
					return;
				}
			}

			if (Number(this.DS_SETL_INFO.getdatabyname(0,"setlAmt")) <= 0) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "결제금액(현금,수표)을 확인하세요", "msg04");	
				focusObj = this.edt_CashAmt;
				return false;
			}

			if (this.DS_SETL_INFO.getdatabyname(0,"adjDeptCd").length < 6) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "정산부서를 확인하세요.", "msg04");					
				focusObj = this.edt_AdjDeptCd;
				return false;
			}

			//불명가수 이외에는 대출번호-순번이 있어야 한다.
			if (dsrcOccrCd != "22") {
				if (this.DS_SETL_INFO.getdatabyname(0,"loanNo").length < 11 || this.DS_SETL_INFO.getdatabyname(0,"loanSeq").length < 2) {
					SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호(순번)를 확인하세요.", "msg04");	
					focusObj = this.edt_adjLoanNo;
					return false;
				}

				if (dsrcOccrCd == "44") {
					if (!SYSUtil.comConfirm("통합예가수로 발생시 발생후 취소가 불가합니다. 통합예가수로 발생하시겠습니까?")) {
						return false;
					}
				}
			}
		}
	}
	//정산 저장
	else if (fDivCd == 2 && fstrContents == "2") {

		var tmpAdjCd = this.DS_SETL_INFO.getdatabyname(0,"dsrcAdjCd");

		if (tmpAdjCd.length == 0) {			
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수정산을 확인하세요", "msg04");	
			focusObj = this.cbo_DsrcAdjCd;
			return false;
		}

		// 예가수발생
		if (tmpAdjCd == "01") {
			SYSUtil.loadMessageBox(screen, "알림", 1, "정산에서는 예가수발생을 선택할 수 없습니다.", "msg04");	
			focusObj = this.cbo_DsrcAdjCd;
			return false;
		}

		if ((tmpAdjCd == "02" || tmpAdjCd == "03") && Number(this.DS_SETL_INFO.getdatabyname(0,"dsrcAdjamt")) > Number(this.DS_SETL_INFO.getdatabyname(0,"dsrcRamt"))) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수정산금액이 예가수잔액보다 클수 없습니다.", "msg04");	
			focusObj = this.edt_DsrcAdjAmt;
			return false;
		}

		// 예가수정산
		if (tmpAdjCd == "02") {
			var idx = 0;
			
			for(var i = 0 ; i < this.DS_DIC_DSRCMNG_DSRCOCCR.getrowcount(); i++){
				if(this.DS_SETL_INFO.getdatabyname(0,"dsrcOccrCd") == this.DS_DIC_DSRCMNG_DSRCOCCR.getdatabyname(i,"cdDescNo")){
					idx = i;
					break;
				}
			}
			var tmpOccr = this.DS_DIC_DSRCMNG_DSRCOCCR.getdatabyname(idx,"cdDescNo");
			if (tmpOccr == "2") {
				SYSUtil.loadMessageBox(screen, "알림", 1, "예가수정산 불가합니다.(가수정산은 해당업무에서 가능합니다.)", "msg04");	
				focusObj = this.cbo_DsrcAdjCd;
				return false;
			}
		}

		// 환불
		if (tmpAdjCd == "04") {
			SYSUtil.loadMessageBox(screen, "알림", 1, "환불은 환불관리에서 가능합니다.", "msg04");	
			focusObj = this.cbo_DsrcAdjCd;
			return false;
		}

		// 대출번호수정
		if (tmpAdjCd == "21") {

			if (this.DS_SETL_INFO.getdatabyname(0,"loanNo").length < 11 || this.DS_SETL_INFO.getdatabyname(0,"loanSeq").length < 2) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호(순번)를 확인하세요.", "msg04");	
				focusObj = this.edt_adjLoanNo;
				return false;
			}

			if (this.DS_SETL_INFO.getdatabyname(0,"curLoanNo") == this.DS_SETL_INFO.getdatabyname(0,"loanNo") && this.DS_SETL_INFO.getdatabyname(0,"curLoanSeq") == this.DS_SETL_INFO.getdatabyname(0,"loanSeq")) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "대출번호(순번)가 수정 되지 않았습니다.", "msg04");	
				focusObj = this.edt_adjLoanNo;
				return false;
			}
		}

		// 정산점변경
		if (tmpAdjCd == "22") {

			if (this.DS_SETL_INFO.getdatabyname(0,"adjDeptCd").length < 6) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "정산부서코를 확인하세요.", "msg04");	
				focusObj = this.edt_AdjDeptCd;
				return false;
			}

			if (this.DS_SETL_INFO.getdatabyname(0,"curDeptCd") == this.DS_SETL_INFO.getdatabyname(0,"adjDeptCd")) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "정산부서가 수정 되지 않았습니다.", "msg04");	
				focusObj = this.edt_AdjDeptCd;
				return false;
			}

			var tmpAdjDeptCd     = this.DS_SETL_INFO.getdatabyname(0, "adjDeptCd");
			var tmpLoanMngDeptCd = this.DS_SETL_INFO.getdatabyname(0, "loanMngDeptCd");

			//선수금리스료 예가수발생
			if (this.DS_SETL_INFO.getdatabyname(0, "dsrcOccrCd") == "41" && (tmpAdjDeptCd != tmpLoanMngDeptCd)) {
				return SYSUtil.comConfirm("운용리스 선수금리스료에 대해 정산부서변경시 선수금리스 대체가 불가합니다.\n그래도 변경하시겠습니까?");
			}
		}
	}
	//삭제
	else if (fDivCd == 3) {

		if (this.DS_SETL_INFO.getdatabyname(0,"cnclFg") == "1") {
			SYSUtil.loadMessageBox(screen, "알림", 1, "이미 취소된 예가수입니다.", "msg04");
			this.edt_loanNo.setfocus();
			return false;
		}

		if (this.DS_SETL_INFO.getdatabyname(0,"dsrcAdjCd") == "01" 
		 && this.DS_SETL_INFO.getdatabyname(0,"dsrcRamt") != this.DS_SETL_INFO.getdatabyname(0,"dsrcOccrAmt")) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수발생 취소시 정산된 정보가 존재합니다.(정산내역 취소 후 취소가능합니다.)", "msg04");
			this.edt_loanNo.setfocus();
			return false;
		}
	}
	return true;
}

// 완료 콜백 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	
	// 조회 && 데이터가 있을시
	if(mapid == "RSRSRM01S01" && recv_code == "0000"){
		
		fstrContents = "0";
		
		if(G_USER_ROLE.getdatabyname(0,"roleNo") == "IT01"){
			this.btn_adjPop.setvisible(true);	
		}
	}
	// 삭제 && 성공시
	else if(mapid == "RSRSRM01D01" && recv_code == "0000"){
		
		SYSUtil.loadMessageBox(screen, "알림", 1, "삭제 완료되었습니다.", "msg04");
		
		this.DS_SEARCH.setdatabyname(0,"loanNo",  this.DS_SETL_INFO.getdatabyname(0,"loanNo"));
		this.DS_SEARCH.setdatabyname(0,"loanSeq", this.DS_SETL_INFO.getdatabyname(0,"loanSeq"));
		this.DS_SEARCH.setdatabyname(0,"dsrcNo",  this.DS_SETL_INFO.getdatabyname(0,"dsrcNo"));
	
		this.ue_query();
	}
	// 예가수이력 등록 && 성공시
	else if(mapid == "RSRSRM01U01" && recv_code == "0000"){
		this.ue_query();
	}
	else if(mapid == "RSRSRM01I01" && recv_code == "0000"){
		this.DS_SEARCH.setdatabyname(0,"loanNo",  this.DS_SETL_INFO.getdatabyname(0,"loanNo"));
		this.DS_SEARCH.setdatabyname(0,"loanSeq", this.DS_SETL_INFO.getdatabyname(0,"loanSeq"));
		this.DS_SEARCH.setdatabyname(0,"dsrcNo",  this.DS_SETL_INFO.getdatabyname(0,"dsrcNo"));
		
		this.ue_query();
	}
	else if(mapid == "RSRSRM01I02" && recv_code == "0000"){
		this.DS_SEARCH.setdatabyname(0,"loanNo",  this.DS_SETL_INFO.getdatabyname(0,"loanNo"));
		this.DS_SEARCH.setdatabyname(0,"loanSeq", this.DS_SETL_INFO.getdatabyname(0,"loanSeq"));
		this.DS_SEARCH.setdatabyname(0,"dsrcNo",  this.DS_SETL_INFO.getdatabyname(0,"dsrcNo"));
		
		this.ue_query();
	}			
}

// 예가수발생정보 그리드 셀 클릭시
function grd_SM_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	// 정산 셀 이외의 셀 클릭시
	if(nClickColumn != 0 && nClickColumn != 1 ){
		
//		var parent_setl_div = "";
		
//		if (IsExistVar("parm_setlDiv",true)) {
//			parent_setl_div = parm_setlDiv;
//		}
	
		// 할부수납관리이고 결제구분이 중도상환으로 넘어왔을때만 통합 선택 가능함. 나머지경우는 선택 안됨.
		// if (nCell == 1 && (tmp_Chked == '1' || (parent.fstrPrgmNo == "RRCMN0101" && (parent_setl_div=="3" || parent_setl_div=="4")))) {
		if (nClickColumn == 1 && tmp_Chked == "1") {
			if (this.DS_SM.getdatabyname(nClickRow, "slct") == "1") {
				this.DS_SM.setdatabyname(nClickRow,"slct","0");
			} else {
				if (Number(this.DS_SM.getdatabyname(nClickRow,"dsrcRamt")) <= 0) {
					SYSUtil.loadMessageBox(screen, "알림", 1, "예가수잔액이 존재하지 않습니다.", "msg04");
					return false;
				} else {
					//this.DS_SM.setdatabyname(nClickRow,"slct","1");
					this.grd_SM.setcheckedrow(nClickRow, true);
				}
			}
		}
	
		this.DS_SETL_INFO.init();
		this.DS_SETL_INFO.addrow();

		this.Setl_Info_Disable();

		// 예가수 발생정보 MOVE
		this.cal0.settext(this.DS_SM.getdatabyname(nClickRow,"acctDt").replace("-",""));
		
		this.cal_AcctDt.settext(tmp_Today);
		this.DS_SETL_INFO.setdatabyname(0,"setlDt"       , this.DS_SM.getdatabyname(nClickRow,"setlDt").replace("-",""));
		this.DS_SETL_INFO.setdatabyname(0,"rcptTpCd"     , this.DS_SM.getdatabyname(nClickRow,"rcptTpCd" ));
		this.DS_SETL_INFO.setdatabyname(0,"dsrcOccrCd"   , this.DS_SM.getdatabyname(nClickRow,"dsrcOccrCd"));
		this.DS_SETL_INFO.setdatabyname(0,"adjDivCd"     , this.DS_SM.getdatabyname(nClickRow,"adjDivCd" ));
		this.DS_SETL_INFO.setdatabyname(0,"cashAmt"      , this.DS_SM.getdatabyname(nClickRow,"cashAmt"  ));
		this.DS_SETL_INFO.setdatabyname(0,"chkAmt"       , this.DS_SM.getdatabyname(nClickRow,"chkAmt"   ));
		this.DS_SETL_INFO.setdatabyname(0,"setlAmt"      , this.DS_SM.getdatabyname(nClickRow,"setlAmt"  ));
		this.DS_SETL_INFO.setdatabyname(0,"dsrcNo"       , this.DS_SM.getdatabyname(nClickRow,"dsrcNo"   ));
		this.DS_SETL_INFO.setdatabyname(0,"dsrcAdjAmt"   , this.DS_SM.getdatabyname(nClickRow,"dsrcAdjAmt"));
		this.DS_SETL_INFO.setdatabyname(0,"dsrcAdjCd"    , "01");
		this.DS_SETL_INFO.setdatabyname(0,"adjDeptCd"    , this.DS_SM.getdatabyname(nClickRow,"adjDeptCd"));
		this.DS_SETL_INFO.setdatabyname(0,"adjDeptNm"    , this.DS_SM.getdatabyname(nClickRow,"adjDeptNm"));
		this.DS_SETL_INFO.setdatabyname(0,"loanNo"       , this.DS_SM.getdatabyname(nClickRow,"adjLoanNo"));
		this.DS_SETL_INFO.setdatabyname(0,"loanSeq"      , this.DS_SM.getdatabyname(nClickRow,"adjLoanSeq"));
		this.DS_SETL_INFO.setdatabyname(0,"setlNo"       , this.DS_SM.getdatabyname(nClickRow,"setlNo"   ));
		this.DS_SETL_INFO.setdatabyname(0,"dsrcOccrAmt"  , this.DS_SM.getdatabyname(nClickRow,"dsrcOccrAmt"));
		this.DS_SETL_INFO.setdatabyname(0,"dsrcRamt"     , this.DS_SM.getdatabyname(nClickRow,"dsrcRamt"));
		this.DS_SETL_INFO.setdatabyname(0,"cnclFg"       , this.DS_SM.getdatabyname(nClickRow,"cnclFg"));
		this.DS_SETL_INFO.setdatabyname(0,"dueManNo"     , this.DS_SM.getdatabyname(nClickRow,"dueManNo"));
		this.DS_SETL_INFO.setdatabyname(0,"dueManNm"     , this.DS_SM.getdatabyname(nClickRow,"dueManNm"));
		this.DS_SETL_INFO.setdatabyname(0,"loanMngDeptCd", this.DS_SM.getdatabyname(nClickRow,"loanMngDeptCd"));
		this.DS_SETL_INFO.setdatabyname(0,"rmk"          , this.DS_SM.getdatabyname(nClickRow,"rmk"      ));
		this.DS_SETL_INFO.setdatabyname(0,"unArngRsn"    , this.DS_SM.getdatabyname(nClickRow,"unArngRsn"));		
		this.DS_SETL_INFO.setdatabyname(0,"rcptAcntCd"   , this.DS_SM.getdatabyname(nClickRow,"rcptAcntCd"));
		console.log("1 : " + this.DS_SETL_INFO.getdatabyname(0,"rcptAcntCd"));
		console.log("2 : " + this.DS_SM.getdatabyname(nClickRow,"rcptAcntCd"));
		
		this.DS_SETL_INFO.setdatabyname(0,"acntNo"       , this.DS_SM.getdatabyname(nClickRow,"acntNo"));
		this.DS_SETL_INFO.setdatabyname(0,"bankCd"       , this.DS_SM.getdatabyname(nClickRow,"bankCd"));
		
		this.DS_SETL_INFO_OnLoadCompleted();
		
		this.cal_AcctDt.setenable(true);
		
		//한건이라도 체크된것이 있으면 통합하기위한것으로 간주함.
		var isIntgFg = false;
		if (this.grd_SM.getcheckedrowcount() > 0) {
			isIntgFg = true;
		}

		//팝업이 아니고 통합도 아닐때
		if (isIntgFg == false && tmp_Chked == "1") {
			this.edt_Rmk.setenable(true);
			this.edt_UnangRsn.setenable(true);
			this.btn_ChngHistReg.setenable(true);
		} else {
			this.edt_Rmk.setenable(false);
			this.edt_UnangRsn.setenable(false);
			this.btn_ChngHistReg.setenable(false);
		}
		
		//예가수내역 정보 조회
		fstrContents = "3";
		
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM01S02");
	
		if(reqSubmit == false) {
			screen.setscreenprotect(false); //화면잠금해제
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}else{
			screen.setscreenprotect(false); //화면잠금해제
		}
	}
}


// 예가수발생정보 그리드 정산 버튼 클릭 이벤트
function grd_SM_on_itembtnclick(objInst, nClickRow, nClickColumn)
{
	if(nClickColumn == 0){
		
		if(Number(this.DS_SM.getdatabyname(nClickRow,"dsrcRamt")) <= 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수잔액이 존재하지 않습니다.", "msg04");
			return false;
		}
		
//		if(this.grd_SM.getcheckedrowcount() >= 0) {
//			SYSUtil.loadMessageBox(screen, "알림", 1, "예가수 통합은 통합건 선택후 [저장]버튼을 눌러야 합니다.", "msg04");			
//			return false;
//		}
		
		this.DS_SETL_INFO.init();
		this.DS_SETL_INFO.addrow();
		
		this.DS_SETL_INFO.setdatabyname(0, "acctDt"       , tmp_Today);
		this.DS_SETL_INFO.setdatabyname(0, "rcptTpCd"     , "D1");
		this.DS_SETL_INFO.setdatabyname(0, "setlDt"       , this.DS_SM.getdatabyname(nClickRow, "setlDt").replace("-","") );
		this.DS_SETL_INFO.setdatabyname(0, "dsrcOccrCd"   , this.DS_SM.getdatabyname(nClickRow, "dsrcOccrCd"));
		this.DS_SETL_INFO.setdatabyname(0, "dsrcadjCd"    , this.DS_SM.getdatabyname(nClickRow, "adjDivCd" ));
		this.DS_SETL_INFO.setdatabyname(0, "dsrcNo"       , this.DS_SM.getdatabyname(nClickRow, "dsrcNo"   ));
		this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjAmt"   , this.DS_SM.getdatabyname(nClickRow, "dsrcRamt"));
		this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjCd"    , "");
		this.DS_SETL_INFO.setdatabyname(0, "adjDeptCd"    , this.DS_SM.getdatabyname(nClickRow, "adjDeptCd"));
		this.DS_SETL_INFO.setdatabyname(0, "adjDeptNm"    , this.DS_SM.getdatabyname(nClickRow, "adjDeptNm"));
		this.DS_SETL_INFO.setdatabyname(0, "loanNo"       , this.DS_SM.getdatabyname(nClickRow, "adjLoanNo"));
		this.DS_SETL_INFO.setdatabyname(0, "loanSeq"      , this.DS_SM.getdatabyname(nClickRow, "adjLoanSeq"));
		this.DS_SETL_INFO.setdatabyname(0, "curLoanNo"    , this.DS_SM.getdatabyname(nClickRow, "adjLoanNo"));
		this.DS_SETL_INFO.setdatabyname(0, "curLoanSeq"   , this.DS_SM.getdatabyname(nClickRow, "adjLoanSeq"));
		this.DS_SETL_INFO.setdatabyname(0, "curDeptCd"    , this.DS_SM.getdatabyname(nClickRow, "adjDeptCd"));
		this.DS_SETL_INFO.setdatabyname(0, "curDeptNm"    , this.DS_SM.getdatabyname(nClickRow, "adjDeptNm"));
		this.DS_SETL_INFO.setdatabyname(0, "dsrcRamt"     , this.DS_SM.getdatabyname(nClickRow, "dsrcRamt"));
		this.DS_SETL_INFO.setdatabyname(0, "dueManNo"     , this.DS_SM.getdatabyname(nClickRow, "dueManNo"));
		this.DS_SETL_INFO.setdatabyname(0, "dueManNm"     , this.DS_SM.getdatabyname(nClickRow, "dueManNm"));
		this.DS_SETL_INFO.setdatabyname(0, "loanMngDeptCd", this.DS_SM.getdatabyname(nClickRow, "loanMngDeptCd"));
		this.DS_SETL_INFO.setdatabyname(0, "rmk"          , this.DS_SM.getdatabyname(nClickRow, "rmk"      ));
		this.DS_SETL_INFO.setdatabyname(0, "unArngRsn"    , this.DS_SM.getdatabyname(nClickRow, "unArngRsn"));
		
		this.Setl_Info_Enable();
		
		// 비활성화처리
		this.cal_SetlDt.setenable(false);
		this.cbo_RcptTp.setenable(false);
		this.cbo_DsrcOccrCd.setenable(false);
		this.edt_CashAmt.setenable(false);		
		this.btn_ChngHistReg.setenable(false);		
		this.cbo_rcptAcnt.setenable(false);
		this.cbo_rBankCd.setenable(false);
		this.edt_rAcntNo.setenable(false);

		fstrContents = "2";	
	}
}

// 예가수내역정보 row click
function grd_SD_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{	
	this.DS_SETL_INFO.init();
	this.DS_SETL_INFO.addrow();

	this.Setl_Info_Disable();

	// 예가수 발생정보 MOVE
	this.cal0.settext(this.DS_SD.getdatabyname(nClickRow,"acctDt").replace("-",""));
	this.DS_SETL_INFO.setdatabyname(0, "acctDt"     , tmp_Today);
	this.DS_SETL_INFO.setdatabyname(0, "setlDt"     , this.DS_SD.getdatabyname(nClickRow,"setlDt").replace("-",""));
	this.DS_SETL_INFO.setdatabyname(0, "rcptTpCd"   , this.DS_SD.getdatabyname(nClickRow,"rcptTpCd" ));
	this.DS_SETL_INFO.setdatabyname(0, "dsrcOccrCd" , this.DS_SD.getdatabyname(nClickRow,"dsrcOccrCd"));
	this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjCd"  , this.DS_SD.getdatabyname(nClickRow,"dsrcAdjCd" ));
	this.DS_SETL_INFO.setdatabyname(0, "cashAmt"    , 0);
	this.DS_SETL_INFO.setdatabyname(0, "chkAmt"     , 0);
	this.DS_SETL_INFO.setdatabyname(0, "setlAmt"    , 0);
	this.DS_SETL_INFO.setdatabyname(0, "dsrcNo"     , this.DS_SD.getdatabyname(nClickRow, "dsrcNo"   ));

	if (this.DS_SD.getdatabyname(nClickRow,"dsrcAdjCd" ) == "01") {
		this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjAmt" , this.DS_SD.getdatabyname(nClickRow, "dsrcOccrAmt"));
	} else {
		this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjAmt" , this.DS_SD.getdatabyname(nClickRow, "dsrcAdjAmt"));
	}

	this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjCd"  , this.DS_SD.getdatabyname(nClickRow, "dsrcAdjCd"));
	this.DS_SETL_INFO.setdatabyname(0, "adjDeptCd"  , this.DS_SD.getdatabyname(nClickRow, "adjDeptCd"));
	this.DS_SETL_INFO.setdatabyname(0, "adjDeptNm"  , this.DS_SD.getdatabyname(nClickRow, "adjDeptNm"));
	this.DS_SETL_INFO.setdatabyname(0, "loanNo"     , this.DS_SD.getdatabyname(nClickRow, "LoanNo"));
	this.DS_SETL_INFO.setdatabyname(0, "loanSeq"    , this.DS_SD.getdatabyname(nClickRow, "LoanSeq"));
	this.DS_SETL_INFO.setdatabyname(0, "rmk"        , this.DS_SD.getdatabyname(nClickRow, "rmk"      ));
	this.DS_SETL_INFO.setdatabyname(0, "setlNo"     , this.DS_SD.getdatabyname(nClickRow, "setlNo"   ));
	this.DS_SETL_INFO.setdatabyname(0, "dsrcOccrAmt", this.DS_SD.getdatabyname(nClickRow, "curDsrcOccrAmt"));
	this.DS_SETL_INFO.setdatabyname(0, "dsrcRamt"   , this.DS_SD.getdatabyname(nClickRow, "curDsrcRamt"));
	this.DS_SETL_INFO.setdatabyname(0, "cnclFg"     , this.DS_SD.getdatabyname(nClickRow, "cnclFg"));
	this.DS_SETL_INFO.setdatabyname(0,"unArngRsn"   , "");
	
	this.cal_AcctDt.setenable(true);
	
	//적요, 미정리사유 수정금지
	this.btn_ChngHistReg.setenable(false);
	this.edt_UnangRsn.setenable(false);
	
	fstrContents = "3";			
}

// 수납관리 팝업
function btn_rcptLink_on_click(objInst)
{
	if (this.DS_SETL_INFO.getdatabyname(0, "loanNo").length > 0) {		
		var sendData = {"loanNo"  : this.DS_SETL_INFO.getdatabyname(0,"loanNo") , 
	                    "loanSeq" : this.DS_SETL_INFO.getdatabyname(0,"loanSeq") ,
		                "setlNo"  : this.DS_SETL_INFO.getdatabyname(0,"setlNo")
                       };
	}
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/RC/RC/RRCRCM01", "수납관리" , sendData);		
}

// 환불관리 팝업
function btn_rfndLink_on_click(objInst)
{
	
	if (this.DS_SETL_INFO.getdatabyname(0, "loanNo").length > 0) {		
		var sendData = {"dsrcNo": this.DS_SETL_INFO.getdatabyname(0,"dsrcNo") };
	}
	
	SYSUtil.goToWorkPage(this.screen, "/BIZ/R/SR/SR/RSRSRM03", "예/가수환불관리" , sendData);	
}

// 변경이력 팝업
function btn_ChngHistPop_on_click(objInst)
{
	if(this.DS_SETL_INFO.getrowcount() == 0 || this.DS_SETL_INFO.getdatabyname(0,"dsrcNo").length == 0 ) {
		return false;
	}
	
	// 팝업화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "dsrcNo": this.DS_SETL_INFO.getdatabyname(0,"dsrcNo")};
	// 팝업 Title
	var popupTitle = "예가수변경이력";
	//팝업 경로
	var popupPath = "/BIZ/R/SR/SR/RSRSRP02";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
	
}

function DS_SETL_INFO_OnLoadCompleted() {
	
	this.btn_Search_adj_cust.setenable(false);
	this.edt_AdjDeptCd.setenable(false);
	this.fn_setSetlDtBtn(false);
	
	if(this.DS_SETL_INFO.getrowcount() < 1 || this.grd_SM.getcheckedrowcount() > 0){
		return;
	}
	
	// fstrContents : 1 발생
	// fstrContents : 2 정산
	// fstrContents : 3 내역조회
	console.log("fstrContents : " + fstrContents);
	console.log("dsrcRamt : " + this.DS_SETL_INFO.getdatabyname(this.DS_SETL_INFO.getpos(), "dsrcRamt"));
	if (fstrContents == "1") {
		this.btn_Search_adj_cust.setenable(true);
    } else if (fstrContents == "2") {
		this.btn_Search_adj_cust.setenable(true);
		this.edt_AdjDeptCd.setenable(true);
	} else {
		if (this.DS_SETL_INFO.getdatabyname(this.DS_SETL_INFO.getpos(), "dsrcRamt") > 0) {
			this.fn_setSetlDtBtn(true);
		}
	}
}

/**
 * 결제일자 버튼 제어
 */
function fn_setSetlDtBtn(isEnable) {
	if (isEnable) {
		this.btn_SetlDtChng.setenable(true);
		this.btn_SetlDtChng.setvisible(true);
	} else {
		this.btn_SetlDtChng.setenable(false);
		this.btn_SetlDtChng.setvisible(false);
	}
}

/**
 * 변경 이력 저장
 */
function btn_ChngHistReg_on_click(objInst)
{
	if (this.DS_SETL_INFO.getrowcount()!= 1) {
		return false;
	}
	
	this.DS_DSRC_CHNG.init();
	
	var orginUnArngRsn = this.DS_SETL_INFO.getprevdatabyname(this.DS_SETL_INFO.getpos(), "unArngRsn");
	var newUnArngRsn = this.DS_SETL_INFO.getdatabyname(this.DS_SETL_INFO.getpos(), "unArngRsn");
		
	if (orginUnArngRsn !=  newUnArngRsn) {
		var rowId = this.DS_DSRC_CHNG.addrow();
		this.DS_DSRC_CHNG.setdatabyname(rowId, "dsrcNo", this.DS_SETL_INFO.getdatabyname(this.DS_SETL_INFO.getpos(),"dsrcNo"));
		this.DS_DSRC_CHNG.setdatabyname(rowId, "chngDiv", "2");
		this.DS_DSRC_CHNG.setdatabyname(rowId, "rmrk", newUnArngRsn);
	}

	var orginRmk = this.DS_SETL_INFO.getprevdatabyname(this.DS_SETL_INFO.getpos(), "rmk");
	var newRmk = this.DS_SETL_INFO.getdatabyname(this.DS_SETL_INFO.getpos(), "rmk");
		
	if (orginRmk !=  newRmk) {
		var rowId = this.DS_DSRC_CHNG.addrow();
		this.DS_DSRC_CHNG.setdatabyname(rowId, "dsrcNo", this.DS_SETL_INFO.getdatabyname(this.DS_SETL_INFO.getpos(),"dsrcNo"));
		this.DS_DSRC_CHNG.setdatabyname(rowId, "chngDiv", "3");
		this.DS_DSRC_CHNG.setdatabyname(rowId, "rmrk", newRmk);
	}

	if ( this.DS_DSRC_CHNG.getrowcount() < 1) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "변경된 내용이 없습니다.", "msg04");
		this.edt_Rmk.setfocus();
		return;
	}
	
	if ( ! SYSUtil.comConfirm("변경내용을 저장하시겠습니까?") ) {
		return;
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM01U01");
	
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}	
}

// 수납유형 콤보박스 데이터 변경시
function cbo_RcptTp_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	
	var acctUnit = this.DS_SM.getdatabyname(0, "acctUnitCd");
	var rcptTpCd = this.cbo_RcptTp.getselectedcode();
		
	if (rcptTpCd == "C1") {
		this.cbo_DsrcOccrCd.setselectedcode("23");
	}
	
	if (rcptTpCd == "D1") {
		this.cbo_rcptAcnt.setenable(false);
		this.cbo_rcptAcnt.settext("");
	} else {
		this.cbo_rcptAcnt.setenable(true);
		this.cbo_rcptAcnt.setselectedindex(1);
	}
	this.cbo_rcptAcnt_on_itemchange();
}

// 수납계좌 변경 시 이벤트
function cbo_rcptAcnt_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	var rcptTpCd = this.DS_SETL_INFO.getdatabyname(0, "rcptTpCd");
	
	if (rcptTpCd == "W2" || rcptTpCd == "A1" || rcptTpCd == "C1") {
	
		var rCd = this.DS_SETL_INFO.getdatabyname(0, "rcptAcntCd");
		var idx = 0;
				
		for(var i = 0 ; i < this.DS_DIC_RAC002.getrowcount(); i++){
		
			if(rCd == this.DS_DIC_RAC002.getdatabyname(i,"cdDescNo")){
				idx = i;
				break;
			}
		}
		
		var bankCd = this.DS_DIC_RAC002.getdatabyname(idx, "cdDescEtcNm");
		var acntNo = this.DS_DIC_RAC002.getdatabyname(idx, "cdDescShrtNm");
			
		// 직접입력
		if (!this.fn_isNull(factory.stringtrim(rCd)) && this.fn_isNull(factory.stringtrim(bankCd)) && this.fn_isNull(factory.stringtrim(acntNo))) {
			this.cbo_rBankCd.settext("");
			this.edt_rAcntNo.settext("");
			
			if (fstrContents == "1") {
				this.cbo_rBankCd.setenable(true);
				this.edt_rAcntNo.setenable(true);
			} else {
				this.cbo_rBankCd.setenable(false);
				this.edt_rAcntNo.setenable(false);
			}
		} else {
			this.cbo_rBankCd.setenable(false);
			this.cbo_rBankCd.setselectedcode(bankCd);
			this.edt_rAcntNo.setenable(false);
			this.edt_rAcntNo.settext(acntNo);
		}
	}
	else {
		this.cbo_rBankCd.setenable(false);
		this.cbo_rBankCd.settext("");
		this.edt_rAcntNo.setenable(false);
		this.edt_rAcntNo.settext("");
	}
}

function fn_isNull(str){
	
	if (str == null || str== "") {
		return true;
	} else {
		return false;
	}
}

// 적용대출번호 입력완료시
function edt_adjLoanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	// 11자리 입력시 대출순번 01 세팅
	if(factory.stringtrim(curr_text).length == 11 ){
		this.edt_adjLoanSeq.settext("01");
	}
}

// 적용대출순번 입력완료시
function edt_adjLoanSeq_on_changed(objInst, prev_text, curr_text, event_type)
{
	// 2자리 입력시 적요로 포커스 이동
	if(factory.stringtrim(curr_text).length == 2 ){
		this.edt_Rmk.setfocus();
	}
}

// 엔터키 이벤트 
function screen_on_keydown(keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log(keycode);
	if(keycode == "13"){
		
		this.DS_SEARCH.setdatabyname(0,"loanNo"  , this.edt_loanNo.gettext());
		this.DS_SEARCH.setdatabyname(0,"loanSeq" , this.edt_loanSeq.gettext());
		this.DS_SEARCH.setdatabyname(0,"dsrcNo"  , this.edt_dsrcNo_H.gettext());
		this.DS_SEARCH.setdatabyname(0,"custNo"  , this.edt_CustNo.gettext());
		
		this.ue_query();
	}
}

// 조회탭 조회 버튼 클릭
function btn_Select_on_click(objInst)
{
	this.ue_query();
}

// 현금금액 입력 이벤트
function edt_CashAmt_on_changed(objInst, prev_text, curr_text, event_type)
{
	this.edt_SetlAmt.settext(Number(curr_text));
}

// 예가수 정산 콤보박스 변경 이벤트
function cbo_DsrcAdjCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	// 정산
	if(fstrContents == "2"){
		
		this.DS_SETL_INFO.setdatabyname(0, "dsrcAdjAmt", this.DS_SETL_INFO.getdatabyname(0,"dsrcRamt"));
		this.DS_SETL_INFO.setdatabyname(0, "adjDeptCd" , this.DS_SETL_INFO.getdatabyname(0,"curDeptCd"));
		this.DS_SETL_INFO.setdatabyname(0, "adjDeptNm" , this.DS_SETL_INFO.getdatabyname(0,"curDeptNm"));
		this.DS_SETL_INFO.setdatabyname(0, "loanNo"    , this.DS_SETL_INFO.getdatabyname(0,"curLoanNo"));
		this.DS_SETL_INFO.setdatabyname(0, "loanSeq"   , this.DS_SETL_INFO.getdatabyname(0,"curLoanSeq"));
		
		// 대출번호 수정 선택시
		if(ncur_item == "21"){
			this.edt_DsrcAdjAmt.setenable(false);			
			this.edt_AdjDeptCd.setenable(false);
			this.btn_Search_adj_cust.setenable(true);
			this.edt_adjLoanNo.setenable(true);
			this.edt_adjLoanSeq.setenable(true);
		}
		// 정산정변경
		else if(ncur_item == "22"){
			this.edt_DsrcAdjAmt.setenable(false);	
			this.edt_AdjDeptCd.setenable(true);
			this.btn_Search_adj_cust.setenable(false);
			this.edt_adjLoanNo.setenable(false);
			this.edt_adjLoanSeq.setenable(false);
		}else{
			this.edt_DsrcAdjAmt.setenable(true);	
			this.edt_AdjDeptCd.setenable(false);
			this.btn_Search_adj_cust.setenable(false);
			this.edt_adjLoanNo.setenable(false);
			this.edt_adjLoanSeq.setenable(false);
		}
		
	}
}

function edt_loanNo_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.edt_loanSeq.settext("01");
	}
}