﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

// 삭제 row 셋팅
this.iDelRow = -1;

var logInUserNo = G_EMP_INFO.getdatabyname(0,"USER_NO");
/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
/****************************************************************
 * ■ 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
 ****************************************************************/
function ue_init_menu(){
    console.log("#### ue_init_menu() call");
    console.log("####### 사용자 버튼 활성화 #####");
    
    // □ 버튼 제어 추가
    SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);    // 저장 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 삭제 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제
}

/****************************************************************
 * ■  메시지 박스에서 버튼 선택시 호출됨
 ****************************************************************/
function screen_on_messagebox(messagebox_id, result) {
    console.log("#### screen_on_messagebox() call");        
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call");
    console.log("#### screen_on_popupdestroy() popup_name = " + popup_name + " , result = " + result );

    // 의뢰      btnReq
    if( popup_name == "btnReq" ) {
        if( result == "확인" ) {
            // □ 의뢰 전 권리조사의뢰 응답 코드 체크
	        var strGramRtnVal = this.fn_GetGramRspnCd("N200100");
	        var strFnStatCd   = this.DS_SDDO01.getdatabyname(0, "finalStsCd");
	        var strReSendYn   = this.DS_SDDO01.getdatabyname(0, "newReReqFg");
	        strFnStatCd = "399";
	        //console.log("strGramRtnVal = " + strGramRtnVal + ", strFnStatCd = " + strFnStatCd);
            
            // □ case 1. 신규 - 최종진행상태만 체크
	        // □ case 2. 재의뢰 - 권리조사의뢰 내역이 존재하기 때문에 기존 의뢰 취소 후 재의뢰를 해야 함
            if( strReSendYn == "1" ) {
	            if( strFnStatCd == "399" ) {
		            // □ 인터페이스용 데이터셋 복사
	                this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
                    // □ 화면 잠금 처리
                    SYSUtil.setScreenLock(this.screen, true);
                    // □ 의뢰 처리
                    SYSTran.requestSubmitSync(this.screen, "SMOINM02I01");
	            } else {
		            SYSUtil.loadMessageBox(this.screen, "알림", 1, "의뢰를 할 수 없는 대출진행상태 입니다.", "REQ_CHK2");
                }
            } else {
	            if( strGramRtnVal == "000" && strFnStatCd == "399" ) {
		            // □ 인터페이스용 데이터셋 복사
	                this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
	                // □ 화면 잠금 처리
                    SYSUtil.setScreenLock(this.screen, true);
                    // □ 의뢰 처리
	                SYSTran.requestSubmitSync(this.screen, "SMOINM02I01");
	            } else {
		            SYSUtil.loadMessageBox(this.screen, "알림", 1, "기존 의뢰건을 의뢰취소 후 재의뢰 해주세요.", "REQ_CHK1");
		            this.btnReq.setenable(false);
                }
            }
        }
    }
    // 의뢰취소   btnCnclReq
    else if( popup_name == "btnCnclReq" ) {
	    if( result == "확인" ) {
		    // □ 권원조사 의뢰여부 체크	
		    var strGramRtnVal = this.fn_GetGramRspnCd("N200100");
		    strGramRtnVal = "000";    // imsi test
		    console.log("btnCnclReq_on_click strGramRtnVal >>>> " + strGramRtnVal );
		    if( SYSUtil.isEmpty(strGramRtnVal) ) {
		        SYSUtil.loadMessageBox(this.screen, "알림", 1, "의뢰가 완료되지 않아 취소 할 수 없습니다.\n조사의뢰를 먼저 진행 해 주세요.", "CNCL_CHK1");
		    } else {
			    if( SYSUtil.isEmpty(this.cboCnclRsn.val()) ) {
				    SYSUtil.loadMessageBox(this.screen, "알림", 1, "의뢰취소 사유를 선택 해 주세요.", "CNCL_CHK2");
			    } else {
				    this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
		            SYSTran.requestSubmitSync(this.screen, "SMOINM02I02");
			    }
		    }
	    }
    }
    // 확인      btnCnfm
    else if( popup_name == "btnCnfm" ) {
	    if( result == "확인" ) {
		    // □ 권리보험 확인 프로세스
		    //   - 권리보험가입승인 수신 확인
		    var strGramRtnVal = this.fn_GetGramRspnCd("N400500");
		    console.log("btnCnfm_on_click strGramRtnVal >>>> " + strGramRtnVal );
		    
		    if( !SYSUtil.isEmpty(strGramRtnVal) && strGramRtnVal == "000" ) {
		        // □ 권리보험확인
		        SYSTran.requestSubmitSync(this.screen, "SMOINM02I03");
		    } else {
		        SYSUtil.loadMessageBox(this.screen, "알림", 1, "권리보험가입승인이 완료 되지 않았습니다.\n권리보험가입승인 후 확인이 가능합니다.", "CNFM_CHK1");
		        this.chkCnfm.setcheck(false);
		        return false;
		    }
	    }
    }
    // 실행재통보 btnReExecNoti
    else if( popup_name == "btnReExecNoti" ) {
	    if( result == "확인" ) {
		    // □ 실행재통보 전 대출상환종료(N400-600)전문 응답 코드 체크, 응답이 오류인 경우에만 재통보 가능 함
		    var strGramRtnVal = this.fn_GetGramRspnCd("N400600");
		    if( strGramRtnVal != "000" ) {
		        // □ 실행재통보
		        this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
		        SYSTran.requestSubmitSync(this.screen, "SMOINM02I04");
		    } else {
		        SYSUtil.loadMessageBox(this.screen, "알림", 1, "이미 권리보험 대출실행통보[실행통보]가 완료 되었습니다.", "RE_ECXE_CHK");
		        return false;
		    }
	    }
    } 
    // 완제재통보 btnReCaccNoti
    else if( popup_name == "btnReCaccNoti" ) {
	    if( result == "확인" ) {
		    // □ 완제재통보 전 대출상환종료(N400-920)전문 응답 코드 체크, 응답이 오류인 경우에만 재통보 가능 함
		    var strGramRtnVal = this.fn_GetGramRspnCd("N400920");
		    if( strGramRtnVal != "000" ) {
		        // □ 완제재통보
		        this.DS_SDDO01_IF.copy(this.DS_SDDO01, "", true);
		        SYSTran.requestSubmitSync(this.screen, "SMOINM02I05");
		    } else {
		        SYSUtil.loadMessageBox(this.screen, "알림", 1, "이미 권리보험 대출상환종료[완제통보]가 완료 되었습니다.", "RE_CACC_CHK");
		        return false;
		    }
	    }
    }
}

/****************************************************************
 * ■ 화면로드시 발생하는 이벤트
 ****************************************************************/
function screen_on_load(){
    console.log("#### screen_on_load() call");
    
    // □ 공통코드 정의
    SYSTran.getComCode(this.screen, "S11005", this.DS_CD_S11005);            // 공동소유여부(담보소유자구분코드)
    SYSTran.getComCode(this.screen, "S11011", this.DS_CD_S11011);            // 청약의뢰구분코드
    SYSTran.getComCode(this.screen, "THI002", this.DS_CD_THI002, true);      // 신규/재의뢰 구분
    SYSTran.getComCode(this.screen, "THI005", this.DS_CD_THI005);            // 권리보험매매일반구분
    SYSTran.getComCode(this.screen, "THI006", this.DS_CD_THI006);            // 권리보험취소사유
    SYSTran.getComCode(this.screen, "THI008", this.DS_CD_THI008);            // 선순위여부
    SYSTran.getComCode(this.screen, "THI009", this.DS_CD_THI009);            // 임대차승계여부
    SYSTran.getComCode(this.screen, "THI010", this.DS_CD_THI010);            // 무상거주여부
    SYSTran.getComCode(this.screen, "THI011", this.DS_CD_THI011);            // 토지미등기여부
    SYSTran.getComCode(this.screen, "THI012", this.DS_CD_THI012);            // 별도등기있음유무
    SYSTran.getComCode(this.screen, "THI013", this.DS_CD_THI013);            // 전입세대유무
    SYSTran.getComCode(this.screen, "THI014", this.DS_CD_THI014);            // 차주와의관계
    SYSTran.getComCode(this.screen, "THI017", this.DS_CD_THI017);            // 등기부변동유무
    SYSTran.getComCode(this.screen, "THI018", this.DS_CD_THI018);            // 전입세대변동유무
    SYSTran.getComCode(this.screen, "THI019", this.DS_CD_THI019);            // 권리보험승인코드

    // □ 부모화면서 넘겨받은 데이터
    this.EXTRA_DATA = screen.getextradata();    
    if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
        var strPsLoanApplNo = this.EXTRA_DATA.LOAN_APPL_NO;    // 대출신청번호
        var strPsCustNo     = this.EXTRA_DATA.CUST_NO;         // 고객번호
        var strPsLoanCnslNo = this.EXTRA_DATA.LOAN_CNSL_NO;    // 상담번호 
        
        // □ 대출신청번호
        if(strPsLoanApplNo != undefined || strPsLoanApplNo != null){
            this.edtLoanApplNo.settext(strPsLoanApplNo);
        }
        // □ 고객번호
        if(strPsCustNo != undefined || strPsCustNo != null){
            this.edtCustNo.settext(strPsCustNo);
        }
        // □ 상담번호
        if(strPsLoanCnslNo != undefined || strPsLoanCnslNo != null){
            this.DS_SDDO01.setdatabyname(0, "loanCnslNo", strPsLoanCnslNo);
        }
        
        // □ 대출신청번호가 있으면 조회
        if( this.fn_preSrchCheck() == true ) {
            // □ 화면잠금
            SYSUtil.setScreenLock(this.screen, true);
            var reqSubmit = SYSTran.requestSubmitAsync(this.screen, "SMOINM02S01");
        }
    }
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *    [result]
 *    -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *     0 : 서버에서 setErrorMessage를 호출한 경우
 *     1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
    console.log("########## submitcomplete mapid     >> " + mapid);
    console.log("########## submitcomplete result    >> " + result);
    console.log("########## submitcomplete recv_code >> " + recv_code);
    console.log("########## submitcomplete recv_msg  >> " + recv_msg);
    
    // □ 화면 잠금 해제
    SYSUtil.setScreenLock(this.screen, false);

    // □ [공통] 정상 및 오류 응답 처리
    if( result == 1 ) {
	    if( mapid == "SMOINM02S01" ) {
		    var iSddoCnt = this.DS_SDDO01.getrowcount();
            SYSUtil.setStatusMsg(recv_msg + "총[" + iSddoCnt + "]건");        

            // □ 조회 시 후처리 데이터 셋팅
            if( iSddoCnt > 0 ) {
                this.fn_SetAfSearch();
            }
		} else {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "SUSS");
			SYSUtil.setStatusMsg(recv_msg);
	    }
    } else {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
        SYSUtil.setStatusMsg(recv_msg);
    }

    // □ 서비스 후 개별후처리
    // □ 의뢰 후처리
    if( mapid == "SMOINM02I01" ) {
	    if( result == 1 && recv_code == "0000" ) {
		    this.btnCnclReq.setenable(true);    // 의뢰취소 버튼 활성화
		    this.cboCnclRsn.setenable(true);    // 의뢰취소 콤보 활성화
		    // □ 조회
		    this.ue_query();
	    }
    }
    // □ 의뢰취소 후처리
    else if( mapid == "SMOINM02I02" ) {
        if( result == 1 && recv_code == "0000" ) {
	        this.btnCnclReq.setenable(false);    // 의뢰취소버튼 비활성화	
		    // □ 조회
	        this.ue_query();
	    }
    }
    // □ 확인 시 후처리
    else if( mapid == "SMOINM02I03" ) {
	    if( result == 1 && recv_code == "0000" ) {
		    // □ 조회
		    this.ue_query();
	    }
    }
    // □ 실행재통보 시 후처리
    else if( mapid == "SMOINM02I04" ) {
	    if( result == 1 && recv_code == "0000" ) {
		    // □ 조회
		    this.ue_query();
	    }
    }
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

/****************************************************************
 * ■ 공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){
    console.log("#### ue_print() call");
}

/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
    console.log("#### ue_query() call");

    // □ 조회 전 필수항목 체크
    if( this.fn_preSrchCheck() == true ) {
        // □ 조회 처리
        SYSUtil.setScreenLock(this.screen, true);
        SYSTran.requestSubmitSync(this.screen, "SMOINM02S01");
    }
}

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
    console.log("#### ue_update() call");
}

/****************************************************************
 * ■ 공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){
    console.log("#### ue_delete() call");
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
    console.log("#### ue_init() call");
    
    this.EXTRA_DATA = "";
    // □ dataset clear
    this.DS_SM.init();
    this.DS_SDDO01.init();
    this.DS_SDDO02.init();
    this.DS_SDDO01_IF.init();
    this.DS_SDDO_GRAM.init();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_preSrchCheck() {
    
    // □ 조회 전 필수항목 체크
    var strLoanApplNo = this.edtLoanApplNo.val();    // 신청번호
    var strCustNo     = this.edtCustNo.val();        // 고객번호

    // □ 조회조건 null 체크
    if( factory.stringbytelen(strLoanApplNo) == 0 && SYSUtil.isEmpty(strLoanApplNo) ) {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "신청번호를 입력하세요.", "");

        this.edtLoanApplNo.setfocus();
        return false;
    }  

    return true;
}

/****************************************************************
 * ■ 조회 후 처리
 ****************************************************************/
function fn_SetAfSearch() {

    SYSUtil.showDataSetLog(this.DS_SDDO01);

    // □ 재통보 버튼[완제/실행] 제어
    var strGramRtnVal = this.fn_GetGramRspnCd("N400920");
    if( !SYSUtil.isEmpty(strGramRtnVal) && strGramRtnVal != "000" ) {
        this.btnReCaccNoti.setenable(true);
    }
    
    strGramRtnVal = this.fn_GetGramRspnCd("N400600");
    if( !SYSUtil.isEmpty(strGramRtnVal) && strGramRtnVal != "000" ) {
        this.btnReExecNoti.setenable(true);
    } else {
	    this.btnReExecNoti.setenable(false);
    }
    
    // □ 의뢰일자
/*    var strHiApplDt = this.DS_SDDO01.getdatabyname(0, "hiApplDt");
    if( SYSUtil.isEmpty(strHiApplDt) ) {
        this.DS_SDDO01.setdatabyname(0, "hiApplDt", factory.datetoday());
    } */

    // □ 여신진행상태
    var strRealStsCd = this.DS_SDDO01.getdatabyname(0, "applRealStsCd");
    
    // □ 의뢰 버튼 제어

//!!!!!!!!!!!!!!!!!! TEST !!!!!!!!!!!!!!!!!!!!!!!!    
//this.DS_SDDO01.setdatabyname(0, "finalStsCd", "399");    // imsi test - 심사승인완료
//this.DS_SDDO01.setdatabyname(0, "finalStsNm", "심사승인"); // imsi test 
//this.DS_SDDO01.setdatabyname(0, "finalStsCd", "501");    // imsi test - 정상
//this.DS_SDDO01.setdatabyname(0, "finalStsNm", "정상");    // imsi test 
//!!!!!!!!!!!!!!!!!! TEST !!!!!!!!!!!!!!!!!!!!!!!!

    var strFnStatCd  = this.DS_SDDO01.getdatabyname(0, "finalStsCd");   // imsi test - 정상
    strRealStsCd = "60009"; // imsi test - 정상

    if( strRealStsCd == "60009" && strFnStatCd == "399" ) { 
        if( this.btnReq.getenable() == false )    this.btnReq.setenable(true);
    }
    
    // □ 의뢰취소 버튼/콤보 제어
    if( this.DS_SDDO01.getdatabyname(0, "hiApplYn") == "Y" ) {
	    //this.btnReq.setenable(true);
	    if( strFnStatCd == "399" ) {
		    //if( this.btnCnclReq.getenable() == false )    this.btnCnclReq.setenable(true);
		    this.btnCnclReq.setenable(true);
            this.cboCnclRsn.setenable(true);
	    }
    }
    
    // □ 확인버튼, 체크박스 제어
    var strInsuScrtNo   = this.DS_SDDO01.getdatabyname(0, "insuScrtNo");
    var strAprvCd       = this.cboAprvCd.val();
    var strHiResrConfId = this.DS_SDDO01.getdatabyname(0, "hiResrConfId");
    if( !SYSUtil.isEmpty(strInsuScrtNo) && !SYSUtil.isEmpty(strAprvCd) ) {
        this.chkCnfm.setenable(false);
        this.chkCnfm.setcheck(true);
        this.btnCnfm.setenable(false); 
    } else {
	    if( SYSUtil.isEmpty(strHiResrConfId) ) {
		    this.chkCnfm.setenable(false);
	    } else {
	        this.chkCnfm.setenable(false);
	        this.chkCnfm.setcheck(true);
	    }
    }
}

/****************************************************************
 * ■ 전문 전송 전 체크
 ****************************************************************/
function fn_preSendGram( psStrSendGubun ) {
	// □ 의뢰
	if( psStrSendGubun == "A" ) {
		// □ 의뢰구분
		if( this.cboNewReReqFg.val() == "" || SYSUtil.isEmpty(this.cboNewReReqFg.val()) ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "의뢰구분을 선택 해 주세요.", "");
			return false;
		}
		// □ 제출서류
		var strDocCheckVal = this.chkSaleContDocFg.val() + this.chkRentContDocFg.val() + this.chkEtcDocOrRmrk.val();
		console.log(">>>>>>>" + strDocCheckVal + "|" );
		if( strDocCheckVal == "" || strDocCheckVal == "NNN" ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "제출서류 중 하나를 선택 해 주세요.", "");
			return false;
		}

        // □ 구매자금 인 경우 임대차계약서를 선택 하면 alert 메시지 처리
        var strSaleGenDiv = this.DS_SDDO01.getdatabyname(0, "saleGenDiv");
		if( strSaleGenDiv == "1" && this.chkRentContDocFg.val() == "Y" ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "제출서류를 확인 해 주세요.\n(구매자금인 경우 임대차계약서를 선택 할 수 없습니다.)", "CHK");
			return false; 
		}
		
		// □ 구매자금 인 경우 임대차계약서를 선택 하면 alert 메시지 처리
        var strSaleGenDiv = this.DS_SDDO01.getdatabyname(0, "saleGenDiv");
		if( strSaleGenDiv != "1" && this.chkSaleContDocFg.val() == "Y" ) {
			SYSUtil.loadMessageBox(this.screen, "알림", 1, "제출서류를 확인 해 주세요.\n(구매자금 외의 경우 매매계약서를 선택 할 수 없습니다.)", "CHK");
			return false; 
		}
	}
	
	return true;
}

/****************************************************************
 * ■ 각 사용한 전문별 응답코드 return
 ****************************************************************/
function fn_GetGramRspnCd( strPsGramNo ) {
    var strGramRtnVal = ""; 
    if( !SYSUtil.isEmpty(strPsGramNo) ) {
        var nFindRow  = this.DS_SDDO_GRAM.findrowbyname(0, "gramGubun:=:\"*"+strPsGramNo+"*\":1:&");
        strGramRtnVal = this.DS_SDDO_GRAM.getdatabyname(nFindRow, "rspnCd");
    }
    return strGramRtnVal;
}

/****************************************************************
 * ■ 신청번호 텍스트 엔터 키 이벤트
 ****************************************************************/
function edtLoanApplNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    console.log("#### edtLoanApplNo_on_keydown() call");
    // □ 엔터키
	if(keycode == 13){
		// □ 조회
		this.ue_query();
	}
	return 0;
}

/****************************************************************
 * ■  고객번호 텍스트 엔터 키 이벤트
 ****************************************************************/
function edtCustNo_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	console.log("#### edtCustNo_on_keydown() call");
	// □ 엔터키
	if(keycode == 13){
		// □ 조회
		this.ue_query();
	}
	return 0;
}

/****************************************************************
 * ■ 완제재통보 버튼 클릭 이벤트
 ****************************************************************/
function btnReCaccNoti_on_click(objInst)
{
    console.log("#### btnReCaccNoti_on_click() call");
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "완제재통보를 하시겠습니까?", "btnReCaccNoti");
}

/****************************************************************
 * ■ 실행재통보 버튼 클릭 이벤트
 ****************************************************************/
function btnReExecNoti_on_click(objInst)
{
    console.log("#### btnReExecNoti_on_click() call");
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "실행재통보를 하시겠습니까?", "btnReExecNoti");
}

/****************************************************************
 * ■ 채권서류조회하기 버튼 클릭 이벤트
 ****************************************************************/
function btnBndDocRead_on_click(objInst)
{
    console.log("#### btnBndDocRead_on_click() call");
}

/****************************************************************
 * ■ 권리보험송수신내역조회 버튼 클릭 이벤트
 ****************************************************************/
function btnHiSnrDescRead_on_click(objInst)
{
    console.log("#### btnHiSnrDescRead_on_click() call");
    
    SYSUtil.goToWorkPage(this.screen, "/BIZ/S/SP/AS/SSPASM04", "권리보험송수신내역조회", "");    
}

/****************************************************************
 * ■ 의뢰 버튼 클릭 이벤트
 ****************************************************************/
function btnReq_on_click(objInst)
{
    console.log("#### btnReq_on_click() call");
    if( this.fn_preSendGram("A") ) {
	    SYSUtil.loadMessageBox(this.screen, "알림", 2, "의뢰를 하시겠습니까?", "btnReq");
    }
}

/****************************************************************
 * ■ 의뢰취소 버튼 클릭 이벤트
 ****************************************************************/
function btnCnclReq_on_click(objInst)
{
    console.log("#### btnCnclReq_on_click() call");
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "의뢰취소를 하시겠습니까?", "btnCnclReq");
}

/****************************************************************
 * ■ 확인 버튼 클릭 이벤트
 ****************************************************************/
function btnCnfm_on_click(objInst)
{    
    console.log("#### btnCnfm_on_click() call");
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "권리보험확인 확인을 하시겠습니까?", "btnCnfm");
}

/****************************************************************
 * ■ 확인 체크박스 버튼 클릭 이벤트
 ****************************************************************/
function chkCnfm_on_click(objInst)
{
    console.log("#### chkCnfm_on_click() call = " + this.chkCnfm.getcheck());
    
    // □ 권리보험가입승인 전문 수신 확인
    var strGramRtnVal = this.fn_GetGramRspnCd("N400500");
    
    console.log("chkCnfm_on_click strGramRtnVal >>>> " + strGramRtnVal );
    
    // □ 권리보험가입승인 전문응답이 정상인 경우, 확인직원번호(로그인사번)를 셋팅
    if( strGramRtnVal == "000" ) {
        var strUserNo = "";
        // □ 체크박스 클릭
        if( this.chkCnfm.getcheck() ) {
            // □ 확인일자
		    var strHiResrConfDt = this.DS_SDDO01.getdatabyname(0, "hiResrConfDt");
		    this.DS_SDDO01.setdatabyname(0, "hiResrConfDt", factory.datetoday());
            this.DS_SDDO01.setdatabyname(0, "hiResrConfId", logInUserNo);
        } else {
	        this.DS_SDDO01.setdatabyname(0, "hiResrConfDt", "");
            this.DS_SDDO01.setdatabyname(0, "hiResrConfId", "");
        }
    } else {
        SYSUtil.loadMessageBox(this.screen, "알림", 1, "권리보험가입승인이 완료 되지 않았습니다.\n권리보험가입승인 후 확인이 가능합니다.", "");
        this.chkCnfm.setcheck(false);
        return false;
    }
}