﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
//this.EXTRA_DATA = screen.getextradata();
// 처리 그리드
//this.GRID = null;


// ■■■■■■■■■■■■■■■■ 공통 버튼 영역 ■■■■■■■■■■■■■■■■

/****************************************************************
 * ■ 1.공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){
	console.log("#### ue_print() call");
	
}

/****************************************************************
 * ■ 2.공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
	console.log("#### ue_query() call");

}

/****************************************************************
 * ■ 3.공통 추가 버튼 이벤트
 ****************************************************************/
function ue_insert(){
	console.log("#### ue_update() call");
	
}

/****************************************************************
 * ■ 4.공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
	console.log("#### ue_update() call");

}

/****************************************************************
 * ■ 5.공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){
	console.log("#### ue_delete() call");
	
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
	console.log("#### ue_init() call");

	// 전체 그리드 초기화
	this.nRowNo_grdLDongCd01 = -1;
	this.nRowNo_grdLDongCd02 = -1;
	this.nRowNo_grdLDongCd03 = -1;
	this.nRowNo_grdAptNm     = -1;
	this.nRowNo_grdRschDt    = -1;
	this.nRowNo_grdAptMkpr   = -1;

	// 전체 dataset 초기화
	this.DS_KB_APT_MKPR_SEARCH.init();
	this.DS_KB_LDONG_CD_SD01.init();
	this.DS_KB_LDONG_CD_SD02.init();
	this.DS_KB_LDONG_CD_SD03.init();
	this.DS_KB_APT_NM_SD.init();
	this.DS_KB_STND_DT_SD.init();
	this.DS_KB_APT_MKPR_SD.init();

	// 법정동_시도명 그리드 set
	this.fn_Srch_LDongCd01();
}

// ■■■■■■■■■■■■■■■■ 화면 이벤트 영역 ■■■■■■■■■■■■■■■■ 

/****************************************************************
 * ■ 화면 Onload 이벤트
 ****************************************************************/
function screen_on_load(){
	console.log("#### screen_on_load() call");
	
	// 공통버튼 활성화 여부
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);	// 공통 인쇄버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "QUERY" , false);	// 공통 조회버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);	// 공통 저장버튼 숨김처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 공통 삭제버튼 숨김처리

	// 법정동_시도명 조회
	this.fn_Srch_LDongCd01();
	
}

/****************************************************************
 * ■ 조회 후 이벤트
 ****************************************************************/
/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *	[result]
 *	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *	 0 : 서버에서 setErrorMessage를 호출한 경우
 *	 1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	console.log("########## submitcomplete mapid     >> " + mapid);
	console.log("########## submitcomplete result    >> " + result);
	console.log("########## submitcomplete recv_code >> " + recv_code);
	console.log("########## submitcomplete recv_msg  >> " + recv_msg);
	
	// □ 조회 후처리
	if( mapid == "SSPASM05S01" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "시도 내역 총[" + this.DS_KB_LDONG_CD_SD01.getrowcount() + "]건");
			
			} else {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		
		    }
		}
	}
	if( mapid == "SSPASM05S02" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "시군구 내역 총[" + this.DS_KB_LDONG_CD_SD02.getrowcount() + "]건 조회");
			
			} else {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);
			
		    }
		}
	}
	if( mapid == "SSPASM05S03" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "읍면동 내역 총[" + this.DS_KB_LDONG_CD_SD03.getrowcount() + "]건 조회");
			} else {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		
		    }
		}
	}
	if( mapid == "SSPASM05S04" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "아파트명 총[" + this.DS_KB_APT_NM_SD.getrowcount() + "]건 조회");
                  // 아파트 Grid 전체(0번째) row add
                  var AptNmResult = this.DS_KB_APT_NM_SD.insertrow(0);

	              if( AptNmResult == false ) {
		          	screen.alert("새로운 레코드를 삽입하는 도중 오류가 발생하였습니다.");
		
	              }else{
		          	console.log("아파트 Grid 0번째 row add");
		
				  }
				  // 추가된 row에 data set
				  var AptNmResultSet    = this.DS_KB_APT_NM_SD.setdatabyname(0, "aptNm", "전체");
				  var LdongCdResultSet  = this.DS_KB_APT_NM_SD.setdatabyname(0, "ldongCd", this.DS_KB_APT_NM_SD.getdatabyname(this.grdAptNm.getxdatasetrow(1), "ldongCd"));
				  if( AptNmResultSet == false ) {
				  	screen.alert("데이터셋에 데이터를 넣는중 오류가 발생하였습니다");					
					
	              }
				  if( LdongCdResultSet == false ) {
					  screen.alert("데이터셋에 데이터를 넣는중 오류가 발생하였습니다");					
						
	              }
	
				  // 조사기준일 조회
				  this.fn_Srch_StndDt(0);  
				
			}else {
			 	SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		         SYSUtil.setStatusMsg(recv_msg);	
		
		    }
		}
	}
	if( mapid == "SSPASM05S05" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "조사기준일 내역 총[" + this.DS_KB_STND_DT_SD.getrowcount() + "]건 조회");
			} else {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);	
		
		    }
		}
	}
		if( mapid == "SSPASM05S06" ) {
		if( result > -1 ) {
			if( result == 1 ) {
			    SYSUtil.setStatusMsg(recv_msg + "아파트시세내역 내역 총[" + this.DS_KB_APT_MKPR_SD.getrowcount() + "]건 조회");
			} else {
			    SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "msgS0");
		        SYSUtil.setStatusMsg(recv_msg);

		    }
		}
	}
}

/****************************************************************
 * ■ 셀변경 이벤트_시도grid
 ****************************************************************/
function grdLDongCd01_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_LDongCd01_on_itemselchange() call");
	
	this.nRowNo_grdLDongCd01 = nCurSelectRow;
	this.nRowNo_grdLDongCd02 = -1;
	
	// 시도명 재 조회 후 출력 그리드 & dataset 초기화
	this.DS_KB_LDONG_CD_SD03.init(); // 법정동_읍면동ds 
	this.DS_KB_APT_NM_SD.init();	 // 아파트_정보ds
	this.DS_KB_STND_DT_SD.init();    // 조사기준일ds
	this.DS_KB_APT_MKPR_SD.init();   // 아파트시세ds
	
	this.grdLDongCd03.initialize();  // 읍면동 grid
	this.grdAptNm.initialize();      // 아파드명 grid
	this.grdStndDt.initialize();     // 조사기준일 grid
	this.grdAptMkpr.initialize();    // 아파트시세 grid


	// 법정동_시군구명 조회
	this.fn_Srch_LDongCd02(this.nRowNo_grdLDongCd01);
	
}

/****************************************************************
 * ■ 셀변경 이벤트_시군구grid
 ****************************************************************/
function grdLDongCd02_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_LDongCd02_on_itemselchange() call");
	
	this.nRowNo_grdLDongCd02 = nCurSelectRow;
	this.nRowNo_grdLDongCd03 = -1;
	
	// 시군구명 재 조회 후 출력 그리드 & dataset 초기화
	this.DS_KB_APT_NM_SD.init();	 // 아파트_정보ds
	this.DS_KB_STND_DT_SD.init();    // 조사기준일ds
	this.DS_KB_APT_MKPR_SD.init();   // 아파트시세ds
	
	this.grdAptNm.initialize();      // 아파드명 grid
	this.grdStndDt.initialize();     // 조사기준일 grid
	this.grdAptMkpr.initialize();    // 아파트시세 grid

	// 읍면동명 조회
	this.fn_Srch_LDongCd03(this.nRowNo_grdLDongCd02);

}

/****************************************************************
 * ■ 셀변경 이벤트_읍면동grid
 ****************************************************************/
function grdLDongCd03_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grd_LDongCd02_on_itemselchange() call");
	
	this.nRowNo_grdLDongCd03 = nCurSelectRow;
	this.nRowNo_grdAptNm     = -1;
	
	// 읍면동명 재 조회 후 출력 그리드 & dataset 초기화
	this.DS_KB_APT_MKPR_SD.init();   // 아파트시세ds
	this.grdAptMkpr.initialize();    // 아파트시세 grid
	
	// 아파트명 조회
	this.fn_Srch_AptNm(this.nRowNo_grdLDongCd03);
	
}

/****************************************************************
 * ■ 셀변경 이벤트_아파트명grid
 ****************************************************************/
function grdAptNm_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	console.log("#### grdAptNm_on_itemselchange() call");
	
	this.nRowNo_grdAptNm  = nCurSelectRow;
	this.nRowNo_grdRschDt = -1;
	
	// 읍면동명 재 조회 후 출력 그리드 & dataset 초기화
	this.DS_KB_APT_MKPR_SD.init();   // 아파트시세ds
	this.grdAptMkpr.initialize();    // 아파트시세 grid
	
	this.fn_Srch_StndDt(this.nRowNo_grdAptNm);
}

/****************************************************************
 * ■ 셀변경 이벤트_조사기준일grid
 ****************************************************************/
function grdStndDt_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn) 
{
	console.log("#### grdStndDt_on_itemselchange() call");
	
	this.nRowNo_grdStndDt  = nCurSelectRow;
	this.nRowNo_grdAptMkpr = -1;
	
	this.fn_Srch_AptMkpr(this.nRowNo_grdStndDt);
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	// 처리 sample
	// if(popup_name == "message01") {
	//	this.txtResult.settext(result);
	// }
}

// ★★★★★★★★★★★★★★★★ 사용자 정의 함수 ★★★★★★★★★★★★★★★★

/****************************************************************
 * ★ 조회 이벤트_시도명
 ****************************************************************/
function fn_Srch_LDongCd01() {
	console.log("#### fn_Srch_LDongCd01() call");
	
	// 화면잠금
	this.screen.setscreenprotect(true);
	
	// 조회처리
	var reqSubmit = SYSTran.requestSubmit(screen, "SSPASM05S01");
	
	if(reqSubmit == false) {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		
	}else {
		// 화면잠금해제
		this.screen.setscreenprotect(false);

	}
	
}

/****************************************************************
 * ★ 조회 이벤트_시군구명
 ****************************************************************/
function fn_Srch_LDongCd02(nGridRowNo) 
{
	console.log("#### fn_Srch_LDongCd02() call");
	console.log("fn_Srch_LDongCd02 시도Grid_클릭row : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 ) {
		console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if( this.grdLDongCd01.getxdatasetrow(nGridRowNo ) < 0) {
		console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sProvNm = this.DS_KB_LDONG_CD_SD01.getdatabyname(this.grdLDongCd01.getxdatasetrow(nGridRowNo), "provNm"); // 시도명

	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_SEARCH.init();
	this.DS_KB_APT_MKPR_SEARCH.addrow();
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "provNm", sProvNm, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM05S02");
	
	if( reqSubmit == false ) {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ 조회 이벤트_KB읍면동명
 ****************************************************************/
function fn_Srch_LDongCd03(nGridRowNo) 
{
	console.log("#### fn_Srch_LDongCd03() call");
	
	console.log("fn_Srch_LDongCd03 시군구Grid_클릭row : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 ) {
		console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if( this.grdLDongCd02.getxdatasetrow(nGridRowNo ) < 0) {
		console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sProvNm    = this.DS_KB_LDONG_CD_SD02.getdatabyname(this.grdLDongCd02.getxdatasetrow(nGridRowNo), "provNm");    // 시도명
	var sCigunguNm = this.DS_KB_LDONG_CD_SD02.getdatabyname(this.grdLDongCd02.getxdatasetrow(nGridRowNo), "cigunguNm"); // 시군구명

	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_SEARCH.init();
	this.DS_KB_APT_MKPR_SEARCH.addrow();
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "provNm",    sProvNm, false);
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "cigunguNm", sCigunguNm, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM05S03");
	
	if( reqSubmit == false ) {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ 조회 이벤트_KB아파트명
 ****************************************************************/
function fn_Srch_AptNm(nGridRowNo) 
{
	console.log("#### fn_Srch_AptNm() call");	
	console.log("fn_Srch_AptNm 읍면동Grid_클릭row : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 ) {
		console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if( this.grdLDongCd03.getxdatasetrow(nGridRowNo) < 0 ) {
		console.log("getxdatasetrow < 0");
		return;
	}
	
	// 입력값 setting
	var sProvNm        = this.DS_KB_LDONG_CD_SD03.getdatabyname(this.grdLDongCd03.getxdatasetrow(nGridRowNo), "provNm");        // 시도명
	var sCigunguNm     = this.DS_KB_LDONG_CD_SD03.getdatabyname(this.grdLDongCd03.getxdatasetrow(nGridRowNo), "cigunguNm");     // 시군구명
	var sEubmyundongNm = this.DS_KB_LDONG_CD_SD03.getdatabyname(this.grdLDongCd03.getxdatasetrow(nGridRowNo), "eubmyundongNm"); // 읍면동명

	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_SEARCH.init();
	this.DS_KB_APT_MKPR_SEARCH.addrow();
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "provNm",        sProvNm,        false);
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "cigunguNm",     sCigunguNm,     false);
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "eubmyundongNm", sEubmyundongNm, false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM05S04");
	
	if( reqSubmit == false ) {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ 조회 이벤트_KB조사기준일
 ****************************************************************/
function fn_Srch_StndDt(nGridRowNo) 
{
	console.log("#### fn_Srch_StndDt() call");
	console.log("fn_Srch_StndDt 아파트명Grid_클릭row : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if (nGridRowNo < 0) {
		console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if (this.grdAptNm.getxdatasetrow(nGridRowNo) < 0) {
		console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sEsttGodsCd = this.DS_KB_APT_NM_SD.getdatabyname(this.grdAptNm.getxdatasetrow(nGridRowNo), "esttGodsCd"); // 부동산물건코드
	var sLdongCd    = this.DS_KB_APT_NM_SD.getdatabyname(this.grdAptNm.getxdatasetrow(nGridRowNo), "ldongCd");    // 법정동코드
	var sAptNm      = this.DS_KB_APT_NM_SD.getdatabyname(this.grdAptNm.getxdatasetrow(nGridRowNo), "aptNm");      // 아파트명

	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_SEARCH.init();
	this.DS_KB_APT_MKPR_SEARCH.addrow();
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "esttGodsCd", sEsttGodsCd,  false);
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "ldongCd",    sLdongCd,     false);
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "aptNm",      sAptNm,       false);

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM05S05");
	
	if( reqSubmit == false ) {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}

/****************************************************************
 * ★ 조회 이벤트_KB아파트시세
 ****************************************************************/
function fn_Srch_AptMkpr(nGridRowNo) 
{
	console.log("#### fn_Srch_AptMkpr() call");
	console.log("fn_Srch_AptMkpr 조사기준일Grid_클릭row : " + nGridRowNo);

	// 화면잠금
	this.screen.setscreenprotect(true);

	// 조회 가능한지 유효성 체크
	if( nGridRowNo < 0 ) {
		console.log("nGridRowNo < 0");
		return;
	}
	
	// 조회 가능한지 유효성 체크
	if( this.grdStndDt.getxdatasetrow(nGridRowNo ) < 0) {
		console.log("getxdatasetrow < 0");
		return;
	}

	// 입력값 setting
	var sLdongCd    = this.DS_KB_STND_DT_SD.getdatabyname(this.grdStndDt.getxdatasetrow(nGridRowNo), "ldongCd");    // 법정동코드
	var sRschStndDt = this.DS_KB_STND_DT_SD.getdatabyname(this.grdStndDt.getxdatasetrow(nGridRowNo), "rschStndDt"); // 조사기준일
	
	// 조회용 DS 설정
	this.DS_KB_APT_MKPR_SEARCH.init();
	this.DS_KB_APT_MKPR_SEARCH.addrow();
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "ldongCd",    sLdongCd,     false);
	this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "rschStndDt", sRschStndDt,  false);
	
	// 아파트의 부동산물건코드 세팅
	var AptRowPos = this.DS_KB_APT_NM_SD.getpos(); // 아파트명 그리드의 클릭 row 값 확인.
	
	if( AptRowPos == 0 ) {
		// 아파트명 미선택 시, 전체선택
		var sEsttGodsCd = "";
		this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getrowcount() - 1, "esttGodsCd", sEsttGodsCd,  false);
	}else{
		// 아파트명 선택 시 , 해당 아파트의 부동산물건코드 set
		var sEsttGodsCd = this.DS_KB_APT_NM_SD.getdatabyname(this.grdAptNm.getxdatasetrow(this.DS_KB_APT_NM_SD.getpos()), "esttGodsCd");
		this.DS_KB_APT_MKPR_SEARCH.setdatabyname(this.DS_KB_APT_MKPR_SEARCH.getpos(), "esttGodsCd", sEsttGodsCd,  false);
	}

	// 조회처리
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "SSPASM05S06");
	
	if( reqSubmit == false ) {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
		// 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
		SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}else {
		// 화면잠금해제
		this.screen.setscreenprotect(false);
	}
}