﻿function screen_on_load()
{
}

// "getacceptdropfiles" 버튼 이벤트 
function btn_getacceptdropfiles_on_mouseup(objInst)
{
	screen.alert("getacceptdropfiles = " + grdList.getacceptdropfiles());
}

// "setacceptdropfiles" 버튼 이벤트 
function btn_setacceptdropfiles_on_mouseup(objInst)
{
	// accept_dropfiles 속성 토글 처리
	grdList.setacceptdropfiles(!grdList.getacceptdropfiles());
}

/**
 * 파일 드랍 이벤트를 처리한다.
 * @param objInst 이벤트가 발생한 컴포넌트 인스턴스
 * @param arrayDropFiles 드롭된 File 오브젝트 배열
 * @param nDropFileCount 드롭된 파일 갯수
 */
function grdList_on_dropfiles(objInst, arrayDropFiles, nDropFileCount)
{
	var i, j, fileObj, nRow, file_last_modified, date_arr, time_arr;

	// 드롭된 파일 갯수 및 파일 정보를 콘솔에 출력
	factory.consoleprint("nDropFileCount = " + nDropFileCount);
	for (i = 0; i < nDropFileCount; i++) {
		fileObj = arrayDropFiles[i];
		
		nRow = grdList.additem();
		
		grdList.setitemtext(nRow, 0, fileObj.name);
		grdList.setitemtext(nRow, 1, fileObj.size);
		grdList.setitemtext(nRow, 2, factory.getbriefsize(fileObj.size));

        // IE는 파일 수정 시각에 대한 Date 오브젝트를 리턴
        if (fileObj.lastModifiedDate) {
            file_last_modified = fileObj.lastModifiedDate;
        }
        // Chrome는 파일 수정 시각에 대한 값을 리턴
        else if (file_info.lastModified) {
            file_last_modified = new Date(file.lastModified);
        }
        // 정보가 없는 경우에는 현재 시각으로 표시
        else {
            file_last_modified = new Date();
        }

        // 파일 수정 날짜 정보 문자열 설정
        date_arr = [];
        date_arr.push(file_last_modified.getFullYear());
        date_arr.push((file_last_modified.getMonth() + 1).toString());
        date_arr.push(file_last_modified.getDate().toString());
        for (j = 1; j <= 2; j++) {
            date_arr[j] = factory.fillstring(date_arr[j], "0", 2, true);
        }

		grdList.setitemtext(nRow, 3, date_arr.join(''));

        // 파일 수정 시각 정보 문자열 설정
        time_arr = [];
        time_arr.push(file_last_modified.getHours().toString());
        time_arr.push(file_last_modified.getMinutes().toString());
        time_arr.push(file_last_modified.getSeconds().toString());
        for (j = 0; j <= 2; j++) {
			time_arr[j] = factory.fillstring(time_arr[j], "0", 2, true);
        }

		grdList.setitemtext(nRow, 4, time_arr.join(''));
	}
}

function btn_deleteall_on_mouseup(objInst)
{
	grdList.deleteall();
}