﻿function screen_on_load()
{
	this.btn_groupby_on_mouseup();
}

function btn_groupby_on_mouseup(objInst)
{
	this.GridGroupBy();
}

function GridGroupBy()
{
	var strGroupColumnName;
	
	// 그리드 자동 컬럼 너비 속성 설정
	this.grdTreeGrid.setautocolumnwidth(0);
	
	/*
	// 그리드 그룹핑 대상 컬럼 이름을 구함
	strGroupColumnName = GetGroupColumnName();
	factory.consoleprint("strGroupColumnName = " + strGroupColumnName);
	grdTreeGrid.groupby("xDataSetID_01", strGroupColumnName, "Column_1,Column_2,Column_3,Column_4,Column_5", true);
	*/
	this.grdTreeGrid.groupby("xDataSetID_01", "Column_1,Column_2", "Column_3,Column_4,Column_5");
	
	// 그룹핑 대상 아이템 배경색 및 병합 처리
	this.CellMerge();
	
	// 그룹핑 결과 처리 컬럼 너비 설정
	this.ColumnWidth();

	// 그리드 자동 컬럼 너비 속성 설정
	this.grdTreeGrid.setautocolumnwidth(1);
}

function ColumnWidth()
{
	var nCol, nColumnCount;
	
	nColumnCount = this.grdTreeGrid.getcolumncount();
	
	// 트리 컬럼 너비 설정
	this.grdTreeGrid.setcolumnwidth(0, 225, false);
	
	// 트리 컬럼을 제외한 데이터 컬럼 너비 설정
	for (nCol = 1; nCol < nColumnCount; nCol++) {
		this.grdTreeGrid.setcolumnwidth(nCol, 120, false);
	}
}


// 그룹핑 대상 아이템 배경색 및 병합 처리
function CellMerge()
{
	var nRow, nColumnCount;
	
	nColumnCount = this.grdTreeGrid.getcolumncount();
	
	// 그룹핑 대상 행의 배경색 및 데이터 컬럼 병합 처리
	for (nRow = 0; nRow < this.grdTreeGrid.getrowcount(); nRow++) {
		if (this.grdTreeGrid.ishaschildren(nRow) == true) {
			this.grdTreeGrid.setitembackcolorrange(nRow, 0, nRow, nColumnCount - 1, factory.rgb(240, 255, 220), false);
			this.grdTreeGrid.setitemmergerangeex(nRow, 1, nColumnCount - 1, false);
		}
	}
}

// 그룹핑 대상 컬럼 이름을 콤마로 구분하여 리턴
function GetGroupColumnName()
{
	var strSelectCode, arrColumnName;

	arrColumnName = [];
	
	strSelectCode = this.cboGroup1.getselectedcode();
	if(strSelectCode != "9") {
		arrColumnName.push("Column_" + strSelectCode);
	}
	
	strSelectCode = this.cboGroup2.getselectedcode();
	if(strSelectCode != "9") {
		arrColumnName.push("Column_" + strSelectCode);
	}
	
	strSelectCode = this.cboGroup3.getselectedcode();
	if(strSelectCode != "9") {
		arrColumnName.push("Column_" + strSelectCode);
	}	
	
	return arrColumnName.join(",");
}