﻿// 웹 소켓 이벤츠 처리 시작 --------------------------------------------------------
// 세션 연결 이벤트 처리
function ws_on_open(objInst)
{
	screen.alert("세션 연결됨");
}

// 세션 해제 이벤트 처리
function ws_on_close(objInst, nCode, strReason, wasClean)
{
	screen.alert("세션 해제됨" + "(" + nCode + ", " + strReason + ", " + wasClean + ")");
}

// 에러 발생 이벤트 처리
function ws_on_error(objInst)
{
	screen.alert("에러 발생");
}

// 데이터 수신 이벤트 처리
function ws_on_message(objInst, strMessage)
{
	fldRecvData.settext(strMessage);
}
// 웹 소켓 이벤츠 처리 끝 --------------------------------------------------------

// 화면 로드 이벤트 처리
function screen_on_load()
{
	// 송신 데이터용 Sample 데이터 설정
	fldSendData.settext("ABCD1234가나다라");
}

// 연결 버튼 이벤트 처리 
function btnConnect_on_mouseup(objInst)
{
	ws.open("ws://" + fldIpAddr.gettext() + ":" + fldPortNo.gettext());
}

// 해제 버튼 이벤트 처리
function btnClose_on_mouseup(objInst)
{
	ws.close();
}

// 데이터 송신 버튼 이벤트 처리
function btnSend_on_mouseup(objInst)
{
	var ret = ws.send(fldSendData.gettext());
	if (ret === false) {
		screen.alert("send fail");
	}
}

// 대량 데이터 송신 버튼 이벤트 처리
function btnSendMass_on_mouseup(objInst)
{
	var strSendData;
	var arrData = [];
	var i, ret;
	
	// 500KB
	for (i = 0; i < 100 * 500; i++) {
	// for (i = 0; i < 100 * 1; i++) {
		arrData.push("0123456789");
	}
	
	strSendData = arrData.join("");
	factory.consoleprint("strSendData.length = " + strSendData.length);
	
	ret = ws.send(strSendData);
	if (ret === false) {
		screen.alert("send fail");
	}
}

// 수신 데이터 초기화 버튼 이벤트 처리
function btnClear_on_mouseup(objInst)
{
	fldRecvData.settext("");	
}