﻿

/*
 * 화면 최초 로드 이벤트
 */
function screen_on_load()
{
	// 임시 테스트용 서버 데이터 처리 URL 변경
	// 초기 실행 파일인 xframe5.js 파일의 XDATASET_BASEURL 파라미터를 변경한다.
	//factory.setsubmitbaseurl("http://127.0.0.1:8080/");
	
	
}


/*
 * 거래요청(동기)
 * 거래를 요청하고 결과처리를 로직에서 수행.
 */
function _requestSubmit_on_mouseup(objInst)
{
	var tranResult; 
	var instResult;
	
	// 동기방식으로 요청
	tranResult = SYSTran.requestSubmit(this.screen,"TRAN_SAMPLE");

	// tranResult : 거래를 정상적으로 전송했는지 여부 (정상수행인지는 응답데이터에서 확인)
	if(tranResult == false) {
        // TODO : 거래실패시 업무화면별 처리
        return;
    } 
	
	/**
	 *    서버에서 응답데이터를 화면에서 처리 예시
	 *	결과정보 이름이 instResult라고 가정할 경우
	 *	instResult.mapid : requestsubimt xTranMap ID
	 *	instResult.result : 거래 결과값
	 *	instResult.recvuserheader : 수신된 User Header Data(없는 경우 empty)
	 *	instResult.recvcode : 수신받은 결과 코드(없는 경우 empty)
	 *	instResult.recvmsg : 수신받은 결과 메세지(주로 오류 메세지)(없는 경우 empty)
	 **/
	instResult = SYSTran.getSubmitResult(this.screen)
	if (instResult != null) {
		
		console.log("SYNC mapid  = " + instResult.mapid);
	    console.log("SYNC result = " + instResult.result);
	    console.log("SYNC recvuserheader = " + instResult.recvuserheader);
	    console.log("SYNC recvcode = " + instResult.recvcode);
	    console.log("SYNC recvmsg = " + instResult.recvmsg);
		
		this._result1.settext(instResult.mapid);
		this._result2.settext(instResult.result);
		this._result3.settext(instResult.recvuserheader);
		this._result4.settext(instResult.recvcode);
		this._result5.settext(instResult.recvmsg);
	}
	
	/*
	// 예시) 동기방식으로 3번 전송후 결과처리
	for(var i=0; i < 3; i ++){
		tranResult = SYSTran.requestSubmit(this.screen,"TRAN_SAMPLE");
		// tranResult : 거래를 정상적으로 전송했는지 여부 (정상수행인지는 응답데이터에서 확인)
		if(tranResult == false) {
	        // TODO : 거래실패시 업무화면별 처리
	        return;
	     } 
	
		// TODO : 개별 결과처리
		instResult = SYSTran.getSubmitResult(this.screen)
		if (instResult != null) {
			
			console.log("SYNC mapid  = " + instResult.mapid);
		    console.log("SYNC result = " + instResult.result);
		    console.log("SYNC recvuserheader = " + instResult.recvuserheader);
		    console.log("SYNC recvcode = " + instResult.recvcode);
		    console.log("SYNC recvmsg = " + instResult.recvmsg);
			
			this._result1.settext(instResult.mapid);
			this._result2.settext(instResult.result);
			this._result3.settext(instResult.recvuserheader);
			this._result4.settext(instResult.recvcode);
			this._result5.settext(instResult.recvmsg);
		}
	}  
	*/
}


/*
 * 거래요청(비동기)
 * 거래를 요청하고 결과처리를 screen_on_submitcomplete() 에서 수행.
 */
function _requestSubmitASync_on_mouseup(objInst)
{
	SYSTran.requestSubmitAsync(this.screen, "TRAN_SAMPLE");
}


/*
 * 추가. 거래요청(동기)
 * 거래를 요청하고 결과처리를 screen_on_submitcomplete() 에서 수행.
 */
function _requestSubmitSync_on_mouseup(objInst)
{
	// 예시) 거래전 화면잠금 실행
	SYSUtil.setScreenLockMain(true);  
	SYSTran.requestSubmitSync(this.screen, "TRAN_SAMPLE_CUSTOM");
	
	
}

/*
 * 거래 CALLBACK 이벤트 
 * 비동기 방식으로 거래를 전송했을경우 해당 이벤트에서 처리
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
	 2 : 서버로부터 데이터를 수신하기 전에 화면에서 forcestopsubmit 함수를 호출한 경우
*/
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	console.log("screen_on_submitcomplete ");
	console.log("mapid  = " + mapid);
    console.log("result = " + result);
    console.log("recvuserheader = " + recv_userheader);
    console.log("recvcode = " + recv_code);
    console.log("recvmsg = " + recv_msg);
	
	this._result1.settext(mapid);
	this._result2.settext(result);
	this._result3.settext(recv_userheader);
	this._result4.settext(recv_code);
	this._result5.settext(recv_msg);
	
	
	if (mapid == "TRAN_SAMPLE_CUSTOM") {
		// 예시) 거래전 화면잠금 해제
		SYSUtil.setScreenLockMain(false);  
	}	
	
	// 해당부분은 공통으로 처리하도록 변경하고 필요시 화면에서 컨트롤 가능
	if (result != 1) {
		let arrMsgTitle = []; 	// 메세지 타이틀 array
		let arrMsg = [];		// 메세지 내용 array
		let msgNumber = 3;		// 메세지 수
		let duration = 0;		// 메세지를 보여주는 시간(초). 0으로 설정할경우 게속 보여준다.
		
		arrMsgTitle.push("요청화면 TRANMAP ID");
		arrMsgTitle.push("에러 코드");
		arrMsgTitle.push("에러 메세지");
		arrMsg.push(screen.getscreentitle() + " " +  mapid);
		arrMsg.push("E001");
		arrMsg.push(recv_msg);
		
		SYSUtil.setTaskMessage(screen, arrMsgTitle, arrMsg, arrMsgTitle.length, duration);	
	}
	
		
}


/*
 * 업무 화면 잠금 처리
 */
function _btnScreenLock_on_mouseup(objInst)
{
	// 화면 잠금 
	SYSUtil.setScreenLock(screen, true);  

	// 2초후 잠금해제 - 예시
	let processId = setInterval(function(objScreen){
		SYSUtil.setScreenLock(screen, false); // 화면 잠금 해제
		clearInterval(processId);
	}, 2000, this.screen);
}


/*
 * 메인프레임 잠금 처리
 */
function _btnScreenLockMain_on_mouseup(objInst)
{
	// 메인 화면 잠금 
	SYSUtil.setScreenLockMain(true);  

	// 2초후 잠금해제 - 예시
	let processId = setInterval(function(objScreen){
		SYSUtil.setScreenLockMain(false); // 메인 화면 잠금 해제
		clearInterval(processId);
	}, 2000, this.screen);
}

function _btnPopUpLock_on_mouseup(objInst)
{

	let objExtra_data = {};
	objExtra_data.SCR_ID     = "";
	objExtra_data.SCR_PATH   = "/SBT/TEMP/COM_SUBMIT_SCREEN_LOCK";
	objExtra_data.MENU_ID    = "";
	objExtra_data.MENU_NM    = "COM_SUBMIT_SCREEN_LOCK";
	objExtra_data.P_MENU_ID  = "";
	objExtra_data.PARENT_SCR = screen;
	
	SYSUtil.loadPopup(this.screen, objExtra_data, 0);
}

/*
 * 거래추적 공통모듈을 실행.
 */
function _btnXTranLog_on_mouseup(objInst)
{
	SYSUtil.showXTranLog();
}
