﻿/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
this.m_objScreenInfo = screen.getextradata();
this.m_objChildScreen = null;
this.m_objParentScreen = null;

// 공통 버튼 처리를 위한 변수 (중복 가능성 있음. 추후 정리)
var commonButtonEvent = {};
var _commonButtonGroupObject;

// 중복 변수. 사용하지 않는것 하나 제거 필요
this.m_objScreenInfo = screen.getextradata();
var m_ScrInfo = {
	SCR_ID: "",
	SCR_PATH: "",
	MENU_ID: "",
	MENU_NM: "",
	P_MENU_ID: "",
	PARENT_SCR: null,
	AUTH_INFO: null,
};

// 현재화면의 활성화된 데이터셋
this.m_ActiveDS = null;
// 데이터셋을 감싸고 있는 최상위 오브젝트 정보
this.m_MasterObjects = [];
// 다음페이지여부
this.m_NextPage = false;
// 툴바이벤트 여부
this.m_WinEvent = true;
// 콜백 파라미터
this.m_CallbackParam = {};



/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */

function screen_on_load() {
	
	console.log("[SYSLOG] mainFrameSudang On Load");
	this._tranProcCnt = 0;
	var objExtra_data = screen.getextradata();
	var objBizExtra_data = null;

	m_ScrInfo.SCR_ID = "";

	//= 업무 화면정보
	m_ScrInfo.SCR_ID = objExtra_data.SCR_ID;
	m_ScrInfo.MENU_ID = objExtra_data.MENU_ID;
	m_ScrInfo.MENU_NM = objExtra_data.MENU_NM;
	m_ScrInfo.P_MENU_ID = objExtra_data.P_MENU_ID;
	m_ScrInfo.PARENT_SCR = objExtra_data.PARENT_SCR;
	m_ScrInfo.SCR_PATH = objExtra_data.SCR_PATH;
	m_ScrInfo.AUTH_INFO = objExtra_data.AUTH_INFO;
	objBizExtra_data = objExtra_data.BIZ_EXT; // 업무화면 전달 데이타

	/*
		-1: 파라미터에 문제가 있을 경우
		-2: 화면이 존재하지 않는 경우(_xf_param에 CHECK_SCREENURL 값이 true인 경우 적용)
	*/
	var nRet = this.tabBizScreen.addportlettab("", 0, 0, m_ScrInfo.SCR_PATH, "bizScreen", true, objBizExtra_data);
	if (nRet == -1) {
		screen.alert("[" + nRet + "]  파라미터에 문제가 있을 경우");
	} else if (nRet == -2) {
		screen.alert("[" + nRet + "]  화면이 존재하지 않는 경우(_xf_param에 CHECK_SCREENURL 값이 true인 경우 적용)");
	}

}


/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */

/**
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function _getFrameType() {
	return "MAIN_PORTLET";
}

// 거래 카운트 처리
var _tranProcCnt;
function _addTranProcCnt() {
	this._tranProcCnt++;
}

function _subtractTranProcCnt() {
	this._tranProcCnt--;
}

function _zeroTranProcCnt() {
	this._tranProcCnt = 0;
}

function _getTranProcCnt() {
	return this._tranProcCnt;
}

// 현재 프레임에 열린 업무 화면의 정보를 리턴
function getScreenInfo() {
	return m_ScrInfo;
}

function getGlobalVaue() {
	return m_ScrInfo;
}



function showLoadingProcess(bShow) {
	var objLoding;
	objLoding = this.pnlLoading;

	if (bShow) {
		objLoding.setvisible(bShow);
	} else {
		// 로딩이미지 숨김처리는 0.5초 딜레이 설정
		setTimeout(function () {
			objLoding.setvisible(bShow);
		}, 500);
	}
	return true;
}



/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */




/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */

