﻿//# sourceURL=http://softbase.frame/SYS/MAIN/topMain.js
/****************************************************************************/
var m_objSelectMenu = null;
var m_strMenuNm     = "";
var m_arrTopMenuList = [];
var m_changeFlag = true;
var dom_topTreeMenu;

/**
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function SYS_TEMP_topMain()
{
	return "TOP_MAIN";
}

function _I_ScreenEvent() {}

/**
 * 화면 최초 로드시에
 */
function screen_on_load() 
{
	SYSVar.TOPMAIN_SCREEN = screen;
	SYSVar.TOPMAIN_MEMBER = this;

	
	// 트리메뉴 오브젝트를 사용하여 메뉴를 구성한다.
	this.convMenu();

	// 트리메뉴 오브젝트 커스텀 스타일 적용(flex)
	//dom_topTreeMenu = this.tmTopMenu.getdom();
	//dom_topTreeMenu.childNodes[1].style.justifyContent = "center";
	
	//SYSTran.requestSubmitSync(this.screen , "TR_DEPT_INFO" );
	
	SYSTran.getCmmDataList(this.screen , G_GRID_INFO , {"sqlId":"CT_GRID_INFO_SELECT" } );		

}

/**
 * 트리메뉴 오브젝트를 사용하여 탑메뉴를 구성한다.
 * @return 없음
 */
function convMenu(){
	
	let gMenuList = SYSVar.MENU_BY_ID;
	let rIdx = -1;
	let menuInfo;
	
	// 메뉴데이터셋 초기화
	this.xMenu.removeallrows();
	
	//초기화 하고 다시 메뉴를 넣어준다.
	this.tabTopMenu.deletealltab();
	
	for(menuInfo in gMenuList){
		rIdx = this.xMenu.addrow();
		this.xMenu.setdatabyname(rIdx, "ID", gMenuList[menuInfo].menu_id, false);
		this.xMenu.setdatabyname(rIdx, "Depth", parseInt(gMenuList[menuInfo].menu_level) - 1, false);
		this.xMenu.setdatabyname(rIdx, "Title", gMenuList[menuInfo].menu_nm, false);
		this.xMenu.setdatabyname(rIdx, "Path", gMenuList[menuInfo].menu_path, false);
		this.xMenu.setdatabyname(rIdx, "SortNo", gMenuList[menuInfo].sort_no, false);
		this.xMenu.setdatabyname(rIdx, "Icon", gMenuList[menuInfo].icon, false);
		
		// 임시 : 상단메뉴 탭 형태 
		let nDept = parseInt(gMenuList[menuInfo].menu_level);
		if (nDept == 1)
		{			
			let strText = gMenuList[menuInfo].menu_nm;
			strText = strText.replace(/[0-9]|\.| |[A-Z] |/g, "");
			
			let nIndex = this.tabTopMenu.addtab(strText, 0, 100, "", true, "", true, false, false);
			this.tabTopMenu.settabitemuserdata(nIndex, "ROW", menuInfo);	
			this.tabTopMenu.settabitemuserdata(nIndex, "ROWINDEX", rIdx);	

			// 상단메뉴 이미지 개별 적용
			// SYSVar.TOP_MENU_IMAGE_LIST 리스트에 저장된 리스트 만큼 처리
			if (!SYSUtil.isEmpty(SYSVar.TOP_MENU_IMAGE_LIST[nIndex])) {
				// 상단메뉴 아이콘 적용 
				this.tabTopMenu.settabitemimageex(nIndex, SYSVar.TOP_MENU_IMAGE_LIST[nIndex].IMAGE);
				this.tabTopMenu.settabitemselimageex(nIndex, SYSVar.TOP_MENU_IMAGE_LIST[nIndex].SELIMAGE);
			}
					
		}	
		
		
	}
	// 데이터에서 1레벨이 root 메뉴이기 때문에 데이터 제거
	this.xMenu.removerow(0);
	//this.tmTopMenu.refresh();
	//this.tmTopMenu.expandall(1);
	
	// 첫번째 메뉴를 보여준다.
	this.tabTopMenu.settabitemfocus(0, false);
	
	//console.log(this.tabTopMenu.gettabitemtext(0));
	
	SYSVar.MENU_INFO.m_1st=this.tabTopMenu.gettabitemtext(0);
	
}



function _II_ObjectEvent() {}

function _III_UserFunction() {}


/**
 * 상단 메뉴를 생성한다. 
 * @return 없음
 */
function setTopMenu(){
	// 동적버튼을 생성하여 탑메뉴를 생성한다.
	// 트리메뉴로 처리하던지 동적으로 생성하던지 둘중하나로 설정
	// TODO : 상단메뉴 생성 (별도로 상단메뉴 구성시)
}


// 검색메뉴를 호출
function createTopSubSearchMenu(objNode){
	
	if(factory.loadmenu("topSubManu", "/SYS/MAIN/SUB/TopSearchMenu"
			, 0, SYSVar.TOPMAIN_MEMBER.tvTop.getbottom() 
			, SYSVar.TOPMAIN_MEMBER.tvTop.getwidth() , 0
			, SYSVar.WINMAIN_SCREEN, objNode) == false){
		SYSUtil.alert("메뉴 호출 오류");
	}
}



function screen_on_portletload(portlet_inst, portlet_name)
{
}

function fldSearch_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13) {
		SYSVar.SEARCH_WORD_LIST.push(SYSVar.TOPMAIN_MEMBER.fldSearch.gettext());
	} else {
		//
	}
	return 0;
}

function btnWide_on_mouseup(objInst)
{
	SYSVar.WINMAIN_MEMBER.setWideScreen();
}

function fldSearch_on_click(objInst)
{
	
}

function btnSearch_on_mouseup(objInst)
{
	
}

/**
 *	상단메뉴 클릭 이벤트
 *	상단메뉴와 좌측메뉴 데이터가 같으므로 상단메뉴의 인덱스를 얻어와서 좌측메뉴를 열어준다.
 */
function tmTopMenu_on_itemclick(objInst, index, depth, type)
{
	//console.log("### Top Menu Click...");
	var strDsRowIndex;
	strDsRowIndex = this.tmTopMenu.getitemrowindex(index);
	
	SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.expandall(XFD_TREEITEM_COLLAPSE);
	SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.selectitem(strDsRowIndex + 1);
	

}

function screen_on_size(window_width, window_height)
{
	if(window_width < 1300)
	{
		//this.tvTop.setcolumnhidden(2,true,true);
	}
	else if(window_width > 1299)
	{
		//this.tvTop.setcolumnhidden(2,false,true);
	}
}


function btnSetting_on_mouseup(objInst)
{
	let rtnFlag = SYSVar.HOME_MEMBER.setChangeMode(m_changeFlag);
	m_changeFlag = rtnFlag;
}

function screen_on_activate()
{
	SYSVar.TOPMAIN_SCREEN = screen;
	SYSVar.TOPMAIN_MEMBER = this;
	this.convMenu();
}	

function btnSearchMenu_on_mouseup(objInst)
{
	this.createTopSubSearchMenu();
}

function menuSort(a, b)
{
	return a.sort_no - b.sort_no;
}

// logout 처리
function _btnLogOut_on_click(objInst)
{
	// TODO : 로그아웃 비지니스 로직 처리
	
	// 로그아웃 처리
	if(SYSUtil.comConfirm("로그아웃 하시겠습니까?")){
		SYSVar.STARTMAIN_TAB.settabitemfocus(0); 
	}
	
}

// 사이트 로고 클릭
function imgLogo_on_click(objInst)
{
	SYSVar.LEFTMAIN_MEMBER.tabLeftMenu.settabitemfocus(0);
	SYSVar.WINMAIN_MEMBER.showHome(true);
	//SYSVar.WINMAIN_MEMBER.tabMiddle.deletealltab(true);
}

//상단메뉴 클릭...
function tabTopMenu_on_itemchange(objInst, itemindex) {
	//screen.alert("333");
		
	//console.log(this.tabTopMenu.gettabitemtext(itemindex));
	// menu navi 용 data set
	SYSVar.MENU_INFO.m_1st=this.tabTopMenu.gettabitemtext(itemindex);

	var strDsRowIndex;
	//strDsRowIndex = this.tabTopMenu.gettabitemuserdata(itemindex, "ROW");
	strDsRowIndex = this.tabTopMenu.gettabitemuserdata(itemindex, "ROWINDEX");
	
	
	
	if (strDsRowIndex > -1) {
		
		// LNB 세부 메뉴 처리
		SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.setrootrowindex(-1); // 초기화

		SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.setrootrowindex(strDsRowIndex);
		SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.selectitem(0);
		// 타이틀 변경
		SYSVar.LEFTMAIN_MEMBER.leftMenuTitle.settext(this.tabTopMenu.gettabitemtext(itemindex));
		SYSVar.LEFTMAIN_MEMBER.leftMenuTitle.fittext();

		// 전체메뉴
		//SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.expanddepth(1, XFD_TREEITEM_COLLAPSE);
		//SYSVar.LEFTMAIN_MEMBER.trm_leftMenu.selectitem(strDsRowIndex);
		
		// 임시 : 수당메뉴 분기 처리 
		let strSystemId = this.tabTopMenu.gettabitemuserdata(itemindex, "SYSTEMID");
		if (strSystemId == "SUDANG") {
			SYSVar.IS_SUDANG_MENU = true;
		} else {
			SYSVar.IS_SUDANG_MENU = false;
		}
		
	}
	
	
	
}

function screen_on_destroy() {
	//console.log("ddddddddddddddddddddddddddddddddddddddddddd");
	return 1;
}